<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->logged_in == 'FALSE' || $_SESSION['usertype'] == 'GUEST') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Archive</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>

<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function setfocus()
{
 document.selectmonth.numofentries.focus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=archive/archivedata.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();setfocus();">
<div id="contentlayer" style="position:relative; z-index:10; visibility: hidden;" onmouseover="starthiding();">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><?php echo $lang['Archive_Data']; ?>  <?php echo $lang['For']; ?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form action="startroutine.php" method="post" name="selectmonth" id="selectmonth">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="archivedata.php" target="_self"><?php echo $lang['Tab']['Archive_Data']; ?></a></li>
 </ul>
<div id="contents"><br>
  <table width="100%" border=0 cellpadding=2 cellspacing=3>
    <tbody>
      <tr>
        <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
            <tr>
              <td width="115"><div align="justify"><img src="../images/archivebox.jpg" width="107" height="77"></div></td>
              <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Archive_Data'];?></div></td>
            </tr>
        </table></td>
      </tr>
    </tbody>
  </table>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br><table border="0" align="center" cellpadding="0" cellspacing="3">
          <tr>
            <td><span class="smallBold"><img src="../images/arr2.jpg" width="4" height="5" align="absmiddle">  <? echo $lang['Month_For_Archive'];?></span></td>
            <td class="smallBold">:</td>
            <td class="smallBold"><font color="#FFCC66" size="1" face="Geneva, Arial, Helvetica, san-serif"> <b><font color="#FFFFFF" face="Verdana, Arial, Helvetica, sans-serif" size="1">
              <select name="timecode" id="timecode" style="width: 300px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF" >
                <?php
   if (isset($result)) unset($result);
   @$result = mysql_query("SELECT MONTH(visitor_timestamp) AS themonth,
						YEAR(visitor_timestamp) AS theyear
					 	FROM $my_tables->maintable
					    WHERE MONTH(visitor_timestamp) != $my_timestamp->month
                        AND websitename = '$activesitename'
					 	GROUP BY MONTH(visitor_timestamp)
					 	ORDER BY MONTH(visitor_timestamp) ASC
 					   ");

  while (@$my_object = mysql_fetch_object($result))
  {

   $themonth = $my_object->themonth;
   $theyear  = $my_object->theyear;

   @$entries_total = mysql_result(mysql_query("SELECT count(*)
					   	   FROM $my_tables->maintable
					       WHERE MONTH(visitor_timestamp) = '$themonth'
						   AND YEAR(visitor_timestamp)    = '$theyear'
                           AND websitename = '$activesitename'
					 	   GROUP BY MONTH(visitor_timestamp)
					 	   ORDER BY MONTH(visitor_timestamp) ASC"),0,0);

   if ($themonth == "1")      {$month_long = $lang['DateTime']['January'];  $themonth = "01";}
   elseif ($themonth == "2")  {$month_long = $lang['DateTime']['February'];  $themonth = "02";}
   elseif ($themonth == "3")  {$month_long = $lang['DateTime']['March'];  $themonth = "03";}
   elseif ($themonth == "4")  {$month_long = $lang['DateTime']['April'];  $themonth = "04";}
   elseif ($themonth == "5")  {$month_long = $lang['DateTime']['May'];  $themonth = "05";}
   elseif ($themonth == "6")  {$month_long = $lang['DateTime']['June'];  $themonth = "06";}
   elseif ($themonth == "7")  {$month_long = $lang['DateTime']['July'];  $themonth = "07";}
   elseif ($themonth == "8")  {$month_long = $lang['DateTime']['August'];  $themonth = "08";}
   elseif ($themonth == "9")  {$month_long = $lang['DateTime']['September']; $themonth = "09";}
   elseif ($themonth == "10") {$month_long = $lang['DateTime']['October'];  $themonth = "10";}
   elseif ($themonth == "11") {$month_long = $lang['DateTime']['November'];  $themonth = "11";}
   elseif ($themonth == "12") {$month_long = $lang['DateTime']['December'];  $themonth == "12";}

   $current = urlencode("$entries_total#$month_long#$themonth#$theyear#$activesitename");
   if ($entries_total == 1) $entries = $lang['Entry'];
    else $entries = $lang['Entries'];
  echo "<option value='$current'>$month_long $theyear - $entries_total $entries</option>";
 
 }
?>
              </select>
            </font></b> </font></td>
          </tr>
          <tr>
            <td width="224"><span class="smallBold"><img src="../images/arr2.jpg" width="4" height="5" align="absmiddle"> <? echo $lang['Max_Values_Per_Report'];?></span></td>
            <td width="35" class="smallBold">:</td>
            <td width="316" class="smallBold"><font color="#FFCC66" size="1" face="Geneva, Arial, Helvetica, san-serif">              <b><font color="#FFFFFF" face="Verdana, Arial, Helvetica, sans-serif" size="1">
              <font color="#FFCC66" size="1" face="Geneva, Arial, Helvetica, san-serif"><b><font color="#FFFFFF" face="Verdana, Arial, Helvetica, sans-serif" size="1">
              <input name="numofentries" type="text" id="numofentries" style="width: 296px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF" value="200">
              </font></b></font>
              
            </font></b> </font></td>
          </tr>
        </table>          
        <br>          </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF">                            <div align="right">
<SCRIPT TYPE="text/javascript">
<!--
var archivedata = new submitForm("../images/archivedata.gif","../images/archivedata_down.gif","archivedata","archive");
archivedata.alt ="<?php echo $lang['Tab']['Archive_Data'];?>";
archivedata.write();
//-->
                </SCRIPT>
                              <input name="action" type="hidden" id="action2" value="START">
</div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>











