<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->logged_in == 'FALSE' || $_SESSION['usertype'] == 'GUEST') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Delete Archive</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>

<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=archive/deletearchive.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();MM_preloadImages('../images/loaddata_down.gif');
<?php
 $errormessage = $lang['No_Archive_Data'];
 if ($_REQUEST['show'] == 'nodata')
  echo "alert('$errormessage');";
?>
">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><?php echo $lang['Archive_Data']; ?>  <?php echo $lang['For']; ?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form action="deletearchivego.php" method="post" name="deletearchive" id="deletearchive">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="deletearchive.php" target="_self"><?php echo $lang['Tab']['Delete_Archive_Data']; ?></a></li>
 </ul>
<div id="contents"><br>
  <table width="100%" border=0 cellpadding=2 cellspacing=3>
    <tbody>
      <tr>
        <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
            <tr>
              <td width="115"><div align="justify"><img src="../images/archivebox.jpg" width="107" height="77"></div></td>
              <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Delete_Archive_Data'];?></div></td>
            </tr>
        </table></td>
      </tr>
    </tbody>
  </table>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>          <table width="445" border="0" align="center" cellpadding="0" cellspacing="3">
          <tr>
            <td><span class="smallBold"><img src="../images/arr2.jpg" width="4" height="5" align="absmiddle"> <? echo $lang['Archiveyear_To_Delete'];?></span></td>
            <td class="smallBold">:</td>
            <td class="smallBold"><font color="#FFFFFF" size="1" face="Verdana, Arial, Helvetica, sans-serif"> <b>
            <select name="archive_year" id="archive_year" style="width: 150px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF" >
              <option value="2004" <?php if ($my_timestamp->year == '2004') echo "selected";?>>2004</option>
              <option value="2005" <?php if ($my_timestamp->year == '2005') echo "selected";?>>2005</option>
              <option value="2006" <?php if ($my_timestamp->year == '2006') echo "selected";?>>2006</option>
              <option value="2007" <?php if ($my_timestamp->year == '2007') echo "selected";?>>2007</option>
              <option value="2008" <?php if ($my_timestamp->year == '2008') echo "selected";?>>2008</option>
              <option value="2009" <?php if ($my_timestamp->year == '2009') echo "selected";?>>2009</option>
            </select>
</b> </font></td>
          </tr>
          <tr>
            <td width="206"><span class="smallBold"><img src="../images/arr2.jpg" width="4" height="5" align="absmiddle"> <? echo $lang['Archivemonth_To_Delete'];?></span></td>
            <td width="49" class="smallBold">:</td>
            <td width="178" class="smallBold"><font color="#FFFFFF" size="1" face="Verdana, Arial, Helvetica, sans-serif">              <b>
            <select name="archive_month" id="archive_month" style="width: 150px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF" >
              <option value="1" <?php if ($my_timestamp->month == '01') echo "selected";?>><?php echo $lang['DateTime']['January'];?></option>
              <option value="2" <?php if ($my_timestamp->month == '02') echo "selected";?>><?php echo $lang['DateTime']['February'];?></option>
              <option value="3" <?php if ($my_timestamp->month == '03') echo "selected";?>><?php echo $lang['DateTime']['March'];?></option>
              <option value="4" <?php if ($my_timestamp->month == '04') echo "selected";?>><?php echo $lang['DateTime']['April'];?></option>
              <option value="5" <?php if ($my_timestamp->month == '05') echo "selected";?>><?php echo $lang['DateTime']['May'];?></option>
              <option value="6" <?php if ($my_timestamp->month == '06') echo "selected";?>><?php echo $lang['DateTime']['June'];?></option>
              <option value="7" <?php if ($my_timestamp->month == '07') echo "selected";?>><?php echo $lang['DateTime']['July'];?></option>
              <option value="8" <?php if ($my_timestamp->month == '08') echo "selected";?>><?php echo $lang['DateTime']['August'];?></option>
              <option value="9" <?php if ($my_timestamp->month == '09') echo "selected";?>><?php echo $lang['DateTime']['September'];?></option>
              <option value="10" <?php if ($my_timestamp->month == '10') echo "selected";?>><?php echo $lang['DateTime']['October'];?></option>
              <option value="11" <?php if ($my_timestamp->month == '11') echo "selected";?>><?php echo $lang['DateTime']['November'];?></option>
              <option value="12" <?php if ($my_timestamp->month == '12') echo "selected";?>><?php echo $lang['DateTime']['December'];?></option>
            </select>
</b> </font></td>
          </tr>
        </table>          
        <br>          </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF">                            <div align="right">
<SCRIPT TYPE="text/javascript">
<!--
var deldata = new submitForm("../images/deldata.gif","../images/deldata_down.gif","deletedata","deletedata");
deldata.alt ="<?php echo $lang['Tab']['Delete_Archive_Data'];?>";
deldata.write();
//-->
                </SCRIPT>
</div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>











