<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->logged_in == 'FALSE' || $_SESSION['usertype'] == 'GUEST') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get year and of month of archive-entry that user wants to delete
 $archive_year  = $_POST['archive_year'];
 $archive_month = $_POST['archive_month'];

 if ($archive_month == '1') $archive_month_long = $lang['DateTime']['January'];
 if ($archive_month == '2') $archive_month_long = $lang['DateTime']['February'];
 if ($archive_month == '3') $archive_month_long = $lang['DateTime']['March'];
 if ($archive_month == '4') $archive_month_long = $lang['DateTime']['April'];
 if ($archive_month == '5') $archive_month_long = $lang['DateTime']['May'];
 if ($archive_month == '6') $archive_month_long = $lang['DateTime']['June'];
 if ($archive_month == '7') $archive_month_long = $lang['DateTime']['July'];
 if ($archive_month == '8') $archive_month_long = $lang['DateTime']['August'];
 if ($archive_month == '9') $archive_month_long = $lang['DateTime']['September'];
 if ($archive_month == '10') $archive_month_long = $lang['DateTime']['October'];
 if ($archive_month == '11') $archive_month_long = $lang['DateTime']['November'];
 if ($archive_month == '12') $archive_month_long = $lang['DateTime']['December'];

 // check if selected entry exists -> if not, go back and show error message
 @$entries = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->archivetable
		     WHERE archive_month = '$archive_month' AND archive_year = '$archive_year'
			 AND websitename = '$activesitename'"),0,0);
 
 if ($entries == 0) 
 {
  header("location: deletearchive.php?show=nodata");
  exit();
 }

 // delete archive-data if requested
 if ($_POST['action'] == 'DELETE' && ($my_session->usertype == 'ADMIN' || $my_session->usetype == 'WEBMASTER'))
 {
  @$result = mysql_query("DELETE FROM $my_tables->archivetable WHERE archive_month='$archive_month'
			  AND archive_year = '$archive_year' AND websitename = '$activesitename'");
  
  // optimize table
  @$result = mysql_query("OPTIMIZE TABLE $my_tables->archivetable");
 }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Delete Archive</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>

<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=archive/deletearchivego.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();MM_preloadImages('../images/loaddata_down.gif','../images/prevpage_down.gif');
<?php
 $errormessage = $lang['No_Archive_Data'];
 if ($_REQUEST['show'] == 'nodata')
  echo "alert('$errormessage');";
?>">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><?php echo $lang['Archive_Data']; ?>  <?php echo $lang['For']; ?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form action="deletearchivego.php" method="post" name="deletearchive" id="deletearchive">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="deletearchive.php" target="_self"><?php echo $lang['Tab']['Delete_Archive_Data']; ?></a></li>
 </ul>
<div id="contents"><br>
  <table width="100%" border=0 cellpadding=2 cellspacing=3>
    <tbody>
      <tr>
        <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
            <tr>
              <td width="115"><div align="justify"><img src="../images/archivebox.jpg" width="107" height="77"></div></td>
              <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Check_Archive_Deletion'];?></div></td>
            </tr>
        </table></td>
      </tr>
    </tbody>
  </table>
  <br><?php if ($_POST['action'] != 'DELETE') { ?>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>          <table width="364" border="0" align="center" cellpadding="0" cellspacing="3">
          <tr>
            <td width="185"><span class="smallBold"><img src="../images/arr2.jpg" width="4" height="5" align="absmiddle"> <? echo $lang['Archivemonth_To_Delete'];?></span></td>
            <td width="24" class="smallBold">:</td>
            <td width="143" class="smallBold"><b><?php echo $archive_month_long." ".$archive_year;?>
            
</b></td>
          </tr>
        </table>          
        <br>          </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF">                            <div align="right">
<SCRIPT TYPE="text/javascript">
<!--
var deldata = new submitForm("../images/deldata.gif","../images/deldata_down.gif","deletedata","deletedata");
deldata.alt ="<?php echo $lang['Tab']['Delete_Archive_Data'];?>";
deldata.write();
//-->
                </SCRIPT>
                              <input name="archive_year" type="hidden" id="archive_year" value="<?php echo $archive_year;?>">
                              <input name="archive_month" type="hidden" id="archive_month" value="<?php echo $archive_month;?>">
                              <input name="action" type="hidden" id="action" value="DELETE">
</div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
  <?php } ?>
  <?php if ($_POST['action'] == 'DELETE') { ?>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>
            <table width="509" border="0" align="center" cellpadding="0" cellspacing="3">
              <tr>
                <td width="503"><div align="center"><b><?php echo $lang['Selected_Archive_Deleted'];?> </b></div></td>
                </tr>
            </table>
            <br>
        </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF">                            <div align="right">                              <a href="deletearchive.php" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('goback','','../images/prevpage_down.gif',1)"><img src="../images/prevpage.gif" alt="<?php echo $lang['Previous_Page'];?>" name="goback" width="142" height="13" border="0" align="absmiddle"></a>                          </div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
  <?php } ?>
<br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>