<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/configdata.inc.php");
include_once ($include_path."./../includes/exportdata.inc.php");
include_once ($include_path."./../includes/getcountry.inc.php");
include_once ($include_path."./../includes/timeconverter.inc.php");
include_once ($include_path."./../chart/chart.inc.php"); 			   

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp(); 

 // check if user is logged in or not
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $_SESSION['account_id']);

 // maximum width for graph
 $graphmaxwidth = 500;

 // maximum length of data key
 $maxfieldlength = 55;

 // number of days in this month
 $numofdays = date ("d", mktime(0,0,0,$my_timestamp->month+1,0,$my_timestamp->year));

 // check if selected month and year exists in archive-table
 $archive_year  = $_REQUEST['archive_year'];
 $archive_month = $_REQUEST['archive_month'];

 if ($archive_month == '1') $archive_month_long = $lang['DateTime']['January'];
 if ($archive_month == '2') $archive_month_long = $lang['DateTime']['February'];
 if ($archive_month == '3') $archive_month_long = $lang['DateTime']['March'];
 if ($archive_month == '4') $archive_month_long = $lang['DateTime']['April'];
 if ($archive_month == '5') $archive_month_long = $lang['DateTime']['May'];
 if ($archive_month == '6') $archive_month_long = $lang['DateTime']['June'];
 if ($archive_month == '7') $archive_month_long = $lang['DateTime']['July'];
 if ($archive_month == '8') $archive_month_long = $lang['DateTime']['August'];
 if ($archive_month == '9') $archive_month_long = $lang['DateTime']['September'];
 if ($archive_month == '10') $archive_month_long = $lang['DateTime']['October'];
 if ($archive_month == '11') $archive_month_long = $lang['DateTime']['November'];
 if ($archive_month == '12') $archive_month_long = $lang['DateTime']['December'];

 @$entries = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->archivetable WHERE
			archive_year = '$archive_year' AND archive_month = '$archive_month' 
			AND websitename = '$activesitename'"),0,0);

 if ($entries == 0)
 {
  header("location: showarchive.php?show=nodata");
  exit();
 }

 ////////////////////////////////////////////////////////////////////
 // EXTRACT INFORMATION FROM ARCHIVE-TABLE
 ////////////////////////////////////////////////////////////////////

 @$result = mysql_query("SELECT * FROM $my_tables->archivetable  WHERE
			archive_year = '$archive_year' AND archive_month = '$archive_month' 
			AND websitename = '$activesitename'");

 $my_object = mysql_fetch_object($result);


 // get number of visitors for archive-month
 $visitors_month_total 	= $my_object->visitstotal;
 $visitors_month_unique = $my_object->visitsunique;

 // get number of impressions for archive-month
 @$impressions_this_month 	= $my_object->impressionstotal;

 // get number of lateral (cross) entries for this month
 $lateralentries_thismonth 	= $my_object->lateral_entries;

 // get number of number of unique days controlled this month
 $activedays = $my_object->activedays;

 // get number of downloads for this month
 $downloads  = $my_object->downloadstotal;

 // get the ammount of data transfered this month
 $transfered_KByte = $my_object->transfertotal ;
 $transfered_MByte = round(($transfered_KByte/1024),2);
 $transfered_GByte = round(($transfered_MByte/1024),2);

 // time spent on site per user
 $time_per_user = $my_object->timespentpervisitor;

 // get busiest visitor-day of month
 $busiestday_total_visitors = $my_object->busiestday_totalnumber;
 $busiestday_total = $my_object->busiest_day;

 // get weakest visitor-day of month
 $weakestday_total_visitors = $my_object->weakestday_totalnumber;
 $weakestday_total = $my_object->weakest_day;
 
 // get number of bot-visits
 $botvisits = $my_object->botstotal;

 // get number of languages
 $languages = $my_object->languagestotal;

 // get number of countries
 $countries = $my_object->countriestotal;

 // get number of hostnames
 $hostnames = $my_object->hostnamestotal;

 // get top language for this month
 $language_container = unserialize($my_object->language_container);
 foreach($language_container AS $key=>$value) { $top_language = $key; break;}

 // get top country for this month
 $country_container = unserialize($my_object->country_container);
 foreach($country_container AS $key=>$value) { $top_country = $key; break;}

 // get top hostname for this month
 $hostname_container = unserialize($my_object->hostname_container);
 foreach($hostname_container AS $key=>$value) { $top_hostname = $key; break;}

 // get top system for this month
 $system_container = unserialize($my_object->systembyversion_container);
 foreach($system_container AS $key=>$value) { $top_system = $key; break;}

 // get top browser for this month
 $browser_container = unserialize($my_object->browserbyversion_container);
 foreach($browser_container AS $key=>$value) { $top_browser = $key; break;}

 // get top resolution for this month
 $resolution_container = unserialize($my_object->resolution_container);
 foreach($resolution_container AS $key=>$value) { $top_resolution = $key; break;}

 // get top colordepth for this month
 $colordepth_container = unserialize($my_object->colordepth_container);
 foreach($colordepth_container AS $key=>$value) { $top_colordepth = $key; break;}

 // get busiest and weakest weekday
 $busiest_weekday = $my_object->busiest_weekday;
 $weakest_weekday = $my_object->weakest_weekday;

 $busiest_weekday_total = $my_object->busiestweekday_totalnumber;
 $weakest_weekday_total = $my_object->weakestweekday_totalnumber;

 // read total-visitor-data from archive
 $totalvisitors =  unserialize($my_object->daytotal_container);
 // read unique-visitor-data from archive
 $uniquevisitors = unserialize($my_object->dayunique_container);

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>

<html>
<head>
<title><?php echo $lang['Tab']['Show_Archive_Data'];?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function printme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?print=TRUE&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 window.open(target, 'printWindow', 'height=500,width=980, scrollbars');return false;
}
function exportme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?export=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 document.getElementById("exportframe").src = target;
}
///////////////////////////////////////////////////////
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
}

function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=archive/showarchivego.php';
}
//-->
</script>
</head>
<body onload="<?php if ($print) echo "window.print();";?> showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" style="position:relative; z-index:10; visibility: hidden;" onmouseover="starthiding();">
  <?php if ($print) {?>
  <table width="100%"  border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="26%" height="12" class="large_black"><img src="../images/printoutlogo.jpg" width="156" height="74"><br></td>
            <td width="74%" class="large_black"><div align="right" class="large_blackBold"><strong><?php echo $lang['Report'];?>:<img src="../images/blankspacer.gif" width="10" height="5" border="0"> <?php echo $lang['Tab']['Show_Archive_Data'];;?></strong></div></td>
          </tr>
          <tr>
            <td height="13" colspan="2" class="large_black"><br></td>
          </tr>
      </table></td>
    </tr>
  </table>
  <?php }?>
  <?php if (!$print) {?>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><?php echo $lang['Archive_Data']; ?> <?php echo $lang['For']; ?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <?php }?>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <?php if (!$print) echo "<br>"; if ($print) {?>
          <table width="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="98%"  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="16%" height="25" class="smallBold"><span class="small"><?php echo $lang['Websitename'];?></span></td>
                    <td width="3%" height="25" class="smallBold">:</td>
                    <td width="30%" height="25"><span class="small"><?php echo $activesitename;?></span></td>
                    <td width="19%" height="25"><span class="smallBold"><span class="small"><?php echo $lang['Searchphrase'];?></span></span></td>
                    <td width="3%" class="smallBold">:</td>
                    <td width="29%"><span class="small">
                      <?php
 $temp_phrase = str_replace(" "," + ",$searchphrase);
 if ($temp_phrase == '') echo $lang['No_Searchquery']; else echo $temp_phrase;?>
                    </span></td>
                  </tr>
                  <tr>
                    <td height="25" class="smallBold"><span class="small"><?php echo $lang['Chosen_Timeframe'];?></span></td>
                    <td height="25" class="smallBold">:</td>
                    <td height="25"><span class="small"><?php echo $limitday_low.".  - ".$limitday_high.".";?> <?php echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year;?></span></td>
                    <td height="25"><span class="smallBold"><span class="small"><?php echo $lang['Report_Date_Of_Creation'];?></span></span></td>
                    <td class="smallBold">:</td>
                    <td height="25"><span class="small">
                    <?php 
 // output day, month, year
 echo $my_timestamp->day.". ";echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year; 
 // output time 
 $display_hour= gethour($my_timestamp->hour, $my_config->timedisplay);
 echo " - ".$display_hour['hour'].":".$my_timestamp->minute." ";
 if ($my_config->timedisplay == '12') echo $my_timestamp->am_pm;
  else echo $lang['O_Clock'];
?>
                    </span></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <?php }?>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/archivebox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Archive_Overview'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table width=99% border=0 align="center" cellpadding=1 cellspacing=0>
            <tr>
              <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                        <tr>
                          <td colspan="8" class="tablehead"></td>
                        <tr class="small">
                          <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Change_View'];?>: </td>
                          <td valign="middle" class="tablehead"><div align="right"><img src="../images/blankspacer.gif" width="8" height="8" border="0"></div></td>
                        </tr>
                        <tr>
                          <td colspan="8" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                      </table>
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr valign="middle" class="optionsbackground">
                            <td>
                              <form action="showreport.php" method="post" name="searchform" id="searchform">
                                <table width="100%" border=0 cellpadding=2 cellspacing=3>
                                  <tbody>
                                    <tr>
                                      <td align=middle><table width="100%" border="0" cellpadding="0" cellspacing="0">
                                          <tr valign="middle">
                                            <td width="7%">
                                              <div align="left"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0"> <? echo $lang['Show_Report'];?>:</span></div></td>
                                            <td width="25%"><table width="99%" border="0" cellpadding="0" cellspacing="5">
                                                <tr valign="middle">
                                                  <td width="34%">
                                                    <div align="left">
                                                      <select name="menu1" id="menu1" style="width: 170px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF" onChange="MM_jumpMenu('self',this,0)">
                                                        <option value="#" selected><?php echo $lang['Please_Choose'];?></option>
                                                        <option value="#">----------------------------------------------------------------</option>
                                                        <option value="showarchivego.php?archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Overview'];?></option>
                                                        <option value="#">----------------------------------------------------------------</option>
                                                        <option value="showreport.php?report=refererbycountry&report_name=<?php echo urlencode($lang['Referer_By_Country']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Referer_By_Country'];?></option>
                                                        <option value="showreport.php?report=refererbydomain&report_name=<?php echo urlencode($lang['Referer_By_Domain']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Referer_By_Domain'];?></option>
                                                        <option value="showreport.php?report=refererbywebpage&report_name=<?php echo urlencode($lang['Referer_By_Webpage']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Referer_By_Webpage'];?></option>
                                                        <option value="#">----------------------------------------------------------------</option>
                                                        <option value="showreport.php?report=searchengines&report_name=<?php echo urlencode($lang['Searchengines']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Searchengines'];?></option>
                                                        <option value="showreport.php?report=searchwords&report_name=<?php echo urlencode($lang['Searchwords']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Searchwords'];?></option>
                                                        <option value="showreport.php?report=searchphrases&report_name=<?php echo urlencode($lang['Searchphrases']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Searchphrases'];?></option>
                                                        <option value="showreport.php?report=bots&report_name=<?php echo urlencode($lang['Bot_Visits']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Bot_Visits'];?></option>
                                                        <option value="showreport.php?report=indexedpages&report_name=<?php echo urlencode($lang['Indexed_Pages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Indexed_Pages'];?></option>
                                                        <option value="#">----------------------------------------------------------------</option>
                                                        <option value="showreport.php?report=downloads&report_name=<?php echo urlencode($lang['Downloads']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Downloads'];?></option>
                                                        <option value="#">----------------------------------------------------------------</option>
                                                        <option value="showreport.php?report=mediadata&report_name=<?php echo urlencode($lang['Mediadata']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Mediadata'];?></option>
                                                        <option value="#">----------------------------------------------------------------</option>
                                                        <option value="showcharts.php?archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Charts'];?></option>
                                                      </select>
                                                  </div></td>
                                                </tr>
                                            </table></td>
                                            <td width="13%"><div align="left"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0"> <? echo $lang['Show_Visitor_Data'];?>:</span></div></td>
                                            <td width="24%">
                                              <div align="left">
                                                <select name="select" onChange="MM_jumpMenu('self',this,0)" style="width: 170px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF">
                                                  <option value="#" selected><?php echo $lang['Please_Choose'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=hostnames&report_name=<?php echo urlencode($lang['Hostnames']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Hostnames'];?></option>
                                                  <option value="showreport.php?report=countries&report_name=<?php echo urlencode($lang['Countries']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Countries'];?></option>
                                                  <option value="showreport.php?report=languages&report_name=<?php echo urlencode($lang['Languages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Languages'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=systemsbyversion&report_name=<?php echo urlencode($lang['Systems_By_Version']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Systems_By_Version'];?></option>
                                                  <option value="showreport.php?report=systemsbytype&report_name=<?php echo urlencode($lang['Systems_By_Type']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Systems_By_Type'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=browserbyversion&report_name=<?php echo urlencode($lang['Browser_By_Version']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Browser_By_Version'];?></option>
                                                  <option value="showreport.php?report=browserbytype&report_name=<?php echo urlencode($lang['Browser_By_Type']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Browser_By_Type'];?></option>
                                                  <option value="showreport.php?report=browserplugins&report_name=<?php echo urlencode($lang['Browser_PlugIns']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Browser_PlugIns'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=resolution&report_name=<?php echo urlencode($lang['Screen_Resolution']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Screen_Resolution'];?></option>
                                                  <option value="showreport.php?report=colordepth&report_name=<?php echo urlencode($lang['Screen_Colordepth']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Screen_Colordepth'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=loyality&report_name=<?php echo urlencode($lang['Loyality']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Loyality'];?></option>
                                                </select>
                                            </div></td>
                                            <td width="8%"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0"> <? echo $lang['Show_Tracking'];?>:</span></td>
                                            <td width="23%">
                                              <div align="left">
                                                <select name="select" id="select" style="width: 170px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF" onChange="MM_jumpMenu('self',this,0)">
                                                  <option value="#" selected><?php echo $lang['Please_Choose'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=mostvisitedpages&report_name=<?php echo urlencode($lang['Most_Visited_Pages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Most_Visited_Pages'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=entrypages&report_name=<?php echo urlencode($lang['Entrypages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Entrypages'];?></option>
                                                  <option value="showreport.php?report=exitpages&report_name=<?php echo urlencode($lang['Exitpages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Exitpages'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=timespent&report_name=<?php echo urlencode($lang['Time_Spent']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Time_Spent'];?></option>
                                                </select>
                                            </div></td>
                                          </tr>
                                      </table></td>
                                    </tr>
                                  </tbody>
                                </table>
                            </form></td>
                          </tr>
                      </table></td>
                  </tr>
              </table></td>
            </tr>
          </table>          <br>
          <table width="100%" border=0>
            <tbody>
              <tr>
                <td><div align=center>
                    <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td><div align="right"><img src="../images/box_topleft.gif" width="4" height="7"></div></td>
                        <td><img src="../images/box_top.gif" width="100%" height="7"></td>
                        <td><img src="../images/box_topright.gif" width="4" height="7"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_left.gif" width="4" height="120"></div></td>
                        <td valign="top"><table width=99% border=0 align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td colspan="9"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr bordercolor="#000033">
                              <td height="16" colspan="9" class="tablehead"> <span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span><?php echo $lang['Selected_Month'].": ".$archive_month_long;?> <?php echo $archive_year;?>
                                <div align=left> </div></td>
                            </tr>
                            <tr bgcolor="#E2E2E2">
                              <td colspan="9" bgcolor="#E2E2E2" class="small"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr>
                              <td width="105" height="20" class="boxbackground"> <?php echo $lang['Total_Visits'];?> <br>
                              </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td width="134" height="20" class="resultbackground"><?php 
echo $visitors_month_total;
?>
                              </td>
                              <td width="103" height="20" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Impressions_Per_Visitor'];
?></td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" bgcolor="#F8F8F8" class="resultbackground"><?php
echo @round(($impressions_this_month/$visitors_month_total),1);
?></td>
                              <td width="139" height="20" class="boxbackground"><?
echo $lang['Retentionperiod_Per_Visitor'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td width="102" height="20" class="resultbackground"><?php echo $time_per_user; ?>
                                  <?
echo $lang['Minute_Short'];
?></td>
                            </tr>
                            <tr>
                              <td width="105" height="20" class="boxbackground"> <?php echo $lang['Unique_Visits'];?> </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php 
$totalvalue = $visitors_month_total + $visitors_month_unique;
echo $visitors_month_unique;
echo " (".@round((($visitors_month_unique*100)/$totalvalue),2)."%)";
?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Downloads'];
?>
                              </td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" class="resultbackground"><?php
 echo $downloads;
 echo " (".@round((($downloads*100)/$visitors_month_total),2)."%)";
?></td>
                              <td width="139" class="boxbackground"><?
echo $lang['Busiest_Day'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php $date_string = convert_date($busiestday_total, $archive_month, "", $my_config->datestyle); echo $date_string." ($busiestday_total_visitors)";?></td>
                            </tr>
                            <tr>
                              <td width="105" height="20" class="boxbackground"><?
echo $lang['Lateral_Entry'];
?>
                              </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?
echo $lateralentries_thismonth;
echo " (".@round((($lateralentries_thismonth*100)/$visitors_month_total),2)."%)";
?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Downloads_Per_Visitor'];
?>
                              </td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" class="resultbackground"><?php

 echo @round(($downloads/$visitors_month_total),2);

?>
                              </td>
                              <td width="139" class="boxbackground"><?
echo $lang['Weakest_Day'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php $date_string = convert_date($weakestday_total, $archive_month, "", $my_config->datestyle);echo $date_string." ($weakestday_total_visitors)";?></td>
                            </tr>
                            <tr>
                              <td width="105" class="boxbackground">
                                <?
echo $lang['Visitors_Per_Day'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground">
                                <?php
 @$tempvis = round($visitors_month_total/$activedays);
 @$tempvis_unique = round($visitors_month_unique/$activedays);
 $visstring = $tempvis." ".$lang['Total']." ($tempvis_unique ".$lang['Unique'].")";
 echo $visstring;
?>
                              </td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Transfer'];
?>
                              </td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" height="20" class="resultbackground">
                                <?php
echo $transfered_MByte." ".$lang['Megabyte'];
?>
                              </td>
                              <td width="139" class="boxbackground"><?
echo $lang['Busiest_Weekday'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php echo $lang['DateTime']["$busiest_weekday"];  echo " ($busiest_weekday_total)"; ?></td>
                            </tr>
                            <tr>
                              <td width="105" class="boxbackground"> <?php echo $lang['Impressions'];?> (<?php echo $lang['Day'];?>) </td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?
echo $impressions_this_month; echo " ("; echo @round(($impressions_this_month/$activedays),1).")";
?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Transfer_Per_Visitor'];
?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php
echo @round(($transfered_MByte/$visitors_month_total),2)." ".$lang['Megabyte'];
?></td>
                              <td width="139" class="boxbackground"><?
echo $lang['Weakest_Weekday'];
?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php echo $lang['DateTime']["$weakest_weekday"]; echo " ($weakest_weekday_total)"; ?></td>
                            </tr>
                        </table></td>
                        <td><img src="../images/box_right.gif" width="4" height="120"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_lowleft.gif" width="4" height="11"></div></td>
                        <td><img src="../images/box_bottom.gif" width="100%" height="11"></td>
                        <td><img src="../images/box_lowright.gif" width="4" height="11" hspace="0" vspace="0" border="0"></td>
                      </tr>
                    </table>
                </div></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table width="100%" border=0>
            <tbody>
              <tr>
                <td><div align=center>
                    <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td><div align="right"><img src="../images/box_topleft.gif" width="4" height="7"></div></td>
                        <td><img src="../images/box_top.gif" width="100%" height="7"></td>
                        <td><img src="../images/box_topright.gif" width="4" height="7"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_left.gif" width="4" height="120"></div></td>
                        <td valign="top"><table width=99% border=0 align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td colspan="9"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr bordercolor="#000033">
                              <td height="16" colspan="9" class="tablehead"> <span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span><span class="small"><? echo $lang['Visitor_Details'];?></span>
                                  <div align=left> </div></td>
                            </tr>
                            <tr bgcolor="#E2E2E2">
                              <td colspan="9" bgcolor="#E2E2E2" class="small"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr>
                              <td width="105" height="20" class="boxbackground"> <?php echo $lang['Bot_Visits'];?> <br>
                              </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td width="134" height="20" class="resultbackground"><?php 
echo $botvisits;
?>
                              </td>
                              <td width="103" height="20" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Countries'];
?></td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" bgcolor="#F8F8F8" class="resultbackground"><?php
echo $countries;
?></td>
                              <td width="139" height="20" class="boxbackground"><?
echo $lang['Top_Hostname'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td width="102" height="20" class="resultbackground">
<?php
 if (strlen($top_hostname > 30)){ $top_hostname = substr($top_hostname,0,27); $top_hostname .= "..."; }
 if ($top_hostname == '') echo "-"; else echo $top_hostname; 
?>                                  </td>
                            </tr>
                            <tr>
                              <td width="105" height="20" class="boxbackground"> <?php echo $lang['Bot_Visits']."/".$lang['Day'];?> </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php 
echo @round(($botvisits/$activedays),1);
?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Languages'];
?>
                              </td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" class="resultbackground"><?php
 echo $languages;
?></td>
                              <td width="139" class="boxbackground"><?
echo $lang['Top_System'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php if($top_system == '') echo "-"; else echo $top_system;?></td>
                            </tr>
                            <tr>
                              <td width="105" height="20" class="boxbackground"><?php echo $lang['Direct_Access'];?> </td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground">
                                <?
echo $my_object->text_directaccess;
?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Hostnames'];
?>
                              </td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" class="resultbackground"><?php

 echo $hostnames;

?>
                              </td>
                              <td width="139" class="boxbackground"><?
echo $lang['Top_Browser'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php if($top_browser == '') echo "-"; else echo $top_browser;?></td>
                            </tr>
                            <tr>
                              <td width="105" class="boxbackground">
                                <?
echo $lang['Visitors_By_Referer'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground">
                                <?
echo $my_object->text_byreferer;
?>
                              </td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground">                                <?
echo $lang['Top_Country'];
?>
</td>
                              <td width="17" height="20" class="boxbackground">:</td>
                              <td width="108" height="20" class="resultbackground">
                                <?php
$output_text = getcountry($top_country); if ($output_text == '') $output_text = "-"; 
echo $output_text
?>
                              </td>
                              <td width="139" class="boxbackground"><?
echo $lang['Top_Resolution'];
?></td>
                              <td width="15" height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php if ($top_resolution == '') echo $lang['Not_Available']; else echo $top_resolution." ".$lang['Pixel'];?></td>
                            </tr>
                            <tr>
                              <td width="105" class="boxbackground"><?
echo $lang['Visitors_By_Engine'];
?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?
echo $my_object->text_bysearchengine;
?></td>
                              <td width="103" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Top_Language'];
?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground">                              <?php
if ($lang["$top_language"] == '') echo "-"; else echo $lang["$top_language"];
?></td>
                              <td width="139" class="boxbackground"><?
echo $lang['Top_Colordepth'];
?></td>
                              <td height="20" class="boxbackground">:</td>
                              <td height="20" class="resultbackground"><?php if ($top_colordepth == '') echo $lang['Not_Available']; else echo $top_colordepth." ".$lang['Bit'];?></td>
                            </tr>
                        </table></td>
                        <td><img src="../images/box_right.gif" width="4" height="120"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_lowleft.gif" width="4" height="11"></div></td>
                        <td><img src="../images/box_bottom.gif" width="100%" height="11"></td>
                        <td><img src="../images/box_lowright.gif" width="4" height="11" hspace="0" vspace="0" border="0"></td>
                      </tr>
                    </table>
                </div></td>
              </tr>
            </tbody>
          </table>
        <span class="small">        </span><br>
          <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0" class="finelinebox">
            <tr>
              <td height="16" colspan="4" class="tablehead"><span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><span class="smallBold"></span><?php echo $lang['Visitors_By_Day'];?></span></td>
            </tr>
            <tr>
              <td height="2" colspan="4"><img src="../images/blackdot.gif" width="100%" height="1"></td>
            </tr>
            <tr>
              <td width="68%" class="resultbackground"><div align="center"><span class="small"> <br>
                        <?php

 // display bar chart showing number of visitors to site this month(by day)

 // seed with microseconds 
 function make_seed()
 { 
  @list($usec, $sec) = explode(' ', microtime());
  return (float) $sec + ((float) $usec * 100000);
 } 
 mt_srand(make_seed());
 $randval = mt_rand();

 // create a new chart image
 $chart = new chart();

 // define chart-filename
 $visitorchart_filename = "images/".$my_session->account_id."_chartvisitormonth.png";
 if(file_exists($visitorchart_filename))  @unlink($visitorchart_filename);

  // set filename of image to be breated
 $chart->setFilename($visitorchart_filename); 

 // set image height and width properties
 $chart->setWidth(770);
 $chart->setHeight(250);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('vertical');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis($my_timestamp->daysthismonth); // draw ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(5);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(20);   	// margin on right side of image
 $chart->setLeftMargin(5);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(5);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // get maximum and minimum value
 $maxvalue = max($totalvisitors);
 $minvalue = min($totalvisitors);

 // put all total-visitors per day into data-array
 foreach($totalvisitors AS $key=>$value) { 
  $chart->ReplaceValue($key,$value);
 }
 
 // put all unique-visitor per day into data-array
 foreach($uniquevisitors AS $key=>$value) { 
  $chart->ReplaceAnotherValue($key,$value);
 }

 // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);

 // draw chart
 $chart->drawChart();

 ?>
                  </span><img src="<?php echo $visitorchart_filename."?id=".$randval;?>"><br>
                  <br>
              </div></td>
            </tr>
          </table>
          <br>          <br>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr>
              <td colspan=3 valign="top"><!-- Hidden frame START -->
                  <iframe src="" id="exportframe" name="exportframe" frameborder="0" width="0" height="0" style="visiblity:hidden;">IFRAME</iframe></td>
            </tr>
        </table></td>
    </tr>
  </table>
</div>
</body>
</html>





