<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/configdata.inc.php");
include_once ($include_path."./../includes/exportdata.inc.php");
include_once ($include_path."./../includes/getcountry.inc.php");
include_once ($include_path."./../includes/timeconverter.inc.php");
include_once ($include_path."./../chart/chart.inc.php"); 			   

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp(); 

 // check if user is logged in or not
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $_SESSION['account_id']);

 // maximum width for graph
 $graphmaxwidth = 480;

 // maximum length of data key
 $maxfieldlength = 48;

 // number of days in this month
 $numofdays = date ("d", mktime(0,0,0,$my_timestamp->month+1,0,$my_timestamp->year));

 // get archive-month, year and wanted type of report
 $archive_year  = $_REQUEST['archive_year'];
 $archive_month = $_REQUEST['archive_month'];
 $report		= $_REQUEST['report'];
 $report_name   = urldecode($_REQUEST['report_name']);

 if ($archive_month == '1') $archive_month_long = $lang['DateTime']['January'];
 if ($archive_month == '2') $archive_month_long = $lang['DateTime']['February'];
 if ($archive_month == '3') $archive_month_long = $lang['DateTime']['March'];
 if ($archive_month == '4') $archive_month_long = $lang['DateTime']['April'];
 if ($archive_month == '5') $archive_month_long = $lang['DateTime']['May'];
 if ($archive_month == '6') $archive_month_long = $lang['DateTime']['June'];
 if ($archive_month == '7') $archive_month_long = $lang['DateTime']['July'];
 if ($archive_month == '8') $archive_month_long = $lang['DateTime']['August'];
 if ($archive_month == '9') $archive_month_long = $lang['DateTime']['September'];
 if ($archive_month == '10') $archive_month_long = $lang['DateTime']['October'];
 if ($archive_month == '11') $archive_month_long = $lang['DateTime']['November'];
 if ($archive_month == '12') $archive_month_long = $lang['DateTime']['December'];

 ////////////////////////////////////////////////////////////////////
 // EXTRACT REQUESTED REPORT FROM ARCHIVE-TABLE
 ////////////////////////////////////////////////////////////////////
 // execute sql-query and retrieve data
 $sql = "SELECT impression_container, download_container, transfer_container FROM $my_tables->archivetable
	     WHERE archive_month = '$archive_month' AND archive_year = '$archive_year'
		 AND websitename = '$activesitename'";

 $result    			= mysql_query($sql);
 $my_object 			= mysql_fetch_object($result);

 // get impression for each day of this month
 $impressions_overview = unserialize($my_object->impression_container);

 // get downloads for each day of this month
 $download_overview = unserialize($my_object->download_container);

 // get impression for each day of this month
 $transfer_overview = unserialize($my_object->transfer_container);


 // seed with microseconds 
 function make_seed()
 { 
  @list($usec, $sec) = explode(' ', microtime());
  return (float) $sec + ((float) $usec * 100000);
 } 

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>

<html>
<head>
<title>Show Charts</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function printme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?print=TRUE&archive_month=<?php echo $archive_month;?>&archive_year=<?php echo $archive_year;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 window.open(target, 'printWindow', 'height=600,width=1000, scrollbars');return false;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&report_name=<?php echo $report_name;?>&report=<?php echo $report;?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>&displayframe_name=archive/showcharts.php';
}
//--
//-->
</script>
</head>
<body onload="<?php if ($print) echo "window.print();";?> showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" style="position:relative; z-index:10; visibility: hidden;" onmouseover="starthiding();">
  <?php if ($print) {?>
  <table width="100%"  border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="26%" height="12" class="large_black"><img src="../images/printoutlogo.jpg" width="156" height="74"><br></td>
            <td width="74%" class="large_black"><div align="right" class="large_blackBold"><strong><?php echo $lang['Archive_Report'];?>:<img src="../images/blankspacer.gif" width="10" height="5" border="0"> <?php echo $lang['Charts'];?></strong></div></td>
          </tr>
          <tr>
            <td height="13" colspan="2" class="large_black"><br></td>
          </tr>
      </table></td>
    </tr>
  </table>
  <?php }?>
  <?php if (!$print) {?>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><?php echo $lang['Archive_Data']; ?> <?php echo $lang['For']; ?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <?php }?>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <?php if (!$print) echo "<br>"; if ($print) {?>
          <table width="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="98%"  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="16%" height="25" class="smallBold"><span class="small"><?php echo $lang['Websitename'];?></span></td>
                    <td width="3%" height="25" class="smallBold">:</td>
                    <td width="30%" height="25"><span class="small"><?php echo $activesitename;?></span></td>
                    <td width="19%" height="25"><span class="smallBold"><span class="small"><?php echo $lang['Searchphrase'];?></span></span></td>
                    <td width="3%" class="smallBold">:</td>
                    <td width="29%"><span class="small">
                      <?php
 $temp_phrase = str_replace(" "," + ",$searchphrase);
 if ($temp_phrase == '') echo $lang['No_Searchquery']; else echo $temp_phrase;?>
                    </span></td>
                  </tr>
                  <tr>
                    <td height="25" class="smallBold"><?php echo $lang['Archivemonth'];?></td>
                    <td height="25" class="smallBold">:</td>
                    <td height="25"><span class="small"><?php echo $archive_month_long." ".$archive_year;?></span></td>
                    <td height="25"><span class="smallBold"><span class="small"><?php echo $lang['Report_Date_Of_Creation'];?></span></span></td>
                    <td class="smallBold">:</td>
                    <td height="25"><span class="small">
                    <?php 
 // output day, month, year
 echo $my_timestamp->day.". ";echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year; 
 // output time 
 $display_hour= gethour($my_timestamp->hour, $my_config->timedisplay);
 echo " - ".$display_hour['hour'].":".$my_timestamp->minute." ";
 if ($my_config->timedisplay == '12') echo $my_timestamp->am_pm;
  else echo $lang['O_Clock'];
?>
                    </span></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br>
          <?php }?>
          <?php if (!$print) {?>          
        <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/archivebox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Showcharts'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
        </table>
          <br>
          <table width=99% border=0 align="center" cellpadding=1 cellspacing=0>
            <tr>
              <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                        <tr>
                          <td colspan="8" class="tablehead"></td>
                        <tr class="small">
                          <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Change_View'];?>: </td>
                          <td valign="middle" class="tablehead"><div align="right"><img src="../images/blankspacer.gif" width="8" height="8" border="0"></div></td>
                        </tr>
                        <tr>
                          <td colspan="8" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                      </table>
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr valign="middle" class="optionsbackground">
                            <td>
                              <form action="showreport.php" method="post" name="searchform" id="searchform">
                                <table width="100%" border=0 cellpadding=2 cellspacing=3>
                                  <tbody>
                                    <tr>
                                      <td align=middle><table width="100%" border="0" cellpadding="0" cellspacing="0">
                                          <tr valign="middle">
                                            <td width="7%">
                                              <div align="left"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0"> <? echo $lang['Show_Report'];?>:</span></div></td>
                                            <td width="25%"><table width="99%" border="0" cellpadding="0" cellspacing="5">
                                                <tr valign="middle">
                                                  <td width="34%">
                                                    <div align="left">
                                                      <select name="select" onChange="MM_jumpMenu('self',this,0)" style="width: 170px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF">
                                                        <option value="#" selected><?php echo $lang['Please_Choose'];?></option>
                                                        <option value="#">----------------------------------------------------------------</option>
                                                        <option value="showarchivego.php?archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Overview'];?></option>
                                                        <option value="#">----------------------------------------------------------------</option>
                                                        <option value="showreport.php?report=refererbycountry&report_name=<?php echo urlencode($lang['Referer_By_Country']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Referer_By_Country'];?></option>
                                                        <option value="showreport.php?report=refererbydomain&report_name=<?php echo urlencode($lang['Referer_By_Domain']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Referer_By_Domain'];?></option>
                                                        <option value="showreport.php?report=refererbywebpage&report_name=<?php echo urlencode($lang['Referer_By_Webpage']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Referer_By_Webpage'];?></option>
                                                        <option value="#">----------------------------------------------------------------</option>
                                                        <option value="showreport.php?report=searchengines&report_name=<?php echo urlencode($lang['Searchengines']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Searchengines'];?></option>
                                                        <option value="showreport.php?report=searchwords&report_name=<?php echo urlencode($lang['Searchwords']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Searchwords'];?></option>
                                                        <option value="showreport.php?report=searchphrases&report_name=<?php echo urlencode($lang['Searchphrases']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Searchphrases'];?></option>
                                                        <option value="showreport.php?report=bots&report_name=<?php echo urlencode($lang['Bot_Visits']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Bot_Visits'];?></option>
                                                        <option value="#">----------------------------------------------------------------</option>
                                                        <option value="showreport.php?report=downloads&report_name=<?php echo urlencode($lang['Downloads']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Downloads'];?></option>
                                                        <option value="#">----------------------------------------------------------------</option>
                                                        <option value="showcharts.php?archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Charts'];?></option>
                                                      </select>
                                                  </div></td>
                                                </tr>
                                            </table></td>
                                            <td width="13%"><div align="left"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0"> <? echo $lang['Show_Visitor_Data'];?>:</span></div></td>
                                            <td width="24%">
                                              <div align="left">
                                                <select name="select" onChange="MM_jumpMenu('self',this,0)" style="width: 170px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF">
                                                  <option value="#" selected><?php echo $lang['Please_Choose'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=hostnames&report_name=<?php echo urlencode($lang['Hostnames']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Hostnames'];?></option>
                                                  <option value="showreport.php?report=countries&report_name=<?php echo urlencode($lang['Countries']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Countries'];?></option>
                                                  <option value="showreport.php?report=languages&report_name=<?php echo urlencode($lang['Languages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Languages'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=systemsbyversion&report_name=<?php echo urlencode($lang['Systems_By_Version']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Systems_By_Version'];?></option>
                                                  <option value="showreport.php?report=systemsbytype&report_name=<?php echo urlencode($lang['Systems_By_Type']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Systems_By_Type'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=browserbyversion&report_name=<?php echo urlencode($lang['Browser_By_Version']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Browser_By_Version'];?></option>
                                                  <option value="showreport.php?report=browserbytype&report_name=<?php echo urlencode($lang['Browser_By_Type']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Browser_By_Type'];?></option>
                                                  <option value="showreport.php?report=browserplugins&report_name=<?php echo urlencode($lang['Browser_PlugIns']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Browser_PlugIns'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=resolution&report_name=<?php echo urlencode($lang['Screen_Resolution']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Screen_Resolution'];?></option>
                                                  <option value="showreport.php?report=colordepth&report_name=<?php echo urlencode($lang['Screen_Colordepth']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Screen_Colordepth'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=loyality&report_name=<?php echo urlencode($lang['Loyality']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Loyality'];?></option>
                                                </select>
                                            </div></td>
                                            <td width="8%"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0"> <? echo $lang['Show_Tracking'];?>:</span></td>
                                            <td width="23%">
                                              <div align="left">
                                                <select name="select" id="select2" style="width: 170px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF" onChange="MM_jumpMenu('self',this,0)">
                                                  <option value="#" selected><?php echo $lang['Please_Choose'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=mostvisitedpages&report_name=<?php echo urlencode($lang['Most_Visited_Pages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Most_Visited_Pages'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=entrypages&report_name=<?php echo urlencode($lang['Entrypages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Entrypages'];?></option>
                                                  <option value="showreport.php?report=exitpages&report_name=<?php echo urlencode($lang['Exitpages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Exitpages'];?></option>
                                                  <option value="#">----------------------------------------------------------------</option>
                                                  <option value="showreport.php?report=timespent&report_name=<?php echo urlencode($lang['Time_Spent']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Time_Spent'];?></option>
                                                </select>
                                            </div></td>
                                          </tr>
                                      </table></td>
                                    </tr>
                                  </tbody>
                                </table>
                            </form></td>
                          </tr>
                      </table></td>
                  </tr>
              </table></td>
            </tr>
          </table>          
          <?php }?>
          <br>          <?php if ($report != 'mostvisitedpages') { ?>
          <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0" class="finelinebox">
            <tr>
              <td height="16" colspan="4" class="tablehead"><span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><span class="smallBold"></span><?php echo $lang['Impressions_By_Day'];?></span></td>
            </tr>
            <tr>
              <td height="2" colspan="4"><img src="../images/blackdot.gif" width="100%" height="1"></td>
            </tr>
            <tr>
              <td width="68%" class="resultbackground"><div align="center"><span class="small"> <br>
                        <?php

 // display bar chart showing number of visitors to site this month(by day)
 unset($chart);
 mt_srand(make_seed());
 $randval = mt_rand();

 // create a new chart image
 $chart = new chart();

 // define chart-filename
 $impressionchart_filename = "images/".$my_session->account_id."_chartimpressionmonth.png";
 if(file_exists($impressionchart_filename)) @unlink($impressionchart_filename);

  // set filename of image to be breated
 $chart->setFilename($impressionchart_filename); 

 // set image height and width properties
 $chart->setWidth(770);
 $chart->setHeight(250);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('vertical');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis($my_timestamp->daysthismonth); // draw ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(5);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(15);   	// margin on right side of image
 $chart->setLeftMargin(15);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(6);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // get maximum and minimum value
 $maxvalue = max($impressions_overview);
 $minvalue = min($impressions_overview);

 // put all total-visitors per day into data-array
 foreach($impressions_overview AS $key=>$value) { 
  $chart->ReplaceValue($key,$value);
 }
 
  // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);

 // draw chart
 $chart->drawChart();
 ?>
                  </span><img src="<?php echo $impressionchart_filename."?id=".$randval;?>"><br>
                  <br>
              </div></td>
            </tr>
          </table>
          <span class="small"> </span><span class="small"> <br>
          <br>
          </span>
          <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0" class="finelinebox">
            <tr>
              <td height="16" colspan="4" class="tablehead"><span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><span class="smallBold"></span><?php echo $lang['Transfer_By_Day']." (".$lang['Megabyte'].")";?></span></td>
            </tr>
            <tr>
              <td height="2" colspan="4"><img src="../images/blackdot.gif" width="100%" height="1"></td>
            </tr>
            <tr>
              <td width="68%" class="resultbackground"><div align="center"><span class="small"> <br>
                        <?php

 // display bar chart showing number of visitors to site this month(by day)
 unset($chart);
 mt_srand(make_seed());
 $randval = mt_rand();

 // create a new chart image
 $chart = new chart();

 // define chart-filename
 $transferchart_filename = "images/".$my_session->account_id."_charttransfermonth.png";
 if(file_exists($transferchart_filename)) @unlink($transferchart_filename);

  // set filename of image to be breated
 $chart->setFilename($transferchart_filename); 

 // set image height and width properties
 $chart->setWidth(770);
 $chart->setHeight(250);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('vertical');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis($my_timestamp->daysthismonth); // draw ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(5);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(15);   	// margin on right side of image
 $chart->setLeftMargin(15);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(6);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // get maximum and minimum value
 $maxvalue = max($transfer_overview);
 $minvalue = min($transfer_overview);

 // put all total-visitors per day into data-array
 foreach($transfer_overview AS $key=>$value) { 
  $chart->ReplaceValue($key,$value);
 }
 
  // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);

 // draw chart
 $chart->drawChart();
 ?>
                  </span><img src="<?php echo $transferchart_filename."?id=".$randval;?>"><br>
                  <br>
              </div></td>
            </tr>
          </table>
          <span class="small"><br>          
          <br>
          </span>
          <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0" class="finelinebox">
            <tr>
              <td height="16" colspan="4" class="tablehead"><span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><span class="smallBold"></span><?php echo $lang['Downloads_By_Day'];?></span></td>
            </tr>
            <tr>
              <td height="2" colspan="4"><img src="../images/blackdot.gif" width="100%" height="1"></td>
            </tr>
            <tr>
              <td width="68%" class="resultbackground"><div align="center"><span class="small"> <br>
                        <?php

 // display bar chart showing number of visitors to site this month(by day)
 unset($chart);
 mt_srand(make_seed());
 $randval = mt_rand();

 // create a new chart image
 $chart = new chart();

 // define chart-filename
 $downloadchart_filename = "images/".$my_session->account_id."_chartdownloadsmonth.png";
 if(file_exists($downloadchart_filename)) @unlink($downloadchart_filename);

  // set filename of image to be breated
 $chart->setFilename($downloadchart_filename); 

 // set image height and width properties
 $chart->setWidth(770);
 $chart->setHeight(250);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('vertical');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis($my_timestamp->daysthismonth); // draw ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(5);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(15);   	// margin on right side of image
 $chart->setLeftMargin(15);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(6);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // get maximum and minimum value
 $maxvalue = max($download_overview);
 $minvalue = min($download_overview);

 // put all total-visitors per day into data-array
 foreach($download_overview AS $key=>$value) {
  $chart->ReplaceValue($key,$value);
 }
 
  // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);

 // draw chart
 $chart->drawChart();
 ?>
                  </span><img src="<?php echo $downloadchart_filename."?id=".$randval;?>"><br>
                  <br>
              </div></td>
            </tr>
          </table>          
          <span class="small"><br>
          <br><?php if (!$print) { ?>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          </span>
          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="60%">&nbsp;</td>
              <td width="40%"><div align="right"><span class="smallBlack"><a href="#" title="<?php echo $lang['Print'];?>" onClick="printme();"><img src="../images/arr2.jpg" width="4" height="5" border="0"> <?php echo $lang['Print_This_Page'];?></a></span></div></td>
            </tr>
          </table>
          <span class="small">
          <?php } ?>
          </span><br>          <? }?>        <br>        <br>        <br>
        <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr>
              <td colspan=3 valign="top">
                <!-- Hidden frame START -->
                <iframe src="" id="exportframe" name="exportframe" frameborder="0" width="0" height="0" style="visiblity:hidden;">IFRAME</iframe>
                <!-- Hidden frame END -->              </td>
            </tr>
        </table></td>
    </tr>
  </table>
</div>
</body>
</html>





