<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/configdata.inc.php");
include_once ($include_path."./../includes/exportdata.inc.php");
include_once ($include_path."./../includes/getcountry.inc.php");
include_once ($include_path."./../includes/timeconverter.inc.php");
include_once ($include_path."./../chart/chart.inc.php"); 			   

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp(); 

 // check if user is logged in or not
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $_SESSION['account_id']);

 // maximum width for graph
 $graphmaxwidth = 320;

 // maximum length of data key
 $maxfieldlength = 48;

 // maxmimum lenght of webpagename
 $max_pagename_length = 44;

 // number of days in this month
 $numofdays = date ("d", mktime(0,0,0,$my_timestamp->month+1,0,$my_timestamp->year));

 // get archive-month, year and wanted type of report
 $archive_year  = $_REQUEST['archive_year'];
 $archive_month = $_REQUEST['archive_month'];
 $report		= $_REQUEST['report'];
 $report_name   = urldecode($_REQUEST['report_name']);

 if ($archive_month == '1') $archive_month_long = $lang['DateTime']['January'];
 if ($archive_month == '2') $archive_month_long = $lang['DateTime']['February'];
 if ($archive_month == '3') $archive_month_long = $lang['DateTime']['March'];
 if ($archive_month == '4') $archive_month_long = $lang['DateTime']['April'];
 if ($archive_month == '5') $archive_month_long = $lang['DateTime']['May'];
 if ($archive_month == '6') $archive_month_long = $lang['DateTime']['June'];
 if ($archive_month == '7') $archive_month_long = $lang['DateTime']['July'];
 if ($archive_month == '8') $archive_month_long = $lang['DateTime']['August'];
 if ($archive_month == '9') $archive_month_long = $lang['DateTime']['September'];
 if ($archive_month == '10') $archive_month_long = $lang['DateTime']['October'];
 if ($archive_month == '11') $archive_month_long = $lang['DateTime']['November'];
 if ($archive_month == '12') $archive_month_long = $lang['DateTime']['December'];

 ////////////////////////////////////////////////////////////////////
 // EXTRACT REQUESTED REPORT FROM ARCHIVE-TABLE
 ////////////////////////////////////////////////////////////////////

 // #1: referer by country
 if ($report == 'refererbycountry') { $heading1 = $lang['Country']; $export_origin = "refbycountry"; $container = "refererbycountry_container";  $total = "refererbycountry_total";}
 // #2: referer by domain
 if ($report == 'refererbydomain')  { $heading1 = $lang['Domain'];  $export_origin = "refbydomain"; $container = "refererbydomain_container";   $total = "refererbydomain_total";}
 // #3: referer by webpage
 if ($report == 'refererbywebpage') { $heading1 = $lang['Webpage']; $export_origin = "refbywebpage"; $container = "refererbywebpage_container";  $total = "refererbywebpage_total";}
 // #4: searchengines
 if ($report == 'searchengines') { $heading1 = $lang['Searchengine']; $export_origin = "searchengine"; $container = "searchengine_container";  $total = "searchenginestotal";}
 // #5: searchwords
 if ($report == 'searchwords') { $heading1 = $lang['Searchwords']; $export_origin = "searchwords"; $container = "searchword_container";  $total = "searchwordstotal";}
 // #6: searchphrases
 if ($report == 'searchphrases') { $heading1 = $lang['Searchphrase']; $export_origin = "searchphrases"; $container = "searchquery_container";  $total = "searchqueriestotal";}
 // #7: bots
 if ($report == 'bots') { $heading1 = $lang['Bot']; $export_origin = "botvisits"; $container = "bot_container";  $total = "botstotal";}
 // #8: hostnames
 if ($report == 'hostnames') { $heading1 = $lang['Hostname']; $export_origin = "hostnames"; $container = "hostname_container";  $total = "hostnamestotal";}
 // #9: countries
 if ($report == 'countries') { $heading1 = $lang['Country']; $export_origin = "countries"; $container = "country_container";  $total = "countriestotal";}
 // #10: languages
 if ($report == 'languages') { $heading1 = $lang['Language']; $export_origin = "languages"; $container = "language_container";  $total = "languagestotal";}
 // #11: systems by version
 if ($report == 'systemsbyversion') { $heading1 = $lang['System']; $export_origin = "systembyversion"; $container = "systembyversion_container";  $total = "systemsbyversiontotal";}
 // #12: systems by type
 if ($report == 'systemsbytype') { $heading1 = $lang['System']; $export_origin = "systembytype"; $container = "systembytype_container";  $total = "systemsbytypetotal";}
 // #13: browser by type
 if ($report == 'browserbytype') { $heading1 = $lang['Browser']; $export_origin = "browserbytype"; $container = "browserbytype_container";  $total = "browserbytypetotal";}
 // #14: browser by version
 if ($report == 'browserbyversion') { $heading1 = $lang['Browser']; $export_origin = "browserbyversion"; $container = "browserbyversion_container";  $total = "browserbyversiontotal";}
 // #15: browser by version
 if ($report == 'browserplugins') { $heading1 = $lang['Browser_PlugIn']; $export_origin = "browserplugin"; $container = "plugin_container";  $total = "pluginstotal";}
 // #16: screen resolution
 if ($report == 'resolution') { $heading1 = $lang['Resolution']; $export_origin = "resolution"; $container = "resolution_container";  $total = "resolutionstotal";}
 // #17: screen colordepth
 if ($report == 'colordepth') { $heading1 = $lang['Colordepth']; $export_origin = "colordepth"; $container = "colordepth_container";  $total = "colordepthstotal";}
 // #18: most visited pages
 if ($report == 'mostvisitedpages') { $heading1 = $lang['Webpage']; $export_origin = "topwebpage"; $container = "trackingpage_container";  $total = "trackingpagestotal";}
 // #19: entrypages
 if ($report == 'entrypages') { $heading1 = $lang['Webpage']; $export_origin = "entrypages"; $container = "entrypage_container";  $total = "entrypagestotal";}
 // #20: exitpages
 if ($report == 'exitpages') { $heading1 = $lang['Webpage']; $export_origin = "exitpages"; $container = "exitpage_container";  $total = "exitpagestotal";}
 // #21: time spent on pages
 if ($report == 'timespent') { $heading1 = $lang['Time']; $export_origin = "timespent"; $container = "timespent_container";  $total = "timespenttotal";}
 // #22: loyality
 if ($report == 'loyality') { $heading1 = $lang['Number_Of_Visits']; $export_origin = "loyality"; $container = "loyality_container";  $total = "loyalitytotal";}
 // #23: downloads
 if ($report == 'downloads') { $heading1 = $lang['Download_Name']; $export_origin = "downloads"; $container = "downloadoverview";  $total = "0";}
 // #24: indexed pages
 if ($report == 'indexedpages') { $heading1 = $lang['Webpage']; $export_origin = "indexedpages"; $container = "indexpage_container";  $total = "indexpagestotal";}
 // #25: media data (campaigns)
 if ($report == 'mediadata') { $heading1 = $lang['Campaign']; $export_origin = "mediadata"; $container = "campaign_container";  $total = "campaignstotal";}

 // execute sql-query and retrieve data
 $sql = "SELECT $container, $total FROM $my_tables->archivetable
	     WHERE archive_month = '$archive_month' AND archive_year = '$archive_year'
		 AND websitename = '$activesitename'";

 @$result    			= mysql_query($sql);
 @$my_object 			= mysql_fetch_object($result);
 @$data_container 		= unserialize($my_object->$container);
 @$data_total	  		= $my_object->$total;	
 @$data_container_count = count($data_container);

  // get total number of downloads (if report is requested)
 if ($report == 'downloads')
  $total = $data_container_count;

 // get total number of clicks (if media-datareport is requested)
 if ($report == 'mediadata')
 {
   foreach($data_container AS $key => $value)
   $totalcount += $value;
 }

 // get $showmax-value
 $showmax	   = $_REQUEST['showmax'];

 // check if this page needs to be printed
 $print = $_REQUEST['print'];

 // get searchphrase and unset it if nescessary
 $searchphrase = trim($_REQUEST['searchphrase']);
 if(empty($searchphrase) || $searchphrase == $lang['Enter_Searchphrase']) unset($searchphrase);

 // if searchphrase is set, rebuild data container
 if (!empty($searchphrase))
 {
  $searchwords = explode(" ", $searchphrase);
  while (@list($key, $value) = each ($data_container))
  { 
   foreach($searchwords AS $current_word)
   {
    if (eregi($current_word, $key))
     $new_container[$key] = $value;   
   }
  }
  // hand over new container-data
  $data_container = $new_container;
 }
 
 // set number of entries to display
 if (!isset($showmax) || $showmax == 0) $showmax = $my_config->showentries;

 // get total value of keys in $data_container
 
 if ($report == 'mostvisitedpages' || $report == 'indexedpages')
 {
  // create sum of all entries 
  foreach($data_container AS $entry) { $entries += $entry['totalnumber']; }
  if (isset($data_container)) @reset($data_container); if (isset($entry)) @reset($entry);
 
  // calculate maximum values for graph creation
  foreach($data_container AS $entry) { $maxvalue = $entry['totalnumber']; break;}
  foreach($data_container AS $entry) { $div_value += $entry['totalnumber']; }
  @reset($data_container);
 
  // set total value
  $values_total = $tracking_container_count;

  // copy total_count-value
  $totalcount 	 = $entries;
 }
 else
 {
  if (!empty($totalcount))
  {
   while (list($thekey, $thevalue) = each ($data_container)){$totalcount += $thevalue;} 
   reset ($data_container);
  }
 }

 // calculate total number of entries / total number of search results
 if ($searchphrase != '' || $limitday_low > 1 || $limitday_high < $numofdays)
  $values_total = $data_container_count;

 // check if $showmax is within limits
 if ($showmax > $data_container_count) $showmax = $data_container_count;
 if ($showmax < 1) $showmax = $my_config->showentries;
 
 //  ###### EXPORT DATA ######			
 if ($_REQUEST['export'] == 'TRUE')
 {
  if ($report == 'mostvisitedpages')
  {
   // create compatible container for export
   foreach($data_container AS $entry) 
   {
    if ($entry['webpagename'] == "") $data_container[$entry['realpagename']] = $entry['totalnumber'];
     else $data_container[$entry['webpagename']] = $entry['totalnumber'];
   }
   @reset($data_container);
  }

  // set headings
  if ($report == 'downloads') $heading2 = $lang['Downloads']; else $heading2 = $lang['Visitors'];
  $heading3 = $lang['Percent'];

  // get account_id -> will be used in filename
  $account_id 	= $_SESSION['account_id'];

  // set fileformat and filename
  $fileformat   = "csv";
  $filename 	= "./export/".$account_id."_".$export_origin.".".$fileformat;
 
  // export data
  export_to_file($data_container, $totalcount, $filename, $fileformat, $heading1, $heading2, $heading3);
  exit();
 }
 //  #########################

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>

<html>
<head>
<title>Show Report</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/popup.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function printme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?report_name=<?php echo urlencode($report_name);?>&print=TRUE&report=<?php echo $report;?>&archive_month=<?php echo $archive_month;?>&archive_year=<?php echo $archive_year;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 window.open(target, 'printWindow', 'height=500,width=950, scrollbars');return false;
}
function exportme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?report_name=<?php echo urlencode($report_name);?>&export=TRUE&&report=<?php echo $report;?>&archive_month=<?php echo $archive_month;?>&archive_year=<?php echo $archive_year;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 document.getElementById("exportframe").src = target;
}
///////////////////////////////////////////////////////
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&report_name=<?php echo $report_name;?>&report=<?php echo $report;?>&archive_month=<?php echo $archive_month;?>&archive_year=<?php echo $archive_year;?>&displayframe_name=archive/showreport.php';
}
//-->
</script>
</head>
<body onload="<?php if ($print) echo "window.print();";?>showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
  <?php if ($print) {?>
  <table width="100%"  border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="26%" height="12" class="large_black"><img src="../images/printoutlogo.jpg" width="156" height="74"><br></td>
            <td width="74%" class="large_black"><div align="right" class="large_blackBold"><strong><?php echo $lang['Archive_Report'];?>:<img src="../images/blankspacer.gif" width="10" height="5" border="0"> <?php echo $report_name;?></strong></div></td>
          </tr>
          <tr>
            <td height="13" colspan="2" class="large_black"><br></td>
          </tr>
      </table></td>
    </tr>
  </table>
  <?php }?>
  <?php if (!$print) {?>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><?php echo $lang['Archive_Data']; ?> <?php echo $lang['For']; ?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <?php }?>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <?php if (!$print) echo "<br>"; if ($print) {?>
          <table width="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="98%"  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="16%" height="25" class="smallBold"><span class="small"><?php echo $lang['Websitename'];?></span></td>
                    <td width="3%" height="25" class="smallBold">:</td>
                    <td width="30%" height="25"><span class="small"><?php echo $activesitename;?></span></td>
                    <td width="19%" height="25"><span class="smallBold"><span class="small"><?php echo $lang['Searchphrase'];?></span></span></td>
                    <td width="3%" class="smallBold">:</td>
                    <td width="29%"><span class="small">
                      <?php
 $temp_phrase = str_replace(" "," + ",$searchphrase);
 if ($temp_phrase == '') echo $lang['No_Searchquery']; else echo $temp_phrase;?>
                    </span></td>
                  </tr>
                  <tr>
                    <td height="25" class="smallBold"><?php echo $lang['Archivemonth'];?></td>
                    <td height="25" class="smallBold">:</td>
                    <td height="25"><span class="small"><?php echo $archive_month_long." ".$archive_year;?></span></td>
                    <td height="25"><span class="smallBold"><span class="small"><?php echo $lang['Report_Date_Of_Creation'];?></span></span></td>
                    <td class="smallBold">:</td>
                    <td height="25"><span class="small">
                      <?php 
 // output day, month, year
 echo $my_timestamp->day.". ";echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year; 
 // output time 
 $display_hour= gethour($my_timestamp->hour, $my_config->timedisplay);
 echo " - ".$display_hour['hour'].":".$my_timestamp->minute." ";
 if ($my_config->timedisplay == '12') echo $my_timestamp->am_pm;
  else echo $lang['O_Clock'];
?>
                    </span></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br>
          <?php }?>
          <?php if (!$print) {?>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/archivebox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Showreport'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table cellspacing=0 cellpadding=1 width=100% border=0>
            <tr>
              <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                        <tr>
                          <td colspan="8" class="tablehead"></td>
                        <tr class="small">
                          <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Chosen_Report'];?>: <?php echo $report_name;?><img src="../images/blankspacer.gif" width="5" height="8" border="0"> 
<?php

if ($report == 'mediadata')
{
 // get costs per click for current campaign from archive
 $sql = "SELECT campaigndetails FROM $my_tables->archivetable WHERE archive_month = '$archive_month' AND archive_year = '$archive_year'
 	     AND websitename = '$activesitename'"; 
  
 @$result 			= $my_db->query($sql);
 @$my_object 		= mysql_fetch_object($result);
 @$campaign_details = unserialize($my_object->campaigndetails);

 // display total costs for campaigns for archived month
 if (count($data_container)>0)
 {
  foreach($data_container AS $key => $value)
  {
   $clicks 			= $value;
   $costperclick	= $campaign_details["$key"]["costperclick"];
   $campaign_costs 	= $clicks * $costperclick;
   $total_costs	   += $campaign_costs;
  }
 }
 else
 {
  $total_costs = 0;
 }
 echo " (".$lang['Total_Costs'].": ";
 printf("%.2f",$total_costs); 
 echo " ".$lang['Currency'].")";
}

?>
</td>
                          <td valign="middle" class="tablehead"><div align="right"><img src="../images/blankspacer.gif" width="8" height="8" border="0"></div></td>
                        </tr>
                        <tr>
                          <td colspan="8" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                      </table>
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr valign="middle" class="optionsbackground">
                            <td width="1%"><span class="small"><strong><img src="../images/blankspacer.gif" width="2" height="35" border="0"></strong></span></td>
                            <td width="24%">
                              <form action="showreport.php" method="post" name="mysearchform" id="mysearchform">
                                <table width="180" border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td width="84%">
                                      <div align="left">
                                        <input name="searchphrase" type="text" style="width: 130px; font-family: Arial,Helvetica; font-size: 7pt; border: 1px #2f2f2f solid; 
 background-color:#FFFFFF" value="<?php echo $searchphrase;?>" size="1" maxlength="250">
                                    </div></td>
                                    <td width="16%"><div align="right"><span class="small"><a href="#" onClick="document.mysearchform.submit();"><?php echo $lang['Search'];?>
                                                <input name="reportname" type="hidden" id="reportname" value="<?php echo $reportname;?>">
                                                <input name="archive_month" type="hidden" id="archive_month" value="<?php echo $archive_month?>">
                                                <input name="report" type="hidden" id="report" value="<?php echo $report;?>">
                                                <input name="archive_year" type="hidden" id="archive_year" value="<?php echo $archive_year;?>">
                                    </a></span></div></td>
                                  </tr>
                                </table>
                            </form></td>
                            <td width="2%"><div align="right"><img src="../images/divider.gif" width="2" height="25"></div></td>
                            <td width="22%"><form action="showreport.php" method="post" name="limitform" id="limitform">
                                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                  <tr>
                                    <td valign="middle" class="small"><div align="center"><?php echo $lang['Entries_Archived'];?> :<img src="../images/blankspacer.gif" width="5" height="8" border="0"><?php if (!isset($data_total) || empty($data_total)) { $data_total = 0; $data_container_count = 0;}echo $data_container_count; echo " "; echo $lang['Of']; echo " "; if ($report == 'timespent' || $report == 'loyality' || $report == 'downloads') echo $data_container_count; else echo $data_total;?> </div></td>
                                  </tr>
                                </table>
                            </form></td>
                            <td width="3%"><div align="center"><img src="../images/divider.gif" width="2" height="25"></div></td>
                            <td width="28%"><form action="showreport.php" method="post" name="showmaxform" id="showmaxform">
                                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                  <tr>
                                    <td width="44%" valign="middle"><div align="left"><span class="small"><?php echo $lang['Show_Entries'];?>:</span></div></td>
                                    <td width="24%" valign="middle"><div align="left"><span class="small">
                                        <input name="showmax" type="text" id="showmax" style="width: 35px; font-family: Arial,Helvetica; font-size: 7pt; border: 1px #2f2f2f solid; 
 background-color:#FFFFFF" value="<?php echo $showmax; ?>" size="1" maxlength="5">
                                    </span></div></td>
                                    <td width="32%">
                                      <div align="left">
                                        <script type="text/javascript">
<!--
var limitdisplay = new submitForm("../images/limit.gif","../images/limit_down.gif","limitdisplay");
limitdisplay.alt = "<?php echo $lang['Limit'];?>";
limitdisplay.write();
//-->
                                      </script>
                                        <input name="report_name" type="hidden" id="report_name" value="<?php echo $report_name;?>">
                                        <input name="archive_month" type="hidden" id="archive_month" value="<?php echo $archive_month?>">
                                        <input name="archive_year" type="hidden" id="archive_year" value="<?php echo $archive_year;?>">
                                        <input name="report" type="hidden" id="report" value="<?php echo $report;?>">
                                    </div></td>
                                  </tr>
                                </table>
                            </form></td>
                            <td width="3%" class="small"><div align="center"><img src="../images/divider.gif" width="2" height="25"></div></td>
                            <td width="17%" class="small"><div align="center"><a href="#" title="<?php echo $lang['Print'];?>" onClick="printme();"><?php echo $lang['Print'];?></a><img src="../images/blankspacer.gif" width="20" height="5" border="0"> <a href="#" title='<?php echo $lang['Export'];?>' onClick="exportme();";><?php echo $lang['Export'];?></a><img src="../images/blankspacer.gif" width="8" height="5" border="0"></div></td>
                          </tr>
                      </table></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <?php }?>
          <br>
          <?php if ($report != 'mostvisitedpages' && $report != 'indexedpages') { ?>
          <div align="right">
            <table cellspacing=0 cellpadding=1 width=100% border=0>
              <tr>
                <td valign="top" bgcolor="#818181"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                          <tr class="tablehead">
                            <td colspan="9"></td>
                          <tr class="tablehead">
                            <td width="42%" height="16" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Archivemonth'];?>: <?php echo $archive_month_long." ".$archive_year;?> 
</td>
                            <td width="51%" height="16" class="tablehead"><?php if ($report == 'downloads') echo $lang['Downloads']; elseif ($report == 'mediadata') echo $lang['Clicks'];else echo $lang['Visitors'];?></td>
                            <td width="7%"  height="16" class="tablehead"><?php echo $lang['Percent'];?></td>
                          </tr>
                          <tr>
                            <td colspan="9" class="small"></td>
                        </table>
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr valign="middle" bgcolor="#EBEBEB">
                              <td><span class="small"><img src="../images/blankspacer.gif" width="5" height="2" border="0"></span></td>
                            </tr>
                            <tr valign="middle" bgcolor="#EBEBEB">
                              <td><span class="small"><strong>
                                <?php
 $temp = $data_container;
 @list($keymax, $valuemax) = each ($temp);
 $maxvalue = $valuemax;
 // get total number of entries
 $div_value = 0;

 foreach($data_container AS $key => $value) { $div_value += $value;}
 round($div_value);
 reset ($data_container);

 // we cycle with a loop through all
 $countervalue = 0;
 $totalvalue = 0;
 $x = 1;
 $step = 1;
 while ((@list($key, $value) = each ($data_container)) AND ($countervalue<$showmax))
 {
  if ($step == 1) $bcolor = "#EEEEEE"; // Switch background color of output line
  else if ($step == 2) {$bcolor = "#DFDFDF";} // Switch background color of output line
  {
?>
                                </strong></span>
                                  <table class="" width="100%" height="16" border="0" cellpadding="0" cellspacing="0" id="listing">
                                    <tr>
                                      <td id="Row<?php echo $x;?>A" class="" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" height="12" valign="middle" bgcolor='<?php echo $bcolor ?>' width="3%"><div align="right"><?php echo $x.".";?></div></td>
                                      <td id="Row<?php echo $x;?>B" class="" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="39%"><img src="../images/blankspacer.gif" width="10" height="5" border="0">
                                          <?php 
##############################################################################################
## check how to display key
##############################################################################################
if ($report == 'mediadata')
{ 
 $orig_key = $key;
 if (strlen($key)>$maxfieldlength)
 {
  $tempkey = substr($key,0,$maxfieldlength-3);
  $key = $tempkey."...";
 }
 
 $link = "<a href=\"#\" onClick='popUp(\"campaigninfo.php?archive_month=$archive_month&archive_year=$archive_year&campaign_name=$key&clicks=$value\",380,200,\"Yes\");' title=\"$orig_key\">$key</a>";
 echo $link;

}
##############################################################################################
elseif ($report == 'refererbycountry' || $report == 'countries') echo getcountry($key);
##############################################################################################
elseif ($report == 'refererbywebpage')
{
 $orig_key = $key;
 if (strlen($key)>$maxfieldlength)
 {
  $tempkey = substr($key,0,$maxfieldlength-3);
  $key = $tempkey."...";
 }
 echo "<a href='$orig_key' target='blank' title='$orig_key'>$key</a>";
}
##############################################################################################
elseif ($report == 'searchengines')
{
echo "<a href='http://$key' target='blank' title='$key'>$key</a>";
}
##############################################################################################
elseif ($report == 'searchphrases')
{
 $orig_key = $key;
 if (strlen($key)>$maxfieldlength)
 {
  $tempkey = substr($key,0,$maxfieldlength-3);
  $key = $tempkey."...";
 }
 echo "<a href='#' title='$orig_key'>$key</a>";
}
##############################################################################################
elseif ($report == 'searchengines')
{
echo "<a href='http://$key' target='blank' title='$key'>$key</a>";
}
##############################################################################################
elseif ($report == 'languages')
{
echo $lang[$key];
}
##############################################################################################
elseif ($report == 'colordepth')
{
 echo $key." ".$lang['Bit'];
}
##############################################################################################
elseif ($report == 'timespent')
{
 echo $key." ".$lang['Minutes'];
}
##############################################################################################
elseif ($report == 'loyality')
{
 if ($key == '1-1')   echo $lang['First_Visit'];
 if ($key == '2-5')   echo $lang['From_2_To_5_Visits'];
 if ($key == '6-10')  echo $lang['From_6_To_10_Visits'];
 if ($key == '11-15') echo $lang['From_11_To_15_Visits'];
 if ($key == '16-20') echo $lang['From_16_To_20_Visits'];
 if ($key == '21-30') echo $lang['From_21_To_30_Visits'];
 if ($key == '31-40') echo $lang['From_31_To_40_Visits'];
 if ($key == '41-50') echo $lang['From_41_To_50_Visits'];
 if ($key == '51-75') echo $lang['From_51_To_75_Visits'];
 if ($key == '100+')  echo $lang['100+'];
}
##############################################################################################
elseif ($report == 'exitpages' || $report == 'entrypages')
{
 $exploded_key = explode("#", $key);
 $visitor_webpage = $exploded_key[0];
 $visitor_realpagename = $exploded_key[1];
 
 $orig_key = $visitor_webpage;
 if (strlen($visitor_webpage)>$maxfieldlength)
 {
  $tempkey = substr($visitor_webpage,0,$maxfieldlength-3);
  $key = $tempkey."...";
 }
 $my_link = "http://".$activesitename.$visitor_realpagename;
 echo "<a href='$my_link' target='blank' title='$orig_key'>$visitor_webpage</a>";
}
##############################################################################################
else
echo $key;
?></td>
                                      <td id="Row<?php echo $x;?>C" class="" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" width="51%" height="12" valign="middle" bgcolor="<?php echo $bcolor ?>"><img src="../images/Hgraybarbottom.gif" align="absmiddle" height="6"><img src="../images/Hgraybarbody.gif" align="absmiddle" height="6" width="<?php $stretching_factor = (int)($value*$graphmaxwidth / $maxvalue);echo $stretching_factor; ?>" alt="<?php echo $lang['Totaly'].": ".$value; ?>"><img src="../images/Hgraybartip.gif" height="6" align="absmiddle" >
                                          <?php
 echo $value;
?>
                                      </td>
                                      <td id="Row<?php echo $x;?>D" class="" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" height="12" valign="middle" bgcolor=<?php echo $bcolor ?> width="7%">
                                        <?php
@$percent = ((100*$value)/$div_value);
echo round($percent,2)."%";
?>
                                      </td>
                                    </tr>
                                  </table>
                                  <?php }
 $x++;
 if ($step == 1) $step = 2;
 else if ($step == 2) $step = 1;
 $countervalue += 1;
 $totalvalue += $value;
 }
?>
                              </td>
                            </tr>
                        </table></td>
                    </tr>
                </table></td>
              </tr>
            </table>
            <? }?> 
            <?php if ($report == 'mostvisitedpages' || $report == 'indexedpages') { ?>
            <table cellspacing=0 cellpadding=1 width=100% border=0>
              <tr>
                <td valign="top" bgcolor="#818181"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                          <tr>
                            <td colspan="9"></td>
                          <tr class="tablehead">
                            <td width="39%" height="16" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Archivemonth'];?>: <?php echo $archive_month_long." ".$archive_year;?></td>
                            <td width="54%" height="16" class="tablehead"><?php echo $lang['Visitors'];?></td>
                            <td width="7%" height="16" class="tablehead"><?php echo $lang['Percent'];?></td>
                          </tr>
                          <tr>
                            <td colspan="9" class="small"></td>
                        </table>
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr valign="middle" bgcolor="#EBEBEB">
                              <td height="3"><span class="small"><img src="../images/blankspacer.gif" width="5" height="2" border="0"></span></td>
                            </tr>
                            <tr valign="middle" bgcolor="#EBEBEB">
                              <td><span class="small">
                                <?php
// check if the first four characters of the getchoositename are like this: "www."
// if not, add them to the getchoositename
 $firstfour = substr($activesitename, 0, 4);
 if ($firstfour == "www.") $linkkey = "http://".$activesitename;
 else $linkkey = "http://www.".$activesitename;
 $step 			= 1; 
 $countervalue 	= 0;
 $x 			= 1;
 $totalvalue	= 0;
 // loop through data container and display data
 foreach($data_container AS $key)
 {
  $value = $key['totalnumber'];
  if ($countervalue > $showmax) break;
 if ($step == 1) $bcolor = "#EEEEEE"; // Switch background color of output line
 else if ($step == 2) {$bcolor = "#DFDFDF";} // Switch background color of output line
 {
?>
                                </span>
                                  <table class="" width="100%" height="16" border="0" cellpadding="0" cellspacing="0" id="listing">
                                    <tr>
                                      <td class="" id="Row<?php echo $x;?>A" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" height="12" valign="middle" bgcolor='<?php echo $bcolor ?>' width="3%"><div align="right"><?php echo $x.".";?></div></td>
                                      <td class="" id="Row<?php echo $x;?>B" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="36%"><img src="../images/blankspacer.gif" width="10" height="5" border="0">
                                          <?php
 $tempcheck = substr($key['realpagename'],0,1);
 if ($tempcheck != "/") { $tempkey = "/".$key['realpagename']; $key['realpagename'] = $tempkey;}
 
if (strlen($key['webpagename'])>$max_pagename_length) // if pagename longer than XY chars, cut pagename by 3 chars and add three dots
{
 $tempreferer = substr($key['webpagename'],0,$max_pagename_length-3);
 $tempreferer .= "...";

 $link_to = "$linkkey".$key['realpagename'];
 echo "<a href='$link_to' title='".$lang['Open_This_Page']."' target='blank'>$tempreferer</a>";

}
if (strlen($key['webpagename']) <= $max_pagename_length)
{
 $link_to = "$linkkey".$key['realpagename'];
 echo "<a href='$link_to' title='".$lang['Open_This_Page']."' target='blank'>".$key['webpagename']."</a>";
}
?></td>
                                      <td class="" id="Row<?php echo $x;?>C" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" width="54%" height="12" valign="middle" bgcolor="<?php echo $bcolor ?>"><img src="../images/Hgraybarbottom.gif" align="absmiddle" height="6"><img src="../images/Hgraybarbody.gif" align="absmiddle" height="6" width="<?php $stretching_factor = (int)($value*$graphmaxwidth / $maxvalue);echo $stretching_factor; ?>" alt="<?php echo $lang['Totaly'].": ".$value; ?>"><img src="../images/Hgraybartip.gif" height="6" align="absmiddle" >
                                          <?php
 echo $value;
?>
                                      </td>
                                      <td id="Row<?php echo $x;?>D" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" height="12" valign="middle" bgcolor=<?php echo $bcolor ?> width="7%">
                                        <?php
@$percent = ((100*$value)/$div_value);
echo round($percent,2)."%";
?>
                                      </td>
                                    </tr>
                                  </table>
                                  <?php }
  if ($step == 1) $step = 2;
   else if ($step == 2) {$step = 1;}
  $countervalue++;
  $totalvalue += $value;
  $x++;
 }
 ?>
                              </td>
                            </tr>
                        </table></td>
                    </tr>
                </table></td>
              </tr>
            </table>
            <div align="right">
              <? }?>
              <br>
              <?php if (!$print) {?>
            </div>
            <table cellspacing=0 cellpadding=1 width=100% border=0>
              <tr>
                <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                          <tr>
                            <td colspan="8" class="tablehead"></td>
                          <tr class="small">
                            <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Change_View'];?>: </td>
                            <td valign="middle" class="tablehead"><div align="right"><img src="../images/blankspacer.gif" width="8" height="8" border="0"></div></td>
                          </tr>
                          <tr>
                            <td colspan="8" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                        </table>
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr valign="middle" class="optionsbackground">
                              <td>
                                <form action="showreport.php" method="post" name="searchform" id="searchform">
                                  <table width="100%" border=0 cellpadding=2 cellspacing=3>
                                    <tbody>
                                      <tr>
                                        <td align=middle><table width="100%" border="0" cellpadding="0" cellspacing="0">
                                            <tr valign="middle">
                                              <td width="7%">
                                                <div align="left"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0"> <? echo $lang['Show_Report'];?>:</span></div></td>
                                              <td width="25%"><table width="99%" border="0" cellpadding="0" cellspacing="5">
                                                  <tr valign="middle">
                                                    <td width="34%">
                                                      <div align="left">
                                                        <select name="menu1" id="menu1" style="width: 170px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF" onChange="MM_jumpMenu('self',this,0)">
                                                          <option value="#" selected><?php echo $lang['Please_Choose'];?></option>
                                                          <option value="#">----------------------------------------------------------------</option>
                                                          <option value="showarchivego.php?archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Overview'];?></option>
                                                          <option value="#">----------------------------------------------------------------</option>
                                                          <option value="showreport.php?report=refererbycountry&report_name=<?php echo urlencode($lang['Referer_By_Country']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Referer_By_Country'];?></option>
                                                          <option value="showreport.php?report=refererbydomain&report_name=<?php echo urlencode($lang['Referer_By_Domain']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Referer_By_Domain'];?></option>
                                                          <option value="showreport.php?report=refererbywebpage&report_name=<?php echo urlencode($lang['Referer_By_Webpage']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Referer_By_Webpage'];?></option>
                                                          <option value="#">----------------------------------------------------------------</option>
                                                          <option value="showreport.php?report=searchengines&report_name=<?php echo urlencode($lang['Searchengines']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Searchengines'];?></option>
                                                          <option value="showreport.php?report=searchwords&report_name=<?php echo urlencode($lang['Searchwords']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Searchwords'];?></option>
                                                          <option value="showreport.php?report=searchphrases&report_name=<?php echo urlencode($lang['Searchphrases']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Searchphrases'];?></option>
                                                          <option value="showreport.php?report=bots&report_name=<?php echo urlencode($lang['Bot_Visits']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Bot_Visits'];?></option>
                                                          <option value="showreport.php?report=indexedpages&report_name=<?php echo urlencode($lang['Indexed_Pages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Indexed_Pages'];?></option>
                                                          <option value="#">----------------------------------------------------------------</option>
                                                          <option value="showreport.php?report=downloads&report_name=<?php echo urlencode($lang['Downloads']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Downloads'];?></option>
                                                          <option value="#">----------------------------------------------------------------</option>
                                                          <option value="showreport.php?report=mediadata&report_name=<?php echo urlencode($lang['Mediadata']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Mediadata'];?></option>
                                                          <option value="#">----------------------------------------------------------------</option>
                                                          <option value="showcharts.php?archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Charts'];?></option>
                                                        </select>
                                                    </div></td>
                                                  </tr>
                                              </table></td>
                                              <td width="13%"><div align="left"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0"> <? echo $lang['Show_Visitor_Data'];?>:</span></div></td>
                                              <td width="24%">
                                                <div align="left">
                                                  <select name="menu2" onChange="MM_jumpMenu('self',this,0)" style="width: 170px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF">
                                                    <option value="#" selected><?php echo $lang['Please_Choose'];?></option>
                                                    <option value="#">----------------------------------------------------------------</option>
                                                    <option value="showreport.php?report=hostnames&report_name=<?php echo urlencode($lang['Hostnames']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Hostnames'];?></option>
                                                    <option value="showreport.php?report=countries&report_name=<?php echo urlencode($lang['Countries']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Countries'];?></option>
                                                    <option value="showreport.php?report=languages&report_name=<?php echo urlencode($lang['Languages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Languages'];?></option>
                                                    <option value="#">----------------------------------------------------------------</option>
                                                    <option value="showreport.php?report=systemsbyversion&report_name=<?php echo urlencode($lang['Systems_By_Version']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Systems_By_Version'];?></option>
                                                    <option value="showreport.php?report=systemsbytype&report_name=<?php echo urlencode($lang['Systems_By_Type']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Systems_By_Type'];?></option>
                                                    <option value="#">----------------------------------------------------------------</option>
                                                    <option value="showreport.php?report=browserbyversion&report_name=<?php echo urlencode($lang['Browser_By_Version']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Browser_By_Version'];?></option>
                                                    <option value="showreport.php?report=browserbytype&report_name=<?php echo urlencode($lang['Browser_By_Type']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Browser_By_Type'];?></option>
                                                    <option value="showreport.php?report=browserplugins&report_name=<?php echo urlencode($lang['Browser_PlugIns']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Browser_PlugIns'];?></option>
                                                    <option value="#">----------------------------------------------------------------</option>
                                                    <option value="showreport.php?report=resolution&report_name=<?php echo urlencode($lang['Screen_Resolution']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Screen_Resolution'];?></option>
                                                    <option value="showreport.php?report=colordepth&report_name=<?php echo urlencode($lang['Screen_Colordepth']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Screen_Colordepth'];?></option>
                                                    <option value="#">----------------------------------------------------------------</option>
                                                    <option value="showreport.php?report=loyality&report_name=<?php echo urlencode($lang['Loyality']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Loyality'];?></option>
                                                  </select>
                                              </div></td>
                                              <td width="8%"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0"> <? echo $lang['Show_Tracking'];?>:</span></td>
                                              <td width="23%">
                                                <div align="left">
                                                  <select name="menu3" id="select" style="width: 170px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #006699 solid; 
 background-color:#FFFFFF" onChange="MM_jumpMenu('self',this,0)">
                                                    <option value="#" selected><?php echo $lang['Please_Choose'];?></option>
                                                    <option value="#">----------------------------------------------------------------</option>
                                                    <option value="showreport.php?report=mostvisitedpages&report_name=<?php echo urlencode($lang['Most_Visited_Pages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Most_Visited_Pages'];?></option>
                                                    <option value="#">----------------------------------------------------------------</option>
                                                    <option value="showreport.php?report=entrypages&report_name=<?php echo urlencode($lang['Entrypages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Entrypages'];?></option>
                                                    <option value="showreport.php?report=exitpages&report_name=<?php echo urlencode($lang['Exitpages']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Exitpages'];?></option>
                                                    <option value="#">----------------------------------------------------------------</option>
                                                    <option value="showreport.php?report=timespent&report_name=<?php echo urlencode($lang['Time_Spent']);?>&archive_year=<?php echo $archive_year;?>&archive_month=<?php echo $archive_month;?>"><?php echo $lang['Time_Spent'];?></option>
                                                  </select>
                                              </div></td>
                                            </tr>
                                        </table></td>
                                      </tr>
                                    </tbody>
                                  </table>
                              </form></td>
                            </tr>
                        </table></td>
                    </tr>
                </table></td>
              </tr>
            </table>
            <? }?>
            <br>
            <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="60%">&nbsp;</td>
                <td width="40%"><div align="right"><span class="small"><?php echo $lang['Visitor_Number'];?>: <?php echo $totalvalue;?></span></div></td>
              </tr>
            </table>
            <span class="small"> </span> <br>
            <br>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr>
              <td colspan=3 valign="top">
                <!-- Hidden frame START -->
                <iframe src="" id="exportframe" name="exportframe" frameborder="0" width="0" height="0" style="visiblity:hidden;">IFRAME</iframe>
                <!-- Hidden frame END -->
              </td>
            </tr>
        </table></td>
    </tr>
  </table>
</div>
<!-- DHTML Menu Builder Loader Code END -->  
</body>
</html>





