<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get total process time
 $time = $_REQUEST['time'];

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // try to set time limit to 30 minutes before this script will be terminated
 @set_time_limit(30*60); 

 // get month and year of data that needs to be archived
 $archivemonth = $_REQUEST['archivemonth'];
 $archiveyear  = $_REQUEST['archiveyear'];

 // get id of archivetable entry
 $id = $_REQUEST['id'];

 ////////////////////////////////////////////////////////////////////////////////////////////// 
 // get entry-pages and save data to database-table
 ////////////////////////////////////////////////////////////////////////////////////////////// 
 // number of days in this month
 ////////////////////////////////////////////////////////////////////////////////////////////// 
 $numofdays 	= date ("d", mktime(0,0,0,$archivemonth+1,0,$archiveyear));

 // set number of entries to save into archive
 $numofentries 	= $_REQUEST['numofentries'];
 $showmax 		= $numofentries;

 // #1: get entry-pages for target-month limited by showmax
 $entry_pages   = top_entrypage(1, $numofdays, $archivemonth, $archiveyear, $my_tables->maintable, $showmax, $searchphrase);

 // get total number of entry pages
 $entryagestotal   = mysql_result(mysql_query("SELECT COUNT(DISTINCT requested_page) FROM $my_tables->maintable
				  	 WHERE month(visitor_date) = '$archivemonth' AND year(visitor_date) = '$archiveyear'
				  	 AND visitor_type = 'HUMAN' AND websitename = '$activesitename'"),0,0);

 foreach ($entry_pages AS $key=>$value)
 {
  $visitor_realpagename 			= $key;
  @$visitor_webpage 			    = mysql_result(mysql_query("SELECT visitor_webpage FROM $my_tables->trackingtable WHERE visitor_realpagename = '$key' LIMIT 0,1"),0,0);
  if ($visitor_webpage == '') $visitor_webpage = $visitor_realpagename;
  $requested_page 				    = $visitor_webpage."#".$visitor_realpagename; 
  $temp_container[$requested_page] 	= $value;
 }
 
 // serialize arrays
 $entrypage_container = serialize($temp_container);

 ////////////////////////////////////////////////////////////////////////////////////////////// 
 // get top campaigns (from Media-Manager) for this month
 ////////////////////////////////////////////////////////////////////////////////////////////// 
 $fieldname 	= "campaign_name";
 $datefield 	= "campaign_clickdate";
 $tablename    	= $my_tables->campaigntable;

 // get languages 
 $campaigns 	= topvalues(1, $numofdays, $archivemonth, $archiveyear, $tablename, $showmax, $searchphrase, $fieldname, $datefield);

 // get total number of countries
 $campaignstotal 	= mysql_result(mysql_query("SELECT COUNT(DISTINCT campaign_name) FROM $my_tables->campaigntable
					  WHERE month(campaign_clickdate) = '$archivemonth' AND year(campaign_clickdate) = '$archiveyear'
					  AND websitename = '$activesitename'"),0,0);

 // backup & serialize array
 $backup_campaigns = $campaigns;
 $campaign_container = serialize($campaigns);

 ////////////////////////////////////////////////////////////////////////////////////////////// 
 // get data for all campaigns for this month (costs per click, total clicks, etc.)
 ////////////////////////////////////////////////////////////////////////////////////////////// 
 $sql = "SELECT * FROM  $my_tables->campaignmanagertable WHERE websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 while (@$my_object = mysql_fetch_object($result))
 {
  $campaign_data["$my_object->campaign_name"]["campaign_category"] 		= $my_object->campaign_category;
  $campaign_data["$my_object->campaign_name"]["campaign_description"] 	= $my_object->campaign_description;
  $campaign_data["$my_object->campaign_name"]["campaign_creation"] 		= $my_object->campaign_creation;
  $campaign_data["$my_object->campaign_name"]["idstring"] 				= $my_object->idstring;
  $campaign_data["$my_object->campaign_name"]["costperclick"] 			= $my_object->costperclick;
 }

 // save clicks for each campaign to $campaign_data["$my_object->campaign_name"]["clicks"]
 foreach ($backup_campaigns AS $key => $value)
 {
  $campaign_data["$key"]["clicks"] = $value;
 }

 // serialize array
 $campaign_details = serialize($campaign_data);

 ///////////////////////////////////////////////////////////////////////////////////// 
 // save data to database
 /////////////////////////////////////////////////////////////////////////////////////  
 $archive_error = FALSE;

 $sql = "UPDATE $my_tables->archivetable SET
		 entrypage_container = '$entrypage_container',
         entrypagestotal 	 = '$entryagestotal',
		 campaign_container  = '$campaign_container',
         campaignstotal 	 = '$campaignstotal',
         campaigndetails 	 = '$campaign_details'
         WHERE id = '$id'";

 @$result  = mysql_query($sql);
 $db_error = mysql_error();  

 // uncomment next line for debugging
 //echo mysql_error();

 // calculate total time of this process
 $endtime 		 = microtime(); 
 $endtime 		 = explode(" ",$endtime); 
 $endtime 		 = $endtime[1] + $endtime[0]; 
 $timescriptend	 = $endtime; 
 $loadtime 	 	 = ($timescriptend - $timescriptstart); 
 $loadtime  	 = round($loadtime,3);
 
 // calculate time of archivation-duration 
 $time += $loadtime;

 // forward to next archive-rotuine
 if ($result)
 {
  $target_page = "step_twelve.php?id=$id&numofentries=$numofentries&time=$time&archivemonth=$archivemonth&archiveyear=$archiveyear";
 }
 else
 {
  // handle DB-error here
  $archive_error = TRUE;
  // delete defect entry from archivtable
  @$result = mysql_query("DELETE FROM $my_tables->archivetable WHERE id = '$id' AND websitename = '$activesitename'");
 }
?>
<HTML>
<HEAD>
<script language="javascript">
function showError()
{
 window.top.frames['contentframe'].document.location.replace("./failure.php?message=<?php echo urlencode($db_error);?>");
}

function doIt()
{
 window.parent.document.images['percentage'].src='./images/66.gif';
 document.location.replace("<?php echo $target_page;?>");
}
</script>
</HEAD>
<BODY onload="
<?php
if (!$archive_error)
 echo "doIt();";
else
  echo "showError();";
?>">
</BODY>
</HTML>

