<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/


class chart
{
 // structure variables
 var $graphTitle;
 var $graphImage;
 var $graphStyle; 
 var $graphName;
 var $graphFilename;
 var $graphValues = array();
 var $graphOtherValues = array();
    
 // standard variables 
 var $graphWidth;
 var $graphHeight;
 var $labeloffset;
 
 // border variables
 var $graphBorderColor;
 var $graphBorderWidth;
 var $graphBorderMarginLeft;
 var $graphBorderMarginRight;
 var $graphBorderMarginBottom;
 var $graphBorderMarginTop;
   
 // bar variables
 var $graphBarSpacing;
 var $graphMaxBarHeight;
 var $graphMinBarHeight;
 var $graphMaximumHorizontal;
 var $xminarray;
 var $xmaxarray;
 
 // line variables
 var $graphMaxLineHeight;
 var $graphMaxLineWidth;
 var $lineHeight;
  
 // color variables
 var $graphBarColor;
 var $graphBarBorderColor;
 var $graphBackgroundColor;
 var $graphFillColor;
 var $graphGridColor;
 var $graphColor = array();
  
 // font variables
 var $graphFontColor;
 var $graphFontWidth;
 var $graphFontHeight;
 var $graphMaxFontWidth;
 var $graphMaxFontHeight;
 
 // chart-data variables
 var $graphMinValue;
 var $graphMaxValue;
 var $graphMinCount;
 var $graphMaxCount;
 
 // margin variables
 var $graphLeftMargin;
 var $graphRightMargin;
 var $graphTopMargin;
 var $graphBottomMargin;

 // label variables
 var $graphLabels;
 var $graphLabeldirection;
 var $graphLabelcolor;
 var $graphLabelfont;
 var $graphLabelfontwidth;
 var $graphLabelfontheight;

 // scaling variables
 var $graphScale;
 var $graphSeperations;
 
 // axis variables
 var $graphTicks_X_Axis; 
 var $graphTicks_Y_Axis; 
 var $graphTickLength;
 var $graphTickColor;
 var $graphBacklineColor;  
 var $graphAxisColor; 
 var $graphValueColor; 
  
 // set filename
 function setFilename($filename)
 {  $this->graphFilename = $filename;}

 // set title
 function setTitle($title)
 {  $this->graphTitle	   = $title; }

 // set style	
 function setStyle($style)
 {  $this->graphStyle     = $style; }
 
 // set name	
 function setName($name)
 {  $this->graphName  	  = $name; }	

 // set width	
 function setWidth($width)
 {  $this->graphWidth     = $width; }
 
 // set height
 function setHeight($height)
 {  $this->graphHeight    = $height; }

 // set bar spacing margin	
 function setBarSpacing($barspacing)
 {  $this->graphBarSpacing    = $barspacing; }

 // set graph top-offset	
 function setGraphTopOffset($graphtopoffset)
 {  $this->graphTopOffset    = $graphtopoffset; }
 
 // set margin	
 function setMargin($margin)
 {  $this->graphMargin    = $margin; }
 
// set graph top margin	
 function setTopMargin($topmargin)
 {  $this->graphTopMargin    = $topmargin; }

// set graph bottom margin	
 function setBottomMargin($bottommargin)
 {  $this->graphBottomMargin    = $bottommargin; }

 // set graph left margin	
 function setLeftMargin($leftmargin)
 {  $this->graphLeftMargin    = $leftmargin; }

 // set graph right margin	
 function setRightMargin($rightmargin)
 {  $this->graphRightMargin    = $rightmargin; }

 // set backgroundcolor	
 function setBackgroundColor($backgroundcolor)
 {  $this->graphBackgroundColor = $this->getColor($backgroundcolor);}

 // set left border-margin	
 function setBorderMarginleft($bordermarginleft)
 {  $this->graphBorderMarginLeft = $bordermarginleft; }
 
  // set bottom border-margin	
 function setBorderMarginBottom($bordermarginbottom)
 {  $this->graphBorderMarginBottom = $bordermarginbottom; }
 
  // set top border-margin	
 function setBorderMarginTop($bordermargintop)
 {  $this->graphBorderMarginTop = $bordermargintop; }
 
 // set border width	
 function setBorderWidth($borderwidth)
 {  $this->graphBorderWidth = $borderwidth; }
 
 // set border color	
 function setBorderColor($bordercolor)
 {  $this->graphBorderColor = $this->getColor($bordercolor);}

 // set axis color	
 function setAxisColor($axiscolor)
 {  $this->graphAxisColor = $this->getColor($axiscolor);}
  
 // set number of ticks on x-Axis of chart	
 function setTicks_X_Axis($ticksxaxis)
 {  $this->graphTicks_X_Axis = $ticksxaxis; }

 // set number of ticks on y-Axis of chart	
 function setTicks_Y_Axis($ticksyaxis)
 {  $this->graphTicks_Y_Axis = $ticksyaxis; } 

 // set color of marks on axis	
 function setBacklineColor($backlinecolor)
 {  $this->graphBacklineColor = $this->getColor($backlinecolor);}

 // set color of ticks on axis	
 function setTickColor($tickcolor)
 {  $this->graphTickColor = $this->getColor($tickcolor);}
  
 // set lenght of ticks on axis	
 function setTickLength($ticklength)
 {  $this->graphTickLength = $ticklength; } 

 // set maximum value	
 function setMaxValue($maxvalue)
 {  $this->graphMaxValue = $maxvalue; } 

  // set maximum value	
 function setMinValue($minvalue)
 {  $this->graphMinValue = $minvalue; } 

 // set color of values displayed on y-axis	
 function setValueColor($valuecolor)
 {  $this->graphValueColor = $this->getColor($valuecolor);}
 
 // set bar color
 function setBarColor($barcolor)
 {  $this->graphBarColor = $this->getColor($barcolor);}

 // set second bar color
 function setSecondBarColor($secondbarcolor)
 {  $this->graphSecondBarColor = $this->getColor($secondbarcolor);}

 
 // set bar-border color
 function setBarBorderColor($barbordercolor)
 {  $this->graphBarBorderColor = $this->getColor($barbordercolor);} 
 

 // set x-label offset
 function setLabelOffset($labeloffset)
 {  $this->graphLabelOffset = $labeloffset;} 

 // set direction of value-display in bars
 function setValueDirection($direction)
 {  $this->valueDirection = $direction;} 
 
 // set color of value-display in bars
 function setBarValueColor($valcolor)
 {  $this->barValueColor = $valcolor;} 
 
 // set type of graph
 function setGraphType($graphtype)
 {  $this->graphType = $graphtype;} 
 
 /////////////////////////////////////////////////////////////////////////////////   
 // functions to access data arrays
 /////////////////////////////////////////////////////////////////////////////////   

 // this function adds data to the data-array
 function AddValue($label, $value) 
 {
  @array_push($this->graphValues, array("label" => $label, "value" => $value)); 
 }

 // this function adds data to the data-array
 function ReplaceValue($label, $value) 
 { 
  $this->graphValues[$label]["value"] = $value; 
 }

 // functions to set a second data array (needed to display total AND unqiue visitors
 function AddAnotherValue($label, $value) 
 {
  @array_push($this->graphOtherValues, array("label" => $label, "value" => $value)); 
 }

 // this function adds data to the data-array
 function ReplaceAnotherValue($label, $value) 
 { 
  $this->graphOtherValues[$label]["value"] = $value; 
 }

 
  /////////////////////////////////////////////////////////////////////////////////   
 // functions to create chart-image
 /////////////////////////////////////////////////////////////////////////////////   

 function constructChart()
 { 
  // create image of specified size
  $this->img = imagecreate($this->graphWidth, $this->graphHeight);
 }
 
 
 function getColor($colorinput)
 { 
  $this->graphColor['black'] 		= ImageColorAllocate( $this->img, 0, 0, 0 );
  $this->graphColor['white'] 		= ImageColorAllocate( $this->img, 250, 250, 250 );
  $this->graphColor['lightgray'] 	= ImageColorAllocate( $this->img, 243, 243, 243 );
  $this->graphColor['grey'] 		= ImageColorAllocate( $this->img, 215, 215, 215 ); 
  $this->graphColor['darkgray'] 	= ImageColorAllocate( $this->img, 170, 170, 170 ); 
  $this->graphColor['red'] 		= ImageColorAllocate( $this->img, 255, 0, 0 ); 
  $this->graphColor['darkerblue'] 	= ImageColorAllocate( $this->img, 50, 81, 110 ); 
  $this->graphColor['lighterblue'] 	= ImageColorAllocate( $this->img, 102, 124, 149 ); 
  $this->graphColor['blue'] 		= ImageColorAllocate( $this->img, 0, 73, 130 ); 
  $this->graphColor['bluegray'] 	= ImageColorAllocate( $this->img, 50, 81, 110 ); 
  $this->graphColor['bluewhite'] 	= ImageColorAllocate( $this->img, 243, 248, 252 ); 
  $this->graphColor['turquoise'] 	= ImageColorAllocate( $this->img, 86, 138, 159 ); 
  $this->graphColor['lightturquoise'] 	= ImageColorAllocate( $this->img, 195, 206, 211 ); 
  $this->graphColor['orange']	 	= ImageColorAllocate( $this->img, 249, 147, 113 ); 
  
 
  switch ($colorinput)
  {
    case "black": { 
    return $this->graphColor['black'];
   }
    case "white": {
    return $this->graphColor['white'];
   }
    case "lightgray": { 
    return $this->graphColor['lightgray'];
   }
    case "grey": {
    return $this->graphColor['gray'];
   }
    case "red": {
    return $this->graphColor['red'];
   }
    case "blue": {
    return $this->graphColor['blue'];
   }
    case "darkerblue": {
    return $this->graphColor['darkerblue'];
   }
    case "bluegray": {
    return $this->graphColor['bluegray'];
   }
    case "bluewhite": {
    return $this->graphColor['bluewhite'];
   }
    case "lighterblue": {
    return $this->graphColor['lighterblue'];
   }
    case "turquoise": {
    return $this->graphColor['turquoise'];
   }
    case "lightturquoise": {
    return $this->graphColor['lightturquoise'];
   }
  }
 }

 function drawChart()
 { 
   // fill image with background color
  ImageFill($this->img, 1, 1, $this->graphBackgroundColor);

  // draw marks on y-axis
  $this->drawTicksY($this->graphTickColor, $this->graphValueColor);

  // draw bars
  $this->drawBars($this->graphBarColor, $this->graphBarBorderColor);

  // draw x-axis
  $this->drawXAxis($this->graphAxisColor);

  // draw image border if required
  $this->drawBorder($this->graphBorderColor);
  
  // write values in/above bars
  $this->DrawValues();
  
  // create image, save to disk and cleanup
  ImagePNG($this->img, $this->graphFilename);
  ImageDestroy($this->img);
 }

 function drawLineChart()
 { 
  // fill image with background color
  ImageFill($this->img, 1, 1, $this->graphBackgroundColor);

  // draw x-axis
  $this->drawXAxis($this->graphAxisColor);

  // draw marks on y-axis
  $this->drawTicksY($this->graphTickColor, $this->graphValueColor);
  
  // draw image border if required
  $this->drawBorder($this->graphBorderColor);
 
  // draw line chart
  $this->drawLine($this->graphBarColor, $this->graphBarBorderColor);
  
  // write values in/above lines
  // $this->DrawValues();

  
  // create image, save to disk and cleanup
  ImagePNG($this->img, $this->graphFilename);
  ImageDestroy($this->img);
 }


 ////////////////////////////////////////////////////////////////
 // bar functions
 ////////////////////////////////////////////////////////////////
 
 function drawBorder($bordercolor)
 {
  if($this->graphBorderWidth > 0)
    ImageRectangle($this->img, 0, 0, $this->graphWidth-$this->graphBorderMarginLeft-1, $this->graphHeight-$this->graphBorderMarginTop-1, $bordercolor);
 }

 function drawXAxis($linecolor)
 {
   //draw a line right above the labels
   ImageLine($this->img, 1, $this->graphHeight-$this->graphTopMargin, $this->graphWidth, $this->graphHeight-$this->graphTopMargin, $linecolor);
 }

 function drawYAxis($linecolor)
 {
  //draw y-axis from top to bottom
  ImageLine($this->img, 25, $this->graphHeight, 25, 0, $linecolor);
 }
 
 function drawTicksY($linecolor, $textcolor)
 { 
  // calculate maximum available horizontal workspace
  $this->graphMaxHorizontal = ($this->graphWidth-$this->graphLeftMargin-$this->graphRightMargin);
  
  // calculate maximum available vertical workspace
  $this->graphMaxVertical   = ($this->graphHeight-$this->graphBottomMargin-$this->graphTopMargin);
  
  // calculate maximum bar-height
  $this->graphMaxBarHeight  = $this->graphMaxVertical-$this->graphTopOffset; 

  // define a dotted line
  $grey      = ImageColorAllocate( $this->img, 215, 215, 215 ); 
  $dotstyle  = array($grey, $grey, IMG_COLOR_TRANSPARENT, IMG_COLOR_TRANSPARENT, IMG_COLOR_TRANSPARENT ); 
  
  // set style for image
  imagesetstyle($this->img, $dotstyle); 
   
  if ($this->graphTicks_X_Axis > $this->graphMaxValue) $this->graphTicks_X_Axis = $this->graphMaxValue;
      
  // set x and y coordiantes
  $xmin = 1; 			
  $xmax = $this->graphWidth-1; 
  $ymin = $this->graphTopMargin;
  $ymax = $this->graphMaxVertical+$this->graphTopMargin;
 
  @$subtractor = $this->graphMaxValue/$this->graphTicks_X_Axis;
 
  // run through all number of ticks and display them
  for($x=$this->graphTicks_X_Axis; $x>=1; $x--)
  {
   // calculate label value
   if($x == $this->graphTicks_X_Axis)
   {
    $value = $this->graphMaxValue;
   }
   else
   {
    $value = $value-$subtractor;
   }

   // dont let $value drop below zero
   if ($value < 0 ) $value = 0;
   
   // calculate tick position
   if(!$tickHeight) { $tickHeight=$this->graphTopMargin; } else {
      @$tickHeight = (($ymax-$this->graphTopMargin)/$this->graphTicks_X_Axis)+$tickHeight;
      }

   // define dotted line and assign to current image 
   $dotstyle  = array($grey, $grey, IMG_COLOR_TRANSPARENT, IMG_COLOR_TRANSPARENT, IMG_COLOR_TRANSPARENT ); 
   ImageSetStyle($this->img, $dotstyle);

   // write dotted lines across image
   ImageLine($this->img, $xmin, $tickHeight, $xmax, $tickHeight, IMG_COLOR_STYLED);
  
   // write black line to Y-axis
   ImageLine($this->img, $xmin, $tickHeight, $xmin+$this->graphTickLength, $tickHeight, $linecolor);
 
   // write label to Y-axis
   $print_value = round($value);
   ImageString($this->img, 1,7, $tickHeight-3, $print_value, $textcolor);
   $print_value = 0;
   }
  }     

  
 function DrawLine($linecolor,$bordercolor)
 {
  $count_pos 	= 0;
  $maxposition  = 0;
  
  foreach($this->graphValues AS $key=>$valuearray)
  {
   if ($valuearray['value'] == $this->graphMaxValue)
    $max_position = $count_pos;
 
   $count_pos++; 
  }

  // check if array-number of highest value is odd or even
  if ($max_position &1) $oddeven_value = "odd"; else $oddeven_value = "even";

  // set stepping
  $step = 0;

  // overrride linecolor setting	
  $linecolor = $this->graphColor['turquoise'];
  
  // overrude direction setting
  $this->valueDirection = "horizontal";
  
  // set text color value
  $textcolor = $this->graphColor['white'];
  
  // include language file
  @$includepath= dirname(__FILE__); $includepath .= "/";
  include($includepath."./../language/language.inc.php");
 
  // get total number of values
  $totalvalues = count ($this->graphValues);

  // calculate maximum available horizontal workspace
  $this->graphMaxHorizontal = ($this->graphWidth-$this->graphLeftMargin-$this->graphRightMargin);
  
  // calculate maximum available vertical workspace
  $this->graphMaxVertical   = ($this->graphHeight-$this->graphBottomMargin-$this->graphTopMargin);
  
  // calculate maximum line-height
  $this->graphMaxLineHeight  = $this->graphMaxVertical-$this->graphTopOffset; 
 			  
  // calculate maximum line-width
  @$this->graphMaxLineWidth  = round(($this->graphMaxHorizontal-($totalvalues*$this->graphBarSpacing))/$totalvalues);

  // copy values to array
  foreach($this->graphValues AS $key=>$valuearray)
  {
   $line_array[] = $valuearray['value'];
   $key_array[]  = $key;
  }

  // draw line to grid -> loop through all values 
  for ($key = 0; $key < count($line_array); $key++)
  { 
   // read values from aray
   $current_value = $line_array[$key];
   $next_value 	  = $line_array[$key+1];
   
   // calculate line height of current and next line
   @$lineHeight_current = round($this->graphMaxVertical * $current_value / $this->graphMaxValue);
   @$lineHeight_next    = round($this->graphMaxVertical * $next_value / $this->graphMaxValue);

   // calculate maximum width of each line (equals total width of image divided by number of values)
   @$maxwidth =  round($this->graphMaxHorizontal / count($this->graphValues));
   
   // alter margins
   $this->graphLeftMargin   = 25;
   $this->graphBottomMargin = 16;
   
   // calculate line positions
   $xmin = $this->graphLeftMargin + ($maxwidth * $key);  
   $xmax = $this->graphLeftMargin + ($maxwidth * $key) + $maxwidth;  

   $ymin = $this->graphHeight - $this->graphBottomMargin - $lineHeight_current;
   $ymax = $this->graphHeight - $this->graphBottomMargin - $lineHeight_next;
 
   $polygon_array[] = $xmin;   $polygon_array[] = $ymin;
  
  
   // check if first or last line value is > 0. If so, we need to make an extra line down the bottom of graph
   if (($key == 0 && $current_value > 0) ||($key == count($key)-1 && $current_value > 0))
   {
    imageline ($this->img, $xmin, $this->graphMaxVertical+20, $xmax-$maxwidth, $ymin, $linecolor);
   }
  
   // get x,y coordiantes for flood filling
   if ($key == 0)
   {
    $flood_x = $xmin+1;
    $flood_y = $this->graphMaxVertical+19;
   }
 
   // draw line to image
   imageline ($this->img, $xmin, $ymin, $xmax, $ymax, $linecolor);
   
   
   // draw a filled ellipse on tip of line
   $ewidth  = 5;
   $eheight = 5;
   imageellipse ( $this->img, $xmin, $ymin, $ewidth, $eheight, $this->graphColor['black']);
   
   
   // draw final line to make sure line is closed at the very right of the image
   //if (($key+1) == count($line_array))
    //imageline ($this->img, $xmin, $ymin, $xmax+100, $ymax, $linecolor);
 
    // write keys below lines
    $output_string = $key_array[$key];  
    
    imageString($this->img, 1, $xmin, $this->graphMaxVertical+23, $output_string, $bordercolor);
   }
  
  // fill image
  $total_values = count($this->graphValues);
  imagefill ($this->img, $flood_x, $flood_y, $this->graphColor['darkerblue']);
  
  // overlay image with polygon to hide dotted lines
  imagefilledpolygon($this->img, $polygon_array, $total_values, $this->graphColor['darkerblue']);
 

  // backup $line_array
  $backup_line_array = $line_array;
 
  /////////////////////////////////////////////////////////////////////////////////////////////////////
  // draw another polygon into the just drawn image if there is any data in graphOtherValues-Array
  /////////////////////////////////////////////////////////////////////////////////////////////////////
  unset($line_array);
  unset($polygon_array);
  
  if (count($this->graphOtherValues) > 1)
  {
   // copy values to array
   foreach($this->graphOtherValues AS $key=>$valuearray)
   { 
    $line_array[] = $valuearray['value'];
   }
     
   // draw line to grid -> loop through all values 
   for ($key = 0; $key < count($line_array); $key++)
   { 
    // read values from aray
    $current_value = $line_array[$key];
    $next_value    = $line_array[$key+1];
   
    // calculate line height of current and next line
    @$lineHeight_current = round($this->graphMaxVertical * $current_value / $this->graphMaxValue);
    @$lineHeight_next    = round($this->graphMaxVertical * $next_value / $this->graphMaxValue);

    // calculate maximum width of each line (equals total width of image divided by number of values)
    @$maxwidth =  round($this->graphMaxHorizontal / count($this->graphValues));
   
    // calculate line positions
    $xmin = $this->graphLeftMargin + ($maxwidth * $key);  
    $xmax = $this->graphLeftMargin + ($maxwidth * $key) + $maxwidth;  

    $ymin = $this->graphHeight - $this->graphBottomMargin - $lineHeight_current;
    $ymax = $this->graphHeight - $this->graphBottomMargin - $lineHeight_next;
 
    $polygon_array[] = $xmin;   $polygon_array[] = $ymin;
  
    // draw line to image
    imageline ($this->img, $xmin, $ymin, $xmax, $ymax, $linecolor);
   
    // draw final line to make sure line is closed at the very right of the image
    //if (($key+1) == count($line_array))
    //imageline ($this->img, $xmin, $ymin, $xmax+100, $ymax, $linecolor);
   }
  
   // fill image
   $total_values = count($this->graphValues); ;
   imagefill ($this->img, $flood_x, $flood_y, $this->graphColor['lighterblue']);
  
   // overlay image with polygon to hide dotted lines
   imagefilledpolygon($this->img, $polygon_array, $total_values, $this->graphColor['lighterblue']);
  }

  /////////////////////////////////////////////////////////////////////////////////////////////////////
  // draw boxes above lines and write values into them
  /////////////////////////////////////////////////////////////////////////////////////////////////////
  for ($key = 0; $key < count($backup_line_array); $key++)
  { 
   // read values from aray
   $current_value = $backup_line_array[$key];
   $next_value 	  = $backup_line_array[$key+1];
   
   // calculate line height of current and next line
   @$lineHeight_current = round($this->graphMaxVertical * $current_value / $this->graphMaxValue);
   @$lineHeight_next    = round($this->graphMaxVertical * $next_value / $this->graphMaxValue);

   // calculate maximum width of each line (equals total width of image divided by number of values)
   @$maxwidth =  round($this->graphMaxHorizontal / count($this->graphValues));
   
   // alter margins
   $this->graphLeftMargin = 0;
   
   // calculate line positions
   $xmin = $this->graphLeftMargin + ($maxwidth * $key);  
   $xmax = $this->graphLeftMargin + ($maxwidth * $key) + $maxwidth;  

   $ymin = $this->graphHeight - $this->graphBottomMargin - $lineHeight_current;
   $ymax = $this->graphHeight - $this->graphBottomMargin - $lineHeight_next;
 

   // calculate value position -> must be in the middle of each bar)
   $horizontal_pos = $xmin;
   @$horizontal_pos += ($this->graphMaxBarWidth/2)-((strlen($current_value)*3)/2)+1;  
   
   // write values on top of high values
   if ($key &1) $test_value = "odd"; else $test_value = "even";

   if ($test_value == $oddeven_value)
   {  
    // calculate lenght of rectangle -> depends on number of chars of $current_value
    $char_length = strlen($current_value);
    $add_length  = $char_length*8; 

    // calculate correction for display of values x-axis
    @$correct_x = strlen($current_value)*4/2;
    
    // draw rectangle so values can be written inside of it
    @imagefilledrectangle($this->img, $xmin+$maxwidth-$add_length/2.6, $ymin-15, $xmin+$maxwidth+$add_length/2, $ymin-3, $this->graphColor['darkerblue']);
    @imagerectangle ($this->img, $xmin+$maxwidth-$add_length/2.6, $ymin-15, $xmin+$maxwidth+$add_length/2, $ymin-3, $this->graphColor['lightturquoise']);
    @imagefill ($this->img,  ($xmin+$maxwidth-$add_length/2.6)+2, $ymin-14, $this->graphColor['lighterblue']);
 
    if ($this->valueDirection == 'horizontal' && !eregi("[a-z]", $value))
       Imagestring($this->img, 1, $xmin+$maxwidth-$correct_x, $ymin-12, $current_value, $textcolor);
    elseif ($this->valueDirection == 'vertical')
       Imagestringup($this->img, 1, $xmin+$this->graphLabelOffset-5, $ymin-8, $current_value, $textcolor);
    $step = 0;
   }
   $step++;
  }
  /////////////////////////////////////////////////////////////////////////////////////////////////////
 }
   
#############################################################################


 function DrawBars($barcolor,$bordercolor)
 {
  // include language file
  @$includepath= dirname(__FILE__); $includepath .= "/";
  include($includepath."./../language/language.inc.php");

  // get total number of values
  $totalvalues = count ($this->graphValues);

  // calculate maximum available horizontal workspace
  $this->graphMaxHorizontal = $this->graphWidth-$this->graphLeftMargin-$this->graphRightMargin;

  // calculate maximum available vertical workspace
  $this->graphMaxVertical   = ($this->graphHeight-$this->graphBottomMargin-$this->graphTopMargin);
  
  // calculate maximum bar-height
  $this->graphMaxBarHeight  = $this->graphMaxVertical-$this->graphTopOffset; 
 			  
  // calculate maximum bar-width
  @$this->graphMaxBarWidth  = round(($this->graphMaxHorizontal-($totalvalues*$this->graphBarSpacing)-$this->graphRightMargin)/
  			      $totalvalues);

  // reduce maximum bard width if number of values > 26
  //if ($totalvalues >= 26) $this->graphMaxBarWidth -= .2;

  // make sure graphMinBarHeight value is at least 1
  if ($this->graphMinBarHeight < 1) $this->graphMinBarHeight = 1;
  
  // run through all graphValues and display bars
  foreach($this->graphValues AS $key=>$valuearray)
  { 
   // check if weekreport-chart is dislayed
   $weekday = FALSE;
   if ($valuearray[label] == 'Sunday') 		{ $label = $lang['DateTime']['Sunday'];    $weekday = TRUE;}
   if ($valuearray[label] == 'Monday') 		{ $label = $lang['DateTime']['Monday'];    $weekday = TRUE;}
   if ($valuearray[label] == 'Tuesday') 	{ $label = $lang['DateTime']['Tuesday'];   $weekday = TRUE;}
   if ($valuearray[label] == 'Wednesday') 	{ $label = $lang['DateTime']['Wednesday']; $weekday = TRUE;}
   if ($valuearray[label] == 'Thursday') 	{ $label = $lang['DateTime']['Thursday'];  $weekday = TRUE;}
   if ($valuearray[label] == 'Friday') 		{ $label = $lang['DateTime']['Friday'];    $weekday = TRUE;}
   if ($valuearray[label] == 'Saturday') 	{ $label = $lang['DateTime']['Saturday'];  $weekday = TRUE;}
   
   // check if yearreport-chart is dislayed
   $month = FALSE;

   if ($valuearray[label] == '1') 	{ $label = $lang['DateTime']['January'];   $month = TRUE;}
   if ($valuearray[label] == '2') 	{ $label = $lang['DateTime']['February'];  $month = TRUE;}
   if ($valuearray[label] == '3') 	{ $label = $lang['DateTime']['March'];     $month = TRUE;}
   if ($valuearray[label] == '4') 	{ $label = $lang['DateTime']['April'];     $month = TRUE;}
   if ($valuearray[label] == '5') 	{ $label = $lang['DateTime']['May'];       $month = TRUE;}
   if ($valuearray[label] == '6') 	{ $label = $lang['DateTime']['June'];      $month = TRUE;}
   if ($valuearray[label] == '7') 	{ $label = $lang['DateTime']['July'];      $month = TRUE;}
   if ($valuearray[label] == '8') 	{ $label = $lang['DateTime']['August'];    $month = TRUE;}
   if ($valuearray[label] == '9') 	{ $label = $lang['DateTime']['September']; $month = TRUE;}
   if ($valuearray[label] == '10') 	{ $label = $lang['DateTime']['October'];   $month = TRUE;}
   if ($valuearray[label] == '11') 	{ $label = $lang['DateTime']['November'];  $month = TRUE;}
   if ($valuearray[label] == '12') 	{ $label = $lang['DateTime']['December'];  $month = TRUE;}
         
          
   // save old barcolor
   $oldbarcolor = $barcolor;

   // set counter value
   $counter = 0;
   
   foreach($valuearray AS $value)
   { 
    // calculate bar height 
    @$barHeight = round($this->graphMaxVertical * $value / $this->graphMaxValue);
  
    // make sure bar height value is at least 3, even if bar-value equals 0
    //if ($barHeight < 1 ) $barHeight=1;
         
    // calculate bar position 
    $xmin = $this->graphLeftMargin +(($key) * $this->graphMaxBarWidth) + ($key * $this->graphBarSpacing); 
    $ymax = $this->graphHeight - $this->graphBottomMargin - $barHeight; 
    $xmax = $this->graphLeftMargin + (($key) * $this->graphMaxBarWidth) + ($key * $this->graphBarSpacing) + 
    	    $this->graphMaxBarWidth; 
    	    
    $ymin = $this->graphHeight - $this->graphBottomMargin+1; 
   
    // save $xmin and $xmax to array for use when displaying value
    $this->xminarray[] = $xmin;
    $this->xmaxarray[] = $xmax;
   
    // create bar and its border
    // if current bar is the one with max value, choose special color for filling
    if ($value == $this->graphMaxValue) $barcolor = $this->graphColor['lightturquoise'];

    ImageFilledRectangle($this->img, $xmin, $ymax, $xmax, $ymin, $barcolor); 
    ImageRectangle($this->img, $xmin, $ymax, $xmax, $ymin+1, $bordercolor); 
       
    // reset barcolor to normal value
    if ($value == $this->graphMaxValue) $barcolor = $oldbarcolor;
 
    // write label below each bar
    if ($weekday == FALSE && $month == FALSE )
    {
     // calculate horizontal position of labels
     $horizontal_pos = round(($xmin+$xmax)/2)-(strlen($key)*3);    
     ImageString($this->img, 1, $horizontal_pos, $ymin+7, $key, $bordercolor);  
    }  
    elseif ($weekday == TRUE || $month == TRUE)
    {
     // calculate horizontal position of labels
     $horizontal_pos = round(($xmin+$xmax)/2)-(strlen($label)*2);  
     ImageString($this->img, 1, $horizontal_pos, $ymin+7, $label, $bordercolor);
    }
   }
  }

  /////////////////////////////////////////////////////////////////////////////////////////////////////
  // draw another bar into the just drawn bar if there is any data in graphOtherValues-Array
  /////////////////////////////////////////////////////////////////////////////////////////////////////
  if (count($this->graphOtherValues) > 1)
  {
   // run through all graphOtherValues and display bars
   foreach($this->graphOtherValues AS $key=>$valuearray)
   {
    foreach($valuearray AS $value)
    {
     // calculate bar height 
     @$barHeight =(($this->graphMaxVertical)*$value)/$this->graphMaxValue;
  
     // calculate bar position 
     $xmin = $this->graphLeftMargin +(($key) * $this->graphMaxBarWidth) + ($key * $this->graphBarSpacing); 
     $ymax = $this->graphHeight - $this->graphBottomMargin - $barHeight; 
     $xmax = $this->graphLeftMargin + (($key) * $this->graphMaxBarWidth) + ($key * $this->graphBarSpacing) +
     	     $this->graphMaxBarWidth; 
     $ymin = $this->graphHeight - $this->graphBottomMargin+1; 

     // create bar and its border
     ImageFilledRectangle($this->img, $xmin, $ymax, $xmax, $ymin, $this->graphSecondBarColor); 
     ImageRectangle($this->img, $xmin, $ymax, $xmax, $ymin+1, $bordercolor); 
    }
   } 
  }
 }
 
#############################################################################

 function DrawValues()
 {
  // set flag to false
  $showsecondvalue = FALSE;
  $x= 0;

  // create value container
  if (count($this->graphOtherValues) > 1)
  {
   $showsecondvalue = TRUE;
   foreach($this->graphOtherValues AS $key=>$valuearray)
   {
    foreach($valuearray AS $value)
    {
     $secondvalue[$x] = $value;
     $x++;
    }
   }
  }	
 	 	
  // get total number of values
  $totalvalues = count ($this->graphValues);

  // calculate maximum available horizontal workspace
  $this->graphMaxHorizontal = $this->graphWidth-$this->graphLeftMargin-$this->graphRightMargin;
  
  // calculate maximum available vertical workspace
  $this->graphMaxVertical   = $this->graphHeight-$this->graphBottomMargin-$this->graphTopMargin;
  
  // calculate maximum bar-height
  $this->graphMaxBarHeight  = $this->graphMaxVertical-$this->graphTopOffset; 
 			  
  // calculate maximum bar-width
  @$this->graphMaxBarWidth   = round(($this->graphMaxHorizontal-($totalvalues*$this->graphBarSpacing))/
  			      $totalvalues);

  // make sure graphMinBarHeight value is at least 1
  if ($this->graphMinBarHeight < 1) $this->graphMinBarHeight = 1;

  // run through all graphValues and display values
  $x	   = 0;
  $step    = 1;
  $counter = 0;
  
  foreach($this->graphValues AS $key=>$valuearray)
  { 
   foreach($valuearray AS $value)
   { 
    $showvalue = $value;
    if ($showsecondvalue == TRUE) $showvalue .= " ($secondvalue[$x])";
    $x++;
    
    // calculate bar height 
    @$barHeight = $this->graphMaxVertical * $value / $this->graphMaxValue;
        
    // calculate bar position 
    $xmin = $this->graphLeftMargin +(($key) * $this->graphMaxBarWidth) + ($key * $this->graphBarSpacing); 
    $ymax = $this->graphHeight - $this->graphBottomMargin - $barHeight; 
    $xmax = $this->graphLeftMargin + (($key) * $this->graphMaxBarWidth) + ($key * $this->graphBarSpacing) + 
    	    $this->graphMaxBarWidth; 
    	    
    $ymin = $this->graphHeight - $this->graphBottomMargin+1; 
   
    // set colors
    $color = $this->barValueColor;
    $textcolor = $this->graphColor["$color"];
    
    // calculate horizontal position of text to be displayed (-4 because one char has a width of 4 pixels)
    $horizontal_pos = round(($this->xminarray[$counter]+$this->xmaxarray[$counter])/2)-4;

    // modify value if value is written horizontally
    if ($this->valueDirection == 'horizontal')
     $horizontal_pos = round(($this->xminarray[$counter]+$this->xmaxarray[$counter])/2)-((strlen($showvalue)*3)/2);
     
    // write value into/above bar
    if ($this->graphType == 'yearreport')
    {
     // only write every second value to chart!
     if( $step == 2 )
     {    	
      if ($this->valueDirection == 'horizontal' && !eregi("[a-z]", $value))
       Imagestring($this->img, 1, $horizontal_pos, $ymin-12, $showvalue, $textcolor);
      elseif ($this->valueDirection == 'vertical')
       Imagestringup($this->img, 1, $horizontal_pos, $ymin-3, $showvalue, $textcolor);   
     }
    }
    if ($this->graphType != 'yearreport')
    {
     // make some corrections to horziontal text position for some special charts
     if ($this->graphType == 'botdetails')$horizontal_pos -= 2;


     if ($this->valueDirection == 'horizontal' && !eregi("[a-z]", $value))
      Imagestring($this->img, 1, $horizontal_pos, $ymin-12, $showvalue, $textcolor);
     elseif ($this->valueDirection == 'vertical')
      Imagestringup($this->img, 1, $horizontal_pos, $ymin-3, $showvalue, $textcolor);   
    }
    if ($step == 2) $step = 1; elseif ($step == 1) $step = 2; $counter++;
   }
  }
 }
 
 function DrawLegend()
 {
  // put code here
 }

}
// end of class
?>  