<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen. Jede unauthorisierte
Nutzung dieser Software ohne gltigen Lizenzschlssel ist ein Versto gegen die
Lizenzvereinbarungen und wird zivil- und strafrechtlich verfolgt.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
Any unauthorized use of this software without a valid license key is a violation 
of the license agreement and will be prosecuted by civil and criminal law.
---------------------------------------------------------------------------------
*/

 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	  = explode(' ',$starttime); 
 $starttime   	  = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 
 $timeparts 	  = explode(' ',microtime());
 $starttime 	  = $timeparts[1].substr($timeparts[0],1);
 
 // set global variables
 global $my_tables, $my_db, $my_conn, $my_config, $my_timestamp, $my_robots, $visitor_data, 
        $abort_logging, $block_result, $robot_check, $page_short, $page_fullpath,
        $page_referer, $trackname, $trackmode, $websitename, $mode, $numframes, $visitor_resolution,
        $visitor_colordepth, $visitor_cookies, $visitor_java, $visitor_realplayer, 
        $visitor_shockwave, $visitor_acrobat, $visitor_quicktime, $visitor_flash, $visitor_svg,
        $visitor_mediaplayer, $visitor_id;

 // set flag
 $abort_logging = FALSE;

 // turn off error reporting
 @error_reporting(0);
 
 // ignore user abort
 @ignore_user_abort(true);

 // register functions to run after shutdown
 @register_shutdown_function('start_logging');
 @register_shutdown_function('start_tracking');
 @register_shutdown_function('start_usercount');
 @register_shutdown_function('start_savefilesize');
   
 // set absolute pathname to binary:STAT directory
 $absolutepath = '.';

 // include functions
 include_once ($absolutepath.'/logit.php');			// load logging functions
 include_once ($absolutepath.'/trackit.php');		  	// load tracking functions
 include_once ($absolutepath.'/datatransfer.php'); 		// load transfer functions
 include_once ($absolutepath.'/includes/useronline.inc.php');   // load useronline functions
  
 // get information from incoming JS-call
 $page_short      = trim($_REQUEST['pn']);
 $page_fullpath   = trim($_REQUEST['fp']);
 $page_referer    = trim($_REQUEST['ref']);
 $trackname       = trim($_REQUEST['trackname']);
 $trackmode	  = trim($_REQUEST['trackmode']);
 $websitename	  = trim($_REQUEST['websitename']);
 $mode		  = trim($_REQUEST['mode']);
 $numframes       = trim($_REQUEST['numframes']);
 $visitor_id	  = trim($_REQUEST['bsuniquevid']);
 
    
 // trim some more $_REQUEST variables  
 $visitor_resolution   = trim($_REQUEST['width']);
 $visitor_resolution  .= ' x ';
 $visitor_resolution  .= trim($_REQUEST['height']);
 $visitor_colordepth   = trim($_REQUEST['colordepth']);
 $visitor_java         = trim($_REQUEST['java']);
 $visitor_cookies      = trim($_REQUEST['cookies']);
 $visitor_realplayer   = trim($_REQUEST['realplayer']);
 $visitor_shockwave    = trim($_REQUEST['shockwave']);
 $visitor_acrobat      = trim($_REQUEST['acrobat']);
 $visitor_quicktime    = trim($_REQUEST['quicktime']);
 $visitor_flash        = trim($_REQUEST['flash']);
 $visitor_svg          = trim($_REQUEST['svg']); 
 $visitor_mediaplayer  = trim($_REQUEST['mediaplayer']);
  
 // if webpage is using frameset and a referer is set, delete it -> logged website is the referer!
 if (!empty($numframes))
 {
  // check if referer is the logged website
  $parsed_referer = parse_url($page_referer);
 
  // is refering host a readable domain or just an IP?
  if (eregi('[a-z][A-Z]', $parsed_referer['host']))
  {
   $test_string = substr($parsed_referer['host'],0,4);
   if ($test_string == 'www.')
    $check_host = substr($parsed_referer['host'],4,strlen($parsed_referer['host']));
   else
    $check_host = $parsed_referer['host'];
  }
 
  // final check: is logged webpage the referer? If so, delete referer information
  if (substr_count($websitename, $check_host) > 0)
  {
   $page_referer = '';
   $abort_logging = TRUE;  // do not run log "start_logging"-routine
  }
 }

 // check if $page_fullpath (requested page) is empty -> happens when javascript is turned off
 if (empty($page_fullpath))
 {
  // when JS is off, $_SERVER['HTTP_REFERER'] contains the address of the requested/logged page
  // the requested page can not be retriebed if visitor uses a tool that deletes /hides referer information
  $url 		 = parse_url($_SERVER['HTTP_REFERER']); 
  $page_fullpath = $_SERVER['HTTP_REFERER'];
  $page_sort	 = $url['path'];
  $page_referer  = '';
 }

 // empty $_SERVER['HTTP_REFERER'] if logged website is the referer
 if ($mode == 'JSMODE' && substr_count($_SERVER['HTTP_REFERER'], strtolower($websitename)) > 0)
  $_SERVER['HTTP_REFERER'] = '';
 
 // verify if varaibles are emtpy -> if so, set them to FALSE or UNKNOWN
 if ($visitor_cookies != 'TRUE' && $visitor_cookies != 'FALSE') $visitor_cookies    = 'FALSE'; 
 if (empty($visitor_resolution) ||$visitor_resolution == ' x ' ) $visitor_resolution = 'Unknown'; 
 if (empty($visitor_colordepth))  $visitor_colordepth = 'Unknown';
 if (empty($visitor_java)) 	  $visitor_java = 'FALSE';
 if (empty($visitor_cookies)) 	  $visitor_cookies = 'FALSE';
 if (empty($visitor_realplayer))  $visitor_realplayer = 'FALSE';
 if (empty($visitor_shockwave ))  $visitor_shockwave = 'FALSE';
 if (empty($visitor_acrobat)) 	  $visitor_acrobat = 'FALSE';
 if (empty($visitor_quicktime))   $visitor_quicktime = 'FALSE';
 if (empty($visitor_flash)) 	  $visitor_flash = 'FALSE';
 if (empty($visitor_svg)) 	  $visitor_svg = 'FALSE';
 if (empty($visitor_mediaplayer)) $visitor_mediaplayer = 'FALSE';
  
 // do some more checks on variables
 if (empty($page_referer)) $page_referer = '';
 
  // remove malicious code from $websitename if someone should try to hack the database
 if (substr_count($websitename, " ")>0) return;
 if (substr_count(strtolower($websitename), "delete ")>0) return;
 if (substr_count(strtolower($websitename), "drop ")>0)   return;
 if (substr_count(strtolower($websitename), "update ")>0) return;
 if (substr_count(strtolower($websitename), "select ")>0) return;
 if (substr_count(strtolower($websitename), "set ")>0)    return;
 if (substr_count(strtolower($websitename), "where ")>0)  return;

 // send header and image
 header("Content-type: image/gif");
 header("Expires: Mon, 13 Jul 1997 02:00:00 GMT");// HTTP 1.0
 header("Last-Modified: " . gmdate("D, d M Y H:i:s") ." GMT");// HTTP 1.0
 header("Cache-Control: no-store, no-cache, must-revalidate");
 header("Cache-Control: post-check=0, pre-check=0", FALSE);
 header("Pragma: no-cache");

 //set image size
 header('Content-length: 85');

 //print 1x1 pixel image
 print base64_decode('R0lGODlhAQABALMAAAAAAIAAAACAA'.
                     'ICAAAAAgIAAgACAgMDAwICAgP8AAA'.
                     'D/AP//AAAA//8A/wD//wBiZCH5BAE'.
                     'AAA8ALAAAAAABAAEAAAQC8EUAOw==');
 // flush buffer
 flush();
 
  // calculate total time of this process
 $endtime 	= microtime(); 
 $endtime 	= explode(' ',$endtime); 
 $endtime 	= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 	= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
 
 // exit this routine
 exit();
?>