<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

################################################ START OF ROUTINE ####################################################

function start_savefilesize()
{
 // set global variables
 global $my_tables, $my_db, $my_conn, $my_config, $my_timestamp, $my_robots, $block_result, 
        $page_fullpath, $websitename;

 #####################################################################################################################
 ## check if entries from the pagesizetable need to be deleted
 #####################################################################################################################

 if (empty($my_config->pagedeleteinterval))
 {
  include_once ($include_path.'./includes/configdata.inc.php');	// load website configuration
  $my_config = new configdata;
  $my_config -> get_configdata($my_tables->websitestable, $websitename);  
 }

 $sql 	  = "DELETE FROM $my_tables->pagesizetable WHERE lastchecked <= DATE_SUB(NOW(),INTERVAL ".$my_config->pagedeleteinterval." DAY) AND websitename = '$websitename'"; 
 @$result = $my_db->query($sql); 
 
 #####################################################################################################################
   
 // start output buffering
 ob_start();
 
 // parse url
 $url 	   = parse_url($page_fullpath);
 $pagename = $url['path'];

 // get a shortened version of the websitename and name it $partial_websitename
 @$exploded_website = explode('.', $websitename);
 for($x=1; $x<count($exploded_website); $x++)
 {
  if ($x>1 && $x<count($exploded_website)) $partial_websitename .= '.';
  $partial_websitename .= $exploded_website[$x];
 } 
 
 // check if filesize for page has been checked before
 $sql = "SELECT pagesize FROM $my_tables->pagesizetable WHERE pagename = '$pagename' AND websitename = '$websitename'";
 @$result    = $my_db->query($sql);
 @$total_size = mysql_result($result,0,0);  

 // size of current page has not been checked yet -> do it now
 if (empty($total_size))
 {
  // get HTML Code of webpage
  @$html = implode(file($page_fullpath));

  //$types = array("href", "src", "url");
  // defines html-tags we want to look for
  $types = array('src');

  $temp_size = 0;

  while(list(,$type) = each($types))
  {
   preg_match_all ("|$type\=\"?'?`?([[:alnum:]:?=&@/._-]+)\"?'?`?|i", $html, $matches);
   $data_buffer[$type] = $matches[1];
  }

  // count elements
  $elements = count($data_buffer['src']);

  // get size of elements
  function getfilesize($url, $timeout=1)
  {
   $url = @parse_url($url);
   if ($fp = @fsockopen($url['host'], ($url['port'] ? $url['port'] : 80), $errno, $errstr, $timeout))
   {
    @fwrite($fp, 'HEAD '.$url['path'].$url['query']." HTTP/1.0\r\nHost: ".$url['host']."\r\n\r\n");
    @stream_set_timeout($fp, $timeout);
    while (!feof($fp))
    {
     $size = fgets($fp, 4096);
         
     if (stristr($size, 'Content-Length') !== false)
     {
      $size = trim(substr($size, 16));
      break;
     }
    }
    @fclose ($fp);
   }
   return is_numeric($size) ? intval($size) : false;
  }


  foreach($data_buffer['src'] AS $current_element)
  {
   // is webpage including an element from a remote server/website? If so, ignore the traffic! 
   if (substr_count($current_element,'http:') > 0 && substr_count($current_element, $partial_websitename) < 1)
   {
    $target_url = $current_element;
    $external = TRUE;
   }
   else 
   {
    $external = FALSE;
   }
 
   if ($external == FALSE)
   {
    while($current_element{0} == '/')
    {
     $current_element = substr($current_element,1,strlen($current_element));
    }

    if ($current_element{0} != '/')
    {
     $temp_element = '/'.$current_element;
     $current_element = $temp_element;
    } 
    $target_url =  'http://'.$url['host'].$current_element;
    $size = getfilesize($target_url, $timeout=2);
    $temp_size += $size;
   }
  }

  // calculate size of html-code
  @$html_size = strlen($html); @$html_size = round($html_size/1024);

  // calculate size of page elements
  @$elements_size = round($temp_size/1024);

  // calculate total size of html-code and page elements
  $total_size = $html_size + $elements_size;

  // flush
  ob_end_flush();
  
  // save pagesize to database
  if (!empty($url['host']))
  {
   $sql = "INSERT INTO $my_tables->pagesizetable (hostname,pagename,pagequery,lastchecked,pagesize,websitename) VALUES
          ('".$url['host']."','".$pagename."','".$url['query']."','$my_timestamp->now','$total_size','$websitename')";

   @$result = $my_db->query($sql);
  }
 }
 
 ################################################################################################ 
 ## SAVE DATA TRANSFER TO DATABASE 
 ################################################################################################ 
 
 // copy value of $total_size-variable
 @$size_of_file = $total_size;
 
 // check if there is already an entry for the current day in the database-table
 $targetstamp = $my_timestamp->year."-".$my_timestamp->month."-".$my_timestamp->day;
 $sql = "SELECT count(*) FROM $my_tables->transfertable WHERE transfer_timestamp = '$targetstamp' AND websitename = '$websitename'";
 @$result = $my_db->query($sql); @$entries = mysql_result($result,0,0); 
 
 if (empty($entries)) // no entry in table yet, so create one an insert data into the new row
 {
  $sql = "INSERT INTO $my_tables->transfertable (transfer_timestamp , numofpages, datatransfered, websitename) VALUES ('$targetstamp', '1', '$size_of_file', '$websitename')";
  @$result = $my_db->query($sql);
 }
 else // we already have an entry in the database
 {
  // update transfertable
  $sql = "UPDATE $my_tables->transfertable SET datatransfered = datatransfered + '$size_of_file' WHERE transfer_timestamp = '$targetstamp' AND websitename = '$websitename'";
  @$result = $my_db->query($sql); @$my_db->free_result($result);
 }
}
######################################### END OF ROUTINE #########################################
?>