<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/vars.inc.php"); 
include_once ($include_path."./../includes/configdata.inc.php"); 
include_once ($include_path."./../language/language.inc.php"); 

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get standard variables
 $my_vars = new getchoostat_vars;
 $my_vars -> build_vars();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get website configuration
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename);

 // exit if not logged in or if user is not the admin  -> THIS PAGE IS FOR ADMIN OR WEBMASTER ONLY!
 if ($my_session->logged_in == 'FALSE' || $my_session->usertype == 'GUEST') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // maximum length of data key
 $maxfieldlength = 40;

 // get number of categories in database
 $categories_in_database = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->categorytable 
						   WHERE websitename = '$activesitename'"),0,0);

 if ($categories_in_database == '') $categories_in_database = 0;

 // check if user wants to edit or delete a category
 if ($_POST['editcat'] == 'TRUE')
 {
  // get category-id
  $categoryname = $_POST['categoryname'];
  @$category_id = mysql_result(mysql_query("SELECT id FROM $my_tables->categorytable WHERE categoryname = '$categoryname' AND websitename = '$activesitename'"),0,0);
  // head over to edit-page
  header("location: editcategorygo.php?category_id=$category_id");
  exit();
 }
 if ($_POST['delcat'] == 'TRUE')
 {
  // get category-id
  $categoryname = $_POST['categoryname'];
  @$category_id = mysql_result(mysql_query("SELECT id FROM $my_tables->categorytable WHERE categoryname = '$categoryname' AND websitename = '$activesitename'"),0,0);
  // head over to edit-page
  header("location: deletecategory.php?category_id=$category_id");
  exit();
 }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<html>
<head>
<title>Category Overview</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
  document.getElementById(rowname+"E").className = cname;
  document.getElementById(rowname+"F").className = cname;
}
///////////////////////////////////////////////////////
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=downloadmanager/editcategory.php';
}
//-->
</script>
</head>
<body onload="showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Edit_Category_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/downloadbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Category_Overview'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
<br><form action="editcategory.php" method="post" name="editdelte" id="editdelte">
            <table cellspacing=0 cellpadding=1 width=100% border=0>
              <tr>
                <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                          <tr>
                            <td colspan="7" class="tablehead"></td>
                          <tr class="small">
                            <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Category_Edit_Delete'];?></td>
                          </tr>
                          <tr>
                            <td colspan="7" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                        </table>
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr valign="middle" class="optionsbackground">
                              <td width="1%"><span class="small"><strong><img src="../images/blankspacer.gif" width="5" height="35" border="0"></strong></span></td>
                              <td valign="top">
                                <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                                  <tr class="optionsbackground">
                                    <td colspan="4" valign="top"><span class=""><img src="../images/blankspacer.gif" width="5" height="8" border="0"></span></td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td valign="top"><?php echo $lang['Please_Choose_Category'];?></td>
                                    <td valign="top">:</td>
                                    <?php
 // read all categories into array
 @$result = mysql_query("SELECT * FROM $my_tables->categorytable WHERE websitename = '$activesitename'");
 echo mysql_error();
 while(@$my_object = mysql_fetch_object($result))
 { 
  $categories[] = $my_object->categoryname;
 }
?>
                                    <td><select name="categoryname" size="9" class="blackborder" id="select" style="width: 350px; height: 125px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt;">
                                        <?php
 // sort array 
 function cmp($a, $b)
 {
  return strcmp(strtolower($a), strtolower($b));
 }
 usort($categories, "cmp"); 

 $myflag = FALSE;
 foreach($categories AS $categoryname)
 { 
  if ($myflag == FALSE && $categoryname != '')
  {
   echo "<option value='$categoryname' selected>$categoryname</option>"; $myflag = TRUE;
  } 
  else echo "<option value='$categoryname'>$categoryname</option>";
 }
?>
                                    </select></td>
                                    <td valign="top"></td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td colspan="4" valign="top"><div align="left"><img src="../images/blankspacer.gif" width="8" height="2">                                        
                                </div></td>
                                    <?php
 // read all categories into array
 @$result = mysql_query("SELECT * FROM $my_tables->categorytable WHERE websitename = '$activesitename'");
 echo mysql_error();
 while(@$my_object = mysql_fetch_object($result))
 { 
  $categories[] = $my_object->categoryname;
 }
?>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td width="125" valign="top"><?php echo $lang['Choose_Action'];?></td>
                                    <td width="32" valign="top">:</td>
                                    <?php
 // read all categories into array
 @$result = mysql_query("SELECT * FROM $my_tables->categorytable WHERE websitename = '$activesitename'");
 echo mysql_error();
 while(@$my_object = mysql_fetch_object($result))
 { 
  $categories[] = $my_object->categoryname;
 }
?>
                                    <td width="442"> <div align="left">
                                        <script type="text/javascript">
<!--
var editcat = new submitForm("../images/editcat.gif","../images/editcat_down.gif","editcat","editcat");
editcat.alt ="<?php echo $lang['Edit_Category'];?>";
editcat.write();
//-->
                                      </script><img src="../images/blankspacer.gif" width="8" height="5"> 
                                      <input name="action" type="hidden" id="action3" value="EDIT_DELETE">
                                      <script type="text/javascript">
<!--
var delcat = new submitForm("../images/delcat.gif","../images/delcat_down.gif","delcat","delcat");
delcat.alt ="<?php echo $lang['Delete_Category'];?>";
delcat.write();
//-->
                                      </script>
                                    </div></td>
                                    <td width="152" valign="top"></td>
                                  </tr>
                              </table>
                                <br></td>
                            </tr>
                        </table></td>
                    </tr>
                </table></td>
              </tr>
            </table>
          </form>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr> </tr>
        </table></td>
    </tr>
  </table>
  <br>
  <img src="../images/blackdot.gif" width="100%" height="1"><span class="small"><br>
  </span>
  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="60%"> <span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="createcategory.php"><?php echo $lang['Add_Category'];?></a></span> </td>
      <td width="40%"><div align="right"></div></td>
    </tr>
  </table>
  <span class="small"> </span>  </div>
</body>
</html>











