<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 	 	 
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/vars.inc.php"); 
include_once ($include_path."./../includes/configdata.inc.php"); 
include_once ($include_path."./../language/language.inc.php"); 

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get standard variables
 $my_vars = new getchoostat_vars;
 $my_vars -> build_vars();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get website configuration
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename);

 // exit if not logged in or if user is not the admin  -> THIS PAGE IS FOR ADMIN OR WEBMASTER ONLY!
 if ($my_session->logged_in == 'FALSE' || $my_session->usertype == 'GUEST') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // maximum length of data key
 $maxfieldlength = 40;

 // get cursor position for download-display
 $currentpos 	= $_REQUEST['currentpos'];
 $pos 		 	= $_REQUEST['pos'];
 $showcat    	= $_REQUEST['showcat'];
 $sortorder  	= $_REQUEST['sortorder'];
 $current_page 	= $_REQUEST['current_page'];
 $showmax    	= $my_config->showentries;
 
 if (!isset($showcat) || $showcat == '') $showcat = $lang['Show_All_Categories'];
 if (!isset($sortorder)) $sortorder = "ID";
 if (!isset($sortby)) $sortby = "id";
 if (!isset($pos)) { $pos=0; $currentpos=0;} // set $pos to first entry of database (0)

 if ($sortorder == "ID")        { $sortby = "id"; $direction = "DESC"; }
 if ($sortorder == "DATE")      { $sortby = "entrydate"; $direction = "DESC"; }
 if ($sortorder == "TITLE")     { $sortby = "title"; $direction = "ASC"; }
 if ($sortorder == "SHORTDESC") { $sortby = "fileshortdesc"; $direction = "ASC"; }
 if ($sortorder == "DOWNLOADS") { $sortby = "totaldownloads"; $direction = "DESC"; }
 if ($sortorder == "LOCATION")  { $sortby = "location"; $direction = "DESC"; }

 // this value is for browsing the download-entries
 $showbuttons = 12; // DO NOT CHANGE, THIS VALUE MUST BE AN EVEN NUMBER!

 // get number of downloads for selected category
 if ($showcat == $lang['Show_All_Categories'])
  $downloads_in_category = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->downloadmanagertable 
						   WHERE websitename = '$activesitename'"),0,0);
 else
  $downloads_in_category = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->downloadmanagertable 
						  WHERE websitename = '$activesitename' AND category = '$showcat'"),0,0);

 // get number of downloads in database
 $downloads_in_database = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->downloadmanagertable 
						   WHERE websitename = '$activesitename'"),0,0);

 if ($downloads_in_category == '') $downloads_in_category = 0;
 if ($downloads_in_database == '') $downloads_in_database = 0;

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<html>
<head>
<title>Download Overview</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
  document.getElementById(rowname+"E").className = cname;
  document.getElementById(rowname+"F").className = cname;
}
///////////////////////////////////////////////////////
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=downloadmanager/editdownload.php';
}
//-->
</script>
</head>
<body onload="showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Edit_Download_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/downloadbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Download_Overview'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table cellspacing=0 cellpadding=1 width=100% border=0>
            <tr>
              <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                        <tr>
                          <td colspan="7" class="tablehead"></td>
                        <tr class="small">
                          <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Downloads_In_Category'];?>: <img src="../images/blankspacer.gif" width="3" height="8" border="0">
                              <?php
  echo $downloads_in_category;
?></td>
                        </tr>
                        <tr>
                          <td colspan="7" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                      </table>
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr valign="middle" class="optionsbackground">
                            <td width="1%"><span class="small"><strong><img src="../images/blankspacer.gif" width="5" height="35" border="0"></strong></span></td>
                            <td>
                              <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                                <tr class="optionsbackground">
                                  <td width="143" height="25"><?php echo $lang['Choose_Category'];?> </td>
                                  <td width="21" height="25">:</td>
                                  <td width="604" height="25"><select name="showhostnames" onChange="MM_jumpMenu('self',this,0)" style="width: 220px; height:20px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid; background-color:#FFFFFF">
<?php 
$showtext = $lang['Show_All_Categories'];
if (!isset($showcat)) { echo "<option selected>$showtext</option>";}
 else 
 {
  if ($showcat != $lang['Show_All_Categories'])
  echo "<option value='editdownload.php?&showcat=$showtext#downloadlist'>$showtext</option>";
  echo "<option selected>$showcat</option>";
}

@$result = mysql_query("SELECT categoryname FROM $my_tables->categorytable 
						WHERE websitename = '$activesitename'
						ORDER BY categoryname ASC");

while(@$my_object= mysql_fetch_object($result))
{
 $categories[] = $my_object->categoryname;
}

// sort array 
function cmp($a, $b)
{
 return strcmp(strtolower($a), strtolower($b));
}
usort($categories, "cmp"); 

foreach(@$categories AS $categoryname)
{
 if ($showcat != $categoryname) 
  echo "<option value='editdownload.php?showcat=$categoryname#downloadlist'>$categoryname</option>";
}

?>
                                  </select>
                                  </td>
                                </tr>
                            </table></td>
                          </tr>
                      </table></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr> </tr>
        </table></td>
    </tr>
  </table>
  <br>
  <table cellspacing=0 cellpadding=1 width=100% border=0>
    <tr>
      <td valign="top" bgcolor="#818181"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><table width=100% border=0 cellpadding=0 cellspacing=0>
                <tr class="tablehead">
                  <td width=9% valign=middle bgcolor='<?php echo $bcolor ?>'><div class="tableheadlink">
                      <div align="left"><a href="editdownload.php?sortorder=ID&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>&showcat=<?php echo $showcat;?>#downloadlist" title="<?php echo $lang['Order_By_ID'];?>"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><?php echo $lang['ID'];?></a></div>
                  </div></td>
                  <td width=11% valign=middle bgcolor='<?php echo $bcolor ?>'>
                    <div class="tableheadlink" align="left"><a href="editdownload.php?sortorder=DATE&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>#downloadlist" title="<?php echo $lang['Order_By_Date'];?>"><?php echo $lang['Date'];?></a></div></td>
                  <td width=26% valign=middle bgcolor=<?php echo $bcolor ?>>
                    <div class="tableheadlink"><a href="editdownload.php?sortorder=FILETITLE&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>&showcat=<?php echo $showcat;?>#downloadlist" title="<?php echo $lang['Order_By_Title'];?>"><?php echo $lang['Title'];?></a></div></td>
                  <td width=32% valign=middle bgcolor='<?php echo $bcolor ?>'>
                    <div class="tableheadlink"><a href="editdownload.php?sortorder=SHORTDESC&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>&showcat=<?php echo $showcat;?>#downloadlist" title="<?php echo $lang['Order_By_Shortdesc'];?>"><?php echo $lang['Short_Description'];?></a></div></td>
                  <td width=12% valign=middle bgcolor='<?php echo $bcolor ?>'>
                    <div class="tableheadlink"><a href="editdownload.php?sortorder=LOCATION&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>&showcat=<?php echo $showcat;?>#downloadlist" title="<?php echo $lang['Order_By_Location'];?>"><?php echo $lang['File_Location'];?></a></div></td>
                  <td width=10% valign=middle bgcolor='<?php echo $bcolor ?>'>
                    <div class="tableheadlink"><a href="editdownload.php?sortorder=DOWNLOADS&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>&showcat=<?php echo $showcat;?>#downloadlist" title="<?php echo $lang['Order_By_Downloads'];?>"><?php echo $lang['Downloads'];?></a></div></td>
                </tr>
              </table>
                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr valign="middle" bgcolor="#EBEBEB">
                    <td><span class="small"><img src="../images/blankspacer.gif" width="5" height="2" border="0"></span></td>
                  </tr>
                  <tr valign="middle" bgcolor="#EBEBEB">
                    <td><span class="small"><strong> </strong></span> <span class="small"><strong>
                      <?php
if ($showcat == $showtext) 
 @$result = mysql_query("SELECT *, UNIX_TIMESTAMP(entrydate) AS unix_timestamp
					    FROM $my_tables->downloadmanagertable
					    WHERE websitename = '$activesitename' 
					    ORDER BY $sortby $direction
					    LIMIT $pos,$showmax
					  ");

if ($showcat != $lang['Show_All_Categories'])
 @$result = mysql_query("SELECT *, UNIX_TIMESTAMP(entrydate) AS unix_timestamp
					     FROM $my_tables->downloadmanagertable
					     WHERE websitename = '$activesitename'
					     AND category = '$showcat' 
					     ORDER BY $sortby $direction
					     LIMIT $pos,$showmax
					    ");
 
 if ($current_page == "") $current_page=0;
 if ($low_butt == "") $low_butt = 0;
 if ($high_butt == "") $high_butt = $showbuttons; 
 $step = 1;
 $x    = 1;
 while (@$myobject = mysql_fetch_object($result)) // Run through all entries, limited by $showmax numbers
 {
  // break from loop if maximum number if entries to displayed is reached
  if ($x > $showmax) break;
  $entry_id		  		= $myobject->id;
  $entry_filename  		= $myobject->filename;
  $entry_filetitle 		= $myobject->filetitle;
  $entry_shortdesc 		= $myobject->fileshortdesc;
  $entry_totaldownloads = $myobject->totaldownloads;
  $entry_location 		= $myobject->location;

  $entry_timestamp = $myobject->unix_timestamp;
  $entry_stunde = strftime( "%H", $entry_timestamp);
  $entry_minute = strftime( "%M", $entry_timestamp);
  $entry_sekunde = strftime( "%S", $entry_timestamp);
  $entry_tag	 = strftime( "%d", $entry_timestamp);
  $entry_monat = strftime( "%m", $entry_timestamp);
  $entry_jahr = strftime( "%Y", $entry_timestamp);

  if (strlen($entry_filename) > $maxfieldlength) 
   { $entry_filename = substr($entry_filename,0,$maxfieldlength-3);$entry_filename .= "..."; }

  if (strlen($entry_filetitle) > $maxfieldlength) 
   { $entry_filetitle = substr($entry_filetitle,0,$maxfieldlength-3);$entry_filetitle .= "..."; }


 if ($step == 1) $bcolor = "#EEEEEE"; // Switch background color of output line
 else if ($step == 2) {$bcolor = "#DFDFDF";} // Switch background color of output line
 {
?>
                      </strong></span>
                        <table border=0 cellspacing=0 cellpadding=0 width=100%>
                          <tr>
                            <td width=9% height="16" valign=middle bgcolor='<?php echo $bcolor ?>' class="" id="Row<?php echo $x;?>A" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');"><img src="../images/blankspacer.gif" width="20" height="8" border="0"><a href="editdownloadgo.php?downloadid=<?php echo $entry_id;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>"><?php echo $entry_id;?></a></td>
                            <td width=11% height="16" valign=middle bgcolor='<?php echo $bcolor ?>' class="" id="Row<?php echo $x;?>B" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');">
                              <div align="left"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><a href="editdownloadgo.php?downloadid=<?php echo $entry_id;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>"><?php echo "$entry_tag.$entry_monat.$entry_jahr";?></a> </div></td>
                            <td width=26% height="16" valign=middle bgcolor=<?php echo $bcolor ?> class="" id="Row<?php echo $x;?>C" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');"> <img src="../images/blankspacer.gif" width="5" height="8" border="0"><a href="editdownloadgo.php?downloadid=<?php echo $entry_id;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>"><?php echo $entry_filetitle;?></a></td>
                            <td width=32% height="16" valign=middle bgcolor='<?php echo $bcolor ?>' class="" id="Row<?php echo $x;?>D" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');"> <img src="../images/blankspacer.gif" width="5" height="8" border="0"><a href="editdownloadgo.php?downloadid=<?php echo $entry_id;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>">
                              <?php 
 if (strlen($entry_shortdesc) > $maxfieldlength+6) { $entry_shortdesc = substr($entry_shortdesc,0,$maxfieldlength+6-3);$entry_shortdesc .= "..."; }
 echo $entry_shortdesc;
?>
                            </a> </td>
                            <td width=12% height="16" valign=middle bgcolor='<?php echo $bcolor ?>' class="" id="Row<?php echo $x;?>E" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');"> <img src="../images/blankspacer.gif" width="5" height="8" border="0"><a href="editdownloadgo.php?downloadid=<?php echo $entry_id;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>">
                              <?php 
 if ($entry_location == "INTERNAL") echo $lang['Internal']; else echo $lang['External'];
?>
                            </a> </td>
                            <td width=10% height="16" valign=middle bgcolor=<?php echo $bcolor ?> class="" id="Row<?php echo $x;?>F" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');"> <img src="../images/blankspacer.gif" width="5" height="8" border="0"><a href="editdownloadgo.php?downloadid=<?php echo $entry_id;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>"><?php echo $entry_totaldownloads;?></a> </td>
                          </tr>
                        </table>
                        <?php }
 if ($step == 1) $step = 2;
 else if ($step == 2) {$step = 1;
}
 unset($vis_proxyinfo); // delete proxy variable for next mysql result 
 unset($exploded_proxy); // delete proxy array for next mysql result 
 $x++;
 }
?>
                    </td>
                  </tr>
              </table></td>
          </tr>
      </table></td>
    </tr>
  </table>
  <table width="100%" border="0" cellpadding="0" cellspacing="0" class="small">
    <tr>
      <td colspan="2"><img src="../images/blankspacer.gif" width="5" height="8"></td>
    </tr>
    <tr>
      <td><?php echo $lang['Browse_Entries'];?>:
          <?php
 $x			 = 0;
 $endpos	 = $downloads_in_category-1;
 $checkpos	 = $pos+$showmax; 
 $nextpos	 = $pos+1;
 $newpos	 = $pos-$showmax;
 $total_val  = $downloads_in_category;

 if ($newpos<0) $newpos=0;

 if (isset($_REQUEST['currentpos'])) $currentpos = $_REQUEST['currentpos'];
  else $currentpos = $pos + $showmax;

 if (isset($_REQUEST['current_page'])) $current_page = $_REQUEST['current_page'];

 $To_First_Entry  = $lang['To_First_Entry'];
 $To_Last_Entry   = $lang['To_Last_Entry'];
 $Show_Newer_Data = $lang['Show_Newer_Data'];
 $Show_Older_Data = $lang['Show_Older_Data'];

 // let user browse through results
 @$pages = ceil($total_val/$showmax)-1; // calculate total number of pages needed to display all data
 if(!isset($current_page)) $current_page=0;
 if(!isset($low_butt)) $low_butt=0;
 if(!isset($high_butt)) $high_butt=$showbuttons;
 if ($high_butt>$pages) $high_butt = $pages;
 // show goto-start arrows if needed
 if ($current_page > 0 && $pages>$showbuttons || $current_page>ceil($showbuttons/2))
 echo "<a href='editdownload.php?sortorder=$sortorder&pos=0&showmax=$showmax&current_page=0&low_butt=0&high_butt=$showbuttons&showcat=$showcat#downloadlist'> << </a>|";
 else echo "";
 $buttoncounter = 1;
 $endingpos = $total_val-$showmax;
 $endinglow = $pages-$showbuttons;
 $endinghigh = $pages;
 for($x=$low_butt; $x<=$high_butt; $x++)
 {
 if ($x > $total_val && $pages>$showbuttons || $button_counter>$showbuttons) BREAK;
 $new_high_button = $x+$showbuttons-ceil($showbuttons/2); if ($new_high_button > $pages) {$new_low_button = $pages-$showbuttons; $new_high_button = $pages;}
 $new_low_button = $x-ceil($showbuttons/2); if ($new_low_button < 0) {$new_low_button = 0; $new_high_button = $showbuttons;}
 $browse_pos = $x*$showmax;
 if ($current_page == 0 && $browse_pos == 0) $browse_pos = $showmax;
 if ($x == $current_page) echo "<b> $x</b> | ";
 $zeigepos = $browse_pos + $showmax;
 if ($x <> $current_page && $x >= 0) echo "<a href='editdownload.php?sortorder=$sortorder&pos=$browse_pos&showmax=$showmax&current_page=$x&low_butt=$new_low_button&high_butt=$new_high_button&oldbuttonpos=$current_page&showcat=$showcat#downloadlist'> $x </a>|";
 $button_counter++;
 }
 // show goto-end arrows if needed 
 if ($current_page < $pages || $current_page<$pages-ceil($showbuttons/2) || $current_page+ceil($showbuttons/2)<$pages)
 echo "<a href='editdownload.php?sortorder=$sortorder&pos=$endingpos&showmax=$showmax&current_page=$pages&low_butt=$endinglow&high_butt=$endinghigh&showcat=$showcat#downloadlist'> >> </a>";
?>
      </td>
      <td width="38%">
        <div align="right"> <b>
          <?php
 // Right here the user will be able to page through the data
 @$current_page = ceil(($pos+$showmax)/$showmax);
 if ($pos > 0 && $current_page >= 0)
 { 
 $back_current = $current_page - 2;
 $lowbuttprev = $low_butt - 1;
 $highbuttprev = $current_page + 1; 
 if ($highbuttprev <= $showbuttons) $highbuttprev = $showbuttons;
 echo "<a href='editdownload.php?sortorder=$sortorder&pos=0&showmax=$showmax&current_page=0&low_butt=0&high_butt=$showbuttons&showcat=$showcat#downloadlist' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('start','','../images/tostart_down.gif',1)\"><img name='start' src='../images/tostart.gif' width='81' height='13' border='0' align='absmiddle' alt='$To_First_Entry'></a><img src='../images/blankspacer.gif' width=6 height=4 border='0'>";
 echo "<a href='editdownload.php?sortorder=$sortorder&pos=$newpos&showmax=$showmax&current_page=$back_current&low_butt=$lowbuttprev&high_butt=$highbuttprev&showcat=$showcat#downloadlist' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('neweer','','../images/newerdata_down.gif',1)\"><img name='newer' src='../images/newerdata.gif' width='81' height='13' border='0' align='absmiddle' alt='$Show_Newer_Data'></a><img src='../images/blankspacer.gif' width=6 height=4 border='0'>";
 } 
 if($total_val> $currentpos)
 {
 $pos += $showmax;
 if ($low_butt > 0)
  $lowbuttnext = $low_butt + 1;
 $highbuttnext = $high_butt + 2;
 echo "<a href='editdownload.php?sortorder=$sortorder&pos=$=$lowbuttnext&high_butt=$highbuttnext&oldbuttonpos=$current_page&current_page=$current_page&showcat=$showcat#downloadlist' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('older','','../images/olderdata_down.gif',1)\"><img name='older' src='../images/olderdata.gif' width='81' height='13' border='0' align='absmiddle' alt='$Show_Older_Data'></a><img src='../images/blankspacer.gif' width=6 height=4 border='0'>";
 }
 $current_page--; // Fix $current_page value bis substracting one 
 if ($current_page<$pages)
 echo "<a href='editdownload.php?sortorder=$sortorder&pos=$endingpos&showmax=$showmax&low_butt=$endinglow&high_butt=$endinghigh&current_page=$pages&showcat=$showcat#downloadlist' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('end','','../images/toend_down.gif',1)\"><img name='end' src='../images/toend.gif' width='81' height='13' border='0' align='absmiddle' alt='$To_Last_Entry'></a><img src='../images/blankspacer.gif' width=6 height=4 border='0'>";
?>
      </b></div></td>
    </tr>
    <tr>
      <td colspan="2"><img src="../images/blankspacer.gif" width="5" height="5"></td>
    </tr>
    <tr>
      <td colspan="2">&nbsp;</td>
    </tr>
  </table>
  <img src="../images/blackdot.gif" width="100%" height="1"><span class="small"><br>
  </span>
  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="60%"> <span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="createdownload.php"><?php echo $lang['Add_Download'];?></a>, <a href="deletedownload.php"><?php echo $lang['Delete_Download'];?></a></span></td>
      <td width="40%"><div align="right"><span class="small"><?php echo $lang['Downloads_In_Category'];?>: <?php echo $downloads_in_category;?></span></div></td>
    </tr>
  </table>
  <span class="small"> <br>
</span></div>
</body>
</html>











