<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function checkblacklist($visitor_ip, $visitor_hostname='', $visitor_browserstamp='', $blacklist, $blacklist_active)
{ 
 // set flag to false and lower strings
 $block_ip 		= 'FALSE';
 $visitor_hostname 	= strtolower($visitor_hostname);
 $visitor_browserstamp 	= strtolower($visitor_browserstamp);
  
 // only run routine if blacklist-function is active 
 if ($blacklist_active == 'TRUE')
 {

  // create an array with block-values
  @$blacklistarray = explode("\n",$blacklist);   
  for ($x=0; $x<count($blacklistarray); $x++)
  { 
   $blacklistarray[$x] = strtolower($blacklistarray[$x]);
   if (isset($compval)) unset($compval);
   if (isset($rest_of_ip)) unset($rest_of_ip);
   $hit_found = 0;
   // check if current blacklist entry is empty - if so, skip the following code
   if ($blacklistarray[$x] != '')
   {
    @$blacklistarray[$x]= trim($blacklistarray[$x]);
    @$compval = strval($blacklistarray[$x]);
    @$compval = strtolower(trim($compval));
    // count IP parts
    @$num_of_dots  = substr_count($compval, '.*'); // check if ".*" is included in blacklisted IP-adress
    if ($num_of_dots>0)
    {
     @$last_dot_pos = strrpos($compval, '.*'); // position of last ".*" in IP-adress
     @$rest_of_ip   = substr($compval, 0, $last_dot_pos); // take the rest of the IP without the ".*" stuff
    }
    else {$rest_of_ip = $compval;} // no ".*" at all, so take the whole visitor IP for comparison

    // check if last char of string is still *-char -> if so, remove it now
    @$checklength = strlen($rest_of_ip);
    @$checkchar = substr($rest_of_ip, $checklength-1, $checklength);
    if ($checkchar == '*') @$rest_of_ip = substr($rest_of_ip, 0, $checklength-1);

    /////////////////////////////////////////////////////////////////////////////////////////////
  
    // #1: check if visitor_ip is found in blocked value
    $haystack = $visitor_ip;
    $needle   = $rest_of_ip;
    if (strlen($needle) > strlen($haystack))
    {    
     $tempvar1 = $haystack;
     $tempvar2 = $needle;
     $needle   = $tempvar1;
     $haystack = $tempvar2;
    }
    @$hit_found = substr_count($haystack, $needle);
    /////////////////////////////////////////////////////////////////////////////////////////////

  
    // #2: check if visitor_hostname is found in blocked value
    if ($visitor_hostname != '' && eregi("[a-z]", $visitor_hostname) && $hit_found == 0)
    {
     $haystack = $visitor_hostname;
     $needle   = $rest_of_ip;
     if (strlen($needle) > strlen($haystack))
     {    
      $tempvar1 = $haystack;
      $tempvar2 = $needle;
      $needle   = $tempvar1;
      $haystack = $tempvar2;
     }
     @$hit_found = substr_count($haystack, $needle);
    }

    /////////////////////////////////////////////////////////////////////////////////////////////

    // #3: check if visitor_browserstamp is found in blocked value
    if ($visitor_browserstamp != '' && $hit_found == 0)
    {
     $haystack = $visitor_browserstamp;
     $needle   = $rest_of_ip;
     if (strlen($needle) > strlen($haystack))
     {    
      $tempvar1 = $haystack;
      $tempvar2 = $needle;
      $needle   = $tempvar1;
      $haystack = $tempvar2;
     }
     @$hit_found = substr_count($haystack, $needle);
    }
  
    // if so, set FLAG to TRUE - if not, set flag to FALSE
    if ($hit_found > 0) { $block_ip = 'TRUE'; break;}
     else { $block_ip = 'FALSE';}
     }
  }
 }
 if ($blacklist_active == 'FALSE') $block_ip = 'FALSE';
 return $block_ip;
} 
?>