<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function visits_thisyear_total($year, $tablename, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 for ($x=1; $x<=12; $x++) { $container["$x"] = 0; }
 $sql = "SELECT visitor_month, totalvisits FROM $tablename WHERE websitename = '$activesitename'
 	 AND visitor_year = '$year'";
  
 @$result = $my_db->query($sql);
 while ($my_object = mysql_fetch_object($result)) 
 {
  $container["$my_object->visitor_month"] = $my_object->totalvisits;
 }
 
 return $container;
}
function visits_thisyear_unique($year, $tablename, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 for ($x=1; $x<=12; $x++) { $container["$x"] = 0; }
 $sql = "SELECT visitor_month, uniquevisits FROM $tablename WHERE websitename = '$activesitename'
 	 AND visitor_year = '$year'";
  
 @$result = $my_db->query($sql);
 while ($my_object = mysql_fetch_object($result)) 
 {
  $container["$my_object->visitor_month"] = $my_object->uniquevisits;
 }
 
 return $container;
}

function showmaxvisitors($tablename, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $sql = "SELECT visitorsperpage FROM $tablename WHERE websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$showmaxvisitors = mysql_result($result,0,0);
 return $showmaxvisitors;
}

function downloads_within_range($limitday_low=1, $limitday_high=31, $month, $year, $tablename,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low." 00:00:00";
 $todate   = $year.'-'.$month.'-'.$limitday_high." 23:59:59";
 $sql = "SELECT count(*) FROM $tablename WHERE download_timestamp BETWEEN '$fromdate' AND '$todate' AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$downloads = mysql_result($result,0,0);
 return $downloads;
}

function monthly_transfer($limitday_low=1, $limitday_high=31,$month,$year,$tablename,$activesitename = 'NONE') 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;

 for ($x=1; $x<=$limitday_high; $x++) {$container["$x"] = 0;}

 $sql = "SELECT datatransfered AS transfer, DAYOFMONTH(transfer_timestamp) AS day 
 	 FROM $tablename 
	 WHERE transfer_timestamp BETWEEN '$fromdate' AND '$todate' 
	 AND websitename = '$activesitename' 
	 GROUP BY DAYOFMONTH(transfer_timestamp)";
			 
 @$result = $my_db->query($sql);
 while ($my_object = mysql_fetch_object($result))
 {
  $transfer = $my_object->transfer;
  @$container["$my_object->day"] = round(($transfer/1024),2);
  $transfer = 0;
 }
 return $container;
}

function monthly_mediaclicks($month,$year,$campaigntable,$campaign_name,$activesitename = 'NONE') 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $numofdays = date('t', mktime(0, 0, 0, $month+1, 0, $year));

 for ($x=1; $x<=$numofdays; $x++) {$container["$x"] = 0;}

 $sql = "SELECT count(*) AS clicks, DAYOFMONTH(campaign_clickdate ) AS day 
 	 FROM $campaigntable 
	 WHERE MONTH(campaign_clickdate)= '$month'
	 AND campaign_name = '$campaign_name'
	 AND YEAR(campaign_clickdate) = '$year' 
	 AND websitename = '$activesitename' 
	 GROUP BY DAYOFMONTH(campaign_clickdate)";
			 
 @$result = $my_db->query($sql);
 while ($my_object = mysql_fetch_object($result))
 {
  $container["$my_object->day"] = $my_object->clicks;
 }
 return $container;
}

function monthly_downloads($month,$year,$downloadtable,$activesitename = 'NONE') 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $numofdays = date('t', mktime(0, 0, 0, $month+1, 0, $year));

 for ($x=1; $x<=$numofdays; $x++) {$container["$x"] = 0;}

 $sql = "SELECT count(*) AS downloads, DAYOFMONTH(download_timestamp) AS day 
 	 FROM $downloadtable 
	 WHERE MONTH(download_timestamp)= '$month'
	 AND YEAR(download_timestamp) = '$year' 
	 AND websitename = '$activesitename' 
	 GROUP BY DAYOFMONTH(download_timestamp)";
			 
 @$result = $my_db->query($sql);
 while ($my_object = mysql_fetch_object($result))
 {
  $container["$my_object->day"] = $my_object->downloads;
 }
 return $container;
}

function monthly_impressions($limitday_low=1, $limitday_high=31,$month,$year,$transfertable,$activesitename = 'NONE') 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;

 for ($x=1; $x<=$limitday_high; $x++) {$container["$x"] = 0;}

 $sql = "SELECT numofpages AS impressions, DAYOFMONTH(transfer_timestamp) AS day 
 	 FROM $transfertable 
	 WHERE transfer_timestamp BETWEEN '$fromdate' AND '$todate' 
	 AND websitename = '$activesitename' 
	 GROUP BY DAYOFMONTH(transfer_timestamp)";
			 
 @$result = $my_db->query($sql);
 while ($my_object = mysql_fetch_object($result))
 {
  $container["$my_object->day"] = $my_object->impressions;
 }

 return $container;
}

function bot_monthly_overview($numofdays,$month,$year,$tablename,$target_bot='',$activesitename = 'NONE') 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-01';
 $todate = $year.'-'.$month.'-'.$numofdays;

 for ($x=1; $x<=$numofdays; $x++) {$container["$x"] = 0;}

 $sql = "SELECT count(*) AS visits, DAYOFMONTH(visitor_date) AS dayofvisit 
 	 FROM $tablename 
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate' AND visitor_browserfull = '$target_bot' ";
			  
 $sql .= "AND websitename = '$activesitename' GROUP BY DAYOFMONTH(visitor_date)";

 @$result = $my_db->query($sql);
 while ($my_object = mysql_fetch_object($result))
 {
  $container["$my_object->dayofvisit"] = $my_object->visits;
 }

 return $container;
}

function monthly_overview($numofdays,$month,$year,$tablename,$visitor_type='TOTAL',$activesitename = 'NONE') 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-01';
 $todate = $year.'-'.$month.'-'.$numofdays;

 for ($x=1; $x<=$numofdays; $x++) {$container["$x"] = 0;}

 $sql = "SELECT count(*) AS visits, DAYOFMONTH(visitor_date) AS dayofvisit 
 	 FROM $tablename 
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate' AND visitor_type = 'HUMAN' ";
			
 if ($visitor_type == 'UNIQUE') $sql .= " AND unique_visit = 'TRUE' ";
 
 $sql .= "AND websitename = '$activesitename' GROUP BY DAYOFMONTH(visitor_date)";
			 
 @$result = $my_db->query($sql);
 while ($my_object = mysql_fetch_object($result))
 {
  $container["$my_object->dayofvisit"] = $my_object->visits;
 }

 return $container;
}

function downloads_for_user($visitor_id, $visitor_ip, $day, $month, $year, $tablename, $activesitename='NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$day.' 00:00:00';
 $todate   = $year.'-'.$month.'-'.$day.' 23:59:59'; 

 $sql = "SELECT count(*) FROM $tablename
	 WHERE websitename = '$activesitename'
	 AND download_timestamp BETWEEN '$fromdate' AND '$todate'
	 AND visitor_id = '$visitor_id'";

 // check if ID can be found
 @$result = $my_db->query($sql);		   
 @$downloads = mysql_result($result,0,0);

 if ($downloads == 0 || $downloads == '')
 {
  $sql = "SELECT count(*) FROM $tablename 
	  WHERE websitename = '$activesitename'
	  AND download_timestamp BETWEEN '$fromdate' AND '$todate'
	  AND visitor_ip = '$visitor_ip'";
	  
  @$result = $my_db->query($sql);
  @$downloads = mysql_result($result,0,0);
 }
 return $downloads;
} 	
 	
function table_status($databasename, $tablename)
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 // get table status from database 	
 $sql = "SHOW TABLE STATUS FROM $databasename LIKE '$tablename'";
 @$result = $my_db->query($sql);
 @$data   = mysql_fetch_array($result); 				// get result into array
 @$total  = $data['Data_length'] + $data['Index_length'];		// calculate total size of table
 
 // output information
 $tablestatus['total_kbyte'] = round(($total/1024),2);
 $tablestatus['total_mybte'] = round(($tablestatus['total_kbyte']/1024),2);
 $tablestatus['index_kbyte'] = round(($data['Index_length']/1024),2);
 $tablestatus['index_mbyte'] = round(($tablestatus['index_kbyte']/1024),2);
 $tablestatus['data_kbyte']  = round(($data['Data_length']/1024),2);
 $tablestatus['data_mbyte']  = round(($tablestatus['data_kbyte']/1024),2);

 return $tablestatus;
}

function unresolved_ips($tablename, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $sql = "SELECT count(*) FROM $tablename WHERE hostnameresolved = 'FALSE' AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$unresolved_ips = mysql_result($result,0,0);
 return $unresolved_ips;
}


function getSearchQuery($searchphrase, $fieldname, $datefield, $fromdate, $todate)
{ 
 $counter = 0;
 $searchwords = explode(" ", $searchphrase); 
 foreach($searchwords AS $searchword)
 { 
  $searchword = trim($searchword);
  if ($counter<1)
  {
   $addToQuery .= " AND $fieldname LIKE '%$searchword%'";
  }  
  else
  { 
   $addToQuery .= " OR $fieldname LIKE '%$searchword%'";
   $addToQuery .= " AND $datefield BETWEEN '$fromdate' AND '$todate'";
  }
  $counter++;
 } 
 return $addToQuery;
}


function getvisitorsonline($useronlinetable, $trackingtable, $showmax, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $x = 0;
 $sql = "SELECT *, UNIX_TIMESTAMP(visitor_time) AS vistimestamp FROM $useronlinetable WHERE websitename = '$activesitename' LIMIT 0, $showmax";
 @$result = $my_db->query($sql);

 while(@$myobject = mysql_fetch_object($result))
 {
  if ($myobject->visitor_id != '')
   $sql = "SELECT MAX(id) FROM $trackingtable WHERE visitor_id = '$myobject->visitor_id'";
  else $sql = "SELECT MAX(id) FROM $trackingtable WHERE visitor_ip = '$myobject->visitor_ip'";

  $new_result = $my_db->query($sql);
  @$max_id = mysql_result($new_result,0,0);
  @$trackresult = mysql_query("SELECT visitor_webpage, visitor_realpagename FROM $trackingtable WHERE id = '$max_id'");	
  @$visitor_webpage = mysql_result($trackresult,0,'visitor_webpage');
  @$visitor_realpagename = mysql_result($trackresult,0,'visitor_realpagename');
  $visitorsonline[$x] = array ('visitor_ip' => $myobject->visitor_ip, 'visitor_id' => $myobject->visitor_id, 'visitor_webpage' => $currentpage, 'currentpage_realname' => $visitor_realpagename, 'last_pagecall' => $myobject->vistimestamp);
  $x++;
 }
 return $visitorsonline;
}

function downloadstoday($day,$month,$year,$downloadtable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$day.' 00:00:00';
 $todate   = $year.'-'.$month.'-'.$day.' 23:59:59'; 
 $sql = "SELECT count(*) FROM $downloadtable 
	 WHERE download_timestamp BETWEEN '$fromdate' AND '$todate'
 	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$totalnumber   = mysql_result($result,0,0);
 return $totalnumber;
}

function top_distinct_data_for_field($limitday_low=1, $limitday_high=31,$month,$year,$tablename,$fieldname='',$extra='',$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;
  
 $sql = "SELECT count($fieldname) AS totalnumber, $fieldname AS topvalue FROM $tablename 
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND $fieldname != 'Unknown'
	 AND $fieldname != '0'
 	 AND websitename = '$activesitename'";
 	 
 // add extra sql-commands
 if ($extra != '') $sql .= $extra;
 
 $sql .= " GROUP BY $fieldname
 	   ORDER BY totalnumber DESC
 	   LIMIT 0,1";
 
 @$result = $my_db->query($sql);
 @$topvalue = mysql_result($result,0,'topvalue');
 return $topvalue;
}
function flop_distinct_data_for_field($limitday_low=1, $limitday_high=31,$month,$year,$tablename,$fieldname='',$extra='',$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;
  
 $sql = "SELECT count($fieldname) AS totalnumber, $fieldname AS topvalue FROM $tablename 
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND $fieldname != 'Unknown'
	 AND $fieldname != '0'
 	 AND websitename = '$activesitename'";
 	 
 // add extra sql-commands
 if ($extra != '') $sql .= $extra;
 
 $sql .= " GROUP BY $fieldname
 	   ORDER BY totalnumber ASC
 	   LIMIT 0,1";    
 @$result = $my_db->query($sql);   
 @$flopvalue = mysql_result($result,0, 'flopvalue');

 return $flopvalue;
}
function distinct_data_for_field($limitday_low=1, $limitday_high=31,$month,$year,$tablename,$fieldname='',$extra='',$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;
  
 $sql = "SELECT count(DISTINCT $fieldname) FROM $tablename 
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND $fieldname != 'Unknown'
 	 AND websitename = '$activesitename'";
 
 // add extra sql-commands
 if ($extra != '') $sql .= $extra;
 
 // get result from database
 @$result = $my_db->query($sql);
 $totalnumber = mysql_result($result,0,0);
					    
 return $totalnumber;
}

function visitors_by_referer($limitday_low=1, $limitday_high=31,$month,$year,$maintable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;
 $sql = "SELECT count(*) FROM $maintable 
	 WHERE visitor_referertype = 'Link'
	 AND visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND visitor_type = 'HUMAN'
 	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$totalnumber   = mysql_result($result,0,0);
 return $totalnumber;
}

function visitors_by_engine($limitday_low=1, $limitday_high=31,$month,$year,$maintable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;
 $sql = "SELECT count(*) FROM $maintable 
	 WHERE visitor_referertype = 'Searchengine'
	 AND visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND visitor_type = 'HUMAN'
 	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$totalnumber   = mysql_result($result,0,0);
 return $totalnumber;
}
function visitors_by_direct_access($limitday_low=1, $limitday_high=31,$month,$year,$maintable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;
 $sql = "SELECT count(*) FROM $maintable 
         WHERE visitor_referertype = 'Direct Access'
	 AND visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND visitor_type = 'HUMAN'
 	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$totalnumber   = mysql_result($result,0,0);
 return $totalnumber;
}

function botvisits_targetbot($limitday_low=1, $limitday_high=31,$month,$year,$tablename,$target_bot='',$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;
 $sql = "SELECT count(*) FROM $tablename 
	 WHERE visitor_browserfull = '$target_bot'
	 AND visitor_date BETWEEN '$fromdate' AND '$todate'
 	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$totalnumber   = mysql_result($result,0,0);
 return $totalnumber;
}

function botvisits($limitday_low=1, $limitday_high=31,$month,$year,$tablename,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;
 $sql = "SELECT count(*) FROM $tablename 
	 WHERE visitor_type = 'ROBOT'
	 AND visitor_date BETWEEN '$fromdate' AND '$todate'
 	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$totalnumber   = mysql_result($result,0,0);
 return $totalnumber;
}
function unique_bots($limitday_low=1, $limitday_high=31,$month,$year,$tablename,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;
 $sql = "SELECT count(DISTINCT visitor_browserfull) FROM $tablename 
 	 WHERE visitor_type = 'ROBOT'
	 AND visitor_date BETWEEN '$fromdate' AND '$todate'
 	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$totalnumber   = mysql_result($result,0,0);
 return $totalnumber;
}
function lateral_entry_month($month,$year,$maintable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $sql = "SELECT count(*) FROM $maintable 
	 WHERE MONTH(visitor_date) = '$month'
	 AND YEAR(visitor_date) = '$year'
	 AND requested_page NOT LIKE 'index%'
	 AND requested_page NOT LIKE '/index%'
	 AND websitename = '$activesitename'
	 AND visitor_type = 'HUMAN'";
 @$result = $my_db->query($sql);
 @$totalnumber = mysql_result($result,0,0);
 return $totalnumber;
} 

function lateral_entry($day,$month,$year,$maintable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $targetstamp = $year.'-'.$month.'-'.$day;
 $sql = "SELECT count(*) FROM $maintable 
	 WHERE visitor_date = '$targetstamp'
	 AND requested_page NOT LIKE 'index%'
	 AND requested_page NOT LIKE '/index%'
	 AND websitename = '$activesitename'
	 AND visitor_type = 'HUMAN'";
 @$result = $my_db->query($sql);
 $totalnumber = mysql_result($result,0);
 return $totalnumber;
} 

function timespent($limitday_low=1, $limitday_high=31, $month, $year, $trackingtable, $sortby, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low.' 00:00:00';
 $todate   = $year.'-'.$month.'-'.$limitday_high.' 23:59:59';
 
 $sql = "SELECT visitor_ip, UNIX_TIMESTAMP(MAX( visitor_timestamp )) - UNIX_TIMESTAMP( MIN( visitor_timestamp )) AS diff_seconds 
 	 FROM $trackingtable
	 WHERE visitor_timestamp BETWEEN '$fromdate' AND '$todate'
 	 AND websitename = '$activesitename'
	 GROUP BY visitor_ip HAVING diff_seconds < 3000";
		       		       
 @$result = $my_db->query($sql);
  
 $x = 0;		       
 while ($myarray = mysql_fetch_array($result))
 {
  $x++;
  $time   =  $myarray['diff_seconds'];

  /////////////////////////////////////////////////////////////////////////
  $seconds_on_site  = $myarray['diff_seconds'];	
  $totalsecs 	    = $totalsecs + $time;
  $seconds    	    = $time % 60;
  $totalMinutes     = ( $time - $seconds ) / 60;
  $minutes 	    = $totalMinutes % 60;
  $hours 	    = ( $totalMinutes - $minutes ) / 60;
  /////////////////////////////////////////////////////////////////////////
 
  if ($seconds_on_site >= 0 && $seconds_on_site <= 60) 
  { 
   if (!isset($timespent["0-1"])) $timespent["0-1"] = 1;
    else $timespent["0-1"] += 1;
  } 
  if ($seconds_on_site >= 61 && $seconds_on_site <= 120) 
  { 
   if (!isset($timespent["1-2"])) $timespent["1-2"] = 1;
    else $timespent["1-2"] += 1;
  } 
  if ($seconds_on_site >= 121 && $seconds_on_site <= 180) 
  { 
   if (!isset($timespent["2-3"])) $timespent["2-3"] = 1;
    else $timespent["2-3"] += 1;
  } 
  if ($seconds_on_site >= 181 && $seconds_on_site <= 240) 
  { 
   if (!isset($timespent["3-4"])) $timespent["3-4"] = 1;
    else $timespent["3-4"] += 1;
  } 
  if ($seconds_on_site >= 241 && $seconds_on_site <= 300) 
  { 
   if (!isset($timespent["4-5"])) $timespent["4-5"] = 1;
    else $timespent["4-5"] += 1;
  } 
  if ($seconds_on_site >= 301 && $seconds_on_site <= 600) 
  { 
   if (!isset($timespent["5-10"])) $timespent["5-10"] = 1;
    else $timespent["5-10"] += 1;
  } 
  if ($seconds_on_site >= 601 && $seconds_on_site <= 900)
  { 
   if (!isset($timespent["10-15"])) $timespent["10-15"] = 1;
    else $timespent["10-15"] += 1;
  }
  if ($seconds_on_site >= 901 && $seconds_on_site <= 1200) 
  { 
   if (!isset($timespent["15-20"])) $timespent["15-20"] = 1;
    else $timespent["15-20"] += 1;
  }  
  if ($seconds_on_site  >= 1201 && $seconds_on_site  <= 1800) 
  { 
   if (!isset($timespent["20-30"])) $timespent["20-30"] = 1;
    else $timespent["20-30"] += 1;
  }  
  if ($seconds_on_site >= 1801) 
  { 
   if (!isset($timespent["30+"])) $timespent["30+"] = 1;
    else $timespent["30+"] += 1;
  }  
 }
 
 // sort $data_container as requested
 if ($sortby == 'time')
 {
  $final_array["0-1"] 	= $timespent["0-1"];
  $final_array["1-2"] 	= $timespent["1-2"];
  $final_array["2-3"] 	= $timespent["2-3"];
  $final_array["3-4"] 	= $timespent["3-4"];
  $final_array["4-5"]	= $timespent["4-5"];
  $final_array["5-10"] 	= $timespent["5-10"];
  $final_array["10-15"] = $timespent["10-15"];
  $final_array["15-20"] 	= $timespent["15-20"];
  $final_array["20-30"] = $timespent["20-30"];
  $final_array["30+"] 	= $timespent["30+"];  
  
  return $final_array; 
 
 }
 else
 {
  @array_multisort($timespent, SORT_DESC);
  return $timespent;
 }
}
 
function timeperuser_all($limitday_low=1, $limitday_high=31, $month, $year, $trackingtable, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];

 $fromdate = $year.'-'.$month.'-'.$limitday_low.' 00:00:00';
 $todate   = $year.'-'.$month.'-'.$limitday_high.' 23:59:59';
 
 $sql = "SELECT DISTINCT visitor_ip, 
     	 UNIX_TIMESTAMP(MAX( visitor_timestamp )) - UNIX_TIMESTAMP( MIN( visitor_timestamp )) AS diff_seconds 
 	 FROM $trackingtable
	 WHERE visitor_timestamp BETWEEN '$fromdate' AND '$todate'
 	 AND websitename = '$activesitename'
	 GROUP BY visitor_ip
	 HAVING diff_seconds BETWEEN 1 AND 1800";

  @$result = $my_db->query($sql);
  $x =0;	       

  while ($myarray = mysql_fetch_array($result))
  {
   $x++;
   $time   =  $myarray['diff_seconds'];
   $totalsecs = $totalsecs + $time;
   $secs    = $time % 60;
   $totalMinutes = ( $time - $secs ) / 60;
   $minutes = $totalMinutes % 60;
   $hours = ( $totalMinutes - $minutes ) / 60;
  }
  
  @$seconds_per_user = round($totalsecs/$x);
  $secs    = $seconds_per_user % 60;
  if ($secs < 10) $secs = "0".$secs;
  $totalMinutes = ( $seconds_per_user - $secs ) / 60;
  
  $timeperuser = "$totalMinutes:$secs";
  return $timeperuser;
 }
function seconds_spent_total($limitday_low=1, $limitday_high=31, $month, $year, $trackingtable, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low.' 00:00:00';
 $todate   = $year.'-'.$month.'-'.$limitday_high.' 23:59:59';
 $sql = "SELECT DISTINCT visitor_ip, 
   	 UNIX_TIMESTAMP(MAX( visitor_timestamp )) - UNIX_TIMESTAMP( MIN( visitor_timestamp )) AS diff_seconds 
 	 FROM $trackingtable
	 WHERE visitor_timestamp BETWEEN '$fromdate' AND '$todate'
 	 AND websitename = '$activesitename'
	 GROUP BY visitor_ip";
 
 @$result = $my_db->query($sql);
 $x =0;		       

 while ($myarray = mysql_fetch_array($result))
 {
  $x++;
  $time   =  $myarray['diff_seconds'];
  if ($time <= 1800)  
  {
   $totalsecs += $time;
  }
 }
 return $totalsecs;
}

function totalrevisitors($limitday_low=1, $limitday_high=31, $month, $year, $revisittable, $activesitename = 'NONE') 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low.' 00:00:00';
 $todate   = $year.'-'.$month.'-'.$limitday_high.' 23:59:59';
 $sql = "SELECT count(*) FROM $revisittable
	 WHERE cookie_timestamp BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'";

 @$result = $my_db->query($sql);
 @$totalrevisitors = mysql_result($result,0,0);
 return $totalrevisitors;
}



function toprevisitors($limitday_low=1, $limitday_high=31, $month, $year, $tablename, $showmax='', $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;

 $loyality_container = array();
 
 $sql = "SELECT count(*) AS total FROM $tablename
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate' 
	 AND visitor_id !=  ''
         AND visitor_type = 'HUMAN'
         GROUP BY visitor_id
         ORDER BY total DESC";
 
 @$result = $my_db->query($sql);

 while ($my_object = mysql_fetch_object($result))
 { 
  // #1: first visits 
  if ($my_object->total == 1) $loyality_container['1-1'] += 1;
  // #2: 2-5 visits
  if ($my_object->total >=2 && $my_object->total <= 5) $loyality_container['2-5'] += 1;
  // #3: 6-10 visits
  if ($my_object->total >=6 && $my_object->total <= 10) $loyality_container['6-10'] += 1;
  // #4: 11-15 visits
  if ($my_object->total >=11 && $my_object->total <= 15) $loyality_container['11-15'] += 1;
  // #5: 16-20 visits
  if ($my_object->total >=16 && $my_object->total <= 20) $loyality_container['16-20'] += 1;
  // #6: 21-30 visits
  if ($my_object->total >=21 && $my_object->total <= 30) $loyality_container['21-30'] += 1;
  // #6: 31-40 visits
  if ($my_object->total >=31 && $my_object->total <= 40) $loyality_container['31-40'] += 1;
  // #6: 41-50 visits
  if ($my_object->total >=41 && $my_object->total <= 50) $loyality_container['41-50'] += 1;
  // #6: 51-75 visits
  if ($my_object->total >=51 && $my_object->total <= 75) $loyality_container['51-75'] += 1;
  // #7: more than 100 visits
  if ($my_object->total >=100) $loyality_container['100+'] += 1;
 }
 @array_multisort($loyality_container,SORT_DESC);
 return $loyality_container;
}

function topfrequency($limitday_low=1, $limitday_high=31, $month, $year, $tablename, $showmax='', $activesitename = 'NONE') // Function to get most used browser und browserversion
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;

 $loyality_container = array();
 
 $sql = "SELECT count(*) AS total FROM $tablename
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate' INTERVAL 7 DAY 
	 AND visitor_id !=  ''
         AND visitor_type = 'HUMAN'
         GROUP BY visitor_id
         ORDER BY total DESC";
 
 @$result = $my_db->query($sql);

 while (@$my_object = mysql_fetch_object($result))
 { 
  // #1: first visits 
  if ($my_object->total == 1) $loyality_container['1-1'] += 1;
  // #2: 2-5 visits
  if ($my_object->total >=2 && $my_object->total <= 5) $loyality_container['2-5'] += 1;
  // #3: 6-10 visits
  if ($my_object->total >=6 && $my_object->total <= 10) $loyality_container['6-10'] += 1;
  // #4: 11-15 visits
  if ($my_object->total >=11 && $my_object->total <= 15) $loyality_container['11-15'] += 1;
  // #5: 16-20 visits
  if ($my_object->total >=16 && $my_object->total <= 20) $loyality_container['16-20'] += 1;
  // #6: 21-30 visits
  if ($my_object->total >=21 && $my_object->total <= 30) $loyality_container['21-30'] += 1;
  // #6: 31-40 visits
  if ($my_object->total >=31 && $my_object->total <= 40) $loyality_container['31-40'] += 1;
  // #6: 41-50 visits
  if ($my_object->total >=41 && $my_object->total <= 50) $loyality_container['41-50'] += 1;
  // #6: 51-75 visits
  if ($my_object->total >=51 && $my_object->total <= 75) $loyality_container['51-75'] += 1;
  // #7: more than 100 visits
  if ($my_object->total >=100) $loyality_container['100+'] += 1;
 }
 @array_multisort($loyality_container,SORT_DESC);
 return $loyality_container;
}

function downloads_byday($month, $year, $downloadtable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-01';
 $todate = $year.'-'.$month.'-31';
 $downloadsbyday = array();
 $sql = "SELECT count(*) AS number, DAYOFMONTH(download_timestamp) AS tag
	 FROM $downloadtable 
	 WHERE download_timestamp BETWEEN ('$fromdate') AND ('$todate')
	 AND websitename = '$activesitename'
	 GROUP BY DAYOFMONTH(download_timestamp)";
 @$result = $my_db->query($sql); 
 while(@$myarray = mysql_fetch_array($result)) 
 {
  $downloadsbyday[$myarray['tag']] = $myarray['number'];
 }
 return $downloadsbyday;
}
function downloads_byfile($month, $year, $fileid, $downloadtable, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-01';
 $todate = $year.'-'.$month.'-31';
 $downloadsbyfile = array();
 $sql = "SELECT count(*) AS number, DAYOFMONTH(download_timestamp) AS tag
	 FROM $downloadtable 
	 WHERE download_timestamp BETWEEN '$fromdate' AND '$todate'
	 AND fileid = '$fileid'
	 AND websitename = '$activesitename'
	 GROUP BY DAYOFMONTH(download_timestamp)";
 @$result = $my_db->query($sql); 
 while(@$myarray = mysql_fetch_array($result)) 
 {
  $downloadsbyfile[$myarray['tag']] = $myarray['number'];
 }
 return $downloadsbyfile;
}


function get_visitorspeed($visitor_id,$speedtable)
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $sql = "SELECT visitor_speed FROM $speedtable WHERE visitor_id = '$visitor_id'";
 @$result = $my_db->query();
 @$myobject = mysql_fetch_object($result);
 if (eregi("#",$myobject->visitor_speed))
 { 
 $speedstring = $myobject->visitor_speed;
 $exploded 	= explode("#", $speedstring);
 $picsize 		= $exploded[0]; // size of uses picture in kilobytes
 $timeneeded 	= $exploded[1]; // time needed for picture-download in seconds
 // Try to determine, what kind of connection to the internet the visitor is using.
 //
 // DOWNLOAD-TIME FOR 10KB image (theory/real-life):
 // ------------------------------------------------
 // 9.6K Modem - 8.54 / sec.
 // 14.4k Modem - 5.68 / sec.
 // 28.8k Modem - 2.84 / sec.
 // 56.6k Modem - 1.46 / sec.
 // ISDN (1-Line) - 1.28 / sec.
 // ISDN (2-Lines) - 0.69 / sec.
 // DSL 768KBit	- 0.11 / 0.11-0.68 sec.		
 // Cable			- 0.06 / sec.
 // DSL 1.5MBit	- 0.06 / sec.
 // T1				- 0.05 / sec.
 // -------------------------------------------
 if ($picsize == 10) // picturesize is 10 KBytes
 {
 if ($timeneeded >= "0.01" && $timeneeded <= "0.15") { $linetype["conn"] = "T1, DSL 1.5MBit, Cable"; $linetype["time"] = $timeneeded; }
 if ($timeneeded >= "0.16" && $timeneeded <= "0.84") { $linetype["conn"] = "DSL 768Kbit"; $linetype["time"] = $timeneeded; }
 if ($timeneeded >= "0.85" && $timeneeded <= "1.30") { $linetype["conn"] = "ISDN Dual"; $linetype["time"] = $timeneeded; }
 if ($timeneeded >= "1.31" && $timeneeded <= "1.51") { $linetype["conn"] = "ISDN Single"; $linetype["time"] = $timeneeded; }
 if ($timeneeded >= "1.52" && $timeneeded <= "2.84") { $linetype["conn"] = "56.6K Modem"; $linetype["time"] = $timeneeded; }
 if ($timeneeded >= "2.85" && $timeneeded <= "5.68") { $linetype["conn"] = "28.8K Modem"; $linetype["time"] = $timeneeded; }
 if ($timeneeded >= "5.69" && $timeneeded <= "8.53") { $linetype["conn"] = "14.4K Modem"; $linetype["time"] = $timeneeded; }
 if ($timeneeded >= "8.54")							 { $linetype["conn"] = "9.6K Modem"; $linetype["time"] = $timeneeded; }
 }
 }
 return $linetype;
}
function topspeed($limitday_low=1,$limitday_high=31,$month,$year,$speedtable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate = $year.'-'.$month.'-'.$limitday_high;
 $sql = "SELECT count(*) AS totaluser, visitor_speed AS speed FROM $speedtable 
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND visitor_speed != 'Unknown'
	 AND visitor_speed != '10#0'
	 AND websitename = '$activesitename'
	 GROUP BY visitor_speed
	 ORDER BY totaluser DESC
	 LIMIT 0,100";
 @$result = $my_db->query($sql);

 while(@$myarray = mysql_fetch_array($result))
 {
  if (eregi("#",$myarray['speed']))
  {
   $speedstring = $myarray['speed'];
   $usercount   = $myarray['totaluser'];
   $exploded 	= explode("#", $speedstring);
   $picsize 	= $exploded[0]; // size of uses picture in kilobytes
   $timeneeded 	= $exploded[1]; // time needed for picture-download in seconds
 
   // Try to determine, what kind of connection to the internet the visitor is using.
   //
   // DOWNLOAD-TIME FOR 10KB image (theory/real-life):
   // ------------------------------------------------
   // 9.6K Modem - 8.54 / sec.
   // 14.4k Modem - 5.68 / sec.
   // 28.8k Modem - 2.84 / sec.
   // 56.6k Modem - 1.46 / sec.
   // ISDN (1-Line) - 1.28 / sec.
   // ISDN (2-Lines) - 0.69 / sec.
   // DSL 768KBit	- 0.11 / 0.11-0.68 sec.		
   // Cable			- 0.06 / sec.
   // DSL 1.5MBit	- 0.06 / sec.
   // T1				- 0.05 / sec.
   // -------------------------------------------
   if ($picsize == 10) // picturesize is 10 KBytes
   {
    //if ($timeneeded >= "0.00") $linetype = "Cache";
    if ($timeneeded >= "0.01" && $timeneeded <= "0.15") $linetype = "T1, DSL 1.5MBit, Cable";
    if ($timeneeded >= "0.16" && $timeneeded <= "0.84") $linetype = "DSL 768Kbit";
    if ($timeneeded >= "0.85" && $timeneeded <= "1.30") $linetype = "ISDN Dual";
    if ($timeneeded >= "1.31" && $timeneeded <= "1.51") $linetype = "ISDN Single";
    if ($timeneeded >= "1.52" && $timeneeded <= "2.84") $linetype = "56.6K Modem";
    if ($timeneeded >= "2.85" && $timeneeded <= "5.68") $linetype = "28.8K Modem";
    if ($timeneeded >= "5.69" && $timeneeded <= "8.53") $linetype = "14.4K Modem";
    if ($timeneeded >= "8.54") $linetype = "9.6K Modem";
   }
   if ($speedarray[$linetype]== 0 || !isset($speedarray[$linetype])) $speedarray[$linetype] = $usercount;
    else $speedarray[$linetype] += $usercount; 
  }
 }
 @array_multisort($speedarray,SORT_DESC);
 return $speedarray;
}

function pages_for_user($vis_dbid,$visitor_timestamp, $visitor_id='',$visitor_ip='',$timebox='',$maintable='',$trackingtable='',$activesitename = 'NONE')
{ 
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];

 $timebox 	= explode('#', urldecode($timebox));
 $vis_day 	= $timebox[0];
 $vis_month 	= $timebox[1];
 $vis_year 	= $timebox[2];
 $vis_hour 	= $timebox[3];
 $vis_minute 	= $timebox[4];
 $vis_second 	= $timebox[5];
 
 // create useable timestamps
 $fromdate     = $vis_year.'-'.$vis_month.'-'.$vis_day.' '.$vis_hour.':'.$vis_minute.':'.$vis_second;
 $end_of_day   = $vis_year.'-'.$vis_month.'-'.$vis_day.' 23:59:59';
 
 // hand over variable
 $start_timestamp = $fromdate;

 // step #1: check if there is a NEWER entry in maintable than the current one-> search using ID
 $sql = "SELECT visitor_timestamp FROM $maintable 
         WHERE visitor_timestamp > '$start_timestamp' ";
 
 if (!empty($visitor_id))
  $sql .= "AND visitor_id = '$visitor_id' "; 
 else
  $sql .= "AND visitor_ip = '$visitor_ip' "; 
  
 // finalize query
 $sql .= "AND websitename = '$activesitename' ORDER BY visitor_timestamp ASC LIMIT 0,1";
          
 @$result = $my_db->query($sql);
 @$next_timestamp = mysql_result($result,0,0);

 // set flag if its the first visitors DB-entry (or not)
 if (!empty($next_timestamp)) {$first_visit = FALSE;} else { $first_visit = TRUE;}

 ######################################################################################################################

 if (!$first_visit)
 { 
  $sql = "SELECT count(*) FROM $trackingtable 
	  WHERE visitor_timestamp >= '$start_timestamp' AND visitor_timestamp < '$next_timestamp'
	  AND websitename = '$activesitename' ";
   
  if (!empty($visitor_id))
   $sql .= " AND visitor_id = '$visitor_id'";
  else
   $sql .= " AND visitor_ip = '$visitor_ip'";
  
  @$result = $my_db->query($sql);
  @$impressions = mysql_result($result,0,0);

  // security check: if impressions are empty even if ID is supplied, search once again using IP   
  if (empty($impressions))
  {
   $sql = "SELECT count(*) FROM $trackingtable 
	  WHERE visitor_timestamp >= '$start_timestamp' AND visitor_timestamp < '$next_timestamp'
	  AND visitor_ip = '$visitor_ip'
	  AND websitename = '$activesitename'";

   @$result = $my_db->query($sql);
   @$impressions = mysql_result($result,0,0);
  }
 }
 
 ###############################################################################################
 
 // it is the first visit
 elseif ($first_visit)
 {
  // step #3: calculate impressions if its the first visit of selected visitor
  $sql = "SELECT count(*) FROM $trackingtable 
	  WHERE visitor_timestamp >= '$start_timestamp'
	  AND websitename = '$activesitename' ";

  if (!empty($visitor_id))
   $sql .= " AND visitor_id = '$visitor_id'";
  else
   $sql .= " AND visitor_ip = '$visitor_ip'";
   
  @$result = $my_db->query($sql);
  @$impressions = mysql_result($result,0,0); 
  
    // security check: if impressions are empty even if ID is supplied, search once again using IP   
  if (empty($impressions))
  {
   $sql = "SELECT count(*) FROM $trackingtable 
	  WHERE visitor_timestamp >= '$start_timestamp'
	  AND visitor_ip = '$visitor_ip'
	  AND websitename = '$activesitename'";

   @$result = $my_db->query($sql);
   @$impressions = mysql_result($result,0,0);
  }
 } 
 return $impressions;
}

function visits_day($id,$ip,$day,$month,$year,$maintable,$type='TOTAL',$activesitename = 'NONE')
{
 
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $targetdate = $year.'-'.$month.'-'.$day;

 if (!empty($id))
 {
  $sql = "SELECT count(*) AS totalvisits FROM $maintable 
	 WHERE visitor_date  = '$targetdate'
	 AND visitor_id = '$id'
	 AND websitename = '$activesitename'";
  if ($type == 'UNIQUE')	$sql .=" AND unique_visit = 'TRUE'";
  @$result = $my_db->query($sql);
  @$totalnumber =  mysql_result($result,0,0); 
 }
   
 if ($totalnumber == 0 || empty($id))
 {
  $sql = "SELECT count(*) AS totalvisits FROM $maintable 
	  WHERE visitor_date  = '$targetdate'
	  AND visitor_ip = '$ip'
	  AND websitename = '$activesitename'";
  if ($type == 'UNIQUE') $sql .=" AND unique_visit = 'TRUE'";
  @$result = $my_db->query($sql);
 
  @$totalnumber =  mysql_result($result,0,0); 
 }
 return $totalnumber;
}
function plugin_entries($limitday_low=1, $limitday_high=31, $month, $year, $tablename, $showmax='', $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 if (!isset($showmax) || $showmax == 0) $showmax = 100;
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate = $year.'-'.$month.'-'.$limitday_high;
 	
 $sql = "SELECT COUNT(*) FROM $tablename
	   WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	   AND visitor_colordepth != '0' 
	   AND visitor_colordepth != 'Unknown'
	   AND websitename = '$activesitename'";

 @$result = $my_db->query($sql);
 @$totalnumber = mysql_result($result,0,0);
 return $totalnumber;
}

function topplugin($limitday_low=1, $limitday_high=31, $month, $year, $plugintable='', $showmax='', $searchphrase='', $activesitename = 'NONE')// Function to get the top Top-Level-Domains (TLD) of a month
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 if (!isset($showmax) || $showmax == 0) $showmax = 100;
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate = $year.'-'.$month.'-'.$limitday_high;
 $topplugins = array();

 // ### GET JAVA RESULTS ###
 $sql =  "SELECT count(*) as totalnumber, javaenabled
	  FROM $plugintable 
	  WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	  AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "javaenabled";
 $datefield = "visitor_date";

 $sql .= " GROUP BY $fieldname LIMIT 0,$showmax";

 @$result = $my_db->query($sql);

 while(@$myarray = mysql_fetch_array($result))
 {
  if ($myarray['1'] == 'TRUE')  $java_true  = $myarray['totalnumber'];
  if ($myarray['1'] == 'FALSE') $java_false = $myarray['totalnumber'];
 }
 
 if ($java_true == '')  $java_true = 0;
  
 // ### GET FLASH RESULTS ###
 $sql =  "SELECT count(*) as totalnumber, flashenabled
	    FROM $plugintable 
	    WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	    AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "flashenabled";
 $datefield = "visitor_date";

 $sql .= " GROUP BY $fieldname LIMIT 0,$showmax";

 @$result = $my_db->query($sql);

 while(@$myarray = mysql_fetch_array($result))
 {
  if ($myarray['1'] == 'TRUE')  $flash_true  = $myarray['totalnumber'];
  if ($myarray['1'] == 'FALSE') $flash_false = $myarray['totalnumber'];
 }
  if ($flash_true == '')  $flash_true = 0;

 
 // ### GET QUICKTIME RESULTS ###
 $sql =  "SELECT count(*) as totalnumber, quicktimeenabled
	  FROM $plugintable 
	  WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	  AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "quicktimeenabled";
 $datefield = "visitor_date";

 $sql .= " GROUP BY $fieldname LIMIT 0,$showmax";

 @$result = $my_db->query($sql);

 while(@$myarray = mysql_fetch_array($result))
 {
  if ($myarray['1'] == 'TRUE') $quicktime_true = $myarray['totalnumber'];
  if ($myarray['1'] == 'FALSE') $quicktime_false = $myarray['totalnumber'];
 }
 if ($quicktime_true == '')  $quicktime_true = 0;

 // ### GET ACROBAT RESULTS ###
 $sql =  "SELECT count(*) as totalnumber, acrobatenabled
	  FROM $plugintable 
	  WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	  AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "acrobatenabled";
 $datefield = "visitor_date";

 $sql .= " GROUP BY $fieldname LIMIT 0,$showmax";

 @$result = $my_db->query($sql);

 while(@$myarray = mysql_fetch_array($result))
 {
  if ($myarray['1'] == 'TRUE') $acrobat_true = $myarray['totalnumber'];
  if ($myarray['1'] == 'FALSE') $acrobat_false = $myarray['totalnumber'];
 }
 if ($acrobat_true == '')  $acrobat_true = 0;


 // ### GET SHOCKWAVE RESULTS ###
 $sql =  "SELECT count(*) as totalnumber, shockwaveenabled
	  FROM $plugintable 
	  WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	  AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "shockwaveenabled";
 $datefield = "visitor_date";

 $sql .= " GROUP BY $fieldname LIMIT 0,$showmax";

 @$result = $my_db->query($sql);

 while(@$myarray = mysql_fetch_array($result))
 {
  if ($myarray['1'] == 'TRUE') $shockwave_true = $myarray['totalnumber'];
  if ($myarray['1'] == 'FALSE') $shockwave_false = $myarray['totalnumber'];
 }
 if ($shockwave_true == '')  $shockwave_true = 0;

 // ### GET SVG-READER RESULTS ###
 $sql =  "SELECT count(*) as totalnumber, svgenabled
	  FROM $plugintable 
	  WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	  AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "svgenabled";
 $datefield = "visitor_date";

 $sql .= " GROUP BY $fieldname LIMIT 0,$showmax";

 @$result = $my_db->query($sql);

 while(@$myarray = mysql_fetch_array($result))
 {
  if ($myarray['1'] == 'TRUE') $svg_true = $myarray['totalnumber'];
  if ($myarray['1'] == 'FALSE') $svg_false = $myarray['totalnumber'];
 }
 if ($svg_true == '')  $svg_true = 0;

 // ### GET REALPLAYER RESULTS ###
 $sql = "SELECT count(*) as totalnumber, realplayerenabled
	 FROM $plugintable 
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "realplayerenabled";
 $datefield = "visitor_date";

 $sql .= " GROUP BY $fieldname LIMIT 0,$showmax";

 @$result = $my_db->query($sql);

 while(@$myarray = mysql_fetch_array($result))
 {
  if ($myarray['1'] == 'TRUE') $realplayer_true = $myarray['totalnumber'];
  if ($myarray['1'] == 'FALSE') $realplayer_false = $myarray['totalnumber'];
 }
 if ($realplayer_true == '')  $realplayer_true = 0;

 // ### GET MEDIAPLAYER RESULTS ###
 $sql =  "SELECT count(*) as totalnumber, mediaplayerenabled
	  FROM $plugintable 
	  WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	  AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "mediaplayerenabled";
 $datefield = "visitor_date";

 $sql .= " GROUP BY $fieldname LIMIT 0,$showmax";

 @$result = $my_db->query($sql);

 while(@$myarray = mysql_fetch_array($result))
 {
  if ($myarray['1'] == 'TRUE') $mediaplayer_true = $myarray['totalnumber'];
  if ($myarray['1'] == 'FALSE') $mediaplayer_false = $myarray['totalnumber'];
 }
 if ($mediaplayer_true == '')  $mediaplayer_true = 0;

 // ### GET COOKIE RESULTS ###
 $sql = "SELECT count(*) as totalnumber, cookiesenabled
	 FROM $plugintable 
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "cookiesenabled";
 $datefield = "visitor_date";

 $sql .= " GROUP BY $fieldname LIMIT 0,$showmax";

 @$result = $my_db->query($sql);

 while(@$myarray = mysql_fetch_array($result))
 {
  if ($myarray['1'] == 'TRUE') $cookies_true = $myarray['totalnumber'];
  if ($myarray['1'] == 'FALSE') $cookies_false = $myarray['totalnumber'];
 }
 if ($cookies_true == '')  $cookies_true = 0;

 // clean up results
 $topplugins['Flash']	    = $flash_true;
 $topplugins['Quicktime']   = $quicktime_true;
 $topplugins['SVG Reader']  = $svg_true;
 $topplugins['Shockwave']   = $shockwave_true;
 $topplugins['Realplayer']  = $realplayer_true;
 $topplugins['Acrobat']     = $acrobat_true;
 $topplugins['Mediaplayer'] = $mediaplayer_true;
 $topplugins['Cookies']     = $cookies_true;
 $topplugins['Java']        = $java_true;

 // sort the array
 @array_multisort($topplugins, SORT_DESC);
 return $topplugins;
}


function transferoverview($month, $year, $tablename, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-01';
 $todate = $year.'-'.$month.'-31';
 $numofdays = date ("d", mktime(0,0,0,$month+1,0,$year)); 
 for ($x=1; $x<=$numofdays; $x++) { $day[$x] = array("day"=>"$x","numofpages"=>"0","datatransfered"=>"0");}
 $sql = "SELECT DAYOFMONTH(transfer_timestamp) AS day,numofpages,datatransfered
	 FROM $tablename
	 WHERE transfer_timestamp BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 while(@$myarray = mysql_fetch_array($result))
 { 
 $tempday = $myarray['day'];
 $day[$myarray['day']] = array("day"=>"$tempday","numofpages"=>$myarray['numofpages'],
								 "datatransfered"=>$myarray['datatransfered']);
 }
 return $day;
} 
function active_days($month, $year, $numofdays, $tablename, $activesitename="NONE")
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate  = $year.'-'.$month.'-'.'01';
 $todate    = $year.'-'.$month.'-'.$numofdays;
 	
 $sql = "SELECT count(DISTINCT DAYOFMONTH(visitor_date)) 
	 FROM $tablename 
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'";	 
 @$result = $my_db->query($sql);
 @$activedays = mysql_result($result,0,0);
 return $activedays;
} 
function datatransfer_month($month, $year, $tablename, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-01';
 $todate   = $year.'-'.$month.'-31';
 $sql = "SELECT SUM(datatransfered) FROM $tablename
	 WHERE transfer_timestamp  BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$datatransfered  = mysql_result($result,0,0); 
 return $datatransfered;
}
function datatransfer_today($day, $month, $year, $transfertable, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $datatransfered = 0;
 if ($year == 0) $year = $my_timestamp->year;
 $fromdate = $year.'-'.$month.'-01';
 $todate = $year.'-'.$month.'-31';
 $sql = "SELECT datatransfered FROM $transfertable
	 WHERE transfer_timestamp BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$datatransfered = mysql_result($result,0,0); 
 return $datatransfered;
}
function tophour($day,$month,$year,$maintable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $targetstamp = $year.'-'.$month.'-'.$day;

 for ($x=0; $x < $my_timestamp->hour; $x++) { $container[] = array("visitors"=>0, "hour"=>$x); }
 $sql = "SELECT count(*) as totalvisits, HOUR(visitor_timestamp) AS thehour 
	 FROM $maintable
	 WHERE visitor_date = '$targetstamp'
         AND websitename =  '$activesitename'
	 AND visitor_type = 'HUMAN'
	 GROUP BY thehour";

 @$result = $my_db->query($sql); 
 while ($my_object = mysql_fetch_object($result))
 {
  $container[$my_object->thehour] = array("visitors"=>$my_object->totalvisits, "hour"=>$my_object->thehour);
 }

 @array_multisort($container, SORT_DESC);
 $strongest_hour = $container[0]['hour'];
 $highest_value  = $container[0]['visitors'];
 @array_multisort($container, SORT_ASC);
 $weakest_hour   = $container[0]['hour'];
 $lowest_value   = $container[0]['visitors'];
 
 // build final array
 $hour_container = array("busiest_hour"=>$strongest_hour,"maxvisitors"=>$highest_value,"weakest_hour"=>$weakest_hour,
 		         "minvisitors"=>$lowest_value);

 return $hour_container;
} 

function impressiondetails_forday($day,$month,$year,$trackingtable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$day.' 00:00:00';
 $todate   = $year.'-'.$month.'-'.$day.' 23:59:59';

 // get number of total retrieved pages - does (!) depend on usertracking-data!		
 $sql = "SELECT count(*) AS impressions, HOUR(visitor_timestamp) AS thehour
	 FROM $trackingtable
	 WHERE visitor_timestamp BETWEEN '$fromdate' AND '$todate'
 	 AND visitor_type = 'HUMAN'
	 AND websitename = '$activesitename'
	 GROUP BY thehour";
 @$result = $my_db->query($sql);

 for ($x=0; $x<24; $x++){$container["$x"] = 0;}
 
 while(@$myarray = mysql_fetch_array($result)) 
 {
  $container[$myarray['thehour']] = $myarray['impressions']; 
 }
 return $container;
}

function busiesthour($day,$month,$year,$maintable,$type='TOTAL',$activesitename = 'NONE') 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 for ($x=0; $x<24; $x++) {$container["$x"] = 0;}

 $targetstamp = $year.'-'.$month.'-'.$day;
 $sql = "SELECT HOUR(visitor_timestamp) AS thehour 
         FROM $maintable
         WHERE visitor_date = '$targetstamp'
         AND visitor_type = 'HUMAN'
         AND websitename =  '$activesitename'";
                
 if ($type == 'UNIQUE') $sql .= " AND unique_visit = 'TRUE'";
 
 @$result = $my_db->query($sql);
 
 while (@$my_array = mysql_fetch_array($result))
 {
  $data = $my_array[thehour];
  if (!isset($container[$data])) $container[$data] =1;
   else $container[$data] +=1;
 }
 return $container;
}

function getphpinfo()
{
  ob_start();
  phpinfo(INFO_MODULES);    
  $string = ob_get_contents();
  ob_end_clean();    
   
  $pieces = explode("<h2", $string);
  $settings = array();
   
  foreach($pieces as $val)
  {
   preg_match("/<a name=\"module_([^<>]*)\">/", $val, $sub_key);
   preg_match_all("/<tr[^>]*>
                                           <td[^>]*>(.*)<\/td>
                                           <td[^>]*>(.*)<\/td>/Ux", $val, $sub);
   preg_match_all("/<tr[^>]*>
                                           <td[^>]*>(.*)<\/td>
                                           <td[^>]*>(.*)<\/td>
                                           <td[^>]*>(.*)<\/td>/Ux", $val, $sub_ext);
                               
   foreach($sub[0] as $key => $val)
   {
    $settings[$sub_key[1]][strip_tags($sub[1][$key])] = array(strip_tags($sub[2][$key]));
   }
       
   foreach($sub_ext[0] as $key => $val)
   {
    $settings[$sub_key[1]][strip_tags($sub_ext[1][$key])] = array(strip_tags($sub_ext[2][$key]), strip_tags($sub_ext[3][$key]));
   }                         
  }
 return $settings;
}

function topday($month,$year,$maintable,$type='TOTAL',$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-01';
 $todate   = $year.'-'.$month.'-31';
 $numofdays = date ("d", mktime(0,0,0,$month+1,0,$year)); 
 for ($x=1; $x<=$numofdays; $x++) 
 {
 if ($x == $my_timestamp->day) break;
 if ($x<10) $tempx = "0"."$x"; else $tempx = "$x";
 $day[$x] = array("day"=>"$tempx","visitors"=>"0");
 if ($x == $numofdays) break;
 } 
 $sql = "SELECT DAYOFMONTH(visitor_date)AS dayofmonth, count(*) AS visitors
	 FROM $maintable 
	 WHERE visitor_date  BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename' 						 
	 AND visitor_type = 'HUMAN'";
	
 if ($type == 'UNIQUE') $sql .= " AND unique_visit = 'TRUE'";
 $sql .= " GROUP BY visitor_date";
			 
 @$result = $my_db->query($sql);	
			
 while(@$myarray = mysql_fetch_array($result))
 { 
  $tempday = $myarray['dayofmonth'];
  if ($tempday < 10) $tempday = "0"."$tempday";
  $day[$myarray['dayofmonth']] = array("day"=>"$tempday","visitors"=>$myarray['visitors']);
 }
 if (count($day)>0)
 {
 while (@list($firstIndex, ) = each($day))
 $indexMap[$firstIndex] = $day[$firstIndex]["visitors"];
 asort($indexMap);
 while (@list($firstIndex, ) = each($indexMap))
	if (is_numeric($firstIndex))
 	 $sortedArray[] = $day[$firstIndex];
	else $sortedArray[$firstIndex] = $day[$firstIndex];
 $day = $sortedArray;
 } 
 return $day;
} 
function get_visitors_forrange($limitday_low,$limitday_high,$month,$year,$maintable,$vistype='',$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $range_low  = $year.'-'.$month.'-'.$limitday_low;
 $range_high = $year.'-'.$month.'-'.$limitday_high;
 
 $sql = "SELECT count(*) FROM $maintable 
	 WHERE visitor_date BETWEEN '$range_low' AND '$range_high'
	 AND visitor_type = 'HUMAN'
	 AND websitename = '$activesitename'";
 if ($vistype == 'UNIQUE') $sql .= " AND unique_visit = 'TRUE'";
 @$result = $my_db->query($sql);				
 @$totalnumber = mysql_result($result,0,0);
 return $totalnumber;
} 
function get_visitors_forday($day,$month,$year,$maintable,$vistype='',$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $targetstamp = $year.'-'.$month.'-'.$day;
 $sql = "SELECT count(*) FROM $maintable 
			  WHERE visitor_date  = '$targetstamp'
			  AND visitor_type = 'HUMAN'
			  AND websitename = '$activesitename'";
 if ($vistype == 'UNIQUE') $sql .= " AND unique_visit = 'TRUE'";
 @$result = $my_db->query($sql);		
 @$totalnumber = mysql_result($result,0,0);
 return $totalnumber;
} 
function get_visitors_formonth($month,$year,$maintable,$vistype='',$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $sql = "SELECT count(*) FROM $maintable 
			  WHERE MONTH(visitor_date)  = '$month'
			  AND YEAR(visitor_date)  = '$year'
			  AND visitor_type = 'HUMAN'
			  AND websitename = '$activesitename'";
 if ($vistype == 'UNIQUE') $sql .= " AND unique_visit = 'TRUE'";
 @$result = $my_db->query($sql); 				
 @$totalnumber = mysql_result($result,0,0);
 return $totalnumber;
} 

 
function qsort_multiarray (&$array, $column=0, $order=SORT_DESC, $first=0, $last= -2)
{
 if($last == -2) $last = COUNT($array) - 1;
 if($last > $first)
 {
 $alpha = $first;
 $omega = $last;
 $guess = $array[$alpha][$column];
 while($omega >= $alpha)
 {
 if($order == SORT_ASC)
 {
 while($array[$alpha][$column] < $guess) $alpha++;
 while($array[$omega][$column] > $guess) $omega--;
 }
 else
 {
 while($array[$alpha][$column] > $guess) $alpha++;
 while($array[$omega][$column] < $guess) $omega--;
 }
 if($alpha > $omega) break;
 $temporary = $array[$alpha];
 $array[$alpha++] = $array[$omega];
 $array[$omega--] = $temporary;
 }
 qsort_multiarray ($array, $column, $order, $first, $omega);
 qsort_multiarray ($array, $column, $order, $alpha, $last);
 }
 return $array; 
}

function day_exists($day,$month,$year,$tablename,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $targetstamp = $year.'-'.$month.'-'.$day;
 $sql = "SELECT count(*) FROM $tablename 
	 WHERE visitor_date = '$targetstamp'
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$entries = mysql_result($result,0,0);
 if ($entries != 0) $dayexists = "TRUE"; else $dayexists = "FALSE"; 
return $dayexists;
}
function archive_month_exists($archivemonth,$archiveyear,$tablename,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 if ($archivemonth == "01") $archivemonth = 1;
  elseif ($archivemonth == "02") $archivemonth = 2;
  elseif ($archivemonth == "03") $archivemonth = 3; 
  elseif ($archivemonth == "04") $archivemonth = 4;
  elseif ($archivemonth == "05") $archivemonth = 5;
  elseif ($archivemonth == "06") $archivemonth = 6;
  elseif ($archivemonth == "07") $archivemonth = 7;
  elseif ($archivemonth == "08") $archivemonth = 8;
  elseif ($archivemonth == "09") $archivemonth = 9;

 $sql = "SELECT count(*) FROM $tablename 
	 WHERE archivemonth = '$archivemonth'
	 AND archiveyear = '$archiveyear'
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$entries = mysql_result($result,0,0);
 if ($entries != 0) $monthexists = "TRUE"; else $monthexists = "FALSE";
 return $monthexists;
}
function archive_year_exists($archiveyear,$tablename,$activesitename = 'NONE')
{
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 @$entries = mysql_result(mysql_query("SELECT count(*) FROM $tablename 
			 WHERE archiveyear = '$archiveyear'
			 AND websitename = '$activesitename'"),0,0);
 if ($entries != 0) $yearexists = "TRUE"; else $yearexists = "FALSE";
 return $yearexists;
}
function month_exists($month,$year,$tablename,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-01';
 $todate   = $year.'-'.$month.'-31';
 $sql = "SELECT count(*) FROM $tablename 
	 WHERE visitor_date  BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$entries = mysql_result($result,0,0);
 if ($entries != 0) $monthexists = "TRUE"; else $monthexists = "FALSE";
 return $monthexists;
}
function year_exists($year,$tablename,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $yearexists = FALSE;
 $sql = "SELECT count(*) FROM $tablename 
	 WHERE YEAR(visitor_timestamp) = $year
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$entries = mysql_result($result,0,0);
 if ($entries != 0) $yearexists = "TRUE"; else $yearexists = "FALSE";
 return $yearexists;
}
function visitors_total($countertable, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $sql = "SELECT totalvisits FROM $countertable 
	 WHERE websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$totalnumber = mysql_result($result,0,0);
 return $totalnumber;
}
function visitors_unique($countertable, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $sql = "SELECT uniquevisits FROM $countertable 
	 WHERE websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$uniquenumber = mysql_result($result,0,0);
 return $uniquenumber;
}
function dbentries($tablename, $type='TOTAL', $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $sql = "SELECT count(*) FROM $tablename 
	 WHERE websitename = '$activesitename'AND visitor_type = 'HUMAN'";

 if ($type == 'UNIQUE') $sql.= " AND unique_visit = 'TRUE'";
 @$result = $my_db->query($sql);
 @$totalnumber = mysql_result($result,0,0);
 return $totalnumber;
}
function db_status($tablename)
{
 // get table status
 @$result     = mysql_query("SHOW TABLE STATUS LIKE '$tablename'"); 
 @$tabledata  = mysql_fetch_array($result); 										 
 return $tabledata;
}
function visitors_this_month($month,$year,$tablename,$visitor_type='TOTAL',$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-01';
 $todate = $year.'-'.$month.'-31';
 $sql = "SELECT count(*) FROM $tablename
	 WHERE MONTH(visitor_date) = $month
 	 AND websitename = '$activesitename'
	 AND visitor_type = 'HUMAN'";
 if ($visitor_type == 'UNIQUE') $sql .= " AND unique_visit = 'TRUE'";
 @$result = $my_db->query($sql);
 @$totalnumber = mysql_result($result,0,0);
 return $totalnumber;
}

function busiestweekday($month,$year,$maintable, $type='TOTAL', $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-01';
 $todate = $year.'-'.$month.'-31';
 $day = array();
 $day["Monday"]    = 0;
 $day["Tuesday"]   = 0;
 $day["Wednesday"] = 0;
 $day["Thursday"]  = 0;
 $day["Friday"]    = 0;
 $day["Saturday"]  = 0;
 $day["Sunday"]    = 0;
 
 $sql = "SELECT date_format(visitor_timestamp, '%W') AS datefetch,
   	   count(*) AS totalnumber
	   FROM $maintable 
	   WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	   AND visitor_type = 'HUMAN'
	   AND websitename = '$activesitename'";
					 
 if ($type == 'UNIQUE') $sql .= " AND unique_visit = 'TRUE'";
 $sql .= " GROUP BY WEEKDAY(visitor_date)";
					
 @$result = $my_db->query($sql);
 while(@$myarray = mysql_fetch_array($result))
 { 
  $weekday=$myarray['datefetch'];
  if ($weekday == "Monday")	  	$day["Monday"] 	  = $myarray['totalnumber'];
   elseif ($weekday == "Tuesday") 	$day["Tuesday"]   = $myarray['totalnumber'];
   elseif ($weekday == "Wednesday") 	$day["Wednesday"] = $myarray['totalnumber'];
   elseif ($weekday == "Thursday") 	$day["Thursday"]  = $myarray['totalnumber'];
   elseif ($weekday == "Friday") 	$day["Friday"] 	  = $myarray['totalnumber'];
   elseif ($weekday == "Saturday") 	$day["Saturday"]  = $myarray['totalnumber'];
   elseif ($weekday == "Sunday") 	$day["Sunday"] 	  = $myarray['totalnumber'];
 }
 array_multisort ($day, SORT_DESC);
 return $day;
}

function topvalues_total($limitday_low=1, $limitday_high=31,$month, $year, $tablename, $fieldname='', $datefield='', $visitor_type='', $distinct='', $additional='', $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;

 // begin query
 $sql    = "SELECT count";

 // check if DISTINC count is required in query
 if ($distinct == 'DISTINCT') $sql .= "(DISTINCT($fieldname))"; else $sql .= "($fieldname)";

 // complete query
 $sql .= " FROM $tablename WHERE $datefield BETWEEN '$fromdate' AND '$todate'";
 
 // any additional quey commands to be added?            
 if ($visitor_type != '') $sql .= " AND visitor_type = '$visitor_type'";
 if ($additional != '') $sql .= " ".$additional;
 
 // get result	     
 @$result = $my_db->query($sql);
 @$totalnumber = mysql_result($result,0,0);
 return $totalnumber;
}

function topvalues($limitday_low=1, $limitday_high=31, $month, $year, $tablename, $showmax='', $searchphrase='', $fieldname='', $datefield='', $visitor_type='', $additional='', $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 if (!isset($showmax) || $showmax == 0) $showmax = 100;
 $fromdate    = $year.'-'.$month.'-'.$limitday_low.' 00:00:00';
 $todate      = $year.'-'.$month.'-'.$limitday_high.' 23:59:59';
 $toparray    = array();
 $sql =  "SELECT count(*) as totalnumber, $fieldname AS $fieldname
	  FROM $tablename 
          WHERE $datefield BETWEEN '$fromdate' AND '$todate'";
            
 // any additional quey commands to be added?            
 if ($visitor_type != '') $sql .= " AND visitor_type = '$visitor_type'";
 if ($additional != '') $sql .= " ".$additional;
 
 $sql .= " AND websitename = '$activesitename'";

 // if theres a searchphrase set, create a corresponding query
 if (!empty($searchphrase)) { $addToQuery = getSearchQuery($searchphrase, $fieldname, $datefield, $fromdate, $todate); $sql .= $addToQuery ;}
 $sql .= " GROUP BY $fieldname ORDER BY totalnumber DESC LIMIT 0,$showmax";

 // execute query
 @$result = $my_db->query($sql);

 while(@$myarray = mysql_fetch_array($result))
 {
  $toparray[$myarray[$fieldname]] = $myarray['totalnumber'];
 }
 return $toparray; 
}


function systems_version_total($limitday_low=1, $limitday_high=31,$month, $year, $tablename, $field='', $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate = $year.'-'.$month.'-'.$limitday_high;
 $sql = "SELECT count(DISTINCT($field))
	 FROM $tablename 
	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	 AND $field != 'Unknown'
	 AND visitor_type != 'ROBOT'
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$systems_total = mysql_result($result,0,0);
 return $systems_total;
}

function topsystems_version($limitday_low=1, $limitday_high=31, $month, $year, $tablename, $showmax='', $searchphrase='', $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 if (!isset($showmax) || $showmax == 0) $showmax = 100;
 $fromdate    = $year.'-'.$month.'-'.$limitday_low;
 $todate      = $year.'-'.$month.'-'.$limitday_high;
 $topsystems  = array();
 $sql =  "SELECT count(*) as totalnumber, visitor_system
	  FROM $tablename 
          WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
          AND visitor_system != 'Unknown'
          AND visitor_type != 'ROBOT'
	  AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "visitor_system";
 $datefield = "visitor_date";

 // if theres a searchphrase set, create a corresponding query
 if ($searchphrase != '') { $addToQuery = getSearchQuery($searchphrase, $fieldname, $datefield, $fromdate, $todate); $sql .= $addToQuery ;}
 $sql .= " GROUP BY $fieldname ORDER BY totalnumber DESC LIMIT 0,$showmax";
 @$result = $my_db->query($sql);
 while(@$myarray = mysql_fetch_array($result)) {$topsystems[$myarray['visitor_system']] = $myarray['totalnumber'];}
 return $topsystems;
}

function systems_type_total($limitday_low=1, $limitday_high=31,$month, $year, $tablename, $field, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 if (!isset($showmax) || $showmax == 0) $showmax = 100;
 $fromdate       = $year.'-'.$month.'-'.$limitday_low;
 $todate         = $year.'-'.$month.'-'.$limitday_high;
 $topsystems     = array();
 $temptopsystems = array();
 
 $sql =  "SELECT count(*) as totalnumber, visitor_system
	  FROM $tablename 
          WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
          AND visitor_system != 'Unknown'
          AND visitor_type != 'ROBOT'
	  AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "visitor_system";
 $datefield = "visitor_date";

 // if theres a searchphrase set, create a corresponding query
 $sql .= " GROUP BY $fieldname ORDER BY totalnumber DESC";

 @$result = $my_db->query($sql);
 
 // read all systems into array
 while(@$myarray = mysql_fetch_array($result)) { $temptopsystems[$myarray['visitor_system']] = $myarray['totalnumber']; }
 foreach($temptopsystems AS $key=>$value)
 {
  $exploded = explode(" ", $key);
  $currentsystem = $exploded[0];
  if (!isset($topsystems[$currentsystem]))     { $topsystems[$currentsystem] = $value;  }
   elseif (isset($topsystems[$currentsystem])) { $topsystems[$currentsystem] += $value; }
 }

 $totalsystems = count($topsystems);
 return $totalsystems;
}

function topsystems_type($limitday_low=1, $limitday_high=31, $month, $year, $tablename, $showmax='', $searchphrase='', $activesitename = 'NONE') 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 if (!isset($showmax) || $showmax == 0) $showmax = 100;
 $fromdate       = $year.'-'.$month.'-'.$limitday_low;
 $todate         = $year.'-'.$month.'-'.$limitday_high;
 $topsystems     = array();
 $temptopsystems = array();
 $showmax = 100; // override $showmax
 $sql =  "SELECT count(*) as totalnumber, visitor_system
	  FROM $tablename 
          WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
          AND visitor_system != 'Unknown'
          AND visitor_type != 'ROBOT'
	  AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "visitor_system";
 $datefield = "visitor_date";

 // if theres a searchphrase set, create a corresponding query
 if ($searchphrase != '') { $addToQuery = getSearchQuery($searchphrase, $fieldname, $datefield, $fromdate, $todate); $sql .= $addToQuery ;}
 $sql .= " GROUP BY $fieldname ORDER BY totalnumber DESC LIMIT 0,$showmax";

 @$result = $my_db->query($sql);
 // read all systems into array
 while(@$myarray = mysql_fetch_array($result)) { $temptopsystems[$myarray['visitor_system']] = $myarray['totalnumber']; }
 // look through all systems and get rid of system version
 foreach($temptopsystems AS $key=>$value)
 { 
  $exploded = explode(" ", $key);
  $currentsystem = $exploded[0];
  if (!isset($topsystems[$currentsystem]))     { $topsystems[$currentsystem] = $value;  }
   elseif (isset($topsystems[$currentsystem])) { $topsystems[$currentsystem] += $value; }
 } 
 @array_multisort($topsystems,SORT_DESC); 
 return $topsystems;
}
function topbrowser_type($limitday_low=1, $limitday_high=31, $month, $year, $tablename, $showmax='', $searchphrase='', $activesitename = 'NONE') 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 if (!isset($showmax) || $showmax == 0) $showmax = 100;
 $fromdate       = $year.'-'.$month.'-'.$limitday_low;
 $todate         = $year.'-'.$month.'-'.$limitday_high;
 $topbrowser     = array();
 $temptopbrowser = array();
 $showmax = 100; // override $showmax
 $sql =  "SELECT count(*) as totalnumber, visitor_browserfull
	  FROM $tablename 
          WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
          AND visitor_browserfull != 'Unknown'
          AND visitor_type != 'ROBOT'
	  AND websitename = '$activesitename'";

 // set fieldname and datefield variables
 $fieldname = "visitor_browserfull";
 $datefield = "visitor_date";

 // if theres a searchphrase set, create a corresponding query
 if ($searchphrase != '') { $addToQuery = getSearchQuery($searchphrase, $fieldname, $datefield, $fromdate, $todate); $sql .= $addToQuery ;}
 $sql .= " GROUP BY $fieldname ORDER BY totalnumber DESC LIMIT 0,$showmax";

 @$result = $my_db->query($sql);
 // read all systems into array
 while(@$myarray = mysql_fetch_array($result)) { $temptopbrowser[$myarray['visitor_browserfull']] = $myarray['totalnumber']; }
 // look through all systems and get rid of system version
 foreach($temptopbrowser AS $key=>$value)
 { 
  $exploded = explode(" ", $key);
  $currentbrowser = $exploded[0];
  if (!isset($topbrowser[$currentbrowser]))     { $topbrowser[$currentbrowser] = $value;  }
   elseif (isset($toptopbrowsersystems[$currentbrowser])) { $topbrowser[$currentbrowser] += $value; }
 } 
 @array_multisort($topbrowser,SORT_DESC); 
 return $topbrowser;
}
function browser_type_total($limitday_low=1, $limitday_high=31,$month, $year, $tablename, $field, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 if (!isset($showmax) || $showmax == 0) $showmax = 100;
 $fromdate       = $year.'-'.$month.'-'.$limitday_low;
 $todate         = $year.'-'.$month.'-'.$limitday_high;
 $topbrowser     = array();
 $temptopbrowser = array();
 
 $sql =  "SELECT count(*) as totalnumber, visitor_browserfull
	  FROM $tablename 
          WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
          AND visitor_browserfull != 'Unknown'
          AND visitor_type != 'ROBOT'
	  AND websitename = '$activesitename'";

  // set fieldname and datefield variables
 $fieldname = "visitor_browserfull";
 $datefield = "visitor_date";

 // if theres a searchphrase set, create a corresponding query
 $sql .= " GROUP BY $fieldname ORDER BY totalnumber DESC";

 @$result = $my_db->query($sql);
 
 // read all systems into array
 while(@$myarray = mysql_fetch_array($result)) { $temptopbrowser[$myarray['visitor_browserfull']] = $myarray['visitor_browserfull']; }
 foreach($temptopbrowser AS $key=>$value)
 {
  $exploded = explode(" ", $key);
  $currentsystem = $exploded[0];
  if (!isset($topbrowser[$currentsystem]))     { $topbrowser[$currentsystem] = $value;  }
   elseif (isset($topbrowser[$currentsystem])) { $topbrowser[$currentsystem] += $value; }
 }

 $totalbrowser = count($topbrowser);
 return $totalbrowser;
}

function database_size($tables, $dbname)
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 // calculate size of all tables
 $sizeofdb = 0;
 $total    = 0;
 foreach($tables AS $currenttable)
 {
  $sql = "SHOW TABLE STATUS FROM $dbname LIKE '$currenttable'";
  @$result = $my_db->query($sql); // get table status
  @$data = mysql_fetch_array($result); 					 // get result into array
  @$total = $data['Data_length'] + $data['Index_length']; // calculate total size of table
  @$total = round(($total/1024),2); 						 // size in Kilobytes
  @$sizeofdb += $total; unset($total);
 }
 // return total size of database
 return $sizeofdb;
}

function visitors_for_range($limitday_low, $limitday_high, $month, $year, $tablename, $visitortype='TOTAL', $activesitename='NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;
 $sql = "SELECT count(*) FROM $tablename 			 
 	 WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
 	 AND visitor_type = 'HUMAN'
	 AND websitename = '$activesitename'";
	   
 if ($visitor_type == 'UNIQUE') $sql .= " AND unique_visit = 'TRUE'";
 @$result = $my_db->query($sql);
 @$totalnumber = mysql_result($result,0,0);	   
 return $totalnumber;
}
function visitors_for_day($day, $month, $year, $tablename, $visitor_type = 'TOTAL', $activesitename = 'NONE') // Function to get all visits of today
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $targetdate = $year.'-'.$month.'-'.$day;
 $sql = "SELECT count(*) FROM $tablename 			 
 	   WHERE visitor_date = '$targetdate'
 	   AND visitor_type = 'HUMAN'
	   AND websitename = '$activesitename'";
	   
 if ($visitor_type == 'UNIQUE') $sql .= " AND unique_visit = 'TRUE'";
 @$result = $my_db->query($sql);
 @$totalnumber = mysql_result($result,0,0); 
 return $totalnumber;
}

function get_visitors($useronlinetable, $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $sql = "SELECT count(*) FROM $useronlinetable WHERE websitename = '$activesitename'";
 // get current number of visitors from database
 @$result = $my_db->query($sql);
 @$useronline = mysql_result($result,0,0);
 return $useronline;
}

function clear_visitors($useronlinetable, $timeout, $targetstamp='', $activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 // calculate starting time of deletion 
 $delete_time = $targetstamp - ($timeout * 60);
 // delete timed out visitors from database
 $sql = "DELETE FROM $useronlinetable WHERE UNIX_TIMESTAMP(visitor_time) < $delete_time AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
}
function page_impressions_forrange($limitday_low,$limitday_high,$month,$year,$transfertable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate   = $year.'-'.$month.'-'.$limitday_high;
 // get number of total retrieved pages - does not depend on usertracking-data!		
 $sql = "SELECT SUM(numofpages)
	 FROM $transfertable 
	 WHERE transfer_timestamp BETWEEN '$fromdate' AND '$todate'
 	 AND visitor_type = 'HUMAN'
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$impressions =  mysql_result($result,0,0);
 return $impressions;
}
function page_impressions_day($day,$month,$year,$transfertable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $targetdate = $year.'-'.$month.'-'.$day;
 // get number of total retrieved pages - does not depend on usertracking-data!		
 $sql = "SELECT numofpages FROM $transfertable 
	 WHERE transfer_timestamp  = '$targetdate'
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$impressions = mysql_result($result,0,0);

 if ($impressions == '') $impressions = 0;
 return $impressions;
}
function page_impressions_month($month,$year,$transfertable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.'01';
 $todate   = $year.'-'.$month.'-'.'31';
 // get number of total retrieved pages - does not depend on usertracking-data!
 $sql = "SELECT SUM(numofpages) FROM $transfertable 
	 WHERE transfer_timestamp  BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'";		
 @$result = $my_db->query($sql);
 @$impressions =  mysql_result($result,0,0); if ($impressions == '') $impressions = 0;
 return $impressions;
}
function page_impressions_year($year,$transfertable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-01-'.'01';
 $todate   = $year.'-12-'.'31';
 // get number of total retrieved pages - does not depend on usertracking-data!		
 $sql = "SELECT SUM(numofpages)
   	 FROM $transfertable 
	 WHERE transfer_timestamp  BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'"; 
 @$result = $my_db->query($sql);
 @$impressions =  mysql_result($result,0,0);
 return $impressions;
}
function transferedpages($month,$year,$transfertable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $fromdate = $year.'-'.$month.'-'.'01'.' 00:00:00';
 $todate   = $year.'-'.$month.'-'.'31'.' 23:59:59';
 // get number of total retrieved pages - depends on usertracking-data!		
 $sql = "SELECT SUM(numofpages) FROM $transfertable 
	 WHERE transfer_timestamp BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$totalpages = mysql_result($result,0,0);
 return $totalpages;
}
function toppage($limitday_low=1, $limitday_high=31, $month, $year, $tablename, $showmax='', $searchphrase='', $activesitename = 'NONE', $visitor_type='HUMAN') // Function to get most requested webpage
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 $toppage = array();
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 
 $fromdate = $year.'-'.$month.'-'.$limitday_low.' 00:00:00';
 $todate   = $year.'-'.$month.'-'.$limitday_high.' 23:59:59';

 $sql = "SELECT count(*) as totalnumber, visitor_webpage, visitor_realpagename
	 FROM $tablename 
	 WHERE visitor_timestamp BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'";

 if ($visitor_type == 'ROBOT')
  $sql .= " AND visitor_type = 'ROBOT'";
 else
  $sql .= " AND visitor_type = 'HUMAN'";
 

 $fieldname = "visitor_webpage";
 $datefield = "visitor_timestamp";
  
 // if theres a searchphrase set, create a corresponding query
 if ($searchphrase != '') { $addToQuery = getSearchQuery($searchphrase, $fieldname, $datefield, $fromdate, $todate); $sql .= $addToQuery ;}
 $sql .= " GROUP BY visitor_webpage ORDER BY totalnumber DESC LIMIT 0,$showmax";

 // execute query
 @$result = $my_db->query($sql);

 while(@$myobject=mysql_fetch_object($result)) 
 {
  $toppage[$myobject->visitor_webpage] = array("webpagename"=>$myobject->visitor_webpage,"realpagename"=>$myobject->visitor_realpagename,"totalnumber"=>$myobject->totalnumber);
 }

 return $toppage;
}
function toppage_total($limitday_low=1, $limitday_high=31, $month, $year, $tablename, $searchphrase='', $activesitename = 'NONE', $visitor_type = 'HUMAN') // Function to get most requested webpage
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 $toppage = array();
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 
 $fromdate = $year.'-'.$month.'-'.$limitday_low.' 00:00:00';
 $todate   = $year.'-'.$month.'-'.$limitday_high.' 23:59:59';

 $sql = "SELECT count(DISTINCT visitor_webpage)
	   FROM $tablename 
	   WHERE visitor_timestamp BETWEEN '$fromdate' AND '$todate'
 	   AND websitename = '$activesitename'";

 if ($visitor_type == 'ROBOT')
  $sql .= " AND visitor_type = 'ROBOT'";
 else
  $sql .= " AND visitor_type = 'HUMAN'";
  
 $fieldname = "visitor_webpage";
 $datefield = "visitor_timestamp";
  
 // if theres a searchphrase set, create a corresponding query
 if ($searchphrase != '') { $addToQuery = getSearchQuery($searchphrase, $fieldname, $datefield, $fromdate, $todate); $sql .= $addToQuery ;}

 // execute query
 @$result = $my_db->query($sql);
 @$totalpages = mysql_result($result,0,0);

 return $totalpages;
}


function top_exitpage($limitday_low=1,$limitday_high=31,$month,$year,$tablename,$userid='',$showmax='',$searchphrase='',$activesitename = 'NONE') // Function to get most requested webpage 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $topexitpage = array();
 $fromdate = $year.'-'.$month.'-'.$limitday_low.' 00:00:00';
 $todate = $year.'-'.$month.'-'.$limitday_high.' 23:59:59';

 $temptable = $userid."exitpage";

 // #0: drop temporary table if exists
 $sql = "DROP TABLE IF EXISTS $temptable";
 @$result = $my_db->query($sql);

 // #1: create a temporary table
 $sql = "CREATE TEMPORARY TABLE $temptable (
         visitor_id VARCHAR(80) NOT NULL,
         visitor_timestamp DATETIME NOT NULL,
         KEY (visitor_id),
         KEY (visitor_timestamp))";
           
 @$result = $my_db->query($sql);

 // #2: lock trackingtable for this operation
 $sql = "LOCK TABLES $my_tables->trackingtable READ";
 //$result = $my_db->query($sql);
  
 // #3: copy data into temporary table
 $sql = "INSERT INTO $temptable SELECT visitor_id, 
         MAX(visitor_timestamp) 
	 FROM $tablename
	 WHERE visitor_timestamp BETWEEN '$fromdate' AND '$todate'
 	 AND visitor_type = 'HUMAN'
         AND websitename = '$activesitename'";
   	   
 $fieldname = "visitor_webpage";
 $datefield = "visitor_timestamp";
  
 // if theres a searchphrase set, create a corresponding query
 if ($searchphrase != '') { $addToQuery = getSearchQuery($searchphrase, $fieldname, $datefield, $fromdate, $todate); $sql .= $addToQuery ;}

 // finalize query   	   
 $sql .= " GROUP BY 1";
 @$result = $my_db->query($sql);

 // #4: get data from temporary table
 $sql = "SELECT t1.visitor_webpage AS webpage, t1.visitor_realpagename AS visitor_realpagename, count(t1.visitor_id) as visitors, t1.visitor_timestamp as visit
	 FROM   $tablename t1, $temptable
	 WHERE  t1.visitor_id=$temptable.visitor_id 
	 AND    t1.visitor_timestamp=$temptable.visitor_timestamp
	 GROUP BY t1.visitor_webpage
	 ORDER BY visitors DESC 
	 LIMIT 0, $showmax";

 @$result = $my_db->query($sql);

 // put all data into array
 while(@$myarray=mysql_fetch_array($result)) 
 {
  $webpagename  = $myarray['webpage'];
  $realpagename = $myarray['visitor_realpagename'];
  $exitpage 	= $webpagename."#".$realpagename;
  $topexitpage[$exitpage] = $myarray['visitors'];
 }
 
 // #5: unlock trackintable
 $sql = "UNLOCK TABLES;";
 //@$result = $my_db->query($sql);

 // #6: delete temporary table
 $sql = "DROP TABLE IF EXISTS $temptable;";
 @$result = $my_db->query($sql);
 return $topexitpage;
}

function top_exitpagetotal($limitday_low=1,$limitday_high=31,$month,$year,$tablename,$userid='',$searchphrase='',$activesitename = 'NONE') // Function to get most requested webpage 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $topexitpage = array();
 $fromdate = $year.'-'.$month.'-'.$limitday_low.' 00:00:00';
 $todate = $year.'-'.$month.'-'.$limitday_high.' 23:59:59';

 $temptable = $userid."exitpage";

 // #0: drop temporary table if exists
 $sql = "DROP TABLE IF EXISTS $temptable";
 @$result = $my_db->query($sql);

 // #1: create a temporary table
 $sql = "CREATE TEMPORARY TABLE $temptable (
           visitor_id VARCHAR(80) NOT NULL,
           visitor_timestamp DATETIME NOT NULL,
           KEY (visitor_id),
           KEY (visitor_timestamp))";
           
 @$result = $my_db->query($sql);

 // #2: lock trackingtable for this operation
 $sql = "LOCK TABLES $my_tables->trackingtable READ";
 //$result = $my_db->query($sql);
  
 // #3: copy data into temporary table
 $sql = "INSERT INTO $temptable SELECT visitor_id, 
         MAX(visitor_timestamp) 
	 FROM $tablename
	 WHERE visitor_timestamp BETWEEN '$fromdate' AND '$todate'
 	 AND visitor_type = 'HUMAN'
         AND websitename = '$activesitename'";
   	   
 $fieldname = "visitor_webpage";
 $datefield = "visitor_timestamp";
  
 // if theres a searchphrase set, create a corresponding query
 if ($searchphrase != '') { $addToQuery = getSearchQuery($searchphrase, $fieldname, $datefield, $fromdate, $todate); $sql .= $addToQuery ;}

 // finalize query   	   
 $sql .= " GROUP BY 1";
 @$result = $my_db->query($sql);

 // #4: get data from temporary table
 $sql = "SELECT count(DISTINCT t1.visitor_webpage)
 	 FROM   $tablename t1, $temptable
	 WHERE  t1.visitor_id=$temptable.visitor_id 
	 AND    t1.visitor_timestamp=$temptable.visitor_timestamp";

 @$result = $my_db->query($sql);
 @$totalpages = mysql_result($result,0,0);

 // #5: unlock trackintable
 $sql = "UNLOCK TABLES;";
 //@$result = $my_db->query($sql);

 // #6: delete temporary table
 $sql = "DROP TABLE IF EXISTS $temptable;";
 @$result = $my_db->query($sql);

 return $totalpages;
}

function top_entrypage($limitday_low=1,$limitday_high=31,$month,$year,$tablename='',$showmax='',$searchphrase='',$activesitename = 'NONE') // Function to get most requested webpage 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $topentrypage = array();
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate = $year.'-'.$month.'-'.$limitday_high;

 $sql = "SELECT count(*) AS totalnumber, requested_page FROM $tablename 
	 WHERE visitor_date  BETWEEN '$fromdate' AND '$todate'
	 AND websitename = '$activesitename'
	 AND visitor_type = 'HUMAN'";

 $fieldname = "requested_page";
 $datefield = "visitor_date";
  
 // if theres a searchphrase set, create a corresponding query
 if ($searchphrase != '') { $addToQuery = getSearchQuery($searchphrase, $fieldname, $datefield, $fromdate, $todate); $sql .= $addToQuery ;}
 $sql .= " GROUP BY $fieldname ORDER BY totalnumber DESC LIMIT 0,$showmax";

 // execute query
 @$result = $my_db->query($sql); 

 while(@$myarray=mysql_fetch_array($result)) 
 {
  $topentrypage[$myarray['requested_page']] = $myarray['totalnumber'];
 }

 return $topentrypage;
}
function top_entrypagetotal($limitday_low=1,$limitday_high=31,$month,$year,$tablename='',$searchphrase='',$activesitename = 'NONE') // Function to get most requested webpage 
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $topentrypage = array();
 $fromdate = $year.'-'.$month.'-'.$limitday_low;
 $todate = $year.'-'.$month.'-'.$limitday_high;

 $sql = "SELECT count(DISTINCT requested_page)
	   FROM $tablename 
	   WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	   AND websitename = '$activesitename'
	   AND visitor_type = 'HUMAN'";

 $fieldname = "requested_page";
 $datefield = "visitor_date";
  
 // if theres a searchphrase set, create a corresponding query
 if ($searchphrase != '') { $addToQuery = getSearchQuery($searchphrase, $fieldname, $datefield, $fromdate, $todate); $sql .= $addToQuery ;}

 // execute query
 @$result = $my_db->query($sql);
 @$totalpages = mysql_result($result,0,0); 

 return $totalpages;
}
function pagestransfered($day,$month,$year,$transfertable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $targetdate  = $year.'-'.$month.'-'.$day;
 $sql = "SELECT numofpages FROM $transfertable 
	 WHERE transfer_timestamp = '$targetdate'
	 AND websitename = '$activesitename'";
 @$result = $my_db->query($sql);
 @$totalpages = mysql_result($result,0,0);  
 return $totalpages;
}
function datatransfered($day,$month,$year,$transfertable,$activesitename = 'NONE')
{
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 if ($activesitename == 'NONE') $activesitename = $_SESSION['activesite'];
 $targetdate   = $year.'-'.$month.'-'.$day;
 $sql = "SELECT datatransfered FROM $transfertable 
	 WHERE transfer_timestamp = '$targetdate'						 
	 AND websitename = '$activesitename'";

 @$result = $my_db->query($sql);
 @$datatransfered =  mysql_result($result,0,0); 
 return $datatransfered;
}

function del_dir($dir, $pattern)
{
 if ($dh = opendir($dir))
 { 
  while (false !== ($file = readdir($dh)))
 {
  if ($file != "." && $file != "..")
  {
   $files[] = $file;
  }
 }
 closedir($dh);
         
 if(strpos($pattern,".")) {
           $baseexp=substr($pattern,0,strpos($pattern,"."));
           $typeexp=substr($pattern,strpos($pattern,".")+1,strlen($pattern));
       }else{ 
           $baseexp=$pattern;
           $typeexp="";
       } 

       $baseexp=preg_quote($baseexp); 
       $typeexp=preg_quote($typeexp); 
       
       $baseexp=str_replace(array("\*","\?"), array(".*","."), $baseexp);
       $typeexp=str_replace(array("\*","\?"), array(".*","."), $typeexp);
       
       $i=0;
       foreach($files as $file) {
           $filename=basename($file);
           if(strpos($filename,".")) {
               $base=substr($filename,0,strpos($filename,"."));
               $type=substr($filename,strpos($filename,".")+1,strlen($filename));
           }else{
               $base=$filename;
               $type="";
           }
       
           if(preg_match("/^".$baseexp."$/i",$base) && preg_match("/^".$typeexp."$/i",$type))  {
               $matches[$i]=$file;
               $i++;
           }
       }
       
        while(@list($idx,$val) = @each($matches)){
           if (@substr($dir,-1) == "/"){
               @unlink($dir.$val);
           }else{
               @unlink($dir."/".$val);
           }
        }
       
   }
}
?>