<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function getrefererdomain($referername) // Function to get a clean TLD out of hostname string
{
 preg_match('!^(([^:/?#]+):)?(//([^/:?#]*)(:(\d+))?)?([^?#]*)(\\?([^#]*))?(#(.*))?!', $referername, $matches);
 @list(,,$url['scheme'],,$url['host'],,$url['port'],$url['path'],,$url['query']) = $matches;
 $referer_name = $url['host']; 
 if (eregi("www.", $referer_name))
  $refererdomain = substr($referer_name,4,strlen($referer_name));
 else
  $refererdomain = $referer_name;

 if (eregi("[a-zA-Z]", $refererdomain)) 
 {
  if (eregi(".com.",$refererdomain) || eregi(".co.",$refererdomain)|| eregi(".br.",$refererdomain)) // referer like google.co.uk?
  {
  // get hostname and TLD out of refererstring
  $referer_temp = explode (".", $refererdomain); 			 // Split refererstring into several packets
  $elemente 	 = count($referer_temp);					 // Count the number of packets
  // we need the last two elements of the exploded string
  $elementone 	 = $referer_temp[$elemente-3]; 	 		 // grab the domainname 
  $elementtwo 	 = $referer_temp[$elemente-2]; 		 	 // grab the last element (unreal TLD)
  $elementthree = $referer_temp[$elemente-1]; 	 // grab the last element (real TLD)
  $refererdomain = "$elementone.$elementtwo.$elementthree"; // build the final referer by pasting TLD and hostname together 
  $firstchar = substr($refererdomain,0,1); 
  if ($firstchar == ".")
   $refererdomain = substr($refererdomain,1,strlen($refererdomain));
  }
 }
 else 
 { $refererdomain = $referer_name; }
 return $refererdomain;
}
?>