<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function getFromHost( $host, $path, $data_to_send )
{ 
 $buffered = ""; 
 $path .= "?".$data_to_send;
 if (@!$fp = fsockopen( $host, 80, $errstring, $errno, 10))
  return; 

 @socket_set_blocking($fp, 0);
 @fputs( $fp, "GET $path HTTP/1.0\r\n" ); 
 @fputs( $fp, "Host: $host\r\n" ); 
 @fputs( $fp, "Content-type: application/x-www-form-urlencoded\r\n" ); 
 @fputs( $fp, "Content-length: " . strlen($data_to_send) . "\r\n" ); 
 @fputs( $fp, "Connection: close\r\n\n\n\n" ); 
 @fputs( $fp, "\n"); 
 @fputs( $fp, $data_to_send ); 
 @fputs( $fp, "\r\n"); 
 @fputs( $fp, "\r\n"); 

 while( @!feof( $fp ))
 {
  @$buffered = trim(nl2br(fgets( $fp, 128 ))); 
  print $buffered;
 } 
 
 fclose( $fp ); 
 return $buffered; 
} 

function web_whois($host)
{
 $redirect     = FALSE;
 $port 	       = 43; 

 ///////////////////////////////////////////////////////////// 
 // select the right WHOIS-Server depending on hostname
 ///////////////////////////////////////////////////////////// 
 
 if (eregi("\.com|\.net|\.org", $host)) $whois_server = "whois.crsnic.net";
  else if (eregi("\.de", $host)) 			  $whois_server = "whois.denic.de";
  else if (eregi("\.ch", $host))  			  $whois_server = "whois.nic.ch";
  else if (eregi("\.at", $host))  			  $whois_server = "whois.aco.net";
  else if (eregi("\.ru", $host))  			  $whois_server = "whois.ripn.net";
  else if (eregi("\.ac", $host))  			  $whois_server = "whois.nic.ac";
  else if (eregi("\.al", $host))  			  $whois_server = "whois.ripe.net"; 
  else if (eregi("\.am", $host))  			  $whois_server = "whois.amnic.net";
  else if (eregi("\.as", $host))  			  $whois_server = "whois.nic.as";
  else if (eregi("\.au", $host))  			  $whois_server = "whois.aunic.net";
  else if (eregi("\.az", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.ba", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.be", $host))  			  $whois_server = "whois.dns.be";
  else if (eregi("\.biz", $host))  			  $whois_server = "whois.neulevel.biz";
  else if (eregi("\.bg", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.br", $host))  			  $whois_server = "whois.registro.br";
  else if (eregi("\.by", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.bz", $host))  			  $whois_server = "whois.belizenic.bz";
  else if (eregi("\.ca", $host))  			  $whois_server = "whois.cira.ca";
  else if (eregi("\.cc", $host))  			  $whois_server = "wwhois.nic.cc";
  else if (eregi("\.ck", $host))  			  $whois_server = "whois.ck-nic.org.ck";
  else if (eregi("\.cx", $host))  			  $whois_server = "whois.nic.cx";
  else if (eregi("\.cy", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.cz", $host))  			  $whois_server = "whois.nic.cz";
  else if (eregi("\.dk", $host))  			  $whois_server = "whois.dk-hostmaster.dk";
  else if (eregi("\.dz", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.edu", $host))  			  $whois_server = "rs.internic.net";
  else if (eregi("\.ee", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.eg", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.es", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.fi", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.fj", $host))  			  $whois_server = "whois.usp.ac.fj";
  else if (eregi("\.fo", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.fr", $host))  			  $whois_server = "whois.nic.fr";
  else if (eregi("\.gb", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.eg", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.gb.com", $host))		 	  $whois_server = "whois.nomination.net";
  else if (eregi("\.gb.net", $host))  		  	  $whois_server = "whois.nomination.net";
  else if (eregi("\.ge", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.gov", $host))  			  $whois_server = "whois.nic.gov";
  else if (eregi("\.gr", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.gs", $host))  			  $whois_server = "whois.adamsnames.tc";
  else if (eregi("\.hk", $host))  			  $whois_server = "whois.hknic.net.hk";
  else if (eregi("\.hm", $host))  			  $whois_server = "whois.registry.hm";
  else if (eregi("\.hr", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.hu", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.id", $host))  			  $whois_server = "whois.idnic.net.id";
  else if (eregi("\.ie", $host))  			  $whois_server = "whois.domainregistry.ie";
  else if (eregi("\.info", $host))  			  $whois_server = "whois.afilias.info";
  else if (eregi("\.int", $host))  			  $whois_server = "whois.isi.edu";
  else if (eregi("\.il", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.is", $host))  			  $whois_server = "whois.isnet.is";
  else if (eregi("\.it", $host))  			  $whois_server = "whois.nic.it";
  else if (eregi("\.jp", $host))  			  $whois_server = "whois.nic.ad.jp";
  else if (eregi("\.ke", $host))  			  $whois_server = "whois.rg.net";
  else if (eregi("\.kg", $host))  			  $whois_server = "whois.domain.kg";
  else if (eregi("\.kr", $host))  			  $whois_server = "whois.nic.or.kr";
  else if (eregi("\.kz", $host))  			  $whois_server = "whois.domain.kz";
  else if (eregi("\.li", $host))  			  $whois_server = "whois.nic.li";
  else if (eregi("\.lk", $host))  			  $whois_server = "whois.nic.lk";
  else if (eregi("\.lt", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.lu", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.lv", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.ma", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.md", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.mil", $host))  			  $whois_server = "whois.nic.mil";
  else if (eregi("\.mk", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.mm", $host))  			  $whois_server = "whois.nic.mm";
  else if (eregi("\.ms", $host))  			  $whois_server = "whois.adamsnames.tc";
  else if (eregi("\.mt", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.mx", $host))  			  $whois_server = "whois.nic.mx";
  else if (eregi("\.net.au", $host))  		 	  $whois_server = "whois.net.au";
  else if (eregi("\.nl", $host))  			  $whois_server = "whois.domain-registry.nl";
  else if (eregi("\.no", $host))  			  $whois_server = "whois.norid.no";
  else if (eregi("\.no.com", $host))  		  	  $whois_server = "whois.nomination.net";
  else if (eregi("\.nu", $host))  			  $whois_server = "whois.nic.nu";
  else if (eregi("\.nz", $host))  			  $whois_server = "whois.domainz.net.nz";
  else if (eregi("\.pl", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.pk", $host))  			  $whois_server = "whois.pknic.net.pk";
  else if (eregi("\.pl", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.pl", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.pt", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.ro", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.se", $host))  			  $whois_server = "whois.nic-se.se";
  else if (eregi("\.se.com", $host))  		  	  $whois_server = "whois.nomination.net";
  else if (eregi("\.se.net", $host))  		  	  $whois_server = "whois.nomination.net";
  else if (eregi("\.sg", $host))  			  $whois_server = "whois.nic.net.sg";
  else if (eregi("\.si", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.sh", $host))  			  $whois_server = "whois.nic.sh";
  else if (eregi("\.sk", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.sm", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.st", $host))  			  $whois_server = "whois.nic.st";
  else if (eregi("\.su", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.tc", $host))  			  $whois_server = "whois.adamsnames.tc";
  else if (eregi("\.tf", $host))  			  $whois_server = "whois.adamsnames.tc";
  else if (eregi("\.tj", $host))  			  $whois_server = "whois.nic.tj";
  else if (eregi("\.th", $host))  			  $whois_server = "whois.thnic.net";
  else if (eregi("\.tm", $host))  			  $whois_server = "whois.nic.tm";
  else if (eregi("\.tn", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.to", $host))  			  $whois_server = "whois.tonic.to";
  else if (eregi("\.tr", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.tw", $host))  			  $whois_server = "whois.twnic.net";
  else if (eregi("\.ua", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.uk", $host))  			  $whois_server = "whois.nic.uk";
  else if (eregi("\.uk.net", $host))  		  	  $whois_server = "whois.nomination.net";
  else if (eregi("\.uk.com", $host)) 		  	  $whois_server = "whois.nomination.net";
  else if (eregi("\.us", $host))  			  $whois_server = "whois.isi.edu";
  else if (eregi("\.va", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.vg", $host))  			  $whois_server = "whois.adamsnames.tc";
  else if (eregi("\.ws", $host))  			  $whois_server = "whois.nic.ws";
  else if (eregi("\.yu", $host))  			  $whois_server = "whois.ripe.net";
  else if (eregi("\.za", $host))  			  $whois_server = "whois.frd.ac.za";


 if (!eregi("[a-zA-Z]", $host)) 
 { 
  $whois_server = "whois.ripe.net";
 }

 // exit routine if no WHOIS-Server was found
 if ($whois_server == "") exit();

 // open a socket to whois-server and use port "$port"
 @$mysocket = fsockopen($whois_server, $port, $errornumber, $errorstring);  
 @socket_set_blocking($mysocket,0);
 
 // if we can't open a socket, give error message
 if (!$mysocket)   
 {  
  echo $lang['Couldnt_Connect'];
  echo "<br>";
  echo $lang['error'].": ". $errorstring ($errornumber);
  echo "<br>";  
  unset($mysocket); // release socket-handle
 }  
  
 // send our hostname as query to whois-server
 fputs($mysocket, "$host\n");  
  
  // Read data from socket into buffer until end of datastream is reached
  while (!feof($mysocket))
   $buffer .= fgets($mysocket, 10240);

  $bufferarray = explode("\n",$buffer);

  // close socket when finished
  fclose($mysocket);

  if (eregi("No match", $buffer)) // hostname was not found in database
  {
   echo $lang['Information'].": ".$lang['No_Whois_Data_Found'];
   echo "<br><br><br><br><br><br>";
  }
  elseif (eregi("THE WHOLE", $buffer)) // a new whois-server was found, so grab it
  {
   $new_server = "whois.arin.net";
   $redirect = TRUE;
  } 
  else // display database-data
  {
  for ($x=0; $x<count($bufferarray); $x++)
  { echo $bufferarray[$x]."<br>"; }
   $redirect = FALSE;
  } 
  if ($redirect == TRUE)
  {
   unset($buffer);
   $mysocket = fsockopen("$new_server", $port, $errornumber, $errorstring);  
   socket_set_blocking($mysocket,0); 
   if(!$mysocket)  
   {  
    echo $lang['Couldnt_Connect'];
    echo "<br>";
    echo $lang['error'].": ". $errorstring ($errornumber);
    echo "<br>";  
    unset($mysocket);
   }  
    else if($mysocket) 
   {  
    fputs($mysocket, "$host\n");
    while (!feof($mysocket))
    {
	 $buffer .= fgets($mysocket, 10240);
    }
    $bufferarray = explode("\n",$buffer);

    // output WHOIS-data
    for ($x=0; $x<count($bufferarray); $x++)
   { echo $bufferarray[$x]."<br>"; }

    if (eregi("APNIC", $buffer)) // a new whois-server was found, so grab it
    {
     unset($buffer);
     echo "</pre>";
     $new_server = "whois.apnic.net";
     $mysocket = fsockopen("$new_server", $port, $errornumber, $errorstring);  
     socket_set_blocking($mysocket,0); 
     if(!$mysocket)  
     {  
      echo $lang['Couldnt_Connect'];
      echo "<br>";
      echo $lang['error'].": ". $errorstring ($errornumber);
      echo "<br>";  
      unset($mysocket);
     }  
      else if($mysocket) 
     {  
      fputs($mysocket, "$host\n");
      while (!feof($mysocket))
      {
	   $buffer .= fgets($mysocket, 10240);
      }
     }     
    $bufferarray = explode("\n",$buffer);
    // output WHOIS-data
    for ($x=0; $x<count($bufferarray); $x++)
   { echo $bufferarray[$x]."<br>"; }
  }
  fclose($mysocket); 
  }  
 }  
}

function tracerouter($hostname, $visitorip, $activesitename, $server_system, $traceroute_type = 'EXTERNAL') 
{
 $trace_path = dirname(__FILE__);
 include_once ($trace_path."/../includes/binarystat.inc.php"); 
 include_once ($trace_path."/../includes/global.inc.php"); 
 include ($trace_path."/../language/language.inc.php"); 
 
  // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();
 
 // PUBLIC TRACE SERVERS:
 // 0. http://www.lf.net/cgi-bin/trace     
 // ----------------------------------------------------
 // 1. http://www.getnet.com/cgi-bin/trace
 // 2. http://netview.ait.iastate.edu/cgi-bin/trace
 // 3. http://www.tpoint.net/cgi-bin/trace
 // 4. http://www.vineyard.net/cgi-bin/traceroute
 // 5. http://darkwing.uoregon.edu/~llynch/cgi-bin/trace.cgi
 // 6. http://www.bungi.com/cgi-bin/trace
 // 7. http://www.work.de/cgi-bin/traceroute
 // ----------------------------------------------------

 if ($traceroute_type == 'INTERNAL')
 {
  echo "<pre>"; 
  $server_system = strtolower($server_system);
  
  if ($server_system == 'windows')
   if (system("tracert $visitorip") == FALSE) 
    { echo "<FONT COLOR = '#FF3300'></pre><b>".$lang['Traceroute_Error']."</font></b>";} 
  
  if ($server_system == 'unix')   
   if (system("traceroute $visitorip") == FALSE)
    { echo "<FONT COLOR = '#FF3300'></pre><b>".$lang['Traceroute_Error']."</font></b>";} 
  
  echo "</pre>";
 }

 if ($traceroute_type == 'EXTERNAL')
 {
  $result = mysql_query("SELECT tracedir, traceserver FROM $my_tables->websitestable WHERE websitename = '$activesitename'");
  $myobject = mysql_fetch_object($result); 
  $trace_dir	= $myobject->tracedir;
  $trace_server = $myobject->traceserver;

  echo "<pre>";
  $postData = $visitorip; 
  getFromHost($trace_server, $trace_dir ,$postData); 
  echo "</pre>"; echo "<br><br><br>";
 }
}
?>