<?php 
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

$pietitle 	 = $_GET['title'];
$low 		 = $_GET['low'];
$high 		 = $_GET['high'];
$subject 	 = $_GET['subject'];

$logoname	 = "";   // pie logo
$showmax	 = 8;	 // number of pie slices
$diameter 	 = 310;  // pie-diameter
$imageWidth	 = 700;  // image total width
$imageHeight = 400;  // image total height
$centerX	 = 200;  // y-Center of pie
$centerY	 = 190;  // Y-center of pie

$drawpie_path = dirname(__FILE__); $drawpie_path .= "/";

include_once($drawpie_path."./global.inc.php");
include_once($drawpie_path."./binarystat.inc.php");		
include_once($drawpie_path."./dbactions.inc.php");
include_once($drawpie_path."./getcountry.inc.php");  		 
include_once($drawpie_path."./timezone.inc.php");  		 

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();
 

// get correct timezone-timestamp 
$my_timestamp = new binarystat_timezone;
$my_timestamp -> get_timestamp($my_tables->configtable);

// SET START ANGLE FOR PIE
$start_angle = 0;

// READ PIE-CHART DATA FROM DATABASE
$liste = array();

if ($subject == "topbrowser_hersteller"){
 $liste = topbrowser_hersteller($low,$high,$my_timestamp->month, $my_timestamp->year, $my_tables->browsertable);
}

if ($subject == "topbrowser"){
 $liste = topbrowser($low,$high,$my_timestamp->month, $my_timestamp->year, $my_tables->browsertable);
}
 
 if ($subject == "tophostname"){
   $liste = tophostname($low,$high,$my_timestamp->month, $my_timestamp->year,$my_tables->hostnametable);
   }
 
 if ($subject == "topcountries"){
   $liste = topcountries($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->hostnametable);
   }
 
 if ($subject == "topreferer"){
   $liste = topreferer($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->referertable);
   }
 
 if ($subject == "topreferer_by_domain"){
   $liste = topreferer_by_domain($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->referertable);
   }
  
 if ($subject == "topsystem"){
   $liste = topsystem($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->systemtable); 
   }
 
 if ($subject == "topsystem_hersteller"){
   $liste = topsystem_hersteller($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->systemtable);
   }

 if ($subject == "topresolution"){
   $liste = topresolution($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->visualtable);
   }

 if ($subject == "topcolordepth"){
   $liste = topcolordepth($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->visualtable);
   }

 if ($subject == "topengine"){
   $liste = topengine($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->enginetable);
   }

 if ($subject == "topqueries"){
   $liste = topqueries($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->enginetable);
   }

 if ($subject == "toprobots"){
   $liste = toprobotspiders($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->spidertable);
   }

 if ($subject == "toppage"){
  $liste = toppage_forpie($low, $high, $my_timestamp->month, $my_timestamp->year,$my_tables->trackingtable);
  }

 if ($subject == "top_entrypage"){
   $liste = top_entrypage($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);
   }

 if ($subject == "weekreport"){
   $liste=busiestweekday_all($my_timestamp->month,$my_timestamp->year,$my_tables->maintable);
   }

 if ($subject == "cookiesupport"){
   $liste=cookiesenabled($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->plugintable);
   }

 if ($subject == "javasupport"){
   $liste=javaenabled($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->plugintable);
   }

 if ($subject == "flashsupport"){
   $liste=flashenabled($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->plugintable);
   }

if ($subject == "Internetgeschwindigkeit"){
   $liste=topspeed($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->speedtable);
   }

if ($subject == "topdownloads"){
   $liste=top_downloads($low,$high,$my_timestamp->month,$my_timestamp->year,$my_tables->downloadtable);
   }

 if ($subject == "loyality")
 {
  // get number of revisitors (# of visits > 1)
  $fromdate = $my_timestamp->year.$my_timestamp->month.$low." 00:00:00";
  $todate   = $my_timestamp->year.$my_timestamp->month.$high." 23:59:59";
  
  @$result = mysql_query("SELECT count(*) AS revisits, totalvisits FROM $my_tables->revisittable
						 WHERE cookie_timestamp BETWEEN '$fromdate' AND '$todate'
						 AND websitename = '$getchoositename'
						 GROUP BY totalvisits
						 ORDER BY visits_per_day ASC
						 ");

  for($x=1; $x<11; $x++) { $revisitor[$x]["visitors"] = 0;$revisitor[$x]["totalvisits"]=0;}
  unset($x);
  while($myobject=mysql_fetch_object($result))
  {
   $liste ["$myobject->revisits"] = $myobject->totalvisits;
   // $liste ["$myobject->totalvisits"] = $myobject->revisits;
  }
 } 

 if ($subject == "frequency")
 {
  $liste = topfrequency($my_tables->frequencytable,$getchoositename);
 }

 //////////////////////////////////////////////////////////////////
 //////////////////////////////////////////////////////////////////

 $labelimageWidth  = 10;   // label imageWidth 

 $anzahl_liste = count ($liste);
 $item = array();
 $data = array();
 $pos = 0;

 // BUILD ITEM- AND DATA-ARRAY
 while ((@list($key, $value) = each ($liste)))
 {
  if ($value == ".?") $value = "Unknown";
  if ($subject == "loyality")
  {
   $item[$pos] = $value;
   $data[$pos] = $key;
  }
  else
  {
   $item[$pos] = $key;
   $data[$pos] = $value;
  }
  $pos++;
 }

 $arr_size = count($data);
 
 // CALCULATE TOTAL SUMM OF SLICES 
 foreach($data AS $value) { $realsizetotal += $value; }

 // SHORTEN ITEM- AND DATA-ARRAY TO $SHOWMAX ITEMS
 for ($x=$showmax; $x<$arr_size; $x++)
 {
  unset($item[$x]);
  unset($data[$x]);
 }

 // CALCULATE RESIZED ARRAY -> TOTAL SUMM OF SLICES 
 foreach($data AS $data_value) { $resizedtotal += $data_value; }
 $sum = $resizedtotal;

 // NUMBER OF PIE SLICES
 $number_of_slices = count($data);
 $newsize = $number_of_slices;

 // CREATE SLICE SIZE DEPENDING ON DATA AND PERCENTAGE OF A 360-DEGREE CIRCLE
 for ($x=0; $x<$number_of_slices; $x++)
 {
  $degrees[$x] = ($data[$x]/$resizedtotal) * 360;
 }
 
 // DO SOME ITEM-NAME MODIFICATION
 /*if (($subject == "toppage") OR ($subject == "top_entrypage"))
 {
  for ($x=0; $x<count($item); $x++)
  {
   $item[$x] = strrchr($item[$x], '/');
   $item[$x] = str_replace ( '/', '', $item[$x] );
  }  
 }*/

 if ($subject=="weekreport")
 {
  // rsort($item); rsort($data);
  reset($item); reset($data);

  $start_angle = 0;

  for ($x=0; $x<count($item); $x++)
  {
   if ($item[$x] == "sonntage")  $item[$x]    = "Sonntag";
   if ($item[$x] == "montage")   $item[$x]    = "Montag";
   if ($item[$x] == "dienstage") $item[$x]    = "Dienstag";
   if ($item[$x] == "mittwoche") $item[$x]    = "Mittwoch";
   if ($item[$x] == "donnerstage") $item[$x]  = "Donnerstag";
   if ($item[$x] == "freitage")  $item[$x]    = "Freitag";
   if ($item[$x] == "samstage")  $item[$x]    = "Samstag";
  }  
 }


 // CREATE EMPTY IMAGE FOR PIE
 $im = ImageCreate( $imageWidth, $imageHeight );

 // PRE-DEFINE SOME COLORS
 $white    = ImageColorAllocate( $im, 255, 255, 255 ); 
 $black    = ImageColorAllocate( $im, 0, 0, 0 ); 
 $grey     = ImageColorAllocate( $im, 215, 215, 215 ); 
 $darkblue = ImageColorAllocate( $im, 20,21,69 );

 // SET BACKGROUND COLOR FOR IMAGE AND FILL IMAGE
 ImageColorTransparent($im, $darkblue);
 ImageFill( $im, 0, 0 , $white); // fill with background color

 $place_x  = $centerX-40;
 $place_y  = $centerY;

 // DEFINE FILLING COLORS

 $fillcolor[] = ImageColorAllocate( $im, 203,68,48);  
 $fillcolor[] = ImageColorAllocate( $im, 203,148,48);  $fillcolor[] = ImageColorAllocate( $im, 201,203,48);  
 $fillcolor[] = ImageColorAllocate( $im, 119,203,68);  $fillcolor[] = ImageColorAllocate( $im, 68,203,176);   
 $fillcolor[] = ImageColorAllocate( $im, 68,163,203);  $fillcolor[] = ImageColorAllocate( $im, 68,78,203); 
 $fillcolor[] = ImageColorAllocate( $im, 135,68,203);  $fillcolor[] = ImageColorAllocate( $im, 203,68,182); 
 $fillcolor[] = ImageColorAllocate( $im, 203,68,97);

 // FIND PIE CHART CIRCLE-POINT
 function circlePoint( $deg, $dia ) 
 { 
  $x = cos( deg2rad( $deg ) ) * ( $dia / 2 ); 
  $y = sin( deg2rad( $deg ) ) * ( $dia / 2 ); 
  return array( $x, $y ); 
 } 
 
 // DRAW PIE
 /////////////////////////////////////////////////////////////////////////////////////////

 // MAKE PIE BORDER TO PREVENT COLOR SPILLING
 imagearc ($im,  $place_x, $place_y, $diameter , $diameter, 0,360, $black);
 imagefill($im,  $place_x-2, $place_y , $black);
 imagearc ($im,  $place_x, $place_y, $diameter-1 , $diameter-1, 0,360, $black);
 imagefill($im,  $place_x-5, $place_y , $white);
 
 // PIE CHART DROP-SHADOW
 imagearc ($im,  $place_x+9, $place_y+7, $diameter , $diameter, 0,360, $black);
 imagefill($im,  $place_x+10, $place_y+7 , $black);
 imagearc ($im,  $place_x, $place_y, $diameter , $diameter, 0,360, $white);
 imagefill($im,  $place_x, $place_y , $white);
 
 // PRE-DEFINE VARIABLES FOR PIE CREATION
 $prev_angle 		= 0;
 $pointer 			= 0;
 $resizedtotal  	= 0;
 $degrees  	    	= Array();
 $radius   			= $diameter/2;

 $center = array('x'=>$place_x, 'y'=>$place_y);

 for ($y=0; $y<$number_of_slices; $y++)
 {
  $degrees[$y] = ($data[$y]/$sum) * 360;
 }
 
 // DRAW BASELINE OF PIE
 ImageLine($im, $center['x'],$center['y'], $center['x']+$radius, $center['y'], $darkblue);
 
 for ($z=0; $z<$number_of_slices; $z++)
 {
  $piefillcolor = $fillcolor[$z];
  ImageArc($im, $center['x'], $center['y'], $diameter, $diameter, $last_angle,($last_angle+$degrees[$z]), $black);
  $last_angle = $last_angle+$degrees[$z];
   
  // STARTING AND ENDING POINT OF SLICE     
  $end_x = round($center['x'] + ($radius * cos($last_angle*pi()/180)));
  $end_y = round($center['y'] + ($radius * sin($last_angle*pi()/180)));
    
  // DRAW LINE    
  ImageLine($im, $center['x'], $center['y'], $end_x, $end_y, $black);
 }

 // CALCULATE MID POING OF SLICES FOR CORRECT SLICE-COLOR-FILLING        
 for ($z=0; $z < $number_of_slices; $z++)
 {
  $piefillcolor  = $fillcolor[$z];
  $pointer       = $prev_angle + $degrees[$z];
  $current_angle = ($prev_angle + $pointer) / 2;
  $prev_angle    = $pointer;
        
  $end_x = round($center['x'] + ($radius * cos($current_angle*pi()/180)));
  $end_y = round($center['y'] + ($radius * sin($current_angle*pi()/180)));
        
  $mid_x = round(($center['x']+($end_x))/2);
  $mid_y = round(($center['y']+($end_y))/2);
     
  // FILL CURRENT SLICE WITH COLOR
  ImageFillToBorder($im, $mid_x, $mid_y, $black, $piefillcolor);
}  
 

 // PRINT VALUE-PERCENTAGE INTO FINAL PIE
 for ($z=0; $z < $number_of_slices; $z++)
 {
  $pointer       = $prev_angle + $degrees[$z];
  $current_angle = ($prev_angle + $pointer) / 2;
  $prev_angle    = $pointer;
        
  $end_x = round($center['x'] + ($radius * cos($current_angle*pi()/180)));
  $end_y = round($center['y'] + ($radius * sin($current_angle*pi()/180)));
        
  $mid_x = round(($center['x']+($end_x))/2);
  $mid_y = round(($center['y']+($end_y))/2);

  $percentage = round( $data[ $z ] / $realsizetotal * 100 );
  ImageString( $im, 1, $mid_x-4, $mid_y-4, $percentage. "%", $white );  
 }  

 ImageFill( $im, 0, 0 , $darkblue); // fill with background color
 
 // BEGIN OF PIE-TEXT CREATION
 $textposX   = $center['x'] + 180; 
 $textposY   = $center['y'] - 40;
 $pietitle_x = $textposX + 80; 
 $pietitle_y = $center['y']-105; 

 // HEADLINE
 ImageString( $im, 4, $textposX, $pietitle_y, $pietitle, $white ); 
 ImageString( $im, 2, $textposX, $pietitle_y+ 20,"$my_timestamp->hour:$my_timestamp->minute Uhr, $my_timestamp->day.$my_timestamp->month.$my_timestamp->year", $white ); 

 for( $i = 0; $i < $x; $i++ ) 
 {  
  // MAKE COLOR BOXES FOR LEGEND
  $piefillcolor = $fillcolor[$i];
  ImageRectangle( $im, $textposX, $textposY, $textposX + $labelimageWidth, $textposY + $labelimageWidth, $darkblue ); 
  ImageFilledRectangle( $im, $textposX + 1, $textposY + 1, $textposX + $labelimageWidth, $textposY + $labelimageWidth, $piefillcolor ); 

 
  // DO SOME ITEM NAME MANIPULATION

  if ($subject == "loyality")
  {
    $temp_item = $item[$i];
    $item[$i] = "$temp_item x Website besucht";
  } 

  if ($subject == "frequency")
  {
   if ($item[$i] == "firstvisit") $item[$i] =  "Erstmaliger Besucher";
	 elseif ($item[$i] == "onceaday") $item[$i] = "Einmal am Tag";
	 elseif ($item[$i] == "twiceaday") $item[$i] = "Zweimal am Tag";
	 elseif ($item[$i] == "multipleaday") $item[$i] = "Mehrmals am Tag";
	 elseif ($item[$i] == "onceaweek") $item[$i] = "Einmal die Woche";
	 elseif ($item[$i] == "twiceaweek") $item[$i] = "Zweimal die Woche";
	 elseif ($item[$i] == "everytwoweeks") $item[$i] = "Mehrmals die Woche";
     // elseif ($item[$i] == "onceamonth") $item[$i] = "Einmal im Monat"; 
  }

  if ($subject == "topreferer")
  {
   $firstfour = substr($item[$i], 0, 5); 
   if ($firstfour == "http:") $item[$i] = substr($item[$i],7,strlen($item[$i]));
  } 


  if ($subject == "topcountries")
  {
   $item[$i] =  getcountry_german($item[$i]);
   if ($item[$i] == "?" || $item[$i] == "") $item[$i] = "Unknown";
   if (strlen($item[$i])>35)
   {
    $item[$i] = substr($item[$i],0,32);
    $item[$i] .= "...";
   }
  } 

  if ($subject == "topdownloads")
  {
   $exploded_item =  explode("#",$item[$i]);
   $item[$i] = $exploded_item[0];
  } 

  // CHECK IF ITEM LENGTH IS TOO LONG
  if (strlen($item[$i])>35)
  {
   $item[$i] = substr($item[$i],0,32);
   $item[$i] .= "...";
  }
 
  if ($item[$i] == "0 bit") $item[$i] = "Unknown";
  if ($item[$i] == "?")     $item[$i] = "Unknown";

  // Some manipulation if cookie-support or javascript-support has to be shown
  if ($subject == "cookiesupport" || $subject == "javasupport" || $subject == "flashsupport")
  {
   if ($item[$i] == "TRUE") $item[$i] = "Aktiviert";
   if ($item[$i] == 'FALSE') $item[$i] = "Deaktiviert";
  }

  // OUTPUT ITEM NAME
  ImageString( $im, 2, $textposX + $labelimageWidth + 15, $textposY,  $item[$i], $white ); 
  
  // OUTPUT ITEM VALUE 
  if ($subject == "topqueries") $xOffset = 225;
  elseif ($subject == "topsystem" || $subject == "topsystem_hersteller" || $subject == "topengine" || $subject == "toprobots") $xOffset = 160;
  elseif ($subject == "topcountries" || $subject == "tophostname" ) $xOffset = 200;
  elseif ($subject == "topresolution" || $subject == "topcolordepth" || $subject == "weekreport" ) $xOffset = 120;
  elseif ($subject == "cookiesupport" || $subject == "javascriptsupport" || $subject == "flashsupport") $xOffset = 120;
  elseif ($subject == "topbrowser" || $subject == "topbrowser_hersteller" ) $xOffset = 140;
  elseif ($subject == "loyality" || $subject == "frequency") $xOffset = 200;
 
  else $xOffset = 260;
  
  ImageString( $im, 2, $textposX + $labelimageWidth + $xOffset, $textposY, $data[$i], $white ); 
  $textposY += $labelimageWidth + 2; 
 } 
 

 // OUTPUT TOTAL DATA
 ImageString( $im, 3, $textposX+10, $textposY+30, "Gesamt:", $white ); 
 ImageString( $im, 3, $textposX + $labelimageWidth + 70, $textposY+30, $sum, $white ); 
 ImageString( $im, 2, $textposX, $textposY + 15, $logoname, $white ); 
 
 
 // close db
 // $my_db->close_db();

 // IMAGE-OUTPUT
 //Header( "Content-type: image/PNG" ); 
 ImagePNG($im); 
 ImageDestroy($im); 
?>