<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// create the right MIME-header for the download
function mimeheader()
{
 return array(
         "xls" => "application/vnd.ms-excel",
         "ez" => "application/andrew-inset",
         "hqx" => "application/mac-binhex40",
         "cpt" => "application/mac-compactpro",
         "doc" => "application/msword",
         "bin" => "application/octet-stream",
         "dms" => "application/octet-stream",
         "lha" => "application/octet-stream",
         "lzh" => "application/octet-stream",
         "exe" => "application/octet-stream",
         "class" => "application/octet-stream",
         "so" => "application/octet-stream",
         "dll" => "application/octet-stream",
         "oda" => "application/oda",
         "pdf" => "application/pdf",
         "ai" => "application/postscript",
         "eps" => "application/postscript",
         "ps" => "application/postscript",
         "smi" => "application/smil",
         "smil" => "application/smil",
         "wbxml" => "application/vnd.wap.wbxml",
         "wmlc" => "application/vnd.wap.wmlc",
         "wmlsc" => "application/vnd.wap.wmlscriptc",
         "bcpio" => "application/x-bcpio",
         "vcd" => "application/x-cdlink",
         "pgn" => "application/x-chess-pgn",
         "cpio" => "application/x-cpio",
         "csh" => "application/x-csh",
         "dcr" => "application/x-director",
         "dir" => "application/x-director",
         "dxr" => "application/x-director",
         "dvi" => "application/x-dvi",
         "spl" => "application/x-futuresplash",
         "gtar" => "application/x-gtar",
         "hdf" => "application/x-hdf",
         "js" => "application/x-javascript",
         "skp" => "application/x-koan",
         "skd" => "application/x-koan",
         "skt" => "application/x-koan",
         "skm" => "application/x-koan",
         "latex" => "application/x-latex",
         "nc" => "application/x-netcdf",
         "cdf" => "application/x-netcdf",
         "sh" => "application/x-sh",
         "shar" => "application/x-shar",
         "swf" => "application/x-shockwave-flash",
         "sit" => "application/x-stuffit",
         "sv4cpio" => "application/x-sv4cpio",
         "sv4crc" => "application/x-sv4crc",
         "tar" => "application/x-tar",
         "tcl" => "application/x-tcl",
         "tex" => "application/x-tex",
         "texinfo" => "application/x-texinfo",
         "texi" => "application/x-texinfo",
         "t" => "application/x-troff",
         "tr" => "application/x-troff",
         "roff" => "application/x-troff",
         "man" => "application/x-troff-man",
         "me" => "application/x-troff-me",
         "ms" => "application/x-troff-ms",
         "ustar" => "application/x-ustar",
         "src" => "application/x-wais-source",
         "xhtml" => "application/xhtml+xml",
         "xht" => "application/xhtml+xml",
         "zip" => "application/zip",
         "au" => "audio/basic",
         "snd" => "audio/basic",
         "mid" => "audio/midi",
         "midi" => "audio/midi",
         "kar" => "audio/midi",
         "mpga" => "audio/mpeg",
         "mp2" => "audio/mpeg",
         "mp3" => "audio/mpeg",
         "aif" => "audio/x-aiff",
         "aiff" => "audio/x-aiff",
         "aifc" => "audio/x-aiff",
         "m3u" => "audio/x-mpegurl",
         "ram" => "audio/x-pn-realaudio",
         "rm" => "audio/x-pn-realaudio",
         "rpm" => "audio/x-pn-realaudio-plugin",
         "ra" => "audio/x-realaudio",
         "wav" => "audio/x-wav",
         "pdb" => "chemical/x-pdb",
         "xyz" => "chemical/x-xyz",
         "bmp" => "image/bmp",
         "gif" => "image/gif",
         "ief" => "image/ief",
         "jpeg" => "image/jpeg",
         "jpg" => "image/jpeg",
         "jpe" => "image/jpeg",
         "png" => "image/png",
         "tiff" => "image/tiff",
         "tif" => "image/tif",
         "djvu" => "image/vnd.djvu",
         "djv" => "image/vnd.djvu",
         "wbmp" => "image/vnd.wap.wbmp",
         "ras" => "image/x-cmu-raster",
         "pnm" => "image/x-portable-anymap",
         "pbm" => "image/x-portable-bitmap",
         "pgm" => "image/x-portable-graymap",
         "ppm" => "image/x-portable-pixmap",
         "rgb" => "image/x-rgb",
         "xbm" => "image/x-xbitmap",
         "xpm" => "image/x-xpixmap",
         "xwd" => "image/x-windowdump",
         "igs" => "model/iges",
         "iges" => "model/iges",
         "msh" => "model/mesh",
         "mesh" => "model/mesh",
         "silo" => "model/mesh",
         "wrl" => "model/vrml",
         "vrml" => "model/vrml",
         "css" => "text/css",
         "html" => "text/html",
         "htm" => "text/html",
         "asc" => "text/plain",
         "txt" => "text/plain",
         "rtx" => "text/richtext",
         "rtf" => "text/rtf",
         "sgml" => "text/sgml",
         "sgm" => "text/sgml",
         "tsv" => "text/tab-seperated-values",
         "wml" => "text/vnd.wap.wml",
         "wmls" => "text/vnd.wap.wmlscript",
         "etx" => "text/x-setext",
         "xml" => "text/xml",
         "xsl" => "text/xml",
         "mpeg" => "video/mpeg",
         "mpg" => "video/mpeg",
         "mpe" => "video/mpeg",
         "qt" => "video/quicktime",
         "mov" => "video/quicktime",
         "mxu" => "video/vnd.mpegurl",
         "avi" => "video/x-msvideo",
         "movie" => "video/x-sgi-movie",
         "ice" => "x-conference-xcooltalk"
      );
 }


function sendfile($file_to_transfer, $fileformat)
{
 // get file-extension
 $typepos   = strrpos($file_to_transfer,'.');
 $filetype  = substr($file_to_transfer,$typepos+1, strlen($file_to_transfer));

 if ($fileformat == "xls") { $filetype = "xls";}

 // create MIME array
 $mimetypes = mimeheader();
 // get the right mime type for file
 if (isset($mimetypes[$filetype]))
 {
  $MIME_TYPE =  $mimetypes[$filetype];
 } else {
  $MIME_TYPE = "application/octet-stream";
 }


 @$filesize_bytes  = filesize($file_to_transfer); // filesize in bytes
 @$filesize_kbytes = round (($filesize_bytes/1024),2); // get filesize in KB an round the result
 
 // create the correct header
 if (strstr($HTTP_USER_AGENT,"MSIE")) { $attachment = ""; } else { $attachment = "attachment;"; }
 if (strstr($HTTP_USER_AGENT,"MSIE")) {header("Cache-Control: public\n");} else {header("Cache-control: private\n");}

  // fix filename
 $namepos   = strrpos($file_to_transfer,'/');
 $filename  = substr($file_to_transfer,$namepos+1, strlen($file_to_transfer));

 if ($fileformat == "xls")
 {
  $attachment = "inline;";
  $typepos    = strrpos($filename,'.');
  $filename   = substr($filename,0,$typepos);
  $filename  .= ".xls";
 }
 
 header("Cache-control: must-revalidate\n");
 header("Content-type: $MIME_TYPE\n"); 
 header("Content-name: $filename\n");
 header("Content-Disposition: $attachment filename=$filename\n"); 
 header("Content-length: $filesize_bytes\n");
 header("Pragma: no-cache\n");
 header("Expires: 0\n");
 header("Connection: close\n");
 
 //send file to user 
 @$myfp = fopen($file_to_transfer, "rb");
 while(!feof($myfp))
 {
  print(fread($myfp, 8192));
  flush();
 }
 fclose($myfp);
 exit();
}
?>