<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function showcat($category, $sortby='NAME', $sortorder='DESC', $websitename, $showme=10, $pos=1, $go="nowhere", $return=0)
{
 $showcat_path = dirname(__FILE__); $showcat_path .= "/";
 @include_once($showcat_path."./global.inc.php");
 @include_once($showcat_path."./timezone.inc.php"); 
 @include_once($showcat_path."./dbactions.inc.php");   
 @include_once($showcat_path."./binarystat.inc.php");   
 
 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();
 
 @$my_timestamp = new binarystat_timezone;
 @$my_timestamp -> get_timestamp($my_tables->configtable);

 $output = ""; 
 $sortby = strtoupper($sortby); 

 if ($sortby == "FILENAME") $sortby = "filename";
  elseif ($sortby == "FILETITLE")    $sortby = "filetitle";
  elseif ($sortby == "FILESIZE")     $sortby = "filesize";
  elseif ($sortby == "DOWNLOADS")    $sortby = "totaldownloads";
  elseif ($sortby == "LASTDOWNLOAD") $sortby = "lastdownload";
  elseif ($sortby == "SHORTDESC")    $sortby = "fileshortdesc";
  elseif ($sortby == "LONGDESC")     $sortby = "filelongdesc";
 else $sortby = "filename";
 
 if ($showmax == "ALL") $showmax = 999999;

 if (eregi("[a-z][A-Z]",$category)) // no chars in $category, so use $category as database ID locator
  @$numofentries = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->downloadmanagertable
					     WHERE websitename = '$websitename'
					     AND category = '$category'
					     "),0,0);
  else
  @$numofentries = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->downloadmanagertable
					     WHERE websitename = '$websitename'
					     AND id = '$category'
					    "),0,0);

 @$numofpages	= round($numofentries/$showme);
 unset($result);

 if (!isset($page)) $page = 1;
 if (!isset($pos))  $pos  = 0;
   
 if ($_REQUEST['go'] == 'back')    $pos = $pos - $showme;
 if ($_REQUEST['go'] == 'forward') $pos = $pos + $showme;
 
 if ($pos > $numofentries) $pos = $numofentries-showme+1;
 if ($pos < 0) $pos = 0;		
 
 if (eregi("[a-z][A-Z]",$category)) // no chars in $category, so use $category as database ID locator
 // select all downloads for specified category from database
  @$result = mysql_query("SELECT *, UNIX_TIMESTAMP(entrydate) AS entrydate 
						 FROM $my_tables->downloadmanagertable
						 WHERE websitename = '$websitename'
						 AND category 	  = '$category'
						 ORDER BY $sortby $sortorder
						 LIMIT $pos, $showme
						");
 else
  @$result = mysql_query("SELECT *, UNIX_TIMESTAMP(entrydate) AS entrydate 
						 FROM $my_tables->downloadmanagertable
						 WHERE websitename = '$websitename'
						 AND id 	  = '$category'
						 ORDER BY $sortby $sortorder
						 LIMIT $pos, $showme
						");
 
 @$includepath_style = dirname(__FILE__); $includepath_style .= "/";
 @$rootpath = dirname($_SERVER['SCRIPT_NAME']); 
 
 @$imagedir = $rootpath."/images/";
 $counter   = 0;
 
 while(@$myobject = mysql_fetch_object($result))
 {
  @$filetitle 	   	= $myobject->filetitle;
  @$fileid		= $myobject->id;
  @$filename  	   	= $myobject->filename;
  @$filesize  	   	= $myobject->filesize;
  @$filedate 	   	= $myobject->entrydate;
  @$totaldownloads 	= $myobject->totaldownloads;
  @$fileshortdesc  	= $myobject->fileshortdesc;
  @$filelongdesc   	= $myobject->filelongdesc;

  $entry_hour   = strftime( "%H", $filedate);
  $entry_minute = strftime( "%M", $filedate);
  $entry_second = strftime( "%S", $filedate);
  $entry_day	= strftime( "%d", $filedate);
  $entry_month 	= strftime( "%m", $filedate);
  $entry_year 	= strftime( "%Y", $filedate);

  // include HTML-template file and execute php code inside of template file
  $template = "categorystyle.html";
  ob_start();
  @include($includepath_style."./categorytemplates/$template");
  $screen_content = ob_get_contents();
  ob_end_clean();

  // output downloadinformation to screen
  if ($return == 0) 
   print $screen_content;
  else 
  $output .= $screen_content;  
 }

 // show page navigation 
 $template = "browse.html";
 ob_start();
 @include($includepath_style."./categorytemplates/$template");
 $browse = ob_get_contents();
 ob_end_clean();
 
  if ($return == 0)
 	print $browse;
 else 
 	$output .= $browse;
 if ($return != 0)
 	return $output;
} 

?>