<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function convert_date_short($day, $month, $year, $datestyle)
{
 $converter_path = dirname(__FILE__); $converter_path .= "/";
 include ($converter_path."./../language/language.inc.php");

 // add zeros to day
 if ($day == "1") $day = "01";
 if ($day == "2") $day = "02";
 if ($day == "3") $day = "03";
 if ($day == "4") $day = "04";
 if ($day == "5") $day = "05";
 if ($day == "6") $day = "06";
 if ($day == "7") $day = "07";
 if ($day == "8") $day = "08";
 if ($day == "9") $day = "09";

 // add zeros to month
 if ($month == "1") $month = "01";
 if ($month == "2") $month = "02";
 if ($month == "3") $month = "03";
 if ($month == "4") $month = "04";
 if ($month == "5") $month = "05";
 if ($month == "6") $month = "06";
 if ($month == "7") $month = "07";
 if ($month == "8") $month = "08";
 if ($month == "9") $month = "09";
 
 if ($datestyle == 'AMERICAN')
  { $date_string = "$month/$day"; if ($year != 'NONE') $date_string .= "/$year";}
 else
  { $date_string = "$day.$month"; if ($year != 'NONE') $date_string .= ".$year";}
 
 return $date_string;
}

function convert_date($day, $month, $year, $datestyle)
{
 $converter_path = dirname(__FILE__); $converter_path .= "/";
 include ($converter_path."./../language/language.inc.php");

 if ($month == "1" || $month == "01") $monthlong = "January";
 if ($month == "2" || $month == "02") $monthlong = "February";
 if ($month == "3" || $month == "03") $monthlong = "March";
 if ($month == "4" || $month == "04") $monthlong = "April";
 if ($month == "5" || $month == "05") $monthlong = "May";
 if ($month == "6" || $month == "06") $monthlong = "June";
 if ($month == "7" || $month == "07") $monthlong = "July";
 if ($month == "8" || $month == "08") $monthlong = "August";
 if ($month == "9" || $month == "09") $monthlong = "September";
 if ($month == "10") $monthlong = "October";
 if ($month == "11") $monthlong = "November";
 if ($month == "12") $monthlong = "December";
 
 // remove zeros from day
 if ($day == "01") $day = "1";
 if ($day == "02") $day = "2";
 if ($day == "03") $day = "3";
 if ($day == "04") $day = "4";
 if ($day == "05") $day = "5";
 if ($day == "06") $day = "6";
 if ($day == "07") $day = "7";
 if ($day == "08") $day = "8";
 if ($day == "09") $day = "9";
 
 if ($day == "1" || $day == "21" || $day == "31") $day_prefix = "st";
  elseif ($day == "2" || $day == "22") $day_prefix = "nd";
  elseif ($day == "3" || $day == "23") $day_prefix = "rd";
  else $day_prefix = "th";
 
 // add zeros to day if style is not AMERCIAN
 if ($datestyle != 'AMERICAN')
 {
  if ($day == "1") $day = "01";
  if ($day == "2") $day = "02";
  if ($day == "3") $day = "03";
  if ($day == "4") $day = "04";
  if ($day == "5") $day = "05";
  if ($day == "6") $day = "06";
  if ($day == "7") $day = "07";
  if ($day == "8") $day = "08";
  if ($day == "9") $day = "09";
 }
 
  // convert date as it is used in english speaking countries. Use <SUP></SUP> to format the $day_prefix look
 if ($datestyle == 'AMERICAN')
  { $date_string = $lang['DateTime']["$monthlong"]." ".$day."".$day_prefix; if ($year != "") $date_string .= " ".$year;}
 else
  { $date_string = $day.". ".$lang['DateTime']["$monthlong"]; if ($year != "") $date_string .= " ".$year;}


 // return date-string
 return $date_string;	
}                 
?>