<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

class visitor_data
{
 function get_visitor_data($gethostname = 'FALSE', $my_tables, $my_timestamp, $websitename, $get_all_data='TRUE')
 {
  $includepath = dirname(__FILE__); $includepath .= "/";
  include_once($includepath."./getsystem.inc.php");
  include_once($includepath."./getcountry.inc.php");	
  include_once($includepath."./gethostname.inc.php");	
  include_once($includepath."./gettld.inc.php");
  
  // set global variables
  global $my_db, $my_conn;

  ##############################################################################################################
  ## step #1: check if proxy is used by visitor
  ##############################################################################################################
  if ($_SERVER['HTTP_VIA'])
  {
   $http_array = array('HTTP_CLIENT_IP','HTTP_X_FORWARDED_FOR', 'HTTP_X_COMING_FROM','HTTP_X_FORWARDED',
  		       'HTTP_FORWARDED_FOR','HTTP_FORWARDED','HTTP_COMING_FROM','HTTP_PROXY','HTTP_SP_HOST');

   // run through array and check which HTTP to use
   foreach($http_array AS $check) 
   {
    if(!empty($_SERVER[$check])) {$use_http = $check; break; }
   }   
   
   // check if visitor uses a transparent or anonymous proxy
   if ($use_http == 'HTTP_FORWARDED_FOR' || $use_http == 'HTTP_X_FORWARDED_FOR') $visitor_proxy = "Transparent";
    else $visitor_proxy = 'Anonymous';
  
   // get proxy data and real visitor IP/hostname
   $ereg_result = ereg ("^([0-9]{1,3}\.){3,3}[0-9]{1,3}", $_SERVER['$use_http'], $container);
   if ($ereg_result && count($container) > 0 ) $visitor_ip = $container[0];	
    else $visitor_ip = $_SERVER['REMOTE_ADDR'];
   
   // retrieve hostname if retrieval is activated -> if not, set hostname = IP
   if ($gethostname == 'TRUE' && $get_all_data == 'TRUE')				  		// real visitor IP
   {
    @$visitor_hostname   = gethostbyaddr($container[0]);  		// real visitor hostname 	
    $visitor_proxy      .= '#';
    @$visitor_proxy	.= gethostbyaddr($_SERVER['REMOTE_ADDR']);	// proxy hostname
    $visitor_proxy      .= '#';
    $visitor_proxy      .= $use_http;
   }
   else
   {
    $visitor_hostname 	 =  $visitor_ip;
    $visitor_proxy     .= '#';
    $visitor_proxy	.= $_SERVER['REMOTE_ADDR'];			// proxy IP
    $visitor_proxy     .= '#';
    $visitor_proxy     .= $use_http;    
   }
  }
  
  // no proxy used
  else
  {
   $visitor_proxy = 'None';
   $visitor_ip    = $_SERVER['REMOTE_ADDR'];
   
   // retrieve hostname if retrieval is activated -> if not, set hostname = IP
   if ($gethostname == 'TRUE' && $get_all_data == 'TRUE')
    @$visitor_hostname = gethostbyaddr($_SERVER['REMOTE_ADDR']);
   else $visitor_hostname =  $visitor_ip;
  } 
 
  // final hostname/IP-check
  if (empty($visitor_hostname)) $visitor_hostname = $visitor_ip;

  ##############################################################################################################
  ## step #2: get clean hostname and tld -> only if required
  ##############################################################################################################
  if ($gethostname == 'TRUE'  && $get_all_data == 'TRUE')
  {
   // get cleaned up hostname and tld
   $visitor_hostnameshort = getcleanhostname($visitor_hostname);
   $visitor_tld	  	 = getcleantld($visitor_hostname);
  }
  else
  { 
   $clean_hostname = $visitor_ip; $clean_tld = '';
  }

  
  ##############################################################################################################
  ## step #3: detect browser language -> only if required!
  ##############################################################################################################
  if ($get_all_data == 'TRUE')
  {
   $languages = explode(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);
   if(count($languages) > 0)
   {
    foreach ($languages AS $key)
    {
     $temp_language = explode('-', $key);
     $visitor_language = $temp_language[0];
     break;
    }
   }
   
   // check language again
   if (eregi(';', $visitor_language))
   {
    $temp_language    = explode(';', $visitor_language);
    $visitor_language = $temp_language[0];
   }

   // make language lower-case
   $visitor_language = strtolower($visitor_language);
 
   if (empty($visitor_language) || eregi('[0-9]', $visitor_language))
    $visitor_language = 'Unknown';
  }

  ##############################################################################################################
  ## step #4: detect country visitor is coming from -> only if required
  ##############################################################################################################
  if ($get_all_data == 'TRUE')
  {
   $sql = "SELECT SQL_CACHE country_code2 FROM $my_tables->nationstable WHERE IP_FROM <= INET_ATON('$visitor_ip') AND IP_TO >= INET_ATON('$visitor_ip') LIMIT 0,1";
   $result = $my_db->query($sql);  
   @$visitor_countrytoken	= strtolower(mysql_result($result,0,0));
   if (empty($visitor_countrytoken))
   {
    $sql 			 = "SELECT country_code2 FROM $my_tables->nationstable WHERE IP_FROM <= INET_ATON('$visitor_ip') AND IP_TO >= INET_ATON('$visitor_ip') LIMIT 0,1";
    @$result = $my_db->query($sql);
    @$visitor_countrytoken = strtolower(mysql_result($result,0,0));
   }	  
   $visitor_country 	= getcountry($visitor_countrytoken);
  }
  
  ##############################################################################################################
  ## step #5: set some variables
  ##############################################################################################################
  $visitor_referertype  	= 'Direct Access';
  
  ##############################################################################################################
  ## step #6: get browserstamp -> only if required
  ##############################################################################################################
  if ($get_all_data == 'TRUE') $visitor_browserstamp = $_SERVER['HTTP_USER_AGENT']; 
 
  ##############################################################################################################
  ## step #7: get referer
  ##############################################################################################################
  if ($_SERVER['HTTP_REFERER'] != '' && $get_all_data == 'TRUE')
  {
   $visitor_refererpage   = $_SERVER['HTTP_REFERER'];
   preg_match('!^(([^:/?#]+):)?(//([^/:?#]*)(:(\d+))?)?([^?#]*)(\\?([^#]*))?(#(.*))?!',$visitor_refererpage, $matches);
   list(,,$url['scheme'],,$url['host'],,$url['port'],$url['path'],,$url['query'])= $matches; 
   $visitor_refererdomain = $url['host'];  // referers host name 
   if ($visitor_refererpage != '') 
   {
    $visitor_referertype  = 'Link'; 
    $http_stuff 		 = substr($visitor_refererpage , 0, 5); 
    if ($http_stuff != 'http:') $visitor_refererpage = 'http://'.$visitor_refererpage;

    // get referer-country
    @$visitor_refererip 	= gethostbyname($visitor_refererdomain);
    $sql 			= "SELECT SQL_CACHE country_code2 FROM $my_tables->nationstable WHERE IP_FROM <= INET_ATON('$visitor_refererip') AND IP_TO >= INET_ATON('$visitor_refererip') LIMIT 0,1";
    @$result = $my_db->query($sql); 
    @$visitor_referertoken	= strtolower(mysql_result($result,0,0)); @$my_db->free_result($result);
    if (empty($visitor_referertoken))
    {
     $sql 			= "SELECT country_code2 FROM $my_tables->nationstable WHERE IP_FROM <= INET_ATON('$visitor_refererip') AND IP_TO >= INET_ATON('$visitor_refererip') LIMIT 0,1";
     @$result = $my_db->query($sql); 
     @$visitor_referertoken	= strtolower(mysql_result($result,0,0)); @$my_db->free_result($result);
    } 
    $visitor_referercountry 	= $visitor_referertoken;
   }
  }
  
  ##############################################################################################################
  ## step #8: get system and browser-type -> only if required!
  ##############################################################################################################
  if ($get_all_data == 'TRUE')
  {  
   $visitor_system  	 	= detectsystem ($visitor_browserstamp); // call detection function
   $browserinfo 	 		= detectbrowser($visitor_browserstamp); // call detection function
   $visitor_browsername  		= $browserinfo['brand'];
   $visitor_browserversion 	= $browserinfo['version'];

   if ($visitor_browsername != 'Unknown'){
    $visitor_browserfull = $browserinfo['brand'].' '.$browserinfo['version'];}
   else { $visitor_browserfull = 'Unknown';}

   $visitor_browsertype = $browserinfo['type']; 
   if ($visitor_browsertype == 'Browser') $visitor_browsertype = 'HUMAN';

   $visitor_spidername  = '';
   $visitor_browserinfo = '';
 
   if ($gethostname == 'TRUE') $hostnameresolved = 'TRUE'; else $hostnameresolved = 'FALSE';
  }  
 
  ##############################################################################################################
  ## step #9: take care of empty entries
  ##############################################################################################################
  if (empty($visitor_ip)) 		$visitor_ip 		= 'Unknown';
  if (empty($visitor_hostname)) 	$visitor_hostname 	= 'Unknown';
  if (empty($visitor_hostnameshort)) 	$visitor_hostnameshort 	= 'Unknown';
  if (empty($visitor_tld)) 		$visitor_tld 		= 'Unknown';
  if (empty($visitor_proxy)) 		$visitor_proxy 		= 'Unknown';
  if (empty($visitor_language)) 	$visitor_language 	= 'Unknown';
  if (empty($visitor_countrytoken)) 	$visitor_countrytoken 	= 'Unknown';
  if (empty($visitor_country)) 		$visitor_country 	= 'Unknown';
  if (empty($visitor_browserstamp)) 	$visitor_browserstamp 	= 'Unknown';
  if (empty($visitor_refererdomain)) 	$visitor_refererdomain 	= 'None';
  if (empty($visitor_refererpage)) 	$visitor_refererpage 	= 'None';
  if (empty($visitor_referercountry)) 	$visitor_referercountry = 'Unknown';
  if (empty($visitor_referertype)) 	$visitor_referertype 	= 'Direct Access';
  if (empty($visitor_requestedpage)) 	$visitor_requestedpage 	= 'Unknown';
  if (empty($visitor_browsertype)) 	$visitor_browsertype 	= 'Unknown';
  if (empty($visitor_browserinfo)) 	$visitor_browserinfo 	= 'Unknown';
  if (empty($visitor_browserfull)) 	$visitor_browserfull 	= 'Unknown';
  if (empty($visitor_browsername)) 	$visitor_browsername 	= 'Unknown';
  if (empty($visitor_browserversion)) 	$visitor_browserversion = 'Unknown';
  if (empty($visitor_system)) 		$visitor_system 	= 'Unknown';
  if (empty($visitor_spidername)) 	$visitor_spidername 	= 'None';
  
 
  ##############################################################################################################
  ## step #10: create final data-array
  ##############################################################################################################
  $visitor_data['visitor_id']   	  = $_COOKIE['bsuniquevid'];
  $visitor_data['visitor_ip']   	  = $visitor_ip;
  $visitor_data['visitor_hostname'] 	  = $visitor_hostname;
  $visitor_data['visitor_hostnameshort']  = $visitor_hostnameshort;
  $visitor_data['visitor_tld'] 	 	  = $visitor_tld;
  $visitor_data['visitor_proxy']	  = $visitor_proxy;
  $visitor_data['visitor_language']       = $visitor_language;
  $visitor_data['visitor_countrytoken']   = $visitor_countrytoken;
  $visitor_data['visitor_country']   	  = $visitor_country;
  $visitor_data['visitor_browserstamp']   = $visitor_browserstamp;
  $visitor_data['visitor_refererdomain']  = $visitor_refererdomain;
  $visitor_data['visitor_refererpage']    = $visitor_refererpage;
  $visitor_data['visitor_referertype']    = $visitor_referertype;
  $visitor_data['visitor_refererip']      = $visitor_refererip;
  $visitor_data['visitor_referercountry'] = $visitor_referercountry;
  $visitor_data['visitor_requestedpage']  = $visitor_requestedpage;
  $visitor_data['visitor_browsertype']    = $visitor_browsertype;
  $visitor_data['visitor_browserinfo']    = $visitor_browserinfo;
  $visitor_data['visitor_browserfull']    = $visitor_browserfull;
  $visitor_data['visitor_browsername']    = $visitor_browsername;
  $visitor_data['visitor_browserversion'] = $visitor_browserversion;
  $visitor_data['visitor_system'] 	  = $visitor_system;
  $visitor_data['visitor_spidername'] 	  = $visitor_spidername;     
  $visitor_data['hostnameresolved'] 	  = $hostnameresolved;     

  ##############################################################################################################
  ## step #11: make values available for class
  ##############################################################################################################
  foreach($visitor_data as $key => $value) {
   $this->{$key} = $value;}
 }
}
?>