CREATE TABLE `downloadmanagertable` (
  `id` int(11) NOT NULL auto_increment,
  `entrydate` datetime NOT NULL default '0000-00-00 00:00:00',
  `filetitle` varchar(120) NOT NULL default '',
  `filename` varchar(250) NOT NULL default '',
  `output_filename` varchar(150) default NULL,
  `filesize` float NOT NULL default '0',
  `filedir` varchar(250) NOT NULL default '',
  `fullfile` varchar(250) NOT NULL default '',
  `location` enum('INTERNAL','EXTERNAL') NOT NULL default 'INTERNAL',
  `category` varchar(100) NOT NULL default '',
  `fileshortdesc` varchar(100) NOT NULL default '',
  `filelongdesc` mediumtext NOT NULL,
  `totaldownloads` int(11) NOT NULL default '0',
  `lastdownload` datetime NOT NULL default '0000-00-00 00:00:00',
  `lastdownloadid` varchar(60) NOT NULL default '',
  `lastdownloadip` varchar(20) NOT NULL default '',
  `rating` tinyint(4) NOT NULL default '0',
  `websitename` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `filetitle` (`filetitle`),
  KEY `filename` (`filename`),
  KEY `websitename` (`websitename`)
) TYPE=MyISAM;