CREATE TABLE `websitestable` (
  `id` int(11) NOT NULL auto_increment,
  `websitecreated` datetime NOT NULL default '0000-00-00 00:00:00',
  `logging_activated` enum('TRUE','FALSE') NOT NULL default 'TRUE',
  `websitename` varchar(140) NOT NULL default '',
  `accountid` mediumint(9) NOT NULL default '0',
  `totalvisits` int(11) NOT NULL default '0',
  `uniquevisits` int(11) NOT NULL default '0',
  `reloadblocking` mediumint(9) NOT NULL default '30',
  `uniqueblocking` mediumint(9) NOT NULL default '0',
  `visitorsperpage` tinyint(4) NOT NULL default '15',
  `visitortimeout` tinyint(4) NOT NULL default '5',
  `visitortracking` enum('TRUE','FALSE') default 'TRUE',
  `blacklist` mediumtext,
  `blacklist_active` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `emaillist` mediumtext,
  `emaillist_active` enum('TRUE','FALSE') default 'FALSE',
  `emailtype` varchar(5) default 'HTML',
  `emailsendmode` enum('DAILY','BYHIT') default 'BYHIT',
  `emailtrigger` int(11) NOT NULL default '0',
  `emailtimesystem` enum('EUROPEAN','AMERICAN') NOT NULL default 'EUROPEAN',
  `lastnotifydate` datetime NOT NULL default '0000-00-00 00:00:00',
  `lastnotifyhits` int(11) NOT NULL default '0',
  `emailsent` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `showvisitors` enum('UNIQUE','ALL') default 'ALL',
  `showentries` tinyint(4) NOT NULL default '0',
  `traceserver` varchar(140) NOT NULL default '',
  `tracedir` varchar(140) NOT NULL default '',
  `traceroute_type` enum('INTERNAL','EXTERNAL') NOT NULL default 'EXTERNAL',
  `timeshift` tinyint(4) NOT NULL default '0',
  `hourofnotify` varchar(5) default '23:55',
  `downloaddomains` mediumtext,
  `downloadmonitor` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `downloadstart` varchar(5) NOT NULL default '00:00',
  `downloadend` varchar(5) NOT NULL default '00:00',
  `downloaderrorpage` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `downloadprotocol` enum('TRUE','FALSE') NOT NULL default 'TRUE',
  `showrobotspider` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `enhancedlogging` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `gethostname` enum('TRUE','FALSE') NOT NULL default 'TRUE',
  `cpm` decimal(10,2) NOT NULL default '0.00',
  `urltype` enum('STANDARD','SAFE') NOT NULL default 'STANDARD',
  `pagedeleteinterval` smallint(6) NOT NULL default '7',
  `indexpage` varchar(200) NOT NULL default '',
  `indexdynamicname` varchar(80) NOT NULL default '',
  `mediatracker` enum('ACTIVE','INACTIVE') NOT NULL default 'INACTIVE',
  PRIMARY KEY  (`id`),
  KEY `websitename` (`websitename`)
) TYPE=MyISAM;