<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// -----------------------------------------
// CONTENT: German language-file
// -----------------------------------------


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// set currency here
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Currency'] 	 = "US$";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// standard terms
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Traffic_Analysis']   = "Traffic analysis";
$lang['Visitor_Analysis']   = "Visitor analysis";
$lang['Content_Analysis']   = "Content analysis";
$lang['Marketing_Analysis'] = "Marketing analysis";

$lang['Visitor_Forecast']   = "Visitor forecast";
$lang['Forecast_Today']	    = "Forecast for today";
$lang['Diff_To_Yesterday']  = "Difference to yesterday";
$lang['Three_Day_Trend']    = "Three-day trend";
$lang['Seven_Day_Trend']    = "Seven-day trend";
$lang['Long_Term_Trend']    = "Longterm trend";
$lang['Short_Term_Trend']   = "Shortterm trend";
$lang['Trend_To_Yesterday'] = "Trend to yesterday";
$lang['Unchanged']	    = "Unchanged";
$lang['Daily_Trend']	    = "Daily trend";
$lang['On_Course']	    = "Constant";
$lang['Slightly_Falling']   = "Slightly falling";
$lang['Slightly_Rising']    = "Slightly rising";
$lang['Falling']	    = "Falling";
$lang['Rising']		    = "Rising";
$lang['Strongly_Falling']   = "Heavily falling";
$lang['Strongly_Rising']    = "Heavily rising";
$lang['Extremely_Falling']  = "Extremely falling";
$lang['Extremely_Rising']   = "Extremely rising";		

$lang['Username']	    = "Username";
$lang['Password']	    = "Password";
$lang['Login_To_System']    = "Login to system";
$lang['Delete_Fields']	    = "Delete fields";
$lang['Remember_Login']	    = "Remember me";
$lang['Show_All_Data']	    = "Show all data";
$lang['Show_Bar_Chart']	    = "Show bar chart";
$lang['Show_Line_Chart']    = "Show line chart";

$lang['Visitor'] 	    = "Visitor";
$lang['Visitors'] 	    = "Visitors";
$lang['Date'] 		    = "Date";
$lang['Referer'] 	    = "Referer";
$lang['Hostname'] 	    = "Hostname";
$lang['Hostnames']     	    = "Hostnames";
$lang['Pages'] 		    = "Pages";
$lang['Page'] 		    = "Page";
$lang['Proxy'] 		    = "Proxy";
$lang['Directly']	    = "Directly";
$lang['Bot'] 		    = "Bot";
$lang['Spam_Bot'] 	    = "Spam Bot";
$lang['Bots']		    = "Bots";
$lang['Bot']		    = "Bot";
$lang['Data_Recall'] 	    = "Data retrieved in";
$lang['Percent']	    = "Percent";
$lang['Quantity']	    = "Number";

$lang['Kilobyte']	    = "KByte";
$lang['Megabyte']	    = "MByte";

$lang['For']		    = "for";

$lang['O_Clock'] 	    = "O'Cl.";
$lang['Minute_Short'] 	    = "Min.";
$lang['Day']		    = "Day";
$lang['Days']		    = "Days";
$lang['Hour'] 		    = "Hour";
$lang['Hours'] 		    = "Hours";
$lang['Minute'] 	    = "Minute";
$lang['Minutes'] 	    = "Minutes";
$lang['Second'] 	    = "Second";
$lang['Seconds'] 	    = "seconds";
$lang['Time_Of_Visit']	    = "Time of visit";
$lang['Month']		    = "Month";

$lang['System'] 	    = "System";
$lang['Browser'] 	    = "Browser";
$lang['Resolution'] 	    = "Resolution";
$lang['Colordepth'] 	    = "Colordepth";
$lang['Bit']		    = "Bit";
$lang['Pixel']		    = "Pixel";
$lang['Plugin'] 	    = "Plugin";
$lang['Plugins'] 	    = "Plugins";
$lang['Cookies'] 	    = "Cookies";
$lang['Connection'] 	    = "Connection";

$lang['Unknown']	    = "Unknown";
$lang['Webpage']	    = "Webpage";

$lang['Options'] 	    = "Options";
$lang['Options_2'] 	    = "Options:";
$lang['Reload'] 	    = "Reload";
$lang['Reload_Page'] 	    = "Reload page";

$lang['Today'] 		    = "Today";
$lang['Tomorrow']   	    = "Tomorrow";
$lang['Yesterday'] 	    = "Yesterday";
$lang['Now'] 		    = "Now";
$lang['This_Month'] 	    = "This month";
$lang['This_Year'] 	    = "This year";

$lang['Visitors_Today']     = "Visitors today";
$lang['Visitors_Yesterday'] = "Visitors yesterday";
$lang['Compared_Yesterday'] = "Difference to yesterday";

$lang['From']		    = "From";
$lang['To']		    = "To";

$lang['Visits'] 	    = "Visits";
$lang['Visits_Per_Day']	    = "Vists per day";
$lang['Number_Of_Visits']   = "Number of visits";
$lang['Unique'] 	    = "Unique";
$lang['Unique_Visit'] 	    = "Unique visit";
$lang['Unique_Visits'] 	    = "Unique visits";
$lang['Total'] 		    = "Total";
$lang['Total_Number'] 	    = "Total number";
$lang['Visitor_Number']     = "Total visitors";
$lang['Unique_Of']	    = "Therefrom unique";

$lang['Lateral_Entry']	    = "Lateral entries";
$lang['Entry_Page']	    = "Entry page";
$lang['Impressions'] 	    = "Impressions";
$lang['Transfer'] 	    = "Transfer";
$lang['Transfered_Data']    = "Transfered data";
$lang['Downloads'] 	    = "Downloads";

$lang['Language'] 	    = "Language";
$lang['Languages'] 	    = "Languages";

$lang['Conversion_Rate']    = "Conversion Rate";
$lang['Time_System']	    = "Time-System";

$lang['Email'] 		    = "E-Mail";
$lang['Poster'] 	    = "Poster";
$lang['Author'] 	    = "Author";
$lang['Time'] 		    = "Time";
$lang['Hours'] 		    = "hours";
$lang['Message'] 	    = "Message";
$lang['Go'] 		    = "Go";
$lang['Jump_to'] 	    = "Goto";
$lang['Submit'] 	    = "Submit";
$lang['Reset'] 		    = "Reset";
$lang['Cancel'] 	    = "Cancel";
$lang['Proceed']	    = "Proceed";
$lang['Preview'] 	    = "Preview"; 
$lang['Confirm'] 	    = "confirm"; 
$lang['Refresh']	    = "Refresh";
$lang['Yes'] 		    = "Yes";
$lang['No'] 		    = "No";
$lang['Enabled'] 	    = "Enabled";
$lang['Disabled'] 	    = "Disabled";
$lang['Error'] 		    = "Error";
$lang['Next'] 		    = "Next";
$lang['Previous'] 	    = "Previous";
$lang['Goto_page'] 	    = "Goto page";
$lang['Joined'] 	    = "Joined";
$lang['IP_Address'] 	    = "IP-address";

$lang['Referer_Domain']	    = "Referer-Domain";
$lang['Referer_Page']	    = "Referer-Page";

$lang['Save']		    = "Save";
$lang['Save_Changes']	    = "Save changes";
$lang['Open_This_Page']     = "Open this page";
$lang['Option']		    = "Option";

$lang['Overview_For']	    = "Overview for";

$lang['Guest_Modus']	    = "Guest-Mode";
$lang['Enter_Searchphrase'] = "Enter searchphrase";

$lang['Demonstration_Modus']= "Demonstration-Mode";
$lang['Administrator_Modus']= "Administrator-Mode";
$lang['Webmaster_Modus']    = "Webmaster-Mode";

$lang['Verified_Visitors']  = "Verified visitors";
$lang['Quicklink']	    = "Quicklink:";

$lang['Website_Statistics_For'] = "Website statistics for"; 
$lang['Database_Connection']	= "Database connection";
$lang['Normal']			= "Normal";
$lang['Persistent']		= "Persistent";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// option fields found on various pages
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Search'] 	   = "Search";
$lang['Start']		   = "Start";
$lang['End']		   = "End";
$lang['Entries'] 	   = "Entries";
$lang['Entry']		   = "Entry";
$lang['Show_Entries']	   = "Show entries";
$lang['Show_Entries_From'] = "Show entries from";
$lang['Print']		   = "Print";
$lang['Diagram']	   = "Diagram";
$lang['Limit']		   = "Limit";
$lang['Printerfriendly']   = "Printerfriendly view";
$lang['Display_Diagram']   = "Display diagram";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// linktext for mainframe
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Home_Linktext'] 		= "Website Analytics, Visitor Tracking, Counter and Statistics";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// overview.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['IP_Or_Hostname']	        = "Search IP/Hostname";
$lang['Limitize_Range']		= "Limit display";
$lang['Overview'] 		= "Overview";
$lang['Dayreport']		= "Daylyreport";

$lang['Anonymous']		= "Anonymous";
$lang['Transparent']		= "Transparent";
$lang['Direct']			= "Direct";
$lang['No_Proxy']		= "No Proxy";
$lang['Without']		= "Without";
$lang['Direct_Access']		= "Direct access";
$lang['Proxy_IP']		= "Proxy-IP";

$lang['Strongest_Hour'] 	= "Strongest hour";
$lang['Weakest_Hour'] 		= "Weakest hour";
$lang['Strongest_Day'] 		= "Strongest day";
$lang['Weakest_day'] 		= "Weakest day";

$lang['Show_Data_Today']	= "Show data for today";
$lang['Show_Data_Yesterday']	= "Show data for yesterday";

$lang['Visitor_Data_Today'] 	= "Visitor-data for today";
$lang['Visitor_Data_Yesterday'] = "Visitor-data for yesterday";
$lang['Visitor_Data_Month'] 	= "Visitor-data for this month";
$lang['Visitor_Behaviour_Today']= "Todays visitor behaviour";

$lang['Snapshot'] 		= "Snapshot";
$lang['Top_Visitor_Times'] 	= "Top visitor-times";
$lang['Visitor_Data_Forecast']	= "Predicted number of visitors";
$lang['Visitor_Data_Average']	= "Average number of visitors";
$lang['Website_Promotion'] 	= "Advertising value (CPT)";
$lang['Cost_Per_Mille'] 	= "Cost per thousand (CPT)";
$lang['Visitor_Online'] 	= "Visitors online";
$lang['Bot_Visits'] 		= "Bot-visits";

$lang['Visitors_Per_Hour']	= "Visitors/Hour";
$lang['Visitors_Per_Day'] 	= "Visitors/Day";
$lang['Visitors_Per_Month']	= "Visitors/Month";
$lang['Visitors_Per_Year']	= "Visitors/Year";

$lang['Successfull']		= "Successfull";
$lang['Failed']			= "Failed";

$lang['Impressions_Per_Visitor']	= "Impressions/Visitor";
$lang['Transfer_Per_Visitor'] 		= "Transfer/Visitor";
$lang['Retentionperiod_Per_Visitor'] 	= "Time spent/Visitor";
$lang['Downloads_Per_Visitor']		= "Downloads/Visitor";
$lang['Viewtime_Per_Visitor'] 		= "Viewtime/Visitor";
$lang['Viewtime_Per_Page'] 		= "Viewtime/Page";
$lang['Overview_Of_Last'] 		= "Overview of the last";
$lang['Since_Begin_Of_Count']		= "Since begin";

$lang['Impressions_By_Daytime']	= "Impressions by daytime";
$lang['Visitors_By_Daytime']	= "Visitors by daytime";

$lang['Show_Older_Data']	= "Show older data";
$lang['Show_Newer_Data']	= "Show newer data";
$lang['To_First_Entry']		= "To first entry";
$lang['To_Last_Entry']		= "To last entry";
$lang['Show_Visitortracking']   = "Show visitor-tracking";
$lang['Show_Whois']		= "WHOIS-request for this visitor";
$lang['Whois_Request']		= "WHOIS-request";
$lang['Delete_This_Visitor']	= "Delete this visitor";
$lang['Show_Traceroute']	= "Traceroute-request for this visitor";

$lang['Delete_Selected']	= "Delete selected visitors";
$lang['Block_Selected']		= "Copy selected visitors to blacklist";

$lang['Last_Visitor']		= "Last visitor";
$lang['Limit_Daterange']	= "Limit timeframe";

$lang['Browserstamp']		= "Browserstamp";
$lang['Show_Browserstamp']   	= "Show browserstamp";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// codewizardphp
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Codewizard']	= "Code-Wizard";
$lang['PHP_Code']		= "PHP-Code";
$lang['Javascript_Code']	= "Javascript-Code";
$lang['Use_Standard_Code']	= "Use standard code";
$lang['Use_Advanced_Settings']	= "Use advanced settings";
$lang['Logit_Options']		= "Logit() options";
$lang['Trackit_Options']	= "Trackit() options";
$lang['Advanced_Settings']	= "Advanced settings";
$lang['Logit_Once_Option']	= "\"Once\"-Option: Count a visitor every XY minutes. Please enter minute-value here:";
$lang['Trackit_Once_Option']	= "\"Once\"-Option: Count a pageview every XY minutes. Please enter minute-value here:";
$lang['Dynamic_Tracking']	= "Define pagename:";
$lang['Standard_Tracking']	= "Save original pagename";
$lang['Generate_Code']		= "Generate code";
$lang['Tracking_Code']		= "Tracking-Code:";
$lang['Standard_Code']		= "Standard-Code:";
$lang['Robot_Code']		= "Robot-Code:";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// network.inc.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Status']			= "Status";
$lang['Connecting_To_Server']	= "Connecting to server";
$lang['Couldnt_Connect']	= "Could not connect to server";
$lang['No_Whois_Data_Found']	= "No WHOIS-data was found";
$lang['Whois_For_IP']		= "WHOIS for IP";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// showvisit.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Java']			= "Java";
$lang['Cookies']		= "Cookies";
$lang['Mediaplayer']		= "Mediaplayer";
$lang['Flash']			= "Flash";
$lang['Shockwave']		= "Shockwave";
$lang['Realplayer']		= "Realplayer";
$lang['Quicktime']		= "Quicktime";
$lang['SVG_Viewer']		= "SVG Viewer";
$lang['Acrobat_Reader']		= "Acrobat Reader";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// hosts.php, countries.php, system.php, browser.php, browserplugins.php, refererbycountry.php, searchwords.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Country']		= "Country";
$lang['Countries']		= "Countries";
$lang['Flag']			= "Flag";
$lang['Operating_System']	= "Operating system";
$lang['Systems_By_Type']	= "Operating systems by type";
$lang['Systems_By_Version']	= "Operating systems by version";
$lang['Operating_Systems']	= "Operating systems";
$lang['Browser_PlugIns']	= "Browser-PlugIns";
$lang['Browser_PlugIn']		= "Browser-PlugIn";
$lang['Not_Available']		= "Not available";
$lang['Short_Form']		= "Short form";
$lang['Browser_By_Version']	= "Browser by version";
$lang['Browser_By_Type']	= "Browser by type";
$lang['Browser']		= "Browser";
$lang['OS_By_Version']		= "Operating systems by version";
$lang['OS_By_Type']		= "Operating systems by type";
$lang['Referer_By_Country']	= "Referer by country";
$lang['Referer_By_Domain']	= "Referer by domain";
$lang['Referer_By_Webpage']	= "Referer by webpage";
$lang['search engines']		= "search engines";
$lang['search engine']		= "search engine";
$lang['Searchwords']		= "Searchwords";
$lang['Searchword']		= "Searchword";
$lang['Show_Details']		= "Show details";
$lang['Searchphrase']		= "Searchphrase";
$lang['Searchphrases']		= "Searchphrases";
$lang['Chosen_Report']		= "Chosen report";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// page-printing
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Chosen_Timeframe']	= "Chosen timeframe";
$lang['Date_Of_Print']		= "Date of print";
$lang['Report_Date_Of_Creation']= "Date of report creation";
$lang['Print_Title']		= "binary:STAT - Report";
$lang['Report']			= "Report";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// monitorresolution.php, monitorcolordepth.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Screen_Resolution']	= "Screen resolution";
$lang['Screen_Colordepth']	= "Screen colordepth";
$lang['Colors']			= "Colors";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// visitortracking.php, entrypage.php, exitpage.php, visitorsonline.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Most_Visited_Pages']	= "Most visited pages";
$lang['Entrypage']		= "Entry page";
$lang['Exitpage']		= "Exit page";
$lang['Entrypages']	        = "Entry pages";
$lang['Exitpages']	        = "Exit pages";
$lang['Visitors_Online']	= "Visitors online";
$lang['No_Visitors_On_Site']	= "There are no visitors online at this time";
$lang['Country_Origin']		= "Country of origin";
$lang['Current_Page']		= "Current page";
$lang['Visits_Today']		= "Visitors today";
$lang['Visits_Total']		= "Visitors total";
$lang['Visits_This_Month']	= "Visitors this month";
$lang['Visitor_IP']		= "Visitor-IP";
$lang['Last_Pagecall']		= "Last pagecall";
$lang['Impressions_Today']	= "Impressions/Today";
$lang['Order_By_Time']		= "By time";
$lang['Order_By_Visitors']	= "By visitors";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Login
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Please_Login'] 		= "Please login with your username and password";
$lang['Login'] 			= "Login";
$lang['Logout'] 		= "Logout";
$lang['Forgotten_password'] 	= "I forgot my password";
$lang['Automatic_Login'] 	= "Login to system automatically";
$lang['Login_Not_Possible']	= "Login not possible";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// resolveips.php, changewebsite.php, databaseserver.php, databasebackup.php, completebackup.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Resolve_IPs']		= "Resolve IP-addresses";
$lang['Tab']['Change_Website']		= "Change website";
$lang['Tab']['Database_And_Server']	= "Database and server";
$lang['Tab']['Database_Server_Overview']= "Database and server-overview";
$lang['Tab']['Optimize_Database']	= "Optimize database";
$lang['Tab']['Export_Data']		= "Export data";
$lang['Tab']['Import_Data']		= "Import data";
$lang['Tab']['Complete_Backup']		= "Complete backup";

$lang['Database_Backup']		= "Database-backup";
$lang['Resolve_addresses_For']		= "Resolve addresses for";
$lang['Unresolved_IPs']			= "Unresolved IP-Addresses in database";
$lang['Change_Website']			= "Change website";
$lang['Current_Website']		= "Currently chosen website";
$lang['Select_New_Website']		= "Please select the website you would like to change to";
$lang['PHP_Version']			= "PHP-Version";
$lang['Server_Software']		= "Server-Software";
$lang['Mysql_Version']			= "mySQL-version";
$lang['Mysql_Databasename']		= "mySQL-databasename";
$lang['Mysql_Username']		        = "mySQL-username";
$lang['Mysql_Password']		        = "mySQL-password";
$lang['Database_Host']			= "Database-host";
$lang['Server_System']			= "Server-system";
$lang['Database_Totalsize']		= "Total size of database";
$lang['Maintable_Size']			= "Total size of main-datatable";
$lang['Trackintable_Size']		= "Total size of trackingtable";
$lang['Archivtable_Size']		= "Total size of archivetable";
$lang['Target_Table']			= "Target-table";
$lang['Import_Data']			= "Import data";
$lang['CSV_Error']			= "You may only use files with the ending *.csv or *.sql. Please make another selection!";
$lang['Please_Choose_File']		= "Please select the file you would like to import!";
$lang['Import_Result']			= "Result of the import";
$lang['Upload_Error']			= "The selected was not transfered to the server!";

$lang['Maintable']			= "Main-datatable";
$lang['Trackingtable']			= "Trackingtable";
$lang['Archivetable']			= "Archivetable";
$lang['Systemtable']			= "OS-table";
$lang['Browsertable']			= "Browsertable";
$lang['Visualtable']			= "Visualtable";
$lang['Hostnametable']			= "Hostnametable";
$lang['Proxytable']			= "Proxytable";
$lang['Referertable']			= "Referertable";
$lang['Downloadtable']			= "Downloadtable";
$lang['Spidertable']			= "Robot/Spider-table";
$lang['Revisittable']			= "Revisittable";
$lang['Speedtable']			= "Speedtable";
$lang['Plugintable']			= "Plugintable";
$lang['Downloadmanager_Data']		= "Downloads";
$lang['Account_Data']			= "Accounts";
$lang['Archive_Data']			= "Archive-data";
$lang['Transfer_Data']			= "Monthly datatransfer in detail";
$lang['Website_Data']			= "Websites";
$lang['Counter_Data']			= "Counter-values since begin";
$lang['Trackingmanager_Data']	        = "Tracking-Manager";
$lang['Visitor_Yearly_Data']		= "Yearly-visitors in detail";
$lang['Import_Error']			= "The import of the selected file has failed!";
$lang['Import_Wrong_File']		= "An invalid or broken file has been uploaded to the server!";
$lang['Import_Success']			= "The import of the selected file was successfull!";
$lang['Import_Failed']			= "Import failed";

$lang['Optimize_Database']		= "Optimize database";
$lang['Optimize_Database_For']		= "Optimize database for";
$lang['Saved_Space']			= "Saved space";
$lang['Size_Before_Optimization']	= "Database size before optimization";
$lang['Size_After_Optimization']	= "Database size after optimization";
$lang['GZIP_Compression']		= "GZIP-compression";
$lang['Import_Of_File']			= "Import of file";
$lang['Maximum_Filesize']		= "Maximum filesize";
$lang['Value_Set_By_PHP']		= "The maximum filesize is defined by the PHP-configuration.";
$lang['Type_Of_Data']			= "Type of data";

$lang['Totalsize']			= "Total size";
$lang['Index_Size']			= "Size of index";
$lang['Data_Size']			= "Size of data";
$lang['Backup_Size']			= "Total size of backup";
$lang['Initiate_Backup']		= "Initiate backup";

$lang['Click_For_Realtime']		= "Click for realtime";
$lang['Call_Status']			= "Check status";
$lang['Average']			= "Average";
$lang['In_Average']			= "In average";
$lang['Server_Load']			= "Server-Load";
$lang['Current_CPU_Load']		= "Current Server-CPU-Load";
$lang['CPU_Load']			= "CPU-Load";
$lang['Server_CPU_Load_Average']	= "Server-CPU-Load / Average";
$lang['Server_Uptime']			= "Server-Uptime";
$lang['RAM']				= "RAM";
$lang['CPU']				= "CPU";
$lang['Processes']			= "Processes";
$lang['CPU_Load_For']			= "CPU-Load for";
$lang['MYSQL_Uptime']			= "mySQL-Uptime";
$lang['Data_Sent_Received']		= "Date sent/received";
$lang['Total_Questions']		= "Total requests";
$lang['Threads_Running']		= "Active threads";
$lang['Threads_Connected']		= "Open threads";
$lang['Slow_Queries']			= "Slow queries";
$lang['Threads']			= "Threads";
$lang['Active']				= "Aktiv";
$lang['Connection_Attempts']		= "Connection attemps";
$lang['Connections_Failed']		= "Connection failures";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// exportdata.inc.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Export_Title']			= "binary:STAT mySQL-Dump";
$lang['Version']			= "Version";
$lang['Tablename']			= "Tablename";
$lang['Date_of_Creation'] 		= "Date of creation"; 
$lang['Database_Host']    		= "Database-Host"; 
$lang['Database']	    		= "Database";
$lang['Select_Table_For_Export']	= "Select table for export";
$lang['Select_Data_For_Export']		= "Select data for export";
$lang['Notice']				= "Notice";
$lang['Export']				= "Export";
$lang['Export_CSV_Format']		= "Export using CSV-format";
$lang['Export_SQL_Format']		= "Export using SQL-format";
$lang['Export_XLS_Format']		= "Export using XSL-format";
$lang['Export_This_Table']		= "Export this table";
$lang['Complete_Backup']		= "Make complete backup";
$lang['Database_Backup_For']		= "Database-backup for";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// setup.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Website_Setup'] 			= "Website Setup";
$lang['Configure_Website']		= "Configure website";
$lang['Configuration_For']		= "Configuration for";

$lang['Tab']['Countervalues']			= "Countervalues, blocking";
$lang['Tab']['Tracking_Resolving_Display']	= "Tracking, IP-resolving, visitors";
$lang['Tab']['Traceroute_Server']		= "Traceroute Server";
$lang['Tab']['Email_Notificiation']		= "Statistic-Email";
$lang['Tab']['Blacklist']			= "Blacklist";
$lang['Tab']['Download_Surveillance']		= "Downloadmonitor";
$lang['Tab']['Extras']				= "Extras";

$lang['Index_Dynamic_Name']		= "Dynamic indexpage name";
$lang['Add']				= "Add";
$lang['Name_Index_Page']		= "Real indexpage name";
$lang['Totalvisits_Since_Start']	= "Total visitors since begin";
$lang['Uniquevisits_Since_Start']	= "Unique visitors since begin";
$lang['Impressions_Since_Start']	= "Impressions since begin";
$lang['Downloads_Since_Start']		= "Downloads since begin";
$lang['Countervalues_Blocking_Etc']	= "Countervalues, blocking, display, etc.";
$lang['Uniqueblocking_Minutes']		= "Unique-blcoking in minutes";
$lang['Reloadblocking_Minutes']		= "Reload-blocking in minutes";
$lang['Visitortimeout_Minutes']		= "Visitor-timeout in minutes";
$lang['Pagesizetable_Deletion']	        = "Delete pagesize-table every";

$lang['Showmax_Visitors']		= "Number of visitors to display";
$lang['IP_Resolving_Activiated']	= "IP-resolving activated";
$lang['Visitortracking_Activated']	= "Visitor-tracking activated";
$lang['Enhancedlogging_Activated']	= "Enhanced logging activated";
$lang['Timeshift']			= "Timzone shift (+/-)";
$lang['Visitor_Display_Overview']	= "Number of visitors in overview";
$lang['Show_Which_Visitors']		= "Show what kind of visitors";
$lang['Show_Unique_Only']		= "Only unique visitors";
$lang['Show_All_Visitors']		= "All visitors";
$lang['Show_Robots_Spider']		= "Show robots/spiders";
$lang['Indexed_Pages']			= "Indexed pages";
$lang['Traceroute_Server']		= "Traceroute server";
$lang['Traceroute_Type']		= "Traceroute type";
$lang['Internal']			= "Internal";
$lang['External']			= "External";
$lang['Traceroute_Error']		= "Error: Could not execute traceroute-command!";
$lang['Server_Without_Http']		= "Server (without http://)";
$lang['Directory_Program']		= "Directory/programm";
$lang['Email_Notification']		= "Email and notification";
$lang['Email_List']			= "Email-list";
$lang['Email_Notificiation_Activated']	= "Email-notification activated";
$lang['HTML_Or_Text_Email']		= "HTML or text-email";
$lang['HTML']				= "HTML";
$lang['Text']				= "Text";
$lang['Notification_Every_24h']		= "Notification by time";
$lang['Notification_By_Hit'] 		= "Notification by number of visits";
$lang['Time']				= "Time";
$lang['Total_Visits']			= "Total visitors";
$lang['Blacklist_Visitorblocking']	= "Blacklist & Visitor-blocking";
$lang['IP_Domain_Blacklist']		= "IP/Domain-Blacklist";
$lang['Blacklist_Activated']		= "IP/Domain-Blacklist activated";
$lang['Download_Surveillance']		= "Download-surveillance";
$lang['Downloads_Allowed_From']		= "Downloads allowed";
$lang['Download_Surveillance_Activated']= "Download-surveillance activated";
$lang['Show_Protocol']			= "Show protocol";
$lang['Delete_Protocol']		= "Delete protocol";
$lang['Download_Protocol_For']		= "Download-procotol for";
$lang['Download_Protocol']		= "Download-protocol";
$lang['Protocol_Deleted']		= "The donwload-protocol was deleted!";
$lang['Show_Errorpage_On_Violation']	= "Show error-page on violation";
$lang['Journalize_Surveillance']	= "Journalize surveillance";
$lang['Download_Timewindow']		= "Download-timewindow";
$lang['Extras_For']			= "Extras for";
$lang['Logging_Activated']		= "Logging activated";
$lang['CPU_Calculation_Runs']		= "Number of CPU-load calculations";
$lang['Show_Number_Of_Entries']		= "Number of entries to show";
$lang['Binarystat_Activated']		= "binary:STAT activated";
$lang['Time_System']			= "Time-System";
$lang['Delayed_Resolving_Activated']	= "Delayed IP-resolving activated";
$lang['Trigger_For_Resolving']		= "Trigger for IP-resolving";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// loginerror.php, loginfirst.php, logoff.php, guestmodeoffline.php, demomodeoffline.php, webmastercookie.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Webmaster_Cookie']	= "Webmaster-Cookie";
$lang['System_Message']			= "System-Message";
$lang['Logged_Off']			= "Your are logged off";
$lang['Login_First']			= "Please log on to the system";
$lang['Guestmode_Offline']		= "Guest-Mode is offline";
$lang['Demomode_Offline']		= "Demonstration-Mode is offline";
$lang['No_Guest_Allowed']		= "Access to this area in guest-mode is denied";
$lang['Admin_Only']			= "Only the adminstrator is permitted to access this area";
$lang['To_Previous_Page']		= "Return to previous page";
$lang['Account_Inactive']		= "This user-account is inactive";
$lang['Webmaster_Cookie_For']		= "Webmaster-cookie for";
$lang['Webmaster_Cookie_Set']		= "Webmaster-cookie set";
$lang['Set_Webmaster_Cookie']		= "Set webmaster-cookie";
$lang['Delete_Webmaster_Cookie']	= "Delete webmaster-cookie";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// editaccount.php, editaccountgo.php, editaccountgo.php, deleteaccount.php, deleteaccountgo.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Edit_Account']	= "Edit user-account";
$lang['Tab']['Create_Account']	= "Create user-account";
$lang['Tab']['Delete_Account']	= "Delete user-account";
$lang['Tab']['Error_Message']	= "Error-message";
$lang['Tab']['Delete_Website']	= "Delete website";

$lang['Please_Enter_Username']  = "Please enter your username!";
$lang['Please_Enter_Password']  = "Please enter your password!";
$lang['Username_In_Use']	= "This username is already in user, please choose another name!";
$lang['Date_Display']    	= "Date-display";
$lang['European']		= "European";
$lang['American']		= "American";  
$lang['Page_0']			= "Page 0";
$lang['ID']			= "ID";
$lang['Last_Login']		= "last login";
$lang['User_Type']		= "User-type";
$lang['Account_Created']	= "Account created";
$lang['Account_Active']		= "Account active";
$lang['Click_To_Edit']		= "Click to edit";
$lang['Click_To_Delete']	= "Click to delete";
$lang['Browse_Entries']		= "Browse through entries";
$lang['Order_By_ID']		= "Order by ID";
$lang['Order_By_IP']		= "Order by IP-address";
$lang['Order_By_Name']		= "Order by name";
$lang['Order_By_Ref_Domain']	= "Order by referer-domain";
$lang['Order_By_Ref_Page']	= "Order by referer-page";
$lang['Order_By_Username']	= "Order by username";
$lang['Order_By_Last_Login']	= "Order by last login";
$lang['Order_By_Usertype']	= "Order by usertype";
$lang['Order_By_Creation']	= "Order by date of creation";
$lang['Search_For_Username']	= "Search for username";
$lang['Start_Search']		= "Start search";
$lang['Total_Accounts']		= "Total number of accounts";
$lang['Chosen_Username']	= "Selected username";
$lang['Account_ID']		= "Account-ID";
$lang['Account_Username']	= "Account-username";
$lang['Usertype']		= "Usertype";
$lang['Administrator']		= "Administrator";
$lang['Webmaster']		= "Webmaster";
$lang['Demonstration_Mode']	= "Demonstration-Mode";
$lang['Guest']			= "Guest";
$lang['Websites']		= "Websites";
$lang['Edit']			= "Edit";
$lang['Delete']			= "Delete";
$lang['Update_Userdata']	= "Edit userdata";
$lang['Add_Website']		= "Add website";
$lang['Newsite_In_Use']		= "The chosen websitename is already in use - please choose another name!";
$lang['Delete_Website']		= "Delete website";	
$lang['Websitename']		= "Websitename";
$lang['Database_Entries']	= "Datasets";		
$lang['Create_Account']		= "Create useraccount";
$lang['Password_Not_Set']	= "You must enter a password!";   
$lang['Affected_Datasets']	= "Affected datatsets";
$lang['Affected_Websites']	= "Affected websites";
$lang['Delete_Account']		= "Delete useraccount";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// editwebsite.php, deletewebsite.php, websiteoverview.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Edit_Website']	  = "Edit website";
$lang['Search_For_Website']	  = "Search for website";
$lang['Website_Created']	  = "Create website";
$lang['Total_Websites']		  = "Total number of websites";
$lang['Order_By_Entries']	  = "Order by entries";
$lang['Active']			  = "Active";
$lang['Order_By_Total_Visits']    = "Order by total-visits";
$lang['Order_By_Unique_Visits']   = "Order by unique-visits";
$lang['Order_By_Websitename']	  = "Order by websitenames";
$lang['Order_By_Status']	  = "Order by status";
$lang['Website_ID']		  = "Website-ID";
$lang['Website_Active']		  = "Website active";
$lang['Tab']['Delete_Website']    = "Delete website";
$lang['Tab']['Create_Website']    = "Create website";
$lang['Website_In_List']	  = "This website has already been assigend to the useraccount";
$lang['Please_Enter_Websitename'] = "Please enter a websitename!";
$lang['Websitename_In_Use']       = "This websitename is already in use, please choose another name!";
$lang['Tab']['Website_Overview']  = "Website-overview";
$lang['Maximum_Websites']	  = "The maximum number of administrable websites has been reached!";
$lang['Websites_Total']		  = "Number of websites";
$lang['Websites_Active']	  = "Active websites";
$lang['Websites_Inactive']	  = "Inactive websites";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// accountoverview.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Account_Overview']= "Account-overview";
$lang['Accounts_Total']		= "Total number of accounts";
$lang['Accounts_Active']	= "Active accounts";
$lang['Accounts_Inactive']	= "Inactive accounts";
$lang['Websites_Total']		= "Total number of websites";
$lang['Visitor_Entries']	= "Total number of entries";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// visitorsteps.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Account_Overview']= "Account-overview";
$lang['Visited_Webpages_At']	= "Visited webpages on";
$lang['Visited_Webpage']	= "Visited webpage";
$lang['Visited_Webpages_Today']	= "Webpages visited today";
$lang['Show_All_Pageviews']	= "Show all pageviews";
$lang['Time_Of_Visit']		= "Time of visit";
$lang['Time_Spent']		= "Time spent";
$lang['Total_Time']		= "Total time";
$lang['Visitor_Movement']	= "Visitor tracking";
$lang['None']			= "None";
$lang['No_Searchquery']		= "None";
$lang['ID_Available']		= "ID not available";
$lang['Download']		= "Download";
$lang['Download_Name']		= "Name of download";
$lang['Time_Of_Download']	= "Download-time";
$lang['Filesize']		= "Filesize";
$lang['Download_ID']		= "Download-ID";
$lang['Pagename_Unknown']	= "Unknown - Unable to retrieve pagename";
$lang['No_Downloads']		= "No downloads made";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// deletevisitor.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Delete_Visitor']	= "Delete visitor";
$lang['Delete_Visitor']	      	= "Delete visitor";
$lang['Database_ID']		= "Database-ID";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// setupaccount.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Tab']['Change_Account_Data'] = "Change account";
$lang['Change_Account_Data']	    = "Change account";
$lang['Repeat_Password']	    = "Repeat password";
$lang['Check_Password']		    = "Please verify your password!";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// loyality.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Loyality']  	= "Visitor-Loyality";
$lang['Loyality']	  	= "Loyality";
$lang['Loyality_Visits_Total']	= "Loyalitt - Total visits";
$lang['Loyality_Visits_Day']	= "Loyalitt - Visits per day";
$lang['First_Visit']		= "First visit";
$lang['From_2_To_5_Visits']	= "2 to 5 visits";
$lang['From_6_To_10_Visits']	= "6 to 10 visits";
$lang['From_11_To_15_Visits']	= "11 to 15 visits";
$lang['From_16_To_20_Visits']	= "16 to 20 visits";
$lang['From_21_To_30_Visits']	= "21 to 30 visits";
$lang['From_31_To_40_Visits']	= "31 to 40 visits";
$lang['From_41_To_50_Visits']	= "41 to 50 visits";
$lang['From_51_To_75_Visits']	= "51 to 75 visits";
$lang['100+']			= "100 or more visits";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// frequency.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Frequency']  	= "Visitor-Frequency";
$lang['Frequency']	  	= "Visitor-Frequency";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// monthreport.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Visitor_By_Day']  = "Visitors by day";
$lang['Visitors_By_Day']  	= "Visitors by day";
$lang['Impressions_By_Day']  	= "Impressions by day";
$lang['Transfer_By_Day']	= "Datatransfer by day";
$lang['Visitor_Details']	= "Visitor details";
$lang['Downloads_By_Day']	= "Downloads by day";
$lang['Monthreport_For']	= "Monthly report for:";
$lang['Monthreport']		= "Monthly report";
$lang['Shown_Month']		= "Shown month:";
$lang['Weakest_Day']		= "Weakest day";
$lang['Busiest_Day']		= "Strongest day";
$lang['Weakest_Weekday']	= "Weakest weekday";
$lang['Busiest_Weekday']	= "Strongest weekday";
$lang['Overview_Month_For']	= "Monthly overiew for";
$lang['Overview_Month']		= "Monthly overiew";
$lang['Daysofmonth_Detail']	= "Days of month in detail";
$lang['Visitors_By_Referer']	= "Via referer";
$lang['Visitors_By_Engine']	= "Via search engine";
$lang['Top_Language']		= "Top language";
$lang['Top_Country']		= "Top country";
$lang['Top_Hostname']		= "Top hostname";
$lang['Top_System']		= "Top system";
$lang['Top_Browser']		= "Top browser";
$lang['Top_Resolution']		= "Top resolution";
$lang['Top_Colordepth']		= "Top colordepth";
$lang['Not_Available']		= "Not available";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// yearreport.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Visitors_By_Month']  = "Visitors by month";
$lang['Visitors_By_Month']  	   = "Visitors by month";
$lang['Yearreport_For']		   = "Yearly report for:";
$lang['Busiest_Month']		   = "Strongest month";
$lang['Weakest_Month']		   = "Weakest month";
$lang['Yearreport']		   = "Yearly report";
$lang['Choose_Year'] 		   = "Please choose year to be displayed";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// weekreport.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Visitor_By_Weekday']  = "Visitors by weekday";
$lang['Visitors_By_Weekday']  	    = "Visitors by weekday";
$lang['Weekreport_For']		    = "Weekly report for:";
$lang['Weekreport']		    = "Weekly report";
$lang['Impressions_By_Weekday']     = "Impressions by weekday";
$lang['Impressions_Per_Week']       = "Impressions/Week";
$lang['Impressions_Per_Day']        = "Impressions/Day";
$lang['Downloads_Per_Week']	    = "Downloads/Week";
$lang['Downloads_Per_Day']	    = "Downloads/Day";
$lang['Transfer_Per_Week']	    = "Transfer/Week";
$lang['Transfer_Per_Day']	    = "Transfer/Day";
$lang['Lateral_Entry_Week']	    = "Lateral entries/Week";
$lang['Visitors_Per_Week']	    = "Visitors/Week";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// createdownload.php, editdoverview.php, deletedownload.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Create_Download_For']	= "Create download for";
$lang['Download_Overview_For']	= "Download-Overview for";
$lang['Delete_Download_For']	= "Delete download for";
$lang['Edit_Download_For']	= "Edit download for";
$lang['Tab']['Create_Download'] = "Create download";
$lang['Add_Download']		= "Add download";
$lang['Delete_Download']	= "Delete download";
$lang['Edit_Download']		= "Edit download";
$lang['Download_ID']		= "Download-ID";
$lang['Internal']		= "Internal";
$lang['External']		= "External";
$lang['Category']		= "Category";
$lang['Title']			= "Title";
$lang['Filename']		= "Filename";
$lang['Directory']		= "Directory";
$lang['Filsesize']		= "Filesize";
$lang['File_Location']		= "File-Location";
$lang['Short_Description']	= "Short description";
$lang['Long_Description']	= "Long description";
$lang['Description']		= "Description";
$lang['Internal_Download']	= "Internal download";
$lang['External_Download']	= "External download";
$lang['Downloads_In_Database']	= "Downloads in database";
$lang['Show_All_Categories']	= "Show all categories";
$lang['Shown_Category']		= "Shown category";
$lang['Choose_Category'] 	= "Choose a category";
$lang['Downloads_In_Category']	= "Downloads in category";
$lang['Browse_Entries']		= "Browse through entries";
$lang['Order_By_Date']		= "Order by date";
$lang['Sort']			= "Order";
$lang['Order_By_Downloads']	= "Order by downloads";
$lang['Order_By_Shortdesc']	= "Order by short description";
$lang['Order_By_Location']	= "Order by download location";
$lang['Order_By_Title']		= "Order by title";
$lang['Confirm_Deletion']	= "Please confirm the deletion of";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// editcategory.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Available_Categories'] 	= "Existing categories";
$lang['Edit_Category_For']	= "Edit category for";
$lang['Please_Choose_Category'] = "Please choose a category";
$lang['Add_Category']		= "Add category";
$lang['Edit_Category']		= "Edit category";
$lang['Delete_Category']	= "Delete category";
$lang['Name_Of_Category']	= "Name of category";
$lang['Category_Edit_Delete']	= "Edit or delete category";
$lang['Choose_Action']		= "Please choose an action";
$lang['Description_Of_Category']= "Description of category";
$lang['Edit_Category_For']	= "Edit category for";
$lang['Delete_Category_For']    = "Delete category for";
$lang['Affected_Downloads']	= "Number of affected downloads";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// botdetails.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Bot_Details'] 		= "Bot-details";
$lang['Bot_Details_For']	= "Bot-details for";
$lang['Bot_Name']		= "Bot-name";
$lang['Bot_Visits_Day']		= "Bot-visits by day";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// showtrace.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Traceroute_For_IP'] 	= "Traceroute for IP";
$lang['Traceroute_Request'] 	= "Traceroute-request";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// timespent.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Time_Spent'] 		= "Time spent";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// archivedata.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Archive_Data']	= "Archive monthly data";
$lang['Month_For_Archive']	= "Month to be archived";
$lang['Start_Archiving']	= "Start archiving";
$lang['Archiving_Notice']	= "Archiving notice";
$lang['Max_Values_Per_Report']	= "Maximum entries per report";
$lang['Archiving_Failed']	= "The archiving of the chosen month has failed!";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// databasedelete.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Delete_Data']	= "Delete data";
$lang['Tab']['Delete_Day']	= "Delete todays data";
$lang['Tab']['Delete_Month']	= "Delete this months data";
$lang['Tab']['Delete_All']	= "Delete all data";
$lang['Tab']['Complete_Reset']	= "Reset database";

$lang['Chosen_Website']		= "Chosen website";
$lang['Delete_This_Data']	= "Delete this data";
$lang['Please_Select']		= "Please make your selection";
$lang['Delete_Current_Day']	= "Delete todays data";
$lang['Delete_This_Month']	= "Delete this months data";
$lang['Delete_Range']		= "Delete specific time range";
$lang['Delete_All']		= "Delete all data";
$lang['Database_Reset']		= "Reset database";
$lang['Affected_Day']		= "Affected day";
$lang['Affected_Month']		= "Affected month";
$lang['Affected_Range']		= "Affected time range";
$lang['Affected_Entries']	= "Number of entries";
$lang['Deletion_Complete']	= "The deletion of the selected data was completed!";
$lang['Please_Select_Range']	= "Please choose a time range";
$lang['All_Visitor_Data']	= "All entries";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// loadlists.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Load_ID_Lists'] 	 = "Load identification lists";
$lang['Load_Bot_List']		 = "Load robot/spider list";
$lang['Load_search engine_List'] = "Load search engine list";
$lang['Please_Choose_File']	 = "Please choose a file";
$lang['Selected_List']		 = "Chosen identification list";
$lang['List_Import_Result']	 = "Result of the import";
$lang['Robot_List']		 = "roboter/spider list";
$lang['Engine_List']		 = "search engine list";
$lang['Entries_Imported']	 = "entries imported";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// showarchive.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Show_Archive_Data']   = "Show archived month";
$lang['Tab']['Delete_Archive_Data'] = "Delete archived month";
$lang['Archivemonth']		    = "Archive-month";
$lang['Archiveyear']		    = "Archive-year";
$lang['Archivemonth_To_Delete']	    = "Archived month to be deleted";
$lang['Archiveyear_To_Delete']	    = "Archived year to be deleted";

$lang['No_Archive_Data']	    = "The is archived data available for the chosen month!";
$lang['Selected_Month']		    = "Chosen month";
$lang['Show_Report']		    = "Show report";
$lang['Archive_Report']	  	    = "Archive-report";
$lang['Entries_Archived']	    = "Entries archived";
$lang['This_Month_Total'] 	    = "This month total";
$lang['Totaly']			    = "Totaly";
$lang['Totaly_Lowercase']	    = "totaly";
$lang['Of']			    = "of";
$lang['To_Overview']		    = "To overview";
$lang['Show_Report']		    = "Report";
$lang['Show_Visitor_Data']	    = "Visitor data";
$lang['Show_Tracking']		    = "Tracking";
$lang['Please_Choose']		    = "Please make your selection...";
$lang['Change_View']		    = "Change view";
$lang['Charts']			    = "Charts";
$lang['Print_This_Page']	    = "Print this page";
$lang['Selected_Archive_Deleted']   = "The chosen archive data has been deleted!";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// dynamictracking.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Dynamic_Tracking']   = "Dynamic tracking";
$lang['URL_Type']		   = "URL-type";
$lang['search engine_Safe']	   = "Safe";
$lang['Standard_Method']	   = "Standard";
$lang['Seperator']	   	   = "Query-Seperator";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// trackingmanager-files
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Identification_String']	   = "Identification-string";
$lang['Edit_Tracking_Category_For']= "Edit tracking-category for";
$lang['Category_Example']	   = "<u><b>Example</b></u>: The following URL is leading a visitor to the shop category
				     \"Monitors  TFT\": <i>www.mydomain.com/shop.php?catid=hr3745ziwuergh32948</i>.
				      As a category name you should use the term \"Monitors  TFT\". When entering the ID-string into corresponding textfield, it should look like this: \"catid=hr3745ziwuergh32948\".";
$lang['Element_Example'] 	   = "<u><b>Example</b></u>: The following URL is leading a visitor the the product
				     \"Monitors  TFT  Product XY\": <i>www.mydomain.com/shop.php?catid=hr3745ziwuergh32948&productid=8329465</i>.
				      As an element name you should use the term \"  Product XY\". When enterin the ID-string into the corresponding textfield, it should look like this: \"productid=8329465\".";
$lang['Please_Enter_Realname']	   = "Please enter a category name!";
$lang['Please_Enter_IDString']	   = "Please enter an identification string";
$lang['IDString_In_Use']	   = "The entered identification string is already in use, please choose another one!"; 
$lang['Saved_Changes']		   = "The changes were saved!";
$lang['Element_Edit_Delete']       = "Edit or delete element";
$lang['Edit_Element_For']	   = "Edit element for";
$lang['Please_Choose_Element']     = "Please select element";
$lang['Delete_Element']		   = "Delete element";
$lang['Edit_Element']		   = "Edit element";
$lang['Add_Element']		   = "Add element";
$lang['Name_Of_Element']	   = "Name of element";
$lang['Element_Deleted']	   = "The selected element was deleted!";
$lang['Category_Deleted']	   = "The selected category was deleted!";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// email-report
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['BinarySTAT-Emailreport']	   = "binary:STAT - Automatic email-statistics";
$lang['End_Of_Emailstatistic']	   = ":: End of email-statistis ::";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// browser languages
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['aa'] = 'Afar';
$lang['ab'] = 'Abkhazian';
$lang['af'] = 'Afrikaans';
$lang['am'] = 'Amharic';
$lang['ar'] = 'Arabic';
$lang['as'] = 'Assamese';
$lang['ay'] = 'Aymara';
$lang['az'] = 'Azerbaijani';
$lang['ba'] = 'Bashkir';
$lang['be'] = 'Byelorussian';
$lang['bg'] = 'Bulgarian';
$lang['bh'] = 'Bihari';
$lang['bi'] = 'Bislama';
$lang['bn'] = 'Bengali';
$lang['bo'] = 'Tibetan';
$lang['br'] = 'Breton';
$lang['ca'] = 'Catalan';
$lang['co'] = 'Corsican';
$lang['cs'] = 'Czech';
$lang['cy'] = 'Welsh';
$lang['da'] = 'Danish';
$lang['de'] = 'German';
$lang['dz'] = 'Bhutani';
$lang['el'] = 'Greek';
$lang['en'] = 'English';
$lang['eo'] = 'Esperanto';
$lang['es'] = 'Spanish';
$lang['et'] = 'Estonian';
$lang['eu'] = 'Basque';
$lang['fa'] = 'Persian';
$lang['fi'] = 'Finnish';
$lang['fj'] = 'Fiji';
$lang['fo'] = 'Faroese';
$lang['fr'] = 'French';
$lang['fy'] = 'Frisian';
$lang['ga'] = 'Irish';
$lang['gd'] = 'Scots Gaelic';
$lang['gl'] = 'Galician';
$lang['gn'] = 'Guarani';
$lang['gu'] = 'Gujarati';
$lang['ha'] = 'Hausa';
$lang['he'] = 'Hebrew';
$lang['hi'] = 'Hindi';
$lang['hr'] = 'Croatian';
$lang['hu'] = 'Hungarian';
$lang['hy'] = 'Armenian';
$lang['ia'] = 'Interlingua';
$lang['id'] = 'Indonesian';
$lang['ie'] = 'Interlingue';
$lang['ik'] = 'Inupiak';
$lang['is'] = 'Icelandic';
$lang['it'] = 'Italian';
$lang['iu'] = 'Inuktitut';
$lang['ja'] = 'Japanese';
$lang['jw'] = 'Javanese';
$lang['ka'] = 'Georgian';
$lang['kk'] = 'Kazakh';
$lang['kl'] = 'Greenlandic';
$lang['km'] = 'Cambodian';
$lang['kn'] = 'Kannada';
$lang['ko'] = 'Korean';
$lang['ks'] = 'Kashmiri';
$lang['ku'] = 'Kurdish';
$lang['ky'] = 'Kirghiz';
$lang['la'] = 'Latin';
$lang['ln'] = 'Lingala';
$lang['lo'] = 'Laothian';
$lang['lt'] = 'Lithuanian';
$lang['lv'] = 'Latvian';
$lang['mg'] = 'Malagasy';
$lang['mi'] = 'Maori';
$lang['mk'] = 'Macedonian';
$lang['ml'] = 'Malayalam';
$lang['mn'] = 'Mongolian';
$lang['mo'] = 'Moldavian';
$lang['mr'] = 'Marathi';
$lang['ms'] = 'Malay';
$lang['mt'] = 'Maltese';
$lang['my'] = 'Burmese';
$lang['na'] = 'Nauru';
$lang['ne'] = 'Nepali';
$lang['nl'] = 'Dutch';
$lang['no'] = 'Norwegian';
$lang['oc'] = 'Occitan';
$lang['om'] = 'Oromo';
$lang['or'] = 'Oriya';
$lang['pa'] = 'Punjabi';
$lang['pl'] = 'Polish';
$lang['ps'] = 'Pashto';
$lang['pt'] = 'Portuguese';
$lang['qu'] = 'Quechua';
$lang['rm'] = 'Rhaeto-Romance';
$lang['rn'] = 'Kirundi';
$lang['ro'] = 'Romanian';
$lang['ru'] = 'Russian';
$lang['rw'] = 'Kinyarwanda';
$lang['sa'] = 'Sanskrit';
$lang['sd'] = 'Sindhi';
$lang['sg'] = 'Sangho';
$lang['sh'] = 'Serbo-Croatian';
$lang['si'] = 'Sinhalese';
$lang['sk'] = 'Slovak';
$lang['sl'] = 'Slovenian';
$lang['sm'] = 'Samoan';
$lang['sn'] = 'Shona';
$lang['so'] = 'Somali';
$lang['sq'] = 'Albanian';
$lang['sr'] = 'Serbian';
$lang['ss'] = 'Siswati';
$lang['st'] = 'Sesotho';
$lang['su'] = 'Sundanese';
$lang['sv'] = 'Swedish';
$lang['sw'] = 'Swahili';
$lang['ta'] = 'Tamil';
$lang['te'] = 'Telugu';
$lang['tg'] = 'Tajik';
$lang['th'] = 'Thai';
$lang['ti'] = 'Tigrinya';
$lang['tk'] = 'Turkmen';
$lang['tl'] = 'Tagalog';
$lang['tn'] = 'Setswana';
$lang['to'] = 'Tonga';
$lang['tr'] = 'Turkish';
$lang['ts'] = 'Tsonga';
$lang['tt'] = 'Tatar';
$lang['tw'] = 'Twi';
$lang['ug'] = 'Uighur';
$lang['uk'] = 'Ukrainian';
$lang['ur'] = 'Urdu';
$lang['uz'] = 'Uzbek';
$lang['vi'] = 'Vietnamese';
$lang['vo'] = 'Volapuk';
$lang['wo'] = 'Wolof';
$lang['xh'] = 'Xhosa';
$lang['yi'] = 'Yiddish';
$lang['yo'] = 'Yoruba';
$lang['za'] = 'Zhuang';
$lang['zh'] = 'Chinese';
$lang['zu'] = 'Zulu';

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// notices and messages for reports
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['notice']['Information']		= "Information:";

$lang['notice']['Error_Notification']	= "Error message:";

$lang['notice']['Please_Wait'] 		= "Please wait";

$lang['notice']['Dont_Abort_Process'] 	= "Do not abort this process!";

$lang['notice']['Edit_Category_Go']	= "This interface allows you to make changes to the selected category. Please note that the namefield and the identification-string must be filled out - empty fields will lead to error messages. After you have completed your changes,
				           you may click the button \"Save changes\" to save them to the database.";

$lang['notice']['Edit_Element_Go']	= "This interface allows you to make changes to the selected element. Please note that the namefield and the identification-string must be filled out - empty fields will lead to error messages. After you have completed your changes,
				           you may click the button \"Save changes\" to save them to the database.";

$lang['notice']['Edit_Element']		= "Here you may edit or delete an element you have created before. Please make your selection from the following list. If you would like to search for a specific element, use the searchfield. Enter the complete name of the element you would like to search for - if you
					   are not sure about the name, you may enter a partial name, too.";

$lang['notice']['Edit_Category']	= "Here you may edit or delete a category you have created before. Please make your selection from the following list. If you would like to search for a specific category, use the searchfield. Enter the complete name of the category you would like to search for - if you
					   are not sure about the name, you may enter a partial name, too.";

$lang['notice']['Archive_Error']	= "The archiving of the visitor data failed due to a database error. The error message which has been sent to binary:STAT by the database is shown below. Try to accomplish the archiving again. If you are still receiving the same error message, please contact your administrator and give him
				           all the details about this issue.";

$lang['notice']['Check_Archive_Deletion'] = "Please re-check the selection you made for your own safety - once the data has been deleted, it can not be restored afterwards.";

$lang['notice']['Showcharts']		= "Here you see a graphical presentation of the selected month. If you would like to receive a printout of the displayed charts, you may follow the link \"Print this page\" on the bottom of this page. You may open further reports by making your selection in one of the displayed dropdown-menus 
					   titled \"Report\", \"Visitor data\" and \"Tracking\" below.";

$lang['notice']['Showreport']		= "Below you see a compilation of the requested data. You can refine the displayed information by searching for certain terms - please use the searchfield shown below. Furthermore you may request a printout of the report or initiate an export of the displayed data.";

$lang['notice']['Archive_Overview']     = "Welcome to the archive-overview. Below you see a detailed compilation of the selected archive-month. You may call upo further reports by making a selection in the dropdown-menus shown below. They are titled \"Report\", \"Visitor data\" and
					   \"Tracking\".";

$lang['notice']['Delete_Archive_Data']  = "Here you can delete a previously archived month from the binary:STAT database. Please choose the month and year of the archive entry you wish to delete. Afterwards the selected month will be shown in detail and you will be asked to confirm your deletion.
					   Please be aware that the deletion will be permanent and can not be reversed afterwards - verfiy your selection carefully.";

$lang['notice']['Load_ID_Lists_Result'] = "Here you see the result of the initiated import. If any error should have occured, please check the file you imported - it must correspond to the file-format defined by binary:STAT. If the import was successfull, the identification list has been integrated into the recognition-routines of binary:STAT.";

$lang['notice']['Load_ID_Lists']	= "Here you have the opportunity to bring the identification lists up to date that binary:STAT uses to identify robots, spiders and search engines. Please use the filebrowser below to select the file you wish to import. binary:STAT automatically detects what kind of file you would like to upload to the system.";

$lang['notice']['Show_Archive_Data']	= "Here you may call up the visitor data of a previously archived month. Please make your selection from the list below.";

$lang['notice']['Delete_All']		= "This interface allows you to delete all visitor data from the binary:STAT database that has been recorded so far.  All visitor data and all counter values will be reset to 0. Please be aware that all data is deleted permantently and can not be restored afterwards - verify your selection carefully.";  

$lang['notice']['Delete_Range']		= "Here you can delete visitor data within a specific period from the binary:STAT databasen. Please note that you can only delete visitor data from the current month. The starting day of the timerange must be smaller than the ending day. Important: the deletion of the selected data has a permanent effect and can not be reversed afterwards!";

$lang['notice']['Delete_Day']		= "This interface allows you to delete the current day from the binary:STAT database. Please verify your selection before you initiate the deletion. Be aware that the deletion has a permanent effect and can not be reversed afterwards.";

$lang['notice']['Delete_Data']		= "Here you may either delete visitor data from the binary:STAT database or initiate a total reset of the database. Please make your selection from the list below and confirm the deletion.Please verify your selection before you initiate the deletion. Be aware that the deletion has a permanent effect and can not be reversed afterwards.";

$lang['notice']['Import_Result']	= "Following up is the result of the import-process. In case it was successfull, the data was saved into the binary:STAT database (overwriting any existing data). If the import process failed, an error message is shown below. Please check the available diskspace if the import-process should have failed - unsufficient diskpace may cause problems.";

$lang['notice']['Import_Data_Go']	= "Before initiating the import if the chosen file, you should verify your selection and the file content. If you confirm your selection, you may start the import-process. Please note that any data in the binary:STAT database will be overwritten by the contents of the imported file. This process can not be reveresed afterwards - verify your selection carefully.";

$lang['notice']['Import_Data']		= "Here you can import data-files to the binary:STAT database that were exported before. Please note that the chosen file must correspond to the CSV or SQL format - otherwise your import will fail. Please make your selection using the filebrowser below. Larger files may take some time to be processed, so please be patient and do not abort the process to avoid the loss of data.";

$lang['notice']['Import_Notice']        = "Please note that when initiating the file import, any exisiting data in the binary:STAT database will be overwritten. To avoid any complications, please verify your selection first. Once the data has been overwritten in the database, it can not be restored afterwards.";

$lang['notice']['Code_Wizard_Output']   = "The codewizard created the code-elements according to your settings. All you need to do now is to integrate them into your webpages. The PHP-code must be included right at the beginning of the source code of your webpages (line 0), the Javascript-code must be placed within the <BODY>-Tags of your document. You may add optional commands to the trackit()-Code below. Please refer to the document for further information on this topic.";

$lang['notice']['Code_Wizard']		= "The codewizard automatically creates the PHP and Javascript code-elements you need to integrate into your webpages to start counting and tracking your visitors. Please select if you would like to use the standard options or if you would like to make use of the advanced settings.  If you have any questions about the advanced settings, please refer to the documentation to obtain more details.";

$lang['notice']['Website_Overview']	= "This interface shows you a summary of the websites that are beeing controlled by binary:STAT. Listed are the number of websites, the total number of visitors and how many of these controlled websites are set to active or inactive. If you would like to add, edit or delete websites, please select the \"Website-Manager\" from the menu above.";

$lang['notice']['Create_Website']	= "Here you may add a new website to the binary:STAT database. Please note that a websitename must be unique and may not be already in use. After the creation of the new website you may assing it to any existing user-account. You may delete a website at any time if you should not have anymore use for it.";
         
$lang['notice']['Delete_Website']	= "This interface allows you to delete a previously created website from the binary:STAT database. Please select the website you would like to delete from the list below. You will be redirected to a confirmation-page where your selection will be shown in details. After you have confirmed your selection you may initiate the deletion. Please be abware that de deletion will be permanent and can not be reversed afterwards.";

$lang['notice']['Edit_Website_Go']	= "You may edit the name of the selected website here. Please note that changes made to the websitename directly affect the way how binary:STAT saves visitor information to the database. If you make any changes to the websitename via this interface, you need to change the code in your webpages, too. The websitename used in your webpages before must be replaced with the one you set here. If the names do not match, binary:STAT will not be able to save any data for the website.";

$lang['notice']['Edit_Website']	        = "Here you can edit a previously created website. Please choose the website you would like to edit from the list below. You may use the searchfield alternatively to search for a certain websitenamen. All websites shown below can be sorted by clicking on the headings on top of the display.";

$lang['notice']['Yearreport']		= "This report shows in detail the number of people that visited the currently selected website throughout the year. Only the visitor-data of the current year is considered by this chart. If you would like to see the visits of another year, please make your selection from the dropdown-selection below.";

$lang['notice']['Start_Archiving']	= "The archiving for the selected month has been initiated. This process may take up to a few seconds or even minutes, depending on the size of the month to be archived. Do not abort this process as it could cause the loss of important data. Please wait until binary:STAT has confirmed the completion of this process. Afterwards you are able to retrieve all information for the processed month from the archive-database.";

$lang['notice']['Archive_Data']		= "This interface allows you to save the visitor data of a passed month to the archive. Once the data has been archived you can always recall it from the database for further analyzation. If you move the visitor-data of passed months to the archive regularly you will save database-space and gain more database-speed. Please choose a month you would like to move to the archive from the dropdown-selection below.";

$lang['notice']['Time_Spent']		= "This report shows the amount of time the visitors spent on the currently selected website. Only those visitors who browse steadily through the website (at least a minute or so) and not occasionally will be shown in the result below. You may refine the display of the information by limiting the timerange to a specific date.";

$lang['notice']['Bot_Details']		= "Here you see a detailed report showing the website-visits of the selected bot. A bot is an essential component of a search engine and searches the Internet in the same way a person does but instead of a person directing a Web browser to go to certain pages, a bot sends its information to a search engine to bring it up to date. This report will shot you the total number of visits for the selected robot, visits per day and the robots country of origin. Please consult the documentation for more information about robots and spiders.";

$lang['notice']['Downloads']		= "This report shows you the most often requested downloads from the currently selected website or downloads from other websites you are linking to. You may refine the displayed information by searching for certain download-title or by limiting the shown downloads to a specific date like today, yesterday or any other day of the current month. If you are looking for certain download, please use the search field below.";

$lang['notice']['Delete_Category']	= "Here you may delete a previously created category from the Download-Manager. Please note, that all downloads belonging to that category will be deleted automatically. Once the category has beend deleted it can not be restored afterwards - please verify your selection carefully before confirming the deletion. More information about the deletion of categories can be found in the documentation.";

$lang['notice']['Edit_Category']	= "This interface allows you to edit a previously created category. Please note that the category must always carry a name, otherwise your changes can not be saved to the database. More details about categories can be obtained from the binary:STAT documentation.";

$lang['notice']['Category_Overview']	= "This interface allows you delete a previously created category from the Download-Manager or to edit its preferences. If you would like to create a new category, you can enter a new category name in the lower half of this interface and save it to the Download-Manager. Important: If you are going to delete a category, be aware that all downloads that are related to this category will be removed from the database, too.";

$lang['notice']['Download_Overview']	= "This overview shows you a detailed report of all downloads created so far for the currently selected website. If you would like to edit one of the downloads, click on it in the listing below. You will be forwarded to the edit screen where you can make all nescessary changes. If you would like to display the downloads of a certain category, select it from the dropdown-selection shown below.";

$lang['notice']['Delete_Download']	= "Here you can remove an existing download from the Download-Manager. Please make your selection from the listing shown below. You can refine the display by selecting a certain category from the dropdown-selection. Furthermore you are able to sort all shown downloads by their ID, date, title, description, location or by the number of downloads - just click once on the corresponding title above the listing.";

$lang['notice']['Edit_Download']	= "Here you can edit a previously created download. You may edit the download related information shown below except its ID. Please take care of correctly entered path information and always verify your changes to avoid faulty download-links. If you would like to get more information about this interface, please consult the binary:STAT documentation for further details - you will find several examples regarding the creation and editing of downloads.";

$lang['notice']['Create_Download']	= "This interface allows you to create a new download for your website which will be controlled by the Download-Manager. Please fill all nescessary fields shown below and check your pathnames for correctnes to avoid faulty download-links. If you would like to get more information about the functions of this interface, please consult the binary:STAT documentation for further details.";

$lang['notice']['Visitors_Online']	= "This report shows you a detailed summary of the visitors that are currently online and browsing the website. The following information ist displayed: hostname, IP-address, country of origin, number of pageimpressions, last viewed webpage and the time of the last pagecall.";

$lang['notice']['Visitorsteps']		= "This report shows you a detailed chronological listing of the webpages the selected visitor has browsed during his visit to the website. Displayed are the names of all viewed pages, time of pageview, time spent for each pageview, requested downloads and (if available) the name and address of the referer who led him to the website.";

$lang['notice']['Overview']		= "<strong>Welcome </strong> to the daily report. Here you will see a detailed listing of the visitor-traffic to the currently selected website - all information shown on this page is received and processed in realtime. In the upper half of this report you are able to make easy comparisons between todays visitor numbers and those of yesterday. A listing of the last visitors to the currently selected website and a grahpical display of the todays traffic is shown in the lower half of this report.";

$lang['notice']['Weekreport']		= "This report shows you a detailed summary of the weekly activities for the currently selected website. You will find details about the number of visitors, pageimpressions, downloads, datatransfer, a comparison between the weakest and strongest weekday as well as a chart showing the number visits to the website ordered by each single weekday. The weekday-chart is based on all visits to the site this month, not only the visits of the current week.";

$lang['notice']['Monthreport']		= "This report shows you a detailed summary of the monthly activies for the currently selected website. Several charts on this page display the number of visitors, pageimpressions, downloads, datatransfer and visits to the website including every single day of the month.";

$lang['notice']['Loyality']		= "Here you see a detailed report concerning the returning visitors to the currently selected website. The shown information can be refined by limiting the display-date to a certain day like yesterday, today or any other day of the current month. Furthermore you may request a printout of the report or initiate an export of the displayed data.";

$lang['notice']['Screen_Resolution']	= "This report shows you a detailed summary of the screen-resolutions used by the visitors of the currently selected website. You can refine the display by searching for a certain resolution or by limiting the timerange to a specific date like today or yesterday. If you are looking for a certain resolution, please use the searchform shown below.";

$lang['notice']['Screen_Colordepth']	= "This report delivers you a detailed summary of the screen-colordepths used by the visitors of the currently selected website. You can refine the display by searching for a certain colordepth or by limiting the timerange to a specific date like today or yesterday. If you are looking for a certain colordepth, please use the searchform shown below.";

$lang['notice']['Browser_PlugIns']	= "This report shows you a detailed summary of the most common browser-plugins used by the visitors of the currently selected website. You can refine the display by limiting the timerange to a specific date like today or yesterday. If required, you can create a printer-friendly output of the shown data and export the shown information using the CSV-format - please use the corresponding buttons below." ;

$lang['notice']['Browser_By_Type']	= "This report delivers you a detailed summary of the most common browser-types used by the visitors of the currently selected website. You can refine the display by searching for a certain browser or by limiting the timerange to a specific date like today or yesterday. If you are looking for a certain browser, please use the searchform shown below.";

$lang['notice']['Browser_By_Version']	= "This report shows you a detailed summary of the most common browser-versions used by the visitors of the currently selected website. You can refine the display by searching for a certain browser or by limiting the timerange to a specific date like today or yesterday. If you are looking for a certain browser, please use the searchform shown below.";

$lang['notice']['Systems_By_Version']	= "This report delivers you a detailed summary of the most common operation systems (by version) used by the visitors of the currently selected website. You can refine the display by searching for a certain operating system or by limiting the timerange to a specific date like today or yesterday. If you are looking for a certain operating system, please use the searchform shown below.";

$lang['notice']['Systems_By_Type']	= "This report shows you a detailed summary of the most common operation systems (by type) used by the visitors of the currently selected website. You can refine the display by searching for a certain operating system or by limiting the timerange to a specific date like today or yesterday. If you are looking for a certain operating system, please use the searchform shown below.";

$lang['notice']['Botvisits']		= "Here you see a detailed summary of searchengine bots that visited the currently selected webpage indexing its content and browsing its pages for information. You can refine the display by searching for a certain searchengine bot or by limiting the timerange to a certain date like today or yesterday. If you would like to get more information about one of the listed bots, please click on its name in the list shown below - you will be forwarded to a detailed report.";

$lang['notice']['Searchphrases']	= "Here you see a detailed report of searchphrases that visitors used with searchengines and were refered by them to the currently selected website. You can refine the display by searching for a certain searchphrase or by limiting the timerange to a specific date like today or yesterday. If required, you can create a printer-friendly output of the shown data and export the shown information using the CSV-format.";

$lang['notice']['Searchwords']		= "This report delivers you a detailed summary of searchwords that visitors used with searchengines and were refered by them to the currently selected website. You can refine the display by searching for a certain searchword or by limiting the timerange to a specific date like today or yesterday. If required, you can create a printer-friendly output of the shown data and export the shown information using the CSV-format.";

$lang['notice']['searchengines']	= "This report shows you a summary of searchengines used by visitors that directed them to the currently selected website. You can refine the display by searching for a certain searchword or by limiting the timerange to a specific date like today or yesterday. If required, you can create a printer-friendly output of the shown data and export the shown information using the CSV-format.";

$lang['notice']['Referer_By_Webpage']	= "Here you see a detailed report of webpages that are referring visitors to the currently selected website. You can refine the display by searching for a certain referer or by limiting the timerange to a specific date like today or yesterday. If required, you can create a printer-friendly output of the shown data and export the shown information using the CSV-format.";

$lang['notice']['Referer_By_Domain']	= "Here you see a detailed report of webpages that are referring visitors to the currently selected website. You can refine the display by searching for a certain domain or by limiting the timerange to a specific date like today or yesterday. If required, you can create a printer-friendly output of the shown data and export the shown information using the CSV-format.";

$lang['notice']['Referer_By_Country']	= "This report shows you a summary of countries that are referring visitors to the currently selected website. You can refine the display by searching for a certain country or by limiting the timerange to a specific date like today or yesterday. If required, you can create a printer-friendly output of the shown data and export the shown information using the CSV-format.";

$lang['notice']['Languages']		= "This report delivers you a detailed summary of the most common browser-languages used by visitors browsing the currently selected website. You can refine the display by searching for a certain language or by limiting the timerange to a specific date like today or yesterday. If required, you can create a printer-friendly output of the shown data and export the shown information using the CSV-format.";

$lang['notice']['Countries']		= "Here you see a detailed countries of origin-report  for the visitors that are browsing the currently selected website. You can refine the display by searching for a certain country or by limiting the timerange to a specific date like today or yesterday. If required, you can create a printer-friendly output of the shown data and export the shown information using the CSV-format.";

$lang['notice']['Hostnames']		= "This report shows you a summary of the most common hostnames accessing the currently selected website. A visitors hostname is usually representing the provider he is using to access the internet via dialup, DSL or other connection types. You click on one of the hostnames below to open a new browser window showing the hostnames website.";

$lang['notice']['Tracking']		= "This report shows you a summary of the most visited webpages of the currently selected website. To view one of the webpages listed below, click on its name to open a new browser window showing its content. You can refine the display by searching for a certain pagename or by limiting the timerange to a specific date like today or yesterday.";

$lang['notice']['Exitpages']		= "This report shows you a summary of the most common exit-pages of the currently selected website. An exit page is the page a visitor looks at before he finaly leaves the website. To view one of the webpages listed below, click on its name to open a new browser window showing its content. You can refine the display by searching for a certain language or by limiting the timerange to a specific date like today or yesterday.";

$lang['notice']['Entrypages']		= "This report shows you a summary of the most common entry-pages of the currently selected website. An entry pages is the very first page a visitor takes a lookt at when he visits a website. To view one of the webpages listed below, click on its name to open a new browser window showing its content. You can refine the display by searching for a certain pagename or by limiting the timerange to a specific date like today or yesterday.";

$lang['notice']['Change_Account_Data']	= "Here you may change the account settings as well as the time setting for the currently selected user account. If you would like to change the username itself, please contact your administrator. Only he will be able to make the nescessary changes to your account.";

$lang['notice']['Delete_Visitor']	= "Here you can delete the selected visitor from the binary:STAT database. Please verify your selection carefully and approve the deletion by clicking on the corresponding button. Be aware that once you have deleted a visitor, the data will be removed permanently and can not be restored afterwards.";

$lang['notice']['Account_Overview']	= "This report shows you a summary of the binary:STAT user-accounts created by the administrator. Shown are the total number of user-accounts as well as the number of active and inactive accounts and the total number of controlled websites. You may create, edit and delete a user-account by using the menu option \"Account-Manager\" above.";

$lang['notice']['Delete_Account']	= "Here you can delete a user account with its websites from the binary:STAT database. Please choose a user-account from the listing shown below or use the searchfield if you would like to search for a specific username. Enter the name or a part of it into the searchfield and press the search button. The entries shown below can be sorted by clicking on the headers titled  \"ID\", \"Username\", \"Account created\", \"User-type\", etc.";

$lang['notice']['Check_Del_Account']    = "You deciced to delete a user-account from the binary:STAT database. Please verify your selection carefully before approving the deletion. Please be aware that once a user-account has been deleted, it can not be restored afterwards.";

$lang['notice']['Check_Del_Website']    = "You deciced to delete a website from the binary:STAT database. Please verify your selection carefully before approving the deletion. Please be aware that once a website and its visitor data has been deleted, it can not be restored afterwards.";
					   
$lang['notice']['Edit_Account_Go']	= "Please make all nescessary changes and save them to the binary:STAT database. If you would like to edit or delete a previously assigned website, select it from the list shown below and set your options to \"Edit\" or \"Delete\" and click on the Button \"Next\".";

$lang['notice']['Edit_Account']		= "Here you can edit a previously created binary:STAT user-account. Choose the wanted account from the list shown below by clicking on one of the shown entries or user the searchform if you would like to search for a certain username. Enter der username or a part of it into the searchfield and press the searchbutton. The shown user-accounts in the list below can be sorted by clicking on the headers titled \"ID\", \"Username\", \"Create account\", \"User-Type\", etc.";

$lang['notice']['Create_Account']	= "This interface allows you to add a new user-account to the binary:STAT database. Please enter all nescessary user information. Please note that a username may only be used once. binary:STAT will tell you if a username is already in use and will ask you for an alternative. After the user-account has been created you may start adding websites to it immediately or at a later time - use the option \"Edit user-accounts\" shown in the menu above and choose the account you would like to edit.";

$lang['notice']['Webmaster_Cookie']	= "Here you may set or delete the so called \"webmaster-cookie\" to your PC. If the webmaster-cookie is set, you will be recognized as the websites administrator or webmaster and will not be counted like a regular visitor whenever you browser your website.  Once the webmaster-cookie has been set, you can delete it at any time if needed - you will be counted like a regular visitor again when browsing the currently selected website.";

$lang['notice']['Account_Inactive']	= "This user-account is inactive and access to the binary:STAT system is not permitted. Please choose another user-account or contact the administrator - he will be able to set your account status back to active again.";



$lang['notice']['Admin_Only']		= "Access to the selected binary:STAT area is forbidden for the currently active user-account and is only granted to the administrator. Please login using your administrator-account to gain access to the requested area.";

$lang['notice']['No_Guest_Allowed']	= "Access to the selected binary:STAT area is forbidden if logged in using the guest-account. Please login using your webmaster or administrator-account or choose the demonstration-account if you do not own a webmaster-account.";

$lang['notice']['Demomode_Offline']	= "We are sorry, but the demonstration-mode is offline at the moment and you can not login into the binary:STAT system. Please try again at a later time or contact the administrator if a login is not possible over a longer period of time.";

$lang['notice']['Guestmode_Offline']	= "We are sorry, but the guest-mode is offline at the momonet and you can not login into the binary:STAT system. Please try again at a later time or contact the administrator if a login is not possible over a longer period of time.";



$lang['notice']['Login_First'] 		= "Access to the selected binary:STAT area is forbidden if you are not logged in. Please select the login-button shown below and enter your username and password to login and to gain access to the requested area.";

$lang['notice']['Login_Error'] 		= "The entered login information could not be assigned to any of the exisiting user-accounts. Please verify your username and password and try to login again. If you still can not login over a period of time, please ask your administrator for further assistance.";

$lang['notice']['Logged_Off'] 		= "You werde logged off from the binary:STAT system and your sessions-data was deleted successfully. If you would like to get access to the binary:STAT system again, please head over to the login screen by pressing the login-button below.";		   



$lang['notice']['Setup_Page1']		= "Here you can make changes to the counter values, the reload-blocking setting, the number of visitors to be displayed in the daily overview, the visitor-timeout and the security key of the currently selected website.  All changes will take effect directly after clicking the save button shown below. Please note, that any changes made to the security key via this interface must also be made within the webpages containg the binary:STAT code - do not forget to change these keys, too.";

$lang['notice']['Setup_Page2']		= "Here you can define if the visitors IP-addresses should be resolved to obtain readable hostnames. Furthermore you can set a timeshift if the website-server is located in another timezone than you local PC. You can also configure the type of visitors binary:STAT should display in the daily overview - you can select between unique and total visitors. Please note that IP-resolving may slow down your server if it is not configured properly - refer to the manual for more information on this issue."; 

$lang['notice']['Setup_Page3']		= "Here you can set the address of the traceroute-server which will be used for traceroute requests via the daily overview. Please note that the server-address you have to enter into the form field does not start with http:// - always verify the paths before saving the settings to avoid malfunctions. In case the traceroute requests do no deliver any information, change the server to another address."; 

$lang['notice']['Setup_Page4']		= "Here you can make changes to the setup of the email-statistics configuration. You may define if the email-notification should be initiated at a certain number of recurring visits (e.g. every 5000 visits) or at a certain daytime. Furthermore you can edit the list of email recipients and the format of the email (HTML or plain text). Please note that only one recipient may be entered per line in the list shown below. More information about the automatic email-notification can be found in the documentation."; 

$lang['notice']['Setup_Page5']		= "Here you can configure and activate the binary:STAT blacklist. All hostnames and IP-addresses listed in the blacklist shown below will be ignored whenever they visit the website. No data will be recorded for these visitors to the database.  Note that you may use the * character as a wildcard in the blacklist shown below. Only one hostname or IP-address may be entered per line - otherwise the blacklist will not work properly. Please refer to the documentation to obtain more information about the configuration of the blacklist."; 

$lang['notice']['Setup_Page6']		= "Here you can define which domains are allowed to link to the downloads on the currently selected website. You may enter a single domain per line in the list shown below - otherwise the download-list will not work properly. Note that you may use the * character as a wildcard. If you wish to allow links from any domain to your downloads in general, deactivate the download monitoring. If you wish to allow downloads throughout the day, so set the timerange for allowed downloads from 00:00 to 00:00. More details about the download monitoring can be found in the documentation."; 
					   
$lang['notice']['Setup_Page7']		= "Here you may completely deactivate the visitor logging for the currently selected website. Furthermore you can set the number of CPU-Load calculations and change other settings. If you have questions regarding one of the settings shown in this interface, please refer to the manual for further information and detailed examples."; 



$lang['notice']['Resolve_IPs']		    = "This interface allows you to resolve all IP-addresses that have not me resolved so far. Resolving an IP-address will transform the address to a readable hostname shown in the daily overview. Please note that the resolving-process may take some time if the server is not configured properly or if there is a larger number of unresolved IP-addresses in the binary:STAT database. More information about the speed of IP-resolving and related server issues can be found in the documentation."; 				

$lang['notice']['Change_Website']	    = "If you wish to view statistics for another website than the one that is currently selected, you can make your selection from the dropdown-menu shown below. Please note that you may add new websites at any time to the currently active user-account. Just select the option \"Website-Manager\" from the menu shown above. Detailed information about the creation and editing of user-accounts and websites can be found in the documentation.";				

$lang['notice']['Database_Server']	    = "This report shows you a detailed summary of the current database status including the amount of used database-space as well as the installed PHP and mySQL versions. Please note, that months that have not been archived yet, occupy database-space that could be used otherwise. You can reduce the amount of used database-space by transfering unarchived months to the binary:STAT archive. Please use the option \"Statistic-Archive\" from the menu above the initiate the archiving."; 				

$lang['notice']['Optimize_Database']	    = "Here you can speed up database queries by optimizing and repairing the database structure. Regular optimizations will result in a less stressed database and reduces the overall database size significantly - visitors can be logged faster and more efficiently. The optimization may take some seconds or even a minute depending on the size of the database. Please be patient and do not abort the process to avoid the loss of visitor data. The result of the optimiziation and the saved diskspace will be displayed after the process has finished."; 				

$lang['notice']['Export_Data']		    = "This interface allows you to make a backup of the binary:STAT archive, the user-accounts and the websites controlled by binary:STAT. Exporting the data may be done using one of the following file formats: CSV, SQL or XLS. If the server supports GZIP-compressions, you may activate it to create significantly smaller files and to speed up the export process. A download dialog will be displayed as soon as the export routine has finished and you will be able to download the file to your local PC. Please note that you can only import files to the binary:STAT database that have been exported using the CSV or the SQL format. Refer to the documenation for more details on this issue."; 				

$lang['notice']['Export_Notice']	    = "To export any data from the binary:STAT database, please make sure there is enough diskspace left on the server for the creation of the export-file. The needed diskspace equals the exact size of the database table that is going to be exported. The occupied diskspace will be automatically freed after the export has been completed. Please note that the export will fail if there is insufficent diskspace available on the server!"; 				
  
$lang['notice']['Tracking_Create_Category'] = "Here you can create a new tracking-category for binary:STATs dynamic page-tracking. Please note that the identification string must be unique and may only be used once - otherwise the creation of the new category will fail. Please verify the entered ID-string for mistypings to avoid the malfunction of the tracking routine. Detailed examples regarding the usage of this function can be found in the documentation.";

$lang['notice']['Tracking_Create_Element']  = "Here you can create a new tracking-element for binary:STATs dynamic page-tracking. Please note that the identification string must be unique and may only be used once - otherwise the creation of the new element will fail. Please verify the entered ID-string for mistypings to avoid the malfunction of the tracking routine. Detailed examples regarding the usage of this function can be found in the documentation.";




$lang['notice']['Create_Ad']  		    = "Here you can create a new campaign to be tracked by binary:STAT. In this way, clicks on banner-ads, ad-texts, links and other types of campaigns can be easily logged and analyzed. First, choose a pregnant name for the new campaign, enter a description and choose a category.
					       Provide the costs per click for the campaign in the corresponding data field \"Costs per click\" (i.e. 0,55 equals 55 Cent).";

$lang['notice']['Ad_Overview']		    = "This report gives you an overview of the camapigns that have been created so far for the currently selected website. If you would like to edit one of the entries, select its name from the listing shown below. You will forwarded to the editing-mode automatically where you can make all nescessary modifications to the selected campaign. You may restrict the display of campaigns by selecting a specifigc category from the drop-down menu shown below.";

$lang['notice']['Edit_Ad']		    = "This data mask allows you to make changes to an exisiting campaign. Do not forget to assign a pregnant name to the campaign as well as an identification-string. The documenation will give you more information about the data fields on this page as well as examples for editing and creating campaigns with binary:STAT.";

$lang['notice']['Ad_Category_Overview']	    = "This data mask allows you to edit a category or to delete a category from the binary:STAT database. If you would like to create a new category, you may provide the name of the new category at the bottom if this page and save the new category to the Media-Manager.";

$lang['notice']['Delete_Ad_Category']	    = "Here you have the choice to delete a category from the Media-Manager. Please note that all campaigns that have been assigned to this category, will be automatically deleted. Verify your selection before you initiate and confirm the deletion. Once the category and its campaign have been deleted, they can not be restored afterwards.";
					       
$lang['notice']['Add_Category']	            = "Here you have the choice to add a new category to the Media-Manager. Please note, that a category name may only be used once to avoid conflicts with exisiting categories. As soon as you have created the new category, you may assign campaigns to the category and start tracking incoming clicks and visitors.";

$lang['notice']['Mediadata']		    = "Here you see an overview of the campaigns with the highest click-rates which refer people to the website. You may narrow down the display by selecting a certain category or by limiting the display of entries to a specific date range. To get a detailed report about a campaign, click on one of the entries in the listing shown below.";
			
$lang['notice']['Mediadata_Detail']	    = "This report shows you detailed information on the selected campaign. Besides basic information like the name and category of the campaign, the total number of tracked clicks for the campaign is displayed. Furthermore you see a summary of the total costs for the selected campaign. In addition to this information, a bar chart displays the tracked number of clicks for the selected campaign throughout the current month.";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// installation
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Installation']['Welcome_1']	= "<b><u>Welcome to the binary:STAT  setup-assistant</u></b><br><br>
					   To ensure a successfull and easy installation, please read the following instructions carefully and follow them step by step. To continue, you must accept the binary:STAT license agreement. If you would like to read the license agreement now,
					   you can select the following link - a new window will be opened showing the agreement:<br><br>
					   <b> <a href=\"http://www.webpartner-software.de/en/lizenzbestimmungen.html\" target=\"blank\">read licence agreement</a></b><br>";
					   
$lang['Installation']['Welcome_2']	= "<br><b>We wish you a successfull installation and hope that binary:STAT will support you and your website</b><br>
					   binarystat.de";
					   
					  
$lang['Installation']['Accept_License'] = "I read the license agreement, completely understood it and I do accept it.";				   
$lang['Installation']['Installation']	= "binary:STAT Installation";
$lang['Installation']['Information']    = " to the binary:STAT installation. This guide will lead you step by step through the installation process of binary:STAT. All you have to do is follow the instructions shown on this and the upcoming pages.
					   If you should have any questions concerning one of the installation procedures, you can find assistance in the binary:STAT documentation that has been delivered to you altogether with this software. 
					   Alternatively you may visit the binary:STAT customer-forum to post your questions to the support team and the binarystat.de community.";

$lang['Installation']['Fill_Fields']	= "Please fill in the following fields";
$lang['Installation']['Next_Step']	= "Next step of installation";
$lang['Installation']['Table_Creation']	= "Shown below is the result of the installation. If a problem should have occured, please verify the output below that is listing any errors reported by the installation routine. Maybe you mistyped one of the 
					   requested server and database settings on the previous page or the database itself is not functioning properly. Return to the previous page and enter all requested information againn. If the installation was successfull,
					   delete the directory \"install\" from the server to avoid unwanted installations by third persons that will overwrite you own installation.";
					   
$lang['Installation']['Install_Result']	= "Result of installation";
$lang['Partially_Successfull']		= "Partially successfull";
$lang['Please_Accept_License']		= "Please accept the license agreement!";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// media-tracker
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Mediadata']     	   = 'Mediadata';
$lang['Media_Active']	   = 'Media-Manager active';
$lang['Mediadata_For']     = 'Mediadata for:';
$lang['Mediadetails_For']  = 'Mediadata-Details for:';
$lang['Media_Details']	   = 'Mediadata-Details';
$lang['Media_Leads']	   = 'Campaign-Leads';
$lang['Media_Clicks']	   = 'Campaign-Clicks';
$lang['Chosen_Ad']	   = 'Selected camapign';
$lang['Ad_Details']	   = 'Campaign details';
$lang['Add_Media'] 	   = 'Add camapign';
$lang['Edit_Media'] 	   = 'Edit camapign';
$lang['Delete_Media'] 	   = 'Delete camapign';
$lang['Name_Of_Media'] 	   = 'Name of camapign';
$lang['Date_Of_Creation']  = 'Date of creation';
$lang['Category_Of_Media'] = 'Category of campaign';
$lang['Costs_Per_Click']   = 'Costs per click';
$lang['Costs_This_Month']  = 'Costs this month';
$lang['Last_Click']	   = 'Last registered click';
$lang['Total_Costs']	   = 'Total costs';
$lang['Clicks']		   = 'Clicks';
$lang['Name']		   = 'Name';
$lang['Total_Clicks']	   = 'Total clicks';
$lang['Clicks_Today']	   = 'Clicks today';
$lang['Clicks_This_Month'] = 'Clicks this month'; 
$lang['Leads']		   = 'Leads';
$lang['Leads_Total']	   = 'Total leads';
$lang['Search_Media']	   = 'Search campaign';
$lang['ID_String']	   = 'Identification-String';
$lang['Create_Ad_For']     = 'Add campaign for';
$lang['Edit_Ad_For']       = 'Edit campaign for';
$lang['Create_Ad']	   = 'Add campaign';
$lang['Ads_In_Category']   = 'Campaigns in category';
$lang['Number_Of_Ads']	   = 'Number of campaigns';
$lang['Affected_Ads']	   = 'Affected campaigns';
$lang['Notice_Create_Ad']  = '<b>Important:</b> Costs per click (i.e. 35 cent) are entered like this: <i>0,35</i>. Remember to assign an identification string to your new campaign. The string should be alphanumeric and may not containt special chars - Example for an ID-string: <i>ab34f</i>. The ID-string must also be used in the campaign media (banner, link, ad-text) that refers to your website. Example: <i>http://www.mydomain.com/index.php?ad_id=ab34f</i>. Look at the documentation for more details.';
$lang['Clicks_By_Day']     = 'Clicks by day';

$lang['Category_In_Use']   = "This category-name is already in use - please choose a different name!";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// time and dates
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['DateTime']['Sunday'] 	= "Sunday";
$lang['DateTime']['Monday'] 	= "Monday";
$lang['DateTime']['Tuesday'] 	= "Tuesday";
$lang['DateTime']['Wednesday'] 	= "Wednesday";
$lang['DateTime']['Thursday'] 	= "Thursday";
$lang['DateTime']['Friday'] 	= "Friday";
$lang['DateTime']['Saturday'] 	= "Saturday";

$lang['DateTime']['Sun'] 	= "Son";
$lang['DateTime']['Mon'] 	= "Mon";
$lang['DateTime']['Tue'] 	= "Tue";
$lang['DateTime']['Wed'] 	= "Wed";
$lang['DateTime']['Thu'] 	= "Thu";
$lang['DateTime']['Fri'] 	= "Fri";
$lang['DateTime']['Sat'] 	= "Sat";

$lang['DateTime']['January'] 	= "January";
$lang['DateTime']['February'] 	= "February";
$lang['DateTime']['March'] 	= "March";
$lang['DateTime']['April'] 	= "April";
$lang['DateTime']['May'] 	= "May";
$lang['DateTime']['June'] 	= "June";
$lang['DateTime']['July'] 	= "July";
$lang['DateTime']['August'] 	= "August";
$lang['DateTime']['September'] 	= "September";
$lang['DateTime']['October'] 	= "October";
$lang['DateTime']['November'] 	= "November";
$lang['DateTime']['December'] 	= "December";

$lang['DateTime']['Jan'] 	= "Jan";
$lang['DateTime']['Feb'] 	= "Feb";
$lang['DateTime']['Mar'] 	= "Mar";
$lang['DateTime']['Apr'] 	= "Apr";
$lang['DateTime']['May'] 	= "May";
$lang['DateTime']['Jun'] 	= "Jun";
$lang['DateTime']['Jul'] 	= "Jul";
$lang['DateTime']['Aug'] 	= "Aug";
$lang['DateTime']['Sep'] 	= "Sep";
$lang['DateTime']['Oct'] 	= "Oct";
$lang['DateTime']['Nov'] 	= "Nov";
$lang['DateTime']['Dec'] 	= "Dec";

////////////////////////////////////////////////////////////////////////////////////
// END OF LANGUAGE FILE
////////////////////////////////////////////////////////////////////////////////////
?>