<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 // enable compression if available
 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression

 @$include_path = dirname(__FILE__); $include_path .= "/";
 include_once ($include_path."./language/language.inc.php"); 		 // load language file 
 include_once ($include_path."./includes/global.inc.php"); 		 // load global variables
 include_once ($include_path."./includes/binarystat.inc.php");  	 // load db-connector 
 include_once ($include_path."./includes/getsystem.inc.php"); 		 // load browserdetection functions
 include_once ($include_path."./includes/dbactions.inc.php"); 		 // load database functions
 include_once ($include_path."./includes/timezone.inc.php"); 		 // load timezone functions
 include_once ($include_path."./includes/sessions.inc.php"); 	  	 // load session functions
 include_once ($include_path."./includes/configdata.inc.php"); 	 	 // load website-configuration
 include_once ($include_path."./includes/timeconverter.inc.php"); 	 // load date/time-converter

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db = new binarystat_db;
 $my_conn = $my_db->connect();

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // read active websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $my_session->account_id);

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get available websites for this account from database
 $account_id 		= $_SESSION['account_id'];
 $query 	 	  	= "SELECT websites FROM $my_tables->accounttable WHERE id = '$account_id'";
 @$temp_websites  	= mysql_result(mysql_query($query),0,0);

 // explode websites and put them into temporary array
 $temp_websites   	= explode("\n", $temp_websites);

 // put websites (no empty ones!) into array
 foreach($temp_websites as $currentsite)
 { 
  if ($currentsite != '') $websites[] .= $currentsite;
 }

 // user wants to change current website
 if ($_POST['action'] == 'changesite')
 {
  $changetowebsite 		    = $_POST['changetowebsite'];
  $account_id 			    = $my_session->account_id;
  $_SESSION['activesite'] 	= $changetowebsite;  
  $query 					= "UPDATE $my_tables->accounttable SET lastviewedwebsite = '$changetowebsite' WHERE id = '$account_id'";
  @$result 					= mysql_query($query);
 }

 // get low-day and high-day limits from $_POST
 $limitday_low  = $_REQUEST['limitday_low'];
 $limitday_high = $_REQUEST['limitday_high']; 

 // check variables for their values
 if ($limitday_low == 0 || $limitday_high == 0)  { unset($limitday_low); unset($limitday_high);}
 if ($limitday_low == 1 && $limitday_high == $my_timestamp->daysthismonth) { unset($limitday_low); unset($limitday_high);}

 // get name of page in displayframe
 $displayframe_name = $_REQUEST['displayframe_name'];

 // get entered searchphrase
 $searchphrase = $_REQUEST['searchphrase'];

 // if user is browsing archive, gather some more information
 @$archive_year  = $_REQUEST['archive_year'];
 @$archive_month = $_REQUEST['archive_month'];
 @$report		 = $_REQUEST['report'];
 @$report_name   = urldecode($_REQUEST['report_name']);

 // is user browsing bot details? if so, get bot name
 $target_bot = $_REQUEST['target_bot'];

 // if uses is looking at details for a campaign, gather information
 @$campaign_name  = $_REQUEST['campaign_name'];

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>binary:STAT Left Menu</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="./css/style.css">
<style type="text/css">
<!--
form 	  {
	   margin:0
	  }

body {
	margin-left: 7px;
	margin-top: 5px;
	margin-right: 4px;
}
-->
</style>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}
function starthiding()
{
 top.parent.hidemymenus();
}
//-->
</script>
</head>
<body 
<?php
// if ((!$_POST['action'] == 'changesite' && empty($searchphrase)) ||  $searchphrase == $lang['Enter_Searchphrase'])
  //echo " onload=\"document.filterform.searchphrase.disabled = true;\"";
 if ($_POST['action'] == 'changesite')
  echo " onload=\"parent.displayframe.location.reload();\"";
?>
>
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10;">
<table width=180 border=0 cellpadding=0 cellspacing=0 class="smallBlack">
  <tbody>
    <tr>
      <td width="196">        <table width="171"  border="0" cellpadding="0" cellspacing="0" class="finelinebox">
          <tr>
            <td>
            <table width=100% border=0 cellpadding=1 cellspacing=1 bordercolor="#FFFFFF" >
              <tbody>
                <tr bgcolor="#32516E">
                  <td height="15" 
                              colspan=7 class="subNav"><div align="center">
                    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="84%"><div align="left" class="tablehead"> <strong><img src="images/blankspacer.gif" width="2" height="5">&raquo;</strong><strong><img src="images/blankspacer.gif" width="2" height="5"></strong> <strong><?php echo $lang['DateTime'][$my_timestamp->monthlong]." ".$my_timestamp->year;?></strong> </div></td>
                        <td width="16%"><div align="right"><a href="<?php echo $displayframe_name;?>?limitday_low=1&limitday_high=<?php echo $my_timestamp->daysthismonth;?>" title="<?php echo $lang['Show_All_Data'];?>" target="displayframe"><img src="images/redup.gif" width="17" height="12" border="0"></a><img src="images/blankspacer.gif" width="2" height="4"></div></td>
                      </tr>
                    </table>
                  </div></td>
                  </tr>
                <tr bgcolor="#FFFEEC" class="smallBold">
                  <td width=27 class=dayNamesRow><div align="center">S</div></td>
                  <td width=27 class=dayNamesRow><div align="center">M</div></td>
                  <td width=27 class=dayNamesRow><div align="center">D</div></td>
                  <td width=27 class=dayNamesRow><div align="center">M</div></td>
                  <td width=27 bgcolor="#FFFEEC"><div align="center">D</div></td>
                  <td width=27 class=dayNamesRow><div align="center">F</div></td>
                  <td width=25 class=dayNamesRow><div align="center">S</div></td>
                </tr>
<tr bgcolor="#EEEEEE" class=smallBlack>
<?php
// check if first day if month is monday, tuesday,....
$timestamp_firstday = mktime(date("H"),date("i"),date("s"),date("m"),1,date("Y"));
$date_array 		= getdate ($timestamp_firstday);
$first_weekday 		= strtolower($date_array["weekday"]);

$number_of_days     = $my_timestamp->daysthismonth;
$day_today		    = $my_timestamp->day;

$day_array  	= array ("sunday","monday","tuesday","wednesday","thursday","friday","saturday");
$firstday_set 	= FALSE;

///////////////////////////////////////////////////////////////////
// print out table-line #1
///////////////////////////////////////////////////////////////////
for ($x=0; $x<7; $x++)
{
 if ($day_array[$x] == $first_weekday)
 { 
  $firstday_set = TRUE;
  $day_counter = 1;
  // if counter equals current day or is within limit-range, draw light-blue background
  if (!empty($limitday_low) && !empty($limitday_high))
  {
   if ($day_counter >= $limitday_low && $day_counter<=$limitday_high) $in_range = TRUE;
    else $in_range = FALSE;
  }
 
  // draw cell
  if (($in_range == TRUE) || (empty($limitday_low) && empty($limitday_high) && $day_counter == $day_today))
   echo "<td bgcolor=\"#C7D5E2\">";
  else echo "<td bgcolor=\"#F4F4F4\">";

  // set font color to red if $day_today = $day_counter -> else, set black font color
  if ($day_today == $day_counter) echo "<div align=\"center\" class=\"daylink\">";
   else echo "<div align=\"center\" class=\"smallBlack\">";
 
  echo "<a href='".$displayframe_name."?limitday_low=$day_counter&limitday_high=$day_counter&campaign_name=$campaign_name&archive_month=$archive_month&archive_year=$archive_year&report=$report&report_name=$report_name&target_bot=$target_bot' target='displayframe' title='".$lang['Request_Daydata']."'>$day_counter</a>";
 }  
 elseif($day_array[$x] != $first_weekday &&  $firstday_set == FALSE)
 {
  echo "<td bgcolor=\"#E5E5E5\"><div align=\"center\">&nbsp;</td>";
 }
 
 if ($day_counter > 1 && $firstday_set == TRUE)
 {
  // if counter equals current day or is within limit-range, draw light-blue background
  if (!empty($limitday_low) && !empty($limitday_high))
  {
   if ($day_counter >= $limitday_low && $day_counter<=$limitday_high) $in_range = TRUE;
    else $in_range = FALSE;
  }
 
  // draw cell
  if (($in_range == TRUE) || (empty($limitday_low) && empty($limitday_high) && $day_counter == $day_today))
   echo "<td bgcolor=\"#C7D5E2\">";
  else echo "<td bgcolor=\"#F4F4F4\">";

  // set font color to red if $day_today = $day_counter -> else, set black font color
  if ($day_today == $day_counter) echo "<div align=\"center\" class=\"daylink\">";
   else echo "<div align=\"center\" class=\"smallBlack\">";
 
  // print clickable calender-date
  echo "<a href='".$displayframe_name."?limitday_low=$day_counter&limitday_high=$day_counter&campaign_name=$campaign_name&archive_month=$archive_month&archive_year=$archive_year&report=$report&report_name=$report_name&target_bot=$target_bot' target='displayframe' title='".$lang['Request_Daydata']."'>$day_counter</a>";
 }

 // increase counter value
 $day_counter++;

 // close tags
 echo "</div></td>";
}
echo "</tr>";

///////////////////////////////////////////////////////////////////
// print out table-line #2
///////////////////////////////////////////////////////////////////
echo "<tr bgcolor=\"#EEEEEE\">";
for ($x=0; $x<7; $x++)
{
 // if counter equals current day or is within limit-range, draw light-blue background
 if (!empty($limitday_low) && !empty($limitday_high))
 {
  if ($day_counter >= $limitday_low && $day_counter<=$limitday_high) $in_range = TRUE;
   else $in_range = FALSE;
 }
 
 // draw cell
 if (($in_range == TRUE) || (empty($limitday_low) && empty($limitday_high) && $day_counter == $day_today))
  echo "<td bgcolor=\"#C7D5E2\">";
 else echo "<td bgcolor=\"#F4F4F4\">";

 // set font color to red if $day_today = $day_counter -> else, set black font color
 if ($day_today == $day_counter) echo "<div align=\"center\" class=\"daylink\">";
  else echo "<div align=\"center\" class=\"smallBlack\">";
 
 // print clickable calender-date
 echo "<a href='".$displayframe_name."?limitday_low=$day_counter&limitday_high=$day_counter&campaign_name=$campaign_name&archive_month=$archive_month&archive_year=$archive_year&report=$report&report_name=$report_name&target_bot=$target_bot' target='displayframe' title='".$lang['Request_Daydata']."'>$day_counter</a>";
 
 // increase counter
 $day_counter++;

 // close tags
 echo "</div></td>";
}
echo "</tr>";

///////////////////////////////////////////////////////////////////
// print out table-line #3
///////////////////////////////////////////////////////////////////
echo "<tr bgcolor=\"#EEEEEE\" class=smallBlack>";
for ($x=0; $x<7; $x++)
{
 // if counter equals current day or is within limit-range, draw light-blue background
 if (!empty($limitday_low) && !empty($limitday_high))
 {
  if ($day_counter >= $limitday_low && $day_counter<=$limitday_high) $in_range = TRUE;
   else $in_range = FALSE;
 }
 
 // draw cell
 if (($in_range == TRUE) || (empty($limitday_low) && empty($limitday_high) && $day_counter == $day_today))
  echo "<td bgcolor=\"#C7D5E2\">";
 else echo "<td bgcolor=\"#F4F4F4\">";

 // set font color to red if $day_today = $day_counter -> else, set black font color
 if ($day_today == $day_counter) echo "<div align=\"center\" class=\"daylink\">";
  else echo "<div align=\"center\" class=\"smallBlack\">";
 
 // print clickable calender-date
 echo "<a href='".$displayframe_name."?limitday_low=$day_counter&limitday_high=$day_counter&campaign_name=$campaign_name&archive_month=$archive_month&archive_year=$archive_year&report=$report&report_name=$report_name&target_bot=$target_bot' target='displayframe' title='".$lang['Request_Daydata']."'>$day_counter</a>";
 
 // increase counter
 $day_counter++;

 // close tags
 echo "</div></td>";
}
echo "</tr>";

///////////////////////////////////////////////////////////////////
// print out table-line #4
///////////////////////////////////////////////////////////////////
echo "<tr bgcolor=\"#EEEEEE\" class=smallBlack>";
for ($x=0; $x<7; $x++)
{
 // if counter equals current day or is within limit-range, draw light-blue background
 if (!empty($limitday_low) && !empty($limitday_high))
 {
  if ($day_counter >= $limitday_low && $day_counter<=$limitday_high) $in_range = TRUE;
   else $in_range = FALSE;
 }
 
 // draw cell
 if (($in_range == TRUE) || (empty($limitday_low) && empty($limitday_high) && $day_counter == $day_today))
  echo "<td bgcolor=\"#C7D5E2\">";
 else echo "<td bgcolor=\"#F4F4F4\">";

 // set font color to red if $day_today = $day_counter -> else, set black font color
 if ($day_today == $day_counter) echo "<div align=\"center\" class=\"daylink\">";
  else echo "<div align=\"center\" class=\"smallBlack\">";
 
 // print clickable calender-date
 echo "<a href='".$displayframe_name."?limitday_low=$day_counter&limitday_high=$day_counter&campaign_name=$campaign_name&archive_month=$archive_month&archive_year=$archive_year&report=$report&report_name=$report_name&target_bot=$target_bot' target='displayframe' title='".$lang['Request_Daydata']."'>$day_counter</a>";
 
 // increase counter
 $day_counter++;

 // close tags
 echo "</div></td>";

}
echo "</tr>";

///////////////////////////////////////////////////////////////////
// print out table-line #5
///////////////////////////////////////////////////////////////////
echo "<tr bgcolor=\"#EEEEEE\" class=smallBlack>";
for ($x=0; $x<7; $x++)
{
 if ($day_counter <= $number_of_days)
 { 
 // if counter equals current day or is within limit-range, draw light-blue background
 if (!empty($limitday_low) && !empty($limitday_high))
 {
  if ($day_counter >= $limitday_low && $day_counter<=$limitday_high) $in_range = TRUE;
   else $in_range = FALSE;
 }
 
 // draw cell
  if (($in_range == TRUE) || (empty($limitday_low) && empty($limitday_high) && $day_counter == $day_today))
   echo "<td bgcolor=\"#C7D5E2\">";
  else echo "<td bgcolor=\"#F4F4F4\">";
 
  // set font color to red if $day_today = $day_counter -> else, set black font color
  if ($day_today == $day_counter) echo "<div align=\"center\" class=\"daylink\">";
   else echo "<div align=\"center\" class=\"smallBlack\">";
  echo "<a href='".$displayframe_name."?limitday_low=$day_counter&limitday_high=$day_counter&campaign_name=$campaign_name&archive_month=$archive_month&archive_year=$archive_year&report=$report&report_name=$report_name&target_bot=$target_bot' target='displayframe' title='".$lang['Request_Daydata']."'>$day_counter</a>";
 }
 else
 {
  echo "<td bgcolor=\"#E5E5E5\"><div align=\"center\">&nbsp;";
 }
 // increase counter value
 $day_counter++;

 // close tags
 echo "</div></td>";
}
echo "</tr>";

// set number of rows calendar has
$calendar_rows = 5;

///////////////////////////////////////////////////////////////////
// print out table-line #6
///////////////////////////////////////////////////////////////////

if ($day_counter <= $my_timestamp->daysthismonth)
{ 
 // set number of rows calendar has
 $calendar_rows = 6;
 
 echo "<tr bgcolor=\"#EEEEEE\" class=smallBlack>";
 for ($x=0; $x<7; $x++)
 { 
  if ($day_counter <= $number_of_days)
  { 
   // if counter equals current day or is within limit-range, draw light-blue background
   if (!empty($limitday_low) && !empty($limitday_high))
   {
    if ($day_counter >= $limitday_low && $day_counter<=$limitday_high) $in_range = TRUE;
     else $in_range = FALSE;
   }
 
   // draw cell
   if (($in_range == TRUE) || (empty($limitday_low) && empty($limitday_high) && $day_counter == $day_today))
    echo "<td bgcolor=\"#C7D5E2\">";
   else echo "<td bgcolor=\"#F4F4F4\">";
 
   // set font color to red if $day_today = $day_counter -> else, set black font color
   if ($day_today == $day_counter) echo "<div align=\"center\" class=\"daylink\">";
    else echo "<div align=\"center\" class=\"smallBlack\">";
    echo "<a href='".$displayframe_name."?limitday_low=$day_counter&limitday_high=$day_counter&campaign_name=$campaign_name&archive_month=$archive_month&archive_year=$archive_year&report=$report&report_name=$report_name&target_bot=$target_bot' target='displayframe' title='".$lang['Request_Daydata']."'>$day_counter</a>";
  }
  else
  {
   echo "<td bgcolor=\"#E5E5E5\"><div align=\"center\">&nbsp;</td>";
  }
  // increase counter value
  $day_counter++;
  // close tags
  echo "</div></td>";
 }}
 echo "</tr>";

?>

              </tbody>
            </table></td>
          </tr>
        </table>          
        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/blankspacer.gif" width="18" <?php if ($calendar_rows == 6) echo "height=\"12\""; else echo"height=\"18\""; ?>></td>
          </tr>
        </table>      
 <form action="<?php echo $displayframe_name;?>"  name="filterform" target="displayframe" id="filterform">
        <table cellspacing=0 cellpadding=1 width=171 bgcolor=#333333 border=0>
          <tbody>
            <tr>
              <td width="181"><table width=100% border=0 cellpadding=3 cellspacing=0 class="smallBlack">
                  <tbody>
                    <tr>
                      <td width="159" align=left valign=bottom bgcolor=#32516E class="tablehead">
                          <strong><img src="images/blankspacer.gif" width="2" height="5">&raquo;<img src="images/blankspacer.gif" width="2" height="5"> </strong><?php echo $lang['Limitize_Range'].":";?></td>
                    </tr>
                    <tr>
                      <td height="25" bgcolor=#EDECEE class="smallBlack"><div align="left">
                         
                            <div align="right"><img src="images/blankspacer.gif" width="2" height="5"><?php echo $lang['From'].":";?>
                              <input name="limitday_low" type="text" id="limitday_low" style="margin-top:8px; WIDTH:30px; HEIGHT:14px;font-family: verdana,arial,sans-serif; color:#000000;font-size: 7pt; border: 1px #000000 solid;" value="<?php if(empty($limitday_low)) echo '1'; else echo $limitday_low;?>" maxlength="2">
                              <img src="images/blankspacer.gif" width="12" height="8">
                              <?php echo $lang['To'].":";?>
                              <input name="limitday_high" type="text" id="limitday_high" style="margin-top:8px; WIDTH:30px; HEIGHT:14px;font-family: verdana,arial,sans-serif; color:#000000;font-size: 7pt; border: 1px #000000 solid;" value="<?php if(empty($limitday_high)) echo $my_timestamp->daysthismonth; else echo $limitday_high;?>" maxlength="2">
                            <img src="images/blankspacer.gif" width="2" height="8">                            </div>
                   
                     </div></td>
                    </tr>
                    <tr>
                      <td align=right valign=top nowrap bgcolor=#EDECEE><font 
                  face="Verdana, Arial, Helvetica, sans-serif" size=1>
                        <input name="target_bot" type="hidden" id="target_bot" value="<?php echo $target_bot;?>">
                        <input name="campaign_name" type="hidden" id="campaign_name" value="<?php echo $campaign_name;?>">
                        <input name="filterimage" type="image" id="filterimage" src="images/yellowfilter.gif" width="56" height="15" hspace="5" vspace="3">
                      </font></td>
                    </tr>
                  </tbody>
              </table></td>
            </tr>
          </tbody>
        </table>
        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/blankspacer.gif" width="18" <?php if ($calendar_rows == 6) echo "height=\"12\""; else echo"height=\"18\""; ?>></td>
          </tr>
        </table>
          <table cellspacing=0 cellpadding=1 width=171 bgcolor=#333333 border=0>
            <tbody>
              <tr>
                <td width="181"><table cellspacing=0 cellpadding=3 width=100% border=0>
                  <tbody>
                    <tr>
                      <td colspan="2" align=left valign=bottom bgcolor=#32516E class="tablehead">                          <strong><img src="images/blankspacer.gif" width="2" height="5">&raquo;</strong><strong><img src="images/blankspacer.gif" width="2" height="5"></strong> <?php echo $lang['Search'].":";?></td>
                    </tr>
                    <tr>
                      <td height="25" colspan="2" bgcolor=#EDECEE><div align="left"><font 
                  face="Verdana, Arial, Helvetica, sans-serif" size=1>                          
                        <div align="right">
                          <input name="searchphrase" onfocus="if(this.value=='<?php echo $lang['Enter_Searchphrase'];?>')this.value = ''" onblur="if(this.value=='')this.value='<?php echo $lang['Enter_Searchphrase'];?>';" type="text" id="searchphrase" style="margin-top:8px; WIDTH:145px; HEIGHT:15px;font-family: verdana,arial,sans-serif; color:#000000;font-size: 7pt; border: 1px #000000 solid;" value="<?php if (empty($searchphrase)) echo $lang['Enter_Searchphrase']; else echo $searchphrase;?>">
                            <img src="images/blankspacer.gif" width="2" height="8"> </div>
                
</font></div></td>
                    </tr>
                    <tr>
                      <td width="97" align=right valign=top nowrap bgcolor=#EDECEE><div align="left"><font 
                  face="Verdana, Arial, Helvetica, sans-serif" size=1><img src="images/blankspacer.gif" width="1" height="5">
                      <input name="search_stamp" type="checkbox" id="search_stamp" value="TRUE"> 
                        <?php echo $lang['Browser'];?>

<?php
 if (!empty($archive_year))
{
?>
                        <input type="hidden" name="archive_year" value="<?php echo $archive_year;?>">
                        <input type="hidden" name="archive_month" value="<?php echo $archive_month;?>">
                        <input type="hidden" name="report" value="<?php echo $report;?>">
                        <input type="hidden" name="report_name" value="<?php echo $report_name;?>">
<?php } ?>
<input name="campaign_name" type="hidden" id="campaign_name" value="<?php echo $campaign_name;?>">
<input name="target_bot" type="hidden" id="target_bot" value="<?php echo $target_bot;?>">
<input name="target_bot" type="hidden" id="target_bot" value="<?php echo $target_bot;?>">
</font></div></td>
                      <td width="60" align=right valign=top nowrap bgcolor=#EDECEE><font 
                  face="Verdana, Arial, Helvetica, sans-serif" size=1>
                        <input name="searchimage" type="image" id="searchimage" src="images/yellowsearch.gif" width="56" height="15" hspace="5" vspace="3">
                      </font></td>
                    </tr>
                  </tbody>
                </table></td>
              </tr>
            </tbody>
      </table></form></td>
    </tr>
    <tr>
      <td height=5><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td><img src="images/blankspacer.gif" width="18" <?php if ($calendar_rows == 6) echo "height=\"12\""; else echo"height=\"18\""; ?>></td>

        </tr>
      </table>  <form action="leftmenu.php" method="post" name="siteform" target="_self" id="siteform">   
        <table cellspacing=0 cellpadding=1 width=171 bgcolor=#333333 border=0>
          <tbody>
            <tr>
              <td width="181"><table cellspacing=0 cellpadding=3 width=100% border=0>
                  <tbody>
                    <tr>
                      <td width="159" align=left valign=bottom bgcolor=#32516E class="tablehead">                          <strong>  <img src="images/blankspacer.gif" width="2" height="5">&raquo;</strong>  <strong><img src="images/blankspacer.gif" width="2" height="5"></strong><?php echo $lang['Change_Website'].":";?></td>
                    </tr>
                    <tr>
                      <td height="25" bgcolor=#EDECEE>
                          <img src="images/blankspacer.gif" width="2" height="5">
                          <select name="changetowebsite" id="changetowebsite" style="margin-top:8px; WIDTH:152px; HEIGHT:22px;font-family: verdana,arial,sans-serif; color:#000000;font-size: 7pt; border: 1px #000000 solid;">
                            <?php 
 if (count($websites) > 0)
 {
  foreach ($websites AS $currentsite)
  {  
   if ($currentsite == $_REQUEST['changetowebsite'])
    echo "<option selected>$currentsite</option>";
   else echo "<option>$currentsite</option>";
  }
 }
 else
 {
  echo "<option>$currentsite</option>";
 }
?>
                          </select>
                    </td>
                    </tr>
                    <tr>
                      <td align=right valign=top nowrap bgcolor=#EDECEE><font 
                  face="Verdana, Arial, Helvetica, sans-serif" size=1>
                        <input name="action" type="hidden" id="action" value="changesite">
                        <input name="changeimage" type="image" id="changeimage" src="images/yellowchange.gif" width="56" height="15" hspace="5" vspace="3"> 
                      </font></td>
                    </tr>
                  </tbody>
              </table></td>
            </tr>
          </tbody>
        </table></form>      </td>
    </tr>
  </tbody>
</table>
</div>
</body>
</html>







