<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/vars.inc.php"); 
include_once ($include_path."./../includes/configdata.inc.php"); 
include_once ($include_path."./../language/language.inc.php"); 

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get standard variables
 $my_vars = new getchoostat_vars;
 $my_vars -> build_vars();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get website configuration
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename);

 // exit if not logged in or if user is not the admin  -> THIS PAGE IS FOR ADMIN OR WEBMASTER ONLY!
 if ($my_session->logged_in == 'FALSE' || $my_session->usertype == 'GUEST') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // maximum length of data key
 $maxfieldlength = 40;

 // get id of campaing-ad to be edited
 $campaign_id = $_REQUEST['campaign_id'];

 // get campaign information from database
 $sql = "SELECT * FROM $my_tables->campaignmanagertable WHERE id = '$campaign_id' AND websitename = '$activesitename'";
 $result = $my_db->query($sql);
 $my_object = mysql_fetch_object($result);

 $campaign_name		 	= $my_object->campaign_name;
 $campaign_category	 	= $my_object->campaign_category;
 $campaign_description  = $my_object->campaign_description;
 $idstring 		     	= $my_object->idstring;
 $costperclick 		 	= $my_object->costperclick;

 // take care of special chars in $idstring so they can be displayed properly
 $idstring = htmlspecialchars($idstring);

 // user wants to delete selected campaign
 if ($_POST['deletead'] == 'TRUE' && $my_session->usertype != 'GUEST' && $my_session->usertype != 'DEMO')
 {
  $sql = "DELETE FROM $my_tables->campaignmanagertable WHERE id = '$campaign_id' AND websitename = '$activesitename'";
  $result = $my_db->query($sql); 
  header('location: editad.php');
  exit();
 } 

 // user wants to save changes to campaign
 if ($_POST['editad'] == 'TRUE' && $my_session->usertype != 'GUEST' && $my_session->usertype != 'DEMO')
 {
  // get values from $_POST and set error-flag
  $campaign_name		 = $_POST['campaign_name'];
  $campaign_category	 = $_POST['campaign_category'];
  $campaign_description  = $_POST['campaign_description'];
  $idstring 		     = $_POST['idstring'];
  $costperclick 		 = $_POST['costperclick'];

  // strip slashes 
  $campaign_description = stripslashes($campaign_description);
  $campaign_name        = stripslashes($campaign_name);

  // set flag
  $id_exists    = FALSE;

  // update campaign settings
  $sql = "UPDATE $my_tables->campaignmanagertable SET campaign_name = '$campaign_name',
           campaign_category = '$campaign_category', campaign_description = '$campaign_description',
		   idstring = '$idstring', costperclick = '$costperclick' WHERE id = '$campaign_id'
           AND websitename = '$activesitename'";

  $result = $my_db->query($sql);
 }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<html>
<head>
<title>Edit Main Category</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function starthiding()
{
 top.parent.hidemymenus();
}

function focuscursor()
{
 parent.displayframe.document.getElementById('campaign_name').focus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=mediatracker/editadgo.php';
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//-->
</script>
</head>
<body onload="showLayer('contentlayer');reloadmenu();focuscursor();
<?php
$message = $lang['IDString_In_Use'];
if ($id_exists) echo "alert('$message');";
?>">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Edit_Ad_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/trackingbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Edit_Ad'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
          <br>
          <form action="editadgo.php" method="post" name="editad" id="editad">
            <table cellspacing=0 cellpadding=1 width=100% border=0>
              <tr>
                <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                          <tr>
                            <td colspan="7" class="tablehead"></td>
                          <tr class="small">
                            <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Edit_Media'];?></td>
                          </tr>
                          <tr>
                            <td colspan="7" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                        </table>
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr valign="middle" class="optionsbackground">
                              <td width="1%"><span class="small"><strong><img src="../images/blankspacer.gif" width="5" height="35" border="0"></strong></span></td>
                              <td valign="top">
                                <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF" class="optionsbackground">
                                  <tr>
                                    <td colspan="6"><img src="../images/blankspacer.gif" width="8" height="8"></td>
                                  </tr>
                                  <tr>
                                    <td colspan="6"><img src="../images/blankspacer.gif" width="8" height="8"></td>
                                  </tr>
                                  <tr>
                                    <td width="149" valign="top"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['Name_Of_Media'];?></span></td>
                                    <td valign="top">:</td>
                                    <td width="222"><span class="smallBlack">
                                      <input name="campaign_name" type="text" id="campaign_name" style="width: 200px; font-family: Arial,Helvetica; font-size: 8pt; border: 1px #5B5B5B solid;" value="<?php echo $campaign_name;?>" maxlength="200">
                                    </span></td>
                                    <td width="133">
                                      <div align="left"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['Costs_Per_Click'];?></span></div></td>
                                    <td width="18">:</td>
                                    <td width="210"><span class="smallBlack">
                                      <input name="costperclick" type="text" id="costperclick" style="width: 200px; font-family: Arial,Helvetica; font-size: 8pt; border: 1px #5B5B5B solid;" value="<?php echo $costperclick;?>" maxlength="6">
                                    </span></td>
                                  </tr>
                                  <tr>
                                    <td colspan="6" valign="top">
                                      <div align="left"><img src="../images/blankspacer.gif" width="8" height="8"></div></td>
                                  </tr>
                                  <tr>
                                    <td valign="top"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['Category'];?></span></td>
                                    <td valign="top">:</td>
                                    <td><span class="smallBlack">
                                      <select name="campaign_category" id="select" style="width: 200px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF">
                                        <?php 
@$result = mysql_query("SELECT categoryname FROM $my_tables->campaigncategorytable WHERE websitename = '$activesitename'");
while(@$my_object= mysql_fetch_object($result))
{
 $categories[] = $my_object->categoryname;
}
// sort array 
function cmp($a, $b)
{
 return strcmp(strtolower($a), strtolower($b));
}
usort($categories, "cmp"); 

foreach($categories AS $categoryname)
{
 if ($categoryname == $campaign_category)
  echo "<option value='$categoryname' selected>".$categoryname."</option>"; 
 else
 echo "<option value='$categoryname'>".$categoryname."</option>";
}

?>
                                      </select>
                                    </span></td>
                                    <td>
                                      <div align="left"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['ID_String'];?></span></div></td>
                                    <td>:</td>
                                    <td><span class="smallBlack">
                                      <input name="idstring" type="text" id="idstring" style="width: 200px; font-family: Arial,Helvetica; font-size: 8pt; border: 1px #5B5B5B solid;" value="<?php echo $idstring;?>" maxlength="150">
                                    </span></td>
                                  </tr>
                                  <tr>
                                    <td colspan="6" valign="top">
                                      <div align="left"><img src="../images/blankspacer.gif" width="8" height="8"></div></td>
                                  </tr>
                                  <tr>
                                    <td valign="top"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['Description'];?></span></td>
                                    <td valign="top">:</td>
                                    <td colspan="4"><span class="smallBlack">
                                      <textarea name="campaign_description" rows="7" id="textarea2" style="width: 595px; height: 80px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF"><?php echo $campaign_description;?></textarea>
                                    </span></td>
                                  </tr>
                                  <tr>
                                    <td colspan="6" valign="top">
                                      <div align="left"><img src="../images/blankspacer.gif" width="8" height="8"></div></td>
                                  </tr>
                                  <tr>
                                    <td height="22" colspan="6"><div align="left"><img src="../images/blackdot.gif" width="100%" height="1" align="absmiddle"></div></td>
                                  </tr>
                                  <tr>
                                    <td width="149" valign="top" class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['Choose_Action'];?></td>
                                    <td width="19" valign="top">:</td>
                                    <td colspan="3">
                                      <script type="text/javascript">
<!--
var editcampaign = new submitForm("../images/savechanges.gif","../images/savechanges_down.gif","editad","editad");
editcampaign.alt ="<?php echo $lang['Save_Changes'];?>";
editcampaign.write();
//-->
    </script>
                                      <img src="../images/blankspacer.gif" width="10" height="8" border="0">
                                      <input name="campaign_id" type="hidden" id="campaign_id" value="<?php echo $campaign_id;?>">
                                      <a href="editad.php" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('back','','../images/prevpage_down.gif',1)"><img src="../images/prevpage.gif" alt="<?php echo $lang['To_Previous_Page'];?>" name="back" width="142" height="13" border="0"></a>                                      
                                      <div align="left"> </div></td>
                                    <td><div align="right">
                                      <script type="text/javascript">
<!--
var deletecampaign = new submitForm("../images/delad.gif","../images/delad_down.gif","deletead","deletead");
deletecampaign.alt ="<?php echo $lang['Delete_Media'];?>";
deletecampaign.write();
//-->
                                    </script><img src="../images/blankspacer.gif" width="15" height="8" border="0">
                                    </div></td>
                                  </tr>
                                </table>
                                <br></td>
                            </tr>
                        </table></td>
                    </tr>
                </table></td>
              </tr>
            </table>
          </form>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr> </tr>
        </table></td>
    </tr>
  </table>
  <br>
  <br>
  <img src="../images/blackdot.gif" width="100%" height="1"><span class="small"><br>
  </span>
  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="60%"> <span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="../mediatracker/createad.php"><?php echo $lang['Add_Media'];?></a>, <a href="./editad.php"><?php echo $lang['Edit_Media'];?></a>, <a href="./editcategory.php"><?php echo $lang['Edit_Category'];?></a></span> </td>
      <td width="40%"><div align="right"></div></td>
    </tr>
  </table>
  <span class="small"> </span> </div>
</body>
</html>











