<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 
$timeparts 		 = explode(" ",microtime());
$starttime 		 = $timeparts[1].substr($timeparts[0],1); 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/configdata.inc.php");
include_once ($include_path."./../includes/exportdata.inc.php");
include_once ($include_path."./../includes/timeconverter.inc.php");
include_once ($include_path."./../chart/chart.inc.php"); 	

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp(); 

 // check if user is logged in or not
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $my_session->account_id);

 // get name of campaign user wants to see details for
 $campaign_name = $_REQUEST['campaign_name'];

 // if there is no campaign-name set, return to previous page
 if (empty($campaign_name))
 {
  header('location: mediadata.php');
  exit();
 }

 // get information about campaign
 $sql = "SELECT * FROM $my_tables->campaignmanagertable WHERE campaign_name = '$campaign_name'
         AND websitename = '$activesitename'";

 @$result    = $my_db->query($sql);
 @$my_object = mysql_fetch_object($result);

 $campaign_category 	= $my_object->campaign_category;
 $campaign_description  = $my_object->campaign_description;
 $campaign_creation     = $my_object->campaign_creation;
 $idstring		        = $my_object->idstring;
 $costperclick		    = $my_object->costperclick; 

 // get number of todays clicks
 $fromdate = $my_timestamp->year.'-'.$my_timestamp->month.'-'.$my_timestamp->day." 00:00:00";
 $todate   = $my_timestamp->year.'-'.$my_timestamp->month.'-'.$my_timestamp->day." 23:59:59";

 $sql = "SELECT count(*) FROM $my_tables->campaigntable WHERE campaign_name = '$campaign_name' 
         AND campaign_clickdate BETWEEN '$fromdate' AND '$todate' AND websitename = '$activesitename'";

 @$result = mysql_query($sql); echo mysql_error();
 @$clicks_today = mysql_result($result,0);

 // get number of clicks this month
 $fromdate = $my_timestamp->year.'-'.$my_timestamp->month.'-01'." 00:00:00";
 $todate   = $my_timestamp->year.'-'.$my_timestamp->month.'-'.$my_timestamp->daysthismonth." 23:59:59";

 $sql = "SELECT count(*) FROM $my_tables->campaigntable WHERE campaign_name = '$campaign_name' 
         AND campaign_clickdate BETWEEN '$fromdate' AND '$todate' AND websitename = '$activesitename'";

 @$result = mysql_query($sql);
 @$clicks_month = mysql_result($result,0);
 if (empty($clicks_month)) $clicks_month = 0;

 // get total number of clicks
 $sql = "SELECT clicks FROM $my_tables->campaignmanagertable WHERE campaign_name = '$campaign_name' 
         AND websitename = '$activesitename'";

 @$result = mysql_query($sql);
 @$clicks_total = mysql_result($result,0);
 if (empty($clicks_total)) $clicks_total = 0;

 // calculate costs for this month
 @$costs_this_month = round($clicks_month*$costperclick,2);
 if (empty($costs_this_month)) $costs_this_month = 0;

 // calculate total costs 
 $total_costs = round($clicks_total*$costperclick,2);
 if (empty($total_costs)) $total_costs = 0;

 // get last clickdate
 $sql = "SELECT MAX(campaign_clickdate) AS myname FROM $my_tables->campaigntable WHERE campaign_name = '$campaign_name' 
         AND websitename = '$activesitename'";

 @$result = mysql_query($sql);
 @$last_clickdate = mysql_result($result,0);

 // maximum width for graph
 $graphmaxwidth = 400;
 
 // number of days in this month
 $numofdays = date ("d", mktime(0,0,0,$my_timestamp->month+1,0,$my_timestamp->year));

 // check if this page needs to be printed
 $print = $_REQUEST['print'];

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<html>
<head>
<title><?php echo $lang['Downloads'];?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function printme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?print=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 window.open(target, 'printWindow', 'height=500,width=980, scrollbars');return false;
}
function exportme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?export=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 document.getElementById("exportframe").src = target;
}

///////////////////////////////////////////////////////
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
}

function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&campaign_name=<?php echo $campaign_name;?>&displayframe_name=mediatracker/mediadatadetails.php';
}
//-->
</script>
</head>
<body onload="showLayer('contentlayer');reloadmenu();<?php if ($print) echo "window.print();";?>">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
 <table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td><?php if ($print) {?>
          <table width="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="26%" height="12" class="large_black"><img src="../images/printoutlogo.jpg" width="156" height="74"><br></td>
                    <td width="74%" class="large_black"><div align="right" class="large_blackBold"><strong><strong><?php echo $lang['Report'];?>:<img src="../images/blankspacer.gif" width="10" height="5" border="0"> </strong><?php echo $lang['Media_Details'];?></strong></div></td>
                  </tr>
                  <tr>
                    <td height="13" colspan="2" class="large_black"><br></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <?php }?>
          <?php if (!$print) {?>
          <table width="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="72%"> <span class="smallBold"><? echo $lang['Mediadetails_For'];?> </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
                    <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
                  </tr>
                </table>
                  <?php }?>
                  <img src="../images/blackdot.gif" width="100%" height="1"><br>
                  <?php if (!$print) echo "<br>"; if ($print) {?>
                  <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                    <tr>
                      <td><table width="98%"  border="0" align="center" cellpadding="0" cellspacing="0">
                          <tr>
                            <td width="16%" height="25" class="smallBold"><span class="small"><?php echo $lang['Websitename'];?></span></td>
                            <td width="3%" height="25" class="smallBold">:</td>
                            <td width="30%" height="25"><span class="small"><?php echo $activesitename;?></span></td>
                            <td width="19%" height="25"><span class="smallBold"><span class="small"><?php echo $lang['Searchphrase'];?></span></span></td>
                            <td width="3%" class="smallBold">:</td>
                            <td width="29%"><span class="small">
                              <?php
 $temp_phrase = str_replace(" "," + ",$searchphrase);
 if ($temp_phrase == '') echo $lang['No_Searchquery']; else echo $temp_phrase;?>
                            </span></td>
                          </tr>
                          <tr>
                            <td height="25" class="smallBold"><span class="small"><?php echo $lang['Chosen_Timeframe'];?></span></td>
                            <td height="25" class="smallBold">:</td>
                            <td height="25"><span class="small"><?php echo $limitday_low.".  - ".$limitday_high.".";?> <?php echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year;?></span></td>
                            <td height="25"><span class="smallBold"><span class="small"><?php echo $lang['Report_Date_Of_Creation'];?></span></span></td>
                            <td class="smallBold">:</td>
                            <td height="25"><span class="small">
                            <?php 
 // output day, month, year
 $date_string = convert_date($my_timestamp->day, $my_timestamp->month, "", $my_config->datestyle); echo $date_string." ".$my_timestamp->year;

 // output time 
 $display_hour = gethour($my_timestamp->hour, $my_config->timedisplay);
 echo " - ".$display_hour['hour'].":".$my_timestamp->minute." ";
 if ($my_config->timedisplay == '12') echo $my_timestamp->am_pm;
  else echo $lang['O_Clock'];
?>
                            </span></td>
                          </tr>
                      </table></td>
                    </tr>
                  </table>
                  <img src="../images/blackdot.gif" width="100%" height="1"><br>
                  <br>
                  <?php }?>
                  <?php if (!$print) {?>
                  <table width="100%" border=0 cellpadding=2 cellspacing=3>
                    <tbody>
                      <tr>
                        <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                            <tr>
                              <td width="115"><div align="justify"><img src="../images/trackingbox.jpg" width="107" height="77"></div></td>
                              <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Mediadata_Detail'];?>
                                </div></td>
                            </tr>
                        </table></td>
                      </tr>
                    </tbody>
                  </table>                  
                  <?php }?>
                  <br>
                  <table width="100%" border=0>
                    <tbody>
                      <tr>
                        <td><div align=center>
                            <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                              <tr>
                                <td><div align="right"><img src="../images/box_topleft.gif" width="4" height="7"></div></td>
                                <td><img src="../images/box_top.gif" width="100%" height="7"></td>
                                <td><img src="../images/box_topright.gif" width="4" height="7"></td>
                              </tr>
                              <tr>
                                <td><div align="right"><img src="../images/box_left.gif" width="4" height="120"></div></td>
                                <td valign="top"><table width=99% border=0 align="center" cellpadding="0" cellspacing="0">
                                    <tr>
                                      <td colspan="6"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                                    <tr bordercolor="#000033">
                                      <td height="16" colspan="6" class="tablehead"><span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span><span class="small"><? echo $lang['Ad_Details'];?>:</span>
                                        <div align=left> </div></td>
                                    </tr>
                                    <tr bgcolor="#E2E2E2">
                                      <td colspan="6" bgcolor="#E2E2E2" class="small"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                                    <tr>
                                      <td width="159" height="20" class="boxbackground"><?php echo $lang['Name_Of_Media'];?> <br>
                                      </td>
                                      <td width="22" height="20" class="boxbackground">:</td>
                                      <td width="219" height="20" class="resultbackground"><span class="small">
                                      <?php 
echo $campaign_name;
?>
                                      </span>                                        </td>
                                      <td width="155" height="20" class="boxbackground"><?
echo $lang['Total_Clicks'];
?></td>
                                      <td width="23" height="20" class="boxbackground">:</td>
                                      <td width="159" height="20" class="resultbackground"><?php echo $clicks_total; ?>
                                     </td>
                                    </tr>
                                    <tr>
                                      <td width="159" height="20" class="boxbackground"><?php echo $lang['Category_Of_Media'];?> </td>
                                      <td width="22" height="20" class="boxbackground">:</td>
                                      <td height="20" class="resultbackground"><span class="small">
                                      <?php 
echo $campaign_category;
?>
                                      </span> </td>
                                      <td width="155" class="boxbackground"><?
echo $lang['Costs_Per_Click'];
?></td>
                                      <td width="23" height="20" class="boxbackground">:</td>
                                      <td height="20" class="resultbackground"><?php echo $costperclick.' '.$lang['Currency'];?></td>
                                    </tr>
                                    <tr>
                                      <td width="159" height="20" class="boxbackground"><?
echo $lang['Date_Of_Creation'];
?>
                                      </td>
                                      <td width="22" height="20" class="boxbackground">:</td>
                                      <td height="20" class="resultbackground"><span class="small">
                                      <?
echo $campaign_creation;
?>
                                      </span> </td>
                                      <td width="155" class="boxbackground"><?
echo $lang['Costs_This_Month'];
?></td>
                                      <td width="23" height="20" class="boxbackground">:</td>
                                      <td height="20" class="resultbackground"><?php printf("%.2f",$costs_this_month); echo ' '.$lang['Currency'];?></td>
                                    </tr>
                                    <tr>
                                      <td width="159" class="boxbackground"><?
echo $lang['Clicks_Today'];
?></td>
                                      <td width="22" height="20" class="boxbackground">:</td>
                                      <td height="20" class="resultbackground"><span class="small">
                                      <?php
 echo $clicks_today;
?>
                                      </span> </td>
                                      <td width="155" class="boxbackground"><?
echo $lang['Total_Costs'];
?></td>
                                      <td width="23" height="20" class="boxbackground">:</td>
                                      <td height="20" class="resultbackground"><?php printf("%.2f",$total_costs); echo ' '.$lang['Currency'];?></td>
                                    </tr>
                                    <tr>
                                      <td width="159" class="boxbackground"><?php echo $lang['Clicks_This_Month']; ?></td>
                                      <td height="20" class="boxbackground">:</td>
                                      <td height="20" class="resultbackground"><span class="small">
                                        <?php
 echo $clicks_month;
?>
                                      </span> </td>
                                      <td width="155" class="boxbackground"><?
echo $lang['Last_Click'];
?></td>
                                      <td height="20" class="boxbackground">:</td>
                                      <td height="20" class="resultbackground"><?php echo $last_clickdate; ?></td>
                                    </tr>
                                </table>


</td>
                                <td><img src="../images/box_right.gif" width="4" height="120"></td>
                              </tr>
                              <tr>
                                <td><div align="right"><img src="../images/box_lowleft.gif" width="4" height="11"></div></td>
                                <td><img src="../images/box_bottom.gif" width="100%" height="11"></td>
                                <td><img src="../images/box_lowright.gif" width="4" height="11" hspace="0" vspace="0" border="0"></td>
                              </tr>
                            </table>
                        </div></td>
                      </tr>
                    </tbody>
                  </table>
                  <br>
                    <div align="right"><table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0" class="finelinebox">
                      <tr>
                        <td height="16" valign="top" class="tablehead"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                            <tr>
                              <td width="83%" height="18" valign="middle" bgcolor="#32516E"><span class="tablehead"><img src="../images/blankspacer.gif" width="2" height="5" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Clicks_By_Day'];?>:</span></td>
                              <td width="17%" height="18" valign="middle" bgcolor="#32516E"><div align="right"><span class="small"><img src="../images/blankspacer.gif" width="5" height="5" border="0"></span></div></td>
                            </tr>
                        </table></td>
                      </tr>
                      <tr>
                        <td height="2" colspan="4"><img src="../images/blackdot.gif" width="100%" height="1"></td>
                      </tr>
                      <tr>
                        <td width="68%" class="resultbackground"><div align="left"><span class="small"> <br>
                                  <?php

 // display bar chart showing number of media-clicks for selected media his month(by day)

 // seed with microseconds 
 function make_seed()
 { 
  @list($usec, $sec) = explode(' ', microtime());
  return (float) $sec + ((float) $usec * 100000);
 } 
 mt_srand(make_seed());
 $randval = mt_rand();

 // create a new chart image
 $chart = new chart();

 // define chart-filename
 $visitorchart_filename = "images/".$my_session->account_id."_chartaddetails.png";
 if(file_exists($visitorchart_filename))  @unlink($visitorchart_filename);

 // set filename of image to be breated
 $chart->setFilename($visitorchart_filename); 

 // set type of chart
 $chart->setGraphType('days');

 // set image height and width properties
 $chart->setWidth(770);
 $chart->setHeight(250);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('vertical');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis($my_timestamp->daysthismonth); // draw ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(5);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(20);   	// margin on right side of image
 $chart->setLeftMargin(5);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(6);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // get number of media-clicks for each day of this month
 $medialclick_overview = monthly_mediaclicks($my_timestamp->month, $my_timestamp->year, $my_tables->campaigntable, $campaign_name);

 // get maximum and minimum value
 $maxvalue = max($medialclick_overview);
 $minvalue = min($medialclick_overview);

 // put all total-visitors per day into data-array
 foreach($medialclick_overview AS $key=>$value) {
  $chart->ReplaceValue($key,$value);
 }
 
  // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);

 // draw chart
 if ($chart_type == 'line') $chart->drawLineChart();
  else $chart->drawChart();
 ?>
                            </span><img src="<?php echo $visitorchart_filename."?id=".$randval;?>"><br>
                            <br>
                        </div></td>
                      </tr>
                    </table>
                    <br>
                    <br>
                    <img src="../images/blackdot.gif" width="100%" height="1"><span class="small"><br>
                    </span>
                    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="82%"><?php if (!$print) { ?>
                            <span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"> <a href="mediadata.php"><?php echo $lang['Mediadata'];?></a></span>
                            <?php } ?></td>
                        <td width="18%"><div align="right"><span class="small"><?php echo $lang['Total_Clicks'];?>: <?php echo $clicks_total; ?></span></div></td>
                      </tr>
                    </table>
                  <span class="small">                    <br>
                  </span> </div>
                  <table width=100% border=0 cellspacing="0" cellpadding="2">
                    <tr>
                      <td colspan=3 height=5 valign="top">
                        <!-- Hidden frame START -->
                        <iframe src="" id="exportframe" name="exportframe" frameborder="0" width="0" height="0" style="visiblity:hidden;">IFRAME</iframe>
                        <!-- Hidden frame END -->
                      </td>
                    </tr>
                </table></td>
            </tr>
        </table></td>
    </tr>
  </table>
</div>
</body>
</html>

















