<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/configdata.inc.php");
include_once ($include_path."./../includes/exportdata.inc.php");
include_once ($include_path."./../includes/getcountry.inc.php");
include_once ($include_path."./../includes/timeconverter.inc.php");
include_once ($include_path."./../chart/chart.inc.php"); 			   

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp(); 

 // check if user is logged in or not
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $_SESSION['account_id']);

 // maximum width for graph
 $graphmaxwidth = 500;

 // maximum length of data key
 $maxfieldlength = 55;

 // number of days in this month
 $numofdays = date ("d", mktime(0,0,0,$my_timestamp->month+1,0,$my_timestamp->year));

 // get name of bot from refering page
 $target_bot = urldecode($_REQUEST['target_bot']);

 // get number of number of unique days controlled this month
 $activedays = active_days($my_timestamp->month, $my_timestamp->year, $my_timestamp->daysthismonth, $my_tables->maintable);

 // get number of visits for requested bot (this month)
 $botvisits_targetbot = botvisits_targetbot(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, $target_bot);

 // get total number of all bot-visits
 $botvisits = botvisits(1,$my_timestamp->daysthismonth,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);

 // get country-origin of bot
 @$maxid   = mysql_result(mysql_query("SELECT MAX(id) FROM $my_tables->maintable
									  WHERE visitor_browserfull = '$target_bot' AND websitename = '$activesitename'"),0,0);
 @$country = mysql_result(mysql_query("SELECT visitor_country FROM $my_tables->maintable
									  WHERE visitor_browserfull = '$target_bot'
									  AND id = '$maxid'"),0,0);
 $country = getcountry($country);
 if($country == '') $country = $lang['Unknown'];

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>

<html>
<head>
<title>Bot Details</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="cache-control" content="no-no-cache, must-revalidate">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function printme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?print=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 window.open(target, 'printWindow', 'height=500,width=980, scrollbars');return false;
}
function exportme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?export=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 document.getElementById("exportframe").src = target;
}
///////////////////////////////////////////////////////
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&target_bot=<?php echo $target_bot;?>&displayframe_name=reports/botdetails.php';
}
//-->
</script>
</head>
<body onload="<?php if ($print) echo "window.print();";?> showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Bot_Details_For'];?> </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
        <span class="small"><img src="../images/blackdot.gif" width="100%" height="1"><br>
        </span><br>          
        <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/robotbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Bot_Details'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table width="100%" border=0>
            <tbody>
              <tr>
                <td><div align=center>
                    <table width="100%"  border="0" cellpadding="0" cellspacing="0">
                      <tr>
                        <td><div align="right"><img src="../images/box_topleft.gif" width="4" height="7"></div></td>
                        <td><img src="../images/box_top.gif" width="100%" height="7"></td>
                        <td><img src="../images/box_topright.gif" width="4" height="7"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_left.gif" width="4" height="40"></div></td>
                        <td valign="top"><table width=99% border=0 align="center" cellpadding="0" cellspacing="0">
                            <tr>
                              <td colspan="9"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr bordercolor="#000033">
                              <td height="16" colspan="9" class="tablehead"> <span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></span><span class="small"><? echo $lang['Bot_Name'];?>:</span> <span class="small"> <?php echo $target_bot;?></span>
                                  <div align=left> </div></td>
                            </tr>
                            <tr bgcolor="#E2E2E2">
                              <td colspan="9" bgcolor="#E2E2E2" class="small"><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></td>
                            <tr>
                              <td width="104" height="20" class="boxbackground"> <?php echo $lang['Total_Visits'];?> <br>
                              </td>
                              <td width="14" height="20" class="boxbackground">:</td>
                              <td width="133" height="20" class="resultbackground"><?php 
echo $botvisits_targetbot;
?>
                              </td>
                              <td width="102" height="20" bgcolor="#F8F8F8" class="boxbackground"><?
echo $lang['Visits_Per_Day'];
?></td>
                              <td width="16" height="20" class="boxbackground">:</td>
                              <td width="107" bgcolor="#F8F8F8" class="resultbackground"><?php 
echo round(($botvisits_targetbot/$activedays),2);
?></td>
                              <td width="86" height="20" class="boxbackground"><?
echo $lang['Country'];
?></td>
                              <td width="21" height="20" class="boxbackground">:</td>
                              <td width="154" height="20" class="resultbackground"><?php echo $country; ?>                                  </td>
                            </tr>
                        </table></td>
                        <td><img src="../images/box_right.gif" width="4" height="40"></td>
                      </tr>
                      <tr>
                        <td><div align="right"><img src="../images/box_lowleft.gif" width="4" height="11"></div></td>
                        <td><img src="../images/box_bottom.gif" width="100%" height="11"></td>
                        <td><img src="../images/box_lowright.gif" width="4" height="11" hspace="0" vspace="0" border="0"></td>
                      </tr>
                    </table>
                </div></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0" class="finelinebox">
            <tr>
              <td height="16" colspan="4" class="tablehead"><span class="small"><img src="../images/blankspacer.gif" width="2" height="5" border="0"> <img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><span class="smallBold"></span><?php echo $lang['Bot_Visits_Day'];?></span></td>
            </tr>
            <tr>
              <td height="2" colspan="4"><img src="../images/blackdot.gif" width="100%" height="1"></td>
            </tr>
            <tr>
              <td width="68%" class="resultbackground"><div align="center"><span class="small"> <br>
                        <?php

 // display bar chart showing number of bot-visits to site this month(by day)
 
 // create a new chart image
 $chart = new chart();

 // set type of graph
 $chart->setGraphType('botdetails'); 

 // seed with microseconds 
 function make_seed()
 { 
  @list($usec, $sec) = explode(' ', microtime());
  return (float) $sec + ((float) $usec * 100000);
 } 
 mt_srand(make_seed());
 $randval = mt_rand();

 // define chart-filename
 $botchart_filename = "images/".$my_session->account_id."_chartbotvisits.png";
 @unlink($botchart_filename);
 
 // set filename of image to be breated
 $chart->setFilename($botchart_filename); 

 // set image height and width properties
 $chart->setWidth(770);
 $chart->setHeight(250);
 
  // construct chart
 $chart->constructChart();
  
 // set color of bars and bar-borders
 $chart->setBarColor('bluegray');
 $chart->setSecondBarColor('lighterblue');
 $chart->setBarBorderColor('black');

 // set image backgroundcolor
 $chart->setBackgroundColor('lightgray');

 // set direction of value-display
 $chart->setValueDirection('horizontal');
 
 // set color of values display in/above bars
 $chart->setBarValueColor('white');

 // set number of marks on X and Y axis
 $chart->setTicks_X_Axis(10);
 $chart->setTicks_Y_Axis($my_timestamp->daysthismonth); // draw ticks on y-axis

 // set graph top offset
 $chart->setGraphTopOffset(5); // top offset

 // set labeloffset on X-axis
 $chart->setLabelOffset(5);

 // set border color,width and border margins
 $chart->setBorderMarginLeft(0);   	// border margin on left side
 $chart->setBorderMarginBottom(0); 	// border margin on bottom side
 $chart->setBorderMarginTop(0); 	// border margin on top side
 $chart->setBorderColor('black');
 $chart->setBackLineColor('black');
 $chart->setBorderWidth(1);

 // set margin
 $chart->setRightMargin(15);   	// margin on right side of image
 $chart->setLeftMargin(15);   	// margin on left side of image
 $chart->setTopMargin(15);   	// margin on right side of image
 $chart->setBottomMargin(20);   // margin on left side of image
 
 // set bar-spacing 
 $chart->setBarSpacing(6);   	// margin on right side of image

 // set axis data
 $chart->setTickColor('black');
 $chart->setAxisColor('black');
 $chart->setValueColor('black');
 $chart->setTickLength(2);
  
 // read total-visitor-data from database
 $bot_visits = bot_monthly_overview($my_timestamp->daysthismonth, $my_timestamp->month, $my_timestamp->year, $my_tables->maintable, $target_bot);
 
 // get maximum and minimum value
 $maxvalue = max($bot_visits);
 $minvalue = min($bot_visits);

 // put all total-visitors per day into data-array
 foreach($bot_visits AS $key=>$value) { 
  $chart->ReplaceValue($key,$value);
 }

 // set maximum and minimum chart-values
 $chart->setMaxValue($maxvalue);
 $chart->setMinValue($minvalue);

 // draw chart
 $chart->drawChart();

 ?>
                  </span><image src="<?php echo $botchart_filename."?id=".$randval;?>"><br>
                  <br>
              </div></td>
            </tr>
          </table>
        <span class="small"><br>
        </span><span class="small"> </span> <span class="small"><br>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          </span>
          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="60%">                  <span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="botvisits.php"><?php echo $lang['Bot_Visits'];?></a></span>, <span class="small"><a href="searchengines.php"><?php echo $lang['Searchengines'];?></a></span>, <span class="small"><a href="searchwords.php"><?php echo $lang['Searchwords'];?></a></span> </td>
              <td width="40%"><div align="right"></div></td>
            </tr>
          </table>
          <br>
          <br>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr>
              <td colspan=3 valign="top"><!-- Hidden frame START -->
                  <iframe src="" id="exportframe" name="exportframe" frameborder="0" width="0" height="0" style="visiblity:hidden;">IFRAME</iframe></td>
            </tr>
        </table></td>
    </tr>
  </table>
</div>
</body>
</html>





