<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 $include_path = dirname(__FILE__); $include_path .= "/";
 @include ($include_path."./../language/language.inc.php");
 @include ($include_path."./../includes/binarystat.inc.php");
 @include ($include_path."./../includes/global.inc.php");
 @include ($include_path."./../includes/configdata.inc.php");
 @include ($include_path."./../includes/timezone.inc.php");
 @include ($include_path."./../includes/dbactions.inc.php");
 @include ($include_path."./../includes/getcountry.inc.php"); 
 @include ($include_path."./../includes/sessions.inc.php"); 
 @include ($include_path."./../includes/hidefunctions.inc.php"); 
 @include ($include_path."./../includes/timeconverter.inc.php"); 	 

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();
 
 // create new database connection
 $my_db = new binarystat_db;
 $my_conn = $my_db->connect();
 
 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();
 
 // get database-ID for this visitor
 $vis_dbid = $_GET['vis_dbid'];

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();  

 // read active websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $_SESSION['account_id']);

 // load detailed information for the selected visitor
 @$result 	= mysql_query("SELECT * FROM $my_tables->maintable WHERE id='$vis_dbid'"); 
 @$myobject = mysql_fetch_object($result);
 $vis_ip			= trim($myobject->visitor_ip);
 $vis_id			= trim($myobject->visitor_id);
 $vis_referer 		= trim($myobject->visitor_referer);
 $vis_host	 	 	= trim($myobject->visitor_hostname);
 $vis_system 	 	= trim($myobject->visitor_system);
 $vis_browser 		= trim($myobject->visitor_browserfull);
 $vis_unique 		= trim($myobject->unique_visit);
 $vis_entrypage 	= trim($myobject->requested_page);
 $proxyinfo 		= trim($myobject->proxyinfo);
 $vis_country		= trim($myobject->visitor_country);
 $vis_language		= trim($myobject->visitor_language);
 $vis_resolution 	= trim($myobject->visitor_resolution);
 $vis_colordepth 	= trim($myobject->visitor_colordepth);
 
 $maxid 	= mysql_result(mysql_query("SELECT MAX(id) FROM $my_tables->plugintable WHERE visitor_id='$vis_id'"),0,0);
 @$result 	= mysql_query("SELECT * FROM $my_tables->plugintable WHERE id='$maxid'"); 
 @$myobject = mysql_fetch_object($result);
 $vis_java 				= $myobject->javaenabled;
 $vis_cookies 			= $myobject->cookiesenabled;
 $vis_flash 			= $myobject->flashenabled;
 $vis_quicktime			= $myobject->quicktimeenabled;
 $vis_shockwave			= $myobject->shockwaveenabled;	
 $vis_acrobat			= $myobject->acrobatenabled;
 $vis_svg				= $myobject->svgenabled;
 $vis_realplayer		= $myobject->realplayerenabled;
 $vis_mediaplayer		= $myobject->mediaplayerenabled;

 if(empty($vis_java))		 $vis_java 		  = $lang['No'];
 if(empty($vis_cookies))	 $vis_cookies 	  = $lang['No'];
 if(empty($vis_flash))	     $vis_flash 	  = $lang['No'];
 if(empty($vis_quicktime))   $vis_quicktime	  = $lang['No'];
 if(empty($vis_shockwave))   $vis_shockwave	  = $lang['No'];	
 if(empty($vis_acrobat))     $vis_acrobat	  = $lang['No'];
 if(empty($vis_svg))	  	 $vis_svg		  = $lang['No'];
 if(empty($vis_realplayer))	 $vis_realplayer  = $lang['No'];
 if(empty($vis_mediaplayer)) $vis_mediaplayer = $lang['No'];

 @$result 	= mysql_query("SELECT UNIX_TIMESTAMP(visitor_timestamp) AS unix_timestamp FROM $my_tables->maintable WHERE id = '$vis_dbid'"); 
 @$myobject = mysql_fetch_object($result);

 $unix_timestamp = $myobject->unix_timestamp;
 if ($my_config->timedisplay == '12')
  $vis_hour 	 = strftime( "%I", $unix_timestamp);
 else
  $vis_hour 	 = strftime( "%H", $unix_timestamp);
 
 $vis_am_pm 	 = strftime( "%p", $unix_timestamp);
 $vis_minute 	 = strftime( "%M", $unix_timestamp);
 $vis_second 	 = strftime( "%S", $unix_timestamp);
 $vis_day 		 = strftime( "%d", $unix_timestamp);
 $vis_month 	 = strftime( "%m", $unix_timestamp);
 $vis_year 	 	 = strftime( "%Y", $unix_timestamp);
 
 // check for characters in visitor IP
 $temp_vis_hostname = $vis_hostname;
 if (eregi("[a-z][A-Z]",$vis_ip)) $temp_vis_ip = trim(substr($temp_vis_hostname,0,25));
  else $temp_vis_ip = $vis_ip;

 // create timestamps
 $stamp_start = $vis_year.'-'.$vis_month.'-'.$vis_day.' 00:00:00';
 $stamp_end   = $vis_year.'-'.$vis_month.'-'.$vis_day.' 23:59:59';
 
 // get number of impressions/pageviews
 $sql ="SELECT COUNT(*) FROM $my_tables->trackingtable";
 if (empty($vis_id))
  $sql .= " WHERE visitor_ip='$vis_ip'";
 else
  $sql .= " WHERE visitor_id='$vis_id'";

 $sql .=  " AND visitor_timestamp BETWEEN '$stamp_start' AND '$stamp_end'
		    AND websitename = '$activesitename'";

 @$pageviewstotal = mysql_result(mysql_query($sql),0,0);

 // cut vis_ip once more for next queries
 if (eregi("[a-z][A-Z]",$temp_vis_ip)) $temp_vis_ip = trim(substr($temp_vis_ip,0,15));
  else $temp_vis_ip = $vis_ip;

 $visits_total    = visits_day($vis_id, $vis_ip, $my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable);
 $visits_unique   = visits_day($vis_id, $vis_ip, $my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "UNIQUE");
 
  // get total number of downloads for this visitor
 $visitor_downloads = downloads_for_user($vis_id, $visitor_ip, $vis_day, $vis_month, $vis_year, $my_tables->downloadtable);

 //  hide IP if in demo-mode
 if ($my_session->usertype == 'DEMO') 
 {
  if (!eregi("[a-z]", $vis_host)) $showvis_host = hideIP($vis_ip);
   else $showvis_host = hideHostname($vis_host);
 
  $showvis_ip = hideIP($vis_ip);
 }
 else
 {
  $showvis_ip = $vis_ip; $showvis_host = $vis_host;
 }

?>
<html>
<head>
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"><title><?php echo $lang['Visitor_Details'];?></title><style type="text/css">
<!--
body {
	background-color: #F5F5F5;
	margin-left: 12px;
	margin-right: 12px;
	margin-bottom: 0px;
	margin-top: 15px;
}
-->
</style>
</head>
<body bgcolor="#F5F5F5">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="98%"><div align="center">          <img src="../images/blackdot.gif" width="100%" height="1" border="0"><br>
    </div>
      <table border="0" width="100%">
        <tr>
         <td width="82%"><?php echo $lang['Hostname'];?> :<img src="../images/blankspacer.gif" width="5" height="5"><?php
 if (strlen($showvis_host)<= 45) echo $showvis_host;
 if (strlen($showvis_host)>45) // If hostname length longer than 38 chars, cut it.
 {
 $temphost = substr($showvis_host,0,42);
 $temphost .= "...";
 echo $temphost;
 }
 ?> </td>
          <td width="18%">
            <div align="right"><img src="../images/blankspacer.gif" width="5" height="5">
                <?php if ($proxyinfo <> "" && eregi("STEALTH", $proxyinfo)) echo $lang['Proxy']; else echo $lang['Directly']; ?>
          </div></td>
        </tr>
      </table>
<img src="../images/blackdot.gif" width="100%" height="1" border="0"><br>
      <div align="center">
        <TABLE width=100% 
            border=0
            cellPadding=0 cellSpacing=0 borderColorLight=#002222 borderColorDark=#000099>
          <tr>
            <td colspan="6"><img src="../images/blankspacer.gif" width="15" height="10"></td>
          </tr>
          <tr>
            <td height="20"> <?php echo $lang['IP_Address'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td height="20" colspan="4"><?php echo $showvis_ip; ?></td>
          </tr>
          <tr>
            <td width="105" height="20"> <?php echo $lang['Time_Of_Visit'];?></td>
            <td width="26" height="20"><div align="center">:</div></td>
            <td height="20" colspan="4"><?php
$date_string = convert_date_short($vis_day, $vis_month, $vis_year, $my_config->datestyle);

// delete leading zero if timedisplay is set to 12 
if ($my_config->timedisplay == '12')
 if ($vis_hour{0} == '0') $vis_hour = $vis_hour{1};
 
 echo "$date_string - $vis_hour:$vis_minute ";
 if ($my_config->timedisplay == '12')
  { echo $vis_am_pm;}
 else echo $lang['O_Clock'];

 ?></td>
          </tr>
          <tr>
            <td height="20"> <?php echo $lang['Entry_Page'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td height="20" colspan="4">
              <?php 
$linkpage = $vis_entrypage;
if ($vis_entrypage == $my_config->indexpage && !empty($my_config->indexdynamicname)) $vis_entrypage = $my_config->indexdynamicname;
if (empty($linkpage) || $linkpage == 'Unknown') echo $lang['Unknown'];
else
{
 if (strlen($vis_entrypage) > 45) // if pagename longer than 55 chars, cut it after 52 chars and add three dots
 {
  $vis_entrypage = substr($vis_entrypage,0,42);
  $vis_entrypage .= "...";
 }   
 echo "<a href='http://".$activesitename."$linkpage' target='blank'>$vis_entrypage</a>";
}
?></td>
          </tr>
          <tr>
            <td height="20" colspan="6"><img src="../images/blackdot.gif" width="100%" height="1" border="0" align="absmiddle"></td>
          </tr>
          <tr>
            <td height="20"> <?php echo $lang['Unique_Visit'];?></td>
            <td width="26" height="20"><div align="center">: </div>
                <div align="center"></div></td>
            <td height="20" colspan="4">
              <?php if ($vis_unique=="TRUE") echo $lang['Yes']; if ($vis_unique=="FALSE") echo $lang['No'];?>
            </td>
          </tr>
          <tr>
            <td height="20"> <?php echo $lang['Visits'];?>, <?php echo $lang['Impressions'];?></td>
            <td height="20"><div align="center">: </div>
                <div align="center"></div></td>
            <td height="20" colspan="4"> <?php echo "$visits_total ".$lang['Total']." ($visits_unique ".$lang['Unique'].") / $pageviewstotal ".$lang['Impressions']." (".$lang['Today'].")"; ?> </td>
          </tr>
          <tr bordercolor="#006699">
            <td height="20"> <?php echo $lang['Downloads'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td height="20" colspan="4"> <?php echo $visitor_downloads; ?> </td>
          </tr>
          <tr bordercolor="#006699">
            <td height="20"> <?php echo $lang['System'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td height="20" colspan="4">
              <?php 
echo $vis_system; ?>
              <font size="2">&nbsp;</font></td>
          </tr>
          <tr bordercolor="#006699">
            <td height="20"> <?php echo $lang['Browser'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td height="20" colspan="4">
              <?php if ($vis_browser<>"Unknown") {echo $vis_browser;} else echo $lang['Unknown']; ?>
            </td>
          </tr>
          <tr>
            <td height="20"> <?php echo $lang['Resolution'];?>, <?php echo $lang['Colordepth'];?></td>
            <td height="20">
              <div align="center">:</div></td>
            <td height="20" colspan="4">
              <?php if ($vis_resolution != 'Unknown' && $vis_resolution != '') echo $vis_resolution; else echo $lang['Unknown'];?>, 
              <?php if ($vis_colordepth != 'Unknown' && $vis_colordepth != '') echo $vis_colordepth." ".$lang['Bit']; else echo $lang['Unknown']; ?>
              </td>
          </tr>
          <tr>
            <td height="20"><?php echo $lang['Country'];?>, <?php echo $lang['Language'];?></td>
            <td height="20">
              <div align="center">:</div></td>
            <td height="20" colspan="4"><?php if ($vis_country != 'Unknown') {echo getcountry($vis_country);} else echo $lang['Unknown']; ?> /            
            <?php if ($vis_language != 'Unknown' && $vis_language != '') {echo $lang[$vis_language];} else echo $lang['Unknown']; ?></td>
          </tr>
          <tr>
            <td height="20" colspan="6"><img src="../images/blackdot.gif" width="100%" height="1" border="0" align="absmiddle"></td>
          </tr>
          <tr>
            <td height="20"><?php echo $lang['Java'];?></td>
            <td height="20">
              <div align="center">:</div></td>
            <td width="96" height="20"><div align="left">
                <?php if ($vis_java == "TRUE") echo $lang['Yes']; else echo $lang['No']; ?>
            </div></td>
            <td width="90" height="20"><?php echo $lang['Quicktime'];?></td>
            <td width="22" height="20"><div align="center">:</div></td>
            <td height="20"><?php if ($vis_quicktime == "TRUE") echo $lang['Yes']; else echo $lang['No'];  ?></td>
          </tr>
          <tr>
            <td height="20"> <?php echo $lang['Cookies'];?></td>
            <td height="20">
              <div align="center">:</div></td>
            <td height="20"><div align="left">
                <?php if ($vis_cookies == "TRUE") echo $lang['Yes']; else echo $lang['No']; ?>
            </div></td>
            <td height="20"><?php echo $lang['Realplayer'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td height="20"><?php if ($vis_realplayer == "TRUE") echo $lang['Yes']; else echo $lang['No'];  ?></td>
          </tr>
          <tr>
            <td height="20"> <?php echo $lang['Flash'];?></td>
            <td height="20">
              <div align="center">:</div></td>
            <td height="20"><div align="left">
                <?php if ($vis_flash == "TRUE") echo $lang['Yes']; else echo $lang['No']; ?>
            </div></td>
            <td height="20"><?php echo $lang['Acrobat_Reader'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td height="20"><?php if ($vis_acrobat == "TRUE") echo $lang['Yes']; else echo $lang['No'];  ?></td>
          </tr>
          <tr>
            <td height="20"> <?php echo $lang['Shockwave'];?></td>
            <td height="20">
              <div align="center">:</div></td>
            <td height="20"><div align="left">
                <?php if ($vis_shockwave == "TRUE") echo $lang['Yes']; else echo $lang['No'];  ?>
            </div></td>
            <td height="20"><?php echo $lang['SVG_Viewer'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td height="20"><?php if ($vis_svg == "TRUE") echo $lang['Yes']; else echo $lang['No'];  ?></td>
          </tr>
          <tr>
            <td height="20"> <?php echo $lang['Mediaplayer'];?></td>
            <td height="20">
              <div align="center">:</div></td>
            <td height="20"><div align="left">
                <?php if ($vis_mediaplayer == "TRUE") echo $lang['Yes']; else echo $lang['No'];  ?>
            </div></td>
            <td height="20">&nbsp;</td>
            <td height="20"><div align="center"></div></td>
            <td height="20">&nbsp;</td>
          </tr>
        </table>
    </div></td>
  </tr>
  <tr>
    <td></td>
  </tr>
</table>
<div align="center"></div>
</html>