<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/getcountry.inc.php");
include_once ($include_path."./../includes/timeconverter.inc.php");
include_once ($include_path."./../includes/configdata.inc.php"); 	

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp(); 

 // check if user is logged in or not
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // read active websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $my_session->account_id);

 // get variables from calling page
 $database_id	= $_REQUEST['database_id']; 

 // set maximum field length
 $maxfieldlength = 65;

 // set maxmium length of displayed referer
 $max_refererlength = 64;

 // get information for selected visitor from database
 $result 	= mysql_query("SELECT * FROM $my_tables->maintable WHERE id = '$database_id' LIMIT 0,1");
 $my_object = mysql_fetch_object($result);

 $visitor_hostname  	= $my_object->visitor_hostname;
 $visitor_country   	= $my_object->visitor_country;
 $visitor_language  	= $my_object->visitor_language;
 $visitor_id			= $my_object->visitor_id;
 $visitor_ip			= $my_object->visitor_ip;
 $visitor_refererpage	= $my_object->visitor_refererpage;
 $visitor_referertype	= $my_object->visitor_referertype;
 $visitor_timestamp   	= $my_object->visitor_timestamp;

 // decode the timebox
 $original_timebox = urldecode($_REQUEST['timebox']);
 $timebox 	= explode("#", $original_timebox);

 $vis_day 		 = $timebox[0];
 $vis_month 	 = $timebox[1];
 $vis_year 		 = $timebox[2];
 $vis_hour 		 = $timebox[3];
 $vis_minute 	 = $timebox[4];
 $vis_second 	 = $timebox[5];

 // get timestamp;
 // $visitor_timestamp = $_REQUEST['timestamp'];

 // read pos-variables from calling page
 $currentpos    = $_REQUEST['currentpos'];
 $current_page  = $_REQUEST['current_page'];
 $pos 		    = $_REQUEST['pos'];
 $limitday_low  = $_REQUEST['limitday_low'];
 $limitday_high = $_REQUEST['limitday_high'];
 $dayofvisit    = $_REQUEST['dayofvisit'];

 // check if all pageviews need to be displayed
 $action 		= $_REQUEST['action'];

 // get total number of downloads for this visitor
 $visitor_downloads = downloads_for_user($visitor_id, $visitor_ip, $vis_day, $vis_month, $vis_year, $my_tables->downloadtable);

 ####################################################################################################################
 ## create different time-variables for later use in this routine
 ####################################################################################################################
 $stamp_start   = mktime(0,0,0,$vis_month,$vis_day,$vis_year);
 $stamp_end     = mktime(23,59,59,$vis_month,$vis_day,$vis_year);
 $stamp_select  = mktime($vis_hour,$vis_minute,$vis_second,$vis_month,$vis_day,$vis_year);

 $selected_date = $vis_year.'-'.$vis_month.'-'.$vis_day." $vis_hour:$vis_minute:$vis_second";
 $end_of_day    = $vis_year.'-'.$vis_month.'-'.$vis_day.' 23:59:59';
 $start_of_day  = $vis_year.'-'.$vis_month.'-'.$vis_day.' 00:00:00';

 // set flag for "show all pageviews"-button
 $show_all_button = FALSE;

 ####################################################################################################################
 ## get time of first pageview for selected date from TRACKINGTABLE
 ####################################################################################################################
 $sql = "SELECT visitor_timestamp FROM $my_tables->trackingtable
		 WHERE visitor_timestamp BETWEEN '$start_of_day' AND '$end_of_day'
         AND websitename = '$activesitename'";

 // is visitor-ID available? if not, use visitor-ID
 if (!empty($visitor_id))
  $sql .= " AND visitor_id = '$visitor_id' ORDER BY visitor_timestamp ASC LIMIT 0,1";
 else
  $sql .= " AND visitor_ip = '$visitor_ip' ORDER BY visitor_timestamp ASC LIMIT 0,1";

 @$first_pageview = mysql_result(mysql_query($sql),0,0);

 ####################################################################################################################
 ## check if there are any NEWER entries in the MAINTABLE for this visitor for selected day 
 ####################################################################################################################
 $sql = "SELECT visitor_timestamp FROM $my_tables->maintable
		 WHERE visitor_timestamp > '$selected_date' AND DAYOFMONTH(visitor_timestamp) = $vis_day
		 AND MONTH(visitor_timestamp) = $vis_month AND YEAR(visitor_timestamp) = $vis_year
         AND websitename = '$activesitename'";
 
 // is visitor-ID available? if not, use visitor-ID
 if (!empty($visitor_id))
  $sql .= " AND visitor_id = '$visitor_id' ORDER BY visitor_timestamp ASC LIMIT 0,1";
 else
  $sql .= " AND visitor_ip = '$visitor_ip' ORDER BY visitor_timestamp ASC LIMIT 0,1";
 
 // execute query and get data
 @$next_timestamp = mysql_result(mysql_query($sql),0,0);

 ####################################################################################################################
 ## check if there are any OLDER visits for this visitor for selected day 
 ####################################################################################################################
 $sql = "SELECT visitor_timestamp FROM $my_tables->maintable
		 WHERE visitor_timestamp < '$visitor_timestamp'
         AND websitename = '$activesitename'";
 
 // is visitor-ID available? if not, use visitor-ID
 if (!empty($visitor_id))
  $sql .= " AND visitor_id = '$visitor_id'";
 else
  $sql .= " AND visitor_ip = '$visitor_ip'";

 // finalize query
  $sql .=  " AND DAYOFMONTH(visitor_timestamp) = '$vis_day' ORDER BY visitor_timestamp DESC LIMIT 0,1";

 // execute query and get data
 @$previous_timestamp = mysql_result(mysql_query($sql),0,0);

 // check if "display-all-button" needs to be displayed
 if (!empty($next_timestamp)) {$show_all_button = TRUE; $more_visits= TRUE;}
 if (!empty($previous_timestamp) && empty($next_timestamp)) {$show_all_button = TRUE; $more_visits= FALSE;}

 // uncomment next line for debugging purposes
 // echo "PREV: $previous_timestamp -- NEXT: $next_timestamp -- SELECTED: $selected_date -- MORE: "; if ($more_visits) echo "YES"; else echo "NO"; echo "<br>";

 ####################################################################################################################
 ## create query to display visited pages BUT only those withing selected timerange
 ####################################################################################################################
 $show_query = "SELECT *, UNIX_TIMESTAMP(visitor_timestamp) AS unix_timestamp FROM $my_tables->trackingtable";

 // no newer visits to webiste but there has been one before this one
 if (!$more_visits && !empty($previous_timestamp) && $action != 'showall')
  $show_query .= " WHERE visitor_timestamp >= '$selected_date' ";

 // newer visits to website but none before this one
 if ($more_visits && $action != 'showall')
  $show_query .= " WHERE visitor_timestamp >= '$selected_date' AND visitor_timestamp < '$next_timestamp'";

 // no newer and no older pageview -> this is the only one
 if (!$more_visits && empty($previous_timestamp) && $action != 'showall')
  $show_query .= " WHERE visitor_timestamp >= '$selected_date' ";

 // user wants to see all pageviews
 if ($action == 'showall')
  $show_query .= " WHERE visitor_timestamp >= '$first_pageview' AND visitor_timestamp <= '$end_of_day'";

 // is and ID or just the IP available
 if (empty($visitor_id))
  $show_query .= " AND visitor_ip = '$visitor_ip'";
 else
  $show_query .= " AND visitor_id = '$visitor_id'";

 // limitize query
 $show_query .= " AND DAYOFMONTH(visitor_timestamp) = '$vis_day' AND MONTH(visitor_timestamp) = '$vis_month'";

 // finalize query	 
 $show_query .= " AND websitename = '$activesitename'";


 ####################################################################################################################
 ## calculate number of impressions for selected visitor
 ####################################################################################################################
 $impressions_query = "SELECT COUNT(*) FROM $my_tables->trackingtable";

 // no newer visits to webiste but there has been one before this one
 if (!$more_visits && !empty($previous_timestamp) && $action != 'showall')
  $impressions_query .= " WHERE visitor_timestamp >= '$selected_date' ";

 // newer visits to website but none before this one
 if ($more_visits && $action != 'showall')
  $impressions_query .= " WHERE visitor_timestamp >= '$selected_date' AND visitor_timestamp < '$next_timestamp'";

 // no newer and no older pageview -> this is the only one
 if (!$more_visits && empty($previous_timestamp) && $action != 'showall')
  $impressions_query .= " WHERE visitor_timestamp >= '$selected_date' ";

 // user wants to see all pageviews
 if ($action == 'showall')
  $impressions_query .= " WHERE visitor_timestamp >= '$first_pageview' AND visitor_timestamp <= '$end_of_day'";

 // is and ID or just the IP available
 if (empty($visitor_id))
  $impressions_query .= " AND visitor_ip = '$visitor_ip'";
 else
  $impressions_query .= " AND visitor_id = '$visitor_id'";

 // limitize query
 $impressions_query .= " AND DAYOFMONTH(visitor_timestamp) = '$vis_day' AND MONTH(visitor_timestamp) = '$vis_month'";

 // finalize query	 
 $impressions_query .= " AND websitename = '$activesitename'";

 // get number of pageviews from DB
 @$pageviewstotal =  mysql_result(mysql_query($impressions_query),0,0);

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>

<html>
<head>
<title>Visitor-Tracking</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
///////////////////////////////////////////////////////
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
  document.getElementById(rowname+"E").className = cname;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
//-->
</script>
</head>
<body onload="maximizeLayer('contentClip');showLayer('mydoc');showLayer('content');rightAlign('sliderbg',0);rightAlign('down',0);rightAlign('up',0);rightAlign('drag',0);rightAlign('ruler',0);eventLoader();MM_preloadImages('../images/srefresh_down.gif','../images/allpages_down.gif');showLayer('contentClip')"><!-- DHTML Menu Builder Loader Code START -->
<div id=DMBRI style="position:absolute;">
<img src="../images/dmb_i.gif" name=DMBImgFiles width="1" height="1" border="0" alt="">
<img src="../menu/dmb_m.gif" name=DMBJSCode width="1" height="1" border="0" alt="">
</div>
<script language="JavaScript" type="text/javascript">
var rimPath=null;var rjsPath=null;var rPath2Root=null;function InitRelCode(){var iImg;var jImg;var tObj;if(!document.layers){iImg=document.images['DMBImgFiles'];jImg=document.images['DMBJSCode'];tObj=jImg;}else{tObj=document.layers['DMBRI'];if(tObj){iImg=tObj.document.images['DMBImgFiles'];jImg=tObj.document.images['DMBJSCode'];}}if(!tObj){window.setTimeout("InitRelCode()",700);return false;}rimPath=_gp(iImg.src);rjsPath=_gp(jImg.src);rPath2Root=rjsPath+"../";return true;}function _purl(u){return xrep(xrep(u,"%%REP%%",rPath2Root),"\\","/");}function _fip(img){if(img.src.indexOf("%%REL%%")!=-1) img.src=rimPath+img.src.split("%%REL%%")[1];return img.src;}function _gp(p){return p.substr(0,p.lastIndexOf("/")+1);}function xrep(s,f,n){if(s) s=s.split(f).join(n);return s;}InitRelCode();
</script>
<script language="JavaScript" type="text/javascript">
function LoadMenus() {if(!rjsPath){window.setTimeout("LoadMenus()", 10);return false;}var navVer = navigator.appVersion;
if(navVer.substr(0,3) >= 4)
if((navigator.appName=="Netscape") && (parseInt(navigator.appVersion)==4)) {
document.write('<' + 'script language="JavaScript" type="text/javascript" src="' + rjsPath + 'nsmenu_frames.js"><\/script\>');
} else {
document.write('<' + 'script language="JavaScript" type="text/javascript" src="' + rjsPath + 'iemenu_frames.js"><\/script\>');
}return true;}LoadMenus();</script>
<!-- DHTML Menu Builder Loader Code END -->

	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%">
              <span class="smallBold"><? echo $lang['Overview'];?>
              </span>
              <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?>
         </td> 
            <td width="28%" class="small"><div align="right">
              <span class="small"><?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?>
              </span></div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/stepsbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Visitorsteps'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table cellspacing=0 cellpadding=1 width=100% border=0>
            <tr>
              <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                        <tr>
                          <td colspan="8" class="tablehead"></td>
                        <tr class="small">
                          <td width="70%" height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Visitor_Movement'];?> <?php echo $lang['For'];?>: <img src="../images/blankspacer.gif" width="5" height="8" border="0"><?php echo "$visitor_hostname ($visitor_ip)";?></td>
                          <td width="30%" class="tablehead"><div align="right">
<?php 
 $date_string = convert_date($vis_day, $vis_month, $vis_year, $my_config->datestyle);
 echo $lang['Date'];?>: <?php echo $date_string;?><img src="../images/blankspacer.gif" width="8" height="5" border="0"></div></td>
                        </tr>
                        <tr>
                          <td colspan="8" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                      </table>
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="optionsbackground">
                          <tr>
                            <td width="4%" height="25" bgcolor="#EBEBEB" class="optionsbackground"><span class="small"><u><?php echo $lang['Country'];?></u>:</span></td>
                            <td width="13%" height="25" bgcolor="#EBEBEB" class="optionsbackground"><span class="small"><?php  $country = getcountry($visitor_country); if ($country != "") echo $country; else echo $lang['Unknown'];?></span></td>
                            <td width="3%" height="25" bgcolor="#EBEBEB" class="optionsbackground"><div align="center"><img src="../images/divider.gif" width="2" height="15"></div></td>
                            <td width="7%" height="25" bgcolor="#EBEBEB" class="optionsbackground"><span class="small"><u><?php echo $lang['Impressions'];?></u>:</span></td>
                            <td width="5%" height="25" bgcolor="#EBEBEB" class="optionsbackground"><span class="small"><?php echo $pageviewstotal;?></span></td>
                            <td width="2%" height="25" bgcolor="#EBEBEB" class="optionsbackground"><div align="center"><img src="../images/divider.gif" width="2" height="15"></div></td>
                            <td width="8%" height="25" bgcolor="#EBEBEB" class="optionsbackground"><span class="small"><u><?php echo $lang['Downloads'];?></u>:</span></td>
                            <td width="5%" height="25" bgcolor="#EBEBEB" class="optionsbackground"><span class="small"><?php echo $visitor_downloads;?></span></td>
                            <td width="3%" height="25" bgcolor="#EBEBEB" class="optionsbackground"><div align="center"><img src="../images/divider.gif" width="2" height="15"></div></td>
                            <td width="6%" height="25" bgcolor="#EBEBEB" class="optionsbackground"><span class="small"><u><?php echo $lang['Referer'];?></u>:</span></td>
                            <td width="44%" height="25" bgcolor="#EBEBEB" class="optionsbackground"><span class="small">
                              <?php if ($visitor_refererpage == 'None') echo $lang['Direct_Access']; 
else
{ 
 if (strlen($visitor_refererpage) > $max_refererlength) {$temp_refererpage = substr($visitor_refererpage,0,$max_refererlength-3);
  $temp_refererpage .= "...";}
 else $temp_refererpage = $visitor_refererpage;

 echo "<a href='$visitor_refererpage' title = '$visitor_refererpage' target='_blank'>$temp_refererpage</a>";
}
?>
                            </span></td>
                          </tr>
                        </table></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <br>
          <table cellspacing=0 cellpadding=1 width=100% border=0>
            <tr>
              <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table width=100% border=0 cellpadding="0" cellspacing="0">
                      <tr>
                        <td colspan="10" class="tablehead"></td>
                      <tr class="tablehead">
                        <td width="51%" height="16" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Download_Name'];?></td>
                        <td width="16%" class="tablehead"><?php echo $lang['Time_Of_Download'];?></td>
                        <td width="16%" class="tablehead"><?php echo $lang['Filesize'];?></td>
                        <td width="17%" class="tablehead"><?php echo $lang['Download_ID'];?></td>
                      </tr>
                      <tr>
                        <td colspan="10" class="tablehead"></td>
                    </table>                    <table width="100%" border="0" cellpadding="0" cellspacing="0" class="optionsbackground">
                          <tr>
                            <td height="25" bgcolor="#EBEBEB" class="optionsbackground">
<?php
/////////////////////////////////////////////////////////////////////////////////////////////////////////
if (empty($visitor_downloads)) echo "<img src='../images/blankspacer.gif' width='15' height='15' border='0'>".$lang['No_Downloads']."<br>"; 

if ($id_available)
 $downloadquery = "SELECT *,UNIX_TIMESTAMP(download_timestamp) AS download_time
						FROM $my_tables->downloadtable 
						WHERE websitename = '$activesitename'
						AND DAYOFMONTH(download_timestamp) = $vis_day
						AND MONTH(download_timestamp)	   = $vis_month	
						AND YEAR(download_timestamp) 	   = $vis_year
						AND visitor_id = '$visitor_id'
						ORDER BY download_timestamp ASC
					   ";
else
 $downloadquery = "SELECT *,UNIX_TIMESTAMP(download_timestamp) AS download_time
						FROM $my_tables->downloadtable 
						WHERE websitename = '$activesitename'
						AND DAYOFMONTH(download_timestamp) = $vis_day
						AND MONTH(download_timestamp)	   = $vis_month	
						AND YEAR(download_timestamp) 	   = $vis_year
						AND visitor_ip = '$visitor_ip'
						ORDER BY download_timestamp ASC
					   ";

 // execute query
 $download_result = mysql_query($downloadquery);
 $step = 1;
 $countervalue = 1;
 $showmax = 500;
 while (@$download_object = mysql_fetch_object($download_result))
 { 
 $unix_timestamp = $download_object->download_time;
 $vis_hour 	 	 = strftime( "%H", $unix_timestamp);
 $vis_minute 	 = strftime( "%M", $unix_timestamp);
 $vis_second 	 = strftime( "%S", $unix_timestamp);
 $vis_day 		 = strftime( "%d", $unix_timestamp);
 $vis_month 	 = strftime( "%m", $unix_timestamp);
 $vis_year 		 = strftime( "%Y", $unix_timestamp);

 $lastfiletitle  = $download_object->filetitle;
 $myfilesize  	 = $download_object->filesize;
 $download_id  	 = $download_object->fileid;
 
 if (strlen($lastfiletitle) > 60) { $lastfiletitle = substr($lastfiletitle,0,57);$lastfiletitle .= "..."; }
 $formatted_filesize = number_format($myfilesize,0);
 $formatted_filesize = str_replace ( ",", ".", $myfilesize);

 
 // we cycle with a loop through all
 if ($step == 1) $bcolor = "#EEEEEE"; // Switch background color of output line
 else if ($step == 2) {$bcolor = "#DFDFDF";} // Switch background color of output line
 {
?>
                              <table width="100%" border="0" cellpadding="0" cellspacing="0">
                              <tr bgcolor="<?php echo $bcolor ?>" class="optionsbackground">
                                <td width="51%" valign="middle"><div align="left"> <img src="../images/blankspacer.gif" width="12" height="5" border="0"><?php echo $countervalue.". ";?> <img src="../images/blankspacer.gif" width="8" height="5" border="0">
                                        <?php
 echo  $lastfiletitle;?>
                                        <img src="../images/blankspacer.gif" width="8" height="5" border="0"></div></td>
                                <td width="16%" valign="middle"><?php echo "$vis_day.$vis_month.$vis_year";?></td>
                                <td width="16%" valign="middle"><?php echo $formatted_filesize." ".$lang['Kilobyte'];?></td>
                                <td width="17%" valign="middle"><?php echo $download_id;?></td>
                              </tr>
                            </table>                              <span class="small">
                            <?php }
 if ($step == 1) $step = 2;
 else if ($step == 2) {$step = 1;}
 $page++;
 }
?>                            
                            </span></td>
                      </tr>
                      </table></td>
                  </tr>
              </table></td>
            </tr>
          </table>          
          <br>
          <TABLE cellSpacing=0 cellPadding=1 width=100% border=0>
            <TR>
              <TD valign="top" bgColor="#818181"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table width=100% border=0 cellpadding="0" cellspacing="0">
                      <tr>
                        <td colspan="10" class="tablehead"></td>
                      <tr class="tablehead">
                        <td width="51%" height="16" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Visited_Webpage'];?></td>
                        <td width="16%" class="tablehead"><?php echo $lang['Time_Of_Visit'];?></td>
                        <td width="16%" class="tablehead"><?php echo $lang['Time_Spent'];?></td>
                        <td width="17%" class="tablehead"><?php echo $lang['Total_Time'];?></td>
                      </tr>
                      <tr>
                        <td colspan="10" class="tablehead"></td>
                    </table>
                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr valign="middle" bgcolor="#EBEBEB">
                            <td><span class="small"><img src="../images/blankspacer.gif" width="5" height="2" border="0"></span></td>
<?php

 //////////////////////////////////////////////////////////////////////////////////////////////////////////
 
 // set some variables
 $i=0;
 $showorder = 'ASC';

 // execute query to display visited pages
 @$result = mysql_query($show_query);

 // read all data into array
 $data_available = FALSE;
 if (@mysql_num_rows($result))
 { 
  $data_available = TRUE;
  while($myobject = mysql_fetch_object($result))
  { 
   $myarray[$i]["webpage"] 	   = $myobject->visitor_webpage;
   $myarray[$i]["realwebpage"] = $myobject->visitor_realpagename;
   $myarray[$i]["unixtime"]    = $myobject->unix_timestamp;
   $i++;
  }
  $x	   = 1;
  $step = 1;
  $page = 1;
  for ($i=0; $i<count($myarray); $i++)
  {
   // get time of page visit
   $vis_minute 	= strftime( "%M", $myarray[$i]["unixtime"]);
   $vis_second 	= strftime( "%S", $myarray[$i]["unixtime"]);
   $vis_day 	= strftime( "%d", $myarray[$i]["unixtime"]);
   $vis_month 	= strftime( "%m", $myarray[$i]["unixtime"]);
   $vis_year 	= strftime( "%Y", $myarray[$i]["unixtime"]);
 
   if ($my_config->timedisplay == '12')
    $vis_hour 	 = strftime( "%I", $myarray[$i]["unixtime"]);
   else
    $vis_hour 	 = strftime( "%H", $myarray[$i]["unixtime"]);

   $vis_am_pm 	 = strftime( "%p", $myarray[$i]["unixtime"]);

   if ($step == 1) $bcolor = "#EEEEEE"; // Switch background color of output line
    else if ($step == 2) {$bcolor = "#DFDFDF";} // Switch background color of output line
   {
?>                          </tr>
                          <tr valign="middle" bgcolor="#EBEBEB">
                            <td class="small">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr bgcolor="<?php echo $bcolor ?>">
    <td id="Row<?php echo $x;?>A" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');" width="4%" valign="middle" ><div align="right"><?php echo $x.". ";?> <img src="../images/blankspacer.gif" width="8" height="5" border="0"> </div></td>
    <td id="Row<?php echo $x;?>B" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');" width="47%" valign="middle">
      <?php
  
 $tempcheck = substr($myarray[$i]["realwebpage"],0,1);
 if ($tempcheck != "/") { $tempkey = '/'.$myarray[$i]['realwebpage']; $myarray[$i]['realwebpage'] = $tempkey;}

 if ($myarray[$i]['webpage'] == 'Unknown') echo $lang['Pagename_Unknown'];
 else
 {
 if (strlen($myarray[$i]["webpage"])>$maxfieldlength) // if pagename longer than 55 chars, cut it after 52 chars and add three dots
 {
 $pagename = substr($myarray[$i]['webpage'],0,$maxfieldlength-3);
 $pagename .= "...";
 echo "<a href='http://".$activesitename.$myarray[$i]["realwebpage"]."' title='".$myarray[$i]['webpage']."' target='blank'>".$pagename."</a>";
 }
 if (strlen($myarray[$i]['webpage']) <= $maxfieldlength) echo "<a href='http://".$activesitename.$myarray[$i]["realwebpage"]."' target='blank'>".$myarray[$i]["webpage"]."</a>";
 }
?>
    </td>
    <td id="Row<?php echo $x;?>C" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');" width="16%" valign="middle">
      <?php
 echo "$vis_hour:$vis_minute:$vis_second ";
 if ($my_config->timedisplay == '12')
  echo $vis_am_pm; else echo $lang['O_Clock'];
?>
    </td>
    <td id="Row<?php echo $x;?>D" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');" width="16%" valign="middle">
      <?php
if ($i<count($myarray)-1)
{
 $diff = $myarray[$i+1]["unixtime"]-$myarray[$i]["unixtime"];
 $days = ($diff - ($diff % 86400)) / 86400;
 $diff = $diff - ($days * 86400);
 $hours = ($diff - ($diff % 3600)) / 3600;
 $diff = $diff - ($hours * 3600);
 $minutes = ($diff - ($diff % 60)) / 60;
 $diff = $diff - ($minutes * 60);
 $seconds = ($diff - ($diff % 1)) / 1;
 if ($seconds<10) $newseconds = "0".$seconds; else $newseconds = $seconds;
 if ($minutes<10) $newminutes = "0".$minutes; else $newminutes = $minutes;
 echo "$newminutes:$newseconds ".$lang['Minutes'];
 $totaltime["minutes"] += $minutes;
 $totaltime["seconds"] += $seconds;
}
else echo "-";
?>
    </td>
    <td id="Row<?php echo $x;?>E" class="" onMouseover="hiLite('Row<?php echo $x;?>','overcell');" onMouseout="hiLite('Row<?php echo $x;?>','');" width="17%" valign="middle">
      <?php
 if ($totaltime["seconds"]>60)
 {
 $totaltime["minutes"] += 1;
 $totaltime["seconds"] = ($totaltime["seconds"]-60);
 }
 if ($page==count($myarray)) echo "<b>";
 if (($totaltime["minutes"]<10) AND ($totaltime["minutes"]>0))
 {echo "0".$totaltime["minutes"];echo ":";}
 elseif ($totaltime["minutes"]>=10){ echo $totaltime["minutes"]; echo ":";}
 else { echo "00:";}
if (($totaltime["seconds"]<10) AND ($totaltime["seconds"]>0)) { echo "0".$totaltime["seconds"]; echo " ".$lang['Minutes']; }
 elseif ($totaltime["seconds"]>10) {echo $totaltime["seconds"]; echo " ".$lang['Minutes'];} else { echo "00 ".$lang['Minutes']; }
 if ($page==count($myarray)) echo "</b>";
?>
    </td>
  </tr>
</table>
<?php }
 $x++;
 if ($step == 1) $step = 2;
 else if ($step == 2) {$step = 1;}
 $page++;
 }
}
?></td>
                          </tr>
                      </table></td>
                  </tr>
              </table></TD>
            </TR>
          </TABLE>
          <div align="right"><br>
            <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <form action="../overview.php" method="post" name="gobackform" id="gobackform">
              <TABLE width="100%" border=0 cellPadding=0 cellSpacing=0>
                <TBODY>
                  <TR>
                    <TD>
                      <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0>
                        <TR>
                          <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <td><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                                    <tr valign="middle">
                                      <td height="22" valign="bottom"> <div align="right">                                        
                                     
<?php
if ($show_all_button && $_REQUEST['reloaded'] != 'TRUE')
{
?>
<a href="visitorsteps.php?action=showall&database_id=<?php echo $database_id; ?>&timebox=<?php echo urlencode($original_timebox);?>&reloaded=TRUE&pos=<?php echo $pos;?>&current_page=<?php echo $current_page;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('allpages','','../images/allpages_down.gif',1)"><img src="../images/allpages.gif" alt="<?php echo $lang['Show_All_Pageviews'];?>" name="allpages" width="142" height="13" border="0" align="absmiddle"></a>
<?php }?>
<input name="reloaded" type="hidden" id="reloaded" value="TRUE">                                        
<input name="pos" type="hidden" id="pos" value="<?php echo $pos;?>">
                                            <input name="current_page" type="hidden" id="current_page" value="<?php echo $current_page;?>">
                                            <input name="limitday_low" type="hidden" id="limitday_low" value="<?php echo $limitday_low;?>">
                                            <input name="limitday_high" type="hidden" id="limitday_high" value="<?php echo $limitday_high;?>">
                                            <input name="high_butt" type="hidden" id="high_butt" value="<?php echo $high_butt;?>">
                                            <input name="low_butt" type="hidden" id="low_butt" value="<?php echo $low_butt;?>">
                                        <SCRIPT LANGUAGE="javascript" type="text/javascript">
<!--
var prevpage = new submitForm("../images/prevpage.gif","../images/prevpage_down.gif","previouspage");
prevpage.alt ="<?php echo $lang['To_Previous_Page'];?>";
prevpage.write();
//-->
                                          </SCRIPT>
</div></td>
                                    </tr>
                                </table></td>
                              </tr>
                          </table></TD>
                        </TR>
                    </TABLE></TD>
                  </TR>
                </TBODY>
              </TABLE>
            </form>
            <br>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
                <td colspan=3 height=63 valign="top">&nbsp;</td>
              </tr>
        </table>        </td>
      </tr>
    </table>
</body>
</html>















































 