<!--
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function getData(sitename,installdir)
{
// step #1: set some variables to FALSE
java 	    = "FALSE";
cookies     = "FALSE";
flash 	    = "FALSE";
mediaplayer = "FALSE";
shockwave   = "FALSE";
realplayer  = "FALSE";
quicktime   = "FALSE";
acrobat     = "FALSE";
svg 	    = "FALSE";

// step #2: detect colordepth
visColordepth = screen.colorDepth;

// step #3: detect screen resolution
visScreenX = window.screen.width;
visScreenY = window.screen.height;

// step #4: detect cookie-support
if (window.navigator.cookieEnabled) cookies = "TRUE"; else cookies = "FALSE";

// step #5: detect browser and version
var visUserAgent = navigator.userAgent.toLowerCase(); 

// browser engine name
isGecko       = (visUserAgent.indexOf('gecko') != -1 && visUserAgent.indexOf('safari') == -1);
isAppleWebKit = (visUserAgent.indexOf('applewebkit') != -1);
isKonqueror   = (visUserAgent.indexOf('konqueror') != -1); 
isSafari      = (visUserAgent.indexOf('safari') != - 1);
isOmniweb     = (visUserAgent.indexOf('omniweb') != - 1);
isOpera       = (visUserAgent.indexOf('opera') != -1); 
isIcab        = (visUserAgent.indexOf('icab') != -1); 
isAol         = (visUserAgent.indexOf('aol') != -1); 
isIE          = (visUserAgent.indexOf('msie') != -1 && !isOpera && (visUserAgent.indexOf('webtv') == -1) ); 
isMozilla     = (isGecko && visUserAgent.indexOf('gecko/') + 14 == visUserAgent.length);
isFirebird    = (visUserAgent.indexOf('firebird/') != -1);
isFirefox     = (visUserAgent.indexOf('firebird/') != -1);
isNS          = ((isGecko) ? (visUserAgent.indexOf('netscape') != -1) : ( (visUserAgent.indexOf('mozilla') != -1) && !isOpera && !isSafari && (visUserAgent.indexOf('spoofer') == -1) && (visUserAgent.indexOf('compatible') == -1) && (visUserAgent.indexOf('webtv') == -1) && (visUserAgent.indexOf('hotjava') == -1) ) );
isWin 	      = ((visUserAgent.indexOf('win')!=-1) || (visUserAgent.indexOf('32bit')!=-1));

// browser version number
geckoVersion = ( (isGecko) ? visUserAgent.substring( (visUserAgent.lastIndexOf('gecko/') + 6), (visUserAgent.lastIndexOf('gecko/') + 14) ) : -1 );
equivalentMozilla = ( (isGecko) ? parseFloat( visUserAgent.substring( visUserAgent.indexOf('rv:') + 3 ) ) : -1 );
appleWebKitVersion = ( (isAppleWebKit) ? parseFloat( visUserAgent.substring( visUserAgent.indexOf('applewebkit/') + 12) ) : -1 );
   
// browser version
versionMinor = parseFloat(navigator.appVersion); 
if (isGecko && !isMozilla){versionMinor = parseFloat( visUserAgent.substring( visUserAgent.indexOf('/', visUserAgent.indexOf('gecko/') + 6) + 1 ) );}
 else if (isMozilla) {versionMinor = parseFloat( visUserAgent.substring( visUserAgent.indexOf('rv:') + 3 ) );}
 else if (isIE && versionMinor >= 4) {versionMinor = parseFloat( visUserAgent.substring( visUserAgent.indexOf('msie ') + 5 ) );}
 else if (isKonqueror) {versionMinor = parseFloat( visUserAgent.substring( visUserAgent.indexOf('konqueror/') + 10 ) );}
 else if (isSafari) {versionMinor = parseFloat( visUserAgent.substring( visUserAgent.lastIndexOf('safari/') + 7 ) );}
 else if (isOmniweb) {versionMinor = parseFloat( visUserAgent.substring( visUserAgent.lastIndexOf('omniweb/') + 8 ) );}
 else if (isOpera) {versionMinor = parseFloat( visUserAgent.substring( visUserAgent.indexOf('opera') + 6 ) );}
 else if (isIcab) {versionMinor = parseFloat( visUserAgent.substring( visUserAgent.indexOf('icab') + 5 ) );}
versionMajor = parseInt(versionMinor); 
  
// dom support
isDOM1 = (document.getElementById);
isDOM2Event = (document.addEventListener && document.removeEventListener);

// step #8: detect plugins
if (isIE && isWin) { pluginlist = detectIE("Adobe.SVGCtl","SVG Viewer") + detectIE("SWCtl.SWCtl.1","Shockwave Director") + detectIE("ShockwaveFlash.ShockwaveFlash.1","Shockwave Flash") + detectIE("rmocx.RealPlayer G2 Control.1","RealPlayer") + detectIE("QuickTimeCheckObject.QuickTimeCheck.1","QuickTime") + detectIE("MediaPlayer.MediaPlayer.1","Windows Media Player") + detectIE("Pdf.PdfCtrl.5","Acrobat Reader"); }
else if(isNS || !isWin) {nse = ""; for (var i=0;i<navigator.mimeTypes.length;i++) nse += navigator.mimeTypes[i].type.toLowerCase();
		pluginlist = detectNS("image/svg-xml","SVG Viewer") + detectNS("application/x-director","Shockwave Director") + detectNS("application/x-shockwave-flash","Shockwave Flash") + detectNS("audio/x-pn-realaudio-plugin","RealPlayer") + detectNS("video/quicktime","QuickTime") + detectNS("application/x-mplayer2","Windows MediaA Player") + detectNS("application/pdf","Acrobat Reader");}
else { nse = ""; for (var i=0;i<navigator.mimeTypes.length;i++) nse += navigator.mimeTypes[i].type.toLowerCase();
		pluginlist = detectNS("image/svg-xml","SVG Viewer") + detectNS("application/x-director","Shockwave Director") + detectNS("application/x-shockwave-flash","Shockwave Flash") + detectNS("audio/x-pn-realaudio-plugin","RealPlayer") + detectNS("video/quicktime","QuickTime") + detectNS("application/x-mplayer2","Windows MediaA Player") + detectNS("application/pdf","Acrobat Reader"); }


function detectIE(ClassID,name) 
{
 result = false;
 document.writeln('<SCRIPT LANGUAGE=VBScript>');
 document.writeln('on error resume next');
 document.writeln('If ScriptEngineMajorVersion >= 2 then');
 document.writeln('result = False');
 document.writeln('result = IsObject(CreateObject("' + ClassID + '"))');
 document.writeln('If (err) then');
 document.writeln('result = False');
 document.writeln('End If');
 document.writeln('Else');
 document.writeln('result = False');
 document.writeln('End If');
 document.writeln('</SCRIPT>');
 if (result) return name+','; else return '';
}
  
function detectNS(ClassID,name)
{
 n = ""; 
 if (nse.indexOf(ClassID) != -1) if (navigator.mimeTypes[ClassID].enabledPlugin != null) n = name+","; return n;
}

pluginlist += navigator.javaEnabled() ? "Java," : "";

if (pluginlist.length > 0) pluginlist = pluginlist.substring(0,pluginlist.length-1);
//detect Flash
if (pluginlist.indexOf("Flash")!=-1) flash = "TRUE";
//detect Windows Media Player
if (pluginlist.indexOf("Windows Media Player")!=-1) mediaplayer = "TRUE";
//detect Java
if (pluginlist.indexOf("Java")!=-1) java = "TRUE";
//detect Shockwave
if (pluginlist.indexOf("Shockwave Director")!=-1) shockwave = "TRUE";
//detect RealPlayer
if (pluginlist.indexOf("RealPlayer")!=-1) realplayer = "TRUE";
//detect QuickTime
if (pluginlist.indexOf("QuickTime")!=-1) quicktime = "TRUE";
//detect Acrobat Reader
if (pluginlist.indexOf("Acrobat Reader")!=-1) acrobat = "TRUE";
//detect SVG Viewer
if (pluginlist.indexOf("SVG Viewer")!=-1) svg = "TRUE";

 // save collected information for this visitor in querystring
 var querystring = "&width=" + visScreenX + "&height=" + visScreenY + "&colordepth=" + visColordepth + 
 		   "&java=" + java + "&cookies=" + cookies + "&flash=" + flash + "&mediaplayer=" + mediaplayer + 
 		   "&shockwave=" + shockwave + "&realplayer=" + realplayer + "&quicktime=" + quicktime + 
 		   "&acrobat=" + acrobat + "&svg=" + svg;

 // finalize the query string
 return querystring;
}
// cookie & random string functions
function getCookie(name)
{
 var start = document.cookie.indexOf( name + "=" );
 var len = start + name.length + 1;
 if ( ( !start ) &&
 ( name != document.cookie.substring( 0, name.length ) ) )
 {
 return null;
 }
 if ( start == -1 ) return null;
 var end = document.cookie.indexOf( ";", len );
 if ( end == -1 ) end = document.cookie.length;
 return unescape( document.cookie.substring( len, end ) );
}
function randomString()
{
 var chars = "!*+-#|<>=_0123456789ABCDEFGHIJKLMNOPQRSTUVWXTZabcdefghiklmnopqrstuvwxyz";
 var string_length = 40;
 var randomstring = '';
 for (var i=0; i<string_length; i++)
 {
  var rnum = Math.floor(Math.random() * chars.length);
  randomstring += chars.substring(rnum,rnum+1);
 }
 return randomstring;
 
}
function setCookie(name, value, expires, path, domain, secure)
{
 // remove www. from domain name
 teststr = domain.substring(0, 4);
 if (teststr == 'www.') domain = domain.substring(4, domain.length);
 
 // create a random, unique ID
 value = randomString();
 
 // set cookie expire date
 var today = new Date(); // get todays date
 today.setTime( today.getTime() ); // set time
 expires = 365 * 1000 * 60 * 60 * 24; // cookie expires in 1 year (365 days)
 var expires_date = new Date( today.getTime() + (expires) ); // set expire date

 // save cookie to visitors browser
 document.cookie= name + "=" + escape(value) +
 ((expires) ? "; expires=" + expires_date.toGMTString() : "") +
 ((path) ? "; path=" + path : "") +
 ((domain) ? "; domain=" + domain : "") +
 ((secure) ? "; secure" : "");
 }
//-->