<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 	 

include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->usertype  == 'WEBMASTER') { header("Location: ../login/loginfirstmessage.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get cursor position of useraccount-browser
 @$pos 		   = $_REQUEST['pos'];
 @$showcat     = $_REQUEST['showcat'];
 @$sortorder   = $_REQUEST['sortorder'];

 // number of buttons to browse through accounts -> must be an even number
 $showbuttons = 14;

 // maximum number of accounts to show per page 
 $showmax     = 25;
 
 // get next id from account-table
 @$maxid   = mysql_result(mysql_query("SELECT MAX(id) FROM $my_tables->accounttable"),0,0);
 $maxid++;

 ////////////////////////////////////////////////////////////////////////////////////////////////
 // CREATE NEW USER-ACCOUNT
 ////////////////////////////////////////////////////////////////////////////////////////////////

 // did admin submit the form -> create a new account
 if ($_POST['action'] == 'CREATE' && $my_session->usertype == 'ADMIN')
 { 
  // set some variables
  $username_in_use 	= FALSE;
  $no_password 		= FALSE;
  $username_empty   = FALSE;

  // get posted settigns
  $username 		= $_POST['username'];
  $password 		= $_POST['password'];
  $account_type 	= $_POST['account_type'];
  $account_active	= $_POST['account_active'];
  $timedisplay      = $_POST['timedisplay'];
  $datestyle        = $_POST['datestyle'];
 
  // check if username is already in use
  @$totalnum = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->accounttable WHERE account_username = '$username'"),0,0);
  if ($totalnum != 0) $username_in_use = TRUE;

  // check if password is empty
  if ($password =='' || $password == ' ') $no_password = TRUE;

  // check if username is empty
  if ($username =='' || $username == ' ') $username_empty = TRUE;

  // create a webmastercookie
  $webmastercookie  = "binarystatmaster";

  // whe have a valid username and password -> create new account
  if (!$username_in_use && !$no_password && !$username_empty)
  {
   @$result = mysql_query("INSERT INTO $my_tables->accounttable (webmastercookie, account_type, account_created,
						   account_username, account_password, account_active, websites, timedisplay, datestyle) VALUES
						   ('$webmastercookie','$account_type','$my_timestamp->now','$username', '$password',
					  	   '$account_active','', '$timedisplay', '$datestyle')");

   // send admin to account-overview
   header("location: editaccount.php"); exit();
  }
 }

 // function to create random order ID
 function makeRandomID()
 { 
  $salt = "ABCDEFGHIJKLMNOPQRSTUVWXYZabchefghjkmnpqrstuvwxyz0123456789"; 
  srand((double)microtime()*1000000); 
  $i = 1; 
  while ($i <= 15)
  { 
   $num  = rand() % 62; 
   $tmp  = substr($salt, $num, 1); 
   $pass = $pass . $tmp; 
   $i++; 
  } 
  return $pass; 
 } 

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Create Account </title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function ValidateForm()
{
 var nameField = document.createaccount.username;
 var passField = document.createaccount.password;
	
 if ((nameField.value==null)||(nameField.value=="")){
	    alert("<?php echo $lang['Please_Enter_Username'];?>")
		nameField.focus()
		return false
  }
 if ((passField.value==null)||(passField.value=="")){
  	    alert("<?php echo $lang['Please_Enter_Password'];?>")
		passField.focus()
		return false
  }
 return true
 }
function starthiding()
{
 top.parent.hidemymenus();
}
function setfocus()
{
 document.createaccount.username.focus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/createaccount.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();setfocus();<?php $message = $lang['Username_In_Use'];if ($username_in_use) echo "alert('$message');";?>">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./createaccount.php" target="_self"><?php echo $lang['Tab']['Create_Account']; ?></a></li>
 </ul>
<div id="contents">  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Create_Account'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <form name="createaccount" method="post" action="createaccount.php" onSubmit="return ValidateForm();">
    <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
      <TBODY>
        <TR>
          <TD bgcolor="#FFFFFF" class="finelinebox"><br>
              <table width="90%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                <tr>
                  <td width="14%" height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Account_ID'];?>
                      <div align="left"></div></td>
                  <td width="6%" height="25">:</td>
                  <td width="31%" height="25"><input name="maxid" type="text" id="totalvisits4" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $maxid;?>" maxlength="30" disabled onFocus="if (!document.all && !document.getElementById) this.blur()"></td>
                  <td width="14%"><?php echo $lang['Usertype'];?></td>
                  <td width="7%">:</td>
                  <td width="28%"><font color="#FFCC66" size="1" face="Geneva, Arial, Helvetica, san-serif">
                      <select name="account_type" id="account_type" style="width: 164px; height:20px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid; background-color:#FFFFFF">
                          <?php
 									 echo "<option value='ADMIN'>".$lang['Administrator']."</option>";
                                     echo "<option value='WEBMASTER' selected>".$lang['Webmaster']."</option>";
                                     echo "<option value='GUEST'>".$lang['Guest']."</option>";
                                     echo "<option value='DEMO'>".$lang['Demonstration_Mode']."</option>";
?>
                      </select>
                  </font></td>
                </tr>
                <tr>
                  <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Username'];?>
                      <div align="left"></div></td>
                  <td height="25">:</td>
                  <td height="25"><font color="#FFCC66" size="1" face="Geneva, Arial, Helvetica, san-serif">
                    <input name="username" type="text" id="username3" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" maxlength="50">
                  </font></td>
                  <td height="25"><?php echo $lang['Password'];?></td>
                  <td>:</td>
                  <td height="25">                      <input name="password" type="text" id="password4" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" maxlength="50">
                  </td>
                </tr>
                <tr>
                  <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Account_Active'];?>
                      <div align="left"></div></td>
                  <td height="25">:</td>
                  <td height="25"><input name="account_active" type="radio" value="TRUE" checked>
                      <?php echo $lang['Yes'];?>
                      <input type="radio" name="account_active" value="FALSE">
                      <?php echo $lang['No'];?></td>
                  <td height="25"><?php echo $lang['Date_Display'];?></td>
                  <td>:</td>
                  <td height="25"><input type="radio" name="datestyle" value="European" checked>
                    <?php echo $lang['European'];?>
                    <input type="radio" name="datestyle" value="American" >
                    <?php echo $lang['American'];?></td>
                </tr>
                <tr>
                  <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Time_System'];?></div></td>
                  <td height="25">:</td>
                  <td height="25"><input type="radio" name="timedisplay" value="24" checked>
24
  <?php echo $lang['Hours'];?>
  <input type="radio" name="timedisplay" value="12">
12 <?php echo $lang['Hours'];?></td>
                  <td height="25">&nbsp;</td>
                  <td>&nbsp;</td>
                  <td height="25">&nbsp;</td>
                </tr>
                <tr>
                  <td height="25" colspan="6"><img src="../images/blackdot.gif" width="100%" height="1"></td>
                  </tr>
                <tr>
                  <td height="25">&nbsp;</td>
                  <td height="25">&nbsp;</td>
                  <td height="25">&nbsp;</td>
                  <td height="25">&nbsp;</td>
                  <td>&nbsp;</td>
                  <td height="25"><div align="right">
                  <input name="image" type="image" src="../images/create.gif" alt="<?php echo $lang['Create_Account'];?>" align="middle">
                      <input name="action" type="hidden" id="action" value="CREATE">
                  </div></td>
                </tr>
              </table>
              <br></TD>
        </TR>
      </TBODY>
    </TABLE>
    </form>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
<div align="right">
  </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        
          <br>
          <img src="../images/blackdot.gif" width="100%" height="1">
          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="60%">
                <div align="left"><span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="editaccount.php"><?php echo $lang['Tab']['Edit_Account'];?></a>, <a href="deleteaccount.php"><?php echo $lang['Tab']['Delete_Account'];?></a></span></div></td>
              <td width="40%"><div align="right"></div></td>
            </tr>
          </table></td>
      </tr>
    </table>
</div>
</body>
</html>











