<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	 = explode(" ",$starttime); 
 $starttime   	 = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 

 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
 $timeparts = explode(" ",microtime());
 $starttime = $timeparts[1].substr($timeparts[0],1); 

 $include_path = dirname(__FILE__); $include_path .= "/";
 include_once ($include_path."./../language/language.inc.php");
 include_once ($include_path."./../includes/global.inc.php");			 
 include_once ($include_path."./../includes/binarystat.inc.php"); 		 	 
 include_once ($include_path."./../includes/timezone.inc.php");
 include_once ($include_path."./../includes/sessions.inc.php");
 include_once ($include_path."./../includes/vars.inc.php"); 

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get standard variables
 $my_vars = new getchoostat_vars;
 $my_vars -> build_vars();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->usertype  == 'WEBMASTER') { header("Location: ../login/loginfirstmessage.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}
 
 // get next id from account-table
 @$maxid   = mysql_result(mysql_query("SELECT MAX(id) FROM $my_tables->websitestable"),0,0);
 $maxid++;

 ////////////////////////////////////////////////////////////////////////////////////////////////
 // CREATE NEW WEBSITE
 ////////////////////////////////////////////////////////////////////////////////////////////////
 // seed with microseconds 
 function make_seed()
 { 
  @list($usec, $sec) = explode(' ', microtime());
  return (float) $sec + ((float) $usec * 100000);
 } 
 mt_srand(make_seed());
 
 // set some variables
 $website_in_use = 'FALSE'; 

 // did admin submit the form -> create a new website
 if ($_POST['action'] == 'CREATE' && $my_session->usertype == 'ADMIN')
 { 
  // get posted settings
  $websitename = $_POST['websitename'];
 
  // check if website already exists
  @$total_num = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->websitestable WHERE websitename = '$websitename'"),0,0);
  @$cnofw = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->websitestable"),0,0);
  if ($total_num > 0) $website_in_use = 'TRUE';else $website_in_use = 'FALSE';$mnofw=10;

  // whe have a valid websitename that does not already exsist -> save new website to database 
  if ($website_in_use == 'FALSE' && !empty($websitename) && $cnofw<$mnofw)
  {
   // set default configuration for new website
   $traceserver = $my_vars->traceserver;
   $tracedir    = $my_vars->tracedir;

   // execute query
   @$result = mysql_query("INSERT INTO $my_tables->websitestable (websitecreated,logging_activated,websitename,accountid,reloadblocking,uniqueblocking,
						    visitorsperpage,showentries,visitortimeout,visitortracking,blacklist,blacklist_active,emaillist,
						    emaillist_active,emailtype,emailsendmode,emailtrigger,showvisitors,
  						    traceserver,tracedir,traceroute_type,timeshift,hourofnotify,downloaddomains,downloadmonitor,downloadstart, 
  						    downloadend,downloaderrorpage,downloadprotocol,showrobotspider,enhancedlogging,gethostname,cpm,totalvisits,
						    uniquevisits,urltype,pagedeleteinterval,indexpage,indexdynamicname,mediatracker)
						    VALUES ('$my_timestamp->now','TRUE','$websitename','$my_session->account_id','0','0','25','15','5','TRUE','','FALSE',
						    '','FALSE','HTML','DAILY','1500','ALL','$traceserver','$tracedir','EXTERNAL','0','23:00','','FALSE','00:00','00:00',
						    'FALSE','FALSE','TRUE','FALSE','TRUE','0','0','0','STANDARD','7','','','INACTIVE')");
 
   echo mysql_error();    

   // check #1: create entry for new website in COUNTERTABLE if needed
   $numofrows 		= 0;
   @$numofrows 		= mysql_result(mysql_query("SELECT count(*) AS numofrows FROM $my_tables->countertable WHERE websitename = '$websitename'"),0,0);
   $saved_visitor 	= 'FALSE';
   if (empty($numofrows)) // no data row for that website, create one now
   { 
    @$result = mysql_query("INSERT INTO $my_tables->countertable (uniquevisits,totalvisits,websitename) VALUES('0','0','$websitename')");
    $saved_visitor = 'TRUE';
   }
 
   // check #1: create entry for new website in VISITORTABLE if needed
   $numofrows 	= 0;
   @$numofrows 	= mysql_result(mysql_query("SELECT count(*) FROM $my_tables->visitortable
  										    WHERE visitor_month = '$my_timestamp->month'
     		   							    AND visitor_year  = '$my_timestamp->year'
   			   							    AND websitename = '$websitename'"),0,0);
   			  
   if (empty($numofrows))
   {
    @$result = mysql_query("INSERT INTO $my_tables->visitortable (uniquevisits,totalvisits,visitor_month,visitor_year,websitename) 
     	     	            VALUES('0','0','$my_timestamp->month','$my_timestamp->year','$websitename')");
    $saved_visitor = 'TRUE';
   }

   // send admin to website-overview
   header("location: editwebsite.php"); exit();
  }
 }
 
 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Create Website</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function ValidateForm()
{
 var websiteField = document.createwebsite.websitename;
 if ((websiteField.value==null)||(websiteField.value=="")){
	    alert("<?php echo $lang['Please_Enter_Websitename'];?>")
		websiteField.focus()
		return false
  }
 return true
 }
function starthiding()
{
 top.parent.hidemymenus();
}
function setfocus()
{
 document.createwebsite.websitename.focus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/createwebsite.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();setfocus();<?php $message = $lang['Websitename_In_Use'];if ($website_in_use == 'TRUE') echo "alert('$message');"; if ($_POST['action'] == 'CREATE' && $my_session->usertype == 'ADMIN' && $cnofw==$mnofw){$message = $lang['Maximum_Websites']; echo "alert('$message');";} ?>">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./createwebsite.php" target="_self"><?php echo $lang['Tab']['Create_Website']; ?></a></li>
 </ul>
<div id="contents">  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Create_Website'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <form name="createwebsite" method="post" action="createwebsite.php" onSubmit="return ValidateForm();">
    <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
      <TBODY>
        <TR>
          <TD bgcolor="#FFFFFF" class="finelinebox"><br>
              <table width="59%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                <tr>
                  <td width="18%" height="25"><img src="../images/blankspacer.gif" width="5" height="5"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <img src="../images/blankspacer.gif" width="3" height="5"><?php echo $lang['Websitename'];?>
                      <div align="left"></div></td>
                  <td width="5%" height="25">:</td>
                  <td width="77%" height="25"><font color="#FFCC66" size="1" face="Geneva, Arial, Helvetica, san-serif">
                    <input name="websitename" type="text" id="websitename" style="width: 260px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" maxlength="50">
                  </font></td>
                  </tr>
              </table>
              <br></TD>
        </TR>
      </TBODY>
    </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF">                            <div align="right">
                              <input name="image" type="image" src="../images/addsite.gif" alt="<?php echo $lang['Add_Website'];?>" align="middle" width="142" height="13">
                              <input name="action" type="hidden" id="action" value="CREATE"> 
                              </div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
</form>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
<div align="right"><span class="small"><br>
</span>
  <img src="../images/blackdot.gif" width="100%" height="1">
  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="60%">
        <div align="left"><span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="editwebsite.php"><?php echo $lang['Tab']['Edit_Website'];?></a>, <a href="deletewebsite.php"><?php echo $lang['Tab']['Delete_Website'];?></a>, <a href="websitesoverview.php"><?php echo $lang['Tab']['Website_Overview'];?></a></span></div></td>
      <td width="40%"><div align="right"></div></td>
    </tr>
  </table>
  <span class="small">  <br>
  </span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>