<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/
// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get php-settings
 $phpsettings = getphpinfo();
 if (eregi("enabled", $phpsettings['zlib']['ZLib Support'][0])) $compression_supported = TRUE;
  else $compression_supported = FALSE;

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Database Backup</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function sendMyForm()
{
 FormObject=document.forms['exportform'];
 FormObject.target='exportframe';
 FormObject.method='post';
 FormObject.action='exporttable.php';
return true;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/databasebackup.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Database_Backup_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form action="exporttable.php" method="post" name="exportform" target="exportframe">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./databasebackup.php" target="_self"><?php echo $lang['Tab']['Export_Data']; ?></a></li>
  <li id="nav-2"><a href="./databaseimport.php" target="_self"><?php echo $lang['Tab']['Import_Data']; ?></a></li>
 </ul>
<div id="contents"><br>
  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Export_Data'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>
          <table width="96%" border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td width="27%" height="25"><span class="smallBold"><?php echo $lang['Select_Data_For_Export'];?>:</span></td>
              <td height="25"><select name="tablename" id="select" style="width: 275px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;">
                <?php
  echo "<option value='$my_tables->archivetable' selected>".$lang['Archive_Data']."</option>";
  echo "<option value='$my_tables->websitestable'>".$lang['Website_Data']."</option>";
  echo "<option value='$my_tables->downloadmanagertable'>".$lang['Downloadmanager_Data']."</option>";
  echo "<option value='$my_tables->dynamictable'>".$lang['Trackingmanager_Data']."</option>";
  echo "<option value='$my_tables->accounttable'>".$lang['Account_Data']."</option>";
  echo "<option value='$my_tables->countertable'>".$lang['Counter_Data']."</option>";
  echo "<option value='$my_tables->visitortable'>".$lang['Visitor_Yearly_Data']."</option>";
  echo "<option value='$my_tables->transfertable'>".$lang['Transfer_Data']."</option>";
?>
              </select>
                <img src="../images/blankspacer.gif" width="10" height="5">
<SCRIPT TYPE="text/javascript">
<!--
var exportdata = new submitForm("../images/exportdata.gif","../images/exportdata_down.gif","savechanges","save");
exportdata.alt ="<?php echo $lang['Initiate_Backup'];?>";
exportdata.write();
//-->
                </SCRIPT>                <img src="../images/blankspacer.gif" width="12" height="5">                <input name="action" type="hidden" id="action" value="EXPORT">
                <input name="targetsite" type="hidden" id="targetsite" value="<?php echo $activesitename;?>"></td>
              </tr>
            <tr>
              <td height="25" colspan="3"><img src="../images/blackdot.gif" width="100%" height="1"></td>
              </tr>
          </table>
          <div align="center"></div>
          <table width="96%" border="0" align="center" cellpadding="3" cellspacing="0">
            <tr >
              <td valign="top"><div align="left"><span class="smallBold"><?php echo $lang['Options'];?>:</span>                      
                  <img src="../images/blankspacer.gif" width="5" height="5">
                  <input name="exportformat" type="radio" value="csv" checked>
                  <?php echo $lang['Export_CSV_Format'];?><img src="../images/blankspacer.gif" width="5" height="5">
<input name="exportformat" type="radio" value="sql">
                <?php echo $lang['Export_SQL_Format'];?><img src="../images/blankspacer.gif" width="5" height="5">
                <input name="exportformat" type="radio" value="xls">
        <?php echo $lang['Export_XLS_Format'];?><img src="../images/blankspacer.gif" width="5" height="5"> 
        <input name="compression" type="checkbox" id="compression" value="TRUE" <?php if($compression_supported == FALSE) echo "disabled onFocus=\"if (!document.all && !document.getElementById) this.blur()\"";?>>
              <?php echo $lang['GZIP_Compression'];?></div></td>
            </tr>
            <tr>
              <td height="25" valign="middle"><img src="../images/blackdot.gif" width="100%" height="1"></td>
            </tr>
          </table>
          <table width="96%" border="0" align="center" cellpadding="3" cellspacing="0">
            <tr>
              <td width="8%" valign="top" class="smallBold"><span class="smallBold"><?php echo $lang['Notice'];?></span>:</td>
              <td width="92%" valign="top">
                <div align="justify"><?php echo $lang['notice']['Export_Notice'];?></div></td>
            </tr>
          </table>
          <br></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <!-- Hidden frame START -->
  <IFRAME src="iframe.html" id="exportframe" name="exportframe" frameborder="0" width="0" height="0" style="visiblity:hidden;">IFRAME</IFRAME>
  <!-- Hidden frame END -->

  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>