<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/
 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	 = explode(" ",$starttime); 
 $starttime   	 = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 

 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
 $timeparts = explode(" ",microtime());
 $starttime = $timeparts[1].substr($timeparts[0],1); 

 $include_path = dirname(__FILE__); $include_path .= "/";
 include_once ($include_path."./../language/language.inc.php");
 include_once ($include_path."./../includes/global.inc.php");			 
 include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
 include_once ($include_path."./../includes/dbactions.inc.php");
 include_once ($include_path."./../includes/timezone.inc.php");
 include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST')     { header("location: ../login/noguestallowed.php");    exit();}
 if ($my_session->usertype  == 'WEBMASTER') { header("location: ../login/loginfirstmessage.php"); exit();}
 if ($my_session->logged_in == 'FALSE')     { header("location: ../login/loginfirstmessage.php"); exit();}

 ////////////////////////////////////////////////////////////////////////////////
 // check file-upload -> if error occured, show message
 ////////////////////////////////////////////////////////////////////////////////
 if (@$_POST['action'] == 'IMPORT' && $my_session->usertype == 'ADMIN')
 {
  if (is_uploaded_file($_FILES['targetfile']['tmp_name']))
  {
   $upload_success = TRUE;
   $realname = $_FILES['targetfile']['name'];
   copy($_FILES['targetfile']['tmp_name'], "./import/".$realname);
  }
  else 
  {
   $upload_success = FALSE;
   $realname = $_FILES['targetfile']['name'];
     ?><script language = "Javascript">alert('<?php echo $lang['Upload_Error'];?>');</script>
   <?
  }
 }

 ////////////////////////////////////////////////////////////////////////////////
 // start database import
 ////////////////////////////////////////////////////////////////////////////////
 if ($_POST['action'] == 'STARTIMPORT' && $my_session->usertype == 'ADMIN')
 {
  $targettable = $_POST['targettable'];
  $filetype	   = $_POST['filetype'];

  // set time limit to 8000 seconds before script will be terminated
  @set_time_limit(8000);
  $no_file 			= FALSE;
  $import_success 	= FALSE;
  
  // get name of file to be imported
  $include_path = dirname(__FILE__);  
  $import_path = $include_path;
  $include_path .= "/";

  // create path information
  $targetfile = $import_path."\\import\\".$_POST['targetfile'];
  
  // make file and path useable for mysql-query
  $targetfile = str_replace("\\","/",$targetfile); 

  // check if file to import is located in import-folder -> if not, set flag
  if(!file_exists($targetfile)) $no_file = TRUE; 

  // is file really on server?
  if (file_exists($targetfile)) 
  {
   // delete from old table
   @$delete_result = mysql_query("DELETE FROM $targettable");
   
   // if user wants to import csv-file, do it via LOAD DATA (LOCAL) INFILIE 
   if($filetype == "csv")
   {
    // create import query
    $my_query  = "LOAD DATA INFILE '$targetfile' replace INTO TABLE $targettable ";
    $my_query .= "FIELDS TERMINATED BY ',' LINES TERMINATED BY '\\n'";

    // unset error-flags and import data into table
    unset($import_error); unset($import_errno);
    @$result=mysql_query($my_query);

    // if server doesn't allow import with the above method, try this one:
    if (!$result)
    {
     unset($result);
     $my_query  = "LOAD DATA LOCAL INFILE '$targetfile' replace INTO TABLE $targettable ";
     $my_query .= "FIELDS TERMINATED BY ',' LINES TERMINATED BY '\\n'";
     @$result=mysql_query($my_query);
    }
   }
   // user wants to import sql-file
   elseif ($filetype == "sql")
   {
    @$fp = fopen($targetfile, "r");
    if ($fp)
    {
     while (!feof($fp))
     {
      @$sql_line = fgets($fp, 4096);
      // strip slashes from sql-line
      @$sql_line = stripslashes($sql_line);
      // do safety-check and ignore harmfull queries
      if (!eregi("drop table", $sql_line) && !eregi("alter table", $sql_line) && !eregi("update", $sql_line) && !eregi("delete from", $sql_line))
       @$result = mysql_query($sql_line);
     }
     // close file
     @fclose($fp);
    }

    // check if import of data was successfull - if not, grab error message for output
    if (!$result) { $import_error = mysql_error(); $import_errno = mysql_errno();}
    else
    {
     @unlink($targetfile);
     // cleanup first db-entry 
     @$id = mysql_result(mysql_query("SELECT id FROM $targettable ORDER BY id DESC LIMIT 0,1"),0,0);
     @$result = mysql_query("DELETE FROM $targettable WHERE id = '$id'");
    }
   }
 
   // let script sleep for a second
   sleep(1);

   // count the number of rows in imported table to see if any data was imported
   @$numofentries = mysql_result(mysql_query("SELECT count(*) FROM $targettable"),0,0); 
   if ($numofentries > 0)  $import_success = TRUE;
    else $import_success = FALSE;

   // delete import-file
   @unlink($targetfile);

  // optmize targe-table
  @$result = mysql_query("OPTIMIZE TABLE $targettable");
  $file_error = FALSE;
 }
 else
 { $file_error = TRUE;}

 // check if countertable was imported. if so, update all notification entries
 // in the nofitytable and set the hit counter equal to the values in the imported
 // countertable
 if ($targettable == $my_tables->countertable)
 {
  @$result = mysql_query("SELECT * FROM $my_tables->countertable");
  while (@$myobject = mysql_fetch_object($result))
  {
    @$totalhits  = $myobject->totalhits;
    @$forwebsite = $myobject->websitename;
    
    @$myupdate = mysql_query("UPDATE $my_tables->notifytable SET lastnotifyhits = '$totalhits'
							  WHERE websitename = '$forwebsite'
   							 ");
   }  
  }
 }
 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Database Import</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function TestFileType( fileName, fileTypes ) {
if (!fileName) return;

dots = fileName.split(".")
fileType = "." + dots[dots.length-1];

return (fileTypes.join(".").indexOf(fileType) != -1) ?
ok=true : 
alert("Fehler: Sie drfen nur Dateien mit der Endung *.csv verwenden! Bitte treffen Sie eine andere Auswahl.");
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/databaseimport.php';
}
//-->
</script>
</head>
<body class="section-2" onLoad="showLayer('contentlayer');reloadmenu();MM_preloadImages('../images/prevpage_down.gif')">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Database_Backup_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
<?php
if ($_POST['action'] != 'STARTIMPORT')
{
?>
          <form action="databaseimportgo.php" name="importform" target="_self" method="post" id="importform">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./databasebackup.php" target="_self"><?php echo $lang['Tab']['Export_Data']; ?></a></li>
  <li id="nav-2"><a href="./databaseimport.php" target="_self"><?php echo $lang['Tab']['Import_Data']; ?></a></li>
 </ul>
<div id="contents"><br>
  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Import_Data_Go'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>
          <table width="96%" border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td width="2%" height="25"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"></td>
              <td width="10%"><span class="smallBold"><?php echo $lang['Filename'];?></span></td>
              <td width="3%"><span class="smallBold">:</span> </td>
              <td width="69%">
<?php 
$targetfile = $_FILES['targetfile']['name'];
echo $targetfile;

// check what type of file we have (csv or sql)
$exploded = explode(".", $targetfile);
$filetype = strtolower($exploded[1]);

// do security check
if ($filetype != "sql" || $filetype != "csv")
 $filetype = substr($targetfile, strlen($targetfile)-3, strlen($targetfile));
?>

</td>
              <td width="16%">&nbsp;</td>
            </tr>
            <tr>
              <td width="2%" height="25"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"></td>
              <td width="10%"><span class="smallBold"><?php echo $lang['Filesize'];?></span></td>
              <td width="3%"><span class="smallBold">:</span> </td>
              <td width="69%"><?php 
@$filesize = $_FILES['targetfile']['size'];
echo @round(($filesize/1024),2)." ".$lang['Kilobyte'];
?></td>
              <td width="16%">&nbsp;</td>
            </tr>
            <tr>
              <td width="2%" height="25"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"></td>
              <td width="10%"><span class="smallBold"><?php echo $lang['Type_Of_Data'];?></span></td>
              <td width="3%"><span class="smallBold">:</span> </td>
              <td width="69%">
<?php
$for_table = "";
// get name of file to import
@$import_file = $_FILES['targetfile']['name'];
// open file and try to identify content
if (@$fp = fopen("./import/".$import_file, "r"))
{
 $x=1;
 // read 20 lines from file
 while (!feof($fp) && $x <= 20)
 {
   $compare_data .= fgets($fp, 4096);
   $x++;
 }

 // check file and identify tablename
 if (eregi("websitecreated", $compare_data)){ $for_table = $lang['Website_Data']; $targettable = $my_tables->websitestable;}
 elseif (eregi("archive_month", $compare_data)) {$for_table = $lang['Archive_Data']; $targettable = $my_tables->archivetable;}
 elseif (eregi("account_type", $compare_data)) {$for_table = $lang['Account_Data']; $targettable = $my_tables->accounttable;}
 elseif (eregi("beginofcount", $compare_data)) {$for_table = $lang['Counter_Data']; $targettable = $my_tables->countertable;}
 elseif (eregi("transfer_timestamp", $compare_data)) {$for_table = $lang['Transfer_Data']; $targettable = $my_tables->transfertable;}
 elseif (eregi("visitor_month", $compare_data)) {$for_table = $lang['Visitor_Yearly_Data']; $targettable = $my_tables->visitortable;}
 elseif (eregi("fieldtype", $compare_data)) {$for_table = $lang['Trackingmanager_Data']; $targettable = $my_tables->dynamictable;}
 else $for_table = '';
}
$table_error = FALSE;

// could not identify file -> show error and delete file
if ($for_table == '') 
{
 $table_error = TRUE;
 $showmessage = $lang['Import_Error'];

 // delete file
 $deletefile = "./import/".$_FILES['targetfile']['name'];
 @$delete_exec   = exec ("del $deletefile /f /q");  // file deletion on local system  
 @$delete_unlink = unlink($deletefile); 			// file deletion on remote systen (server)
  
 $for_table   = $lang['Import_Wrong_File'];
}

// output type of data
echo $for_table;

?>
</td>
              <td width="16%">&nbsp;</td>
            </tr>
            <tr>
              <td height="25" colspan="6"><img src="../images/blackdot.gif" width="100%" height="1"></td>
              </tr>
          </table>
          <div align="center"></div>
          <table width="96%" border="0" align="center" cellpadding="3" cellspacing="0">
            <tr>
              <td width="2%" class="smallBold"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"></td>
              <td width="10%" class="smallBold"><?php echo $lang['Database_Entries'];?></td>
              <td width="3%">
                <div align="justify"><span class="smallBold">:</span></div></td>
              <td width="69%">
<?php 
if ($table_error == FALSE) 
{
 @$linecount=count(file("./import/".$_FILES['targetfile']['name']));
 
 // if filetype is "sql", substract 15 lines of comment from total-number of lines
 // if filetype is "csv",substract 1 because line 1 of the csv defines the fields and is NOT a data line
 if ($filetype == "sql") $linecount -= 15;
  elseif ($filetype == "csv") $linecount -= 1;

 // output number of lines
 echo $linecount;
}
else
{
echo "-";
}
?></td>
              <td width="16%">&nbsp;</td>
            </tr>
          </table>
          <br></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF">
                            <div align="right">
                              <input name="filetype" type="hidden" id="filetype" value="<?php echo $filetype;?>">
                              <input name="targettable" type="hidden" id="targettable" value="<?php echo $targettable;?>">
                              <input name="targetfile" type="hidden" id="targetfile" value="<?php echo $targetfile;?>">
                              <input name="action" type="hidden" id="action2" value="STARTIMPORT">
                              <input name="image" type="image" src="../images/importdata.gif" alt="<?php echo $lang['Import_Data'];?>" width="142" height="13" border="0">
                          </div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
<?php }?>
<br>
<?php
if ($_POST['action'] == 'STARTIMPORT')
{
?>
  <br>
  <ul id="menu">
    <li id="nav-1"><a href="./databasebackup.php" target="_self"><?php echo $lang['Tab']['Export_Data']; ?></a></li>
    <li id="nav-2"><a href="./databaseimport.php" target="_self"><?php echo $lang['Tab']['Import_Data']; ?></a></li>
  </ul>
  <div id="contents">
    <br>
    <TABLE cellSpacing=3 cellPadding=2 border=0>
      <TBODY>
        <TR>
          <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
              <tr>
                <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Import_Result'];?></div></td>
              </tr>
          </table></TD>
        </TR>
      </TBODY>
    </TABLE>
    <br>
      <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
        <TBODY>
          <TR>
            <TD bgcolor="#FFFFFF" class="finelinebox"><br>
                <table width="96%" border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="2%" height="25"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"></td>
                    <td width="18%"><span class="smallBold"><?php echo $lang['Import_Result'];?></span></td>
                    <td width="3%"><span class="smallBold">:</span> </td>
                    <td width="69%">
                      <?php 
if ($import_success == TRUE) 
 echo $lang['Import_Success'];
 else
 echo $lang['Import_Failed'];
?>
                    </td>
                    <td width="8%">&nbsp;</td>
                  </tr>
                </table>
                <div align="center"></div>
                <br></TD>
          </TR>
        </TBODY>
      </TABLE>
      <br>
      <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
        <TBODY>
          <TR>
            <TD class="dottedbox">
              <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
                <TR>
                  <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                            <tr valign="middle">
                              <td width="38%" height="22" bgcolor="#FFFFFF">
                                <div align="right">
                                  <a href="databaseimport.php" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('goback','','../images/prevpage_down.gif',1)"><img src="../images/prevpage.gif" alt="<?php echo $lang['Previous_Page'];?>" name="goback" width="142" height="13" border="0" align="absmiddle"></a>                              </div></td>
                            </tr>
                        </table></td>
                      </tr>
                  </table></TD>
                </TR>
            </TABLE></TD>
          </TR>
        </TBODY>
      </TABLE>
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr> </tr>
      </table>
  </div>
<br><?php }?>
<span class="small"> </span>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>