<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 	 	 

include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../language/language.inc.php");

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->usertype  == 'WEBMASTER') { header("Location: ../login/loginfirstmessage.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get cursor position of useraccount-browser
 @$pos 		   = $_REQUEST['pos'];
 @$showcat     = $_REQUEST['showcat'];
 @$sortorder   = $_REQUEST['sortorder'];

 // number of buttons to browse through accounts -> must be an even number
 $showbuttons = 14;

 // maximum number of accounts to show per page 
 $showmax     = 25;
 
 // get number of accounts in database
 @$accounts   = mysql_result(mysql_query("SELECT COUNT(*) FROM $my_tables->accounttable"),0,0);

 if (!isset($sortorder)) $sortorder = "ID";
 if (!isset($sortby)) $sortby = "id";
 if (!isset($pos)) { $pos=0; $currentpos=0;} // set $pos to first entry of database (0)

 if ($sortorder == "ID")        { $sortby = "id"; $direction = "DESC"; }
 if ($sortorder == "USERNAME")      { $sortby = "account_username"; $direction = "ASC"; }
 if ($sortorder == "USERTYPE")     { $sortby = "account_type"; $direction = "ASC"; }
 if ($sortorder == "CREATED") { $sortby = "account_created"; $direction = "DESC"; }
 if ($sortorder == "ACTIVE") { $sortby = "account_active"; $direction = "DESC"; }
 if ($sortorder == "LASTLOGIN") { $sortby = "account_lastlogin"; $direction = "DESC"; }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Edit Account</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function colorizeRow(row,cname)
{ 
  obj=document.getElementById(row+'A');
  obj.className = cname;
  obj=document.getElementById(row+'B');
  obj.className = cname;
  obj=document.getElementById(row+'C');
  obj.className = cname;
  obj=document.getElementById(row+'D');
  obj.className = cname;
  obj=document.getElementById(row+'E');
  obj.className = cname;
  obj=document.getElementById(row+'F');
  obj.className = cname;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function setfocus()
{
 document.editaccount.accountname.focus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/editaccount.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();setfocus();">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form action="editaccount.php" method="post" name="editaccount" id="editaccount">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./editaccount.php" target="_self"><?php echo $lang['Tab']['Edit_Account']; ?></a></li>
 </ul>
<div id="contents">  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Edit_Account'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width=99% border=0 align="center" cellPadding=1 cellSpacing=0>
    <TR>
      <TD valign="top" bgColor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr valign="middle" bgcolor="#EBEBEB">
                  <td width="19%" height="22"><span class="smallBlack"><span class="small"><span class="smallBold"><img src="../images/blankspacer.gif" width="5" height="5" border="0"></span></span><?php echo $lang['Search_For_Username'];?>:</span> </td>
                  <td width="53%" height="22"><span class="smallBlack">
                    <input name="accountname" type="text" id="accountname" style="width: 150px; font-family: Arial,Helvetica; font-size: 8pt; border: 1px #5B5B5B solid;">
                    <img src="../images/blankspacer.gif" width="15" height="8">
                    <SCRIPT TYPE="text/javascript">
<!--
var searchusername = new submitForm("../images/search.gif","../images/search_down.gif","searchusername","searchuser");
searchusername.alt ="<?php echo $lang['Start_Search'];?>";
searchusername.write();
//-->
                </SCRIPT>
                  </span></td>
                  <td width="28%" height="22" class="smallBlack"><div align="right"><? echo $lang['Total_Accounts'];?>: <?php echo $accounts;?><img src="../images/blankspacer.gif" width="8" height="5" border="0"></div></td>
                </tr>
            </table></td>
          </tr>
      </table></TD>
    </TR>
  </TABLE>
  <br>  
  <TABLE width=99% border=0 align="center" cellPadding=1 cellSpacing=0>
    <TR>
      <TD valign="top" bgColor="#818181"><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
              <tr>
                <td colspan="21"></td>
              <tr class="tablehead">
                <td width="9%" height="16" class="tablehead"><DIV class="tableheadlink"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><a href="editaccount.php?sortorder=ID&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>&currentpos=<?php echo $currentpos;?>" title="<?php echo $lang['Order_By_ID'];?>"><? echo $lang['ID'];?></a></DIV></td>
                <td width="19%" class="tablehead"><DIV class="tableheadlink"><a href="editaccount.php?sortorder=USERNAME&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>" title="<?php echo $lang['Order_By_Username'];?>"><? echo $lang['Username'];?></a></DIV></td>
                <td width="18%" class="tablehead"><DIV class="tableheadlink"><a href="editaccount.php?sortorder=CREATED&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>" title="<?php echo $lang['Order_By_Creation'];?>"><? echo $lang['Account_Created'];?></a></DIV></td>
                <td width="22%" class="tablehead"><DIV class="tableheadlink"><a href="editaccount.php?sortorder=USERTYPE&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>" title="<?php echo $lang['Order_By_Usertype'];?>"><? echo $lang['User_Type'];?></a></DIV></td>
                <td width="23%" class="tablehead"><DIV class="tableheadlink"><a href="editaccount.php?sortorder=LASTLOGIN&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>" title="<?php echo $lang['Order_By_Last_Login'];?>"><? echo $lang['Last_Login'];?></a></DIV></td>
                <td width="9%" class="tablehead"><DIV class="tableheadlink"><? echo $lang['Active'];?></DIV></td>
              </tr>
              <tr>
                <td colspan="21" class="small"></td>
            </table>
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr valign="middle" bgcolor="#EBEBEB">
                    <td><span class="small"><img src="../images/blankspacer.gif" width="5" height="2" border="0"></span></td>
                  </tr>
                  <tr valign="middle" bgcolor="#EBEBEB">
                    <td>
                      <?php
 $searchname = $_POST['accountname'];
 if (searchname == '' || !isset($searchname))
 @$result = mysql_query("SELECT *, UNIX_TIMESTAMP(account_created) AS account_created,UNIX_TIMESTAMP(account_lastlogin) AS account_lastlogin
					    FROM $my_tables->accounttable
					    ORDER BY $sortby $direction
					    LIMIT $pos,$showmax
					  ");
 else
 @$result = mysql_query("SELECT *, UNIX_TIMESTAMP(account_created) AS account_created,UNIX_TIMESTAMP(account_lastlogin) AS account_lastlogin
					    FROM $my_tables->accounttable
						WHERE account_username LIKE '%$searchname%'
					    ORDER BY $sortby $direction
					    LIMIT $pos,$showmax
					  ");


 if ($current_page == "") $current_page=0;
 if ($low_butt == "") $low_butt = 0;
 if ($high_butt == "") $high_butt = $showbuttons; 
 $step = 1;
 $x = 1;
 while (@$myobject = mysql_fetch_object($result)) // Run through all user accounts limited by $pos and $showmax
 {
  $accountid		  	= $myobject->id;
  $account_username  	= $myobject->account_username;
  $account_password 	= $myobject->account_password;
  $account_active 		= $myobject->account_active;
  $account_type			= $myobject->account_type;
  $account_lastlogin	= $myobject->account_lastlogin;

  if ($account_active == 'TRUE') $account_active = $lang['Yes']; else $account_active = $lang['No'];
  if ($account_type == 'ADMIN') $account_type = $lang['Administrator'];
   elseif ($account_type == 'WEBMASTER') $account_type = $lang['Webmaster'];
   elseif ($account_type == 'GUEST') $account_type = $lang['Guest'];
   elseif ($account_type == 'DEMO') $account_type = $lang['Demonstration_Mode'];


  $entry_timestamp 	= $myobject->account_created ;
  $entry_hour 	= strftime( "%H", $entry_timestamp);
  $entry_minute 	= strftime( "%M", $entry_timestamp);
  $entry_second 	= strftime( "%S", $entry_timestamp);
  $entry_day	 	= strftime( "%d", $entry_timestamp);
  $entry_month 		= strftime( "%m", $entry_timestamp);
  $entry_year 		= strftime( "%Y", $entry_timestamp);

  $lastlogin_hour 	= strftime( "%H", $account_lastlogin);
  $lastlogin_minute 	= strftime( "%M", $account_lastlogin);
  $lastlogin_second 	= strftime( "%S", $account_lastlogin);
  $lastlogin_day	 	= strftime( "%d", $account_lastlogin);
  $lastlogin_month 		= strftime( "%m", $account_lastlogin);
  $lastlogin_year 		= strftime( "%Y", $account_lastlogin);
  if ($step == 1) $bcolor = "#EEEEEE"; // Switch background color of output line
  else if ($step == 2) {$bcolor = "#DFDFDF";} // Switch background color of output line
  {
?>
                      <table class="" width="100%" height="16" border="0" cellpadding="0" cellspacing="0" id="listing">
                        <tr>
                          <td class="" id="<?php echo $x;?>A" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" height="12" valign="middle" bgcolor='<?php echo $bcolor ?>' width="9%"><div align="left"><a href="editaccountgo.php?accountid=<?php echo $accountid;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>"><img src="../images/blankspacer.gif" width="17" height="5" border="0"><?php echo $accountid;?></a></div></td>
                          <td class="" id="<?php echo $x;?>B" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="19%"><a href="editaccountgo.php?accountid=<?php echo $accountid;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></a><a href="editaccountgo.php?accountid=<?php echo $accountid;?>" title="<?php echo $lang['Click_To_Edit'];?>"><?php echo $account_username;?></a></td>
                          <td class="" id="<?php echo $x;?>C" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" width="18%" height="12" valign="middle" bgcolor="<?php echo $bcolor ?>">
                            <a href="editaccountgo.php?accountid=<?php echo $accountid;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></a><a href="editaccountgo.php?accountid=<?php echo $accountid;?>" title="<?php echo $lang['Click_To_Edit'];?>"><?php echo "$entry_day.$entry_month.$entry_year";?></a>
                          </td>
                          <td id="<?php echo $x;?>D" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" height="12" valign="middle" bgcolor=<?php echo $bcolor ?> width="22%"> <a href="editaccountgo.php?accountid=<?php echo $accountid;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></a><a href="editaccountgo.php?accountid=<?php echo $accountid;?>" title="<?php echo $lang['Click_To_Edit'];?>"><?php echo $account_type;?></a> </td>
                          <td id="<?php echo $x;?>E" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" valign="middle" bgcolor=<?php echo $bcolor ?> width="23%"><a href="editaccountgo.php?accountid=<?php echo $accountid;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></a><a href="editaccountgo.php?accountid=<?php echo $accountid;?>" title="<?php echo $lang['Click_To_Edit'];?>"><?php
 echo "$lastlogin_day.$lastlogin_month.$lastlogin_year  - $lastlogin_hour:$lastlogin_minute ".$lang['O_Clock'];
?></a></td>
                          <td id="<?php echo $x;?>F" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" valign="middle" bgcolor=<?php echo $bcolor ?> width="9%"><a href="editaccountgo.php?accountid=<?php echo $accountid;?>&current_page=<?php echo $current_page;?>&high_butt=<?php echo $high_butt;?>&low_butt=<?php echo $low_butt;?>&pos=<?php echo $pos;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>" title="<?php echo $lang['Click_To_Edit'];?>"><img src="../images/blankspacer.gif" width="2" height="5" border="0"></a><a href="editaccountgo.php?accountid=<?php echo $accountid;?>" title="<?php echo $lang['Click_To_Edit'];?>"><?php echo $account_active;?></a></td>
                        </tr>
                      </table>
                      <?php }
 if ($step == 1) $step = 2;
 else if ($step == 2) {$step = 1;
 }
 $x++;
 }
?>
                    </td>
                  </tr>
              </table></td>
          </tr>
      </table></TD>
    </TR>
  </TABLE>
  <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="0">
    <tr>
      <td colspan="2"><img src="../images/blankspacer.gif" width="5" height="10"></td>
      </tr>
    <tr>
      <td><span class="smallBlack"><img src="../images/blankspacer.gif" width="5" height="8"></span><?php echo $lang['Browse_Entries'];?>
        :<img src="../images/blankspacer.gif" width="15" height="5">            <?php

 $endpos	 = $accounts-1;
 $checkpos	 = $pos+$showmax; 
 $nextpos	 = $pos+1;
 $newpos	 = $pos-$showmax;
 $total_val  = $accounts;

 if ($newpos<0) $newpos=0;

 if (isset($_REQUEST['currentpos'])) $currentpos = $_REQUEST['currentpos'];
  else $currentpos = $pos + $showmax;

 if (isset($_REQUEST['current_page'])) $current_page = $_REQUEST['current_page'];

 // let user browse through results
 @$pages = ceil($total_val/$showmax)-1; // calculate total number of pages needed to display all data
 if(!isset($current_page)) $current_page=0;
 if(!isset($low_butt)) $low_butt=0;
 if(!isset($high_butt)) $high_butt=$showbuttons;
 if ($high_butt>$pages) $high_butt = $pages;

 // show goto-start arrows if needed
 if ($current_page > 0 && $pages>$showbuttons || $current_page>ceil($showbuttons/2))
 echo "<a href='editaccount.php?sortorder=$sortorder&pos=0&showmax=$showmax&current_page=0&low_butt=0&high_butt=$showbuttons'> << </a>|";
 else echo "";
 $buttoncounter = 1;
 $endingpos = $total_val-$showmax;
 $endinglow = $pages-$showbuttons;
 $endinghigh = $pages;
 for($x=$low_butt; $x<=$high_butt; $x++)
 {
 if ($x > $total_val && $pages>$showbuttons || $button_counter>$showbuttons) BREAK;
 $new_high_button = $x+$showbuttons-ceil($showbuttons/2); if ($new_high_button > $pages) {$new_low_button = $pages-$showbuttons; $new_high_button = $pages;}
 $new_low_button = $x-ceil($showbuttons/2); if ($new_low_button < 0) {$new_low_button = 0; $new_high_button = $showbuttons;}
 $browse_pos = $x*$showmax;
 if ($current_page == 0 && $browse_pos == 0) $browse_pos = $showmax;
 if ($x == $current_page) echo "<b> $x</b> | ";
 $zeigepos = $browse_pos + $showmax;
 if ($x <> $current_page && $x >= 0) echo "<a href='editaccount.php?sortorder=$sortorder&pos=$browse_pos&showmax=$showmax&current_page=$x&low_butt=$new_low_button&high_butt=$new_high_button&oldbuttonpos=$current_page'> $x </a>|";
 $button_counter++;
 }
 // show goto-end arrows if needed 
 if ($current_page < $pages || $current_page<$pages-ceil($showbuttons/2) || $current_page+ceil($showbuttons/2)<$pages)
 echo "<a href='editaccount.php?sortorder=$sortorder&pos=$endingpos&showmax=$showmax&current_page=$pages&low_butt=$endinglow&high_butt=$endinghigh'> >> </a>";
?></td>
      <td width="42%"><div align="right">
        <?php
 // Right here the user will be able to page through the data
 @$current_page = ceil(($pos+$showmax)/$showmax);
 if ($pos > 0 && $current_page >= 0)
 { 
 $back_current = $current_page - 2;
 $lowbuttprev = $low_butt - 1;
 $highbuttprev = $current_page + 1;
 if ($highbuttprev <= $showbuttons) $highbuttprev = $showbuttons;



 echo "<a href='editaccount.php?sortorder=$sortorder&pos=0&showmax=$showmax&current_page=0&low_butt=0&high_butt=$showbuttons&reloaded=TRUE' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Start','','../images/tostart_down.gif',1)\"><img name='Start' src='../images/tostart.gif' width='81' height='13' border='0' align='absmiddle' alt='$To_First_Entry'></a><img src='../images/blankspacer.gif' width='6' height='4' border='0'>";
 echo "<a href='editaccount.php?sortorder=$sortorder&pos=$newpos&showmax=$showmax&current_page=$back_current&low_butt=$lowbuttprev&high_butt=$highbuttprev&reloaded=TRUE' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Newer','','../images/newerdata_down.gif',1)\"><img name='Newer' src='../images/newerdata.gif' border='0' alt='$Show_Newer_Data'></a><img src='../images/blankspacer.gif' width='6ata.gif' width='81' height='13' border='0' align='absmiddle' ' height='4' border='0'>";
 } 
 if($total_val> $currentpos)
 {
 $pos += $showmax;
 if ($low_butt > 0) $lowbuttnext = $low_butt + 1;
 $highbuttnext = $high_butt + 2;
 echo "<a href='editaccount.php?sortorder=$sortorder&pos=$pos&showmax=$showmax&low_butt=$lowbuttnext&high_butt=$highbuttnext&oldbuttonpos=$current_page&current_page=$current_page&reloaded=TRUE#refreshtag' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('olderdata','','../images/olderdata_down.gif',1)\"><img name='olderdata' src='../images/olderdata.gif' width='81' height='13' border='0' align='absmiddle' alt='$Show_Older_Data'></a><img src='../images/blankspacer.gif' width='6' height='4' border='0'>";
 }
 $current_page--; // Fix $current_page value bis substracting one 
 if ($current_page<$pages)
 echo "<a href='editaccount.php?sortorder=$sortorder&pos=$endingpos&showmax=$showmax&low_butt=$endinglow&high_butt=$endinghigh&current_page=$pages&reloaded=TRUE#refreshtag' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Ende','','../images/toend_down.gif',1)\"><img name='Ende' src='../images/toend.gif' width='81' height='13' border='0' align='absmiddle' alt='$To_Last_Entry'></a>";
?>
</div></td>
      </tr>
  </table>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right">
            <br>
            <img src="../images/blackdot.gif" width="100%" height="1">
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="60%">                    <div align="left"><span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="createaccount.php"><?php echo $lang['Tab']['Create_Account'];?></a>, <a href="deleteaccount.php"><?php echo $lang['Tab']['Delete_Account'];?></a></span></div></td>
                <td width="40%"><div align="right"></div></td>
              </tr>
            </table>
            <span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>











