<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/
// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 

include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../language/language.inc.php");

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->usertype  == 'WEBMASTER') { header("Location: ../login/loginfirstmessage.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // admin wants to update user-account
 if ($_POST['action'] == 'UPDATE'  && $my_session->usertype == 'ADMIN') 
 { 
  // ignore user_abort
  ignore_user_abort(true);

  // get websitedid, old websitename and new websitename
  $websiteid   	  = $_POST['websiteid'];
  $websitename    = $_POST['websitename'];
  $newwebsitename = $_POST['newwebsitename'];
  
  // get information about website
  @$result = mysql_query("SELECT websitename FROM $my_tables->websitestable WHERE id = '$websiteid'");
  $my_object 		= mysql_fetch_object($result);
  $websitename 		= $my_object->websitename;

  // update websitestable itself
   @$result = mysql_query("UPDATE $my_tables->websitestable SET websitename = '$newwebsitename' 
						   WHERE websitename = '$websitename'");   

  // update all database tables with new websitename
  foreach($my_tables AS $currenttable)
  {
   @$result = mysql_query("UPDATE $currenttable SET websitename = '$newwebsitename' 
						   WHERE websitename = '$websitename'");   
  }

  // finished, go back to selection page
  header("location: editwebsite.php");
  exit();
 }

 // get information about website
 @$result = mysql_query("SELECT websitename FROM $my_tables->websitestable WHERE id = '$websiteid'");
 $my_object 		= mysql_fetch_object($result);
 $websitename 		= $my_object->websitename;

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Edit Website</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function setfocus()
{
 document.editwebsiteform.newwebsitename.focus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/editwebsitego.php';
}
//-->
</script>
</head>
<body onload="showLayer('contentlayer');reloadmenu();setfocus();" class="section-1">
<?php 
$message_username = $lang['Newsite_In_Use'];
$message_password = $lang['Password_Not_Set'];

if ($username_in_use == 'TRUE')
 echo "<script language='JavaScript' type='text/JavaScript'>alert('$message_username');</script>";
if ($no_password == 'TRUE')
 echo "<script language='JavaScript' type='text/JavaScript'>alert('$message_password');</script>";
?>
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./editwebsitego.php?websiteid=<?php echo $_REQUEST['websiteid'];?>" target="_self"><?php echo $lang['Tab']['Edit_Website']; ?></a></li>
 </ul>
<div id="contents">  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Edit_Website_Go'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
<br>
  <form name="editwebsiteform" method="post" action="editwebsitego.php">
    <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
      <TBODY>
        <TR>
          <TD bgcolor="#FFFFFF" class="finelinebox"><br>
              <table width="62%"  border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="52%" align="left" valign="top">
                    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                      <tr>
                        <td width="17%" height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Website_ID'];?>                            </td>
                        <td width="5%" height="25">:</td>
                        <td width="78%" height="25"><input name="websiteid" type="text" id="websiteid" style="width: 260px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $websiteid;?>" maxlength="30" disabled onFocus="if (!document.all && !document.getElementById) this.blur()"></td>
                      </tr>
                      <tr>
                        <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Websitename'];?>                            </td>
                        <td height="25">:</td>
                        <td height="25"><font color="#FFCC66" size="1" face="Geneva, Arial, Helvetica, san-serif">
                          <input name="newwebsitename" type="text" id="newwebsitename" style="width: 260px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $websitename; ?>" maxlength="50">
</font></td>
                      </tr>
                  </table></td>

                </tr>
              </table>              
              <br></TD>
        </TR>
      </TBODY>
    </TABLE>
    <br>
    <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
      <TBODY>
        <TR>
          <TD class="dottedbox">
            <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
              <TR>
                <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                          <tr valign="middle">
                            <td width="38%" height="22" bgcolor="#FFFFFF">                              <div align="right">
                                <SCRIPT LANGUAGE="javascript" type="text/javascript">
<!--
var savedata = new submitForm("../images/savechanges.gif","../images/savechanges_down.gif","SAVE","SAVE");
savedata.alt ="<?php echo $lang['Save_Changes'];?>";
savedata.write();
//-->
                                          </SCRIPT>
                                <input name="websiteid" type="hidden" id="websiteid" value="<?php echo $websiteid;?>">
                                <input name="action" type="hidden" id="action" value="UPDATE">
                                <input name="websitename" type="hidden" id="websitename" value="<?php echo $websitename; ?>">
                                <img src="../images/blankspacer.gif" width="10" height="8">
<a href="editwebsite.php" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('goback','','../images/prevpage_down.gif',1)"><img src="../images/prevpage.gif" alt="<?php echo $lang['Previous_Page'];?>" name="goback" width="142" height="13" border="0" align="absmiddle"></a>
                               
                              </div></td>
                          </tr>
                      </table></td>
                    </tr>
                </table></TD>
              </TR>
          </TABLE></TD>
        </TR>
      </TBODY>
    </TABLE>
  </form>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          <div align="right"><span class="small"></span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
    <br>
    <img src="../images/blackdot.gif" width="100%" height="1">
    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="60%">
          <div align="left"><span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="createwebsite.php"><?php echo $lang['Tab']['Create_Website'];?></a>, <a href="deletewebsite.php"><?php echo $lang['Tab']['Delete_Website'];?></a>, <a href="websitesoverview.php"><?php echo $lang['Tab']['Website_Overview'];?></a></span></div></td>
        <td width="40%"><div align="right"></div></td>
      </tr>
    </table>
</div>
</body>
</html>