<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	 = explode(" ",$starttime); 
 $starttime   	 = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 

 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
 $timeparts = explode(" ",microtime());
 $starttime = $timeparts[1].substr($timeparts[0],1); 

 $export_path = dirname(__FILE__); $export_path .= "/";
 include_once ($export_path."./../language/language.inc.php");
 include_once ($export_path."./../includes/global.inc.php");			 
 include_once ($export_path."./../includes/binarystat.inc.php"); 		   
 include_once ($export_path."./../includes/dbactions.inc.php");
 include_once ($export_path."./../includes/timezone.inc.php");
 include_once ($export_path."./../includes/sessions.inc.php");
 include_once ($export_path."./../includes/version.inc.php");
 include_once ($export_path."./../includes/exportdata.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];
 $targetsite	 = $_POST['targetsite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("location: ../login/loginfirstmessage.php"); exit();}

 // start export-routine
 if ($_POST['action'] == 'EXPORT' && $_SESSION['usertype'] == 'ADMIN')
 {
  export_table($_POST['tablename'], $_POST['exportformat'], $versionnumber, $my_timestamp, $lang, $my_db->gstat_db_host, $targetsite, $_POST['compression']);
 }
 flush();
 echo "header('Keep-Alive: False')"; 
 echo "header('Connection: Close')"; 
 exit();
?>