<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	 = explode(" ",$starttime); 
 $starttime   	 = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 

 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
 $timeparts = explode(" ",microtime());
 $starttime = $timeparts[1].substr($timeparts[0],1); 

 $include_path = dirname(__FILE__); $include_path .= "/";
 include_once ($include_path."./../language/language.inc.php");
 include_once ($include_path."./../includes/global.inc.php");			 
 include_once ($include_path."./../includes/binarystat.inc.php"); 		 
 include_once ($include_path."./../includes/dbactions.inc.php");
 include_once ($include_path."./../includes/timezone.inc.php");
 include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST')     { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->usertype  == 'WEBMASTER') { header("Location: ../login/loginfirstmessage.php"); exit();}
 if ($my_session->logged_in == 'FALSE')     { header("Location: ../login/loginfirstmessage.php"); exit();}

 ////////////////////////////////////////////////////////////////////////////////
 // check file-upload -> if error occured, show message
 ////////////////////////////////////////////////////////////////////////////////
 if (@$_POST['action'] == 'IMPORT' && $my_session->usertype == 'ADMIN')
 {
  if (is_uploaded_file($_FILES['targetfile']['tmp_name']))
  {
   $upload_success = TRUE;
   $realname = $_FILES['targetfile']['name'];
    if(!@copy($_FILES['targetfile']['tmp_name'], "./import/".$realname)) $upload_success = FALSE; 
     else $upload_success = TRUE;
  }
  else 
  {
   $upload_success = FALSE;
   $realname = $_FILES['targetfile']['name'];
     ?><script language = "Javascript">alert('<?php echo $lang['Upload_Error'];?>');</script>
   <?
  }

  ////////////////////////////////////////////////////////////////////////////////
  // start database import
  ////////////////////////////////////////////////////////////////////////////////
  $import = FALSE; 
  if ($upload_success)
  {
   // get name of file to be imported
   $backup_path = dirname(__FILE__);  
   $import_path = $backup_path;
   $backup_path .= "/";

   // create path information
   $targetfile = $import_path."\\import\\".$realname;
  
   // make file and path useable for mysql-query
   $targetfile = str_replace("\\","/",$targetfile); 

   // check if file to import is located in import-folder -> if not, set flag
   if(!file_exists($targetfile)) $no_file = TRUE; 

   // is file really on server -> if so, load into variable
   if (file_exists($targetfile)) 
   {
    // set some flags
    $entries = 0;
    $file_ok = FALSE;

    @$fp = fopen($targetfile, "r");
    if ($fp)
    {
     while (!feof($fp))
     {
      @$temp_buffer = fgets($fp, 4096);
      if (eregi("\*BINARYSTAT\*", $temp_buffer)) $file_ok = TRUE;
       else { $my_buffer .= $temp_buffer; $entries++;}
     }
     // close file
     @fclose($fp);

     // check type of file-content
     if (eregi("#", $my_buffer) && $file_ok) $data_type = "ROBOTS";
     elseif (!eregi("#", $my_buffer) && $file_ok) $data_type = "ENGINES";
     else $data_type = "-";
 
     // save new list to database
     if ($data_type == 'ROBOTS' && $file_ok)
     {
      // check if there is already an entry in the table
      @$datafound = mysql_result(mysql_query("SELECT COUNT(*) FROM $my_tables->identifytable"),0,0);
      if ($datafound == 0)
       @$result = mysql_query("INSERT INTO $my_tables->identifytable (robots, searchengines) VALUES
						     ('$my_buffer','')");
      else
       @$result = mysql_query("UPDATE $my_tables->identifytable SET robots = '$my_buffer'");

     }
     elseif ($data_type == 'ENGINES'  && $file_ok)
     {
      // check if there is already an entry in the table
      @$datafound = mysql_result(mysql_query("SELECT COUNT(*) FROM $my_tables->identifytable"),0,0);
      if ($datafound == 0)
       @$result = mysql_query("INSERT INTO $my_tables->identifytable (robots, searchengines) VALUES
						     ('','$my_buffer')");
      else
       @$result = mysql_query("UPDATE $my_tables->identifytable SET searchengines = '$my_buffer'");

     }    
     if ($result) $import = TRUE; else $import = FALSE;
    }
   }
  }
 }
 ////////////////////////////////////////////////////////////
 // END OF IMPORT-ROUTINE
 ////////////////////////////////////////////////////////////

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Load Identification Lists</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/loadlistsgo.php';
}
//-->
</script>
</head>
<body class="section-1" onLoad="showLayer('contentlayer');reloadmenu();MM_preloadImages('../images/prevpage_down.gif')">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./loadlists.php" target="_self"><?php echo $lang['Tab']['Load_ID_Lists']; ?></a></li>
 </ul>
<div id="contents">  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Load_ID_Lists_Result'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br><table width="67%" border="0" align="center" cellpadding="3" cellspacing="0">
          <tr>
            <td><span class="smallBold"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <? echo $lang['Selected_List'];?></span></td>
            <td class="smallBold">:</td>
            <td>
<?php
if ($data_type == 'ROBOTS') echo $lang['Robot_List'];
elseif ($data_type == 'ENGINES') echo $lang['Engine_List'];
elseif ($data_type == '-') echo $lang['Unknown'];

?>
</td>
          </tr>
          <tr>
            <td width="40%"><span class="smallBold"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <? echo $lang['List_Import_Result'];?></span></td>
            <td width="5%" class="smallBold">:</td>
            <td width="55%">
<?php
if (!$import || !$file_ok) echo $lang['Failed']; else { echo $lang['Successfull']." - $entries ".$lang['Entries_Imported'];}
?></td>
          </tr>
        </table>          
        <br>          </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF">
                            <div align="right"> <a href="loadlists.php" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('goback','','../images/prevpage_down.gif',1)"><img src="../images/prevpage.gif" alt="<?php echo $lang['Previous_Page'];?>" name="goback" width="142" height="13" border="0" align="absmiddle"></a> </div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>