<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/resolveips.inc.php");
include_once ($include_path."./../includes/gethostname.inc.php"); 	
include_once ($include_path."./../includes/gettld.inc.php"); 	        
include_once ($include_path."./../includes/getrobotspider.inc.php"); 	

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // admin hit the update-button, so save changes
 if ($_POST['action'] == 'RESOLVE_IPS' && ($_SESSION['usertype'] == 'WEBMASTER' || $_SESSION['usertype'] == 'ADMIN'))
 {
  // get robot/spider list from database
  @$my_robots = mysql_result(mysql_query("SELECT SQL_CACHE robots FROM $my_tables->identifytable"),0,0);
  if ($my_robots == '' || $my_robots == 0)
  @$my_robots = mysql_result(mysql_query("SELECT robots FROM $my_tables->identifytable"),0,0);

  resolveips($my_tables->maintable, $activesitename, $my_robots);
  // get number of total visits 
  @$totalvisits = mysql_result(mysql_query("SELECT totalvisits FROM $my_tables->countertable WHERE websitename = '$activesitename'"),0,0);
  // update trigger-limit
  @$result  = mysql_query("UPDATE $my_tables->websitestable SET lastresolvingrun = $totalvisits WHERE websitename = '$activesitename'");  
 }

 // get number of unresolved IPs from database
 $unresolved_total = unresolved_ips($my_tables->maintable, $activesitename);

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Resolve IPs</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/resolveips.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Resolve_Adresses_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form action="resolveips.php" method="post" name="ipresolving" id="ipresolving">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./resolveips.php" target="_self"><?php echo $lang['Tab']['Resolve_IPs']; ?></a></li>
 </ul>
<div id="contents"><br>
  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Resolve_IPs'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br><table width="55%" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="66%"><span class="smallBold"> <strong>  </strong> <? echo $lang['Unresolved_IPs'];?></span></td>
            <td width="8%" class="smallBold">:</td>
            <td width="26%" class="smallBold"><?php echo $unresolved_total;?></td>
          </tr>
        </table>          <br>          </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF">                            <div align="right">
<SCRIPT TYPE="text/javascript">
<!--
var savechanges = new submitForm("../images/resolveips.gif","../images/resolveips_down.gif","resolveips","resolve");
savechanges.alt ="<?php echo $lang['Tab']['Resolve_IPs'];?>";
savechanges.write();
//-->
                </SCRIPT>
                              <input name="action" type="hidden" id="action2" value="RESOLVE_IPS">
                          </div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>











