<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // read website-configuration from database
 @$result 				= mysql_query("SELECT blacklist, blacklist_active FROM $my_tables->websitestable WHERE websitename = '$activesitename'");
 @$myobject 			= mysql_fetch_object($result);

 $oldblacklist			= $myobject->blacklist;
 $oldblacklist_active	= $myobject->blacklist_active;

 // admin hit the update-button, so save changes
 if ($_POST['action'] == 'UPDATE' && ($_SESSION['usertype'] == 'WEBMASTER' || $_SESSION['usertype'] == 'ADMIN'))
 { 
  // save emaillist value
  if ($_POST['blacklist'] != $oldblacklist)
  {
   $blacklist = $_POST['blacklist'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET blacklist ='$blacklist' WHERE websitename = '$activesitename'"); // update setting
  }
  // save blacklist-active value
  if ($_POST['blacklist_active'] != $oldblacklist_active)
  {
   $blacklist_active = $_POST['blacklist_active'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET blacklist_active ='$blacklist_active' WHERE websitename = '$activesitename'"); // update setting
  }
 
  // read website-configuration from database
  @$result 				= mysql_query("SELECT blacklist, blacklist_active FROM $my_tables->websitestable WHERE websitename = '$activesitename'");
  @$myobject 			= mysql_fetch_object($result);

  $oldblacklist			= $myobject->blacklist;
  $oldblacklist_active	= $myobject->blacklist_active;
 }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Setup Blacklist</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function focuscursor()
{
 parent.menuframe.document.getElementById('searchphrase').focus();
}
function setfocus()
{
 setTimeout("focuscursor()",1000);
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/setupblacklist.php';
}
//-->
</script>
</head>
<body class="section-5" onload="showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Configuration_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form name="updatesettings" method="post" action="setupblacklist.php">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./setupcounter.php" target="_self"><?php echo $lang['Tab']['Countervalues']; ?></a></li>
  <li id="nav-2"><a href="./setuptracking.php" target="_self"><?php echo $lang['Tab']['Tracking_Resolving_Display'];?></a></li>
  <li id="nav-3"><a href="./setuptraceroute.php" target="_self"><?php echo $lang['Tab']['Traceroute_Server'];?></a></li>
  <li id="nav-4"><a href="./setupemail.php" target="_self"><?php echo $lang['Tab']['Email_Notificiation'];?></a></li>
  <li id="nav-5"><a href="./setupblacklist.php" target="_self"><?php echo $lang['Tab']['Blacklist'];?></a></li>
  <li id="nav-6"><a href="./setupdownloads.php" target="_self"><?php echo $lang['Tab']['Download_Surveillance'];?></a></li>
  <li id="nav-7"><a href="./setupextras.php" target="_self"><?php echo $lang['Tab']['Extras'];?></a></li>
</ul>
<div id="contents"><br>
  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Setup_Page5'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>          <table width="96%" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="15%" rowspan="5" valign="top"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['IP_Domain_Blacklist'];?></td>
            <td width="6%" rowspan="5" valign="top">:              </td>
            <td width="48%" rowspan="5" valign="top"><textarea name="blacklist" rows="8" id="blacklist" style="width: 290px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF"><?php if ($_SESSION['usertype'] == 'DEMO') echo "***********************"; else echo $oldblacklist;?></textarea></td>
            <td width="31%" valign="top"><?php echo $lang['Blacklist_Activated'];?><br>
              <input type="radio" name="blacklist_active" value="TRUE" <?php if ($oldblacklist_active == "TRUE") echo "checked";?>>
              <?php echo $lang['Yes'];?>
              <input type="radio" name="blacklist_active" value="FALSE" <?php if ($oldblacklist_active == 'FALSE') echo "checked";?>>
              <?php echo $lang['No'];?></td>
          </tr>
          <tr>          </tr>
          <tr>          </tr>
          <tr>

          </tr>
        </table>          
          <br>          </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <table width="99%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td>
        <div align="right"><SCRIPT TYPE="text/javascript">
<!--
var savechanges = new submitForm("../images/savechanges.gif","../images/savechanges_down.gif","savechanges","save");
savechanges.alt ="<?php echo $lang['Save_Changes'];?>";
savechanges.write();
//-->
                </SCRIPT>
          <input name="action" type="hidden" id="action" value="UPDATE">
        </div></td>
    </tr>
  </table>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>