<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/resolveips.inc.php");
include_once ($include_path."./../includes/gethostname.inc.php"); 	
include_once ($include_path."./../includes/gettld.inc.php"); 	        
include_once ($include_path."./../includes/getrobotspider.inc.php"); 	

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get account_id from current user
 $account_id = $_SESSION['account_id'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get cookie-name from user-account
 @$cookie_name	   =  mysql_result(mysql_query("SELECT webmastercookie FROM $my_tables->accounttable
		  		                WHERE id = '$account_id'"),0,0);

 // check if webmaster cookie is set
 if (isset($_COOKIE["$cookie_name"])) $webmaster_cookie_set = TRUE; 
  else  $webmaster_cookie_set = FALSE;

 // define the webmaster cookie
 $datetoday  = mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y"));
 $year	     = strftime( "%Y", $datetoday);

 $cookie_value  = 1;
 $cookie_domain = $_SERVER['HTTP_HOST'];
 
 $cookie_lifetime  = time()+(365*24*3600);
 $include_path     = "/";

 // check if hostname is readable or just an IP-number
 if (eregi("[a-z][A-Z]", $cookie_domain))
 { 
  if (eregi("\.com\.", $cookie_domain) || eregi("\.co\.", $cookie_domain)) // domain like co.uk?
  { 
   // get hostname and TLD out of refererstring
   $domain_exploded = explode(".",$cookie_domain);
   $elemente 	   = count($domain_exploded);					  // Count the number of packets
   
   // we need the last three elements of the exploded string
   $elementone 	  = $domain_exploded[$elemente-3]; 	  		  	  // grab the domainname 
   $elementtwo 	  = $domain_exploded[$elemente-2];    		  	  // grab the last element (unreal TLD)
   $elementthree   = $domain_exploded[$elemente-1];    	          // grab the last element (real TLD)
   $cookie_domain  = "$elementone.$elementtwo.$elementthree";      // build the final referer by pasting TLD and hostname together 
  }
  else
  {   
   $domain_exploded = explode(".",$cookie_domain);
   $elemente 	   = count($domain_exploded);					      // Count the number of packets
   // we need the last two elements of the exploded string
   $elementone 	   = $domain_exploded[$elemente-2];    		  	  // grab the last element (unreal TLD)
   $elementtwo      = $domain_exploded[$elemente-1];    	          // grab the last element (real TLD)
   $cookie_domain   = "$elementone.$elementtwo";  // build the final referer by pasting TLD and hostname together 
  }
 }

 
 /*    		 	### SET WEBMASTER COOKIE ###		 		*/
 if($_POST['action'] == 'SETCOOKIE' && $my_session->usertype != 'DEMO' && $my_session->usertype != 'GUEST')
 { 
  // delete old cookie
  setcookie($cookie_name, "", time () - 2592000, $include_path, $cookie_domain); 
  // set new cookie
  setcookie($cookie_name, $cookie_value, $cookie_lifetime, $include_path, $cookie_domain); 
  // reload page
  header("location: webmastercookie.php"); exit();
 }

 if($_POST['action'] == 'DELETECOOKIE' && $my_session->usertype != 'DEMO' && $my_session->usertype != 'GUEST')
 { 
  // set cookie
  setcookie($cookie_name, $cookie_value , time () - 2592000, $include_path, $cookie_domain); 
  // reload page
  header("location: webmastercookie.php"); exit();
 }
 /*    		 	### END OF ROUTINE ###		 				*/


 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Adminsitrator Cookie</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/webmastercookie.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Webmaster_Cookie_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./webmastercookie.php" target="_self"><?php echo $lang['Tab']['Webmaster_Cookie']; ?></a></li>
 </ul>
<div id="contents">  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Webmaster_Cookie'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br><table width="45%" height="19" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="55%"><span class="smallBold"> <strong>&raquo; </strong> <? echo $lang['Webmaster_Cookie_Set'];?></span></td>
            <td width="9%" class="smallBold">:</td>
            <td width="36%" class="smallBold"><?php if($webmaster_cookie_set == TRUE) echo $lang['Yes']; else echo $lang['No'];?></td>
          </tr>
        </table>          <br>          </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF"><div align="right">
                            <table width="99%" border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <td width="76%">
                                  <div align="right">
                                    <form name="setcookieform" method="post" action="webmastercookie.php">
                                      <input name="action" type="hidden" id="action2" value="SETCOOKIE">
                                      <SCRIPT TYPE="text/javascript">
<!--
var setcookie = new submitForm("../images/setcookie.gif","../images/setcookie_down.gif","setcookie","scookie");
setcookie.alt ="<?php echo $lang['Set_Webmaster_Cookie'];?>";
setcookie.write();
//-->
                            </SCRIPT>
                                    </form>
                                </div></td>
                                <td width="24%"><form name="deletecookieform" method="post" action="webmastercookie.php">
                                    <div align="right">
                                      <input name="action" type="hidden" id="action" value="DELETECOOKIE">
                                      <SCRIPT TYPE="text/javascript">
<!--
var delcookie = new submitForm("../images/delcookie.gif","../images/delcookie_down.gif","deletecookie","delcookie");
delcookie.alt ="<?php echo $lang['Delete_Webmaster_Cookie'];?>";
delcookie.write();
//-->
                            </SCRIPT>
                                      <img src="../images/blankspacer.gif" width="5" height="1"></div>
                                </form></td>
                              </tr>
                            </table>
                              </div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>











