<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 // set cookie-name
 @$cookie_name = "binarystatmaster";

 // define the webmaster cookie
 $datetoday  = mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y"));
 $year	     = strftime( "%Y", $datetoday);

 $cookie_value  = 1;
 $cookie_domain = $_SERVER['HTTP_HOST'];
 
 $cookie_lifetime  = time()+(365*24*3600);
 $include_path     = "/";

 // check if hostname is readable or just an IP-number
 if (eregi("[a-z][A-Z]", $cookie_domain))
 { 
  if (eregi("\.com\.", $cookie_domain) || eregi("\.co\.", $cookie_domain)) // domain like co.uk?
  { 
   // get hostname and TLD out of refererstring
   $domain_exploded = explode(".",$cookie_domain);
   $elemente 	   = count($domain_exploded);					  // Count the number of packets
   
   // we need the last three elements of the exploded string
   $elementone 	  = $domain_exploded[$elemente-3]; 	  		  	  // grab the domainname 
   $elementtwo 	  = $domain_exploded[$elemente-2];    		  	  // grab the last element (unreal TLD)
   $elementthree   = $domain_exploded[$elemente-1];    	          // grab the last element (real TLD)
   $cookie_domain  = "$elementone.$elementtwo.$elementthree";      // build the final referer by pasting TLD and hostname together 
  }
  else
  {   
   $domain_exploded = explode(".",$cookie_domain);
   $elemente 	   = count($domain_exploded);					      // Count the number of packets
   // we need the last two elements of the exploded string
   $elementone 	   = $domain_exploded[$elemente-2];    		  	  // grab the last element (unreal TLD)
   $elementtwo      = $domain_exploded[$elemente-1];    	          // grab the last element (real TLD)
   $cookie_domain   = "$elementone.$elementtwo";  // build the final referer by pasting TLD and hostname together 
  }
 }

 
 /*    		 	### SET WEBMASTER COOKIE ###		 		*/

 if ($_POST['action'] == 'DELETE')
 {
  // delete old cookie
  setcookie($cookie_name, "", time () - 2592000, $include_path, $cookie_domain); 
  header("location: webmastercookie.php");
  exit;
 }

 elseif ($_POST['action'] == 'SET')
 {
  // set webmaster-cookie
  setcookie($cookie_name, $cookie_value, $cookie_lifetime, $include_path, $cookie_domain); 
  header("location: webmastercookie.php");
  exit;
 }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>binary:STAT Webmaster-Cookie</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css">
<!--
.Stil7 {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 12px; }
.Stil8 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-weight: bold;
	font-size: 12px;
}
.Stil9 {font-family: Verdana, Arial, Helvetica, sans-serif}
.Stil10 {font-size: 12px}
-->
</style>
</head>

<body>
<p><br>
    <br>
</p>
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="100%"><div align="center" class="Stil1 Stil2 Stil8">binary:STAT Webmaster-Cookie</div></td>
  </tr>
  <tr>
    <td><hr size="1" noshade></td>
  </tr>
</table>
<br>
<br>
<table width="46%"  border="1" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td><table width="100%"  border="0" cellspacing="4" cellpadding="0">
        <tr>
          <td width="43%" height="20"><span class="Stil7"> Cookie status</span></td>
          <td width="7%" height="20"><span class="Stil7">:</span></td>
          <td width="50%" height="20"> <span class="Stil1 Stil7 Stil9 Stil10"><strong>
            <?php
 // check if webmaster cookie is set
 if (isset($_COOKIE["binarystatmaster"])) echo "Cookie already set"; 
  else echo "Cookie not set";
?>
          </strong></span></td>
        </tr>
        <tr>
          <td height="20"><span class="Stil7"> Cookie name </span></td>
          <td height="20"><span class="Stil7">:</span></td>
          <td height="20"><span class="Stil1 Stil9 Stil10"><?php echo $cookie_name;?></span></td>
        </tr>
        <tr>
          <td height="20"><span class="Stil7">Cookie domain</span></td>
          <td height="20"><span class="Stil7">:</span></td>
          <td height="20"><span class="Stil1 Stil9 Stil10"><?php echo $cookie_domain;?></span></td>
        </tr>
    </table></td>
  </tr>
</table>
<br>
<br>
<br>
<table width="45%"  border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td width="44%"><div align="center">
        <form action="webmastercookie.php" method="post" name="form1" target="_self">
          <input name="set" type="submit" id="set" value="Set cookie">
          <input name="action" type="hidden" id="action" value="SET">
        </form>
    </div></td>
    <td width="56%"><div align="center">
        <form action="webmastercookie.php" method="post" name="form2" target="_self">
          <input name="delete" type="submit" id="delete" value="Delete cookie">
          <input name="action" type="hidden" id="action" value="DELETE">
        </form>
    </div></td>
  </tr>
</table>
<p>&nbsp;</p>

</body>
</html>
