<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 $include_path = dirname(__FILE__); $include_path .= "/";
 @include ($include_path."./../language/language.inc.php");
 @include ($include_path."./../includes/binarystat.inc.php");
 @include ($include_path."./../includes/global.inc.php");
 @include ($include_path."./../includes/configdata.inc.php");
 @include ($include_path."./../includes/timezone.inc.php");
 @include ($include_path."./../includes/dbactions.inc.php");
 @include ($include_path."./../includes/getcountry.inc.php"); 
 @include ($include_path."./../includes/sessions.inc.php"); 
 @include ($include_path."./../includes/hidefunctions.inc.php"); 
 @include ($include_path."./../includes/timeconverter.inc.php"); 	 

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();
 
 // create new database connection
 $my_db = new binarystat_db;
 $my_conn = $my_db->connect();
 
 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();
 
 // get database-ID for this visitor
 $vis_dbid = $_GET['vis_dbid'];

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();  

 // read active websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $_SESSION['account_id']);

 // get information for selected campaign from archive
 $campaign_name = $_REQUEST['campaign_name'];
 $clicks		= $_REQUEST['clicks'];
 $archive_month = $_REQUEST['archive_month'];
 $archive_year  = $_REQUEST['archive_year'];

 $sql 				= "SELECT campaigndetails FROM $my_tables->archivetable WHERE archive_month='$archive_month' AND archive_year='$archive_year' AND websitename = '$activesitename'";
 @$result 			= $my_db->query($sql);
 @$db_object 		= mysql_fetch_object($result);
 @$campaign_details = unserialize($db_object->campaigndetails);

 $my_object->campaign_category 		= $campaign_details["$campaign_name"]["campaign_category"];
 $my_object->campaign_description 	= $campaign_details["$campaign_name"]["campaign_description"];
 $my_object->campaign_creation		= $campaign_details["$campaign_name"]["campaign_creation"];
 $my_object->idstring 				= $campaign_details["$campaign_name"]["idstring"];
 $my_object->costperclick			= $campaign_details["$campaign_name"]["costperclick"];

?>
<html>
<head>
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"><title><?php echo $lang['Mediadata'];?></title><style type="text/css">
<!--
body {
	background-color: #F5F5F5;
	margin-left: 12px;
	margin-right: 12px;
	margin-bottom: 0px;
	margin-top: 15px;
}
-->
</style>
</head>
<body bgcolor="#F5F5F5">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="98%"><div align="center">          <img src="../images/blackdot.gif" width="100%" height="1" border="0"><br>
    </div>
      <table border="0" width="100%">
        <tr>
         <td width="99%"><strong>&middot; <?php echo $lang['Name_Of_Media'];?> :</strong><img src="../images/blankspacer.gif" width="5" height="5"><?php
  echo $campaign_name;
 ?></td>
          <td width="1%">
            <div align="right"><img src="../images/blankspacer.gif" width="5" height="5">          </div></td>
        </tr>
      </table>
<img src="../images/blackdot.gif" width="100%" height="1" border="0"><br>
      <div align="center">
        <TABLE width=100% 
            border=0
            cellPadding=0 cellSpacing=0 borderColorLight=#002222 borderColorDark=#000099>
          <tr>
            <td colspan="6"><img src="../images/blankspacer.gif" width="15" height="10"></td>
          </tr>
          <tr>
            <td height="20"> <strong>&middot; </strong><?php echo $lang['Category'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td width="459" height="20" colspan="4"><?php echo $my_object->campaign_category; ?></td>
          </tr>
          <tr>
            <td width="252" height="20"> <strong>&middot; </strong><?php echo $lang['ID_String'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td height="20" colspan="4"><?php echo $my_object->idstring; ?></td>
          </tr>
          <tr>
            <td height="20"><strong>&middot; </strong><?php echo $lang['Total_Clicks'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td height="20" colspan="4"><?php 
echo $clicks;
?></td>
          </tr>
          <tr>
            <td height="20"> <strong>&middot; </strong><?php echo $lang['Costs_Per_Click'];?></td>
            <td height="20"><div align="center">:</div></td>
            <td height="20" colspan="4">
              <?php 
 printf("%.2f", $my_object->costperclick); 
 echo " ".$lang['Currency'];

?></td>
          </tr>
          <tr>
            <td height="20" colspan="6"><img src="../images/blackdot.gif" width="100%" height="1" border="0" align="absmiddle"></td>
          </tr>
          <tr>
            <td height="20"> <strong>&middot; <?php echo $lang['Total_Costs'];?></strong></td>
            <td width="57" height="20"><div align="center"><strong>: </strong></div>
                <div align="center"></div></td>
            <td height="20" colspan="4">
              <strong>
              <?php
 $total_costs =  $my_object->costperclick * $clicks;
 printf("%.2f", $total_costs); 
 echo " ".$lang['Currency'];
?>
              </strong> </td>
          </tr>
          <tr>
            <td height="20" colspan="6"><img src="../images/blackdot.gif" width="100%" height="1" border="0" align="absmiddle"></td>
          </tr>
        </table>
    </div></td>
  </tr>
  <tr>
    <td></td>
  </tr>
</table>
<div align="center"></div>
</html>