<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // try to set time limit to 30 minutes before this script will be terminated
 @set_time_limit(30*60); 

 // get total process time
 $time = $_REQUEST['time'];

 // get month and year of data that needs to be archived
 $archivemonth 		= $_REQUEST['archivemonth'];
 $archiveyear  		= $_REQUEST['archiveyear'];

 // get id of archivetable entry
 $id	 		= $_REQUEST['id'];

 ///////////////////////////////////////////////////////////////////////////////////// 
 // delte data for archived month from database tables
 ///////////////////////////////////////////////////////////////////////////////////// 
 $delete_data = TRUE;  // set to FALSE if you do not want to delete data from tables
 /////////////////////////////////////////////////////////////////////////////////////
 
 if ($delete_data)
 {
  // #1: delete visitors from maintable
  @$result = mysql_query("DELETE FROM $my_tables->maintable WHERE websitename = '$activesitename'
						  AND MONTH(visitor_date) = '$archivemonth'
					      AND YEAR(visitor_date) = '$archiveyear'");  

  // #2: delete visitors from trackingtable
  @$result = mysql_query("DELETE FROM $my_tables->trackingtable WHERE websitename = '$activesitename'
						  AND MONTH(visitor_timestamp) = '$archivemonth'
					      AND YEAR(visitor_timestamp)  = '$archiveyear'");  

  // #3: delete downloads from downloadtable
  @$result = mysql_query("DELETE FROM $my_tables->downloadtable WHERE websitename = '$activesitename'
						  AND MONTH(download_timestamp) = '$archivemonth'
					      AND YEAR(download_timestamp)  = '$archiveyear'");   

  // #4: delete from plugin-, engines-table
  @$result = mysql_query("DELETE FROM $my_tables->enginetable WHERE websitename = '$activesitename'
						  AND MONTH(engine_date)  = '$archivemonth'
					      AND YEAR(engine_date)   = '$archiveyear'");   
  @$result = mysql_query("DELETE FROM $my_tables->plugintable WHERE websitename = '$activesitename'
						  AND MONTH(visitor_date) = '$archivemonth'
					      AND YEAR(visitor_date)  = '$archiveyear'");  

  // #5: delete from referer-, speed-table
  @$result = mysql_query("DELETE FROM $my_tables->referertable WHERE websitename = '$activesitename'
						  AND MONTH(visitor_date) = '$archivemonth'
					      AND YEAR(visitor_date)  = '$archiveyear'");  
  @$result = mysql_query("DELETE FROM $my_tables->speedtable WHERE websitename = '$activesitename'
						  AND MONTH(visitor_date) = '$archivemonth'
					      AND YEAR(visitor_date)  = '$archiveyear'");   

  // #6: delete from revisit-table
  @$result = mysql_query("DELETE FROM $my_tables->revisttable WHERE websitename = '$activesitename'
						  AND MONTH(visitor_timestamp) = '$archivemonth'
					      AND YEAR(visitor_timestamp)  = '$archiveyear'");  

  // #6: delete from transfer-table
  @$result = mysql_query("DELETE FROM $my_tables->transfertable WHERE websitename = '$activesitename'
						  AND MONTH(transfer_timestamp) = '$archivemonth'
					      AND YEAR(transfer_timestamp)  = '$archiveyear'");  

  // #7:delete from frequency-table
  @$result = mysql_query("DELETE FROM $my_tables->frequencytable WHERE websitename = '$activesitename'
						  AND frequencymonth = '$archivemonth' AND frequencyyear = '$archiveyear'");  

  // #8:delete from campaign-table
  @$result = mysql_query("DELETE FROM $my_tables->campaigntable WHERE websitename = '$activesitename'
	  		  AND MONTH(campaign_clickdate) = '$archivemonth'
			  AND YEAR(campaign_clickdate)  = '$archiveyear'");  
  
  // #9: optimize tables
  foreach ($my_tables AS $current_table)
  { 
   @$result = mysql_query("OPTIMIZE TABLE $current_table");
  }
 }

 // calculate total time of this process
 $endtime 		 = microtime(); 
 $endtime 		 = explode(" ",$endtime); 
 $endtime 		 = $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 	 = ($timescriptend - $timescriptstart); 
 $loadtime  	 = round($loadtime,3);
 
 // calculate time of archivation-duration 
 $time += $loadtime;
?>
<HTML>
<HEAD>
<script language="javascript">
function showError()
{
 window.top.frames['contentframe'].document.location.replace("./failure.php?message=<?php echo urlencode($db_error);?>");
}
function doIt()
{
 window.parent.document.images['percentage'].src='./images/100.gif';
 window.parent.document.images['progressbar'].src='./images/ok.gif';
}
</script>
</HEAD>
<BODY onload="doIt();">
</BODY>
</HTML>