<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // try to set time limit to 30 minutes before this script will be terminated
 @set_time_limit(30*60); 
 
 // get maximum number of entries per report
 $numofentries = $_REQUEST['numofentries'];

 // get month and year of data that needs to be archived
 $archivemonth 		= $_REQUEST['archivemonth'];
 $archiveyear  		= $_REQUEST['archiveyear'];

 // get number of days for archived month
 $numofdays = date('t', mktime(0, 0, 0, $archivemonth+1, 0, $archiveyear));

 // set flag to false
 $archive_error = FALSE;

 // check if archivation should start
 $status = $_REQUEST['status'];

 // check if archive-routine has just been started -> if so, created archivtable-entry
 // for selected month
 if ($status == 'go')
 {
  $sql = " INSERT INTO $my_tables->archivetable(
   account_id,
   websitename,
   archive_month,
   archive_year,
   numofdays,
   visitstotal,
   visitsunique,
   lateral_entries,
   text_directaccess,
   text_byreferer,
   text_bysearchengine,
   busiest_day,
   weakest_day,
   busiestday_totalnumber,
   weakestday_totalnumber,
   busiest_weekday,
   weakest_weekday,
   busiestweekday_totalnumber,
   weakestweekday_totalnumber,
   dayunique_container,
   daytotal_container, 
   refererbycountry_container,
   refererbycountry_total,
   refererbydomain_container,
   refererbydomain_total,
   refererbywebpage_container,
   refererbywebpage_total,   
   searchengine_container,
   searchenginestotal,
   searchquery_container,
   searchqueriestotal,
   searchword_container,
   searchwordstotal,
   bot_container,
   botstotal, 
   leveldomain_container,
   leveldomainstotal,  
   hostname_container,
   hostnamestotal, 
   country_container,
   countriestotal, 
   language_container,
   languagestotal,   
   systembytype_container,
   systemsbytypetotal,
   systembyversion_container,
   systemsbyversiontotal,
   browserbytype_container,
   browserbytypetotal,
   browserbyversion_container,
   browserbyversiontotal,
   plugin_container,
   pluginstotal,  
   resolution_container,
   resolutionstotal,
   colordepth_container,
   colordepthstotal,
   trackingpage_container,
   trackingpagestotal,
   entrypage_container,
   entrypagestotal,
   exitpage_container,
   exitpagestotal,
   speed_container,
   speedstotal,
   loyality_container,
   loyalitytotal,
   frequency_container,
   frequencytotal,
   timespent_container,
   timespenttotal,
   transfer_container,
   transfertotal,
   impression_container,
   impressionstotal,
   download_container,
   downloadstotal,
   secondsspenttotal,
   timespentpervisitor,
   activedays)
   VALUES
  ('$my_session->account_id','$activesitename','$archivemonth','$archiveyear','$numofdays'";

   $number_of_fields = 75;

   // add empty fields to query
  for ($x=1; $x<=$number_of_fields; $x++) { $sql .= ",''";}

  // finalize query
  $sql .= ")";

  // execute query
  $result = mysql_query($sql);

  // uncomment next line for debugging
  // echo mysql_error();
 
  $db_error = mysql_error();

  // calculate total time of this process
  $endtime 		 = microtime(); 
  $endtime 		 = explode(" ",$endtime); 
  $endtime 		 = $endtime[1] + $endtime[0]; 
  $timescriptend = $endtime; 
  $loadtime 	 = ($timescriptend - $timescriptstart); 
  $loadtime  	 = round($loadtime,3);

  // forward to next archive-rotuine
  if ($result)
  {
   // get ID for new archive-entry from table
   $sql = "SELECT MAX(id) FROM $my_tables->archivetable WHERE account_id = '$my_session->account_id'
           AND archive_month = '$archivemonth' AND archive_year = '$archiveyear'";
  
   $id = mysql_result(mysql_query($sql),0,0);

   // continue with next step
   $target_page = "step_two.php?id=$id&numofentries=$numofentries&time=$loadtime&archivemonth=$archivemonth&archiveyear=$archiveyear";
  }
  else 
  {
   // handle DB-error here
   $archive_error = TRUE;
  }
 }
?>
<HTML>
<HEAD>
<script language="javascript">
function showError()
{
 window.top.frames['contentframe'].document.location.replace("./failure.php?message=<?php echo urlencode($db_error);?>");
}

function doIt()
{
 window.parent.document.images['percentage'].src='./images/6.gif';
 document.location.replace("<?php echo $target_page;?>");
}
</script>
</HEAD>
<BODY onload="
<?php
if (!$archive_error)
 echo "doIt();";
else
  echo "showError();";
?>">
</BODY>
</HTML>