<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get total process time
 $time = $_REQUEST['time'];

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // try to set time limit to 30 minutes before this script will be terminated
 @set_time_limit(30*60); 

 // get month and year of data that needs to be archived
 $archivemonth = $_REQUEST['archivemonth'];
 $archiveyear  = $_REQUEST['archiveyear'];

 // get id of archivetable entry
 $id = $_REQUEST['id'];

 ///////////////////////////////////////////////////////////////////////////////////// 
 // get referer-information and save data to database-table
 ///////////////////////////////////////////////////////////////////////////////////// 
 // number of days in this month
 $numofdays 	= date ("d", mktime(0,0,0,$archivemonth+1,0,$archiveyear));

 // set number of entries to save into archive
 $numofentries 	= $_REQUEST['numofentries'];
 $showmax 		= $numofentries;

 // strip www. from activesitename
 $stripped_sitename = substr($activesitename, 4, strlen($activesitename));

 // #1: get referer by country for target-month limited by showmax
 $fieldname 		= "visitor_referercountry";
 $datefield 		= "visitor_date";
 $tablename    		= $my_tables->referertable;
 $additional    	= " AND visitor_referercountry != 'Unknown' AND visitor_refererdomain != '$activesitename' AND visitor_refererdomain != '$stripped_sitename'";
 $refererbycountry  = topvalues(1, $numofdays, $archivemonth, $archiveyear, $tablename, $showmax, $searchphrase, $fieldname, $datefield, $visitor_type, $additional);
 // get total number of referer-countries for target-month
 @$refererbycountry_total = mysql_result(mysql_query("SELECT COUNT(DISTINCT visitor_referercountry ) FROM $my_tables->referertable
						    WHERE month(visitor_date) = '$archivemonth' AND year(visitor_date) = '$archiveyear'
						    AND visitor_referercountry != 'Unknown' AND websitename = '$activesitename'"),0,0);


 // #2: get referer by domain for target-month limited by showmax
 $fieldname 			= "visitor_refererdomain";
 $datefield 			= "visitor_date";
 $tablename    			= $my_tables->referertable;
 $additional    		= "AND visitor_refererdomain != 'None' AND visitor_refererdomain != '$activesitename' AND visitor_refererdomain != '$stripped_sitename'";
 $refererbydomain 		= topvalues(1,$numofdays,$archivemonth,$archiveyear,$tablename, $showmax, $searchphrase, $fieldname, $datefield, $visitor_type, $additional);

 // get total number of referer-domains for target-month
 @$refererbydomain_total = mysql_result(mysql_query("SELECT COUNT(DISTINCT visitor_refererdomain ) FROM $my_tables->referertable
						   WHERE month(visitor_date) = '$archivemonth' AND year(visitor_date) = '$archiveyear'
						   AND visitor_refererdomain != 'None' AND websitename = '$activesitename'"),0,0);

 // #3: get referer by webpage for target-month limited by showmax
 $fieldname 		= "visitor_refererpage";
 $datefield 		= "visitor_date";
 $tablename    		= $my_tables->referertable;
 $additional		= " AND visitor_refererdomain != '$activesitename' AND visitor_refererdomain != '$stripped_sitename'";
 $refererbywebpage  = topvalues(1,$numofdays,$archivemonth,$archiveyear,$tablename, $showmax, $searchphrase, $fieldname, $datefield, $visitor_type, $additional);

 foreach($refererbywebpage AS $key => $value)
 {
  $elements++;
 }

 $fromdate = $archiveyear."-".$archivemonth."-01 00:00:00";
 $todate   = $archiveyear."-".$archivemonth."-31 23:59:59";

 // get total number of referer-webpages for target-month
 $sql = "SELECT COUNT(DISTINCT visitor_refererpage) AS totalnumber FROM $my_tables->referertable
	     WHERE visitor_date BETWEEN '$fromdate' AND '$todate'
	     AND visitor_refererdomain != '$activesitename' AND visitor_refererdomain != '$stripped_sitename'
	     AND visitor_refererpage != 'None' AND websitename = '$activesitename'";

 @$refererbywebpage_total = mysql_result(mysql_query($sql),0,'totalnumber');

 // parse $refererbywebpage-array and remove single quotes as they mess up the SQL-commands
 foreach($refererbywebpage AS $key => $value)
 {
  if (eregi("\'", $key))
  { 
   unset($refererbywebpage[$key]);
   $new_key = eregi_replace("\'", "", $key);
   $refererbywebpage[$new_key] = $value;
  }
 }

 // serialize arrays
 $refererbycountry_container = serialize($refererbycountry);
 $refererbydomain_container  = serialize($refererbydomain);
 $refererbywebpage_container = serialize($refererbywebpage);

 ///////////////////////////////////////////////////////////////////////////////////// 
 // save data to database
 $archive_error = FALSE;

 $sql = "UPDATE $my_tables->archivetable SET
		 refererbycountry_container = '$refererbycountry_container',
         refererbycountry_total 	= '$refererbycountry_total',
		 refererbydomain_container  = '$refererbydomain_container',
         refererbydomain_total 		= '$refererbydomain_total',
	     refererbywebpage_container = '$refererbywebpage_container',
         refererbywebpage_total 	= '$refererbywebpage_total'
         WHERE id = '$id'";

 @$result  = mysql_query($sql);
 $db_error = mysql_error();

 // uncomment next line for debugging
 // echo mysql_error();

 // calculate total time of this process
 $endtime 		 = microtime(); 
 $endtime 		 = explode(" ",$endtime); 
 $endtime 		 = $endtime[1] + $endtime[0]; 
 $timescriptend	 = $endtime; 
 $loadtime 	 	 = ($timescriptend - $timescriptstart); 
 $loadtime  	 = round($loadtime,3);
 
 // calculate time of archivation-duration 
 $time += $loadtime;

 // forward to next archive-rotuine
 if ($result)
 {
   $target_page = "step_four.php?id=$id&numofentries=$numofentries&time=$time&archivemonth=$archivemonth&archiveyear=$archiveyear";
 }
 else
 { 
  // handle DB-error here
  $archive_error = TRUE;
  // delete defect entry from archivtable
  @$result = mysql_query("DELETE FROM $my_tables->archivetable WHERE id = '$id' AND websitename = '$activesitename'");
 }
?>
<HTML>
<HEAD>
<script language="javascript">
function showError()
{
 window.top.frames['contentframe'].document.location.replace("./failure.php?message=<?php echo urlencode($db_error);?>");
}

function doIt()
{
 window.parent.document.images['percentage'].src='./images/18.gif';
 document.location.replace("<?php echo $target_page;?>");
}
</script>
</HEAD>
<BODY onload="
<?php
if (!$archive_error)
 echo "doIt();";
else
  echo "showError();";
?>">
</BODY>
</HTML>