<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

##################################################################################
## CONTENT: cronjob-file to resolve hostname 
##################################################################################


// TAKE STARTING TIME
$starttime 	 = microtime(); 
$starttime 	 = explode(" ",$starttime); 
$starttime 	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 
  
  
// set to TRUE if you wish debugging output to screen
$debug = FALSE;

$cronjobpath = dirname(__FILE__); $cronjobpath .= "/";
include_once ($cronjobpath."./../includes/global.inc.php"); 		// load variables file
include_once ($cronjobpath."./../includes/binarystat.inc.php"); 	// load configuration file
include_once ($cronjobpath."./../includes/gethostname.inc.php"); 	// load hostname function
include_once ($cronjobpath."./../includes/gettld.inc.php"); 	        // load tld function
include_once ($cronjobpath."./../includes/getrobotspider.inc.php"); 	// load robot-detection function
 
// get names of mySQL-tables
$my_tables = new binarystat_tables;
$my_tables -> build_tables();

// create new database connection
$my_db     = new binarystat_db;
$my_conn   = $my_db->connect();


// debug variables
$x	   = 0;
$numrobots = 0;

// resolve hostnames for main-datatable
@$result = mysql_query("SELECT id, visitor_ip, visitor_language, visitor_country, browserstamp
  			FROM $my_tables->maintable WHERE hostnameresolved = 'FALSE'");

while(@$my_object = mysql_fetch_object($result))
{ 
 $db_id	    		= trim($my_object->id);
 $visitor_ip 	    	= trim($my_object->visitor_ip);
 $visitor_language 	= trim($my_object->visitor_language);
 $visitor_country  	= trim($my_object->visitor_country);
 $visitor_browserstamp  = trim($my_object->browserstamp);
  
 // if visitor languag is unknown, set it to visitor country
 if ($visitor_language == '')
 {
  if ($visitor_country == 'us') $visitor_language = 'en';
   else $visitor_language = $visitor_country;
 }
  
 // resolve hostname
 $visitor_hostname = getHostByAddr($visitor_ip);
 if ($visitor_hostname == '') { $visitor_hostname = $visitor_ip; $visitor_hostnameshort = 'Unknown'; }
  
 else
 {
  // get cleaned up hostname and tld
  $visitor_hostnameshort = getcleanhostname($visitor_hostname);
  $visitor_tld	= getcleantld($visitor_hostname);
 }
 
 if (!eregi('[a-z][A-Z]', $visitor_hostnameshort)) $visitor_hostnameshort = 'Unknown';
 if (!eregi('[a-z][A-Z]', $visitor_tld)) $visitor_tld = 'Unknown';
  
 // check if current visitor is a robot/spider
 @$my_robots = mysql_result(mysql_query("SELECT SQL_CACHE robots FROM $my_tables->identifytable"),0,0);
 if ($my_robots == '' || $my_robots == 0)
  @$my_robots = mysql_result(mysql_query("SELECT robots FROM $my_tables->identifytable"),0,0);
 $robot_check  = robotcheck($visitor_hostname, $visitor_browserstamp, $my_robots);
 
 if ($robot_check['type'] == 'Robot/Spider')
 { 
  $visitor_system 	 = 'Robot/Spider';
  $visitor_browserfull	 = $robot_check['brand'];
  $visitor_type  	 = "ROBOT";
  $numrobots++;
 
  // update browsertable
  $query = "UPDATE $my_tables->maintable SET
  	    visitor_system 	= '$visitor_system',
  	    visitor_browserfull	= '$visitor_browserfull'
  	    WHERE id 		= '$db_id'";
  
  @$update = mysql_query($query);   
 }
 else
 {
  $visitor_type  = "HUMAN";
 }
 
 // update maintable 
 $query = "UPDATE $my_tables->maintable SET 
 	   visitor_hostname 	 = '$visitor_hostname', 
 	   visitor_hostnameshort = '$visitor_hostnameshort',
           hostnameresolved 	 = 'TRUE',
  	   visitor_language 	 = '$visitor_language',
  	   visitor_tld	    	 = '$visitor_tld',
  	   visitor_type     	 = '$visitor_type'
 	   WHERE id 		 = '$db_id'";
 			  
 @$update = mysql_query($query);
 $x++;
}

 // calculate total time of this process
 $endtime 	= microtime(); 
 $endtime 	= explode(" ",$endtime); 
 $endtime 	= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 	= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);

 // if debug mode is active, output collected visitor information
 if ($debug)
 {
  echo "Debugging information:<br><br>";
  echo "Number of entries processed: $x<br>";
  echo "Number of robots detected: $numrobots<br><br>";
  echo "Script executed in $loadtime sec.";
 }
// end of cron-job
?>