<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		  	 
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/gethostname.inc.php"); 	
include_once ($include_path."./../includes/vars.inc.php"); 

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get standard variables
 $my_vars = new getchoostat_vars;
 $my_vars -> build_vars();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // exit if not logged in or if user is not the admin  -> THIS PAGE IS FOR ADMIN OR WEBMASTER ONLY!
 if ($my_session->logged_in == 'FALSE' || $my_session->usertype == 'GUEST') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get next id from account-table
 @$maxid   = mysql_result(mysql_query("SELECT MAX(id) FROM $my_tables->downloadmanagertable"),0,0);
 $maxid++;

 // did admin submit the form -> create new download
 if ($_POST['action'] == 'CREATE' && ($my_session->usertype == 'ADMIN' || $my_session->usertype != 'WEBMASTER'))
 {
  // get posted settigns
  $newfilecategory 	= $_POST['newfilecategory'];
  $newfiletitle	 	= $_POST['newfiletitle'];
  $newfilename 		= $_POST['newfilename'];
  $newfiledir		= $_POST['newfiledir'];
  $newfilesize      = $_POST['newfilesize'];
  $newfilelocation  = $_POST['newfilelocation'];
  $newfileshortdesc = $_POST['newfileshortdesc'];
  $newfilelongdesc  = $_POST['newfilelongdesc'];

  // did user submit the form for a new download-entry?
  $siteadress  = "http://".$_SERVER['HTTP_HOST'];
  if ($_POST['newfilelocation'] != "EXTERNAL")
  {
   // make filedir corrections if nescessary
   $filedirlength = strlen($newfiledir);  
   $startpos = $filedirlength-1; 
   $checkvar = substr($newfiledir,$startpos,$filedirlength);
   if ($checkvar != '/') $newfiledir .= '/';
  }

  // set filename
  $newfullfile = $siteadress.$newfiledir.$newfilename;

  // save download to database
  @$result = mysql_query("INSERT INTO $my_tables->downloadmanagertable (entrydate,filetitle,filename,filesize,filedir,
						  fullfile,location,category,fileshortdesc,filelongdesc,totaldownloads,
						  lastdownload,lastdownloadip,websitename) VALUES ('$my_timestamp->now','$newfiletitle','$newfilename',
						  '$newfilesize','$newfiledir','$newfullfile','$newfilelocation','$newfilecategory',
						  '$newfileshortdesc','$newfilelongdesc',0,0,0,'$activesitename')");				   


  // send user to downloadentries-overview
  header('location: editdownload.php'); exit();
 }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<html>
<head>
<title>Create Download</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>

<script language="JavaScript" type="Text/JavaScript" src="../scripts/popupwindow.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=downloadmanager/createdownload.php';
}
//-->
</script>
</head>
<body onload="showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Create_Download_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/adddownbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Create_Download'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table cellspacing=0 cellpadding=1 width=100% border=0>
            <tr>
              <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                        <tr>
                          <td colspan="7" class="tablehead"></td>
                        <tr class="small">
                          <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Add_Download'];?></td>
                        </tr>
                        <tr>
                          <td colspan="7" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                      </table>
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr valign="middle" class="optionsbackground">
                            <td width="1%"><span class="small"><strong><img src="../images/blankspacer.gif" width="5" height="35" border="0"></strong></span></td>
                            <td>
                              <form action="createdownload.php" method="post" name="searchform" id="searchform">
                                <br>
                                <table width="98%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                                  <tr class="optionsbackground">
                                    <td width="12%" height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Download_ID'];?>
                                        <div align="left"></div></td>
                                    <td width="4%" height="25">:</td>
                                    <td width="32%" height="25"><input name="maxid" type="text" id="maxid2" style="width: 220px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $maxid;?>" maxlength="30" disabled onFocus="if (!document.all && !document.getElementById) this.blur()"></td>
                                    <td width="13%"><?php echo $lang['Short_Description'];?></td>
                                    <td width="5%">:</td>
                                    <td width="34%">
                                      <input name="newfileshortdesc" type="text" id="newfileshortdesc" style="width: 300px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" maxlength="50"></td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Category'];?>
                                        <div align="left"></div></td>
                                    <td height="25">:</td>
                                    <td height="25">
                                      <select name="newfilecategory" id="select" style="width: 220px; height:20px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid; background-color:#FFFFFF">
                                        <?php 
@$result = mysql_query("SELECT categoryname FROM $my_tables->categorytable WHERE websitename = '$activesitename'");
while(@$my_object= mysql_fetch_object($result))
{
 $categories[] = $my_object->categoryname;
}
// sort array 
function cmp($a, $b)
{
 return strcmp(strtolower($a), strtolower($b));
}
usort($categories, "cmp"); 

foreach($categories AS $categoryname)
{
 if ($categoryname == $_POST['newfilecategory'])
  echo "<option value='$categoryname' selected>".$categoryname."</option>"; 
 else
 echo "<option value='$categoryname'>".$categoryname."</option>";
}

?>
                                      </select>
                                    </td>
                                    <td height="25"><?php echo $lang['Description'];?></td>
                                    <td>:</td>
                                    <td rowspan="6" valign="top">
                                      <textarea name="newfilelongdesc" rows="7" id="textarea" style="width: 300px; height: 130px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF"></textarea>
</td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Title'];?>
                                        <div align="left"></div></td>
                                    <td height="25">:</td>
                                    <td height="25"><input name="newfiletitle" type="text" id="newfiletitle" style="width: 220px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" maxlength="120"></td>
                                    <td height="25">&nbsp;</td>
                                    <td>&nbsp;</td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Filename'];?></div></td>
                                    <td height="25">:</td>
                                    <td height="25"><input name="newfilename" type="text" id="newfilename2" style="width: 220px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" maxlength="250"></td>
                                    <td height="25">&nbsp;</td>
                                    <td>&nbsp;</td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Directory'];?></div></td>
                                    <td height="25">:</td>
                                    <td height="25"><input name="newfiledir" type="text" id="newfiledir2" style="width: 220px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" maxlength="250"></td>
                                    <td height="25">&nbsp;</td>
                                    <td>&nbsp;</td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Filesize'];?></div></td>
                                    <td height="25">:</td>
                                    <td height="25"><input name="newfilesize" type="text" id="newfilesize2" style="width: 220px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" maxlength="50"></td>
                                    <td height="25">&nbsp;</td>
                                    <td>&nbsp;</td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['File_Location'];?></div></td>
                                    <td height="25">:</td>
                                    <td height="25"><font color="#FFCC66" size="1" face="Geneva, Arial, Helvetica, san-serif">
                                      <select name="newfilelocation" id="select" style="width: 220px; height:20px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid; background-color:#FFFFFF">
                                        <option value="INTERNAL"><?php echo $lang['Internal_Download'];?></option>
                                        <option value="EXTERNAL"><?php echo $lang['External_Download'];?></option>
                                      </select>
                                    </font></td>
                                    <td height="25">&nbsp;</td>
                                    <td>&nbsp;</td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25" colspan="6"><img src="../images/blackdot.gif" width="100%" height="1"></td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25" colspan="3"><span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="editdownload.php"><?php echo $lang['Edit_Download'];?></a>, <a href="deletedownload.php"><?php echo $lang['Delete_Download'];?></a></span></td>
                                    <td height="25">&nbsp;</td>
                                    <td>&nbsp;</td>
                                    <td height="25"><div align="right">
                                        <script type="text/javascript">
<!--
var add_download = new submitForm("../images/adddown.gif","../images/adddown_down.gif","adddownload","add");
add_download.alt ="<?php echo $lang['Add_Download'];?>";
add_download.write();
//-->
                                </script>
                                        <input name="action" type="hidden" id="action" value="CREATE">
                                    </div></td>
                                  </tr>
                                </table>
                                <br>
                            </form></td>
                          </tr>
                      </table></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <form name="createaccount" method="post" action="createdownload.php">
          </form>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr> </tr>
        </table></td>
    </tr>
  </table>
  <br>
</div>
</body>
</html>











