<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 

include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
     
 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->logged_in == 'FALSE' || $_SESSION['usertype'] == 'GUEST') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // user hit the edit-button, so save changes to database 
 if ($_POST['action'] == 'DELETE' && ($_SESSION['usertype'] == 'WEBMASTER' || $_SESSION['usertype'] == 'ADMIN'))
 {
  $category_id 	= $_POST['category_id'];
  $categoryname = trim($_POST['categoryname']);

  // delete category from category-table
  @$result = mysql_query("DELETE FROM $my_tables->categorytable WHERE id='$category_id' 
						  AND websitename='$activesitename'");
  // delete downloads belonging to deleted category
  @$result = mysql_query("DELETE FROM $my_tables->downloadmanagertable WHERE category = '$categoryname' 
						  AND websitename = '$activesitename'");
  
  // send user back to category-selection	
 header("location: editcategory.php");
 exit();

 }

 // read all information for selected category from database
 $category_id = $_REQUEST['category_id'];
 $result = mysql_query("SELECT * FROM $my_tables->categorytable WHERE id = '$category_id'
				        AND websitename = '$activesitename'");

 $my_object 	= mysql_fetch_object($result);
 $categoryname 	= $my_object->categoryname;
 $categorydesc	= $my_object->categorydesc;

 // get number of downloads that will be affected by deletion of categroy
 $affected_downloads = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->downloadmanagertable
				       WHERE category = '$categoryname'"),0,0);
 if ($affected_downloads == '') $affected_downloads = 0;


 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Delete Category</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=downloadmanager/deletecategory.php';
}
//-->
</script>
</head>
<body class="section-1" onLoad="showLayer('contentlayer');reloadmenu();MM_preloadImages('../images/prevpage_down.gif')">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Delete_Category_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form action="deletecategory.php" method="post" name="deletedownload" id="deletedownload">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="#" target="_self"><?php echo $lang['Delete_Category']; ?></a></li>
 </ul>
<div id="contents">  <table width="100%" border=0 cellpadding=2 cellspacing=3>
    <tbody>
      <tr>
        <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
            <tr>
              <td width="115"><div align="justify"><img src="../images/editcatbox.jpg" width="107" height="77"></div></td>
              <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Delete_Category'];?></div></td>
            </tr>
        </table></td>
      </tr>
    </tbody>
  </table>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox">          <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
            <tr>
              <td colspan="3"><img src="../images/blankspacer.gif" width="8" height="8"></td>
            </tr>
            <tr>
              <td colspan="3"><img src="../images/blankspacer.gif" width="8" height="8"></td>
            </tr>
            <tr>
              <td width="233" valign="top"><span class="smallBlack"><strong> &raquo; <?php echo $lang['Name_Of_Category'];?></strong></span></td>
              <td width="39" valign="top">:</td>
              <td width="424"><span class="smallBlack"><?php echo $categoryname;?> </span>
                <div align="left"> </div></td>
              </tr>
            <tr>
              <td colspan="3" valign="top">
                <div align="left"><img src="../images/blankspacer.gif" width="8" height="8"></div></td>
            </tr>
            <tr>
              <td width="233" valign="top"><span class="smallBlack"><strong> &raquo; <?php echo $lang['Affected_Downloads'];?></strong></span></td>
              <td width="39" valign="top">:</td>
              <td><span class="smallBlack">              </span>
                <div align="left"><span class="smallBlack"><?php echo $affected_downloads;?></span> </div></td>
              </tr>
            <tr>
              <td colspan="3"><div align="left"><img src="../images/blankspacer.gif" width="8" height="2"> </div></td>
            </tr>
            <tr>
              <td colspan="3" valign="top"><img src="../images/blankspacer.gif" width="8" height="8"><span class="smallBlack">                            </span>
                <div align="left"></div></td>
              </tr>
          </table>          </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
    <tr>
      <td width="43%">
        <div align="left"><span class="smallBold"><img src="../images/blankspacer.gif" width="2" height="8" border="0"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="createcategory.php"><?php echo $lang['Add_Category'];?></a></span> </div></td>
      <td width="57%"><div align="right"><a href="editcategory.php" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('goprevpage','','../images/prevpage_down.gif',1)"><img src="../images/prevpage.gif" alt="<?php echo $lang['To_Previous_Page'];?>" name="goprevpage" width="142" height="13" border="0" align="absmiddle"></a><img src="../images/blankspacer.gif" width="10" height="8" border="0">
        <SCRIPT TYPE="text/javascript">
<!--
var delcat = new submitForm("../images/delcat.gif","../images/delcat_down.gif","delcat","delcat");
delcat.alt ="<?php echo $lang['Delete_Category'];?>";
delcat.write();
//-->
                </SCRIPT>
        <input name="categoryname" type="hidden" id="categoryname" value="<?php echo $categoryname;?>">
        <input name="category_id" type="hidden" id="category_id" value="<?php echo $category_id;?>">
        <input name="action" type="hidden" id="action" value="DELETE">
      </div></td>
    </tr>
  </table>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          <span class="small">          </span>
          </form>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>