<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/vars.inc.php"); 

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get standard variables
 $my_vars = new getchoostat_vars;
 $my_vars -> build_vars();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // exit if not logged in or if user is not the admin  -> THIS PAGE IS FOR ADMIN OR WEBMASTER ONLY!
 if ($my_session->logged_in == 'FALSE' || $my_session->usertype == 'GUEST') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get cursor position from calling page
 $showcat		 = $_REQUEST['showcat']; 
 $pos 			 = $_REQUEST['pos'];
 $high_butt		 = $_REQUEST['high_butt'];
 $low_butt		 = $_REQUEST['low_butt'];
 $current_page	 = $_REQUEST['current_page'];
 $sortorder	 	 = $_REQUEST['sortorder'];

 // did admin submit the form -> create new download
 if ($_POST['action'] == 'UPDATE' && $my_session->usertype != 'GUEST' && $my_session->usertype != 'DEMO')
 { 
  // get posted settigns
  $newfilecategory 	= $_POST['newfilecategory'];
  $newfiletitle	 	= $_POST['newfiletitle'];
  $newfilename 		= $_POST['newfilename'];
  $newfiledir		= $_POST['newfiledir'];
  $newfilesize      = $_POST['newfilesize'];
  $newfilelocation  = $_POST['newfilelocation'];
  $newfileshortdesc = $_POST['newfileshortdesc'];
  $newfilelongdesc  = $_POST['newfilelongdesc'];
  $downloadid		= $_POST['downloadid'];
  $newfiledownloads = $_POST['newfiledownloads'];

  // create website-adress
  $siteadress  = "http://".$_SERVER['HTTP_HOST'];

  // only make changes to filedirectory if download is internal
  if ($newfilelocation != 'EXTERNAL')
  {
   // make filedir corrections if nescessary
   $filedirlength = strlen($newfiledir);  
   $startpos = $filedirlength-1;
   $checkvar = substr($newfiledir,$startpos,$filedirlength);
   if ($checkvar !="/") $newfiledir .="/";
   $newfullfile = $siteadress.$newfiledir.$newfilename;
  }
  else { $newfullfile = $newfiledir; }
  
  
  @$result = mysql_query("UPDATE $my_tables->downloadmanagertable SET entrydate=entrydate, filetitle='$newfiletitle', 
						  filename='$newfilename',filesize='$newfilesize',filedir='$newfiledir',
						  fullfile='$newfullfile',location='$newfilelocation',category='$newfilecategory',
						  fileshortdesc='$newfileshortdesc',filelongdesc='$newfilelongdesc',
						  totaldownloads='$newfiledownloads'
						  WHERE id = '$downloadid' AND websitename = '$activesitename'
				         ");

  // now make changes in the download list
  @$result = mysql_query("UPDATE $my_tables->downloadtable SET filetitle = '$newfiletitle'
						  WHERE fileid = '$downloadid' AND websitename = '$activesitename'");
 }

 // read all information for selected download from database
 $downloadid = $_REQUEST['downloadid'];
 $result = mysql_query("SELECT * FROM $my_tables->downloadmanagertable WHERE id = '$downloadid'
				        AND websitename = '$activesitename'");

 $my_object 	= mysql_fetch_object($result);
 $fileid		= $my_object->id;
 $filecategory 	= $my_object->category;
 $filename 		= $my_object->filename;
 $filetitle 	= $my_object->filetitle;
 $filesize 		= $my_object->filesize;
 $filedir 		= $my_object->filedir;
 $fullfile 		= $my_object->fullfile;
 $filelocation 	= $my_object->location;
 $fileshortdesc	= $my_object->fileshortdesc;
 $fileshortdesc	= $my_object->fileshortdesc;
 $filelongdesc	= $my_object->filelongdesc; 
 $filedownloads = $my_object->totaldownloads;

 if ($filedownloads == '') $filedownloads = 0;

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<html>
<head>
<title>Create Download</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>

<script language="JavaScript" type="Text/JavaScript" src="../scripts/popupwindow.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=downloadmanager/editdownloadgo.php';
}
//-->
</script>
</head>
<body onload="showLayer('contentlayer');reloadmenu();MM_preloadImages('../images/prevpage_down.gif')">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Edit_Download_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/downloadbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Edit_Download'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
          <br>
          <table cellspacing=0 cellpadding=1 width=100% border=0>
            <tr>
              <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                        <tr>
                          <td colspan="7" class="tablehead"></td>
                        <tr class="small">
                          <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Edit_Download'];?></td>
                        </tr>
                        <tr>
                          <td colspan="7" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                      </table>
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr valign="middle" class="optionsbackground">
                            <td width="1%"><span class="small"><strong><img src="../images/blankspacer.gif" width="5" height="35" border="0"></strong></span></td>
                            <td>
                              <form action="editdownloadgo.php" method="post" name="editform" id="editform">
                                <br>
                                <table width="98%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                                  <tr class="optionsbackground">
                                    <td width="12%" height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Download_ID'];?>
                                        <div align="left"></div></td>
                                    <td width="4%" height="25">:</td>
                                    <td width="32%" height="25"><input name="maxid" type="text" id="maxid" style="width: 220px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $fileid;?>" disabled onFocus="if (!document.all && !document.getElementById) this.blur()"></td>
                                    <td width="13%"><?php echo $lang['Short_Description'];?></td>
                                    <td width="5%">:</td>
                                    <td width="34%">
                                      <input name="newfileshortdesc" type="text" id="newfileshortdesc" style="width: 300px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $fileshortdesc;?>"></td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Category'];?>
                                        <div align="left"></div></td>
                                    <td height="25">:</td>
                                    <td height="25">
                                      <select name="newfilecategory" id="select" style="width: 220px; height:20px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid; background-color:#FFFFFF">
                                        <?php 
echo "<option value='".$filecategory."' selected>".$filecategory."</option>";
$result = mysql_query("SELECT * FROM $my_tables->categorytable WHERE websitename = '$activesitename'");
while($my_object= mysql_fetch_object($result))
{ 
 if ($my_object->categoryname != $filecategory)
  echo "<option value='".$my_object->categoryname."'>".$my_object->categoryname."</option>";
}

?>
                                      </select>
                                    </td>
                                    <td height="25"><?php echo $lang['Description'];?></td>
                                    <td>:</td>
                                    <td rowspan="5" valign="top"><textarea name="newfilelongdesc" rows="7" id="textarea2" style="width: 300px; height: 125px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF"><?php echo $filelongdesc;?></textarea>
</td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Title'];?>
                                        <div align="left"></div></td>
                                    <td height="25">:</td>
                                    <td height="25"><input name="newfiletitle" type="text" id="newfiletitle" style="width: 220px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $filetitle;?>"></td>
                                    <td height="25">&nbsp;</td>
                                    <td>&nbsp;</td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Filename'];?></div></td>
                                    <td height="25">:</td>
                                    <td height="25"><input name="newfilename" type="text" id="newfilename" style="width: 220px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $filename;?>"></td>
                                    <td height="25">&nbsp;</td>
                                    <td>&nbsp;</td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Directory'];?></div></td>
                                    <td height="25">:</td>
                                    <td height="25"><input name="newfiledir" type="text" id="newfiledir" style="width: 220px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $filedir;?>"></td>
                                    <td height="25">&nbsp;</td>
                                    <td>&nbsp;</td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Filesize'];?></div></td>
                                    <td height="25">:</td>
                                    <td height="25"><input name="newfilesize" type="text" id="newfilesize" style="width: 220px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $filesize;?>"></td>
                                    <td height="25">&nbsp;</td>
                                    <td>&nbsp;</td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['File_Location'];?></div></td>
                                    <td height="25">:</td>
                                    <td height="25"><font color="#FFCC66" size="1" face="Geneva, Arial, Helvetica, san-serif">
                                      <select name="newfilelocation" id="newfilelocation" style="width: 220px; height:20px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid; background-color:#FFFFFF">
                                   <?php

 if ($filelocation == "EXTERNAL") $locationtype = $lang['External_Download'];
 if ($filelocation == "INTERNAL") $locationtype = $lang['Internal_Download'];

 if ($filelocation != "EXTERNAL")
  echo "<option value='EXTERNAL'>".$lang['External_Download']."</option>";
 
 if ($filelocation != "INTERNAL")
  echo "<option value='INTERNAL'>".$lang['Internal_Download']."</option>";

  echo "<option value='".$filelocation."' selected>$locationtype</option>";
?>

                                      </select>
                                    </font></td>
                                    <td height="25"><?php echo $lang['Downloads'];?></td>
                                    <td>:</td>
                                    <td><input name="newfiledownloads" type="text" id="newfiledownloads" style="width: 300px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $filedownloads;?>"></td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25" colspan="6"><img src="../images/blackdot.gif" width="100%" height="1"></td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td height="25" colspan="3"><span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="createdownload.php"><?php echo $lang['Add_Download'];?></a>, <a href="deletedownload.php"><?php echo $lang['Delete_Download'];?></a></span></td>
                                    <td height="25" colspan="3"><div align="right">

                                        <a href="editdownload.php?pos=<?php echo $pos;?>&low_butt=<?php echo $low_butt;?>&high_butt=<?php echo $high_butt;?>&sortorder=<?php echo $sortorder;?>&showcat=<?php echo $showcat;?>&current_page=<?php echo $current_page;?>" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('goback','','../images/prevpage_down.gif',1)"><img src="../images/prevpage.gif" alt="<?php echo $Lang['To_Previous_Page'];?>" name="goback" width="142" height="13" border="0" align="absmiddle"></a><img src="../images/blankspacer.gif" width="10" height="8" border="0">
                                        <input name="showcat" type="hidden" id="showcat" value="<?php echo $showcat;?>">
                                        <input name="sortorder" type="hidden" id="sortorder" value="<?php echo $sortorder;?>">
                                        <input name="current_page" type="hidden" id="current_page" value="<?php echo $current_page;?>">
                                        <input name="low_butt" type="hidden" id="low_butt" value="<?php echo $low_butt;?>">
                                        <input name="high_butt" type="hidden" id="high_butt" value="<?php echo $high_butt; ?>">
                                        <input name="pos" type="hidden" id="pos" value="<?php echo $pos;?>">
                                        <script type="text/javascript">
<!--
var savechanges = new submitForm("../images/savechanges.gif","../images/savechanges_down.gif","savechanges","save");
savechanges.alt ="<?php echo $lang['Save_Changes'];?>";
savechanges.write();
//-->
                                </script>
                                        <input name="downloadid" type="hidden" id="downloadid" value="<?php echo $downloadid;?>">
                                        <input name="action" type="hidden" id="action" value="UPDATE">
                                    </div></td>
                                  </tr>
                                </table>
                                <br>
                            </form></td>
                          </tr>
                      </table></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <form name="createaccount" method="post" action="createdownload.php">
          </form>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr> </tr>
        </table></td>
    </tr>
  </table>
  <br>
</div>
</body>
</html>