<?php
// include nescessary files
@$include_path = dirname(__FILE__); $include_path .= "/";
include ($include_path."../includes/global.inc.php"); 		// load variables file
include ($include_path."../includes/binarystat.inc.php"); 	// load configuration file

$my_db     = new binarystat_db;
$my_conn   = $my_db->connect();

$my_tables = new binarystat_tables;
$my_tables -> build_tables();

$update_error = FALSE;

echo "binary:STAT v1.2 - UPDATER<br><br>";
echo "-------------------------------------------------------------------<br><br>";
echo "Dieses Update wird diverse nderungen an der Archiv-Tabelle<br>";
echo "vornehmen und diese von Version 1.1a auf 1.2 aktualisieren - <br>";
echo "das Ergebnis dieses Vorgangs wird Ihnen unten angezeigt.<br>";
echo "-------------------------------------------------------------------<br><br>";


// update #1
$sql = "ALTER TABLE $my_tables->archivetable CHANGE refererbycountry_container refererbycountry_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #2
$sql = "ALTER TABLE $my_tables->archivetable CHANGE refererbydomain_container refererbydomain_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #3
$sql = "ALTER TABLE $my_tables->archivetable CHANGE refererbywebpage_container refererbywebpage_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #4
$sql = "ALTER TABLE $my_tables->archivetable CHANGE searchengine_container searchengine_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #5
$sql = "ALTER TABLE $my_tables->archivetable CHANGE searchquery_container searchquery_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #6
$sql = "ALTER TABLE $my_tables->archivetable CHANGE searchword_container searchword_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #7
$sql = "ALTER TABLE $my_tables->archivetable CHANGE bot_container bot_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #8
$sql = "ALTER TABLE $my_tables->archivetable CHANGE leveldomain_container leveldomain_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #9
$sql = "ALTER TABLE $my_tables->archivetable CHANGE hostname_container hostname_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #10
$sql = "ALTER TABLE $my_tables->archivetable CHANGE country_container country_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #11
$sql = "ALTER TABLE $my_tables->archivetable CHANGE language_container language_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #12
$sql = "ALTER TABLE $my_tables->archivetable CHANGE trackingpage_container trackingpage_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #13
$sql = "ALTER TABLE $my_tables->archivetable CHANGE entrypage_container entrypage_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #14
$sql = "ALTER TABLE $my_tables->archivetable CHANGE exitpage_container exitpage_container LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #15
$sql = "ALTER TABLE $my_tables->archivetable CHANGE downloadoverview downloadoverview LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #16
$sql = "ALTER TABLE $my_tables->trackingtable ADD visitor_type ENUM( 'HUMAN', 'ROBOT' ) DEFAULT 'HUMAN' NOT NULL";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;


if (!$update_error) echo "Update der Archivtabelle verlief erfolgreich";
 else echo "Update fehlgeschlagen:<br><br>".mysql_error();
 
?>