<?php
// include nescessary files
@$include_path = dirname(__FILE__); $include_path .= "/";
include ($include_path."../includes/global.inc.php"); 		// load variables file
include ($include_path."../includes/binarystat.inc.php"); 	// load configuration file

$my_db     = new binarystat_db;
$my_conn   = $my_db->connect();

$my_tables = new binarystat_tables;
$my_tables -> build_tables();

$update_error = FALSE;

echo "binary:STAT v1.2a - UPDATER<br><br>";
echo "-------------------------------------------------------------------<br><br>";
echo "Dieses Update wird diverse nderungen an der Archiv-Tabelle<br>";
echo "vornehmen und diese von Version 1.2 auf 1.2a aktualisieren - <br>";
echo "das Ergebnis dieses Vorgangs wird Ihnen unten angezeigt.<br>";
echo "-------------------------------------------------------------------<br><br>";


// update #1
$sql = "ALTER TABLE $my_tables->archivetable CHANGE longtext_directaccess text_directaccess LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #2
$sql = "ALTER TABLE $my_tables->archivetable CHANGE longtext_byreferer text_byreferer LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;

// update #3
$sql = "ALTER TABLE $my_tables->archivetable CHANGE longtext_bysearchengine text_bysearchengine LONGTEXT";
$result = $my_db->query($sql);
if (!$result) $update_error = TRUE;


if (!$update_error) echo "Update der Archivtabelle verlief erfolgreich";
 else echo "Update fehlgeschlagen:<br><br>".mysql_error();
 
?>