<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function delete_visitor($visitor_dbid, $my_timebox, $my_tables, $my_db)
{
 // load database functions
 $includepath= dirname(__FILE__); $includepath .= "/";
 include_once($includepath."./dbactions.inc.php");

 // get information for selected visitor
 @$result 		= mysql_query("SELECT visitor_ip, visitor_id, unique_visit,
			 	       UNIX_TIMESTAMP(visitor_timestamp) AS visitor_timestamp
				       FROM $my_tables->maintable
				       WHERE id = '$visitor_dbid'");
 
 $my_object 		= mysql_fetch_object($result);
 $visitor_ip		= $my_object->visitor_ip;
 $visitor_id		= $my_object->visitor_id;
 $visitor_unique	= $my_object->unique_visit;
 $visitor_timestamp 	= $my_object->visitor_timestamp;

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 /////////////////////////////////////////////////////////////////////////////////////////////////
 // calculate number of impressions (pageviews) that need to be deleted
 // HOW-TO:
 // step #1 - extract time and date from $timebox by exploding the string
 // step #2 - search for next (future) entry of current-visitor in maintable
 // step #3 - calculate impressions between date saved in timebox and next entry in maintable
 /////////////////////////////////////////////////////////////////////////////////////////////////

 // step #1: get date and time from timebox
 $timebox 	= explode("#", urldecode($my_timebox));
 $vis_day 	= $timebox[0];
 $vis_month	= $timebox[1];
 $vis_year 	= $timebox[2];
 $vis_hour 	= $timebox[3];
 $vis_minute 	= $timebox[4];
 $vis_second 	= $timebox[5];

 // crate useable timestamps
 $fromdate = $vis_year.'-'.$vis_month.'-'.$vis_day.' '.$vis_hour.':'.$vis_minute.':'.$vis_second;
 $todate   = $year.'-'.$month.'-'.$day.' 23:59:59';
  
 // hand over variable
 $start_timestamp = $fromdate;
 
 // info: $target_timestamp will contain the date of the next pageimpression after the one that is checked here
 
 // set flag
 $no_id = FALSE;
 
 // step #1: check if there is a newer entry in maintable than the current one-> search using ID
 $sql = "SELECT visitor_timestamp FROM $my_tables->maintable WHERE visitor_id = '$visitor_id' 
         AND visitor_timestamp > '$start_timestamp' AND websitename = '$activesitename' LIMIT 0,1";
 @$result = $my_db->query($sql);
 @$target_timestamp = mysql_result($result,0,0);

 // check if there is a newer entry in maintable than the current one -> search using IP
 if (empty($target_id))
 {
  $sql = "SELECT visitor_timestamp FROM $my_tables->maintable WHERE visitor_ip = '$visitor_ip'
          AND visitor_timestamp > '$start_timestamp' AND websitename = '$activesitename' LIMIT 0,1";
  @$result = $my_db->query($sql);
  @$target_timestamp = mysql_result($result,0,0);
  
  // set flag to true -> a visitor-ID is not available
  $no_id = TRUE;
 }

 // set flag if its the first visitors DB-entry (or not)
 if (!empty($target_timestamp)) {$first_visit = FALSE;} else { $first_visit = TRUE;}

 ######################################################################################################################

 if (!$first_visit)
 {
  if (!$no_id)
  { 
   // calculate impressions using ID
   $sql = "SELECT count(*) FROM $my_tables->trackingtable 
          WHERE visitor_id = '$visitor_id'
	  AND visitor_timestamp >= '$start_timestamp' AND visitor_timestamp < '$target_timestamp'
	  AND websitename = '$activesitename'";
    @$result = $my_db->query($sql);
    @$impressions = mysql_result($result,0,0);
  }
  
  // calculate impressions using IP
  else 
  {
   $sql = "SELECT count(*) FROM $my_tables->trackingtable 
   	   WHERE visitor_ip = '$visitor_ip'
	   AND visitor_timestamp >= '$start_timestamp' AND visitor_timestamp < '$target_timestamp'
	   AND websitename = '$activesitename'";
   @$result = $my_db->query($sql);
   @$impressions = mysql_result($result,0,0);
  } 
 }
 
 ###############################################################################################
 
 // it is the first visit
 else
 {
  // step #3: calculate impressions if its the first visit of selected visitor -> using visitor-ID
  if (!$no_id)
  { 
   $sql = "SELECT count(*) FROM $my_tables->trackingtable
	   WHERE visitor_id = '$visitor_id'
	   AND visitor_timestamp >= '$start_timestamp'
	   AND websitename = '$activesitename'";
   @$result = $my_db->query($sql);
   @$impressions = mysql_result($result,0,0); 
  }
 
  // calculate impressions by IP
  elseif ($first_visit)
  {
   $sql = "SELECT count(*) FROM $my_tables->trackingtable 
	   WHERE visitor_ip = '$visitor_ip'
	   AND visitor_timestamp >= '$start_timestamp'
           AND websitename = '$activesitename'";
           
   @$result = $my_db->query($sql);
   @$impressions = mysql_result($result,0,0);
  }
 } 


 ###############################################################################################
 ## get total number of downloads for this visitor
 ###############################################################################################
 if (!$no_id)
 { 
  $visitor_downloads = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->downloadtable 
						WHERE visitor_id = '$visitor_id'
						AND UNIX_TIMESTAMP(download_timestamp) >= '$visitor_timestamp'
						AND websitename = '$activesitename'"),0,0);
 }
 else
 {
  $visitor_downloads = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->downloadtable 
						 WHERE visitor_ip = '$visitor_ip'
						 AND UNIX_TIMESTAMP(download_timestamp) >= '$visitor_timestamp'
						 AND websitename = '$activesitename'"),0,0);
 }


 ###############################################################################################
 ## delete visitor from database tables
 ###############################################################################################

 // check if visitor is a robot or spider
 $sql = "SELECT visitor_type FROM $my_tables->maintable WHERE id = '$visitor_dbid'";
 @$visitor_type = mysql_result(mysql_query($sql),0,0);
 
 // ### delete visitor from maintable
 $result = mysql_query("DELETE FROM $my_tables->maintable WHERE id = '$visitor_dbid'");

 // ### delete visitor from trackingtable 
 if ($first_visit)
 {
  $query = "DELETE FROM $my_tables->trackingtable ";
  if ($visitor_id == '') $query .= "WHERE visitor_ip = '$visitor_ip' ";
   else $query .= "WHERE visitor_id = '$visitor_id' ";
   
  $query .= " AND UNIX_TIMESTAMP(visitor_timestamp) >= '$visitor_timestamp' AND websitename = '$activesitename'";
  $result = mysql_query($query);

 }
 if (!$first_visit)
 {
  $query = "DELETE FROM $my_tables->trackingtable ";
  if ($visitor_id == '') $query .= "WHERE visitor_ip = '$visitor_ip' ";
   else $query .= "WHERE visitor_id = '$visitor_id' ";
   
  $query .= " AND visitor_timestamp >= '$start_timestamp' AND visitor_timestamp <= '$target_timestamp' AND websitename = '$activesitename'";
  $result = mysql_query($query);
 }


 // create target-timestamp for deletion
 $targetstamp = $vis_year."-".$vis_month."-".$vis_day;


 // only make the following alterations if visitor IS NOT a robot or spider!
 if ($visitor_type == 'HUMAN')
 {
  // ### update totalvisit-value
  $result = mysql_query("UPDATE $my_tables->countertable SET totalvisits = totalvisits-1  WHERE websitename = '$activesitename'");
  $result = mysql_query("UPDATE $my_tables->visitortable SET totalvisits = totalvisits-1  
     			 WHERE MONTH(transfer_timestamp) = '$vis_month'
     			 AND YEAR(transfer_timestamp)    = '$vis_year'
  			 AND websitename = '$activesitename'");

  // ### update uniquevisit-value
  if ($visitor_unique == 'TRUE')   
  {
   $result = mysql_query("UPDATE $my_tables->countertable SET uniquevisits = uniquevisits-1  WHERE websitename = '$activesitename'");
   $result = mysql_query("UPDATE $my_tables->visitortable SET uniquevisits = uniquevisits-1
     			  WHERE MONTH(transfer_timestamp) = '$vis_month'
     			  AND YEAR(transfer_timestamp)    = '$vis_year'
  			  AND websitename = '$activesitename'");
  }

  // ### update impressions-value
  $result = mysql_query("UPDATE $my_tables->countertable SET impressions = impressions-$impressions  WHERE websitename = '$activesitename'");
  $result = mysql_query("UPDATE $my_tables->transfertable SET numofpages = numofpages-$impressions
       			 WHERE transfer_timestamp = '$targetstamp'
  			 AND websitename = '$activesitename'");
  			 
  // ### update downloads-value
  $result = mysql_query("UPDATE $my_tables->countertable SET downloads = downloads-$visitor_downloads  WHERE websitename = '$activesitename'");
 }
}
?>