<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// check if a domain is allowed to deeplink

function checkdownloadlist($referer_ip, $downloaddomains, $configtable)
{
 $block_ip = "FALSE";
 @$refererarray = explode("\n",$downloaddomains);
 for ($x=0; $x<count($refererarray); $x++)
 {
  $refererarray[$x] = strtolower($refererarray[$x]);
  if (isset($compval)) unset($compval);
  if (isset($rest_of_ip)) unset($rest_of_ip);

  // check if current downloaddomain-list entry is empty - if so, skip the following code
  if (@eregi("[a-z][A-Z]",$refererarray[$x]) || @eregi("[0-9]",$refererarray[$x]))
  {
   @$refererarray[$x]= trim($refererarray[$x]);
   @$compval = strval($refererarray[$x]);
   @$compval = strtolower(trim($compval));

   // count IP parts
   @$num_of_dots  = substr_count($compval, ".*"); // check if ".*" is included in downloaddomainsed IP-adress
   if ($num_of_dots>0)
   {
    @$last_dot_pos = strrpos($compval, ".*"); // position of last ".*" in IP-adress
    @$rest_of_ip   = substr($compval, 0, $last_dot_pos); // take the rest of the IP without the ".*" stuff
   }
   else {$rest_of_ip = $compval;} // no ".*" at all, so take the whole visitor IP for comparison

   // check if last char of string is still *-char
   @$checklength = strlen($rest_of_ip);
   @$checkchar = substr($rest_of_ip, $checklength-1,$checklength);
   if ($checkchar == "*") @$rest_of_ip = substr($rest_of_ip,0,$checklength-1);

   // check if blocked IP or part of blocked IP is found in visitor-ip
   if (@eregi("[a-z]",$rest_of_ip))
   {
    if (@!eregi("[a-z]",$referer_ip))
     @$target_ip = trim(strtolower(gethostbyaddr($referer_ip)));
    else 
     @$target_ip = trim($referer_ip);
   }
   else {$target_ip = trim($referer_ip);}
 
   $haystack = $rest_of_ip;
   $needle   = $target_ip;
   
   if (strlen($needle) > strlen($haystack))
   {    
    $tempvar1 = $haystack;
    $tempvar2 = $needle;
    $needle   = $tempvar1;
    $haystack = $tempvar2;
   }
   @$hit_found = substr_count($haystack, $needle);
   // if so, set FLAG to FALSE - if not, set flag to TRUE
   if ($hit_found>0) { $block_ip = "FALSE"; BREAK;}
   else { $block_ip = "TRUE";}
  }
 }
 RETURN $block_ip;
} 
?>