<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function send_email($to, $subject, $message, $from, $file, $type)
{
 if (($type == 2)||($type == 4))
 {
  $content = fread(fopen($file,"r"),filesize($file));
  $content = chunk_split(base64_encode($content));
  $uid     = strtoupper(md5(uniqid(time())));
  $name    = basename($file);
 }

 // create mail header
 $header  = "From: $from\n";
 $header .= "Reply-To: $from\n";
 $header .= "X-Priority: 1 (high)\n";
 $header .= "X-Mailer: <binary:STAT Mail Server>\n";
 $header .= "MIME-Version: 1.0\n";

 if (($type == 2)||($type == 4))
 {
  $header .= "Content-Type: multipart/mixed; boundary=$uid\n";
  $header .= "This is a mulipart message in mime format\n";      
  $header .= "--$uid\n";
 }
 if (($type == 1)||($type == 2))
 {
  $header .= "Content-Type: text/plain; charset=\"ISO-8859-1\"\n";
 }
 if (($type == 3)||($type == 4))
 {
  $header .= "Content-Type: text/html; charset=\"ISO-8859-1\"\n";
 }
 $header .= "Content-Transfer-Encoding: 8bit\n";
 if (($type == 2)||($type == 4))
 {
  $header .= "--$uid\r\n";
  $header .= "Content-Type: application/octet-stream name=\"$name\"\n";
  $header .= "Content-Transfer-Encoding: base64\n";
  $header .= "Content-Disposition: attachment; filename=\"$name\"\n";
  $header .= "$content\n";
  $header .= "--$uid--\n";
  }
 
 // execute mail-command
 mail($to, $subject, $message, $header); // send email to recipient
}

function create_mail($websitename, $my_config, $recipientsarray, $my_timestamp, $my_tables)
{ 
 $include_path = dirname(__FILE__); $include_path .= "/";
 include_once($include_path."./timezone.inc.php"); 
 include_once($include_path."./dbactions.inc.php"); 		
 include_once($include_path."./../language/language.inc.php"); 		
 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp($websitename, $my_config->emailtimesystem);
 
 // get number of days for this month 
 $numofdays    = date ("d", mktime(0,0,0,$my_timestamp->month+1,0,$my_timestamp->year));  // number of days in this month

 // get number of active days
 $activedays = active_days($my_timestamp->month, $my_timestamp->year, $my_timestamp->daysthismonth, $my_tables->maintable, $websitename);

 // gather statistical information from database
 $visitors_total   		= dbentries($my_tables->maintable, 'ALL', $websitename);
 
 $total_since_start		= mysql_result(mysql_query("SELECT totalvisits FROM $my_tables->countertable WHERE websitename = '$websitename'"),0,0);
 $unique_since_start		= mysql_result(mysql_query("SELECT uniquevisits FROM $my_tables->countertable WHERE websitename = '$websitename'"),0,0);
 
 $visitors_today_total 		= get_visitors_forday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'ALL', $websitename);
 $visitors_today_unique		= get_visitors_forday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'UNIQUE', $websitename);
 $visitors_yesterday_total 	= get_visitors_forday($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->maintable,'ALL', $websitename);
 $visitors_yesterday_unique	= get_visitors_forday($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->maintable,'UNIQUE', $websitename);
 $visitors_month_total 		= get_visitors_formonth($my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'ALL', $websitename);
 $visitors_month_unique 	= get_visitors_formonth($my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'UNIQUE', $websitename);

 // check if yesterday was the same month as today 
 if ($my_timestamp->monthyesterday != $my_timestamp->month )
 {
  // 1. check if last month has already been archived
  $monthexists = archive_month_exists($my_timestamp->monthyesterday, $my_timestamp->year, $my_tables->archivetable, $websitename);
 
  // yesterday was another month, so get total and unique-visits from archivetable if month has already
  // been archived. If not, get it from maintable.
  if ($monthexists == TRUE)
  { 
   // read needed data from archive into object
   @$result = mysql_query("SELECT dayunique_container, daytotal_container FROM $my_tables->archivetable WHERE archive_month = '$my_timestamp->monthyesterday' 
			   AND archive_year  = '$my_timestamp->yearyesterday'
			   AND websitename = '$websitename'");

   @$my_object = mysql_fetch_object($result);

   // begin unserializing database-data
   @$daytotal_container  = unserialize(stripslashes($my_object->daytotal_container));
   @$dayunique_container = unserialize(stripslashes($my_object->dayunique_container));
  
   // get number of days for archived month 
   @$numofdays       = count($dayunique_container);

   @$value           = $daytotal_container[$numofdays ];
   @$value_unique    = $dayunique_container[$numofdays];
 
   @$diff_total  = $visitors_today_total-$value;
   @$diff_unique = $visitors_today_unique-$value_unique;
  }
  
  // month has not been archived yet, so get visits from maintable
  else
  {  
   @$diff_total  = $visitors_today_total-$visitors_yesterday_total ;
   @$diff_unique = $visitors_today_unique-$visitors_yesterday_unique ;
  }
 }

 if ($my_timestamp->month == $my_timestamp->monthyesterday) // yesterday was the same month as today
 {
  $diff_total  = $visitors_today_total-$visitors_yesterday_total;
  $diff_unique = $visitors_today_unique-$visitors_yesterday_unique;
 }
 
  // get number of pageimpressions
 @$impressions_today 	  = page_impressions_day($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->transfertable, $websitename);
 @$impressions_yesterday  = page_impressions_day($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->transfertable, $websitename);
 @$impressions_this_month = page_impressions_month($my_timestamp->month,$my_timestamp->year,$my_tables->transfertable, $websitename);
 @$impressions_this_year  = page_impressions_year($my_timestamp->year,$my_tables->transfertable, $websitename);

 // ammount of data transferer
 @$transfered 		= round(datatransfered($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->transfertable, $websitename)/1024,2);
 @$transfered_total 	= round(datatransfer_month($my_timestamp->month,$my_timestamp->year,$my_tables->transfertable, $websitename)/1024,2);
 @$transfered_yesterday	= round(datatransfered($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->transfertable, $websitename)/1024,2);

 // get number of bot visits for today
 $botvisits = botvisits($my_timestamp->day,$my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, $websitename);

 // number of todays' downloads
 $downloadstoday = downloadstoday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->downloadtable, $websitename);

 // calculate crossentries
 $crossentry_today 	= lateral_entry($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, $websitename);
 $crossentry_yesterday 	= lateral_entry($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->maintable, $websitename);
 $crossentry_thismonth 	= lateral_entry_month($my_timestamp->month,$my_timestamp->year,$my_tables->maintable, $websitename);

  // get busiest visitor-day of month
 $top_day = topday($my_timestamp->month,$my_timestamp->year,$my_tables->maintable, "TOTAL", $websitename); // find busiest visitor-day
 $sorted = $top_day;
 $highpos = count($sorted)-1;
 $lowpos = 0;
 $busiestday_total_visitors = $sorted[$highpos]["visitors"]; // save highest visitor number in $highest
 $busiestday_total = $sorted[$highpos]["day"]; // save day of highest visitor number in $theday

 // calculate busiest visitor-hour 
 $hourdata = tophour($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable, $websitename);
 $tophour  = $hourdata['busiest_hour']; if ($tophour<10) $tophour = "0".$tophour;
 $flophour = $hourdata['weakest_hour']; if ($flophour<10) $flophour = "0".$flophour;


 // create text for strongest hour
 if ($my_config->emailtimesystem == 'AMERICAN')
 { 
  $hour_container = gethour("$tophour", "12");
  $hour 	  = $hour_container['hour'];
  if ($hour{0} == '0') @$hour = substr($hour,1,strlen($hour));
  $hour_token 	  = $hour_container['am_pm'];
 }
 else
 {
  $hour   	  = $tophour;
  $hour_token 	  = $lang['O_Clock'];
 }

 $text_strongesthour =  $hour." ".$hour_token." (".$hourdata['maxvisitors']." ".$lang['Visitors'].")";

 // create text for strongest hour
 if ($my_config->emailtimesystem == 'AMERICAN')
 {
  $hour_container = gethour($flophour, "12");
  $hour 	  = $hour_container['hour'];
  if ($hour{0} == '0') @$hour = substr($hour,1,strlen($hour));
  $hour_token 	  = $hour_container['am_pm'];
 }
 else
 {
  $hour   	  = $flophour;
  $hour_token 	  = $lang['O_Clock'];
 }

 $text_weakesthour = $hour." ".$hour_token." (".$hourdata['minvisitors']." ".$lang['Visitors'].")"; 

 
 
 /////////////////////////////////////////////////////////////////////////////////////////
 // SET EMAIL-STYLE
 /////////////////////////////////////////////////////////////////////////////////////////

 $statisticdate  = $my_timestamp->day.". ".$lang['DateTime'][$my_timestamp->monthlong]." ".$my_timestamp->year; 
 
 // output time 
 if ($my_config->emailtimesystem == 'AMERICAN')
 {
  $hour_container = gethour($my_timestamp->hour, "12");
  $hour 	  = $hour_container['hour'];
  $hour_token 	  = $hour_container['am_pm'];
 }
 else
 {
  $hour   	  = $my_timestamp->hour;
  $hour_token 	  = $lang['O_Clock'];
 }

 // create statistic date
 $statisticdate .= " - ".$hour.":".$my_timestamp->minute." ".$hour_token;

 // set "email-subject" and "from"
 $websitename 	 = $websitename;
 $subject   	 = $lang['Website_Statistics_For'].": ".$websitename;
 $from		 = "binary:STAT-Automailer";

 ############################################################################	
 // $type = 4 = send message as (html) with attachment
 // $type = 3 = send message as (html) with (no) attachment
 // $type = 2 = send message as (text) with attachment
 // $type = 1 = send message as (text) with (no) attachment
 // $to = who the mail is going to
 // $subject = this message subject
 // $message = the mail message to send
 // $from = who is sending this message (also = Reply-To)
 // $file = path to a file to attach to this message
 ############################################################################

 if ($my_config->emailtype == 'HTML') $type = 3;
 if ($my_config->emailtype == 'TEXT') $type = 1;
 if ($my_config->emailtype == 'HTML')
 {
  // include HTML-template file and execute php code inside of template file
  $template = "htmlstyle.html";
  ob_start();
  include($include_path."./emailtemplates/$template");
  $message = ob_get_contents();
  ob_end_clean();
 }
 
 if ($my_config->emailtype == 'TEXT')
 {
  // include TEXT-template file and execute php code inside of template file
  $template = "textstyle.txt";
  ob_start();
  include($include_path."./emailtemplates/$template");
  $message = ob_get_contents();
  ob_end_clean();
 }
 
 ///////////////////////////////////////////////////////////////////////////////////////
 // send email to all adresses listed in getchooSTAT-setup 
 ///////////////////////////////////////////////////////////////////////////////////////

 for ($x=0; $x<count($recipientsarray); $x++)
 {
  $recipient = strval($recipientsarray[$x]);
  $recipient = trim($recipient);
  send_email($recipient, $subject, $message, $from, $file, $type);
 }
 ///////////////////////////////////////////////////////////////////////////////////////
} 

function emailnotify($my_tables, $my_config, $my_timestamp, $websitename)
{
 // set flag to check if this routine is run for the first time
 $first_run = FALSE;
	
 // first check, if there is an entry for current website in notify-table
 @$entries = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->notifytable WHERE websitename = '$websitename'"),0,0); 
 
 // no entries found, create one in table
 if ($entries == 0)
 {
  // $notify_date = $my_timestamp->yearyesterday.'-'.$my_timestamp->monthyearyesterday.'-'.$my_timestamp->dayyearyesterday.'-'.' 00:00:00';
  $notify_date = $my_timestamp->now;
  
  @$insert_result = mysql_query("INSERT INTO $my_tables->notifytable (lastnotifydate, lastnotifyhits, websitename) 
               			  VALUES ('$notify_date', '0', '$websitename')");									  
 }

 // set flag to false
 $send_mail = FALSE;

 // create an array containig all email-recipients
 $recipientsarray = explode("\n", $my_config->emaillist); 

 ##########################################################################################
 ## 1: EMAILSENDMODE - BY HIT
 ##########################################################################################
 if ($my_config->emailsendmode == 'BYHIT')
 {
  // read lastnotifyhits-value from notifytable
  @$lastnotifyhits = mysql_result(mysql_query("SELECT lastnotifyhits FROM $my_tables->notifytable WHERE websitename = '$websitename'"),0,0);
   
  // read totalhits-value from countertable
  @$totalvisits = mysql_result(mysql_query("SELECT totalvisits FROM $my_tables->countertable WHERE websitename = '$websitename'"),0,0);
    
  // comapre lastnotifyhits and totalvisits-> if totalvisits is higher than lastnotifyhits, send email
  if ($totalvisits > ($lastnotifyhits+$emailtrigger) || ($lastnotifyhits+$emailtrigger) > $totalvisits)
  {
   create_mail($websitename, $my_config, $recipientsarray, $my_timestamp, $my_tables);
   // update table and set lastnotifyhits to totalhits
   @$result = mysql_query("UPDATE $my_tables->notifytable SET lastnotifyhits = '$totalvisits', 
   			   lastnotifydate = '$my_timestamp->now' WHERE websitename = '$websitename'");
  } 
 } 
 ##########################################################################################
 ## 2: EMAILSENDMODE - DAILY (CRONJOB IMITATION)
 ##########################################################################################

  if ($my_config->emailsendmode == 'DAILY')
  {
   // grab hour and minute from targethour-setting
   $exploded_targethour = explode(":" ,$my_config->hourofnotify);
   $targethour   	= $exploded_targethour[0];
   $targetminute        = $exploded_targethour[1];  
 
   // get time and date of last email-notification
   @$lastnotifydate = mysql_result(mysql_query("SELECT UNIX_TIMESTAMP(lastnotifydate) FROM $my_tables->notifytable 
				   WHERE websitename = '$websitename'"),0,0);

   // save current hour into variable
   $current_hour = $my_timestamp->hour;

   // extract date of last notification from unix-timestamp
   $minute_lastnotify = strftime( "%M", $lastnotifydate);
   $hour_lastnotify   = strftime( "%H", $lastnotifydate);
   $day_lastnotify    = strftime( "%d", $lastnotifydate);
   $month_lastnotify  = strftime( "%m", $lastnotifydate);
   $year_lastnotify   = strftime( "%Y", $lastnotifydate);
   
   // set some flags and variables
   $hournotifychange   = FALSE;
   $minutenotifychange = FALSE;
   $send_mail	       = FALSE;

   // calculate time that passed since last notification
   $diff = $my_timestamp->timestamp - $lastnotifydate;
   $days = ($diff - ($diff % 86400)) / 86400;
   $diff = $diff - ($days * 86400);
   $hours = ($diff - ($diff % 3600)) / 3600;
   $diff = $diff - ($hours * 3600);
   $minutes = ($diff - ($diff % 60)) / 60;
   $diff = $diff - ($minutes * 60);
   $seconds = ($diff - ($diff % 1)) / 1;


   // calculate time that passed since target hour has been reached
   // if $diff_targethour is < 0, target hour has been reached/passed
   $diff_targethour = $targethour - $my_timestamp->hour;
   
   #####################################################################
   ## check if enough time has passed to send new statistic-email
   #####################################################################
   
   // one or more days have passed -> send email
   if ($days >= 1)
   {
    @$result = mysql_query("UPDATE $my_tables->notifytable SET emailsent = 'FALSE' WHERE websitename = '$websitename'");	  					
    @$result = mysql_query("UPDATE $my_tables->websitestable SET emailsent = 'FALSE' WHERE websitename = '$websitename'");	  
    
    $send_mail  = TRUE;
   }

   // check if email has already been sent
   @$email_sent = mysql_result(mysql_query("SELECT emailsent FROM $my_tables->notifytable WHERE websitename = '$websitename'"),0,0);

   // target hour has been passed, but no mail sent yet? -> send email
   if ($diff_targethour == 0 && $my_timestamp->minute >= $targetminute && $day_lastnotify != $my_timestamp->day) { $send_mail = TRUE; $email_sent = 'FALSE';}
   elseif ($diff_targethour < 0 && $day_lastnotify != $my_timestamp->day) { $send_mail = TRUE; $email_sent = 'FALSE';}

    
   // no days have passed but current hour is higher than target hour -> send email
   elseif ($days == 0 && $my_timestamp->hour > $targethour && $email_sent == 'FALSE' || $first_run == TRUE) { $send_mail = TRUE; $email_sent = 'FALSE';}
   
   // no days have passed but current hour equals target hour and current minute is highter than target minute -> send email
   elseif ($days == 0 && $my_timestamp_hour == $targethour && $my_timestamp->minute >= $targetminute && $email_sent == 'FALSE' || $first_run == TRUE) { $send_mail = TRUE; $email_sent = 'FALSE';}
   
   
   #######################################################################
   ## Set $debug to TRUE for debug-ouptut
   #######################################################################
    
   $debug = FALSE;
   
   if ($debug)
   {
    echo "SITE OFFLINE FOR DEBUGGING! <br>";
    echo "-------------------------------------------<br><br>";
    echo "Time passed since last notification: <br>";
    echo "days: $days hours: $hours minutes: $minutes seconds: $seconds <br>";
    echo "Target-Hour: $targethour - Current Hour: ".$my_timestamp->hour."<br>";
    echo "Email already sent: $email_sent<br>";
    echo "<br>Sending Mail: ";
    
    if ($send_mail) echo "YES"; else echo "NO"; echo "<br><br><br>";
    
    echo "Last: $hour_lastnotify:$minute_lastnotify<br>";
    echo "Target Hour: $targethour:$targetminute <br>";
    echo "<br> TIME NOW: $my_timestamp->hour:$my_timestamp->minute <br>";
    echo "<br> Next email will be sent in $next_days days, $next_hours hours and $next_minutes minutes";
    echo "<br> Diff: $diff_targethour";
   }
     
   #######################################################################
   
   // check if email needs to be send
   if ($send_mail == TRUE && $email_sent == 'FALSE')
   { 
    // read totalhits-value from countertable
    @$totalvisits = mysql_result(mysql_query("SELECT totalvisits FROM $my_tables->countertable WHERE websitename = '$websitename'"),0,0);
   	
    // update notificationtable
    @$result = mysql_query("UPDATE $my_tables->notifytable SET lastnotifyhits = '$totalvisits', lastnotifydate = '$my_timestamp->now', emailsent = 'TRUE'
		            WHERE websitename = '$websitename'");	  					

    @$result = mysql_query("UPDATE $my_tables->websitestable SET lastnotifyhits = '$totalvisits', lastnotifydate = '$my_timestamp->now', emailsent = 'TRUE'
		            WHERE websitename = '$websitename'");	  					

    create_mail($websitename, $my_config, $recipientsarray, $my_timestamp, $my_tables, $my_config);
   }
  }
}
?>