<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function robotcheck($visitor_hostname='xxxxxx', $browserstamp='xxxxxx', $my_array=array() ) // Detect if visitor is a robot or spider
{ 
 $matched 		= FALSE;
 $visitor_hostname 	= strtolower($visitor_hostname);
 $browserstamp  	= strtolower($browserstamp);

 //////////////////////////////////////////////////////////////////////////////////////////////////////////
 // robot/spider detection
 //////////////////////////////////////////////////////////////////////////////////////////////////////////
 $my_buffer = explode("\n", $my_array);

 foreach($my_buffer AS $robotbuffer)
 {
  @$split_buffer 	  = explode("#", $robotbuffer);
  $robot_fingerprint      = strtolower(trim($split_buffer[0]));
  $robot_realname	  = trim($split_buffer[1]);
  if ($robot_fingerprint == '') $robot_fingerprint = 'EMPTY';

  // escape special chars
  $robot_fingerprint = preg_replace("/\\(/", "\\(", $robot_fingerprint);

  // compare fingerprint with browserstamp and hostname
  if (@preg_match('/'.$robot_fingerprint.'/i', $browserstamp) || @preg_match('/'.$robot_fingerprint.'/i', $visitor_hostname))
  {$robot['type']    = 'Robot/Spider';
   $robot['version'] = '';
   $robot['brand']   = $robot_realname; 
   $matched 	     = TRUE;
   break;
  }
  
  // unset buffer variables
  unset($split_buffer);
  unset($robot_fingerprint);
  unset($robot_realname); 
 }

 // if no match was found, visitor is not a robot/spider -> set variable to NONE 
 if ($matched == FALSE || $visitor_hostname == '') $robot['type'] = 'NONE';

 return $robot;
}
?>