<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

/////////////////////////////////////////////////////////////////////
// detect browser 
///////////////////////////////////////////////////////////////////// 
function detectbrowser($datainput) 
{ 
 if ($datainput != '')
 {
  $browser = array();
  $matched = FALSE;
  $datainput = strtolower($datainput);

  ////////////////////////////////////////////////////////////////////////////////////////////
  // detect Opera browser
  ////////////////////////////////////////////////////////////////////////////////////////////
  if (eregi("(opera) ([0-9]{1,2}.[0-9a-z]{1,3})",$datainput,$match))
  {
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="Opera";
   $matched = TRUE;
  }
  elseif (eregi("(opera)/([0-9]{1,2}.[0-9a-z]{1,3})",$datainput,$match))
  {
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="Opera";
   $matched = TRUE;
  }
  elseif (eregi("(safari)/([0-9]{1,4}.[0-9]{1,4})",$datainput,$match))
  {
   $browser["type"] = "Browser";
   $browser["version"]=$match[2]; 
   $browser["brand"]="Safari";
   $matched = TRUE;
  }  
  
  ////////////////////////////////////////////////////////////////////////////////////////////
  // detect Netscape browser > v6
  ////////////////////////////////////////////////////////////////////////////////////////////
  elseif (eregi("(netscape)/([0-9]{1,2}.[0-9]{1,2})",$datainput,$match) && eregi("gecko", $datainput)) 
  {
   $browser["type"] = "Browser";
   $browser["version"]=$match[2]; 
   $browser["brand"]="Netscape";
   $matched = TRUE;
  }
  elseif (eregi("(netscape6)/([0-9]{1,2}.[0-9]{1,2})",$datainput,$match) && eregi("gecko", $datainput)) 
  {
   $browser["type"] = "Browser";
   $browser["version"]=$match[2]; 
   $browser["brand"]="Netscape";
   $matched = TRUE;
  }
  // DETECT NETSCAPE BROWSER v4.7
  elseif (eregi("mozilla/4.7", $datainput))
  {
   $browser["type"] = "Browser";
   $browser["version"]= "4.7";
   $browser["brand"]="Netscape";
   $matched = TRUE;
  } 
  // DETECT NETSCAPE BROWSER v4.5
  elseif (eregi("mozilla/4.5", $datainput))
  {
   $browser["type"] = "Browser";
   $browser["version"]= "4.5";
   $browser["brand"]="Netscape";
   $matched = TRUE;
  }
  // DETECT NETSCAPE BROWSER v4.08
  elseif (eregi("mozilla/4.08", $datainput))
  {
   $browser["type"] = "Browser";
   $browser["version"]= "4.08";
   $browser["brand"]="Netscape";
   $matched = TRUE;
  }
  // DETECT NETSCAPE BROWSER v3.01
  elseif (eregi("mozilla/3.01", $datainput))
  {
   $browser["type"] = "Browser";
   $browser["version"]= "3.01";
   $browser["brand"]="Netscape";
   $matched = TRUE;
  }   
  ////////////////////////////////////////////////////////////////////////////////////////////
  // detect MS Internet Explorer browser
  ////////////////////////////////////////////////////////////////////////////////////////////
  elseif (eregi("(msie) ([0-9]{1,2}.[0-9a-z]{1,3})",$datainput,$match))
  {
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="IE";
   $matched = TRUE;
  }
  ////////////////////////////////////////////////////////////////////////////////////////////
  // detect Mozilla browser
  ////////////////////////////////////////////////////////////////////////////////////////////
  elseif (eregi("(mozilla)/([0-9]{1,2}.[0-9]{1,3})",$datainput,$match) && !eregi("grub", $datainput) && eregi("gecko", $datainput) && !eregi("msie", $datainput) && !eregi("netscape", $datainput) && !eregi("firefox", $datainput) && !eregi("firebird", $datainput))
  {
   $exploded_browser = explode("/", $match[0]);
   $browser["type"] = "Browser";
   $browser["brand"]= "Mozilla";
   $exploded_browser = explode("rv:", $datainput);
   $version = explode(")", $exploded_browser[1]);
   $browser["version"] = $version[0];  
   $matched = TRUE; 
  }
  ////////////////////////////////////////////////////////////////////////////////////////////
  // detect Firefox & Firebird browser
  ////////////////////////////////////////////////////////////////////////////////////////////
  elseif (eregi("(firebird)/([0-9]{1,2}.[0-9]{1,3})",$datainput,$match))
  {
   $exploded_browser = explode("/", $match[0]);
   $browser["type"] = "Browser";
   $browser["version"] = $exploded_browser[1];
   $browser["brand"]= "Firebird";
   $matched = TRUE;
  }
  elseif (eregi("(firefox)/([0-9]{1,2}.[0-9]{1,3}.[0-9]{1,3})",$datainput,$match))
  {
   $exploded_browser = explode("/", $match[0]);
   $browser["type"] = "Browser";
   $browser["version"] = $exploded_browser[1];
   $browser["brand"]="Firefox";
   $matched = TRUE;
  }
  elseif (eregi("(firefox)/([0-9]{1,2}.[0-9]{1,3})",$datainput,$match))
  {
   $exploded_browser = explode("/", $match[0]);
   $browser["type"] = "Browser";
   $browser["version"] = $exploded_browser[1];
   $browser["brand"]="Firefox";
   $matched = TRUE;
  }

  ////////////////////////////////////////////////////////////////////////////////////////////
  // detect Phoenix & Indy Library & Safari
  ////////////////////////////////////////////////////////////////////////////////////////////
  elseif (eregi("(phoenix)/([0-9]{1,2}.[0-9]{1,3})",$datainput,$match))
  {
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="Phoenix";
   $matched = TRUE;
  }
  elseif (eregi("(safari)/([0-9]{1,2}.[0-9]{1,3})",$datainput,$match))
  {
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="Safari";
   $matched = TRUE;
  }
  elseif (eregi("indy library",$datainput) || eregi("Internet Explore 5.x",$datainput))
  {
   $browser["type"] = "Spambot";
   $browser["version"]="";
   $browser["brand"]="Spam Bot";
   $matched = TRUE;
  }
  ////////////////////////////////////////////////////////////////////////////////////////////
  // detect Download-Manager
  ////////////////////////////////////////////////////////////////////////////////////////////
  elseif (eregi("supercleaner",$datainput))
  {
   $browser["type"] = "Blockingservice";
   $browser["version"]="";
   $browser["brand"]="SuperCleaner";
   $matched = TRUE;
  }
  elseif (eregi("flashget",$datainput))
  {
   $browser["type"] = "Downloadservice";
   $browser["version"]="";
   $browser["brand"]="FlashGet";
   $matched = TRUE;
  }
  ////////////////////////////////////////////////////////////////////////////////////////////
  // detect other browsers
  ////////////////////////////////////////////////////////////////////////////////////////////
  elseif (eregi("faaastxchange",$datainput))
  {
   $browser["type"] = "Bannerservice";
   $browser["version"]="";
   $browser["brand"]="FaaastXChange";
   $matched = TRUE;
  }
  elseif (eregi("fairad",$datainput))
  {
   $browser["type"] = "Viewerservice";
   $browser["version"]="";
   $browser["brand"]="FairAd";
   $matched = TRUE;
  }
  ////////////////////////////////////////////////////////////////////////////////////////////
  // detect java, hotjava, lynx and w3m browser
  ////////////////////////////////////////////////////////////////////////////////////////////
  elseif (eregi("(Java)/([0-9]{1,2}.[0-9]{1,2})",$datainput,$match))
  {
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="Java";
   $matched = TRUE;
  }
  elseif ((eregi("(mozilla)/([0-9]{1,2}.[0-9a-z]{1,3})",$datainput,$match)) AND (eregi("sun",$datainput)) 
           AND ($match[2]<>"4.7"))
  { 
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="HotJava";
   $matched = TRUE;
  }


   elseif (eregi("(lynx)/([0-9]{1,2}.[0-9]{1,2}.[0-9]{1,2})",$datainput,$match))
  {
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="Lynx";
   $matched = TRUE;
  }
   elseif (eregi("w3m",$datainput,$match))
  {
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="W3M";
   $matched = TRUE;
  }
  ////////////////////////////////////////////////////////////////////////////////////////////
  // detect Konqueror browser
  ////////////////////////////////////////////////////////////////////////////////////////////
   elseif (eregi("(konqueror)/([0-9])",$datainput,$match))
  { 
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="Konqueror";
   $matched = TRUE;
  }
   elseif (eregi("(konqueror)/([0-9]{1,2}.[0-9a-z]{1,3})",$datainput,$match))
  { 
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="Konqueror";
   $matched = TRUE;
  }
  ////////////////////////////////////////////////////////////////////////////////////////////
  // detect the rest
  ////////////////////////////////////////////////////////////////////////////////////////////
  elseif (eregi("(icab)/([0-9]{1,2}.[0-9]{1,3})",$datainput,$match))
  { 
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="iCab";
   $matched = TRUE;
  }
   elseif (eregi("(icab)/([0-9]{1,2}.[0-9]{1,3})",$datainput,$match))
  { 
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="iCab";
   $matched = TRUE;
   }
   elseif (eregi("(scooter)-([0-9]{1,2}.[0-9]{1,3})",$datainput,$match))
  { 
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="Scooter";
   $matched = TRUE;
   }
   elseif (eregi("(webtv)/([0-9]{1,2}.[0-9]{1,3})",$datainput,$match))
  { 
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="WebTV";
   $matched = TRUE;
   }
   elseif (eregi("(links)/([0-9]{1,2}.[0-9]{1,3})",$datainput,$match))
  { 
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="Links";
   $matched = TRUE;
   }
   elseif (eregi("(w3c_validator)/([0-9]{1,2}.[0-9]{1,3})",$datainput,$match))
  { 
   $browser["type"] = "Browser";
   $browser["version"]=$match[2];
   $browser["brand"]="W3C Val.";
   $matched = TRUE;
  }
  elseif (eregi("(netpositive)/([0-9]{1,2}.[0-9]{1,2}.[0-9]{1,2})",$datainput,$match))
 { 
  $browser["type"] = "Browser";
  $browser["version"]=$match[2];
  $browser["brand"]="NetPositive";
  $matched = TRUE;
 }
 elseif (eregi("(AmigaVoyager)/([0-9]{1,2}.[0-9]{1,2})",$datainput,$match))
 { 
  $browser["type"] = "Browser";
  $browser["version"]=$match[2];
  $browser["brand"]="AmigaVoyager";
  $matched = TRUE;
 }

 // visitor using webwasher?
 if ($matched == FALSE) 
 {
  if (eregi("webwasher",$datainput))
  {
   $browser["type"] = "Anonymizer";
   $browser["version"]="";
   $browser["brand"]="Webwasher";
   $matched = TRUE;
  }
 }

 /////////////////////////////////////////////////////////////////////
 if ($matched == FALSE) 
 {
  $browser["type"]    = "Unknown";
  $browser["version"] = "";
  $browser["brand"]   = "Unknown";
 }
 /////////////////////////////////////////////////////////////////////
}
 if ($datainput == '') {   $browser["version"] = "";
  $browser["brand"] = "Unknown"; }

 if ($browser["brand"] == 'Netscape' && eregi("3.", $browser["version"]))
 {
   $browser["type"]    = "Unknown";
   $browser["brand"]   = "Unknown";
   $browser["version"] = "";
 }

 // return value
 return $browser;
}

/////////////////////////////////////////////////////////////////////
// detect operating system 
///////////////////////////////////////////////////////////////////// 
            
function detectsystem($datainput) 
{
 $datainput = strtolower($datainput);
 if ($datainput != '')
 {
  // step #1: detect windows system (9x, 95, 98, NT, 2000, XP) 
  if(eregi("(win|windows)[ ]*((nt)*[ /]*([0-9]+(.?[0-9]+))*)", $datainput))
  { 
   if(eregi("(win|windows)[ ](95)", $datainput))
    {$opsystem = "Windows 95"; $matched = TRUE;}
   elseif(eregi("(win|windows)[ ](9x)[ ](4.90)", $datainput))
    {$opsystem = "Windows ME"; $matched = TRUE;}
   elseif(eregi("(win|windows)[ ](98)", $datainput)) 
    {$opsystem = "Windows 98"; $matched = TRUE;}
   elseif(eregi("(win|windows)[ ](NT)", $datainput)) 
    { 
     if(eregi("(win|windows)[ ](NT)[ ](5.1)", $datainput)) 
      {$opsystem = "Windows XP"; $matched = TRUE;}
     elseif(eregi("(win|windows)[ ](NT)[ ](5.0)", $datainput)) 
      {$opsystem = "Windows 2000"; $matched = TRUE;}
      else 
      {$opsystem = "Windows NT"; $matched = TRUE;}
     } 
    else 
   {$opsystem = "Windows"; $matched = TRUE;}
  }

  // step #2: detect linux/unix system, FreeBSD, OpenBSD
  if(eregi("linux",$datainput)) {
     $opsystem = "Linux"; $matched = TRUE;
   } elseif(eregi("unix",$datainput)) { 
     $opsystem = "Unix"; $matched = TRUE;
   } elseif(eregi("hp-ux",$datainput)) { 
     $opsystem = "Unix"; $matched = TRUE;
   } elseif(eregi("freebsd",$datainput)) { 
     $opsystem = "FreeBSD"; $matched = TRUE;
   } elseif(eregi("openbsd",$datainput)) { 
     $opsystem = "OpenBSD"; $matched = TRUE;
   } elseif(eregi("x11",$datainput)) { 
     $opsystem = "Unix"; $matched = TRUE;
   } elseif(eregi("unix",$datainput) || eregi("hp-ux",$datainput)) { 
     $opsystem = "Unix"; $matched = TRUE;
 
   // detect Mac-OS
   } elseif(eregi("ppc mac os x",$datainput)) { 
     $opsystem = "Mac OS X"; $matched = TRUE;
   } elseif(eregi("ppc",$datainput)) { 
     $opsystem = "Mac PowerPC"; $matched = TRUE;
   } elseif(eregi("mac_powerpc",$datainput)) { 
     $opsystem = "Mac PowerPC"; $matched = TRUE;
   } elseif(eregi("mac",$datainput)) { 
     $opsystem = "Macintosh"; $matched = TRUE;

   // detect SUN and BeOS
   } elseif(eregi("(sunos) ([0-9]{1,2}.[0-9]{1,2}){0,1}",$datainput,$match)) { 
     $opsystem = "SunOS ".$match[2]; $matched = TRUE;
   } elseif(eregi("(beos) r([0-9]{1,2}.[0-9]{1,2}){0,1}",$datainput,$match)) { 
     $opsystem = "BeOS ".$match[2]; $matched = TRUE;

     // detect other OS
   } elseif(eregi("irix",$datainput)) { 
     $opsystem = "IRIX"; $matched = TRUE;
   } elseif(eregi("os/2",$datainput)) { 
     $opsystem = "OS/2"; $matched = TRUE;
   } elseif(eregi("plan9",$datainput)){ 
     $opsystem = "Plan9"; $matched = TRUE;
   } elseif(eregi("osf",$datainput)) { 
     $opsystem = "OSF";$matched = TRUE; }
   } elseif(eregi("fairad",$datainput)) {
     $opsystem = "FairAd Client"; $matched = TRUE;
   } elseif(eregi("AmigaOS",$datainput)) {
     $opsystem = "AmigaOS"; $matched = TRUE; }
  

  // if no OS was found, set to unknown
  if ($matched == FALSE) {$opsystem = "Unknown";}

 if ($datainput == '') $opsystem = "Unknown";
 return $opsystem;
 // end of detection function
}
?>