<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function showme($command,$websitename)
{
 @include_once ('global.inc.php');
 @include_once ('timezone.inc.php'); 
 @include_once ('dbactions.inc.php');   
 @include_once ('binarystat.inc.php');  

 // set global variables
 global $my_db, $my_conn, $my_timestamp, $my_tables;
 
 // create new database connection
 @$my_db     = new binarystat_db;
 @$my_conn   = $my_db->connect();
  
 // get names of mySQL-tables
 @$my_tables = new binarystat_tables;
 @$my_tables -> build_tables();

 // get correct timezone-stamp
 @$my_timestamp = new binarystat_timezone;
 @$my_timestamp -> get_timestamp();
 
 // get requested data
 if ($command == 'visitors_this_month_total'){ 
  $showresult =  get_visitors_formonth($my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'ALL', $websitename);}
 if ($command == 'visitors_this_month_unique'){ 
  @$showresult =  get_visitors_formonth($my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'UNIQUE', $websitename);}
 if ($command == 'visitors_today_total'){ 
  @$showresult =  get_visitors_forday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'ALL', $websitename);}
 if ($command == 'visitors_today_unique'){ 
  @$showresult =  get_visitors_forday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'UNIQUE', $websitename);}
 if ($command == 'visitors_yesterday_total'){ 
  @$showresult =  get_visitors_forday($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->maintable,'ALL', $websitename);}
 if ($command == 'visitors_yesterday_unique'){ 
  @$showresult =  get_visitors_forday($my_timestamp->dayyesterday,$my_timestamp->monthyesterday,$my_timestamp->yearyesterday,$my_tables->maintable,'UNIQUE', $websitename);}
 if ($command == 'visitors_total'){ 
  @$showresult =  visitors_total($my_tables->countertable, $websitename);}
 if ($command == 'visitors_unique'){ 
  @$showresult =  visitors_unique($my_tables->countertable, $websitename);}
 if ($command == 'transfer_this_month'){ 
  @$showresult =  round(datatransfer_month($my_timestamp->month,$my_timestamp->year,$my_tables->transfertable, $websitename)/1024,2);}
 if ($command == 'transfer_today'){ 
  @$showresult =  round(datatransfered($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->transfertable, $websitename)/1024,2);}
 if ($command == 'pages_this_month'){ 
  @$showresult =  page_impressions_month($my_timestamp->month,$my_timestamp->year,$my_tables->transfertable, $websitename);}
 if ($command == 'pages_today'){ 
  @$showresult =  page_impressions_day($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->transfertable, $websitename);}
 if ($command == 'useronline'){ 
  @$showresult =  get_visitors($my_tables->useronlinetable, $websitename);}

 // check if any data was found -> if not, set to 0
 if (!isset($showresult) || $showresult == '') $showresult = 0;

 return $showresult;
} 
?>