<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

function setVisitorCookie($cookie_domain = '')
{
 if (empty($_COOKIE['bsuniquevid']))
 {	 
  $datetoday = mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y"));
  $year	     = strftime( "%Y", $datetoday);
  $length    = 40; // allowed length for cookie information
  $possible  = '0123456789'. 
       	       '!$&()?*+-#|<>=_'.		
	       'abcdefghijklmnopqrstuvwxyz'. 
	       'ABCDEFGHIJKLMNOPQRSTUVWXYZ'; 

  $cookie_value = ''; 

  // create random cookie-id
  while (strlen($cookie_value) < $length) { $cookie_value .= substr($possible, mt_rand(0, strlen($possible) - 1), 1); } 

  $cookie_name	   = 'bsuniquevid';
  $cookie_lifetime = time()+(365*24*3600); // one year liftetime for the cookie
  $cookie_path     = "/"; // this cookie is valid for the whole site

  if (eregi("\.com\.", $cookie_domain) || eregi("\.co\.", $cookie_domain)) // domain like co.uk?
  {
   // get hostname and TLD out of refererstring
   $domain_exploded  = explode(".",$cookie_domain);
   $elements 	     = count($domain_exploded);					  // Count the number of packets
   // we need the last three elements of the exploded string
   $elementone 	     = $domain_exploded[$elements-3]; 	  		  	  // grab the domainname 
   $elementtwo 	     = $domain_exploded[$elements-2];    		  	  // grab the last element (unreal TLD)
   $elementthree     = $domain_exploded[$elements-1];    	          // grab the last element (real TLD)
   $cookie_domain    = "$elementone.$elementtwo.$elementthree";      // build the final referer by pasting TLD and hostname together 
  }
  else
  {   
   $domain_exploded = explode('.',$cookie_domain);
   $elements 	    = count($domain_exploded);					      // Count the number of packets
   // we need the last two elements of the exploded string
   $elementone 	    = $domain_exploded[$elements-2];    		  	  // grab the last element (unreal TLD)
   $elementtwo      = $domain_exploded[$elements-1];    	          // grab the last element (real TLD)
   $cookie_domain   = "$elementone.$elementtwo";  // build the final referer by pasting TLD and hostname together 
  }
   
  // set visitor-identification cookie
  setcookie($cookie_name, $cookie_value, $cookie_lifetime, $cookie_path, $cookie_domain);
 }
 else
 {
  $cookie_value = $_COOKIE['bsuniquevid'];
 }
 return $cookie_value;
}
?>