CREATE TABLE `accounttable` (
  `id` mediumint(9) NOT NULL auto_increment,
  `account_type` enum('ADMIN','WEBMASTER','GUEST','DEMO') NOT NULL default 'WEBMASTER',
  `account_created` datetime NOT NULL default '0000-00-00 00:00:00',
  `account_lastlogin` datetime NOT NULL default '0000-00-00 00:00:00',
  `account_username` varchar(50) default NULL,
  `account_password` varchar(50) default NULL,
  `account_active` enum('TRUE','FALSE') NOT NULL default 'TRUE',
  `websites` mediumtext,
  `webmastercookie` varchar(50) NOT NULL default '',
  `sessionid` varchar(100) default NULL,
  `session_start` datetime NOT NULL default '0000-00-00 00:00:00',
  `session_end` datetime NOT NULL default '0000-00-00 00:00:00',
  `lastviewedwebsite` varchar(140) NOT NULL default '',
  `timedisplay` enum('12','24') NOT NULL default '24',
  `datestyle` enum('EUROPEAN','AMERICAN') NOT NULL default 'EUROPEAN',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;