<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

class binarystat_db
{ 
 var $obj = array ( "bstat_db_name"   => "BS-database",		// database name
                    "bstat_db_user"   => "BS-username",		// database username
                    "bstat_db_pass"   => "BS-password",		// database password
                    "bstat_db_host"   => "BS-hostname",		// database hostname
                    "server_system"   => "BS-server",		// server system 
                    "cached_queries"  => array()		// array for cached queries
                  );          


 // ***************************************************************** 
 var $connectiontype = "NORMAL"; // NORMAL or PERSISTENT
 // ***************************************************************** 
 
 var $query_id       = "";
 var $connection_id  = "";
 var $error          = "";
 var $debug          = 0;
  
 // ***************************************************************** 
 // function: connect to binarySTAT-database                   
 // *****************************************************************  
 function connect()
 {
  $this->bstat_db_name =  $this->obj['bstat_db_name'];
  $this->server_system =  $this->obj['server_system'];
  $this->bstat_db_host =  $this->obj['bstat_db_host'];
       
   // connect to DB     
  if ($this->connectiontype == 'NORMAL')
  {
   @$this->connection_id = mysql_connect($this->obj['bstat_db_host'] ,
					$this->obj['bstat_db_user'] ,
					$this->obj['bstat_db_pass'] 
   				       );
  }
  elseif($this->connectiontype == 'PERSISTENT')
  {
   @$this->connection_id = mysql_pconnect($this->obj['bstat_db_host'] ,
					$this->obj['bstat_db_user'] ,
					$this->obj['bstat_db_pass'] 
  				       );
  }

  // select binarySTAT-database		      
  if ( !mysql_select_db($this->obj['bstat_db_name'], $this->connection_id) )
  {
   $connection_error = TRUE;
   //echo ("Database-Error: Could not connect to \"".$this->obj['bstat_db_name']."\"<br>");
  }
  return $this->connection_id;
 }

     
 // ***************************************************************** 
 // function: process query
 // *****************************************************************  
 function query($my_query)
 {
  // stopwatch START
  if ($this->debug)
  { 
   $debug_timer = new debug_timer;
   $debug_timer->timerStart();
  }
  
  // execute query  	
  $this->query_id = mysql_query($my_query, $this->connection_id);

  // stopwatch END
  if ($this->debug)
  {
   $debug_timer = new debug_timer;
   $totaltime = $debug_timer->timerEnd();
   
   // set flags
   $select = FALSE;
   
   // check if query is a SELECT-query
   if ( preg_match( "/^select/i", $my_query))
   {
    $select 	   = TRUE;
    $explain_id    = mysql_query("EXPLAIN $my_query", $this->connection_id);
    $explain_array = mysql_fetch_array($explain_id);

    $table 	   = $explain_array[table];
    $type 	   = $explain_array[type];
    $possible_keys = $explain_array[possible_keys];
    $key 	   = $explain_array[key];
    $key_len 	   = $explain_array[key_len];
    $ref 	   = $explain_array[ref];
    $rows 	   = $explain_array[rows];       
    $extra 	   = $explain_array[extra]; 
   }
      
   if (!isset($table))	 	$table = "-";
   if (!isset($type)) 		$type = "-";
   if (!isset($possible_keys))	$possible_keys = "-";
   if (!isset($key)) 		$key = "-";
   if (!isset($key_len)) 	$key_len = "-";
   if (!isset($ref)) 		$ref = "-";
   if (!isset($rows)) 		$rows = "-";
   if (!isset($extra)) 		$extra = "-";    
   
   // remove special chars
   $stripped_query = htmlspecialchars($my_query);
        
   // output EXPLAIN data
   $html_output = " <table width='95%' border='1' cellpadding='6' cellspacing='0' bgcolor='#FFFFFF' align='center'>
		    <tr bgcolor=\"#CCCCCC\">
		    <td colspan='8' style='font-size:14px'><b>QUERY</b></td>
                    </tr>
		    <tr>
		    <td colspan='8' style='font-family:courier, monaco, arial;font-size:14px;color:black'>$stripped_query</td>
		    </tr>";
   if ($select)
    $html_output .=  "<tr bgcolor='#E2E2E2'>
		    <td><b>table</b></td>
		    <td><b>type</b></td>
		    <td><b>possible_keys</b></td>
		    <td><b>key</b></td>
		    <td><b>key_len</b></td>
		    <td><b>ref</b></td>
		    <td><b>rows</b></td>
		    <td><b>Extra</b></td>
  		    </tr>
                    <tr bgcolor='#FFFFFF'>
		    <td>$table</td>
		    <td>$type</td>
		    <td>$possible_keys</td>
		    <td>$key</td>
		    <td>$key_len</td>
		    <td>$ref</td>
		    <td>$rows</td>
		    <td>$extra</td>
   </tr>";
  
  $html_output .= "<tr bgcolor=\"#FFFFFF\">
										  <td colspan='8' style='font-size:14px'><b>MySQL time</b>: $totaltime</b></td>
  </tr>
										  </table><br>";
  
    // output to screen
    echo $html_output;
   }
  // return result
  return $this->query_id;
 }     

 // *****************************************************************    
 // function: close connection to database
 // *****************************************************************  
 function close_db()
 { 
  return mysql_close($this->connection_id);
 }

 // *****************************************************************    
 // function: free mysql memory
 // *****************************************************************  
 function free_result($query_id='Unknown')
 {
  if ($query_id == 'Unknown') 
  $query_id = $this->query_id;
  @mysql_free_result($query_id);
 }

 // *****************************************************************    
 // function: close database connection
 // *****************************************************************  
 function close_database()
 { 
  return mysql_close($this->connection_id);
 }
        
 // *****************************************************************  
 // end of mysql-database class
 // *****************************************************************  
}

class debug_timer
{
 function timerStart()
 {
  global $starttime;
  $mtime = microtime ();
  $mtime = explode (' ', $mtime);
  $mtime = $mtime[1] + $mtime[0];
  $starttime = $mtime;
 }

 function timerEnd()
 {
  global $starttime;
  $mtime = microtime ();
  $mtime = explode (' ', $mtime);
  $mtime = $mtime[1] + $mtime[0];
  $endtime = $mtime;
  $totaltime = round (($endtime - $starttime), 5);
  return $totaltime;
 }
 // *****************************************************************  
 // end of timer class
 // *****************************************************************  
}
?>