CREATE TABLE `daytable` (
 `id` bigint(20) NOT NULL auto_increment,
  `visitor_id` varchar(60) NOT NULL default '',
  `visitor_type` enum('HUMAN','ROBOT') NOT NULL default 'HUMAN',
  `hostnameresolved` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `visitor_timestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `visitor_date` date NOT NULL default '0000-00-00',
  `visitor_ip` varchar(15) NOT NULL default '',
  `visitor_tld` varchar(8) NOT NULL default '''''',
  `visitor_country` varchar(40) NOT NULL default '''''',
  `visitor_browserfull` varchar(80) NOT NULL default '',
  `visitor_hostname` varchar(60) NOT NULL default '',
  `visitor_hostnameshort` varchar(60) NOT NULL default '',
  `visitor_refererpage` varchar(200) NOT NULL default '',
  `visitor_referertype` varchar(20) NOT NULL default '',
  `visitor_system` varchar(15) NOT NULL default '',
  `visitor_language` varchar(20) NOT NULL default '',
  `visitor_resolution` varchar(15) default NULL,
  `visitor_colordepth` varchar(10) default NULL,
  `unique_visit` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `browserstamp` varchar(130) NOT NULL default '',
  `requested_page` varchar(60) NOT NULL default '',
  `proxyinfo` varchar(200) NOT NULL default '',
  `websitename` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `visitor_id` (`visitor_id`),
  KEY `visitor_ip` (`visitor_ip`),
  KEY `binstatkey` (`visitor_date`,`visitor_type`,`websitename`)
) TYPE=MyISAM;