<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// -----------------------------------------
// CONTENT: German language-file
// -----------------------------------------


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// set currency here
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Currency'] 	 = "EUR.";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// standard terms
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Traffic_Analysis']   = "Traffic Analyse";
$lang['Visitor_Analysis']   = "Besucher Analyse";
$lang['Content_Analysis']   = "Content Analyse";
$lang['Marketing_Analysis'] = "Marketing Analyse";

$lang['Visitor_Forecast']   = "Besuchervorhersage";
$lang['Forecast_Today']	    = "Vorhersage fr heute";
$lang['Diff_To_Yesterday']  = "Differenz zu gestern";
$lang['Three_Day_Trend']    = "Drei-Tage Trend";
$lang['Seven_Day_Trend']    = "Sieben-Tage Trend";
$lang['Long_Term_Trend']    = "Langfristiger Trend";
$lang['Short_Term_Trend']   = "Kurzfristiger Trend";
$lang['Trend_To_Yesterday'] = "Trend zu gestern";
$lang['Unchanged']	    = "Unverndert";
$lang['Daily_Trend']	    = "Tages-Trend";
$lang['On_Course']	    = "Gleichbleibend";
$lang['Slightly_Falling']   = "Leicht fallend";
$lang['Slightly_Rising']    = "Leicht steigend";
$lang['Falling']	    = "Fallend";
$lang['Rising']		    = "Steigend";
$lang['Strongly_Falling']   = "Stark fallend";
$lang['Strongly_Rising']    = "Stark steigend";
$lang['Extremely_Falling']  = "Extrem fallend";
$lang['Extremely_Rising']   = "Extrem steigend";			

$lang['Username']	    = "Username";
$lang['Password']	    = "Passwort";
$lang['Login_To_System']    = "Am System anmelden";
$lang['Delete_Fields']	    = "Felder lschen";
$lang['Remember_Login']	    = "Logindaten merken";
$lang['Show_All_Data']	    = "Alle Daten anzeigen";
$lang['Show_Bar_Chart']	    = "Balken-Diagramm anzeigen";
$lang['Show_Line_Chart']    = "Linien-Diagramm anzeigen";

$lang['Visitor'] 	    = "Besucher";
$lang['Visitors'] 	    = "Besucher";
$lang['Date'] 		    = "Datum";
$lang['Referer'] 	    = "Referer";
$lang['Hostname'] 	    = "Hostname";
$lang['Hostnames']     	    = "Hostnamen";
$lang['Pages'] 		    = "Seiten";
$lang['Page'] 		    = "Seite";
$lang['Proxy'] 		    = "Proxy";
$lang['Directly']	    = "Direkt";
$lang['Bot'] 		    = "Bot";
$lang['Spam_Bot'] 	    = "Spam Bot";
$lang['Bots']		    = "Bots";
$lang['Bot']		    = "Bot";
$lang['Data_Recall'] 	    = "Datenabfrage";
$lang['Percent']	    = "Prozent";
$lang['Quantity']	    = "Anzahl";

$lang['Kilobyte']	    = "KByte";
$lang['Megabyte']	    = "MByte";

$lang['For']		    = "fr";
$lang['Change']		    = "Wechseln";

$lang['O_Clock'] 	    = "Uhr";
$lang['Minute_Short'] 	    = "Min.";
$lang['Day']		    = "Tag";
$lang['Days']		    = "Tage";
$lang['Hour'] 		    = "Stunde";
$lang['Hours'] 		    = "Stunden";
$lang['Minute'] 	    = "Minute";
$lang['Minutes'] 	    = "Minuten";
$lang['Second'] 	    = "Sekunde";
$lang['Seconds'] 	    = "Sekunden";
$lang['Time_Of_Visit']	    = "Besuchszeit";
$lang['Month']		    = "Monat";

$lang['System'] 	    = "System";
$lang['Browser'] 	    = "Browser";
$lang['Resolution'] 	    = "Auflsung";
$lang['Colordepth'] 	    = "Farbtiefe";
$lang['Bit']		    = "Bit";
$lang['Pixel']		    = "Pixel";
$lang['Plugin'] 	    = "Plugin";
$lang['Plugins'] 	    = "Plugins";
$lang['Cookies'] 	    = "Cookies";
$lang['Connection'] 	    = "Verbindung";

$lang['Unknown']	    = "Unbekannt";
$lang['Webpage']	    = "Webseite";

$lang['Options'] 	    = "Optionen";
$lang['Options_2'] 	    = "Optionen:";
$lang['Reload'] 	    = "Neu laden";
$lang['Reload_Page'] 	    = "Seite neu laden";

$lang['Today'] 		    = "Heute";
$lang['Tomorrow']   	    = "Morgen";
$lang['Yesterday'] 	    = "Gestern";
$lang['Now'] 		    = "Jetzt";
$lang['This_Month'] 	    = "Diesen Monat";
$lang['This_Year'] 	    = "Dieses Jahr";

$lang['PIs']		    = "PIs";

$lang['Visitors_Today']     = "Besucher heute";
$lang['Visitors_Yesterday'] = "Besucher gestern";
$lang['Compared_Yesterday'] = "Besucherdifferenz zum Vortag";

$lang['From']		    = "Von";
$lang['To']		    = "Bis";

$lang['Visits'] 	    = "Visits";
$lang['Visits_Per_Day']	    = "Besuche pro Tag";
$lang['Number_Of_Visits']   = "Anzahl der Besuche";
$lang['Unique'] 	    = "Unique";
$lang['Unique_Visit'] 	    = "Unique Visit";
$lang['Unique_Visits'] 	    = "Unique Visits";
$lang['Total'] 		    = "Total";
$lang['Total_Number'] 	    = "Gesamtzahl";
$lang['Visitor_Number']     = "Besucherzahl";
$lang['Visits_Unique']	    = "Visits Unique";
$lang['Unique_Of']	    = "Davon Unique";


$lang['Lateral_Entry']	    = "Quereinsteiger";
$lang['Entry_Page']	    = "Einstiegsseite";
$lang['Impressions'] 	    = "Impressions";
$lang['Transfer'] 	    = "Datentransfer";
$lang['Transfered_Data']    = "Transferierte Datenmenge";
$lang['Downloads'] 	    = "Downloads";

$lang['Language'] 	    = "Sprache";
$lang['Languages'] 	    = "Sprachen";

$lang['Conversion_Rate']    = "Conversion Rate";
$lang['Time_System']	    = "Zeit-System";

$lang['Email'] 		    = "E-Mail";
$lang['Poster'] 	    = "Poster";
$lang['Author'] 	    = "Autor";
$lang['Time'] 		    = "Zeit";
$lang['Hours'] 		    = "Stunden";
$lang['Message'] 	    = "Nachricht";
$lang['Go'] 		    = "Go";
$lang['Jump_to'] 	    = "Gehe zu";
$lang['Submit'] 	    = "Absenden";
$lang['Reset'] 		    = "Zurcksetzen";
$lang['Cancel'] 	    = "Abbrechen";
$lang['Proceed']	    = "Fortsetzen";
$lang['Preview'] 	    = "Vorschau"; 
$lang['Confirm'] 	    = "besttigen"; 
$lang['Refresh']	    = "Aktualisieren";
$lang['Yes'] 		    = "Ja";
$lang['No'] 		    = "Nein";
$lang['Enabled'] 	    = "Aktiviert";
$lang['Disabled'] 	    = "Deaktiviert";
$lang['Error'] 		    = "Fehler";
$lang['Next'] 		    = "Weiter";
$lang['Previous'] 	    = "Zurck";
$lang['Goto_page'] 	    = "Gehe zu Seite";
$lang['Joined'] 	    = "Anmeldungsdatum";
$lang['IP_Address'] 	    = "IP-Adresse";

$lang['Referer_Domain']	    = "Referer-Domain";
$lang['Referer_Page']	    = "Referer-Seite";

$lang['Save']		    = "Speichern";
$lang['Save_Changes']	    = "nderungen speichern";
$lang['Open_This_Page']     = "Diese Seite ffnen";
$lang['Option']		    = "Option";

$lang['Overview_For']	    = "bersicht fr:";

$lang['Guest_Modus']	    = "Gast-Modus";
$lang['Enter_Searchphrase'] = "Suchbegriff eingeben";

$lang['Demonstration_Modus']= "Demonstrations-Modus";
$lang['Administrator_Modus']= "Administrator-Modus";
$lang['Webmaster_Modus']    = "Webmaster-Modus";

$lang['Verified_Visitors']  = "berprfte Besucher";
$lang['Quicklink']	    = "Quicklink:";

$lang['Website_Statistics_For'] = "Websitestatistik fr"; 
$lang['Database_Connection']	= "Datenbank-Verbindung";
$lang['Normal']			= "Normal";
$lang['Persistent']		= "Persistent";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// option fields found on various pages
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Search'] 	   = "Suchen";
$lang['Start']		   = "Start";
$lang['End']		   = "End";
$lang['Entries'] 	   = "Eintrge";
$lang['Entry']		   = "Eintrag";
$lang['Show_Entries']	   = "Eintrge zeigen";
$lang['Show_Entries_From'] = "Zeige Eintrge von";
$lang['Print']		   = "Drucken";
$lang['Diagram']	   = "Diagramm";
$lang['Limit']		   = "Limitieren";
$lang['Printerfriendly']   = "Druckerfreundliche Ansicht";
$lang['Display_Diagram']   = "Diagramm anzeigen";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// linktext for mainframe
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Home_Linktext'] 		= "Website Analytics, Visitor Tracking, Counter and Statistics";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// overview.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['IP_Or_Hostname']	        = "IP/Hostname suchen";
$lang['Limitize_Range']		= "Anzeige einschrnken";
$lang['Overview'] 		= "bersicht";
$lang['Dayreport']		= "Tagesbericht";

$lang['Anonymous']		= "Anonym";
$lang['Transparent']		= "Transparent";
$lang['Direct']			= "Direkt";
$lang['No_Proxy']		= "Kein Proxy";
$lang['Without']		= "Ohne";
$lang['Direct_Access']		= "Direkter Zugriff";
$lang['Proxy_IP']		= "Proxy-IP";

$lang['Strongest_Hour'] 	= "Strkste Stunde";
$lang['Weakest_Hour'] 		= "Schwchste Stunde";
$lang['Strongest_Day'] 		= "Strkster Tag";
$lang['Weakest_Day'] 		= "Schwchster Tag";

$lang['Show_Data_Today']	= "Daten fr heutigen Tag zeigen";
$lang['Show_Data_Yesterday']	= "Daten fr gestrigen Tag zeigen";

$lang['Visitor_Data_Today'] 	= "Besucherdaten fr heute";
$lang['Visitor_Data_Yesterday'] = "Besucherdaten fr gestern";
$lang['Visitor_Data_Month'] 	= "Besucherdaten fr diesen Monat";
$lang['Visitor_Behaviour_Today']= "Heutiges Besucherverhalten";

$lang['Snapshot'] 		= "Snapshot";
$lang['Top_Visitor_Times'] 	= "Top Besucherzeiten";
$lang['Visitor_Data_Forecast']	= "Besucherzahlen in der Vorhersage";
$lang['Visitor_Data_Average']	= "Besucherzahlen im Schnitt";
$lang['Website_Promotion'] 	= "Werbewert der Site nach TKP";
$lang['Cost_Per_Mille'] 	= "Tausender-Kontaktpreis (TKP)";
$lang['Visitor_Online'] 	= "Besucher online";
$lang['Bot_Visits'] 		= "Bot-Besuche";

$lang['Visitors_Per_Hour']	= "Besucher/Stunde";
$lang['Visitors_Per_Day'] 	= "Besucher/Tag";
$lang['Visitors_Per_Month']	= "Besucher/Monat";
$lang['Visitors_Per_Year']	= "Besucher/Jahr";

$lang['Successfull']		= "Erfolgreich";
$lang['Failed']			= "Fehlgeschlagen";

$lang['Impressions_Per_Visitor']	= "Impressions/Besucher";
$lang['Transfer_Per_Visitor'] 		= "Transfer/Besucher";
$lang['Retentionperiod_Per_Visitor'] 	= "Verweildauer/Besucher";
$lang['Downloads_Per_Visitor']		= "Downloads/Besucher";
$lang['Viewtime_Per_Visitor'] 		= "Ansichtszeit/Besucher";
$lang['Viewtime_Per_Page'] 		= "Ansichtszeit/Seite";
$lang['Overview_Of_Last'] 		= "bersicht der letzten";
$lang['Since_Begin_Of_Count']		= "Seit Zhlungsbeginn";

$lang['Impressions_By_Daytime']	= "Impressions nach Tageszeit";
$lang['Visitors_By_Daytime']	= "Besucheraufkommen nach Tageszeit";

$lang['Show_Older_Data']	= "ltere Daten anzeigen";
$lang['Show_Newer_Data']	= "Neuere Daten anzeigen";
$lang['To_First_Entry']		= "Zum ersten Eintrag";
$lang['To_Last_Entry']		= "Zum letzten Eintrag";
$lang['Show_Visitortracking']   = "Besucherbewegungen anzeigen";
$lang['Show_Whois']		= "WHOIS-Anfrage fr diesen Besucher";
$lang['Whois_Request']		= "WHOIS-Anfrage";
$lang['Delete_This_Visitor']	= "Diesen Besucher lschen";
$lang['Show_Traceroute']	= "Traceroute-Anfrage fr diesen Besucher";

$lang['Delete_Selected']	= "Selektierte Besucher lschen";
$lang['Block_Selected']		= "Selektierte Besucher in Blacklist bernehmen";

$lang['Last_Visitor']		= "Letzter Besucher";
$lang['Limit_Daterange']	= "Zeitraum limitieren";

$lang['Browserstamp']		= "Browserstamp";
$lang['Show_Browserstamp']   	= "Browserstamp anzeigen";
$lang['Request_Daydata']	= "Tagesdaten abrufen";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// codewizardphp
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Codewizard']	= "Code-Wizard";
$lang['PHP_Code']		= "PHP-Code";
$lang['Spider_Code']		= "Robot/Spider - Code:";
$lang['Javascript_Code']	= "Javascript-Code";
$lang['Use_Standard_Code']	= "Standard-Code verwenden";
$lang['Use_Advanced_Settings']	= "Erweiterte Einstellungen verwenden";
$lang['Logit_Options']		= "Logit() Optionen";
$lang['Trackit_Options']	= "Trackit() Optionen";
$lang['Advanced_Settings']	= "Erweiterte Einstellungen";
$lang['Logit_Once_Option']	= "\"Once\"-Option: Einen Besucher nur alle XY Minuten zhlen. Geben Sie hier den Minutenwert ein:";
$lang['Trackit_Once_Option']	= "\"Once\"-Option: Den Seitenaufruf eines Besuchers nur alle XY Minuten zhlen. Geben Sie hier den Minutenwert ein:";
$lang['Dynamic_Tracking']	= "Eigenen Seitennamen vorgeben:";
$lang['Standard_Tracking']	= "Original Seitennamen speichern";
$lang['Generate_Code']		= "Code generieren";
$lang['Tracking_Code']		= "Erfassungs-Code:";
$lang['Standard_Code']		= "Standard-Code:";
$lang['Robot_Code']		= "Roboter-Code:";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// network.inc.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Status']			= "Status";
$lang['Connecting_To_Server']	= "Verbinde zu Server";
$lang['Couldnt_Connect']	= "Konnte nicht zu Server verbinden";
$lang['No_Whois_Data_Found']	= "Es wurden keine WHOIS-Daten gefunden";
$lang['Whois_For_IP']		= "WHOIS fr IP";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// showvisit.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Java']			= "Java";
$lang['Cookies']		= "Cookies";
$lang['Mediaplayer']		= "Mediaplayer";
$lang['Flash']			= "Flash";
$lang['Shockwave']		= "Shockwave";
$lang['Realplayer']		= "Realplayer";
$lang['Quicktime']		= "Quicktime";
$lang['SVG_Viewer']		= "SVG Viewer";
$lang['Acrobat_Reader']		= "Acrobat Reader";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// hosts.php, countries.php, system.php, browser.php, browserplugins.php, refererbycountry.php, searchwords.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Country']		= "Land";
$lang['Countries']		= "Lnder";
$lang['Flag']			= "Flagge";
$lang['Operating_System']	= "Betriebssystem";
$lang['Systems_By_Type']	= "Betriebssysteme nach Typ";
$lang['Systems_By_Version']	= "Betriebssysteme nach Version";
$lang['Operating_Systems']	= "Betriebssysteme";
$lang['Browser_PlugIns']	= "Browser-PlugIns";
$lang['Browser_PlugIn']		= "Browser-PlugIn";
$lang['Not_Available']		= "Nicht verfgbar";
$lang['Short_Form']		= "Kurzform";
$lang['Browser_By_Version']	= "Browser nach Version";
$lang['Browser_By_Type']	= "Browser nach Typ";
$lang['Browser']		= "Browser";
$lang['OS_By_Version']		= "Betriebssysteme nach Version";
$lang['OS_By_Type']		= "Betriebssysteme nach Typ";
$lang['Referer_By_Country']	= "Referer nach Land";
$lang['Referer_By_Domain']	= "Referer nach Domain";
$lang['Referer_By_Webpage']	= "Referer nach Webseite";
$lang['Searchengines']		= "Suchmaschinen";
$lang['Searchengine']		= "Suchmaschine";
$lang['Searchwords']		= "Suchbegriffe";
$lang['Searchword']		= "Suchbegriff";
$lang['Show_Details']		= "Details anzeigen";
$lang['Searchphrase']		= "Suchphrase";
$lang['Searchphrases']		= "Suchphrasen";
$lang['Chosen_Report']		= "Gewhlter Bericht";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// page-printing
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Chosen_Timeframe']	= "Gewhlter Zeitraum";
$lang['Date_Of_Print']		= "Datum des Ausdrucks";
$lang['Report_Date_Of_Creation']= "Report-Erstellungsdatum";
$lang['Print_Title']		= "binary:STAT - Report";
$lang['Report']			= "Report";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// monitorresolution.php, monitorcolordepth.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Screen_Resolution']	= "Bildschirm-Auflsung";
$lang['Screen_Colordepth']	= "Bildschirm-Farbtiefe";
$lang['Colors']			= "Farben";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// visitortracking.php, entrypage.php, exitpage.php, visitorsonline.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Most_Visited_Pages']	= "Meistbesuchte Seiten";
$lang['Entrypage']		= "Einstiegsseite";
$lang['Exitpage']		= "Ausstiegsseite";
$lang['Entrypages']	        = "Einstiegsseiten";
$lang['Exitpages']	        = "Ausstiegsseiten";
$lang['Visitors_Online']	= "Besucher online";
$lang['No_Visitors_On_Site']	= "Es befinden sich zur Zeit keine Besucher auf der Website";
$lang['Country_Origin']		= "Herkunftsland";
$lang['Current_Page']		= "Aktuelle Seite";
$lang['Visits_Today']		= "Besuche heute";
$lang['Visits_Total']		= "Besucher insgesamt";
$lang['Visits_This_Month']	= "Besucher diesen Monat";
$lang['Visitor_IP']		= "Besucher-IP";
$lang['Last_Pagecall']		= "Letzter Seitenaufruf";
$lang['Impressions_Today']	= "Impressions/Heute";
$lang['Order_By_Time']		= "Nach Zeit";
$lang['Order_By_Visitors']	= "Nach Besuchern";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// linktext for mainframe
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Linktext'] 		= "Homepage Statistik, Website Analyse, Tracking, Counter";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Login
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Please_Login'] 		= "Bitte melden Sie sich mit Ihrem Benutzernamen und Passwort an";
$lang['Login'] 			= "Login";
$lang['Logout'] 		= "Logout";
$lang['Forgotten_password'] 	= "Ich habe mein Passwort vergessen";
$lang['Automatic_Login'] 	= "Bei jedem Besuch automatisch anmelden";
$lang['Login_Not_Possible']	= "Login nicht mglich";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// resolveips.php, changewebsite.php, databaseserver.php, databasebackup.php, completebackup.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Resolve_IPs']		= "IP-Adressen auflsen";
$lang['Tab']['Change_Website']		= "Website wechseln";
$lang['Tab']['Database_And_Server']	= "Datenbank und Server";
$lang['Tab']['Database_Server_Overview']= "Datenbank und Server-bersicht";
$lang['Tab']['Optimize_Database']	= "Datenbank optimieren";
$lang['Tab']['Export_Data']		= "Daten exportieren";
$lang['Tab']['Import_Data']		= "Daten importieren";
$lang['Tab']['Complete_Backup']		= "Komplett-Backup";

$lang['Database_Backup']		= "Datenbank-Backup";
$lang['Resolve_Adresses_For']		= "Adressen auflsen fr";
$lang['Unresolved_IPs']			= "Unaufgelste IP-Adressen in der Datenbank";
$lang['Change_Website']			= "Website wechseln";
$lang['Current_Website']		= "Derzeit gewhlte Website";
$lang['Select_New_Website']		= "Bitte whlen Sie die Website aus, zu der Sie wechseln mchten";
$lang['PHP_Version']			= "PHP-Version";
$lang['Server_Software']		= "Server-Software";
$lang['Mysql_Version']			= "mySQL-Version";
$lang['Mysql_Databasename']		= "mySQL-Datenbankname";
$lang['Mysql_Username']		        = "mySQL-Username";
$lang['Mysql_Password']		        = "mySQL-Passwort";
$lang['Database_Host']			= "Datenbank Host";
$lang['Server_System']			= "Server System";
$lang['Database_Totalsize']		= "Datenbank Gesamtgre";
$lang['Maintable_Size']			= "Gesamtgre der Hauptdatentabelle";
$lang['Trackintable_Size']		= "Gesamtgre der Trackingtabelle";
$lang['Archivtable_Size']		= "Gesamtgre der Archivtabelle";
$lang['Target_Table']			= "Zieltabelle";
$lang['Import_Data']			= "Daten importieren";
$lang['CSV_Error']			= "Sie drfen nur Dateien mit der Endung *.csv oder *.sql verwenden. Bitte treffen Sie eine andere Auswahl!";
$lang['Please_Choose_File']		= "Bitte whlen Sie eine Datei aus, die Sie importieren mchten!";
$lang['Import_Result']			= "Ergebnis des Imports";
$lang['Upload_Error']			= "Die Datei konnte nicht auf den Server bertragen werden!";

$lang['Maintable']			= "Hauptdatentabelle";
$lang['Trackingtable']			= "Trackingtabelle";
$lang['Archivetable']			= "Archivtabelle";
$lang['Systemtable']			= "Betriebssystemtabelle";
$lang['Browsertable']			= "Browsertabelle";
$lang['Visualtable']			= "Visualtabelle";
$lang['Hostnametable']			= "Hostnametabelle";
$lang['Proxytable']			= "Proxytabelle";
$lang['Referertable']			= "Referertabelle";
$lang['Downloadtable']			= "Downloadtabelle";
$lang['Spidertable']			= "Robot/Spider-Tabelle";
$lang['Revisittable']			= "Revisittabelle";
$lang['Speedtable']			= "Geschwindigkeitstabelle";
$lang['Plugintable']			= "Plugintabelle";
$lang['Downloadmanager_Data']		= "Downloads";
$lang['Account_Data']			= "Accounts";
$lang['Archive_Data']			= "Archivdaten";
$lang['Transfer_Data']			= "Monats-Transferdaten im Detail";
$lang['Website_Data']			= "Websites";
$lang['Counter_Data']			= "Counterwerte seit Zhlungsbeginn";
$lang['Trackingmanager_Data']	        = "Tracking-Manager";
$lang['Visitor_Yearly_Data']		= "Jahres-Besucherzahlen im Detail";
$lang['Import_Error']			= "Ein Import der von Ihnen gewhlten Datei ist nicht mglich!";
$lang['Import_Wrong_File']		= "Eine falsche oder fehlerhafte Datei wurde auf den Server geladen!";
$lang['Import_Success']			= "Der Import der Daten war erfolgreich!";
$lang['Import_Failed']			= "Import fehlgeschlagen";

$lang['Optimize_Database']		= "Datenbank optimieren";
$lang['Optimize_Database_For']		= "Datenbank optimieren fr";
$lang['Saved_Space']			= "Eingesparter Speicherplatz";
$lang['Size_Before_Optimization']	= "Datenbankgre vor Optimierung";
$lang['Size_After_Optimization']	= "Datenbankgre nach Optimierung";
$lang['GZIP_Compression']		= "GZIP-Kompression";
$lang['Import_Of_File']			= "Import der Datei";
$lang['Maximum_Filesize']		= "Maximale Dateigrsse";
$lang['Value_Set_By_PHP']		= "Die maximale Grsse wird von der PHP-Konfiguration vorgegeben";
$lang['Type_Of_Data']			= "Art der Daten";

$lang['Totalsize']			= "Gesamtgre";
$lang['Index_Size']			= "Gre des Index";
$lang['Data_Size']			= "Gre der Daten";
$lang['Backup_Size']			= "Gesamtgre des Backups";
$lang['Initiate_Backup']		= "Backup durchfhren";

$lang['Click_For_Realtime']		= "Klick fr Echtzeit";
$lang['Call_Status']			= "Status abfragen";
$lang['Average']			= "Durchschnitt";
$lang['In_Average']			= "Im Durchschnitt";
$lang['Server_Load']			= "Server-Load";
$lang['Current_CPU_Load']		= "Derzeitige Server-CPU-Load";
$lang['CPU_Load']			= "CPU-Load";
$lang['Server_CPU_Load_Average']	= "Server-CPU-Load / Schnitt";
$lang['Server_Uptime']			= "Server-Uptime";
$lang['RAM']				= "RAM";
$lang['CPU']				= "CPU";
$lang['Processes']			= "Prozesse";
$lang['CPU_Load_For']			= "CPU-Load fr";
$lang['MYSQL_Uptime']			= "mySQL-Uptime";
$lang['Data_Sent_Received']		= "Gesendet/Empfangen";
$lang['Total_Questions']		= "Anfragen insgesamt";
$lang['Threads_Running']		= "Aktive Verbindungen";
$lang['Threads_Connected']		= "Offene Verbindungen";
$lang['Slow_Queries']			= "Langsame Anfragen";
$lang['Threads']			= "Verbindungen";
$lang['Active']				= "Aktiv";
$lang['Connection_Attempts']		= "Verbindungsversuche";
$lang['Connections_Failed']		= "Verbindungsfehler";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// exportdata.inc.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Export_Title']			= "binary:STAT mySQL-Dump";
$lang['Version']			= "Version";
$lang['Tablename']			= "Tabellenname";
$lang['Date_of_Creation'] 		= "Erstellungsdatum"; 
$lang['Database_Host']    		= "Datenbank-Host"; 
$lang['Database']	    		= "Datenbank";
$lang['Select_Table_For_Export']	= "Zu exportierende Tabelle auswhlen";
$lang['Select_Data_For_Export']		= "Zu exportierende Daten auswhlen";
$lang['Notice']				= "Hinweis";
$lang['Export']				= "Exportieren";
$lang['Export_CSV_Format']		= "Im CSV-Format exportieren";
$lang['Export_SQL_Format']		= "Im SQL-Format exportieren";
$lang['Export_XLS_Format']		= "Im XSL-Format exportieren";
$lang['Export_This_Table']		= "Diese Tabelle exportieren";
$lang['Complete_Backup']		= "Komplettes Backup durchfhren";
$lang['Database_Backup_For']		= "Datenbank-Backup fr";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// setup.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Website_Setup'] 			= "Website Setup";
$lang['Configure_Website']		= "Website konfigurieren";
$lang['Configuration_For']		= "Konfiguration fr";

$lang['Tab']['Countervalues']			= "Counterwerte, Sperren";
$lang['Tab']['Tracking_Resolving_Display']	= "Tracking, Auflsung, Besucher";
$lang['Tab']['Traceroute_Server']		= "Tracerouting";
$lang['Tab']['Email_Notificiation']		= "Statistik-Email";
$lang['Tab']['Blacklist']			= "Blacklist";
$lang['Tab']['Download_Surveillance']		= "Downloadmonitor";
$lang['Tab']['Extras']				= "Extras";

$lang['Index_Dynamic_Name']		= "Dynamischer Indexseiten-Name";
$lang['Add']				= "Hinzufgen";
$lang['Name_Index_Page']		= "Realer Indexseite-Name";
$lang['Totalvisits_Since_Start']	= "Total Visits (Gesamt)";
$lang['Uniquevisits_Since_Start']	= "Unique Visits (Gesamt)";
$lang['Impressions_Since_Start']	= "Impressions (Gesamt)";
$lang['Downloads_Since_Start']		= "Downloads (Gesamt)";
$lang['Countervalues_Blocking_Etc']	= "Counterwerte, Sperren, Anzeige, etc.";
$lang['Uniqueblocking_Minutes']		= "Unique-Sperre in Minuten";
$lang['Reloadblocking_Minutes']		= "Reload-Sperre in Minuten";
$lang['Pagesizetable_Deletion']	        = "Lsche Pagesize-Tabelle alle";

$lang['Showmax_Visitors']		= "Eintrge auf Tagesbericht";
$lang['Visitortimeout_Minutes']		= "Timeout in Minuten";

$lang['IP_Resolving_Activiated']	= "IP-Auflsung aktiviert";
$lang['Visitortracking_Activated']	= "Besucher-Tracking aktiviert";
$lang['Enhancedlogging_Activated']	= "Enhanced Logging aktiviert";
$lang['Timeshift']			= "Stundendifferenz (+/-)";
$lang['Visitor_Display_Overview']	= "Besucheranzeige Tagesstatikstik";
$lang['Show_Which_Visitors']		= "Welche Besucher anzeigen";
$lang['Show_Unique_Only']		= "Nur Unique anzeigen";
$lang['Show_All_Visitors']		= "Alle Besucher anzeigen";
$lang['Show_Robots_Spider']		= "Roboter/Spider anzeigen";
$lang['Indexed_Pages']			= "Indexierte Seiten";
$lang['Traceroute_Server']		= "Traceroute Server";
$lang['Traceroute_Type']		= "Traceroute Typ";
$lang['Internal']			= "Intern";
$lang['External']			= "Extern";
$lang['Traceroute_Error']		= "Fehler: Konnte Traceroute-Befehl auf Server nicht ausfhren!";
$lang['Server_Without_Http']		= "Server (ohne http://)";
$lang['Directory_Program']		= "Verzeichnis/Programm";
$lang['Email_Notification']		= "Email und Benachrichtigung";
$lang['Email_List']			= "Email-Liste";
$lang['Email_Notificiation_Activated']	= "Email-Benachrichtigung aktiviert";
$lang['HTML_Or_Text_Email']		= "HTML oder Text-Email";
$lang['HTML']				= "HTML";
$lang['Text']				= "Text";
$lang['Notification_Every_24h']		= "Emailzu bestimmter Uhrzeit";
$lang['Notification_By_Hit'] 		= "Email zu bestimmter Besucherzahl";
$lang['Time']				= "Uhrzeit";
$lang['Total_Visits']			= "Total Visits";
$lang['Blacklist_Visitorblocking']	= "Blacklist & Besuchersperren";
$lang['IP_Domain_Blacklist']		= " IP/Domain-Blacklist";
$lang['Blacklist_Activated']		= "IP/Domain-Blacklist aktiviert";
$lang['Download_Surveillance']		= "Download-berwachung";
$lang['Downloads_Allowed_From']		= "Zulssige Domains";
$lang['Download_Surveillance_Activated']= "berwachung aktiviert";
$lang['Show_Protocol']			= "Protokoll anzeigen";
$lang['Delete_Protocol']		= "Protokoll lschen";
$lang['Download_Protocol_For']		= "Downloadprotokoll fr";
$lang['Download_Protocol']		= "Downloadprotokoll";
$lang['Protocol_Deleted']		= "Das Download-Protokoll wurde gelscht!";
$lang['Show_Errorpage_On_Violation']	= "Fehlerseite bei Versto anzeigen";
$lang['Journalize_Surveillance']	= "Verste protokollieren";
$lang['Download_Timewindow']		= "Download-Zeitfenster";
$lang['Extras_For']			= "Extras fr";
$lang['Logging_Activated']		= "Besuchererfassung aktiviert";
$lang['CPU_Calculation_Runs']		= "Anzahl der CPU-Load Berechnungen";
$lang['Show_Number_Of_Entries']		= "In Berichten anzuzeigende Eintrge";
$lang['Binarystat_Activated']		= "binary:STAT aktiviert";
$lang['Time_System']			= "Zeitsystem";
$lang['Delayed_Resolving_Activated']	= "Verzgerte IP-Auflsung aktiviert";
$lang['Trigger_For_Resolving']		= "Trigger fr IP-Auflsung";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// loginerror.php, loginfirst.php, logoff.php, guestmodeoffline.php, demomodeoffline.php, webmastercookie.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Webmaster_Cookie']	= "Webmaster-Cookie";
$lang['System_Message']			= "System-Meldung";
$lang['Logged_Off']			= "Sie wurden abgemeldet";
$lang['Login_First']			= "Bitte melden Sie sich an";
$lang['Guestmode_Offline']		= "Gast-Modus ist offline";
$lang['Demomode_Offline']		= "Demonstrations-Modus ist offline";
$lang['No_Guest_Allowed']		= "Zugriff im Gast-Modus nicht mglich";
$lang['Admin_Only']			= "Zugriff nur fr den Administrator";
$lang['To_Previous_Page']		= "Zur vorherigen Seite zurckkehren";
$lang['Account_Inactive']		= "Dieses Benutzer-Account ist inaktiv";
$lang['Webmaster_Cookie_For']		= "Webmaster-Cookie fr";
$lang['Webmaster_Cookie_Set']		= "Webmaster-Cookie gesetzt";
$lang['Set_Webmaster_Cookie']		= "Webmaster-Cookie setzen";
$lang['Delete_Webmaster_Cookie']	= "Webmaster-Cookie lschen";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// editaccount.php, editaccountgo.php, editaccountgo.php, deleteaccount.php, deleteaccountgo.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Edit_Account']	= "Benutzer-Account bearbeiten";
$lang['Tab']['Create_Account']	= "Benutzer-Account erstellen";
$lang['Tab']['Delete_Account']	= "Benutzer-Account lschen";
$lang['Tab']['Error_Message']	= "Fehlermeldung";
$lang['Tab']['Delete_Website']	= "Website lschen";

$lang['Please_Enter_Username']  = "Bitte geben Sie einen Usernamen ein!";
$lang['Please_Enter_Password']  = "Bitte geben Sie ein Passwort an!";
$lang['Username_In_Use']	= "Dieser Benutzername ist bereits vergeben, bitte whlen Sie einen anderen Namen!";
$lang['Date_Display']    	= "Datums-Anzeige";
$lang['European']		= "Europisch";
$lang['American']		= "Amerikanisch";  
$lang['Page_0']			= "Seite 0";
$lang['ID']			= "ID";
$lang['Last_Login']		= "Letzter Login";
$lang['User_Type']		= "Benutzer-Typ";
$lang['Account_Created']	= "Account erstellt";
$lang['Account_Active']		= "Account aktiv";
$lang['Click_To_Edit']		= "Klicken zum editieren";
$lang['Click_To_Delete']	= "Klicken zum lschen";
$lang['Browse_Entries']		= "Durch Eintrge blttern";
$lang['Order_By_ID']		= "Nach ID sortieren";
$lang['Order_By_IP']		= "Nach IP-Adresse sortieren";
$lang['Order_By_Name']		= "Nach Name sortieren";
$lang['Order_By_Name']		= "Nach Name sortieren";
$lang['Order_By_Ref_Domain']	= "Nach Refererdomain sortieren";
$lang['Order_By_Ref_Page']	= "Nach Refererseite sortieren";
$lang['Order_By_Username']	= "Nach Username sortieren";
$lang['Order_By_Last_Login']	= "Nach letztem Login sortieren";
$lang['Order_By_Usertype']	= "Nach Benutzertyp sortieren";
$lang['Order_By_Creation']	= "Nach Erstellungdatum sortieren";
$lang['Search_For_Username']	= "Usernamen suchen";
$lang['Start_Search']		= "Suche starten";
$lang['Total_Accounts']		= "Gesamtzahl der Accounts";
$lang['Chosen_Username']	= "Gewhlter Username";
$lang['Account_ID']		= "Account-ID";
$lang['Account_Username']	= "Account-Username";
$lang['Usertype']		= "Benutzertyp";
$lang['Administrator']		= "Administrator";
$lang['Webmaster']		= "Webmaster";
$lang['Demonstration_Mode']	= "Demonstrations-Modus";
$lang['Guest']			= "Gast";
$lang['Websites']		= "Websites";
$lang['Edit']			= "Editieren";
$lang['Delete']			= "Lschen";
$lang['Update_Userdata']	= "Benutzerdaten ndern";
$lang['Add_Website']		= "Website hinzufgen";
$lang['Newsite_In_Use']		= "Der gewhlte Websitename wird bereits verwendet - whlen Sie einen anderen Namen aus.";
$lang['Delete_Website']		= "Website lschen";	
$lang['Websitename']		= "Websitename";
$lang['Database_Entries']	= "Datenstze";		
$lang['Create_Account']		= "Benutzer-Account erstellen";
$lang['Password_Not_Set']	= "Sie mssen ein Passwort angeben!";   
$lang['Affected_Datasets']	= "Betroffene Datenstze";
$lang['Affected_Websites']	= "Betroffene Websites";
$lang['Delete_Account']		= "Benutzer-Account lschen";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// editwebsite.php, deletewebsite.php, websiteoverview.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Edit_Website']	  = "Website bearbeiten";
$lang['Search_For_Website']	  = "Nach Website suchen";
$lang['Website_Created']	  = "Website erstellt";
$lang['Total_Websites']		  = "Gesamtzahl der Websites";
$lang['Order_By_Entries']	  = "Nach Besuchereintrgen sortieren";
$lang['Active']			  = "Aktiv";
$lang['Order_By_Total_Visits']    = "Nach Total-Visits sortieren";
$lang['Order_By_Unique_Visits']   = "Nach Unique-Visits sortieren";
$lang['Order_By_Websitename']	  = "Nach Websitenamen sortieren";
$lang['Order_By_Status']	  = "Nach Status sortieren";
$lang['Website_ID']		  = "Website-ID";
$lang['Website_Active']		  = "Website aktiv";
$lang['Tab']['Delete_Website']    = "Website lschen";
$lang['Tab']['Create_Website']    = "Website hinzufgen";
$lang['Website_In_List']	  = "Diese Website wurde dem Benutzerkonto bereits zugewiesen!";
$lang['Please_Enter_Websitename'] = "Bitte geben Sie einen Websitenamen ein!";
$lang['Websitename_In_Use']       = "Dieser Websitename wurde bereits vergeben, bitte whlen Sie einen anderen Namen!";
$lang['Tab']['Website_Overview']  = "Website-bersicht";
$lang['Maximum_Websites']	  = "Die maximale Anzahl der verwaltbaren Websites wurde erreicht!";
$lang['Websites_Total']		  = "Anzahl der Websites";
$lang['Websites_Active']	  = "Aktive Websites";
$lang['Websites_Inactive']	  = "Inaktive Websites";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// accountoverview.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Account_Overview']= "Account-bersicht";
$lang['Accounts_Total']		= "Accounts insgesamt";
$lang['Accounts_Active']	= "Aktive Accounts";
$lang['Accounts_Inactive']	= "Inaktive Accounts";
$lang['Websites_Total']		= "Websites insgesamt";
$lang['Visitor_Entries']	= "Besuchereintrge";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// visitorsteps.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Account_Overview']= "Account-bersicht";
$lang['Visited_Webpages_At']	= "Aufgerufene Webseiten am";
$lang['Visited_Webpage']	= "Aufgerufene Webseite";
$lang['Visited_Webpages_Today']	= "Heute aufgerufene Webseiten";
$lang['Show_All_Pageviews']	= "Alle Seitenaufrufe anzeigen";
$lang['Time_Of_Visit']		= "Zeit des Aufrufs";
$lang['Time_Spent']		= "Verweildauer";
$lang['Total_Time']		= "Gesamtdauer";
$lang['Visitor_Movement']	= "Besucherbewegung";
$lang['None']			= "Keiner";
$lang['No_Searchquery']		= "Keine";
$lang['ID_Available']		= "ID verfgbar";
$lang['ID_Not_Available']	= "ID nicht verfgbar";
$lang['Download']		= "Download";
$lang['Download_Name']		= "Download-Name";
$lang['Time_Of_Download']	= "Download-Zeit";
$lang['Filesize']		= "Dateigre";
$lang['Download_ID']		= "Download-ID";
$lang['Pagename_Unknown']	= "Unbekannt - Seitenname nicht zu ermitteln";
$lang['No_Downloads']		= "Keine Downloads durchgefhrt";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// deletevisitor.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Delete_Visitor']	= "Besucher lschen";
$lang['Delete_Visitor']	      	= "Besucher lschen";
$lang['Database_ID']		= "Datenbank-ID";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// setupaccount.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Tab']['Change_Account_Data'] = "Account-Daten ndern";
$lang['Change_Account_Data']	    = "Account ndern";
$lang['Repeat_Password']	    = "Passwort wiederholen";
$lang['Check_Password']		    = "Bitte berprfen Sie Ihr Passwort!";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// loyality.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Loyality']  	= "Loyalitt der Besucher";
$lang['Loyality']	  	= "Loyalitt der Besucher";
$lang['Loyality_Visits_Total']	= "Loyalitt - Besuche ingesamt";
$lang['Loyality_Visits_Day']	= "Loyalitt - Besuche pro Tag";
$lang['First_Visit']		= "Erstmaliger Besuch";
$lang['From_2_To_5_Visits']	= "2 bis 5 Besuche";
$lang['From_6_To_10_Visits']	= "6 bis 10 Besuche";
$lang['From_11_To_15_Visits']	= "11 bis 15 Besuche";
$lang['From_16_To_20_Visits']	= "16 bis 20 Besuche";
$lang['From_21_To_30_Visits']	= "21 bis 30 Besuche";
$lang['From_31_To_40_Visits']	= "31 bis 40 Besuche";
$lang['From_41_To_50_Visits']	= "41 bis 50 Besuche";
$lang['From_51_To_75_Visits']	= "51 bis 75 Besuche";
$lang['100+']			= "100 und mehr Besuche";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// frequency.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Frequency']  	= "Besuchsfrequenz der Besucher";
$lang['Frequency']	  	= "Besuchsfrequenz der Besucher";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// monthreport.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Visitor_By_Day']  = "Besucher nach Tag";
$lang['Visitors_By_Day']  	= "Besucher nach Tag";
$lang['Impressions_By_Day']  	= "Impressions nach Tag";
$lang['Transfer_By_Day']	= "Datentransfer nach Tag";
$lang['Visitor_Details']	= "Besucherdetails";
$lang['Downloads_By_Day']	= "Downloads nach Tag";
$lang['Monthreport_For']	= "Monatsbericht fr:";
$lang['Monthreport']		= "Monatsbericht";
$lang['Shown_Month']		= "Dargestellter Monat:";
$lang['Busiest_Day']		= "Strkster Besuchertag";
$lang['Weakest_Weekday']	= "Schwchster Wochentag";
$lang['Busiest_Weekday']	= "Strkster Wochentag";
$lang['Welcome']		= "Willkommen";
$lang['Overview_Month_For']	= "Monatsbersicht fr";
$lang['Overview_Month']		= "Monatsbersicht";
$lang['Daysofmonth_Detail']	= "Monatstage im Detail";
$lang['Visitors_By_Referer']	= "Per Referer";
$lang['Visitors_By_Engine']	= "Per Suchmaschine";
$lang['Top_Language']		= "Top Sprache";
$lang['Top_Country']		= "Top Land";
$lang['Top_Hostname']		= "Top Hostname";
$lang['Top_System']		= "Top System";
$lang['Top_Browser']		= "Top Browser";
$lang['Top_Resolution']		= "Top Auflsung";
$lang['Top_Colordepth']		= "Top Farbtiefe";
$lang['Not_Available']		= "Nicht verfgbar";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// yearreport.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Visitors_By_Month']  = "Besucher nach Monat";
$lang['Visitors_By_Month']  	   = "Besucher nach Monat";
$lang['Yearreport_For']		   = "Jahresbericht fr:";
$lang['Busiest_Month']		   = "Strkster Monat";
$lang['Weakest_Month']		   = "Schwchster Monat";
$lang['Yearreport']		   = "Jahresbericht";
$lang['Choose_Year'] 		   = "Whlen Sie das darzustellende Jahr";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// weekreport.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Visitor_By_Weekday']  = "Besucher nach Wochentag";
$lang['Visitors_By_Weekday']  	    = "Besucher nach Wochentag";
$lang['Weekreport_For']		    = "Wochenbericht fr:";
$lang['Weekreport']		    = "Wochenbericht";
$lang['Impressions_By_Weekday']     = "Impressions nach Wochentag";
$lang['Impressions_Per_Week']       = "Impressions/Woche";
$lang['Impressions_Per_Day']        = "Impressions/Tag";
$lang['Downloads_Per_Week']	    = "Downloads/Woche";
$lang['Downloads_Per_Day']	    = "Downloads/Tag";
$lang['Transfer_Per_Week']	    = "Transfer/Woche";
$lang['Transfer_Per_Day']	    = "Transfer/Tag";
$lang['Lateral_Entry_Week']	    = "Quereinsteiger/Woche";
$lang['Visitors_Per_Week']	    = "Besucher/Woche";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// createdownload.php, editdoverview.php, deletedownload.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Create_Download_For']	= "Download erstellen fr";
$lang['Download_Overview_For']	= "Download-bersicht fr";
$lang['Delete_Download_For']	= "Download lschen fr";
$lang['Edit_Download_For']	= "Download bearbeiten fr";
$lang['Tab']['Create_Download'] = "Download erstellen";
$lang['Add_Download']		= "Download hinzufgen";
$lang['Delete_Download']	= "Download lschen";
$lang['Edit_Download']		= "Download bearbeiten";
$lang['Download_ID']		= "Download-ID";
$lang['Internal']		= "Intern";
$lang['External']		= "Extern";
$lang['Category']		= "Kategorie";
$lang['Title']			= "Titel";
$lang['Filename']		= "Dateiname";
$lang['Directory']		= "Verzeichnis";
$lang['Filsesize']		= "Dateigre";
$lang['File_Location']		= "Datei-Location";
$lang['Short_Description']	= "Kurzbeschreibung";
$lang['Long_Description']	= "Langbeschreibung";
$lang['Description']		= "Beschreibung";
$lang['Internal_Download']	= "Interner Download";
$lang['External_Download']	= "Externer Download";
$lang['Downloads_In_Database']	= "Downloads in der Datenbank";
$lang['Show_All_Categories']	= "Alle Kategorien anzeigen";
$lang['Shown_Category']		= "Angezeigte Kategorie";
$lang['Choose_Category'] 	= "Whlen Sie eine Kategorie";
$lang['Downloads_In_Category']	= "Downloads in Kategorie";
$lang['Browse_Entries']		= "Durch Eintrge blttern";
$lang['Order_By_Date']		= "Nach Datum sortieren";
$lang['Sort']			= "Sortieren";
$lang['Order_By_Downloads']	= "Nach Downloads sortieren";
$lang['Order_By_Shortdesc']	= "Nach Kurzbeschreibung sortieren";
$lang['Order_By_Location']	= "Nach Downloadort sortieren";
$lang['Order_By_Title']		= "Nach Titel sortieren";
$lang['Confirm_Deletion']	= "Bitte besttigen Sie die Lschung von";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// editcategory.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Available_Categories'] 	= "Vorhandene Kategorien";
$lang['Edit_Category_For']	= "Kategorie bearbeiten fr";
$lang['Please_Choose_Category'] = "Bitte Kategorie whlen";
$lang['Add_Category']		= "Kategorie hinzufgen";
$lang['Edit_Category']		= "Kategorie bearbeiten";
$lang['Delete_Category']	= "Kategorie lschen";
$lang['Name_Of_Category']	= "Name der Kategorie";
$lang['Category_Edit_Delete']	= "Kategorie bearbeiten oder lschen";
$lang['Choose_Action']		= "Bitte Aktion whlen";
$lang['Description_Of_Category']= "Beschreibung der Kategorie";
$lang['Edit_Category_For']	= "Kategorie bearbeiten fr";
$lang['Delete_Category_For']    = "Kategorie lschen fr";
$lang['Affected_Downloads']	= "Anzahl der betroffenen Downloads";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// botdetails.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Bot_Details'] 		= "Bot-Details";
$lang['Bot_Details_For']	= "Bot-Details fr";
$lang['Bot_Name']		= "Bot-Name";
$lang['Bot_Visits_Day']		= "Bot-Besuche nach Tag";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// showtrace.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Traceroute_For_IP'] 	= "Traceroute fr IP";
$lang['Traceroute_Request'] 	= "Traceroute-Anfrage";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// timespent.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Time_Spent'] 		= "Verweildauer";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// archivedata.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Archive_Data']	= "Monatsdaten archivieren";
$lang['Month_For_Archive']	= "Zu archivierender Monat";
$lang['Start_Archiving']	= "Archivierung beginnen";
$lang['Archiving_Notice']	= "Archivierungs-Hinweis";
$lang['Max_Values_Per_Report']	= "Maximum an Eintrgen je Report";
$lang['Archiving_Failed']	= "Die Archivierung des von Ihnen gewhlten Monats ist fehlgeschlagen!";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// databasedelete.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Delete_Data']	= "Daten lschen";
$lang['Tab']['Delete_Day']	= "Aktuelle Tagesdaten lschen";
$lang['Tab']['Delete_Month']	= "Aktuelle Monatsdaten lschen";
$lang['Tab']['Delete_All']	= "Alle Besucherdaten lschen";
$lang['Tab']['Complete_Reset']	= "Datenbank komplett zurcksetzen";

$lang['Chosen_Website']		= "Gewhlte Website";
$lang['Delete_This_Data']	= "Diese Daten lschen";
$lang['Please_Select']		= "Bitte treffen Sie eine Wahl";
$lang['Delete_Current_Day']	= "Aktuelle Tagesdaten lschen";
$lang['Delete_This_Month']	= "Aktuelle Monatsdaten lschen";
$lang['Delete_Range']		= "Bestimmten Zeitraum lschen";
$lang['Delete_All']		= "Alle Besucherdaten lschen";
$lang['Database_Reset']		= "Datenbank komplett zurcksetzen";
$lang['Affected_Day']		= "Betroffener Tag";
$lang['Affected_Month']		= "Betroffener Monat";
$lang['Affected_Range']		= "Betroffener Zeitraum";
$lang['Affected_Entries']	= "Anzahl der Besuchereintrge";
$lang['Deletion_Complete']	= "Die Lschung der gewhlten Daten wurde durchgefhrt!";
$lang['Please_Select_Range']	= "Bitte whlen Sie einen Zeitraum aus";
$lang['All_Visitor_Data']	= "Smtliche Besucherdaten";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// loadlists.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Load_ID_Lists'] 	= "Erkennungslisten laden";
$lang['Load_Bot_List']		= "Roboter/Spider-Liste laden";
$lang['Load_Searchengine_List'] = "Suchmaschinen-Liste laden";
$lang['Please_Choose_File']	= "Bitte whlen Sie eine Datei aus";
$lang['Selected_List']		= "Gewhlte Erkennungsliste";
$lang['List_Import_Result']	= "Ergebnis des Importvorgangs";
$lang['Robot_List']		= "Roboter/Spider-Liste";
$lang['Engine_List']		= "Suchmaschinen-Liste";
$lang['Entries_Imported']	= "Eintrge importiert";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// showarchive.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Show_Archive_Data']   = "Monatsdaten abrufen";
$lang['Tab']['Delete_Archive_Data'] = "Monatsdaten lschen";
$lang['Archivemonth']		    = "Archivmonat";
$lang['Archiveyear']		    = "Archivjahr";
$lang['Archivemonth_To_Delete']	    = "Zu lschender Archivmonat";
$lang['Archiveyear_To_Delete']	    = "Zu lschendes Archivjahr";

$lang['No_Archive_Data']	    = "Fr den gewhlten Zeitraum stehen keine Archivdaten zur Verfgung!";
$lang['Selected_Month']		    = "Gewhlter Monat";
$lang['Show_Report']		    = "Bericht anzeigen";
$lang['Archive_Report']	  	    = "Archiv-Report";
$lang['Entries_Archived']	    = "Eintrge archiviert";
$lang['This_Month_Total'] 	    = "Diesen Monat insgesamt";
$lang['Totaly']			    = "Insgesamt";
$lang['Totaly_Lowercase']	    = "insgesamt";
$lang['Of']			    = "von";
$lang['To_Overview']		    = "Zur bersicht";
$lang['Show_Report']		    = "Bericht";
$lang['Show_Visitor_Data']	    = "Besucherdaten";
$lang['Show_Tracking']		    = "Tracking";
$lang['Please_Choose']		    = "Bitte whlen Sie...";
$lang['Change_View']		    = "Anzeige wechseln";
$lang['Charts']			    = "Charts";
$lang['Print_This_Page']	    = "Diese Seite ausdrucken";
$lang['Selected_Archive_Deleted']   = "Die von Ihnen ausgewhlten Archivdaten wurden aus der Datenbank gelscht.";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// dynamictracking.php
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Tab']['Dynamic_Tracking']   = "Dynamisches Tracking";
$lang['URL_Type']		   = "URL-Typ";
$lang['Searchengine_Safe']	   = "Sicher";
$lang['Standard_Method']	   = "Standard";
$lang['Seperator']	   	   = "Query-Seperator";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// trackingmanager-files
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Identification_String']	   = "Identifikations-String";
$lang['Edit_Tracking_Category_For']= "Tracking-Kategorie bearbeiten fr";
$lang['Category_Example']	   = "<u><b>Beispiel</b></u>: Nehmen Sie an, folgende URL fhrt zu der Shopkategorie
				     \"Monitore  TFT\": <i>www.mydomain.com/shop.php?catid=hr3745ziwuergh32948</i>.
				      Verwenden Sie daher als Name der neuen Kategorie den Begriff \"Monitore  TFT\", im Textfeld des ID-Strings tragen Sie das Krzel \"catid=hr3745ziwuergh32948\" ein.";
$lang['Element_Example'] 	   = "<u><b>Beispiel</b></u>: Nehmen Sie an, folgende URL fhrt zu dem Produkt
				     \"Monitore  TFT  Produkt XY\": <i>www.mydomain.com/shop.php?catid=hr3745ziwuergh32948&productid=8329465</i>.
				      Verwenden Sie daher als Namen des neuen Elements \"  Produkt XY\", im Textfeld des ID-Strings tragen Sie das Krzel \"productid=8329465\" ein.";
$lang['Please_Enter_Realname']	   = "Bitte geben Sie der Kategorie einen Namen!";
$lang['Please_Enter_IDString']	   = "Bitte gebe Sie einen Identifikations-String ein!";
$lang['IDString_In_Use']	   = "Der von Ihnen gewhlte Identifikations-String ist schon vergeben, bitte whlen Sie einen anderen String!"; 
$lang['Saved_Changes']		   = "Die nderungen wurden gespeichert!";
$lang['Element_Edit_Delete']       = "Element bearbeiten oder lschen";
$lang['Edit_Element_For']	   = "Element bearbeiten fr";
$lang['Please_Choose_Element']     = "Bitte Element auswhlen";
$lang['Delete_Element']		   = "Element lschen";
$lang['Edit_Element']		   = "Element bearbeiten";
$lang['Add_Element']		   = "Element hinzufgen";
$lang['Name_Of_Element']	   = "Name des Elements";
$lang['Element_Deleted']	   = "Das gewhlte Element wurde gelscht!";
$lang['Category_Deleted']	   = "Die gewhlte Kategorie wurde gelscht!";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// email-report
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['BinarySTAT-Emailreport']	   = "binary:STAT - Automatische Email-Statistik";
$lang['This_Month']		   = "Diesen Monat";
$lang['End_Of_Emailstatistic']	   = ":: Ende der Email-Statistik ::";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// browser languages
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['aa'] = 'Afar';  
$lang['ab'] = 'Abchasisch';  
$lang['af'] = 'Afrikaans';  
$lang['am'] = 'Amharisch';  
$lang['ar'] = 'Arabisch';  
$lang['as'] = 'Assamesisch';  
$lang['ay'] = 'Aymara';  
$lang['az'] = 'Aserbaidschanisch';  
$lang['ba'] = 'Baschkirisch';  
$lang['be'] = 'Belorussisch';  
$lang['bg'] = 'Bulgarisch';  
$lang['bh'] = 'Biharisch';  
$lang['bi'] = 'Bislamisch';  
$lang['bn'] = 'Bengalisch'; 
$lang['bo'] = 'Tibetanisch';  
$lang['br'] = 'Bretonisch';  
$lang['ca'] = 'Katalanisch';  
$lang['co'] = 'Korsisch';  
$lang['cs'] = 'Tschechisch';
$lang['cz'] = 'Tschechisch';    
$lang['cy'] = 'Walisisch';  
$lang['da'] = 'Dnisch';  
$lang['de'] = 'Deutsch';  
$lang['dz'] = 'Bhutani';  
$lang['el'] = 'Griechisch';  
$lang['en'] = 'Englisch';  
$lang['eo'] = 'Esperanto';  
$lang['es'] = 'Spanisch';  
$lang['et'] = 'Estnisch';  
$lang['eu'] = 'Baskisch';  
$lang['fa'] = 'Persisch';  
$lang['fi'] = 'Finnisch';  
$lang['fj'] = 'Fiji';  
$lang['fo'] = 'Farisch';  
$lang['fr'] = 'Franzsisch';  
$lang['fy'] = 'Friesisch';  
$lang['ga'] = 'Irisch';  
$lang['gd'] = 'Schottisches Glisch';  
$lang['gl'] = 'Galizisch';  
$lang['gn'] = 'Guarani';  
$lang['gu'] = 'Gujaratisch';  
$lang['ha'] = 'Haussa';  
$lang['he'] = 'Hebrisch';  
$lang['hi'] = 'Hindi';  
$lang['hr'] = 'Kroatisch';  
$lang['hu'] = 'Ungarisch';  
$lang['hy'] = 'Armenisch';  
$lang['ia'] = 'Interlingua';  
$lang['id'] = 'Indonesisch';  
$lang['ie'] = 'Interlingue';  
$lang['ik'] = 'Inupiak';  
$lang['in'] = 'Indonesisch';  
$lang['is'] = 'Islndisch';  
$lang['iw'] = 'Hebrisch';  
$lang['it'] = 'Italienisch';  
$lang['ja'] = 'Japanisch';
$lang['ji'] = 'Jiddish';  
$lang['jw'] = 'Javanisch';  
$lang['ka'] = 'Georgisch';  
$lang['kk'] = 'Kasachisch';  
$lang['kl'] = 'Grnlndisch';  
$lang['km'] = 'Kambodschanisch';  
$lang['kn'] = 'Kannada';  
$lang['ko'] = 'Koreanisch';  
$lang['ks'] = 'Kaschmirisch';  
$lang['ku'] = 'Kurdisch';  
$lang['ky'] = 'Kirgisisch';  
$lang['la'] = 'Lateinisch';  
$lang['ln'] = 'Lingalisch';  
$lang['lo'] = 'Laotisch';  
$lang['lt'] = 'Litauisch';  
$lang['lv'] = 'Lettisch';  
$lang['mg'] = 'Malagasisch';  
$lang['mi'] = 'Maorisch';  
$lang['mk'] = 'Mazedonisch';  
$lang['ml'] = 'Malajalam';  
$lang['mn'] = 'Mongolisch';  
$lang['mo'] = 'Moldavisch';  
$lang['mr'] = 'Marathi';  
$lang['ms'] = 'Malaysisch';  
$lang['mt'] = 'Maltesisch';  
$lang['my'] = 'Burmesisch';  
$lang['na'] = 'Nauruisch';  
$lang['ne'] = 'Nepalisch';  
$lang['nl'] = 'Hollndisch';  
$lang['no'] = 'Norwegisch';  
$lang['oc'] = 'Okzitanisch';  
$lang['om'] = 'Oromo';  
$lang['or'] = 'Orija';  
$lang['pa'] = 'Pundjabisch';  
$lang['pl'] = 'Polnisch';  
$lang['ps'] = 'Paschtu';  
$lang['pt'] = 'Portugiesisch';  
$lang['qu'] = 'Quechua';  
$lang['rm'] = 'Rtoromanisch';  
$lang['rn'] = 'Kirundisch';  
$lang['ro'] = 'Rumnisch';  
$lang['ru'] = 'Russisch';  
$lang['rw'] = 'Kijarwanda';  
$lang['sa'] = 'Sanskrit';  
$lang['sd'] = 'Zinti';  
$lang['sg'] = 'Sango';  
$lang['sh'] = 'Serbokroatisch';  
$lang['si'] = 'Singhalesisch';  
$lang['sk'] = 'Slowakisch';  
$lang['sl'] = 'Slowenisch';  
$lang['sm'] = 'Samoanisch';  
$lang['sn'] = 'Schonisch';  
$lang['so'] = 'Somalisch';  
$lang['sq'] = 'Albanisch';  
$lang['sr'] = 'Serbisch';  
$lang['ss'] = 'Swasilndisch';  
$lang['st'] = 'Sesothisch';  
$lang['su'] = 'Sudanesisch';  
$lang['sv'] = 'Schwedisch';  
$lang['sw'] = 'Suaheli';  
$lang['ta'] = 'Tamilisch';  
$lang['te'] = 'Telugu';  
$lang['tg'] = 'Tadschikisch';  
$lang['th'] = 'Thai';  
$lang['ti'] = 'Tigrinja'; 
$lang['tk'] = 'Turkmenisch';  
$lang['tl'] = 'Tagalogv';  
$lang['tn'] = 'Sezuan';  
$lang['to'] = 'Tongaisch';  
$lang['tr'] = 'Trkisch';  
$lang['ts'] = 'Tsongaisch';  
$lang['tt'] = 'Tatarisch';  
$lang['tw'] = 'Twi';  
$lang['uk'] = 'Ukrainisch';  
$lang['ur'] = 'Urdu'; 
$lang['uz'] = 'Usbekischv';  
$lang['vi'] = 'Vietnamesisch';  
$lang['vo'] = 'Volapk';  
$lang['wo'] = 'Wolof';  
$lang['xh'] = 'Xhosa';  
$lang['yi'] = 'Jiddish';  
$lang['yo'] = 'Joruba';  
$lang['zh'] = 'Chinesisch';  
$lang['zu'] = 'Zulu';


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// notices and messages for reports
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['notice']['Information']		= "Information:";

$lang['notice']['Error_Notification']	= "Fehlermeldung:";

$lang['notice']['Please_Wait'] 		= "Bitte warten";

$lang['notice']['Dont_Abort_Process'] 	= "Diesen Vorgang bitte nicht abbrechen!";


$lang['notice']['Edit_Category_Go']	= "Sie haben hier die Mglichkeit, nderungen an der von Ihnen gewhlten Kategorie vorzunehmen. Beachten Sie, dass dem Namensfeld und dem Identifikationsstring ein Wert zugewiesen werden muss - leere Felder fhren zu einer Fehlermeldung. Nachdem Sie Ihre nderungen vorgenommen haben,
				           knnen Sie die Daten mit einem Klick auf den Button \"nderungen speichern\" bernehmen.";

$lang['notice']['Edit_Element_Go']	= "Sie haben hier die Mglichkeit, nderungen an dem von Ihnen gewhlten Element vorzunehmen. Beachten Sie, dass dem Namensfeld und dem Identifikationsstring ein Wert zugewiesen werden muss - leere Felder fhren zu einer Fehlermeldung. Nachdem Sie Ihre nderungen vorgenommen haben,
				           knnen Sie die Daten mit einem Klick auf den Button \"nderungen speichern\" bernehmen.";

$lang['notice']['Edit_Element']		= "Hier knnen Sie ein zuvor angelegtes Element bearbeiten oder lschen. Bitte treffen Sie Ihre Auswahl in der unten stehenden Auflistung. Auf Wunsch knnen Sie nach bestimmten Elementen suchen - tragen Sie hierfr einfach den gewnschten Elementnamen oder
					   einen Teil davon in die unten stehende Suchmaske ein. Elemente, die Ihren Suchangaben entsprechen, werden Ihnen daraufhin in der Auswahlliste angezeigt.";

$lang['notice']['Edit_Category']	= "Hier knnen Sie eine zuvor angelegte Kategorie bearbeiten oder lschen. Bitte treffen Sie Ihre Auswahl in der unten stehenden Auflistung. Auf Wunsch knnen Sie nach bestimmten Kategorien suchen - tragen Sie hierfr einfach den gewnschten Kategorienamen oder
					   einen Teil davon in die unten stehende Suchmaske ein. Kategorien, die Ihren Suchangaben entsprechen, werden Ihnen daraufhin in der Auswahlliste angezeigt.";

$lang['notice']['Archive_Error']	= "Die Archivierung der Besucherdaten ist aufgrund eines Datenbankfehlers fehlgeschlagen. Sie erhalten nachfolgend die Fehlermeldung, die von der Datenbank an binary:STAT gesendet wurde. Versuchen Sie, die
					   Archivierung erneut durchzufhren. Sollten die Fehlermeldung weiterhin angezeigt werden, so wenden Sie sich mit der ausgegeben Fehlermeldung an Ihren Administrator.";

$lang['notice']['Check_Archive_Deletion'] = "berprfen Sie zur Sicherheit Ihre Auswahl, bevor Sie die Lschung der Daten veranlassen - gelschte Daten knnen nicht wiederhergestellt werden!";

$lang['notice']['Showcharts']		= "Nachfolgend sehen Sie eine grafische Aufbereitung der von Ihnen angefragten Monatsdaten. Wnschen Sie einen Ausdruck der Charts, so knnen Sie am Ende der Seite auf den Link \"Diese Seite ausdrucken\" klicken. Sie knnen weitere Berichte abrufen, in dem Sie eine Auswahl in den unten stehenden 
					   Dropdown-Mens \"Bericht\", \"Besucherdaten\" oder \"Tracking\" treffen.";

$lang['notice']['Showreport']		= "Nachfolgend sehen Sie eine Zusammenstellung der von Ihnen angefragten Daten. Sie knnen die Anzeige der Informationen verfeinern, in dem Sie nach bestimmten Begriffen suchen - nutzen Sie hierfr die unten stehende Suchmaske. Ferner knnen Sie die Daten dieses Berichts ausdrucken und exportieren
					   lassen.";
 
$lang['notice']['Archive_Overview']     = "Willkommen in der Archivbersicht. Sie erhalten hier eine ausfhrliche Zusammenstellung der Besucherdaten fr den von Ihnen gewhlten Archivmonat. Sie knnen weitere Informationen abrufen, in dem Sie eine Auswahl in den unten stehenden Dropdown-Mens \"Bericht\", \"Besucherdaten\" oder
					   \"Tracking\" treffen.";

$lang['notice']['Delete_Archive_Data']  = "Sie haben hier die Mglichkeit, die Daten eines archivierten Monats aus der binary:STAT-Datenbank zu lschen. Bitte whlen Sie das gewnschte Archivjahr und den gewnschten Archivmonat aus. Daraufhin wird Ihnen die gewnschte Auswahl angezeigt und Sie knnen die Lschung sodann
					   veranlassen. Beachten Sie, dass eine Lschung der Daten dauerhaft ist und nicht mehr rckgngig gemacht werden kann.";

$lang['notice']['Load_ID_Lists_Result'] = "Hier sehen Sie das Ergebnis des von Ihnen durchgefhrten Imports. Sollte es zu einem Fehler gekommen sein, sollten Sie die von Ihnen gewhlte Datei berprfen. Diese muss dem von binary:STAT vorgegebenen Format entsprechen. War der Import erfolgreich, wurden die
					   neuen Erkennungsdaten in die binary:STAT-Datenbank berspielt.";

$lang['notice']['Load_ID_Lists']	= "Sie haben hier die Mglichkeit, die Listen fr die Erkennung von Robotern, Spidern und Suchmaschinen auf den neuesten Stand zu bringen. Whlen Sie hierfr die gewnschte Datei aus, die Sie importieren mchten. binary:STAT erkennt selbstndig, ob es sich bei der von Ihnen gewhlten Datei
					   um Roboter/Spider- oder um Suchmaschinendaten handelt.";
					   
$lang['notice']['Show_Archive_Data']	= "Hier knnen Sie die zuvor archivierten Besucherdaten eines Monats wieder abrufen. Bitte treffen Sie in der unten stehenden Auflistung Ihre Auswahl.";

$lang['notice']['Delete_All']		= "Hier knnen Sie smtliche Besucherdaten seit Beginn der Aufzeichnung aus der binary:STAT-Datenbank lschen. Es werden smtliche Besucherdaten sowie Counterwerte auf 0 zurckgesetzt. Bitte beachten Sie, dass smtliche Daten permanent gelscht werden und eine 
					   Wiederherstellung zu einem spteren Zeitpunkt nicht mehr mglich ist.";  

$lang['notice']['Delete_Range']		= "Sie knnen hier die Besucherdaten eines bestimmten Zeitraumes aus der binary:STAT-Datenbank lschen. Beachten Sie, dass nur die Daten des aktuellen Monats gelscht werden knnen. Der Starttag der betroffenen Zeitraumes muss kleiner als der Endtag sein.
					   Wichtig: Die Lschung der ausgewhlten Daten ist dauerhauft und irreversibel.";

$lang['notice']['Delete_Day']		= "Hier knnen Sie die Besucherdaten des aktuellen Tages aus der binary:STAT-Datenbank lschen. berprfen Sie Ihre Auswahl, bevor Sie die Lschung besttigen. Bitte beachten Sie, dass smtliche Daten permanent gelscht werden und eine Wiederherstellung zu einem spteren
					   Zeitpunkt nicht mehr mglich ist.";

$lang['notice']['Delete_Data']		= "Sie haben hier die Mglichkeit, Besuchereintrge aus dem binary:STAT Datenbestand zu lschen, oder einen vollstndigen Reset der Datenbank durchzufhren. Treffen Sie in der unten stehenden Auflistung Ihre Auswahl und besttigen Sie sodann die Lschung. Bitte beachten Sie,
					   dass einmal gelschte Daten zu einem spteren Zeitpunkt nicht wiederhergestellt werden knnen - die Lschung ist permanent.";

$lang['notice']['Import_Result']	= "Hier sehen Sie das Ergebnis des Import-Vorgangs. Sollte dieser erfolgreich verlaufen sein, wurden die Daten in die binary:STAT-Datenbank berspielt und die dort vorher befindlichen Eintrge berschrieben. Anderenfalls wird Ihnen ein Fehler mit einer entsprechenden
					   Fehlerbeschreibung angezeigt. berprfen Sie bei einem Fehler insbesondere, ob in der Datenbank noch ausreichend Speicherplatz zur Verfgung steht.";

$lang['notice']['Import_Data_Go']	= "Bevor Sie den Import der von Ihnen gewhlten Datei starten, sollten Sie hier nocheinmal die gewhlte Datei und deren Inhalt berprfen. Sind Sie mit den Angaben einverstanden, knnen Sie den Import starten. Bitte beachten Sie, dass
					   bereits vorhandene Daten in der binary:STAT-Datenbank durch den Import berschrieben werden. Dieser Vorgang kann zu einem spteren Zeitpunkt nicht mehr rckgngig gemacht werden.";

$lang['notice']['Import_Data']		= "Hier knnen Sie die zuvor im CSV oder SQL-Format exportierten Daten wieder in die binary:STAT-Datenbank importieren. Whlen Sie hierfr die gewnschte Datei mit dem unten stehenden Dateibrowser aus. Achten Sie darauf, dass die gewhlte Datei
					   dem CSV oder dem SQL Format entspricht, ansonsten ist ein Import nicht mglich.";
 
$lang['notice']['Import_Notice']        = "Bitte beachten Sie, dass durch den Import der von Ihnen gewhlten Daten die Eintrge in der Datenbank berschrieben werden. Stellen Sie sicher, dass Sie eine korrekte Auswahl getroffen haben. Einmal berschriebene Daten
					   knne nicht wiederhergestellt werden.";


$lang['notice']['Code_Wizard_Output']   = "Der Code-Wizard hat den Codebaustein erstellt, den Sie nun in Ihre Webseiten einfgen mssen. Kopieren Sie den unten stehen Code in Ihre Zwischenablage (STRG+C) und fgen Sie ihn dann innerhalb der BODY-Tags in Ihren Webseiten ein. Es empfiehlt sich, den Code
					   entweder ganz zu Anfang des BODY-Tags zu setzen, oder kurz vor dessen Ende. Achten Sie unbedingt darauf, den Code ohne Zeilenumbrche einzufgen!";
 
$lang['notice']['Code_Wizard']		= "Der Codewizard erstellt Ihnen automatisch den PHP- und Javascript-Code, den Sie in Ihre Webseiten einfgen mssen, um Besucherdaten zu erfassen. Geben Sie an, ob fr die Funktionen logit() und trackit() der Standard- oder der erweiterte Code verwendet
					   werden soll. Fr den trackit()-Code steht Ihnen zustzlich die Option \"DYNAMIC\" zur Verfgung, die sie jedoch spter per Hand zufgen mssen. Sie finden im Handbuch weitere Informationen und Beispiele fr die Verwendung dieser Option.";

$lang['notice']['Website_Overview']	= "Hier sehen Sie eine Zusammenfassung der Websites, die von binary:STAT verwaltet werden. Aufgefhrt ist die Anzahl der Websites, die Gesamtzahl der Besuchereintrge und
				           wieviele der Websites aktiv oder inaktiv sind. Einzelne Websites knnen Sie unter dem Menpunkt \"Website-Manager\" editieren, lschen oder neu anlegen.";
				           
$lang['notice']['Create_Website']	= "Sie knnen hier einen neuen Websitenamen in die Datenbank aufnehmen. Beachten Sie, dass ein Websitename nur einmal vergeben werden darf. Nachdem die Website angelegt worden ist, knnen Sie diese jedem anderem Benutzerkonto hinzufgen.
					   Natrlich knnen Sie den Websitenamen wieder aus der Datenbank lschen, falls Sie fr diesen keine Verwendung mehr haben sollten.";
					  
$lang['notice']['Delete_Website']	= "Hier knnen Sie eine zuvor erstellte Website aus der Datenbank entfernen. Whlen Sie herfr aus der unten stehenden Auflistung den gewnschten Websitenamen aus. Sie werden daraufhin auf eine weitere Seite geleitet, auf der Ihnen eine Zusammenfassung der
					   zu lschenden Website angezeigt wird. Sollten Sie mit der Lschung einverstanden sein, knnen Sie diese durchfhren lassen.";
 
$lang['notice']['Edit_Website_Go']	= "Hier knnen Sie den Namen der von Ihnen ausgewhlten Website editieren. Bitte beachten Sie, dass nderungen am Websitenamen direkte Auswirkungen auf die Erfassung der Besucherdaten hat. Sie mssen die in Ihren Webseiten verwendeten
					   Befehle logit(), trackit(), etc. ebenfalls abndern und dort den hier genderten Websitenamen eintragen. Anderenfalls knnen ab dem Zeitpunkt der Namensnderung keine Besucherdaten mehr in der Datenbank gespeichert werden, da diese keiner
					   Website zuzuordnen sind.";

$lang['notice']['Edit_Website']	        = "Hier knnen Sie ein zuvor erstellte Website bearbeiten. Whlen Sie die gewnschte Website aus, indem Sie auf 
					   einen Eintrag klicken, oder nutzen Sie das Suchfeld, um nach einem bestimmten Website zu suchen. Geben Sie hierfr
					   den Namen oder einen Teil des Namens in das Suchfeld ein. Die in der unten stehenden bersicht angezeigten Eintrge knnen Sie
					   mit einem Klick auf die berschriften sortieren lassen.";

$lang['notice']['Yearreport']		= "Hier Sie sehen, wieviele Besucher die derzeit gewhlte Website ber das Jahr hinweg besucht haben. In die Darstellung der Besucherzahlen flieen nur die
					   Daten des aktuellen Jahres mit ein. Falls Sie die Besucherzahlen eines anderen Jahres abrufen mchten, so whlen Sie das gewnschte Jahr aus der unten stehenden
					   Auflistung aus.";

$lang['notice']['Start_Archiving']	= "Die Archivierung fr den gewhlten Monat wurde gestartet. Dieser Vorgang kann einige Sekunden oder Minuten dauern, je nachdem, wieviele Besuchereintrge sich fr den gewhlten Monat in der Datenbank befinden. Brechen Sie
					   diesen Vorgang nicht ab, sondern warten Sie auf die Besttigungsmeldung von binary:STAT. Nachdem der Monat archiviert wurde, knnen Sie ihn jederzeit wieder aus dem Archiv abrufen.";

$lang['notice']['Archive_Data']		= "Sie haben hier die Mglichkeit, die Besucherdaten eines vorangegangenen Monats zu archivieren. Einmal archivierte Daten knnen Sie jederzeit wieder abrufen und analysieren. Wenn Sie regelmig Ihre Monatsdaten
					   speichern, fhrt dies zu einer erheblichen Reduzierung der Datenbankbelegung. Whlen Sie aus der unten stehenden Auflistung denjenigen Monat aus, den Sie in das Archiv transferieren mchten.";
					   
$lang['notice']['Time_Spent']		= "Hier sehen Sie, wie lange sich die Besucher auf der Website aufhalten. In die Berechnung der Aufenthaltsdauer flieen nur diejenigen Besucher mit ein, die sich whrend eines zusammenhngenden
					   Zeitraumes auf der Website bewegt haben. Damit fallen aus der Darstellung diejenigen Besucher heraus, die die Website ber den Tag verteilt zu verschiedenen, nicht unzusammenhngenden Uhrzeiten besuchen.
					   Die Anzeige der Daten lsst sich verfeinern, in dem Sie den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, ";

$lang['notice']['Bot_Details']		= "Hier sehen Sie eine detaillierte Aufschlsselung der Website-Besuche des von Ihnen gewhlten Bots. Bei Bots handelt es sich um Hilfsprogramme von Suchmaschinen und Indexdiensten,
 					   die Websites nach Informationen durchsuchen und diese Daten dann fr weitere Zwecke speichern. Neben einer Darstellung der Gesamtzahl der Besuche und der Besuche pro Tag, wird auch das 
 					   Herkunftsland des Bots dargestellt. Weitere Informationen finden Sie in der Dokumentation.";

$lang['notice']['Downloads']		= "Sie sehen hier eine Auflistung der am hufigsten durchgefhrten Downloads von Ihrer Website bzw. von Webseiten, auf deren Downloadangebot Sie verlinkt haben.
					   Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten Download-Titeln suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, 
					   z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einer bestimmten Download suchen mchten, so knnen Sie im Suchfeld jeden beliebigen und auch mehrere Suchbegriffe verwenden.";

$lang['notice']['Delete_Category']	= "Hier haben Sie die Mglichkeit, eine Kategorie aus dem Downloadmanager zu lschen. Beachten Sie, dass smtliche, dieser Kategorie zugehrigen Downloads, automatisch
					   gelscht werden. berprfen Sie Ihre Auswahl genau, bevor Sie die Lschung besttigen. Einmal entfernte Eintrge knnen spter nicht wiederhergstellt werden. Weitere
					   Informationen zur Lschung von Kategorien finden Sie in der Anleitung.";

$lang['notice']['Edit_Category']	= "Hier haben Sie die Mglichkeit, einen Kategorie zu editieren. Achten Sie darauf, dass die Kategorie weiterhin einen Namen trgt - anderenfalls knnen die gewnschten
					   nderungen nicht vorgenommen werden. Weitere Informationen zur Bearbeitung von Kategorien knnen Sie der Anleitung entnehmen.";

$lang['notice']['Category_Overview']	= "Hier haben Sie die Mglichkeit, eine Kategorie aus dem Download-Manager zu entfernen oder zu bearbeiten. Falls Sie eine neue Kategorie anlegen mchten, knnen Sie
					   im unteren Teil dieser Seite einen entsprechenden Namen angeben und die neue Kategorie in den Download-Manager bernehmen. Wichtig: Wenn Sie eine Kategorie lschen mchten, ist zu beachten,
					   dass smtliche Downloads aus dieser Kategorie automatisch gelscht werden.";

$lang['notice']['Download_Overview']	= "Sie erhalten hier eine bersicht der bisher angelegten Downloads fr die derzeit gewhlte Website. Falls Sie einen Eintrag editieren mchten, so whlen Sie diesen in
					   der unten stehenden Auflistung aus. Sie werden daraufhin in einen Editiermodus weitergeleitet, in dem Sie alle gewnschten nderungen vornehmen knnen. Sie knnen die Anzeige
					   der Downloads beeinflussen, in dem Sie eine Kategorie vorgeben, deren Downloads angezeigt werden sollen.";

$lang['notice']['Delete_Download']	= "Hier knnen Sie einen bestehenden Download aus dem Download-Manager entfernen. Whlen Sie hierfr den gewnschten Eintrag aus der unten stehenden Liste aus. Sie knnen die
					   Anzeige verfeinern, in dem Sie eine bestimmte Kategorie auswhlen. Sie haben auch die Mglichkeit, die Eintrge nach  ID, Datum, Titel, Beschreibung, Location oder nach Anzahl der Downloads
					   sortieren zu lassen. Klicken Sie hierfr einfach auf den entsprechenden Begriff in der Auflistung.";

$lang['notice']['Edit_Download']	= "Hier haben Sie die Mglichkeit, einen bestehenden Download zu editieren. Bis auf die ID-Nummer des Downloads knnen Sie smtlichen Daten abndern. Achten Sie darauf, dass Sie korrekte Pfadangaben machen und nderungen nochmals verifizieren. 
					   Sollten die Pfadangaben fehlerhaft sein, kann eine Datei spter nicht von einem Nutzer heruntergeladen werden. Weitere Informationen ber die einzelnen Datenfelder und Beispiele zur Erstellung eines Downloads finden Sie auch in der Dokumentation.";

$lang['notice']['Create_Download']	= "Hier haben Sie die Mglichkeit, eine neue Datei in Ihr Downloadangebot aufnehmen. Fllen Sie hierfr alle unten Felder vollstndig aus und achten Sie darauf, dass Sie korrekte
					   Pfadangaben machen. Sollten diese fehlerhaft sein, kann eine Datei spter nicht von einem Nutzer heruntergeladen werden. Weitere Informationen ber die einzelnen Datenfelder und Beispiele zur Erstellung eines Downloads finden Sie auch in der Dokumentation.";

$lang['notice']['Visitors_Online']	= "Hier sehen Sie eine detaillierte Auflistung derjenigen Besucher, die sich gerade auf der Website befinden. Neben einer Darstellung des Hostnamen, der IP-Adresse und
					   des Herkunftslandes erhalten Sie auch Angaben ber die Gesamtzahl der Impressions, die von dem Besucher zuletzt aufgerufene Webseite sowie die Zeit des letzten 
					   Seitenaufrufes.";

$lang['notice']['Visitorsteps']		= "Hier sehen Sie eine detaillierte, chronologische Auflistung derjenigen Webseiten, die der gewhlte Besucher bei seinem Besuch der Website aufgerufen hat. Neben einer Darstellung der
					   einzelnen Webseiten erhalten Sie eine Zusammenfassung der Zeiten, die der Besucher auf jeder einzelnen Seiten verbracht hat. Ferner steht eine Auflistung der von dem Besucher durchgefhrten Downloads sowie der
					   Referer zur Verfgung, ber den der Besucher auf die Website gelangt ist.";

$lang['notice']['Overview']		= " auf der Tagesbersicht. Hier erhalten Sie eine detaillierte Aufschlsselung des Besucherverkehr Ihrer
					   Website in Echtzeit. Neben einer Aufbereitung der heutigen Tagesdaten ist ein direkter Vergleich mit den Besucherzahlen des gestrigen
					   Tages mglich. Eine Auflistung der letzten Besucher sowie eine grafische Darstellung des Besucherverkehrs dieses Tages knnen Sie am 
					   Ende dieser Seite aufrufen.";

$lang['notice']['Weekreport']		= "Hier erhalten Sie einen ausfhrlichen Bericht ber die Aktivitten der Websitebesucher bezogen auf die Wochentage. Neben einer Darstellung der Besucherzahlen, Impressions, Downloads, dem Datentransfer 
				           und einer Auflistung des besucherstrksten bzw. besucherschwchsten Wochentages, finden Sie auch eine Grafik ber das Besucheraufkommen, geordnet nach einzelnen Wochentagen. In die Berechnung
				           der Daten flieen smtliche, bisher vergangene Wochentage ein.";

$lang['notice']['Monthreport']		= "Hier erhalten Sie einen ausfhrlichen Bericht ber die Besucheraktivitten des aktuellen Monats. Neben einer Darstellung der Besucherzahlen, Auflistung der
					   besucherstrksten bzw. besucherschwchsten Tage, der Anzahl der durchgefhren Downloads sowie des angefallenen Datentransfers finden sie auch eine grafische 
					   Darstellung des Besucheraufkommens jedes einzelnen Monatstages.";

$lang['notice']['Loyality']		= "Sie sehen hier eine detaillierte Auflistung der wiederkehrenden Besucher der derzeit gewhlten Website. Die Anzeige der Daten lsst sich verfeinern, in dem Sie den
					   darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Die angezeigten Daten lassen sich im CSV-Format exportieren oder
					   auch druckfreundlich darstellen. Whlen Sie hierfr entweder die Option \"Drucken\" oder \"Exportieren\".";

$lang['notice']['Screen_Resolution']	= "Sie sehen hier eine detaillierte Auflistung der von den Besucher der Website genutzten Bildschirm-Auflsung. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Auflsungen suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einer bestimmten Auflsung suchen mchten,
					   so knnen Sie im Suchfeld jeden beliebigen und auch mehrere Suchbegriffe verwenden.";

$lang['notice']['Screen_Colordepth']	= "Sie sehen hier eine detaillierte Auflistung der von den Besucher der Website genutzten Bildschirm-Farbtiefe. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Farbtiefen suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einer bestimmten Farbtiefe suchen mchten,
					   so knnen Sie im Suchfeld jeden beliebigen und auch mehrere Suchbegriffe verwenden.";

$lang['notice']['Browser_PlugIns']	= "Sie sehen hier eine detaillierte Auflistung der von den Besucher der Website genutzten Browser-Plugins. Die Anzeige der Daten lsst sich verfeinern, in dem Sie den
					   darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Die angezeigten Daten lassen sich im CSV-Format exportieren oder
					   auch druckfreundlich darstellen. Whlen Sie hierfr entweder die Option \"Drucken\" oder \"Exportieren\".";

$lang['notice']['Browser_By_Type']	= "Sie sehen hier eine detaillierte Auflistung der von den Besucher der Website genutzten Browser nach Typ. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Browsern suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einem bestimmten Browser suchen mchten,
					   so knnen Sie im Suchfeld jeden beliebigen und auch mehrere Suchbegriffe verwenden.";

$lang['notice']['Browser_By_Version']	= "Sie sehen hier eine detaillierte Auflistung der von den Besucher der Website genutzten Browser nach Version. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Browsern suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einem bestimmten Browser suchen mchten,
					   so knnen Sie im Suchfeld jeden beliebigen und auch mehrere Suchbegriffe verwenden.";

$lang['notice']['Systems_By_Version']	= "Sie sehen hier eine detaillierte Auflistung der von den Besucher der Website genutzten Betriebssysteme nach Version. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Betriebssystemen suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einem bestimmten Betriebssystem suchen mchten,
					   so knnen Sie im Suchfeld jeden beliebigen und auch mehrere Suchbegriffe verwenden.";

$lang['notice']['Systems_By_Type']	= "Sie sehen hier eine detaillierte Auflistung der von den Besucher der Website genutzten Betriebssysteme nach Typ. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Betriebssystemen suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einem bestimmten Betriebssystem suchen mchten,
					   so knnen Sie im Suchfeld jeden beliebigen und auch mehrere Suchbegriffe verwenden.";

$lang['notice']['Botvisits']		= "Hier sehen Sie eine bersicht der Suchmaschinen-Bots, die die derzeit gewhlte Website aufrufen und nach Inhalten durchsuchen. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Bots suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken. Mit einem Klick auf einen Suchmaschinen-Bot erhalten Sie eine detaillierte zeitliche bersicht der Bot-Zugriffe auf die Website.";

$lang['notice']['Searchphrases']	= "Hier sehen Sie eine bersicht derjenigen Suchphrasen, die Besucher bei einer Suchmaschine verwenden und daraufhin auf die derzeit gewhlte Website gelangen. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach einer bestimmten
					   Suchphrase suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken. Mit einem Klick auf einen Suchbegriff erhalten Sie eine bersicht der Suchmaschinen, bei denen diese Suchphrase verwendet wurde.";

$lang['notice']['Searchwords']		= "Hier sehen Sie eine bersicht derjenigen Suchbegriffe, die Besucher bei einer Suchmaschine verwenden und daraufhin auf die derzeit gewhlte Website gelangen. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Suchbegriffen suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken. Mit einem Klick auf einen Suchbegriff erhalten Sie eine bersicht der Suchmaschinen, bei denen dieser Suchbegriff verwendet wurde.";

$lang['notice']['Searchengines']	= "Hier sehen Sie eine bersicht derjenigen Suchmaschinen, ber die ein Besucher auf die derzeit gewhlte Website gelangt ist. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Suchmaschinen suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken. Mit einem Klick auf den Namen der Suchmaschine wird zugehrige Website einem neuen Fenster geffnet.";

$lang['notice']['Referer_By_Webpage']	= "Sie sehen hier eine detaillierte Auflistung derjenigen Webseiten, von denen aus auf die derzeit gewhlte Website verweist wird. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   verweisenden Webseiten suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einem bestimmten Webseite suchen mchten,
					   so knnen Sie im Suchfeld jeden beliebigen und auch mehrere Suchbegriffe verwenden.";

$lang['notice']['Referer_By_Domain']	= "Sie sehen hier eine detaillierte Auflistung derjenigen Domains, von denen aus eine Webseite auf die derzeit gewhlte Website verweist. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Domains suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einem bestimmten Domain suchen mchten,
					   so knnen Sie im Suchfeld jeden beliebigen und auch mehrere Suchbegriffe verwenden.";

$lang['notice']['Referer_By_Country']	= "Sie sehen hier eine detaillierte Auflistung derjenigen Lnder, von denen aus eine Webseite auf die derzeit gewhlte Website verweist. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Lndern suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einem bestimmten Land suchen mchten,
					   so nutzen Sie als Suchbegriff ein Lnderkrzel, z.B. \"de\" fr Deutschland.";

$lang['notice']['Languages']		= "Hier sehen Sie eine detaillierte Auflistung smtlicher Sprachen, die die Websitebesucher in ihren Browsern gewhlt haben. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Sprachen suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einer Sprache suchen mchten,
					   so nutzen Sie als Suchbegriff ein Sprachkrzel, z.B. \"de\" fr die deutsche Sprache.";

$lang['notice']['Countries']		= "Hier sehen Sie eine detaillierte Auflistung der Herkunftslnder smtlicher Websitebesucher inkl. der zugehrigen Landesflagge. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Lndern suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken, z.B. auf den heutigen oder gestrigen Tag. Falls Sie nach einem Land suchen mchten,
					   so nutzen Sie als Suchbegriff ein Lnderkrzel, z.B. \"de\" fr Deutschland.";

$lang['notice']['Hostnames']		= "Hier sehen Sie eine bersicht der Hostnamen, die am hufigsten auf Ihre Webseite zugreifen. Der Hostname steht in der Regel fr einen Zugangsprovider, ber die
					   ein Besucher in das Internet gelangt (per Modem, DSL, etc). Um die zu einem Hostnamen gehrende Webseite im Browser ffnen, knnen Sie in der unten stehenden 
					   Liste auf den gewnschten Eintrag klicken.";

$lang['notice']['Tracking']		= "Sie sehen hier eine Auflistung der von den Besuchern am hufigsten aufgerufenen Webseiten. Um eine dieser Seiten im Browser darzustellen, 
					   knnen Sie in der unten stehenden Liste auf den gewnschten Eintrag klicken. Die Anzeige der Daten lsst sich verfeinern, in dem Sie nach bestimmten
					   Seiten suchen oder den darzustellenden Zeitraum auf ein bestimmtes Datum beschrnken.";

$lang['notice']['Exitpages']		= "Hier sehen Sie eine Auflistung der am hufigsten registrierten Ausstiegsseiten. Unter einer Ausstiegsseite ist diejenige Seite zu verstehen, ber die ein 
					   Besucher ihre Website verlsst, also diejenige Seite, die er als letztes aufgerufen hat. Sie knnen eine Ausstiegsseite aufrufen, 
					   in dem Sie in der unten stehenden Liste auf den gewnschten Eintrag klicken.";

$lang['notice']['Entrypages']		= "Hier sehen Sie eine Auflistung der am hufigsten genutzten Einstiegsseiten. Unter einer Einstiegsseite ist diejenige Seite zu verstehen, ber die ein 
					   Besucher direkten Zugriff auf eine Website nimmt. Als Einsteigsseite kommt jede einzelne Seite einer Website in Betracht. Sie knnen eine Einstiegsseite aufrufen, 
					   in dem Sie in der unten stehenden Liste auf den gewnschten Eintrag klicken.";

$lang['notice']['Change_Account_Data']	= "Hier haben Sie die Mglichkeit, Ihre Zugangsdaten sowie das Datumsformat und die Zeitanzeige zu ndern. Falls Sie neben Ihrem Passwort auch Ihren Usernamen ndern mchten, 
					   so wenden Sie sich bitte an Ihren Administrator. Nur diesem stehen die hierfr notwendigen 
					   Zugriffsrechte zur Verfgung.";

$lang['notice']['Delete_Visitor']	= "Sie knnen hier den von Ihnen gewhlten Besucher aus der Datenbank lschen. berprfen Sie nochmals Ihre Auswahl und besttigen Sie
					   dann die Lschung. Beachten Sie, dass gelschte Besuchereintrge vollstndig aus der Datenbank gelscht werden und zu einem spteren
					   Zeitpunkt nicht mehr hergestellt werden knnen.";

$lang['notice']['Account_Overview']	= "Hier sehen Sie eine Zusammenfassung der Benutzer-Accounts, die von binary:STAT verwaltet werden. Aufgefhrt ist die Anzahl der Accounts,
				           wieviele dieser Accounts aktiv oder inaktiv sind sowie die Gesamtzahl der berwachten Websites. Einzelne Benutzeraccounts knnen Sie unter dem
				           Menpunkt \"Account-Manager\" editieren, lschen oder neu anlegen.";

$lang['notice']['Delete_Account']	= "Hier knnen Sie ein Benutzer-Account samt der zugehrigen Websites aus der Datenbank lschen. Whlen Sie das zu lschende Benutzer-Account aus, indem Sie auf die
					   einen Eintrag klicken, oder nutzen Sie das Suchfeld, um nach einem bestimmten Usernamen zu suchen. Geben Sie hierfr
					   den Namen oder einen Teil des Namens in das Suchfeld ein. Die in der unten stehenden bersicht angezeigten Eintrge knnen Sie
					   mit einem Klick auf die berschriften (ID, Username, Account erstellt, Benutzer-Typ, etc.) sortieren lassen.";

$lang['notice']['Check_Del_Account']    = "Sie haben sich dazu entschieden, ein Benutzer-Account aus der Datenbank zu lschen. Bitte beprfen Sie hier nochmals Ihre
					   Auswahl, bevor Sie die Lschung besttigen. Beachten Sie, dass die Daten des gelschten Benutzer-Accounts unwiderruflich aus der Datenbank entfernt 
					   und nicht wieder hergestellt werden knnen.";


$lang['notice']['Check_Del_Website']    = "Sie haben sich dazu entschieden, eine Website aus der Datenbank zu lschen. Bitte beprfen Sie hier nochmals Ihre
					   Auswahl, bevor Sie die Lschung besttigen. Beachten Sie, dass die Daten der gelschten Website unwiderruflich aus der Datenbank entfernt 
					   und nicht wieder hergestellt werden knnen. Von der Lschung sind neben den gesamten Besucherdaten auch smtliche Archivdaten betroffen.";
					   
$lang['notice']['Edit_Account_Go']	= "Nehmen Sie alle gewnschten nderungen vor und speichern Sie sodann die genderten Benutzerdaten ab. Wenn Sie eine Website lschen
					   oder editieren mchten, so whlen Sie die gewnschte Website aus der Liste aus, setzen Sie Ihre Bearbeitungsoption auf \"Lschen\" bzw. \"Editieren\"
					   und klicken Sie auf den Button \"Weiter\".";

$lang['notice']['Edit_Account']		= "Hier knnen Sie ein zuvor erstelltes Benutzer-Account editieren. Whlen Sie das zu editierenden Benutzer-Account aus, indem Sie auf
					   einen Eintrag klicken, oder nutzen Sie das Suchfeld, um nach einem bestimmten Usernamen zu suchen. Geben Sie hierfr
					   den Namen in das Suchfeld ein.";

$lang['notice']['Create_Account']	= "Hier knnen Sie ein neues Benutzer-Account anlegen. Geben Sie hierfr alle notwendigen Daten an. Beachten Sie, dass
					   ein Username nur ein Mal vergeben werden darf. Das System wird Ihnen mitteilen, falls Sie einen alternativen Usernamen
					   whlen mssen. Eine Website knnen Sie dem neu erstellen Konto sofort, aber auch zu einem spteren Zeitpunkt hinzufgen. 
					   Nutzen Sie hierfr den Menpunkt \"Benutzer-Account bearbeiten\" und whlen Sie dann das hier erstellte Benutzer-Account aus.";

$lang['notice']['Webmaster_Cookie']	= "Hier knnen Sie ein sog. Webmaster-Cookie auf Ihren PC setzen lassen. Damit werden Sie bei einem Besucher Ihrer
					   Website der Webmaster bzw. Administrator erkannt und von der Besuchererfassung ausgeschlossen. Das Webmaster-Cookie knnen Sie
					   auf Wunsch jederzeit wieder von Ihrem Rechner entfernen lassen, um dann wie jeder andere Besucher erfasst zu werden.";

$lang['notice']['Account_Inactive']	= "Dieses Benutzer-Account ist inaktiv und ein Zugriff auf das System kann daher nicht erfolgen. Bitte verwenden Sie
					   ein anderes Benutzer-Account oder wenden Sie sich an den Administrator, damit dieser eine Freischaltung vornehmen kann.";

$lang['notice']['Admin_Only']		= "Ein Zugriff auf die von Ihnen gewhlte Seite ist nur fr den Administrator mglich. Melden Sie sich
					   mit Ihren Administrator-Daten an, um Zugang zu dem gewnschten Bereich zu erhalten.";

$lang['notice']['No_Guest_Allowed']	= "Ein Zugriff auf die von Ihnen gewhlte Seite ist im Gastmodus nicht mglich. Melden Sie sich
					   entweder mit Ihren normalen Benutzerdaten an, oder whlen Sie den Demonstrations-Modus, falls dieser
					   zur Verfgung steht.";

$lang['notice']['Demomode_Offline']	= "Der Demonstrations-Mouds ist zur Zeit deaktiviert und ein Login in das System daher nicht mglich. Versuchen
					   Sie eine Anmeldung noch einmal zu einem spteren Zeitpunkt, oder wenden Sie sich an den Administrator.";

$lang['notice']['Guestmode_Offline']	= "Der Gast-Modus ist zur Zeit deaktiviert und ein Login in das System daher nicht mglich. Versuchen
					   Sie eine Anmeldung noch einmal zu einem spteren Zeitpunkt, oder wenden Sie sich an den Administrator.";

$lang['notice']['Login_First'] 		= "Sie knnen die von Ihnen gewhlte Seite erst aufrufen, nachdem Sie sich am System
					   angemeldet haben. Whlen Sie den Login-Button unter dieser Nachricht und geben Sie
					   auf der folgenden Seite Ihren Usernamen und Ihr Passwort an.";

$lang['notice']['Login_Error'] 		= "Die von Ihnen angegebenen Login-Daten konnten keinem Benutzer-Account zugeordnet werden. Bitte berprfen
					   Sie Ihren Usernamen sowie Ihr Passwort und melden Sie sich erneut an. Bei 
					   anhaltenden Problemen wenden Sie sich bitte an den Administrator.";

$lang['notice']['Logged_Off'] 		= "Sie wurden soeben vom System abgemeldet und Ihre Sessiondaten wurden gelscht. Falls Sie
					   wieder auf das System zugreifen mchten, so melden Sie sich bitte erneut mit Ihren Usernamen 
					   und Ihrem Passwort an.";
					   
$lang['notice']['Setup_Page1']		= "Sie knnen hier nderungen an den Counterwerten, der Reloadsperre, 
					   der Anzahl der darzustellenden Besucher in der Tagesbersicht, 
					   dem Besuchertimeout und dem Sicherheitsschlssel der Website vornehmen. 
					   Alle nderungen werden nach dem Speichern sofort wirksam. 
					   Bitte beachten Sie, dass Sie den bisher in Ihren Webseiten verwendeten 
					   Sicherheitsschlssel abndern mssen, falls Sie hier einen neuen Schlssel 
					   definieren oder den bestehenden Schlssel abndern."; 

$lang['notice']['Setup_Page2']		= "Hier knnen Sie die vorgeben, ob die IP-Adressen der Besucher aufgelst werden,
					   das Enhanced-Logging genutzt oder eine Zeitdifferenz zwischen Serverzeit und 
					   lokaler Zeit ausgleichen werden muss. Ferner knnen Sie bestimmen, welche Art von 
					   Besuchern in der Tagesbersicht angezeigt werden sollen. Beachten Sie, dass die Auflsung
					   von IP-Adressen den Server belasten kann, falls dieser die Adressen nicht schnell genug auflst."; 

$lang['notice']['Setup_Page3']		= "Sie knnen hier den Traceroute-Server angeben, der fr Traceroute Anfragen
					   genutzt werden soll. Achten Sie darauf, dass Sie die Adresse des Servers ohne ein http://
					   eingeben und eine korrekte Pfadangabe verwenden. Sollte die Abfrage von Traceroutedaten
					   keine Ergebnisse liefern, so ndern sie den von Ihnen angegeben Server."; 

$lang['notice']['Setup_Page4']		= "Hier knnen Sie angeben, ob Sie zu einer bestimmten Uhrzeit oder zu einer bestimmten
					   Zahl von Visits (z.B. alle 5000 Visits) eine Statistikemail erhalten mchte. Geben Sie an, in welcher Form
					   Sie diese Email erhalten mchten und welche Personen diese Email zugesendet werden soll.
					   Tragen Sie hierfr in der unten stehenden Liste je Zeile einen Empfnger ein. Weitere
					   wichtige Informationen zur zeitgenauen Versendung von Statistik-Emails finden Sie in der Anleitung."; 

$lang['notice']['Setup_Page5']		= "Sie knnen hier die Blacklist konfigurieren und aktivieren. Smtliche Hostnamen oder IP-Adressen,
					   die sich in der Blacklist befinden, werden bei der Aufzeichnung von Besucherdaten ignoriert. Sie knnen fr
					   Ihre Angaben auch ein * als Wildcard verwenden. Tragen Sie in die unten stehende Liste je Zeile nur
					   einen Hostnamem bzw. nur eine IP-Adresse ein. Weitere Informationen zur Konfiguration der Blacklist finden Sie in der Anleitung."; 

$lang['notice']['Setup_Page6']		= "Hier knnen Sie festlegen, von welchen Domains, die auf Ihr Downloadangebot verlinken, ein Download gestattet ist.
					   Fgen Sie in der unten stehenden Liste je Zeile eine Domain ein. Fr Ihre Angaben steht Ihnen ein * als Wildcard
					   zur Verfgung. Wenn Sie Downloads von jeder Domain aus gestatten mchten, so deaktivieren Sie die Download-berwachung.
					   Wollen Sie Downloads den ganzen Tag ber gestatten, so geben Sie als Zeitfenster 00:00 bis 00:00 an. Weitere Details
					   finden Sie in der Anleitung."; 
					   
$lang['notice']['Setup_Page7']		= "Sie haben hier die Mglichkeit, die Besuchererfassung der derzeit gewhlten Website komplett zu deaktivieren, die
					   Anzahl der CPU-Load Berechnung zu varrieren und andere Einstellungen vorzunehmen. Falls Sie Fragen zu einer bestimmten
					   Option auf dieser Seite haben sollten, finden Sie weiterfhrende Hinweise in der Anleitung."; 

$lang['notice']['Resolve_IPs']		= "Mit dieser Option knnenn Sie bisher unaufgelste IP-Adressen auflsen, d.h. zu einem lesbaren Hostnamen
					   umwandeln lassen. Bitte beachten Sie, dass dieser Vorgang bei einer Vielzahl von nocht nicht aufgelsten
					   Adressen einige Zeit in Anspruch nehmen kann. Dies ist insbesondere davon abhngig, wie schnell der Server
					   diese Umwandlung vornehmen kann."; 				

$lang['notice']['Change_Website']	= "Wenn Sie fr eine andere als die zur Zeit aktive Website Statistik-Daten einsehen mchten, so knnen Sie hier aus
					   der unten stehenden Liste die gewnschte Website auswhlen. Ihrem Benutzer-Account knnen Sie zu jedem Zeitpunkt weitere 
					   Websites hinzufgen. Whlen Sie hierfr den Menpunkt \"Websitemanager\" in der oberen Navigationsleiste. Detaillierte 
					   Informationen zur Aufnahme von neuen und der Verwaltung von bestehenden Websites finden Sie auch in der Anleitung."; 				

$lang['notice']['Database_Server']	= "Hier erhalten Sie einen ausfhrlichen berblick ber die aktuelle Datenbankbelegung sowie ber die derzeit installierte PHP und
					   mySQL-Version. Beachten Sie, dass Monate, die noch nicht archiviert worden sind, die Datenbank unntig mit Speicherplatz belegen.
					   Sie knnen diese Belegung erheblich reduzieren, in dem Sie unter dem Menpunkt \"Statistikarchiv\" in der oberen Navigationsleiste
					   eine Archivierung der vergangenen Monate durchfhren."; 				

$lang['notice']['Optimize_Database']	= "Sie haben hier die Mglichkeit, Ihre Datenbank zu optimieren und dadurch die Zugriffsgeschwindigkeit auf den Datenbestand zu 
					   verbessern. Eine regelmige Optimierung der Datenbank fhrt zu einer geringeren Datenbankbelegung und schafft ideale
					   Voraussetzungen, Besucherdaten schnell zu erfassen und auszuwerten. Je nach gre der Datenbank kann dieser Vorgang
					   einige Sekunden dauern, brechen Sie ihn daher nicht vorzeitig ab. Das Ergebnis der Optimierung wird Ihnen hier angezeigt."; 				

$lang['notice']['Export_Data']		= "Hier haben Sie die Mglichkeit, ein Backup der Archivdaten, der Accountdaten sowie der Websitedaten durchzufhren. Fr den Export stehen
					   Ihnen die Formate CSV, SQL und XLS zur Verfgung. Sollte Ihr Server die GZIP-Kompression untersttzen, so knnen Sie diese ebenfalls aktivieren.
					   Bitte beachten Sie, dass sich unter dem Menpunkt \"Daten importieren\" nur Daten im CSV oder SQL-Format importieren lassen."; 				

$lang['notice']['Export_Notice']	= "Um Daten exportieren zu knnen, muss gengend Speicherplatz auf Ihrem Server zur Verfgung stehen. Der bentigte Speicherplatz 
					   entspricht genau der Gre der zu exportierenden Datentabelle. Der belegte Speicherplatz wird nach dem durchgefhrtem Export 
					   wieder freigegeben. Sollte nicht gengend Speicherplatz zur Verfgung stehen, wird der Export-Vorgang fehlschlagen!"; 				

$lang['notice']['Complete_Backup']	= "Sie haben hier die Mglichkeit, ein Komplettbackup der Datenbank zu erstellen. Hiermit werden in einer einzigen Datei smtliche 
					   Daten gesichert, die Sie bei Bedarf jederzeit wieder zurckspielen knnen. Fr das Backup stehen Ihnen die Formate CSV, SQL und 
					   XLS zur Verfgung. Das Komplettbackup wird Ihnen in dem gewhlten Format zum Download angeboten."; 				

$lang['notice']['Backup_Notice']	= "Um ein Komplettbackup durchzufhren, muss gengend Speicherplatz auf Ihrem Server zur Verfgung stehen. Der bentigte Speicherplatz 
					   wird Ihnen oben angezeigt. Der belegte Speicherplatz wird nach durchgefhrtem Export wieder freigegeben.
					   Sollte die Datenbank einen groen Datenbestand haben, kann die Erstellung des Backups einige Zeit in Anspruch nehmen. Brechen Sie diesen
					   Vorgang nicht vorzeitig ab."; 
					   

$lang['notice']['Tracking_Create_Category'] = "Hier knnen Sie einen neue Tracking-Category fr die dynamische Seitenerfassung von binary:STAT anlegen. Bitte beachten Sie, dass Sie einen ID-String nur einmal vergeben knnen - eine mehrmalige Vergabe fhrt zu einer Fehlermeldung. Achten Sie darauf, dass
					      der ID-String keine Fehler enthlt, da ansonsten die entsprechende Webseite von binary:STAT nicht korrekt erfasst werden kann. Ausfhrliche Beispiele zur Nutzung dieser Funktion finden Sie auch im Handbuch.";

$lang['notice']['Tracking_Create_Element']  = "Hier knnen Sie einen neues Tracking-Element fr die dynamische Seitenerfassung von binary:STAT anlegen. Bitte beachten Sie, dass Sie einen ID-String nur einmal vergeben knnen - eine mehrmalige Vergabe fhrt zu einer Fehlermeldung. Achten Sie darauf, dass
					      der ID-String keine Fehler enthlt, da ansonsten die entsprechende Webseite von binary:STAT nicht korrekt erfasst werden kann. Ausfhrliche Beispiele zur Nutzung dieser Funktion finden Sie auch im Handbuch.";
				
$lang['notice']['Create_Ad']  		    = "Hier knnen Sie einen neues Werbemittel zur Erfassung durch binary:STAT anlegen. So knnen Sie Klicks auf Ihre Werbebanner, Werbewrter, Links oder andere Werbemittel statistisch erfassen. Whlen Sie fr das neue Werbemittel einen aussagekrftigen Namen, geben
					       Sie eine Beschreibung an und whlen Sie die gewnschte Kategorie. Geben Sie die Kosten fr einen Klick (Aufruf) des Werbemittels im entsprechenden Datenfeld \"Kosten pro Klick\" an (z.B. 0,55 fr 55 Cent).";

$lang['notice']['Ad_Overview']		    = "Sie erhalten hier eine bersicht der bisher angelegten Werbemittel fr die derzeit gewhlte Website. Falls Sie einen Eintrag editieren mchten, so whlen Sie diesen in
					       der unten stehenden Auflistung aus. Sie werden daraufhin in einen Editiermodus weitergeleitet, in dem Sie alle gewnschten nderungen vornehmen knnen. Sie knnen die Anzeige
					       der Werbemittel beeinflussen, in dem Sie eine Kategorie vorgeben, deren Eintrge angezeigt werden sollen.";

$lang['notice']['Edit_Ad']		    = "Hier haben Sie die Mglichkeit, ein bestehendes Werbemittel zu editieren. Vergessen Sie nicht, dem Werbemittel einen aussagekrftigen Namen sowie einen Identifikations-String zuzuweisen. Weitere Informationen ber die einzelnen Datenfelder und Beispiele zur Editierung oder Erstellung eines Werbemittels finden Sie auch in der Dokumentation.";

$lang['notice']['Ad_Category_Overview']	    = "Hier haben Sie die Mglichkeit, eine Kategorie aus dem Media-Manager zu entfernen oder zu bearbeiten. Falls Sie eine neue Kategorie anlegen mchten, knnen Sie
					       im unteren Teil dieser Seite einen entsprechenden Namen angeben und die neue Kategorie in den Media-Manager bernehmen.";

$lang['notice']['Delete_Ad_Category']	    = "Hier haben Sie die Mglichkeit, eine Kategorie aus dem Media-Manager zu lschen. Beachten Sie, dass smtliche, dieser Kategorie zugehrigen Werbemittel, automatisch
					       gelscht werden. berprfen Sie Ihre Auswahl genau, bevor Sie die Lschung besttigen. Einmal entfernte Eintrge knnen spter nicht wiederhergstellt werden.";
					       
$lang['notice']['Add_Category']	            = "Hier haben Sie die Mglichkeit, dem Media-Manager eine neue Kategorie hinzuzufgen.  Beachten Sie, dass ein Kategoriename nur einmal vergeben werden darf, um sptere Verwechslungen zu vermeiden. Sobald Sie die neue Kategorie erstellt haben, knnen Sie dieser Werbemittel zuweisen und mit der statistischen Erfassung beginnen.";

$lang['notice']['Mediadata']		    = "Hier sehen Sie einen berblick der klickstrksten Werbemittel, ber die die Besucher auf die Website gelangt sind. Sie knnen die Anzeige einschrnken, indem Sie eine bestimmte Kategorie auswhlen oder die Daten auf ein bestimmtes Datum beschrnken. Um ausfhrliche statistische Informationen ber ein Werbemittel zu erhalten, klicken Sie auf einen Eintrag in der unten stehenden Auflistung.";
			
$lang['notice']['Mediadata_Detail']	    = "Hier erhalten Sie ausfhrliche Informationen ber das von Ihnen ausgewhlte Werbemittel. Neben den Grundinformationen wie Name und Kategorie des Werbemittels, wird auch die Zahl der erfassten Klicks angezeigt. Weiter sehen Sie eine Zusammenstellung der angefallenen Kosten fr den Einsatz der Werbemittels. Im Anschluss an diese Auflistung zeigt eine Balkengraphik die erfassten Klicks fr das selektierte Werbemittel in diesem Monat.";
					   
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// installation
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['Installation']['Welcome_1']	= "<b><u>Willkommen zum Setup Assistenten fr binary:STAT</u></b><br><br>
					   Um eine erfolgreiche und einfache Installation zu gewhrleisten, nehmen Sie sich bitte die Zeit, die folgenden Punkte aufmerksam zu lesen und Schritt fr Schritt auszufhren. Um fortzufahren, mssen Sie die fr binary:STAT geltenden Lizenzbestimmungen akzeptieren. Falls Sie
					   die Bestimmungen noch einmal nachlesen mchten, so knnen Sie diesem Link folgen:<br><br>
					   <b> <a href=\"http://www.webpartner-software.de/de/lizenzbestimmungen.html\" target=\"blank\">Lizenzbestimmungen lesen</a></b><br>";
					   
$lang['Installation']['Welcome_2']	= "<br><b>Viel Erfolg mit Ihrer binary:STAT Websitestatistik wnscht Ihnen</b><br>
					   binarystat.de";
					   
					  
$lang['Installation']['Accept_License'] = "Ich habe die Lizenzbestimmungen gelesen, verstanden und akzeptiert.";				   
$lang['Installation']['Installation']	= "binary:STAT Installation";
$lang['Installation']['Information']    = " zur Installation von binary:STAT. Sie werden nun Schritt fr Schritt durch die Einrichtung der Software geleitet. Folgen Sie hierfr einfach den 
					   Anweisungen, die Sie auf dieser und den folgenden Seiten erhalten. Sollten Sie Fragen zu einzelnen Punkten haben, so knnen Sie jederzeit
					   weitere Informationen in der dieser Software beiliegenden Installationsanleitung erhalten. Alternativ finden Sie auch im Kundenforum von 
					   binary:STAT Hilfestellung.";

$lang['Installation']['Fill_Fields']	= "Bitte fllen Sie folgende Felder aus";
$lang['Installation']['Next_Step']	= "Nchster Installations-Schritt";
$lang['Installation']['Table_Creation']	= "Hier sehen Sie das Ergebnis Installation. Falls ein Problem aufgetreten sein sollte, so berprfen Sie die Fehlerausgabe in dem unten stehenden Textfeld. Eventuell ist 
					   Ihnen auf der vorherigen Seite ein Fehler bei der Angabe der Server- oder Datenbankdaten unterlaufen. Kehren Sie zurck und geben Sie die Daten erneut ein. Falls die
					   Installation erfolgreich war, lschen Sie das Verzeichnis \"\install\" von Ihrem Server, um eine Neuinstallation durch Dritte zu verhindern.";
					   
$lang['Installation']['Install_Result']	= "Ergebnis der Installation";
$lang['Partially_Successfull']		= "Teilweise erfolgreich";
$lang['Please_Accept_License']		= "Bitte akzeptieren Sie die Lizenzbestimmungen!";


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// media-tracker
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
$lang['Media_Active']	   = 'Media-Manager aktiviert';
$lang['Mediadata']     	   = 'Mediadaten';
$lang['Mediadata_For']     = 'Mediadaten fr:';
$lang['Mediadetails_For']  = 'Mediadaten-Details fr:';
$lang['Media_Details']	   = 'Mediadaten-Details';
$lang['Media_Leads']	   = 'Werbemittel-Leads';
$lang['Media_Clicks']	   = 'Werbemittel-Klicks';
$lang['Chosen_Ad']	   = 'Gewhltes Werbemittel';
$lang['Ad_Details']	   = 'Werbemittel Details';
$lang['Add_Media'] 	   = 'Werbemittel hinzufgen';
$lang['Edit_Media'] 	   = 'Werbemittel bearbeiten';
$lang['Delete_Media'] 	   = 'Werbemittel lschen';
$lang['Name_Of_Media'] 	   = 'Name des Werbemittels';
$lang['Date_Of_Creation']  = 'Datum der Erstellung';
$lang['Category_Of_Media'] = 'Kategorie des Werbemittels';
$lang['Costs_Per_Click']   = 'Kosten pro Klick';
$lang['Costs_This_Month']  = 'Kosten diesen Monat';
$lang['Last_Click']	   = 'Letzter registrierter Klick';
$lang['Total_Costs']	   = 'Kosten insgesamt';
$lang['Clicks']		   = 'Klicks';
$lang['Name']		   = 'Name';
$lang['Total_Clicks']	   = 'Klicks insgesamt';
$lang['Clicks_Today']	   = 'Klicks heute';
$lang['Clicks_This_Month'] = 'Klicks diesen Monat'; 
$lang['Leads']		   = 'Leads';
$lang['Leads_Total']	   = 'Leads insgesamt';
$lang['Search_Media']	   = 'Werbemittel suchen';
$lang['ID_String']	   = 'Identifikations-String';
$lang['Create_Ad_For']     = 'Werbemittel hinzufgen fr';
$lang['Edit_Ad_For']       = 'Werbemittel bearbeiten fr';
$lang['Create_Ad']	   = 'Werbemittel hinzufgen';
$lang['Ads_In_Category']   = 'Werbemittel in Kategorie';
$lang['Number_Of_Ads']	   = 'Anzahl der Werbemittel';
$lang['Affected_Ads']	   = 'Betroffene Werbemittel';
$lang['Notice_Create_Ad']  = '<b>Wichtig:</b> Die Kosten pro Klick (z.B. 35 Cent) geben Sie so an: <i>0,35</i>. Denken Sie auch daran, dem neuen Werbemittel einen Identifikations-String zuzuweisen. Dieser sollte alphanumerisch sein und darf keine Sonderzeichen enthalten - Beispiel fr einen ID-String: <i>ab34f</i>. Der ID-String muss spter in einem Link verwendet werden, der auf Ihre Webseite verweist. Beispiel: <i>http://www.meinedomain.com/index.php?ad_id=ab34f</i>. Weitere Details finden Sie im Benutzerhandbuch.';
$lang['Clicks_By_Day']     = 'Klicks nach Tagen';

$lang['Category_In_Use']   = "Dieser Kategorie-Name ist bereits vergeben - bitte whlen Sie einen anderen Namen!";

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// time and dates
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////

$lang['DateTime']['Sunday'] 	= "Sonntag";
$lang['DateTime']['Monday'] 	= "Montag";
$lang['DateTime']['Tuesday'] 	= "Dienstag";
$lang['DateTime']['Wednesday'] 	= "Mittwoch";
$lang['DateTime']['Thursday'] 	= "Donnerstag";
$lang['DateTime']['Friday'] 	= "Freitag";
$lang['DateTime']['Saturday'] 	= "Samstag";

$lang['DateTime']['Sun'] 	= "Son";
$lang['DateTime']['Mon'] 	= "Mon";
$lang['DateTime']['Tue'] 	= "Die";
$lang['DateTime']['Wed'] 	= "Mit";
$lang['DateTime']['Thu'] 	= "Don";
$lang['DateTime']['Fri'] 	= "Fre";
$lang['DateTime']['Sat'] 	= "Sam";

$lang['DateTime']['January'] 	= "Januar";
$lang['DateTime']['February'] 	= "Februar";
$lang['DateTime']['March'] 	= "Mrz";
$lang['DateTime']['April'] 	= "April";
$lang['DateTime']['May'] 	= "Mai";
$lang['DateTime']['June'] 	= "Juni";
$lang['DateTime']['July'] 	= "Juli";
$lang['DateTime']['August'] 	= "August";
$lang['DateTime']['September'] 	= "September";
$lang['DateTime']['October'] 	= "Oktober";
$lang['DateTime']['November'] 	= "November";
$lang['DateTime']['December'] 	= "Dezember";

$lang['DateTime']['Jan'] 	= "Jan";
$lang['DateTime']['Feb'] 	= "Feb";
$lang['DateTime']['Mar'] 	= "Mar";
$lang['DateTime']['Apr'] 	= "Apr";
$lang['DateTime']['May'] 	= "Mai";
$lang['DateTime']['Jun'] 	= "Jun";
$lang['DateTime']['Jul'] 	= "Jul";
$lang['DateTime']['Aug'] 	= "Aug";
$lang['DateTime']['Sep'] 	= "Sep";
$lang['DateTime']['Oct'] 	= "Okt";
$lang['DateTime']['Nov'] 	= "Nov";
$lang['DateTime']['Dec'] 	= "Dez";

////////////////////////////////////////////////////////////////////////////////////
// END OF LANGUAGE FILE
////////////////////////////////////////////////////////////////////////////////////
?>