<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/
sleep (1); // let the script sleep for 1 second to prevent hammering

$logincheck_path = dirname(__FILE__); $logincheck_path .= "/";
include_once ($logincheck_path."./../includes/binarystat.inc.php");   // load database class
include_once ($logincheck_path."./../includes/dbactions.inc.php");    // load database functions
include_once ($logincheck_path."./../includes/global.inc.php");       // load configuration data
include_once ($logincheck_path."./../includes/timezone.inc.php");     // load timezone function

// create new database connection
$my_db     = new binarystat_db;
$my_conn   = $my_db->connect();

// get names of mySQL-tables
$my_tables = new binarystat_tables;
$my_tables -> build_tables();

// get correct timezone-timestamp 
$my_timestamp = new binarystat_timezone;
$my_timestamp -> get_timestamp($my_tables->configtable);  

// set some variables
$user_found	  = FALSE;
$hacking_attempt  = FALSE;
 
// grab variables 
$username_entered = $_POST['myusername'];
$password_entered = $_POST['mypassword'];

// check for dangerous SQL-injection-code in username-variable -> if found: possible hacking attempt
if (eregi(';', $username_entered))
{
 $username_entered = '';
 $hacking_attempt  = TRUE;
}
// initiate session handler
@session_start(); 

// delete session data
$_SESSION['SID'] 	= 0;  
$_SESSION['usertype']	= 0;	 		      
$_SESSION['activesite'] = 0;
$_SESSION['account_id']	= 0;
 
// destroy session
@session_unset();
@session_destroy();
@session_start(); 

if (!$hacking_attempt)
{
 // try to find entered username in account-table
 @$result = mysql_query("SELECT * FROM $my_tables->accounttable
			 WHERE account_username = '$username_entered'");

 @$rows = mysql_num_rows($result);
}
else
{
 $rows = 0;
}
 
if ($rows > 0) $user_found = TRUE; // username found

if ($user_found == TRUE)
{ 
 @$myobject 		= mysql_fetch_object($result); // fetch data-object from table
 $username_saved  	= $myobject->account_username;
 $password_saved  	= $myobject->account_password;
 $account_type    	= $myobject->account_type;
 $account_active    	= $myobject->account_active;
 $account_websites  	= $myobject->websites;
 $lastviewedwebsite 	= $myobject->lastviewedwebsite;
 $account_id 		= $myobject->id;

 // check if user is the admin
 if($account_type     == 'ADMIN') 	$usertype = 'ADMIN'; 
  elseif($account_type == 'WEBMASTER')  $usertype = 'WEBMASTER';
  elseif($account_type == 'GUEST') 	$usertype = 'GUEST';
  elseif($account_type == 'DEMO')  	$usertype = 'DEMO'; 

 // check if guestmode or demo-mode is inactive
 if ($account_type == 'DEMO' && $account_active == 'FALSE') 
 {
  header ("Location: demomodeoffline.php");  // If theres no login problem, show starting page
  exit();
 }

 if ($account_type == 'GUEST' && $account_active == 'FALSE') 
 {
  header ("Location: guestmodeoffline.php");  // If theres no login problem, show starting page
  exit();
 }

 // check if user-account is active
 if($account_active == 'TRUE')
  $useractive = TRUE; else $useractive = FALSE;

 ///////////////////////////////////////////////////////////////
 // check if entered password equals saved password
 ///////////////////////////////////////////////////////////////

 if (!empty($_COOKIE['bstatusername']))
 {
  if ($password_entered == $password_saved)
   $true_password = TRUE; else $true_password = FALSE;
 }
 else
 {
  if($password_entered == $password_saved)
   $true_password = TRUE; else $true_password = FALSE;
 
 }

 // create array with websites that belong to username
 @$websitesarray = explode("\n",$account_websites);

 // check what website the user viewed last sessions and preselect that website
 if (!empty($lastviewedwebsite)) $activesitename = $lastviewedwebsite;
  else $activesitename = $websitesarray[0];

 // but if websitelist is empty, set it back to ''
 if (empty($account_websites)) $activesitename = '';

 if ($useractive == FALSE)
 {
  // #3: user-account is inactive, send him to info page
  header ('Location: accountinactive.php');  // If theres no login problem, show starting page
  exit();
 }

 if ($useractive == TRUE && $true_password == TRUE)
 { 
  // #1: start a session and save information into database
  session_unset();
  session_destroy();
  session_start();
  
  $SID = session_id();

  ////////////////////////////////////////////////////////////////
  $_SESSION['SID'] 		= $SID;  
  $_SESSION['usertype'] 	= $usertype;	 	    
  $_SESSION['activesite']  	= $activesitename;
  $_SESSION['account_id']	= $account_id;
  ////////////////////////////////////////////////////////////////
 
  // #1: clean up users' export and import directory
  @del_dir("./../setup/export", "$userid"."_"."*.*");
  @del_dir("./../setup/import", "$userid"."_"."*.*");

  // #2: save session information and date of access into database
  @$result = mysql_query("UPDATE $my_tables->accounttable SET
			  account_lastlogin ='$my_timestamp->now', sessionid = '$SID'
			  WHERE id = '$account_id'");

  // #3: check if automated login has beend activated or deactivated
  $cookie_domain   = $_SERVER['HTTP_HOST'];
  $cookie_lifetime = time()+(365*24*3600); // one year liftetime for the cookie
  $cookie_path     = "/"; // this cookie is valid for the whole site

  if (eregi("\.com\.", $cookie_domain) || eregi("\.co\.", $cookie_domain)) // domain like co.uk?
  {
   // get hostname and TLD out of refererstring
   $domain_exploded  = explode(".",$cookie_domain);
   $elemente 	     = count($domain_exploded);					  // Count the number of packets
   // we need the last three elements of the exploded string
   $elementone 	     = $domain_exploded[$elemente-3]; 	  		  	  // grab the domainname 
   $elementtwo 	     = $domain_exploded[$elemente-2];    		  	  // grab the last element (unreal TLD)
   $elementthree     = $domain_exploded[$elemente-1];    	          // grab the last element (real TLD)
   $cookie_domain    = "$elementone.$elementtwo.$elementthree";      // build the final referer by pasting TLD and hostname together 
  }
  else
  {     
   $domain_exploded = explode(".",$cookie_domain);
   $elemente 	    = count($domain_exploded);					      // Count the number of packets
   // we need the last two elements of the exploded string
   $elementone 	    = $domain_exploded[$elemente-2];    		  	  // grab the last element (unreal TLD)
   $elementtwo      = $domain_exploded[$elemente-1];    	          // grab the last element (real TLD)
   $cookie_domain   = "$elementone.$elementtwo";  // build the final referer by pasting TLD and hostname together 
  }

  //////////////////////////////////////////////////////////////////////////////////

  // only set login-cookie if its not already set
  if ($_POST['autologin'] == 'TRUE')
  {
   $cookie_name	   = "bstatusername";
   setcookie($cookie_name, $username_saved, $cookie_lifetime, "/");
   $cookie_name	   = "bstatpassword";
   setcookie($cookie_name, $password_saved, $cookie_lifetime, "/");
  }
  
  // delete login-cookie if requested
  if ($_POST['autologin'] != 'TRUE')
  { 
   $cookie_name	   = "bstatusername";
    setcookie($cookie_name, $username_saved, time() - 3600, "/");
   $cookie_name	   = "bstatpassword";
    setcookie($cookie_name, $password_saved, time() - 3600, "/");
  }

  // #4: user is logged in, continue and load startup screen
  header ("Location: ../controlcenter.php");  // If theres no login problem, show starting page
  exit();
 }
 if ($useractive == TRUE && $true_password == FALSE)
 {
  header ("Location: loginerror.php"); // If there is a login problem, show error page
  exit();
 }
}

// #4: user not found in account-table, send him to error page
else
{
 header ("Location: loginerror.php"); // If there is a login problem, show error page
 exit();
}
?>