<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	  = explode(" ",$starttime); 
 $starttime   	  = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 
 $timeparts 	  = explode(" ",microtime());
 $starttime 	  = $timeparts[1].substr($timeparts[0],1);

 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression

 $include_path = dirname(__FILE__); $include_path .= "/";
 include_once ($include_path."./../language/language.inc.php");			
 include_once ($include_path."./../includes/global.inc.php");	
 include_once ($include_path."./../includes/binarystat.inc.php"); 	
 include_once ($include_path."./../includes/dbactions.inc.php");
 include_once ($include_path."./../includes/timezone.inc.php");
 include_once ($include_path."./../includes/sessions.inc.php");
 include_once ($include_path."./../includes/visitordata.inc.php");
 include_once ($include_path."./../includes/getcountry.inc.php");
 include_once ($include_path."./../includes/configdata.inc.php");
 include_once ($include_path."./../includes/exportdata.inc.php");
 include_once ($include_path."./../includes/timeconverter.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp(); 

 // check if user is logged in or not
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $my_session->account_id);

 // maximum width for hostname-graph
 $graphmaxwidth = 400;
 
 // maximum length of data key
 $maxfieldlength = 34;

 // number of days in this month
 $numofdays = date ("d", mktime(0,0,0,$my_timestamp->month+1,0,$my_timestamp->year));

 // get limitday-values
 $limitday_low  = $_REQUEST['limitday_low'];
 $limitday_high = $_REQUEST['limitday_high'];

 // set date limiter
 if (!isset($limitday_low))  $limitday_low  = 1;
 if (!isset($limitday_high)) $limitday_high = $numofdays;
 if ($limitday_high > $numofdays) $limitday_high = $numofdays;
 if ($limitday_low < 1) $limitday_low = 1;

 // check if this page needs to be printed
 $print  = $_REQUEST['print'];

 // get $showmax-value
 $showmax = $_REQUEST['showmax'];

 // set number of entries to display
 if (!isset($showmax) || empty($showmax)) $showmax = $my_config->showentries;

 // set browserfield
 $fieldname = "operating_system";

 // get number and details of visitors online 
 $visitors_online_container = array();
 
 // set number of entries to display
 $showmax = $_REQUEST['showmax'];
 if (!isset($showmax) || $showmax == 0) $showmax = 100;

 $visitors_online_container = getvisitorsonline($my_tables->useronlinetable, $my_tables->trackingtable, $showmax);
 $visitors_online_container_count = count($visitors_online_container); 

 // set total value
 $values_total = $visitors_online_container_count;
 
 // calculate total number of entries / total number of search results
 if ($searchphrase != '' || $limitday_low > 1 || $limitday_high < $numofdays)
  $values_total = $visitors_online_container_count;

 // check if $showmax is within limits
 if ($showmax > $values_total) $showmax = $values_total;
 if ($showmax < 1) $showmax = 1;
 if (!$_POST['limit'] && $showmax < $values_total) $showmax = $values_total;

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>

<html>
<head>
<title><?php echo $lang['Visitors_Online'];?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--



///////////////////////////////////////////////////////
function printme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?print=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 window.open(target, 'printWindow', 'height=500,width=980, scrollbars');return false;
}
function exportme()
{
 target = "<?php echo $_SERVER['PHP_SELF'];?>?export=TRUE&limitday_low=<?php echo $limitday_low?>&limitday_high=<?php echo $limitday_high;?>&searchphrase=<?php echo $searchphrase;?>&showmax=<?php echo $showmax;?>"
 document.getElementById("exportframe").src = target;
}

///////////////////////////////////////////////////////

function colorizeRow(row,cname)
{ 
  obj=document.getElementById(row+'A');
  obj.className = cname;
  obj=document.getElementById(row+'B');
  obj.className = cname;
  obj=document.getElementById(row+'C');
  obj.className = cname;
  obj=document.getElementById(row+'D');
  obj.className = cname;
  obj=document.getElementById(row+'E');
  obj.className = cname;
  obj=document.getElementById(row+'F');
  obj.className = cname;
  obj=document.getElementById(row+'G');
  obj.className = cname;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function focuscursor()
{
 parent.menuframe.document.getElementById('searchphrase').focus();
}
function setfocus()
{
 setTimeout("focuscursor()",1000);
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=reports/visitorsonline.php';
}
//-->
</script>
</head>
<body onload="<?php if ($print) echo "window.print();";?> showLayer('contentlayer');reloadmenu();setfocus();">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
<?php if ($print) {?>
  <table width="100%"  border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="25%" height="12" class="large_black"><img src="../images/printoutlogo.jpg" width="156" height="74"><br></td>
            <td width="75%" class="large_black"><div align="right" class="large_blackBold"><strong><?php echo $lang['Report'];?>:<img src="../images/blankspacer.gif" width="10" height="5" border="0"> <?php echo $lang['Visitors_Online'];?></strong></div></td>
          </tr>
          <tr>
            <td height="13" colspan="2" class="large_black"><br></td>
          </tr>
      </table></td>
    </tr>
  </table>
  <?php }?>
  <?php if (!$print) {?>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?> </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <?php }?>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <?php if (!$print) echo "<br>"; if ($print) {?>
          <table width="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><table width="98%"  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="16%" height="25" class="smallBold"><span class="small"><?php echo $lang['Websitename'];?></span></td>
                    <td width="3%" height="25" class="smallBold">:</td>
                    <td width="30%" height="25"><span class="small"><?php echo $activesitename;?></span></td>
                    <td width="19%" height="25"><span class="smallBold"><span class="small"><?php echo $lang['Searchphrase'];?></span></span></td>
                    <td width="3%" class="smallBold">:</td>
                    <td width="29%"><span class="small">
                      <?php
 $temp_phrase = str_replace(" "," + ",$searchphrase);
 if ($temp_phrase == '') echo $lang['No_Searchquery']; else echo $temp_phrase;?>
                    </span></td>
                  </tr>
                  <tr>
                    <td height="25" class="smallBold"><span class="small"><?php echo $lang['Chosen_Timeframe'];?></span></td>
                    <td height="25" class="smallBold">:</td>
                    <td height="25"><span class="small"><?php echo $limitday_low.".  - ".$limitday_high.".";?> <?php echo $lang['DateTime'][$my_timestamp->monthlong]." "; echo $my_timestamp->year;?></span></td>
                    <td height="25"><span class="smallBold"><span class="small"><?php echo $lang['Report_Date_Of_Creation'];?></span></span></td>
                    <td class="smallBold">:</td>
                    <td height="25"><span class="small">
                    <?php 
 // output day, month, year
 $date_string = convert_date($my_timestamp->day, $my_timestamp->month, "", $my_config->datestyle); echo $date_string." ".$my_timestamp->year;

 // output time 
 $display_hour= gethour($my_timestamp->hour, $my_config->timedisplay);
 echo " - ".$display_hour['hour'].":".$my_timestamp->minute." ";
 if ($my_config->timedisplay == '12') echo $my_timestamp->am_pm;
  else echo $lang['O_Clock'];
?>
                    </span></td>
                  </tr>
              </table></td>
            </tr>
          </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br>
          <?php }?>
          <?php if (!$print) {?>          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/onlinebox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Visitors_Online'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>          <?php }?>
          <br>
          <TABLE cellSpacing=0 cellPadding=1 width=100% border=0>
            <TR>
              <TD valign="top" bgColor="#818181"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td><table width=100% border=0 cellpadding="0" cellspacing="0">
                      <tr>
                        <td colspan="13" class="tablehead"></td>
                      <tr class="tablehead">
                        <td width="5%" height="16" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"><img src="../images/blankspacer.gif" width="10" height="5" border="0">#</td>
                        <td width="1%" class="tablehead">&nbsp;</td>
                        <td width="25%" class="tablehead"><?php echo $lang['Hostname'];?></td>
                        <td width="15%" class="tablehead"><?php echo $lang['Country'];?></td>
                        <td width="14%" class="tablehead"><?php echo $lang['Time'];?></td>
                        <td width="7%" class="tablehead"><?php echo $lang['PIs'];?></td>
                        <td width="33%" class="tablehead"><?php echo $lang['Current_Page'];?></td>
                      </tr>
                      <tr>
                        <td colspan="13" class="small"></td>
                    </table>
                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr valign="middle" bgcolor="#EBEBEB">
                            <td><span class="small"><img src="../images/blankspacer.gif" width="5" height="2" border="0"></span></td>
                          </tr>
                          <tr valign="middle" bgcolor="#EBEBEB">
                            <td><span class="small"><strong>
                              <?php
 // check if there are any visitors online. If not, show message
 if(count($visitors_online_container) == 0) 
 {
  echo "<br>";
  echo "<image src='../images/blankspacer.gif' width='25' height='5'>"; echo $lang['No_Visitors_On_Site'];
  echo "<br><br>";
 }

 $step 			= 1; 
 $countervalue 	= 0;
 $x 			= 1;
 $totalvalue	= 0;
 // loop through data container and display data
 for ($i=0; $i<count($visitors_online_container); $i++)
 {
  $visitor_id = $visitors_online_container[$i]['visitor_id'];
  $visitor_ip = $visitors_online_container[$i]['visitor_ip'];
  // get some information about the current user
  if ($visitor_id != ''){
   $cookieset = "TRUE";
   $max_id = mysql_result(mysql_query("SELECT MAX(id) FROM $my_tables->maintable WHERE visitor_id = '$visitor_id' AND websitename = '$activesitename'"),0,0);}
  else{ 
   $cookieset = "FALSE";
   $max_id = mysql_result(mysql_query("SELECT MAX(id) FROM $my_tables->maintable WHERE visitor_ip = '$visitor_ip' AND websitename = '$activesitename'"),0,0);}

   $result = mysql_query("SELECT * FROM $my_tables->maintable WHERE id ='$max_id' AND websitename = '$activesitename'");
  
 $myobject = mysql_fetch_object($result); 
 if ($countervalue > $showmax) break;
 if ($step == 1) $bcolor = "#EEEEEE"; // Switch background color of output line
 else if ($step == 2) {$bcolor = "#DFDFDF";} // Switch background color of output line
 {
?>
</strong></span>
                              <table class="" width="100%" height="16" border="0" cellpadding="0" cellspacing="0" id="listing">
                                <tr>
                                  <td class="" id="<?php echo $x+1;?>A" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" height="12" valign="middle" bgcolor='<?php echo $bcolor ?>' width="3%"><div align="right"><?php echo $x."."; $x++;?></div></td>
                                  <td class="" id="<?php echo $x;?>B" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="3%"><img src="../images/blankspacer.gif" width="20" height="5" border="0">                                      </td>
                                  <td class="" id="<?php echo $x;?>C" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="25%">
                                    <?php
 if ($cookieset == "TRUE") $query = "SELECT visitor_hostname FROM $my_tables->maintable WHERE visitor_id = '$visitor_id' AND websitename = '$activesitenamen'";
  else $query = "SELECT visitor_hostname FROM $my_tables->maintable WHERE visitor_ip = '$visitor_ip' AND websitename = '$activesitename'";

 @$hostname = mysql_result(mysql_query($query),0,0); 
 if ($hostname == '') $hostname = $visitor_ip;

 if ($hostname == $visitor_ip)
 { echo $lang['Unknown'];}
 else 
 { 
  if (strlen($hostname) > $maxfieldlength )
  {
   $temphostname = substr($hostname,0,$maxfieldlength-3);
   $hostname = $temphostname."...";
  }
  echo $hostname;
 }

?></td>
                                  <td class="" id="<?php echo $x;?>D" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" width="15%" height="12" valign="middle" bgcolor="<?php echo $bcolor ?>"><?php $country = getcountry($myobject->visitor_country); if ($country == '') echo $lang['Unknown']; else echo $country;?></td>
                                  <td id="<?php echo $x;?>E" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" height="12" valign="middle" bgcolor=<?php echo $bcolor ?> width="14%">
                                    <?php
 $second  	= strftime( "%S", $visitors_online_container[$i]['last_pagecall']);  // get second
 $minute 	= strftime( "%M", $visitors_online_container[$i]['last_pagecall']);  // get minute
 $hour	 	= strftime( "%H", $visitors_online_container[$i]['last_pagecall']);  // get hour
 $day  		= strftime( "%d", $visitors_online_container[$i]['last_pagecall']);  // get day
 $month  	= strftime( "%m", $visitors_online_container[$i]['last_pagecall']);  // get month
 $year 		= strftime( "%Y", $visitors_online_container[$i]['last_pagecall']);  // get year

 $date_string = convert_date_short($day, $month, 'NONE', $my_config->datestyle);
 echo $date_string." - ";

 $display_hour= gethour($hour, $my_config->timedisplay);
 echo $display_hour['hour'].":".$minute." ";
 echo $display_hour['am_pm']; if ($display_hour['am_pm'] == '') echo $lang['O_Clock']; ?>
                                  </td>
                                  <td id="<?php echo $x;?>F" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" valign="middle" bgcolor=<?php echo $bcolor ?> width="7%">
                                    <?php
 $fromdate = $my_timestamp->year."-".$my_timestamp->month."-".$my_timestamp->day." 00:00:00";
 $todate   = $my_timestamp->year."-".$my_timestamp->month."-".$my_timestamp->day." 23:59:59";
 if ($cookieset == 'FALSE')
  $query = "SELECT count(*) FROM $my_tables->trackingtable WHERE visitor_ip = '$visitor_ip'	AND visitor_timestamp BETWEEN '$fromdate' AND '$todate'";
 else
  $query = "SELECT count(*) FROM $my_tables->trackingtable WHERE visitor_id = '$visitor_id' AND visitor_timestamp BETWEEN '$fromdate' AND '$todate'";

 $totalnumber = mysql_result(mysql_query($query),0,0);
 echo $totalnumber;

?></td>
                                  <td id="<?php echo $x;?>G" onMouseover="colorizeRow('<?php echo $x;?>','overcell');" onMouseOut="colorizeRow('<?php echo $x;?>','');" valign="middle" bgcolor=<?php echo $bcolor ?> width="33%"><?php
 $currentpage = $visitors_online_container[$i]['visitor_webpage']; 
 if ($currentpage == '') $currentpage = $visitors_online_container[$i]['currentpage_realname']; 
 if (strlen($currentpage) > $maxfieldlength+5 )
 {
  $temppagename = substr($currentpage,0,$maxfieldlength-3);
  $currentpage = $temppagename."...";
 }

 echo $currentpage;

?></td>
                                </tr>
                              </table>
                            <?php }
  if ($step == 1) $step = 2;
   else if ($step == 2) {$step = 1;}
  $countervalue++;
  $totalvalue += $value;
 unset($myobject);

 }
 ?></td>
                          </tr>
                      </table></td>
                  </tr>
              </table></TD>
            </TR>
          </TABLE>
          <div align="right"><br>
            <img src="../images/blackdot.gif" width="100%" height="1"><span class="small"><?php echo $lang['Visitors_Online'];?>: <?php echo $values_total;?><br>
            </span><span class="small">
            </span><br>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
                <td>
<!-- Hidden frame START -->
<IFRAME src="" id="exportframe" frameborder="0" name="exportframe" width="0" height="0" style="visiblity:hidden;">IFRAME</IFRAME>
<!-- Hidden frame END --></td>              
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>











