<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/
 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	 = explode(" ",$starttime); 
 $starttime   	 = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 

 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
 $timeparts = explode(" ",microtime());
 $starttime = $timeparts[1].substr($timeparts[0],1); 

 $include_path = dirname(__FILE__); $include_path .= "/";
 include_once ($include_path."./../language/language.inc.php");
 include_once ($include_path."./../includes/global.inc.php");			 
 include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
 include_once ($include_path."./../includes/dbactions.inc.php");
 include_once ($include_path."./../includes/timezone.inc.php");
 include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->usertype  == 'WEBMASTER') { header("Location: ../login/loginfirstmessage.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // try to increase allowed size for file upload (megabyte)
 @ini_set("upload_max_filesize","100M");
 @ini_set("post_max_size","100M");

 // try to increase allowed execution time (seconds)
 @ini_set ("max_execution_time", "30000"); 

 // maximum size of file allowed for upload - this is set in the php.ini
 $maxsize  = ini_get("post_max_size"); 
 $maxsize  = substr($maxsize,0, strlen($maxsize)-1);
 $maxsize .= " ".$lang['Megabyte'];

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Database Import</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function TestFileType( fileName, fileTypes ) {
if (!fileName) return;

dots = fileName.split(".")
fileType = "." + dots[dots.length-1];

return (fileTypes.join(".").indexOf(fileType) != -1) ?
ok=true : 
alert("<?php echo $lang['CSV_Error'];?>");
}
function ValidateForm()
{
 var fileField = document.importform.targetfile;
	
 if ((fileField.value==null)||(fileField.value=="")){
	    alert("<?php echo $lang['Please_Choose_File'];?>")
        fileField.focus()
		return false
  }
 return true
 }
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/databaseimport.php';
}
//-->
</script>
</head>
<body class="section-2" onload="showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Database_Backup_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form action="databaseimportgo.php" name="importform" target="_self" method="post" id="importform" onSubmit="return ValidateForm();" enctype="multipart/form-data">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./databasebackup.php" target="_self"><?php echo $lang['Tab']['Export_Data']; ?></a></li>
  <li id="nav-2"><a href="./databaseimport.php" target="_self"><?php echo $lang['Tab']['Import_Data']; ?></a></li>
 </ul>
<div id="contents"><br>
  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Import_Data'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>
          <table width="96%" border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td width="2%" height="25"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"></td>
              <td width="23%"><span class="smallBold"><?php echo $lang['Import_Of_File'];?></span></td>
              <td width="4%"><span class="smallBold">:</span> </td>
              <td width="71%"><font color="#FFCC66" size="1" face="Verdana, Arial, Helvetica, sans-serif">
                <input name="targetfile" type="file" id="targetfile" style="length: 250px; height: 18px; font-family: Arial,Helvetica; font-size: 8pt;" onChange="javascript: TestFileType(this.form.targetfile.value, ['.csv','.sql']);" size="38">
<?php
if ($my_session->usertype != 'ADMIN')
 echo "<input type='hidden' name='MAX_FILE_SIZE' value='1'>";
?>
              </font></td>
              </tr>
            <tr>
              <td width="2%" height="25"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"></td>
              <td width="23%"><span class="smallBold"><?php echo $lang['Maximum_Filesize'];?></span></td>
              <td width="4%"><span class="smallBold">:</span> </td>
              <td><?php echo $maxsize;?> (<?php echo $lang['Value_Set_By_PHP'];?>)</td>
              </tr>
            <tr>
              <td height="25" colspan="5"><img src="../images/blackdot.gif" width="100%" height="1"></td>
              </tr>
          </table>
          <div align="center"></div>
          <table width="96%" border="0" align="center" cellpadding="3" cellspacing="0">
            <tr>
              <td width="10%" valign="top" class="smallBold"><span class="smallBold"><?php echo $lang['Notice'];?></span>:</td>
              <td width="90%" valign="top">
                <div align="justify"><?php echo $lang['notice']['Import_Notice'];?></div></td>
            </tr>
          </table>
          <br></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF">                            <div align="right">
                            <input name="action" type="hidden" id="action" value="IMPORT">
<input type="image" src="../images/importdata.gif" alt="<?php echo $lang['Import_Data'];?>" width="142" height="13" border="0">
                               </div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
  <!-- Hidden frame END -->

  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>