<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	 = explode(" ",$starttime); 
 $starttime   	 = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 

 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
 $timeparts = explode(" ",microtime());
 $starttime = $timeparts[1].substr($timeparts[0],1); 

 $include_path = dirname(__FILE__); $include_path .= "/";
 include_once ($include_path."./../includes/global.inc.php");			 
 include_once ($include_path."./../includes/binarystat.inc.php"); 		 	 	 

 include_once ($include_path."./../includes/timezone.inc.php");
 include_once ($include_path."./../includes/sessions.inc.php");
 include_once ($include_path."./../language/language.inc.php");

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->usertype  == 'WEBMASTER') { header("Location: ../login/loginfirstmessage.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get account-id, websitename and username
 $accountid  = $_REQUEST['accountid'];

 // get all websites belonging to user
 @$result 			= mysql_query("SELECT *,UNIX_TIMESTAMP(account_created) AS account_created,UNIX_TIMESTAMP(account_lastlogin) AS account_lastlogin FROM $my_tables->accounttable WHERE id = '$accountid'");
 $my_object 		= mysql_fetch_object($result);
 $account_username  = $my_object->account_username;
 $account_websites 	= trim($my_object->websites);
 $websitelist		= explode("\n",$account_websites);

 // get information about account-creation and last login
 $entry_timestamp 	= $my_object->account_created;
 $entry_hour 		= strftime( "%H", $entry_timestamp);
 $entry_minute 		= strftime( "%M", $entry_timestamp);
 $entry_second 		= strftime( "%S", $entry_timestamp);
 $entry_day	 		= strftime( "%d", $entry_timestamp);
 $entry_month 		= strftime( "%m", $entry_timestamp);
 $entry_year 		= strftime( "%Y", $entry_timestamp);

 $account_lastlogin	= $my_object->account_lastlogin;
 $lastlogin_hour 	= strftime( "%H", $account_lastlogin);
 $lastlogin_minute 	= strftime( "%M", $account_lastlogin);
 $lastlogin_second 	= strftime( "%S", $account_lastlogin);
 $lastlogin_day	 	= strftime( "%d", $account_lastlogin);
 $lastlogin_month 	= strftime( "%m", $account_lastlogin);
 $lastlogin_year 	= strftime( "%Y", $account_lastlogin);
 
// admin finaly wants to delete the selected account
 if ($_POST['action'] == 'DELETEACCOUNT' && $my_session->usertype == 'ADMIN')
 { 
  // get account-id
  $accountid = $_POST['accountid'];
   
  // remove useraccount
  @$temp_sites = mysql_result(mysql_query("DELETE FROM $my_tables->accounttable WHERE id = '$accountid'"),0,0);
  $websitelist = explode("\n",$temp_sites); 
  foreach ($websitelist AS $currentsite) {
   if ($currentsite != $websitename) $newsites .= $currentsite."\n"; 
  }

  // optimize all database-tables
  foreach($my_tables AS $currenttable) {
   $result = mysql_query("OPTIMIZE TABLE $currenttable WHERE websitename = '$websitename'");
  }
  // return from this routine
  header("location: deleteaccount.php"); exit();
 }

 // get data for account
 @$result = mysql_query("SELECT * FROM $my_tables->accounttable WHERE id = '$accountid'");
 $my_object 		= mysql_fetch_object($result);
 $account_type 		= $my_object->account_type;
 $account_username 	= $my_object->account_username;
 $account_password 	= $my_object->account_password;
 $account_active 	= $my_object->account_active;
 $account_lastlogin = $my_object->account_lastlogin;
 $account_type 		= $my_object->account_type;
 $account_websites 	= trim($my_object->websites);
 $websitelist = explode("\n",$account_websites);

 // number of websites that will be deleted
 $affected_websites = count($websitelist);

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Delete Account</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/deleteaccountgo.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();<?php $message = $lang['Newsite_In_Use'];if ($in_use) echo "alert('$message');";?> ;MM_preloadImages('../images/prevpage_down.gif')">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="#"><?php echo $lang['Tab']['Delete_Account']; ?></a></li>
 </ul>
<div id="contents">  <br>
  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Check_Del_Account'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <form name="deleteaccountform" method="post" action="deleteaccountgo.php">
    <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
      <TBODY>
        <TR>
          <TD bgcolor="#FFFFFF" class="finelinebox"><br>
              <table width="74%"  border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="22%" height="25" class="smallBold"><span class="smallBlack"><?php echo $lang['Account_Username'];?></span></td>
                  <td width="5%" height="25" class="smallBold">:</td>
                  <td width="24%" height="25"><?php echo $account_username;?></td>
                  <td width="20%"><span class="smallBold"><span class="smallBlack"><?php echo $lang['Account_Created'];?></span></span></td>
                  <td width="5%" class="smallBold">:</td>
                  <td width="24%"><a href="deleteaccountgo.php?accountid=<?php echo $accountid;?>" title="<?php echo $lang['Click_To_Edit'];?>"><?php echo "$entry_day.$entry_month.$entry_year";?></a></td>
                </tr>
                <tr>
                  <td height="25" class="smallBold"><span class="smallBlack"><?php echo $lang['Account_ID'];?></span></td>
                  <td height="25" class="smallBold">:</td>
                  <td height="25"><?php echo $accountid?></td>
                  <td height="25"><span class="smallBold"><?php echo $lang['Last_Login'];?></span></td>
                  <td class="smallBold">:</td>
                  <td height="25"><a href="deleteaccountgo.php?accountid=<?php echo $accountid;?>" title="<?php echo $lang['Click_To_Edit'];?>">
                    <?php
 echo "$lastlogin_day.$lastlogin_month.$lastlogin_year  - $lastlogin_hour:$lastlogin_minute ".$lang['O_Clock'];
?>
                  </a></td>
                </tr>
              </table>
              <br></TD>
        </TR>
      </TBODY>
    </TABLE>
    <br>
    <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
      <TBODY>
        <TR>
          <TD class="dottedbox">
            <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
              <TR>
                <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                          <tr valign="middle">
                            <td width="38%" height="22" bgcolor="#FFFFFF"><div align="right"> 
            <SCRIPT TYPE="text/javascript">
<!--
var delaccount = new submitForm("../images/delaccount.gif","../images/delaccount_down.gif","delaccount");
delaccount.alt ="<?php echo $lang['Delete_Account'];?>";
delaccount.write();
//-->
    </SCRIPT>
            <img src="../images/blankspacer.gif" width="10" height="5" border="0">                             
 <input name="accountid" type="hidden" id="accountid" value="<?php echo $accountid;?>">
                              <input name="action" type="hidden" id="action" value="DELETEACCOUNT">
                              <a href="deleteaccount.php" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('goback','','../images/prevpage_down.gif',1)"><img src="../images/prevpage.gif" alt="<?php echo $lang['To_Previous_Page'];?>" name="goback" width="142" height="13" border="0" align="absmiddle"></a> </div></td>
                          </tr>
                      </table></td>
                    </tr>
                </table></TD>
              </TR>
          </TABLE></TD>
        </TR>
      </TBODY>
    </TABLE>
    </form>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>