<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 	 	 
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/timeconverter.inc.php");
include_once ($include_path."./../includes/dbactions.inc.php"); 		

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}
 
 // create timestamps/timeranges
 $targetstamp 	= $my_timestamp->year."-".$my_timestamp->month."-".$my_timestamp->day;
 $limit_low	= $my_timestamp->year."-".$my_timestamp->month."-".$my_timestamp->day." 00:00:00";
 $limit_high	= $my_timestamp->year."-".$my_timestamp->month."-".$my_timestamp->day." 23:59:59";

 @$entries = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->maintable WHERE websitename = '$activesitename'
								       AND visitor_date = '$targetstamp'"),0,0);

 //check if user wants to delete visitor-data for current day
 if ($_POST['action'] == 'DELETE' && $my_session->usertype != 'GUEST' && $my_session->usertype != 'DEMO')
 {
  // deactivate logging
  $result = mysql_query("UPDATE $my_tables->websitestable SET logging_activated = 'FALSE' WHERE websitename = '$activesitename'");

  // get number of visitors for today
  $visitors_total  = get_visitors_forday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'ALL');
  $visitors_unique = get_visitors_forday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->maintable,'UNIQUE');

  // get number of impressions
  $impressions = page_impressions_day($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->transfertable);

  // get number of downloads
  $downloads = downloadstoday($my_timestamp->day,$my_timestamp->month,$my_timestamp->year,$my_tables->downloadtable);
  
  //////////////////////////////////////////////////////////////////////////
  // START DELETION
  //////////////////////////////////////////////////////////////////////////

  // #1: delete visitors from maintable
  @$result = mysql_query("DELETE FROM $my_tables->maintable WHERE websitename = '$activesitename'
						  AND visitor_date = '$targetstamp'");

  // #2: delete visitors from trackingtable
  @$result = mysql_query("DELETE FROM $my_tables->trackingtable WHERE websitename = '$activesitename'
						  AND visitor_timestamp BETWEEN '$limit_low' AND '$limit_high'");  

  // #3: delete downloads from downloadtable
  @$result = mysql_query("DELETE FROM $my_tables->downloadtable WHERE websitename = '$activesitename'
						  AND download_timestamp BETWEEN '$limit_low' AND '$limit_high'");  

  // #4: delete from plugin-, engines-table
  @$result = mysql_query("DELETE FROM $my_tables->enginetable WHERE websitename = '$activesitename'
						  AND engine_date = '$targetstamp'");  
  @$result = mysql_query("DELETE FROM $my_tables->plugintable WHERE websitename = '$activesitename'
						  AND visitor_date = '$targetstamp'"); 

  // #5: delete from referer-, speed-table
  @$result = mysql_query("DELETE FROM $my_tables->referertable WHERE websitename = '$activesitename'
						  AND visitor_date = '$targetstamp'");  
  @$result = mysql_query("DELETE FROM $my_tables->speedtable WHERE websitename = '$activesitename'
						  AND visitor_date = '$targetstamp'");  

  // #6: delete from revisit-table
  @$result = mysql_query("DELETE FROM $my_tables->revisttable WHERE websitename = '$activesitename'
						  AND visitor_timestamp BETWEEN '$limit_low' AND '$limit_high'");  

  // #7: update visits
  @$result = mysql_query("UPDATE $my_tables->countertable SET totalvisits = totalvisits-$visitors_total,
						 uniquevisits = uniquevisits-$visitors_unique
 						 WHERE websitename = '$activesitename'");
  @$result = mysql_query("UPDATE $my_tables->visitortable SET totalvisits = totalvisits-$visitors_total,
						 uniquevisits = uniquevisits-$visitors_unique  
     			 		 WHERE MONTH(transfer_timestamp) = '$my_timestamp->month'
     			 		 AND YEAR(transfer_timestamp)    = '$my_timestamp->year'
  			 		     AND websitename = '$activesitename'");

  // #8: update impressions and datatransfer
  @$result = mysql_query("UPDATE $my_tables->countertable SET impressions = impressions-$impressions  WHERE websitename = '$activesitename'");
  @$result = mysql_query("UPDATE $my_tables->transfertable SET numofpages = 0,
						 datatransfered = 0
       			 		 WHERE transfer_timestamp = '$targetstamp'
  			 		     AND websitename = '$activesitename'");
  			 
  // #9: update downloads
  @$result = mysql_query("UPDATE $my_tables->countertable SET downloads = downloads-$downloads WHERE websitename = '$activesitename'");

  //////////////////////////////////////////////////////////////////////////
  // END OF DELETION
  //////////////////////////////////////////////////////////////////////////

  // activate logging
  @$result = mysql_query("UPDATE $my_tables->websitestable SET logging_activated = 'TRUE' WHERE websitename = '$activesitename'");
  foreach($my_tables AS $current_table) { @$result = mysql_query("OPTIMIZE TABLE $current_table");}
 }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Delete Day</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/deleteday.php';
}
//-->
</script>
</head>
<body class="section-1" onLoad="showLayer('contentlayer');reloadmenu();MM_preloadImages('../images/prevpage_down.gif')">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><?php
if ($_POST['action'] != 'DELETE')
{
?><br>
          <form action="deleteday.php" method="post" name="deleteform" id="deleteform">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./deleteday.php" target="_self"><?php echo $lang['Tab']['Delete_Day']; ?></a></li>
 </ul>
<div id="contents">  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Delete_Day'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>
            <table width="54%" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td height="20" valign="middle"><span class="smallBold"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> </span></td>
                <td height="20"><span class="smallBold"><? echo $lang['Chosen_Website'];?></span></td>
                <td height="20" class="smallBold">:</td>
                <td height="20" class="smallBlack"><?php echo $activesitename;?></td>
              </tr>
              <tr>
                <td width="4%" height="20" valign="middle"><span class="smallBold"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle">  </span></td>
                <td width="39%" height="20"><span class="smallBold"><? echo $lang['Affected_Day'];?></span></td>
                <td width="6%" height="20" class="smallBold">:</td>
                <td width="51%" height="20" class="smallBlack"><?php echo convert_date($my_timestamp->day, $my_timestamp->month, $my_timestamp->year, $my_config->datestyle);?></td>
                </tr>
              <tr>
                <td height="20" valign="middle"><span class="smallBold"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> </span></td>
                <td height="20"><span class="smallBold"><? echo $lang['Affected_Entries'];?></span></td>
                <td height="20" class="smallBold">:</td>
                <td height="20" class="smallBlack"><?php echo $entries;?></td>
                </tr>
            </table>
            <br>
        </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>  
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF">                            <div align="right"><SCRIPT TYPE="text/javascript">
<!--
var deldata = new submitForm("../images/deldata.gif","../images/deldata_down.gif","deldata");
deldata.alt ="<?php echo $lang['Delete_This_Data'];?>";
deldata.write();
//-->
    </SCRIPT>
            <img src="../images/blankspacer.gif" width="10" height="5">
            <input name="action" type="hidden" id="action" value="DELETE">
            <a href="databasedelete.php" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('goback','','../images/prevpage_down.gif',1)"><img src="../images/prevpage.gif" alt="<?php echo $lang['To_Previous_Page'];?>" name="goback" width="142" height="13" border="0" align="absmiddle"></a>
                          </div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right">
            <br>
            <img src="../images/blackdot.gif" width="100%" height="1">
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="60%">                    <div align="left"><span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="databasebackup.php"><?php echo $lang['Database_Backup'];?></a>, <a href="databasedelete.php"><?php echo $lang['Tab']['Delete_Data'];?></a></span></div></td>
                <td width="40%"><div align="right"></div></td>
              </tr>
            </table>
            <div align="left"><span class="small">
            <?php }?>
            <?php
if ($_POST['action'] == 'DELETE')
{
?>
            <br>
            </span>
              <form action="databasedelete.php" method="post" name="deleteform" id="deleteform">
                <br>
                <br>
                <ul id="menu">
                  <li id="nav-1"><a href="./deleteday..php" target="_self"><?php echo $lang['Tab']['Delete_Day']; ?></a></li>
                </ul>
                <div id="contents"><br>
                  <br>
                    <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
                      <TBODY>
                        <TR>
                          <TD bgcolor="#FFFFFF" class="finelinebox"><br>
                              <table width="71%" border="0" align="center" cellpadding="0" cellspacing="0">
                                <tr>
                                  <td height="20" valign="middle" class="smallBold"><div align="center"><?php echo $lang['Deletion_Complete'];?></div></td>
                                </tr>
                              </table>
                              <br>
                          </TD>
                        </TR>
                      </TBODY>
                    </TABLE>
                    <br>
                    <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
                      <TBODY>
                        <TR>
                          <TD class="dottedbox">
                            <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
                              <TR>
                                <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                                    <tr>
                                      <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                                          <tr valign="middle">
                                            <td width="38%" height="22" bgcolor="#FFFFFF">                                              <div align="right">                                              <a href="databasedelete.php" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('goback1','','../images/prevpage_down.gif',1)"><img src="../images/prevpage.gif" alt="<?php echo $lang['To_Previous_Page'];?>" name="goback1" width="142" height="13" border="0" align="absmiddle" id="goback1"></a> </div></td>
                                          </tr>
                                      </table></td>
                                    </tr>
                                </table></TD>
                              </TR>
                          </TABLE></TD>
                        </TR>
                      </TBODY>
                    </TABLE>
                    <br>
                    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr> </tr>
                    </table>
                </div>
              </form>
              <div align="right"> <br>
                  <img src="../images/blackdot.gif" width="100%" height="1">
                  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="60%">
                        <div align="left"><span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="databasebackup.php"><?php echo $lang['Database_Backup'];?></a>, <a href="databasedelete.php"><?php echo $lang['Tab']['Delete_Data'];?></a></span></div></td>
                      <td width="40%"><div align="right"></div></td>
                    </tr>
                  </table>
              </div>
              <span class="small">              
              <?php }?>
              <br>
              </span>
            </div>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>