<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/gethostname.inc.php"); 	

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->usertype  == 'WEBMASTER') { header("Location: ../login/loginfirstmessage.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get website-id
 $websiteid = $_REQUEST['websiteid'];

 // get websitename
 @$websitename = mysql_result(mysql_query("SELECT websitename FROM $my_tables->websitestable WHERE id = '$websiteid'"),0,0);

 // get number of database-entries for website
 @$database_entries = mysql_result(mysql_query("SELECT COUNT(*) FROM $my_tables->maintable WHERE websitename = '$websitename'"),0,0);

 ////////////////////////////////////////////////////////////////////////////////////////
 // DELETE WEBSITE FROM DATABASE
 ////////////////////////////////////////////////////////////////////////////////////////

 // admin finaly wants to delete the selected website
 if ($_POST['action'] == 'DELETESITE' && $my_session->usertype == 'ADMIN')
 { 
  // STEP #1: delete website from all database-tables
  foreach($my_tables AS $current_table)
  {
   $result = mysql_query("DELETE FROM $current_table WHERE websitename = '$websitename'");
  }


  // STEP #2: remove website from user-accounts
  // run through all user-accounts and check if deleted websites is listed -> if so, delete it
  $result = mysql_query("SELECT websites, id FROM $my_tables->accounttable");
  while($my_object = mysql_fetch_object($result))
  {
   $websites   = $my_object->websites;
   $current_id = $my_object->id; 
   $websitelist = explode("\n", $websites); 
   // check if deleted website is listed in website-list of the current account
   foreach ($websitelist AS $currentsite)
   {
    if ($currentsite != $websitename) $newsites .= $currentsite."\n"; 
   }
   // update website-list for user-account
   @$update_result = mysql_query("UPDATE $my_tables->accounttable SET websites = '$newsites' WHERE id = '$current_id'");
   unset($newsites);
   unset($websitelist);
  }

  // STEP#3: optimize all database-tables
  foreach($my_tables AS $current_table)
  {
   $result = mysql_query("OPTIMIZE TABLE $current_table");
  }
 
  // return from this routine
  header("location: deletewebsite.php");
  exit();
 }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Delete Website</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/deletewebsitego.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();MM_preloadImages('../images/prevpage_down.gif')">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="#"><?php echo $lang['Tab']['Delete_Website']; ?></a></li>
 </ul>
<div id="contents">  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Check_Del_Website'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>
          <table width="47%"  border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td width="27%" height="25" class="smallBold"><span class="smallBold"><span class="smallBlack"> <strong>&raquo; </strong> <?php echo $lang['Websitename'];?></span></span></td>
              <td width="7%" height="25" class="smallBold">:</td>
              <td width="66%" height="25"><?php echo $websitename;?></td>
            </tr>
            <tr>
              <td height="25" class="smallBold"><span class="smallBlack"> <strong>&raquo; </strong> <?php echo $lang['Database_Entries'];?></span></td>
              <td height="25" class="smallBold">:</td>
              <td height="25"><?php echo $database_entries;?></td>
            </tr>
          </table>
          <br></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="dottedbox">            <form action="deletewebsitego.php" method="post" name="addwebsite" id="addwebsite">
              <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0>
                <TR>
                  <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr valign="middle">
                              <td width="31%" height="22"><span class="smallBlack">                                <img src="../images/blankspacer.gif" width="10" height="8">
                                <input name="action" type="hidden" id="action" value="DELETESITE"> 
                                <input name="websitename" type="hidden" id="websitename" value="<?php echo $websitename;?>"> 
                                <input name="websiteid" type="hidden" id="websiteid" value="<?php echo $websiteid;?>">
                                <span class="Stil1"><font color="#FFCC66" size="1" face="Verdana, Arial, Helvetica, sans-serif"><b>                                <font color="#FFCC66" size="1" face="Verdana, Arial, Helvetica, sans-serif"><b>
                                </b></font>                                </b></font></span>                               
                              </span></td>
                              <td width="69%" height="22" class="smallBlack"><div align="right"><SCRIPT TYPE="text/javascript">
<!--
var deletesite = new submitForm("../images/delsite.gif","../images/delsite_down.gif","delsite","deletesite");
deletesite.alt ="<?php echo $lang['Delete_Website'];?>";
deletesite.write();
//-->
                </SCRIPT>
                  <img src="../images/blankspacer.gif" width="10" height="8"> <a href="deletewebsite.php" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('goback','','../images/prevpage_down.gif',1)"><img src="../images/prevpage.gif" alt="<?php echo $lang['Previous_Page'];?>" name="goback" width="142" height="13" border="0" align="absmiddle"></a><img src="../images/blankspacer.gif" width="10" height="8"></div></td>
                            </tr>
                        </table></td>
                      </tr>
                  </table></TD>
                </TR>
              </TABLE>
            </form>
            </TD>
      </TR>
    </TBODY>
  </TABLE>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          <div align="right"><span class="small"> <br>
              <img src="../images/blackdot.gif" width="100%" height="1"> </span>
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="60%">
                  <div align="left"><span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="editwebsite.php"><?php echo $lang['Tab']['Edit_Website'];?></a>, <a href="createwebsite.php"><?php echo $lang['Tab']['Create_Website'];?></a>, <a href="websitesoverview.php"><?php echo $lang['Tab']['Website_Overview'];?></a></span></div></td>
                <td width="40%"><div align="right"></div></td>
              </tr>
            </table>
            <span class="small"><br>
            </span><span class="small"><br>
            </span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>