<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/
// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 

include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../language/language.inc.php");

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->usertype  == 'WEBMASTER') { header("Location: ../login/loginfirstmessage.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get account-id
 $accountid = $_REQUEST['accountid'];

  // does admin want to delete a website?
 if ($_POST['DELWEBSITE'] == 'TRUE')
 {
  // get account-information posted via form
  $accountid   = $_POST['accountid'];
  $username	   = $_POST['account_username'];
  $websitename = $_POST['websitename'];

  // remove chosen website from useraccount
  @$temp_sites = mysql_result(mysql_query("SELECT websites FROM $my_tables->accounttable WHERE id = '$accountid'"),0,0);
  $websitelist = explode("\n",$temp_sites); 
  foreach ($websitelist AS $currentsite)
  {
   if ($currentsite != $websitename) $newsites .= $currentsite."\n"; 
  }
  // update table 
  $result = mysql_query("UPDATE $my_tables->accounttable SET websites = '$newsites' WHERE id = '$accountid'");

  // reload this page
  header("location: editaccountgo.php?accountid=$accountid"); exit();
 }

 ////////////////////////////////////////////////////////////////////////////////////////////////
 // ADD NEW WEBSITE TO USER-ACCOUNT
 ////////////////////////////////////////////////////////////////////////////////////////////////

 // did admin submit the form to create a new account?
 if ($_POST['ADDSITE'] == 'TRUE' && $my_session->usertype == 'ADMIN')
 { 
  // get name of new website and strip whitespace from string!
  $newsite = trim($_POST['newsite']);

  // #1: Read old websitelist from user-account and check if site to be added is already in list
   @$oldwebsites = mysql_result(mysql_query("SELECT websites FROM $my_tables->accounttable
						  				     WHERE id = '$accountid'"),0,0);

   // trim list and remove whitespaces
   $oldwebsites  = trim($oldwebsites);
 
   // explode websitelist
   $exploded_list = explode("\n", $oldwebsites);
   $site_in_list = "FALSE";
   foreach ($exploded_list AS $currentsite)
   { 
    if (trim($currentsite) == $newsite) $site_in_list = "TRUE";
   }

  // add new site to account-websitelist:
   // is list empty? if so, set oldlist = new website, else, append new website to list
   if ($site_in_list == "FALSE")
   {
    if ($oldwebsites == '' || !isset($oldwebsites)) $oldwebsites = $newsite;
     else $oldwebsites .= "\n".$newsite;
   }

   // trim list and remove whitespaces
   $oldwebsites = trim($oldwebsites);
  
   // save updated website-list to table 
   @$result = mysql_query("UPDATE $my_tables->accounttable
						   SET websites = '$oldwebsites' WHERE id = '$accountid'");
  }

 // get data for account
 @$result = mysql_query("SELECT * FROM $my_tables->accounttable WHERE id = '$accountid'");
 $my_object 		= mysql_fetch_object($result);
 $account_type 		= $my_object->account_type;
 $account_username 	= $my_object->account_username;
 $account_password 	= $my_object->account_password;
 $account_active 	= $my_object->account_active;
 $datestyle		    = $my_object->datestyle;
 $timedisplay	    = $my_object->timedisplay;

 // admin wants to update user-account
 if ($_POST['UPDATE'] == 'TRUE'  && $my_session->usertype == 'ADMIN') 
 { 
  // set some variables
  $username_in_use 	= FALSE;
  $no_password 		= FALSE;

  // get posted settigns
  $new_username 		= trim($_POST['new_username']);
  $new_password 		= trim($_POST['new_password']);
  $new_account_type 	= $_POST['account_type'];
  $new_account_active	= $_POST['account_active'];
  $new_datestyle 		= $_POST['datestyle'];
  $new_timedisplay 		= $_POST['timedisplay'];
 
   // check if username has changed - if so,check if chosen one is already in use
  if ($new_username != $account_username)
  { 
   @$totalnum = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->accounttable WHERE account_username = '$new_username'"),0,0);
   if ($totalnum != 0) $username_in_use = TRUE;
  }
  // check if password changed 
  if ($new_password != $account_password)
  {
   if ($new_password == '') $no_password = TRUE; 
  }

  // whe have a valid username and password -> save new settings
  if (!$username_in_use && !$no_password)
  {
   $result = mysql_query("UPDATE $my_tables->accounttable SET account_username = '$new_username',
						  account_password = '$new_password', account_active = '$new_account_active',
						  account_type = '$new_account_type', timedisplay = '$new_timedisplay',
						  datestyle = '$new_datestyle' WHERE id = '$accountid'");
  }
 }

 // get data for account
 @$result 			= mysql_query("SELECT * FROM $my_tables->accounttable WHERE id = '$accountid'");
 $my_object 		= mysql_fetch_object($result);
 $account_type 		= $my_object->account_type;
 $account_username 	= $my_object->account_username;
 $account_password 	= $my_object->account_password;
 $account_active 	= $my_object->account_active;
 $account_lastlogin = $my_object->account_lastlogin;
 $datestyle		    = $my_object->datestyle;
 $timedisplay	    = $my_object->timedisplay;

 $account_websites 	= trim($my_object->websites);
 $websitelist 		= explode("\n",$account_websites);

 // get available websites from database
 $query 	= "SELECT * FROM $my_tables->websitestable ORDER BY websitename ASC";
 @$result  	= mysql_query($query);

 // read websites (no empty ones!) into array
 if ($result)
 {
  while (@$my_object = mysql_fetch_object($result))
  { 
   if ($my_object->websitename != '') $websites[] .= $my_object->websitename;
  }
 }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Edit Account </title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function setfocus()
{
 document.editaccountform.new_username.focus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/editaccountgo.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();setfocus();
<?php 
$message_username = $lang['Newsite_In_Use'];
$message_password = $lang['Password_Not_Set'];
$message_website  = $lang['Website_In_List'];

if ($site_in_list == "TRUE")
 echo "alert('$message_website');";
if ($username_in_use == 'TRUE')
 echo "alert('$message_username');";
if ($no_password == 'TRUE')
 echo "alert('$message_password');";
?>
">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./editaccountgo.php?accountid=<?php echo $_REQUEST['accountid'];?>" target="_self"><?php echo $lang['Tab']['Edit_Account']; ?></a></li>
 </ul>
<div id="contents">  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Edit_Account_Go'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
<br>
  <form name="editaccountform" method="post" action="editaccountgo.php">
    <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
      <TBODY>
        <TR>
          <TD bgcolor="#FFFFFF" class="finelinebox"><br>
              <table width="90%"  border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="52%" align="left" valign="top">
                    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
                      <tr>
                        <td width="28%" height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Account_ID'];?>                            </td>
                        <td width="9%" height="25">:</td>
                        <td width="63%" height="25"><input name="totalvisits" type="text" id="totalvisits" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $accountid;?>" maxlength="30" disabled onFocus="if (!document.all && !document.getElementById) this.blur()"></td>
                      </tr>
                      <tr>
                        <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Usertype'];?>                            </td>
                        <td height="25">:</td>
                        <td height="25"><font color="#FFCC66" size="1" face="Geneva, Arial, Helvetica, san-serif">
                          <select name="account_type" id="select2" style="width: 164px; height:20px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid; background-color:#FFFFFF">
                            <?php
                                     if ($account_type == 'ADMIN')
           							{ 
  									 echo "<option value='ADMIN' selected>".$lang['Administrator']."</option>";
                                     echo "<option value='WEBMASTER' >".$lang['Webmaster']."</option>";
                                     echo "<option value='GUEST'>".$lang['Guest']."</option>";
                                     echo "<option value='DEMO'>".$lang['Demonstration_Mode']."</option>";
  									}
									elseif($account_type == 'WEBMASTER')
           							{ 
                                     echo "<option value='WEBMASTER' selected>".$lang['Webmaster']."</option>";
  									 echo "<option value='ADMIN'>".$lang['Administrator']."</option>";
                                     echo "<option value='GUEST'>".$lang['Guest']."</option>";
                                     echo "<option value='DEMO'>".$lang['Demonstration_Mode']."</option>";
  									}
									elseif($account_type == 'GUEST')
           							{ 
                                     echo "<option value='GUEST' selected>".$lang['Guest']."</option>";
  									 echo "<option value='ADMIN'>".$lang['Administrator']."</option>";
                                     echo "<option value='WEBMASTER'>".$lang['Webmaster']."</option>";
                                     echo "<option value='DEMO'>".$lang['Demonstration_Mode']."</option>";
  									}
									elseif($account_type == 'DEMO')
           							{ 
                                     echo "<option value='DEMO' selected>".$lang['Demonstration_Mode']."</option>";
                                     echo "<option value='GUEST'>".$lang['Guest']."</option>";
  									 echo "<option value='ADMIN'>".$lang['Administrator']."</option>";
                                     echo "<option value='WEBMASTER'>".$lang['Webmaster']."</option>";
  									}
?>
                          </select>
                        </font></td>
                      </tr>
                      <tr>
                        <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Username'];?>                            </td>
                        <td height="25">:</td>
                        <td height="25"><input name="new_username" type="text" id="new_username" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $account_username; ?>" maxlength="50"></td>
                      </tr>
                      <tr>
                        <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Password'];?>                            </td>
                        <td height="25">:</td>
                        <td height="25"><input name="new_password" type="text" id="new_password" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php if ($my_session->usertype != "ADMIN") echo "****************"; else echo $account_password; ?>" maxlength="50"></td>
                      </tr>
                      <tr>
                        <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Account_Active'];?> </td>
                        <td height="25">:</td>
                        <td height="25"><input type="radio" name="account_active" value="TRUE" <?php if ($account_active == 'TRUE') echo "checked";?>>
                            <?php echo $lang['Yes'];?>
                            <input type="radio" name="account_active" value="FALSE"  <?php if ($account_active == 'FALSE') echo "checked";?>>
                            <?php echo $lang['No'];?><span class="smallBlack">
                            <input name="accountid" type="hidden" id="accountid" value="<?php echo $accountid;?>">
                            <span class="Stil1"><font color="#FFCC66" size="1" face="Verdana, Arial, Helvetica, sans-serif"><b>
                            <input name="account_username" type="hidden" id="account_username" value="<?php echo $account_username; ?>">
                          </b></font></span></span></td>
                      </tr>
                      <tr>
                        <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Date_Display'];?> </td>
                        <td height="25">:</td>
                        <td height="25"><input type="radio" name="datestyle" value="EUROPEAN" <?php if ($datestyle == 'EUROPEAN') echo "checked";?>>
                          <?php echo $lang['European'];?>
                          <input type="radio" name="datestyle" value="AMERICAN" <?php if ($datestyle == 'AMERICAN') echo "checked";?> >
                          <?php echo $lang['American'];?></td>
                      </tr>
                  </table></td>
                  <td width="46%" valign="top">
                    <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="21%" valign="top"><?php echo $lang['Websites'];?></td>
                        <td width="8%" valign="top">:</td>
                        <td width="71%" valign="top">
                            <div align="left">
                              <select name="websitename" size="9" class="blackborder" id="select" style="width: 240px; height: 125px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt;">
                                  <?php
 $myflag = FALSE;
 foreach($websitelist AS $currentsite){ 
  if ($myflag == FALSE && $currentsite != ''){
   echo "<option value='$currentsite' selected>$currentsite</option>"; $myflag = TRUE;
  } 
  else echo "<option value='$currentsite'>$currentsite</option>";
 }
?>
                              </select>
                            </div></td>
                      </tr>
                      <tr bgcolor="#FFFFFF">
                        <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Time_System'];?> </td>
                        <td height="25">:</td>
                        <td height="25">
                          <div align="left">
        <input type="radio" name="timedisplay" value="24" <?php if ($timedisplay == '24') echo "checked";?>>
      24 <?php echo $lang['Hours'];?>
      <input type="radio" name="timedisplay" value="12" <?php if ($timedisplay == '12') echo "checked";?>>
      12 <?php echo $lang['Hours'];?> </div></td>
                      </tr>
                  </table></td>
                </tr>
              </table>              
              <br></TD>
        </TR>
      </TBODY>
    </TABLE>
    <br>
    <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
      <TBODY>
        <TR>
          <TD class="finelinebox">
            <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0>
              <TR>
                <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
                          <tr valign="middle">
                            <td width="12%" height="22"><span class="smallBlack"><span class="small"><span class="smallBold"><img src="../images/blankspacer.gif" width="5" height="5" border="0"></span></span><?php echo $lang['Add'];?>:</span> </td>
                            <td width="46%" height="22"><span class="smallBlack">
                              <select name="newsite" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF">
<?php 
 foreach ($websites AS $currentsite)
 {  
   echo "<option>".trim($currentsite)."</option>";
 }
?>
            </select>
                              <img src="../images/blankspacer.gif" width="5" height="8">
                              <input name="accountid" type="hidden" id="accountid" value="<?php echo $accountid;?>">
                              <span class="Stil1"><font color="#FFCC66" size="1" face="Verdana, Arial, Helvetica, sans-serif"><b>
                              <input name="account_websites" type="hidden" id="account_websites" value="<?php echo $account_websites;?>">
                              <input name="account_username" type="hidden" id="account_username" value="<?php echo $account_username; ?>">
                              </b></font></span>
                              <SCRIPT TYPE="text/javascript">
<!--
var addsite = new submitForm("../images/addsite.gif","../images/addsite_down.gif","ADDSITE","ADDSITE");
addsite.alt ="<?php echo $lang['Add_Website'];?>";
addsite.write();
//-->
                </SCRIPT>
                              </span>                                </td>
                            <td width="1%"><div align="left"><img src="../images/divider.gif" width="2" height="15"></div></td>
                            <td width="41%">
                              <div align="right">
                                <SCRIPT LANGUAGE="javascript" type="text/javascript">
<!--
var updatedata = new submitForm("../images/changedata.gif","../images/changedata_down.gif","UPDATE","UPDATE");
updatedata.alt ="<?php echo $lang['Update_Userdata'];?>";
updatedata.write();
//-->
                                          </SCRIPT>
                                <img src="../images/blankspacer.gif" width="5" height="8">
                                <SCRIPT LANGUAGE="javascript" type="text/javascript">
<!--
var delsite = new submitForm("../images/delsite.gif","../images/delsite_down.gif","DELWEBSITE","DELWEBSITE");
delsite.alt ="<?php echo $lang['Delete_Website'];?>";
delsite.write();
//-->
                                          </SCRIPT>
                              </div></td>
                          </tr>
                      </table></td>
                    </tr>
                </table></TD>
              </TR>
          </TABLE></TD>
        </TR>
      </TBODY>
    </TABLE>
  </form>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          <div align="right"><span class="small"></span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>