<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

 // TAKE STARTING TIME
 $starttime       = microtime(); 
 $starttime   	 = explode(" ",$starttime); 
 $starttime   	 = $starttime[1] + $starttime[0]; 
 $timescriptstart = $starttime; 

 if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
 $timeparts = explode(" ",microtime());
 $starttime = $timeparts[1].substr($timeparts[0],1); 

 $include_path = dirname(__FILE__); $include_path .= "/";
 include_once ($include_path."./../language/language.inc.php");
 include_once ($include_path."./../includes/global.inc.php");			 
 include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
 include_once ($include_path."./../includes/dbactions.inc.php");
 include_once ($include_path."./../includes/timezone.inc.php");
 include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // admin hit the optimize-button, so optimize database
 if ($_POST['action'] == 'OPTIMIZE' && ($_SESSION['usertype'] == 'WEBMASTER' || $_SESSION['usertype'] == 'ADMIN'))
 {
  // get size of database before optimization
  $tempsizebefore = $_POST['tempsizebefore'];

  // delete trashed entries in the main datatable
  foreach($my_tables AS $currenttable) {@$result = mysql_query("DELETE FROM $currenttable WHERE websitename = '' OR websitename = ' '");}

  // repair all database tables
  foreach($my_tables AS $currenttable) {@$result = mysql_query("REPAIR TABLE $currenttable");}
 
  // analyze all database tables
  foreach($my_tables AS $currenttable) {@$result = mysql_query("ANALYZE TABLE $currenttable");}

  // optimize all database tables
  foreach($my_tables AS $currenttable) {@$result = mysql_query("OPTIMIZE TABLE $currenttable");}

  // get size of getchooSTAT-database AFTER optimization
  $total_dbsize = database_size($my_tables, $my_db->bstat_db_name);

  $tempsizeafter = $total_dbsize;
  $showtempsizeafter =  round($total_dbsize,2)." ".$lang['Kilobyte']." / ".round(($total_dbsize/1024),2)." ".$lang['Megabyte'];

  $savedspace = $tempsizebefore - $tempsizeafter;
  $savedspaceshow =  round($savedspace,2)." ".$lang['Kilobyte']." / ".round(($savedspace/1024),2)." ".$lang['Megabyte'];

  // calculated saved space
  $saved_space = $old_dbsize-$total_dbsize;
 }
 else
 {
  // get database total size
  $total_dbsize = database_size($my_tables,$my_db->bstat_db_name);
 }
 
 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Optimize Database</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/mousepointer.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/optimizedatabase.php';
}
//-->
</script>
</head>
<body class="section-2" onload="showLayer('contentlayer');reloadmenu();<?php if ($_POST['action']=='OPTIMIZE') echo "pointerNormal();";?>">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Optimize_Database_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form action="optimizedatabase.php" onSubmit="pointerHourglas();"method="post" name="ipresolving" id="ipresolving">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./databaseserver.php" target="_self" onmouseover="pointerHand();" onmouseout="pointerNormal();"><?php echo $lang['Tab']['Database_Server_Overview']; ?></a></li>
  <li id="nav-2"><a href="./optimizedatabase.php" target="_self" onmouseover="pointerHand();" onmouseout="pointerNormal();"><?php echo $lang['Tab']['Optimize_Database']; ?></a></li>
 </ul>
<div id="contents"><br>
  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Optimize_Database'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><? if (!$_POST['action'] == 'OPTIMIZE') 
{
;?>          <br>
          <table width="74%" border="0" align="center" cellpadding="0" cellspacing="0" class="smallBlack">
            <tr>
              <td width="47%" height="25" class="smallBold">&raquo; <? echo $lang['Database_Totalsize'];?></td>
              <td width="5%" height="25" class="smallBold">:                                        </td>
              <td width="48%" height="25" class="smallBold"><?php 
 echo $total_dbsize." ".$lang['Kilobyte']." / ".round(($total_dbsize/1024),2)." ".$lang['Megabyte'];
?></td>
              </tr>
          </table>
          <?php } ?>          <? if ($_POST['action'] == 'OPTIMIZE') 
{
;?>
          <br>
          <table width="74%" border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td height="25"><span class="smallBold"><img src="../images/blankspacer.gif" width="10" height="5">- <? echo $lang['Size_Before_Optimization'];?></span></td>
              <td height="25" class="smallBold">:</td>
              <td height="25"><span class="smallBold"><? echo $tempsizebefore." ".$lang['Kilobyte']." / ".round(($tempsizebefore/1024),2)." ".$lang['Megabyte']; ?></span></td>
            </tr>
            <tr>
              <td width="47%" height="25"><span class="smallBold"><img src="../images/blankspacer.gif" width="10" height="5">- <? echo $lang['Size_After_Optimization'];?></span></td>
              <td width="5%" height="25" class="smallBold">:</td>
              <td width="48%" height="25"><span class="smallBold"><? echo $showtempsizeafter; ?></span></td>
            </tr>

            <tr>
              <td height="25"><span class="smallBold"><img src="../images/blankspacer.gif" width="10" height="5">- <? echo $lang['Saved_Space'];?></span></td>
              <td height="25" class="smallBold">:</td>
              <td height="25"><span class="smallBold">
                <? echo $savedspaceshow; ?>
              </span></td>
            </tr>
          </table>
<?php } ?>          <br>          </TD>
      </TR>
    </TBODY>
  </TABLE>
  <?php
if (!$_POST['action'] == 'OPTIMIZE' && $_SESSION['usertype'] != 'GUEST' && $_SESSION['usertype'] != 'DEMO')
{
?>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3 bgcolor="#F8F8F8">
    <TBODY>
      <TR>
        <TD class="dottedbox">
          <TABLE width=100% border=0 align="center" cellPadding=1 cellSpacing=0 bgcolor="#FFFFFF">
            <TR>
              <TD valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td bgcolor="#FFFFFF"><table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr valign="middle">
                          <td width="38%" height="22" bgcolor="#FFFFFF">                            <div align="right">
                            <input name="image" type="image" onclick="pointerHourglas();"  src="../images/optmizedb.gif" alt="<?php echo $lang['Optimize_Database'];?>" align="middle" width="122" height="13">
                            <input name="tempsizebefore" type="hidden" id="tempsizebefore2" value="<?php echo $total_dbsize;?>">
                            <input name="action" type="hidden" id="action3" value="OPTIMIZE">


                          </div></td>
                        </tr>
                    </table></td>
                  </tr>
              </table></TD>
            </TR>
        </TABLE></TD>
      </TR>
    </TBODY>
  </TABLE>
  <?php } ?><br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <br>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>