<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // read website-configuration from database
 @$result 				= mysql_query("SELECT * FROM $my_tables->websitestable WHERE websitename = '$activesitename'");
 @$myobject 			= mysql_fetch_object($result);
 $oldsecuritykey		= $myobject->securitykey;
 $oldreloadblocking		= $myobject->reloadblocking;
 $olduniqueblocking		= $myobject->uniqueblocking;
 $oldvisitorsperpage	= $myobject->visitorsperpage;
 $oldshowvisitors		= $myobject->showvisitors;
 $oldvisitortimeout		= $myobject->visitortimeout;

 $counterresult 		 = mysql_query("SELECT * FROM $my_tables->countertable WHERE websitename = '$activesitename'");
 $countermyobject 		 = mysql_fetch_object($counterresult);
 $olduniquevisits		 = $countermyobject->uniquevisits;
 $oldtotalvisits	     = $countermyobject->totalvisits;
 $oldimpressions	     = $countermyobject->impressions;
 $olddownloads		     = $countermyobject->downloads;


 // admin hit the update-button, so save changes
 if ($_POST['action'] == 'UPDATE' && ($_SESSION['usertype'] == 'WEBMASTER' || $_SESSION['usertype'] == 'ADMIN'))
 { 
  if ($_POST['securitykey'] != $oldsecuritykey) // new visitor-timeout number entered?
  {
   $securitykey = trim($_POST['securitykey']);
   @$result = mysql_query("UPDATE $my_tables->websitestable SET securitykey ='$securitykey' WHERE websitename = '$activesitename'"); // update setting
  }
  if ($_POST['downloads'] != $olddownloads) // new visitor-timeout number entered?
  {
   $downloads = $_POST['downloads'];
   @$result = mysql_query("UPDATE $my_tables->countertable SET downloads ='$downloads' WHERE websitename = '$activesitename'"); // update setting
  }

  if ($_POST['impressions'] != $oldimpressions) // new visitor-timeout number entered?
  {
   $impressions = $_POST['impressions'];
   @$result = mysql_query("UPDATE $my_tables->countertable SET impressions ='$impressions' WHERE websitename = '$activesitename'"); // update setting
  }
  if ($_POST['uniquevisits'] != $olduniquevisits) // new visitor-timeout number entered?
  {
   $uniquevisits = $_POST['uniquevisits'];
   @$result = mysql_query("UPDATE $my_tables->countertable SET uniquevisits ='$uniquevisits' WHERE websitename = '$activesitename'"); // update setting
  }
  if ($_POST['totalvisits'] != $oldtotalvisits) // new visitor-timeout number entered?
  {
   $oldtotalvisits = $_POST['totalvisits'];
   @$result = mysql_query("UPDATE $my_tables->countertable SET totalvisits ='$totalvisits' WHERE websitename = '$activesitename'"); // update setting
 
  // check if last emailnotify hit-trigger is LOWER than the new counter value
  @$result = mysql_query("SELECT lastnotifyhits FROM $my_tables->notifytabe WHERE websitename = '$activesitename'");
  @$lastnotifyhits = mysql_result($result, 0, "lastnotifyhits");
  if ($lastnotifyhits == '') $lastnotifyhits = 0;

  if ($lastnotifyhits < $totalvisits_total || $lastnotifyhits > $totalvisits_total) 
   $updateresult = mysql_query("UPDATE $my_tables->notifytable SET lastnotifyhits = '$totalvisits_total',
								lastnotifydate = lastnotifydate 
								WHERE websitename = '$activesitename'
							   ");
 }	

 if ($_POST['reloadblocking'] != $oldreloadblocking) // was a new reload-blocking time entered?
 {
  $reloadblocking = $_POST['reloadblocking'];
  @$result = mysql_query("UPDATE $my_tables->websitestable SET reloadblocking ='$reloadblocking' WHERE websitename = '$activesitename'"); // update setting
 }
 if ($_POST['uniqueblocking'] != $olduniqueblocking) // was a new reload-blocking time entered?
 {
  $uniqueblocking = $_POST['uniqueblocking'];
  @$result = mysql_query("UPDATE $my_tables->websitestable SET uniqueblocking ='$uniqueblocking' WHERE websitename = '$activesitename'"); // update setting
 }

 if ($_POST['visitortimeout'] != $oldvisitortimeout) // new visitor-timeout number entered?
 {
  $visitortimeout = $_POST['visitortimeout'];
  @$result = mysql_query("UPDATE $my_tables->websitestable SET visitortimeout = '$visitortimeout' WHERE websitename = '$activesitename'"); // update setting
 }
  if ($_POST['visitorsperpage'] != $oldvisitorsperpage) // any showvisitors changes?
 { 
  $visitorsperpage = $_POST['visitorsperpage']; 
  @$result = mysql_query("UPDATE $my_tables->websitestable SET visitorsperpage = '$visitorsperpage' WHERE websitename = '$activesitename'"); // update setting
 }

 // read website-configuration from database
 @$result 				= mysql_query("SELECT * FROM $my_tables->websitestable WHERE websitename = '$activesitename'");
 @$myobject 			= mysql_fetch_object($result);
 $oldsecuritykey		= $myobject->securitykey;
 $oldreloadblocking		= $myobject->reloadblocking;
 $olduniqueblocking		= $myobject->uniqueblocking;

 $oldvisitorsperpage	= $myobject->visitorsperpage;
 $oldshowvisitors		= $myobject->showvisitors;
 $oldvisitortimeout		= $myobject->visitortimeout;

 $counterresult 		 = mysql_query("SELECT * FROM $my_tables->countertable WHERE websitename = '$activesitename'");
 $countermyobject 		 = mysql_fetch_object($counterresult);
 $olduniquevisits		 = $countermyobject->uniquevisits;
 $oldtotalvisits	     = $countermyobject->totalvisits;
 $oldimpressions	     = $countermyobject->impressions;
 $olddownloads		     = $countermyobject->downloads;

}

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Setup Counter</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function focuscursor()
{
 parent.menuframe.document.getElementById('searchphrase').focus();
}
function setfocus()
{
 setTimeout("focuscursor()",1000);
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/setupcounter.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Configuration_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form name="updatesettings" method="post" action="setupcounter.php">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./setupcounter.php" target="_self"><?php echo $lang['Tab']['Countervalues']; ?></a></li>
  <li id="nav-2"><a href="./setuptracking.php" target="_self"><?php echo $lang['Tab']['Tracking_Resolving_Display'];?></a></li>
  <li id="nav-3"><a href="./setuptraceroute.php" target="_self"><?php echo $lang['Tab']['Traceroute_Server'];?></a></li>
  <li id="nav-4"><a href="./setupemail.php" target="_self"><?php echo $lang['Tab']['Email_Notificiation'];?></a></li>
  <li id="nav-5"><a href="./setupblacklist.php" target="_self"><?php echo $lang['Tab']['Blacklist'];?></a></li>
  <li id="nav-6"><a href="./setupdownloads.php" target="_self"><?php echo $lang['Tab']['Download_Surveillance'];?></a></li>
  <li id="nav-7"><a href="./setupextras.php" target="_self"><?php echo $lang['Tab']['Extras'];?></a></li>
</ul>
<div id="contents"><br>
  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Setup_Page1'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>
          <table width="96%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
            <tr>
              <td width="21%" height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Totalvisits_Since_Start'];?>
                  <div align="left"></div></td>
              <td width="4%" height="25">:</td>
              <td width="25%" height="25"><input name="totalvisits" type="text" id="totalvisits" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $oldtotalvisits; ?>" maxlength="30";></td>
              <td width="3%" height="25">&nbsp;</td>
              <td width="22%" height="25"><div align="left"><?php echo $lang['Uniqueblocking_Minutes'];?></div></td>
              <td width="3%" height="25">:</td>
              <td width="22%" height="25"><input name="uniqueblocking" type="text" id="uniqueblocking" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF"  value="<?php echo $olduniqueblocking; ?>" maxlength="50"></td>
            </tr>
            <tr>
              <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Uniquevisits_Since_Start'];?>
                  <div align="left"></div></td>
              <td height="25">:</td>
              <td height="25"><input name="uniquevisits" type="text" id="uniquevisits" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $olduniquevisits; ?>" maxlength="30";></td>
              <td height="25">&nbsp;</td>
              <td height="25"><div align="left"><?php echo $lang['Reloadblocking_Minutes'];?></div></td>
              <td height="25">:</td>
              <td height="25">                <input name="reloadblocking" type="text" id="reloadblocking" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $oldreloadblocking; ?>" maxlength="50"></td>
            </tr>
            <tr>
              <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Impressions_Since_Start'];?>
                  <div align="left"></div></td>
              <td height="25">:</td>
              <td height="25"><input name="impressions" type="text" id="impressions" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $oldimpressions;?>" maxlength="50"></td>
              <td height="25">&nbsp;</td>
              <td height="25"><div align="left"><?php echo $lang['Visitortimeout_Minutes'];?></div></td>
              <td height="25">:</td>
              <td height="25"><input name="visitortimeout" type="text" id="visitortimeout" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF"  value="<?php echo $oldvisitortimeout; ?>" maxlength="50"></td>
            </tr>
            <tr>
              <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Downloads_Since_Start'];?>
                  <div align="left"></div></td>
              <td height="25">:</td>
              <td height="25"><input name="downloads" type="text" id="downloads" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $olddownloads;?>" maxlength="50"></td>
              <td height="25">&nbsp;</td>
              <td height="25"><div align="left"><?php echo $lang['Showmax_Visitors'];?></div></td>
              <td height="25">:</td>
              <td height="25"><input name="visitorsperpage" type="text" id="visitorsperpage2" style="width: 160px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF"  value="<?php echo $oldvisitorsperpage; ?>" maxlength="50"></td>
            </tr>
          </table>
          <br></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <table width="99%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td>
        <div align="right"><SCRIPT TYPE="text/javascript">
<!--
var savechanges = new submitForm("../images/savechanges.gif","../images/savechanges_down.gif","savechanges");
savechanges.alt ="<?php echo $lang['Save_Changes'];?>";
savechanges.write();
//-->
                </SCRIPT>
          <input name="action" type="hidden" id="action" value="UPDATE">
        </div></td>
    </tr>
  </table>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
</table>
</div>
</body>
</html>











