<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // read website-configuration from database
 @$result 				= mysql_query("SELECT downloaddomains, downloadmonitor, downloaderrorpage, downloadstart, downloadend, downloadprotocol FROM $my_tables->websitestable WHERE websitename = '$activesitename'");
 @$myobject 			= mysql_fetch_object($result);

 $olddownloaddomains	= $myobject->downloaddomains;
 $olddownloadmonitor	= $myobject->downloadmonitor;
 $olddownloaderrorpage	= $myobject->downloaderrorpage;
 $olddownloadstart		= $myobject->downloadstart;
 $olddownloadend		= $myobject->downloadend;
 $olddownloadprotocol	= $myobject->downloadprotocol;

 // admin hit the update-button, so save changes
 if ($_POST['action'] == 'UPDATE' && ($_SESSION['usertype'] == 'WEBMASTER' || $_SESSION['usertype'] == 'ADMIN'))
 { 
  // save downloaddomains value
  if ($_POST['downloaddomains'] != $olddownloaddomains)
  {
   $downloaddomains = $_POST['downloaddomains'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET downloaddomains ='$downloaddomains' WHERE websitename = '$activesitename'"); // update setting
  }
  // save downloadmonitor value
  if ($_POST['downloadmonitor'] != $olddownloadmonitor)
  {
   $downloadmonitor = $_POST['downloadmonitor'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET downloadmonitor ='$downloadmonitor' WHERE websitename = '$activesitename'"); // update setting
  }
  // save downloaderrorpage value
  if ($_POST['downloaderrorpage'] != $olddownloaderrorpage)
  {
   $downloaderrorpage = $_POST['downloaderrorpage'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET downloaderrorpage ='$downloaderrorpage' WHERE websitename = '$activesitename'"); // update setting
  }
  // save downloadstart value
  if ($_POST['downloadstart'] != $olddownloadstart)
  {
   $downloadstart = $_POST['downloadstart'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET downloadstart ='$downloadstart' WHERE websitename = '$activesitename'"); // update setting
 }
  // save downloadend value
  if ($_POST['downloadend'] != $olddownloadend)
  {
   $downloadend = $_POST['downloadend'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET downloadend ='$downloadend' WHERE websitename = '$activesitename'"); // update setting
  }
  // save downloadprotocol value
  if ($_POST['downloadprotocol'] != $olddownloadprotocol)
  {
   $downloadprotocol = $_POST['downloadprotocol'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET downloadprotocol ='$downloadprotocol' WHERE websitename = '$activesitename'"); // update setting
  }

  // read website-configuration from database
  @$result 				= mysql_query("SELECT downloaddomains, downloadmonitor, downloaderrorpage, downloadstart, downloadend, downloadprotocol FROM $my_tables->websitestable WHERE websitename = '$activesitename'");
  @$myobject 			= mysql_fetch_object($result);

  $olddownloaddomains	= $myobject->downloaddomains;
  $olddownloadmonitor	= $myobject->downloadmonitor;
  $olddownloaderrorpage	= $myobject->downloaderrorpage;
  $olddownloadstart		= $myobject->downloadstart;
  $olddownloadend		= $myobject->downloadend;
  $olddownloadprotocol	= $myobject->downloadprotocol;
 }

 // check if user wants to delete download-protocol
 if ($_POST['del'] == 'TRUE' && ($_SESSION['usertype'] == 'WEBMASTER' || $_SESSION['usertype'] == 'ADMIN'))
 {
   $sql = "DELETE FROM $my_tables->protocoltable WHERE websitename = '$activesitename'";
   @$result = $my_db->query($sql);
   $protocol_deleted = TRUE;
 }
 else
 {
  $protocol_deleted = FALSE;
 }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Setup Downloads</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/popup.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function focuscursor()
{
 parent.menuframe.document.getElementById('searchphrase').focus();
}
function setfocus()
{
 setTimeout("focuscursor()",1000);
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/setupdownloads.php';
}
//-->
</script>
</head>
<body class="section-6" onLoad="showLayer('contentlayer');MM_preloadImages('../images/showprotocol_down.gif');reloadmenu();"
<?php
$alert_message = $lang['Protocol_Deleted'];
if ($protocol_deleted) echo "onload=\"alert('$alert_message');\""; 
?>
>
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Configuration_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form name="updatesettings" method="post" action="setupdownloads.php">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./setupcounter.php" target="_self"><?php echo $lang['Tab']['Countervalues']; ?></a></li>
  <li id="nav-2"><a href="./setuptracking.php" target="_self"><?php echo $lang['Tab']['Tracking_Resolving_Display'];?></a></li>
  <li id="nav-3"><a href="./setuptraceroute.php" target="_self"><?php echo $lang['Tab']['Traceroute_Server'];?></a></li>
  <li id="nav-4"><a href="./setupemail.php" target="_self"><?php echo $lang['Tab']['Email_Notificiation'];?></a></li>
  <li id="nav-5"><a href="./setupblacklist.php" target="_self"><?php echo $lang['Tab']['Blacklist'];?></a></li>
  <li id="nav-6"><a href="./setupdownloads.php" target="_self"><?php echo $lang['Tab']['Download_Surveillance'];?></a></li>
  <li id="nav-7"><a href="./setupextras.php" target="_self"><?php echo $lang['Tab']['Extras'];?></a></li>
</ul>

<div id="contents"><br>
  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Setup_Page6'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>          <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="14%" rowspan="5" valign="top"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Downloads_Allowed_From'];?></td>
            <td width="3%" rowspan="5" valign="top">: </td>
            <td width="32%" rowspan="5" valign="top"><textarea name="downloaddomains" rows="8" id="downloaddomains" style="width: 220px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF"><?php if ($_SESSION['usertype'] == 'DEMO') echo "***********************"; else echo $olddownloaddomains;?></textarea></td>
            <td width="24%"><?php echo $lang['Download_Surveillance_Activated'];?><br>
              <input type="radio" name="downloadmonitor" value="TRUE" <?php if ($olddownloadmonitor == "TRUE") echo "checked";?>>
              <?php echo $lang['Yes'];?>
              <input type="radio" name="downloadmonitor" value="FALSE" <?php if ($olddownloadmonitor == 'FALSE') echo "checked";?>>
              <?php echo $lang['No'];?></td>
            <td width="24%"><?php echo $lang['Show_Errorpage_On_Violation'];?>&nbsp;<br>
              <input type="radio" name="downloaderrorpage" value="TRUE" <?php if ($olddownloaderrorpage == "TRUE") echo "checked";?>>
              <?php echo $lang['Yes'];?>
              <input type="radio" name="downloaderrorpage" value="FALSE" <?php if ($olddownloaderrorpage == 'FALSE') echo "checked";?>>
              <?php echo $lang['No'];?></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td><?php echo $lang['Journalize_Surveillance'];?><br>
              <input type="radio" name="downloadprotocol" value="TRUE" <?php if ($olddownloadprotocol == "TRUE") echo "checked";?>>
              <?php echo $lang['Yes'];?>
              <input type="radio" name="downloadprotocol" value="FALSE" <?php if ($olddownloadprotocol == 'FALSE') echo "checked";?>>
              <?php echo $lang['No'];?></td>
            <td>              <?php echo $lang['Download_Timewindow'];?><br>              <?php echo $lang['From'];?><img src="../images/blankspacer.gif" width="6" height="5">:<img src="../images/blankspacer.gif" width="6" height="5">              <input name="downloadstart" type="text" id="downloadstart" style="width: 35px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $olddownloadstart; ?>" maxlength="5">
              <img src="../images/blankspacer.gif" width="5" height="5">&nbsp;  <?php echo $lang['To'];?><img src="../images/blankspacer.gif" width="6" height="5">:<img src="../images/blankspacer.gif" width="6" height="5">              <input name="downloadend" type="text" id="downloadend" style="width: 35px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $olddownloadend; ?>" maxlength="5">
&nbsp;</td>
          </tr>
          <tr> </tr>
          <tr>
            <td colspan="2">&nbsp;</td>
          </tr>
        </table>          <br>          </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <table width="99%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td>
        <div align="right"><SCRIPT TYPE="text/javascript">
<!--
var savechanges = new submitForm("../images/savechanges.gif","../images/savechanges_down.gif","savechanges","save");
savechanges.alt ="<?php echo $lang['Save_Changes'];?>";
savechanges.write();
//-->
                </SCRIPT>


<img src="../images/blankspacer.gif" width="15" height="5" border="0">
          <a href="#" onClick="popUp('showprotocol.php',860,360,'yes')" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('showprotocol','','../images/showprotocol_down.gif',1)"><img src="../images/showprotocol.gif" alt="<?php echo $lang['Show_Protocol'];?>" name="showprotocol" width="142" height="13" border="0" align="absmiddle"></a>
<img src="../images/blankspacer.gif" width="15" height="5" border="0">
<SCRIPT TYPE="text/javascript">
<!--
var savechanges = new submitForm("../images/delprotocol.gif","../images/delprotocol_down.gif","delprotocol","del");
savechanges.alt ="<?php echo $lang['Delete_Protocol'];?>";
savechanges.write();
//-->
</SCRIPT>
          <input name="action" type="hidden" id="action" value="UPDATE">
        </div></td>
    </tr>
  </table>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
</table>
</div>
</body>
</html>