<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // read website-configuration from database
 @$result 				= mysql_query("SELECT cpm, logging_activated, mediatracker, showentries FROM $my_tables->websitestable WHERE websitename = '$activesitename'");
 @$my_object 			= mysql_fetch_object($result);
 $oldloggingactivated	= $my_object->logging_activated;
 $oldmediatracker		= $my_object->mediatracker;
 $oldshowentries		= $my_object->showentries;
 $oldcpm 				= $my_object->cpm;

 // admin hit the update-button, so save changes
 if ($_POST['action'] == 'UPDATE' && ($_SESSION['usertype'] == 'WEBMASTER' || $_SESSION['usertype'] == 'ADMIN'))
 { 
  if ($_POST['logging_activated'] != $oldloggingactivated) // new logging-status selected?
  {
   $logging_activated = trim($_POST['logging_activated']);
   @$result = mysql_query("UPDATE $my_tables->websitestable SET logging_activated ='$logging_activated' WHERE websitename = '$activesitename'"); // update setting
  }
  if ($_POST['mediatracker'] != $oldmediatracker) // new duration of cpu-load-calculation entered?
  {
   $mediatracker = $_POST['mediatracker'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET mediatracker ='$mediatracker' WHERE websitename = '$activesitename'"); // update setting
  }
  if ($_POST['showentries'] != $oldshowentries) // new showentries-number entered?
  {
   $showentries = $_POST['showentries'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET showentries ='$showentries' WHERE websitename = '$activesitename'"); // update setting
  }
  if ($_POST['cpm'] != $oldcpm) // new cost-per-mille value entered?
  {
   $cpm = $_POST['cpm'];
   $cpm = str_replace(",",".",$cpm);
   @$result = mysql_query("UPDATE $my_tables->websitestable SET cpm ='$cpm' WHERE websitename = '$activesitename'"); // update setting
  }

  // read website-configuration from database
  @$result 				= mysql_query("SELECT cpm, logging_activated, mediatracker, showentries FROM $my_tables->websitestable WHERE websitename = '$activesitename'");
  @$my_object 			= mysql_fetch_object($result);
  $oldloggingactivated	= $my_object->logging_activated;
  $oldmediatracker		= $my_object->mediatracker;
  $oldshowentries		= $my_object->showentries;
  $oldcpm 				= $my_object->cpm;
 }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Setup Counter</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function focuscursor()
{
 parent.menuframe.document.getElementById('searchphrase').focus();
}
function setfocus()
{
 setTimeout("focuscursor()",1000);
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/setupextras.php';
}
//-->
</script>
</head>
<body class="section-7" onload="showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Extras_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form name="updatesettings" method="post" action="setupextras.php">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./setupcounter.php" target="_self"><?php echo $lang['Tab']['Countervalues']; ?></a></li>
  <li id="nav-2"><a href="./setuptracking.php" target="_self"><?php echo $lang['Tab']['Tracking_Resolving_Display'];?></a></li>
  <li id="nav-3"><a href="./setuptraceroute.php" target="_self"><?php echo $lang['Tab']['Traceroute_Server'];?></a></li>
  <li id="nav-4"><a href="./setupemail.php" target="_self"><?php echo $lang['Tab']['Email_Notificiation'];?></a></li>
  <li id="nav-5"><a href="./setupblacklist.php" target="_self"><?php echo $lang['Tab']['Blacklist'];?></a></li>
  <li id="nav-6"><a href="./setupdownloads.php" target="_self"><?php echo $lang['Tab']['Download_Surveillance'];?></a></li>
  <li id="nav-7"><a href="./setupextras.php" target="_self"><?php echo $lang['Tab']['Extras'];?></a></li>
</ul>
<div id="contents"><br>
  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Setup_Page7'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>
          <table width="69%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
            <tr>
              <td width="43%" height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Binarystat_Activated'];?>
                  <div align="left"></div></td>
              <td width="7%" height="25">:</td>
              <td width="12%">&nbsp;</td>
              <td width="38%" height="25"><input type="radio" name="logging_activated" value="TRUE" <?php if ($oldloggingactivated == 'TRUE') echo "checked";?>>
                  <?php echo $lang['Yes'];?>
                  <input type="radio" name="logging_activated" value="FALSE" <?php if ($oldloggingactivated == 'FALSE') echo "checked";?>>
                  <?php echo $lang['No'];?></td>
            </tr>
            <tr>
              <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Media_Active'];?>
                  <div align="left"></div></td>
              <td height="25">:</td>
              <td>&nbsp;</td>
              <td height="25"><input type="radio" name="mediatracker" value="ACTIVE" <?php if ($oldmediatracker == 'ACTIVE') echo "checked";?>>
                <?php echo $lang['Yes'];?>
                <input type="radio" name="mediatracker" value="INACTIVE" <?php if ($oldmediatracker == 'INACTIVE') echo "checked";?>>
                <?php echo $lang['No'];?></td>
              </tr>
            <tr>
              <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Show_Number_Of_Entries'];?>
                  <div align="left"></div></td>
              <td height="25">:</td>
              <td>&nbsp;</td>
              <td height="25"><input name="showentries" type="text" id="showentries" style="width: 80px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $oldshowentries;?>" maxlength="50"></td>
            </tr>
            <tr>
              <td height="25"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Cost_Per_Mille'];?>
                  <div align="left"></div></td>
              <td height="25">:</td>
              <td>&nbsp;</td>
              <td height="25"><input name="cpm" type="text" id="cpm" style="width: 80px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $oldcpm;?>" maxlength="50">
                <img src="../images/blankspacer.gif" width="5" height="5" border="0"><?php echo $lang['Currency'];?></td>
              </tr>
          </table>
          <br></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <table width="99%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td>
        <div align="right"><SCRIPT TYPE="text/javascript">
<!--
var savechanges = new submitForm("../images/savechanges.gif","../images/savechanges_down.gif","savechanges","save");
savechanges.alt ="<?php echo $lang['Save_Changes'];?>";
savechanges.write();
//-->
                </SCRIPT>
          <input name="action" type="hidden" id="action" value="UPDATE">
        </div></td>
    </tr>
  </table>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right"><span class="small"><br>
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
</table>
</div>
</body>
</html>