<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // read website-configuration from database
 @$result 				= mysql_query("SELECT * FROM $my_tables->websitestable WHERE websitename = '$activesitename'");
 @$my_object 			= mysql_fetch_object($result);
 $oldtimeshift			= $my_object->timeshift;
 $oldvisitortracking	= $my_object->visitortracking;
 $oldgethostname		= $my_object->gethostname;
 $oldshowvisitors		= $my_object->showvisitors;
 $oldshowrobotspider 	= $my_object->showrobotspider;
 $oldurltype	   		= $my_object->urltype;
 $oldindexpage			= $my_object->indexpage;
 $oldindexdynamicname	= $my_object->indexdynamicname;
 $oldpagesizedelete		= $my_object->pagedeleteinterval;

 #########################################################################################################
 ## admin hit the update-button, so save changes
 #########################################################################################################
 if ($_POST['action'] == 'UPDATE' && ($_SESSION['usertype'] == 'WEBMASTER' || $_SESSION['usertype'] == 'ADMIN'))
 { 
  // save trackingbox value
  if ($_POST['visitortracking'] == 'TRUE') $visitortracking  = 'TRUE';
  if ($_POST['visitortracking'] == 'FALSE') $visitortracking = 'FALSE';
  @$result = mysql_query("UPDATE $my_tables->websitestable SET visitortracking ='$visitortracking' WHERE websitename = '$activesitename'"); // update setting

  // save showrobot/spider value
  if ($_POST['showrobotspider'] != $oldshowrobotspider)
  {
   $showrobotspider = $_POST['showrobotspider'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET showrobotspider ='$showrobotspider' WHERE websitename = '$activesitename'"); // update setting
  }
 
  // save gethostname value
  if ($_POST['gethostname'] != $oldgethostname)
  {
   $gethostname = $_POST['gethostname'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET gethostname ='$gethostname' WHERE websitename = '$activesitename'"); // update setting
  }
 
  // save enhanced-logging value
  if ($_POST['enhancedlogging'] != $oldenhancedlogging)
  {
   $enhancedlogging = $_POST['enhancedlogging'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET enhancedlogging ='$enhancedlogging' WHERE websitename = '$activesitename'"); // update setting
  }
 
  // save showvisitors value
  if ($_POST['showvisitors'] != $oldshowvisitors)
  {
   $showvisitors = $_POST['showvisitors'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET showvisitors ='$showvisitors' WHERE websitename = '$activesitename'"); // update setting
  }
 
  // save timeshift value
  if ($_POST['timeshift'] != $oldtimeshift)
  {
   $timeshift = $_POST['timeshift'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET timeshift ='$timeshift' WHERE websitename = '$activesitename'"); // update setting
  }

 
  // save URL-type value
  if ($_POST['urltype'] != $oldurltype)
  {
   $urltype = $_POST['urltype'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET urltype ='$urltype' WHERE websitename = '$activesitename'"); // update setting
  }

  // save name of index-page
  if ($_POST['indexpage'] != $oldindexpage)
  {
   $indexpage = $_POST['indexpage'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET indexpage ='$indexpage' WHERE websitename = '$activesitename'"); // update setting
  }

  // save dynamic name of index-page
  if ($_POST['indexdynamicname'] != $oldindexdynamicname)
  {
   $indexpage = $_POST['indexdynamicname'];
   @$result = mysql_query("UPDATE $my_tables->websitestable SET indexdynamicname ='$indexdynamicname' WHERE websitename = '$activesitename'"); // update setting
  }
  // save pagesize-table deletion interval
  if ($_POST['pagesizedelete'] != $oldpagesizedelete)
  {
   $pagesizedelete = $_POST['pagesizedelete'];
   if (empty($pagesizedelete)) $pagesizedelete = 0;
   @$result = mysql_query("UPDATE $my_tables->websitestable SET pagedeleteinterval ='$pagesizedelete' WHERE websitename = '$activesitename'"); // update setting
  }

  #########################################################################################################
  ## read website-configuration from database
  #########################################################################################################
  @$result 				= mysql_query("SELECT * FROM $my_tables->websitestable WHERE websitename = '$activesitename'");
  @$my_object 			= mysql_fetch_object($result);
  $oldtimeshift			= $my_object->timeshift;
  $oldenhancedlogging	= $my_object->enhancedlogging;
  $oldvisitortracking	= $my_object->visitortracking;
  $oldgethostname		= $my_object->gethostname;
  $oldshowvisitors		= $my_object->showvisitors;
  $oldshowrobotspider 	= $my_object->showrobotspider;
  $oldurltype	   		= $my_object->urltype;
  $oldindexpage			= $my_object->indexpage;
  $oldindexdynamicname	= $my_object->indexdynamicname;
  $oldpagesizedelete	= $my_object->pagedeleteinterval; 
}

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Setup</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function focuscursor()
{
 parent.menuframe.document.getElementById('searchphrase').focus();
}
function setfocus()
{
 setTimeout("focuscursor()",1000);
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=<?php echo $searchphrase;?>&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/setuptracking.php';
}
//-->
</script>
</head>
<body class="section-2" onload="showLayer('contentlayer');reloadmenu();">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Configuration_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <form name="updatesettings" method="post" action="setuptracking.php">
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="./setupcounter.php" target="_self"><?php echo $lang['Tab']['Countervalues']; ?></a></li>
  <li id="nav-2"><a href="./setuptracking.php" target="_self"><?php echo $lang['Tab']['Tracking_Resolving_Display'];?></a></li>
  <li id="nav-3"><a href="./setuptraceroute.php" target="_self"><?php echo $lang['Tab']['Traceroute_Server'];?></a></li>
  <li id="nav-4"><a href="./setupemail.php" target="_self"><?php echo $lang['Tab']['Email_Notificiation'];?></a></li>
  <li id="nav-5"><a href="./setupblacklist.php" target="_self"><?php echo $lang['Tab']['Blacklist'];?></a></li>
  <li id="nav-6"><a href="./setupdownloads.php" target="_self"><?php echo $lang['Tab']['Download_Surveillance'];?></a></li>
  <li id="nav-7"><a href="./setupextras.php" target="_self"><?php echo $lang['Tab']['Extras'];?></a></li>
</ul>
<div id="contents"><br>
  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Setup_Page2'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
    <TBODY>
      <TR>
        <TD bgcolor="#FFFFFF" class="finelinebox"><br>
          <table width="96%" border="0" align="center" cellpadding="0" cellspacing="0">
            <tr>
              <td width="25%" height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['IP_Resolving_Activiated'];?></div></td>
              <td width="4%" height="25"><div align="left">:</div></td>
              <td width="26%" height="25"><div align="left">
                  <input type="radio" name="gethostname" value="TRUE" <?php if ($oldgethostname == "TRUE") echo "checked";?>>
                  <?php echo $lang['Yes'];?>
                  <input type="radio" name="gethostname" value="FALSE" <?php if ($oldgethostname == 'FALSE') echo "checked";?>>
                  <?php echo $lang['No'];?></div></td>
              <td width="22%" height="25"><?php echo $lang['Show_Which_Visitors'];?></td>
              <td width="3%" height="25"><div align="left">:</div></td>
              <td width="20%" height="25"><div align="left">
                  <input type="radio" name="showvisitors" value="UNIQUE" <?php if ($oldshowvisitors == "UNIQUE") echo "checked";?>>
                  <?php echo $lang['Show_Unique_Only'];?><br>
              </div></td>
            </tr>
            <tr>
              <td height="25">
                <div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Visitortracking_Activated'];?></div></td>
              <td height="25"><div align="left">:</div></td>
              <td height="25"><div align="left">
                <input type="radio" name="visitortracking" value="TRUE" <?php if ($oldvisitortracking == 'TRUE') echo "checked";?>>
                <?php echo $lang['Yes'];?>
                <input type="radio" name="visitortracking" value="FALSE" <?php if ($oldvisitortracking == 'FALSE') echo "checked";?>>
                <?php echo $lang['No'];?> 
              </div></td>
              <td height="25">&nbsp;</td>
              <td height="25">&nbsp;</td>
              <td width="20%" height="25"><input type="radio" name="showvisitors" value="ALL" <?php if ($oldshowvisitors == "ALL") echo "checked";?>>
                  <?php echo $lang['Show_All_Visitors'];?></td>
            </tr>
            <tr>
              <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['URL_Type'];?></div></td>
              <td height="25"><div align="left">:</div></td>
              <td height="25"><div align="left">
                <input type="radio" name="urltype" value="STANDARD" <?php if ($oldurltype == 'STANDARD') echo "checked";?>>
                <?php echo $lang['Standard_Method'];?>
                <input type="radio" name="urltype" value="SAFE" <?php if ($oldurltype == 'SAFE') echo "checked";?>>
                <?php echo $lang['Searchengine_Safe'];?> 
              </div></td>
              <td height="25">&nbsp;</td>
              <td height="25">&nbsp;</td>
              <td height="25"><input name="showrobotspider" type="checkbox" id="showrobotspider" value="TRUE" <?php if ($oldshowrobotspider == "TRUE") echo "checked";?>>
                  <?php echo $lang['Show_Robots_Spider'];?></td>
            </tr>
            <tr>
              <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Name_Index_Page'];?></div></td>
              <td height="25"><div align="left">:</div></td>
              <td height="25"><div align="left">
                <input name="indexpage" type="text" id="indexpage" style="width: 145px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $oldindexpage;?>" maxlength="200">
</div></td>
              <td height="25"><?php echo $lang['Timeshift'];?></td>
              <td height="25">:</td>
              <td height="25"><img src="../images/blankspacer.gif" width="2" height="5">
                  <input name="timeshift" type="text" id="timeshift" style="width: 50px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $oldtimeshift;?>" maxlength="3"></td>
            </tr>
            <tr>
              <td height="25"><div align="left"><img src="../images/blankspacer.gif" width="5" height="5"><?php echo $lang['Index_Dynamic_Name'];?></div></td>
              <td height="25"><div align="left">:</div></td>
              <td height="25"><div align="left">
                <input name="indexdynamicname" type="text" id="indexdynamicname" style="width: 145px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $oldindexdynamicname;?>" size="80" maxlength="200">
</div></td>
              <td height="25"><?php echo $lang['Pagesizetable_Deletion'];?></td>
              <td height="25">:</td>
              <td height="25"><img src="../images/blankspacer.gif" width="2" height="5"> <input name="pagesizedelete" type="text" id="pagesizedelete" style="width: 50px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $oldpagesizedelete;?>" maxlength="3"> <?php echo $lang['Days'];?></td>
            </tr>
          </table>
          <br>          </TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
  <table width="99%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td>
        <div align="right"><SCRIPT TYPE="text/javascript">
<!--
var savechanges = new submitForm("../images/savechanges.gif","../images/savechanges_down.gif","savechanges","save");
savechanges.alt ="<?php echo $lang['Save_Changes'];?>";
savechanges.write();
//-->
                </SCRIPT>
          <input name="action" type="hidden" id="action" value="UPDATE">
        </div></td>
    </tr>
  </table>
  <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          </form>
          <div align="right"><span class="small">
</span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
    </table>
</div>
</body>
</html>