<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 
include_once ($include_path."./../includes/dbactions.inc.php");
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/configdata.inc.php");
include_once ($include_path."./../includes/timeconverter.inc.php");

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get configuration data 
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename, $my_tables->accounttable, $my_session->account_id);

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get cursor position of download-browser
 @$currentpos = $_REQUEST['currentpos'];
 @$pos 		  = $_REQUEST['pos'];
 @$showcat    = $_REQUEST['showcat'];
 @$sortorder  = $_REQUEST['sortorder'];
 @$showmax    = 15;
 
 // maximum height for graph
 $maxheight = 120;
 
 if (!isset($sortorder)) $sortorder = "ID";
 if (!isset($sortby)) $sortby = "id";
 if (!isset($pos)) { $pos=0; $currentpos=0;} // set $pos to first entry of database (0)

 if (!isset($showcat) || $showcat == "") $showcat = "Alle Kategorien anzeigen";
 
 if ($sortorder == "ID")       		 { $sortby = "id"; $direction = "DESC"; }
 if ($sortorder == "DATE")      	 { $sortby = "download_timestamp"; $direction = "DESC"; }
 if ($sortorder == "REFERERPAGE")    { $sortby = "refererpage"; $direction = "ASC"; }
 if ($sortorder == "REFERERDOMAIN")  { $sortby = "refererdomain"; $direction = "ASC"; }
 if ($sortorder == "FILETITLE") 	 { $sortby = "filetitle"; $direction = "DESC"; }
 if ($sortorder == "VISITORIP")  	 { $sortby = "visitor_ip"; $direction = "DESC"; }

 // this value is for browsing the visitor-entries
 $showbuttons 			= 14; // DO NOT CHANGE, THIS VALUE MUST BE AN EVEN NUMBER!


 // get number of entries in protocoltable
 $sql 			= "SELECT count(*) FROM $my_tables->protocoltable WHERE websitename = '$activesitename'";
 @$result 		= $my_db->query($sql);
 @$total_entries = mysql_result($result,0,0);

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><?php echo $lang['Download_Protocol'];?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="text/JavaScript">
<!--
function hiLite(rowname, cname)
{ 
  document.getElementById(rowname+"A").className = cname;
  document.getElementById(rowname+"B").className = cname;
  document.getElementById(rowname+"C").className = cname;
  document.getElementById(rowname+"D").className = cname;
  document.getElementById(rowname+"E").className = cname;
  document.getElementById(rowname+"F").className = cname;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
//-->
</script>
</head>
<body>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="72%"> <span class="smallBold"><? echo $lang['Download_Protocol_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
    <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
  </tr>
</table>
<img src="../images/blackdot.gif" width="100%" height="1"><br>
<br>

<table cellspacing=0 cellpadding=1 width=100% border=0>
  <tr>
    <td valign="top" bgcolor="#818181"><table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="resultbackground">
              <tr class="tablehead">
                <td colspan="18"></td>
              <tr bgcolor="#B5B5B5">
                <td width="8%" height="16"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><img src="../images/blankspacer.gif" width="3" height="5" border="0"><a href="showprotocol.php?sortorder=ID&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>" title="<?php echo $lang['Order_By_ID'];?>"><?php echo $lang['ID'];?></a></td>
                <td width="14%"><a href="showprotocol.php?sortorder=DATE&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>" title="<?php echo $lang['Order_By_Date'];?>"><?php echo $lang['Date'];?></a></td>
                <td width="13%"><a href="showprotocol.php?sortorder=VISITORIP&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>" title="<?php echo $lang['Order_By_IP'];?>"><?php echo $lang['IP_Address'];?></a></td>
                <td width="21%"><a href="showprotocol.php?sortorder=FILETITLE&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>" title="<?php echo $lang['Order_By_Name'];?>"><?php echo $lang['Download'];?></a></td>
                <td width="20%" height="16"><a href="showprotocol.php?sortorder=REFERERDOMAIN&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>" title="<?php echo $lang['Order_By_Ref_Domain'];?>"><?php echo $lang['Referer_Domain'];?></a></td>
                <td width="24%"  height="16"><a href="showprotocol.php?sortorder=REFERERPAGE&pos=0&currentpage=0&low_butt=0&high_butt=<?php echo $showbuttons;?>" title="<?php echo $lang['Order_By_Ref_Page'];?>"><?php echo $lang['Referer_Page'];?></a></td>
              </tr>
              <tr class="optionsbackground">
                <td height="2" colspan="18" class="small"></td>
            </table>
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr valign="middle" bgcolor="#EBEBEB">
                  <td><span class="small"><img src="../images/blankspacer.gif" width="5" height="2" border="0"></span></td>
                </tr>
                <tr valign="middle" bgcolor="#EBEBEB">
                  <td><span class="small"><strong>
                    <?php

 @$result = mysql_query("SELECT *, UNIX_TIMESTAMP(download_timestamp) AS unix_timestamp
					    FROM $my_tables->protocoltable
					    WHERE websitename = '$activesitename' 
					    ORDER BY $sortby $direction
					    LIMIT $pos,$showmax");

 
 if ($current_page == "") $current_page=0;
 if ($low_butt == "") $low_butt = 0;
 if ($high_butt == "") $high_butt = $showbuttons; 
 $step = 1;
 $x=1;
 while (@$myobject = mysql_fetch_object($result)) // Run through all entries, limited by $showmax numbers
 {
  $entry_id 		    = $myobject->id;
  $entry_fileid		  	= $myobject->fileid;
  $entry_filetitle 		= $myobject->filetitle;
  $entry_filename 		= $myobject->filename;
  $entry_downloadip		= $myobject->visitor_ip;
  $entry_refererpage	= $myobject->refererpage;
  $entry_refererdomain	= $myobject->refererdomain;

  // make backup of refererpage-name
  $orig_refpage = $entry_refererpage;

  $entry_timestamp = $myobject->unix_timestamp;
  $entry_hour   = strftime( "%H", $entry_timestamp);
  $entry_minute = strftime( "%M", $entry_timestamp);
  $entry_second = strftime( "%S", $entry_timestamp);
  $entry_day	= strftime( "%d", $entry_timestamp);
  $entry_month  = strftime( "%m", $entry_timestamp);
  $entry_year   = strftime( "%Y", $entry_timestamp);

  if (strlen($entry_filename) > 26) 
   { $entry_filename = substr($entry_filename,0,23);$entry_filename .= "..."; }

  if (strlen($entry_filetitle) > 22) 
   { $entry_filetitle = substr($entry_filetitle,0,19);$entry_filetitle .= "..."; }

  $orig_refererpage = $entry_refererpage;
  if (strlen($entry_refererpage) > 34) 
   { $entry_refererpage = substr($entry_refererpage,0,31);$entry_refererpage .= "..."; }

  $orig_refererdomain = $entry_refererdomain;
  if (strlen($entry_refererdomain) > 30) 
   { $entry_refererdomain = substr($entry_refererdomain,0,27);$entry_refererdomain .= "..."; }

 if ($step == 1) $bcolor = "#EEEEEE"; // Switch background color of output line
 else if ($step == 2) {$bcolor = "#DFDFDF";} // Switch background color of output line
 {
?>
                  </strong></span>
                      <table class="" width="100%" height="16" border="0" cellpadding="0" cellspacing="0" id="listing">
                        <tr>
                          <td id="Row<?php echo $x;?>A" class="" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" height="12" valign="middle" bgcolor='<?php echo $bcolor ?>' width="8%"><div align="left"></div>                            
                          <img src="../images/blankspacer.gif" width="10" height="5" border="0"><?php echo $entry_id;?></td>
                          <td id="Row<?php echo $x;?>B" class="" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="14%">
<?php
$date_string = convert_date_short($entry_day, $entry_month, 'NONE', $my_config->datestyle);

// delete leading zero if timedisplay is set to 12 
if ($my_config->timedisplay == '12')
 if ($entry_hour{0} == '0') $entry_hour = $entry_hour{1};

 echo "$date_string - $entry_hour:$entry_minute ";
 if ($my_config->timedisplay == '12')
  { echo $vis_am_pm;}
 else echo $lang['O_Clock'];
?></td>
                          <td id="Row<?php echo $x;?>C" class="" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="13%"><?php echo $entry_downloadip;?></td>
                          <td id="Row<?php echo $x;?>D" class="" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="21%"><?php echo $entry_filename;?></td>
                          <td id="Row<?php echo $x;?>E" class="" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="20%"><?php echo $entry_refererdomain;?></td>
                          <td id="Row<?php echo $x;?>F" class="" onMouseOver="hiLite('Row<?php echo $x;?>','overcell');" onMouseOut="hiLite('Row<?php echo $x;?>','');" valign="middle" bgcolor='<?php echo $bcolor ?>' width="24%"><?php echo "<a href='$orig_refpage' target='_blank'>$entry_refererpage</a>";?> </td>
                        </tr>
                      </table>
                  <?php }
 $x++;
 if ($step == 1) $step = 2;
 else if ($step == 2) $step = 1;
 $countervalue += 1;
 $totalvalue += $value;
 }
?>                  </td>
                </tr>
            </table></td>
        </tr>
    </table></td>
  </tr>
</table>
<br>
<img src="../images/blackdot.gif" width="100%" height="1"><br>

<table width="100%" border="0" cellpadding="0" cellspacing="0" class="small">
  <tr>
    <td colspan="2"><img src="../images/blankspacer.gif" width="5" height="5"></td>
  </tr>
  <tr>
    <td>
      <?php
 echo $lang['Browse_Entries'].": ";

 $endpos	 = $total_entries-1;
 $checkpos	 = $pos+$showmax; 
 $nextpos	 = $pos+1;
 $newpos	 = $pos-$showmax;
 $total_val  = $total_entries;

 if ($newpos<0) $newpos=0;

 if (isset($_REQUEST['currentpos'])) $currentpos = $_REQUEST['currentpos'];
  else $currentpos = $pos + $showmax;

 if (isset($_REQUEST['current_page'])) $current_page = $_REQUEST['current_page'];

 // let user browse through results
 @$pages = ceil($total_val/$showmax)-1; // calculate total number of pages needed to display all data
 if(!isset($current_page)) $current_page=0;
 if(!isset($low_butt)) $low_butt=0;
 if(!isset($high_butt)) $high_butt=$showbuttons;
 if ($high_butt>$pages) $high_butt = $pages;
 // show goto-start arrows if needed
 if ($current_page > 0 && $pages>$showbuttons || $current_page>ceil($showbuttons/2))
 echo "<a href='showprotocol.php?sortorder=$sortorder&pos=0&showmax=$showmax&current_page=0&low_butt=0&high_butt=$showbuttons&showcat=$showcat'> << </a>|";
 else echo "";
 $buttoncounter = 1;
 $endingpos = $total_val-$showmax;
 $endinglow = $pages-$showbuttons;
 $endinghigh = $pages;
 for($x=$low_butt; $x<=$high_butt; $x++)
 {
 if ($x > $total_val && $pages>$showbuttons || $button_counter>$showbuttons) BREAK;
 $new_high_button = $x+$showbuttons-ceil($showbuttons/2); if ($new_high_button > $pages) {$new_low_button = $pages-$showbuttons; $new_high_button = $pages;}
 $new_low_button = $x-ceil($showbuttons/2); if ($new_low_button < 0) {$new_low_button = 0; $new_high_button = $showbuttons;}
 $browse_pos = $x*$showmax;
 if ($current_page == 0 && $browse_pos == 0) $browse_pos = $showmax;
 if ($x == $current_page) echo "<b> $x</b> | ";
 $zeigepos = $browse_pos + $showmax;
 if ($x <> $current_page && $x >= 0) echo "<a href='showprotocol.php?sortorder=$sortorder&pos=$browse_pos&showmax=$showmax&current_page=$x&low_butt=$new_low_button&high_butt=$new_high_button&oldbuttonpos=$current_page&showcat=$showcat'> $x </a>|";
 $button_counter++;
 }
 // show goto-end arrows if needed 
 if ($current_page < $pages || $current_page<$pages-ceil($showbuttons/2) || $current_page+ceil($showbuttons/2)<$pages)
 echo "<a href='showprotocol.php?sortorder=$sortorder&GID=".session_id()."&pos=$endingpos&showmax=$showmax&current_page=$pages&low_butt=$endinglow&high_butt=$endinghigh&showcat=$showcat#downloadlist'> >> </a>";
?>
      <input name="pos" type="hidden" id="pos" value="<?php echo $pos;?>">
      <input name="current_page" type="hidden" id="current_page" value="<?php echo $current_page;?>">
      <input name="high_butt" type="hidden" id="high_butt" value="<?php echo $high_butt;?>">
      <input name="low_butt" type="hidden" id="low_butt" value="<?php echo $low_butt;?>"></td>
    <td width="38%">
      <div align="right">
        <?php
 // Right here the user will be able to page through the data
 @$current_page = ceil(($pos+$showmax)/$showmax);
 if ($pos > 0 && $current_page >= 0)
 { 
 $back_current = $current_page - 2;
 $lowbuttprev = $low_butt - 1;
 $highbuttprev = $current_page + 1;
 if ($highbuttprev <= $showbuttons) $highbuttprev = $showbuttons;

 echo "<a href='showprotocol.php?pos=0&showmax=$showmax&current_page=0&low_butt=0&high_butt=$showbuttons' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Start','','../images/tostart_down.gif',1)\"><img name='Start' src='../images/tostart.gif' width='81' height='13' border='0' align='absmiddle' alt='$To_First_Entry'></a><img src='../images/blankspacer.gif' width='6' height='4' border='0'>";
 echo "<a href='showprotocol.php?pos=$newpos&showmax=$showmax&current_page=$back_current&low_butt=$lowbuttprev&high_butt=$highbuttprev' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Newer','','../images/newerdata_down.gif',1)\"><img name='Newer' src='../images/newerdata.gif' width='81' height='13' border='0' align='absmiddle' alt='$Show_Newer_Data'></a><img src='../images/blankspacer.gif' width='6' height='4' border='0'>";
 } 
 if($total_val> $currentpos)
 {
 $pos += $showmax;
 if ($low_butt > 0) $lowbuttnext = $low_butt + 1;
 $highbuttnext = $high_butt + 2;
 echo "<a href='showprotocol.php?pos=$pos&showmax=$showmax&low_butt=$lowbuttnext&high_butt=$highbuttnext&oldbuttonpos=$current_page&current_page=$current_page&reloaded=TRUE#refreshtag' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('olderdata','','../images/olderdata_down.gif',1)\"><img name='olderdata' src='../images/olderdata.gif' width='81' height='13' border='0' align='absmiddle' alt='$Show_Older_Data'></a><img src='../images/blankspacer.gif' width='6' height='4' border='0'>";
 }
 $current_page--; // Fix $current_page value bis substracting one 
 if ($current_page<$pages)
 echo "<a href='showprotocol.php?pos=$endingpos&showmax=$showmax&low_butt=$endinglow&high_butt=$endinghigh&current_page=$pages&reloaded=TRUE#refreshtag' onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Ende','','../images/toend_down.gif',1)\"><img name='Ende' src='../images/toend.gif' width='81' height='13' border='0' align='absmiddle' alt='$To_Last_Entry'></a>";
?>
    </div></td>
  </tr>
  <tr>
    <td colspan="2"><img src="../images/blankspacer.gif" width="5" height="5"></td>
  </tr>
  <tr>
    <td colspan="2"></td>
  </tr>
</table>
</body>
</html>
