<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../language/language.inc.php");
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 	 	 
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // check if user is logged in and allowed to view this page -> if not, show error page
 if ($my_session->usertype  == 'GUEST') { header("Location: ../login/noguestallowed.php"); exit();}
 if ($my_session->usertype  == 'WEBMASTER') { header("Location: ../login/loginfirstmessage.php"); exit();}
 if ($my_session->logged_in == 'FALSE') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get information about the account-table
 @$websites_total		= mysql_result(mysql_query("SELECT count(id) FROM $my_tables->websitestable"),0,0);
 @$websites_active		= mysql_result(mysql_query("SELECT count(id) FROM $my_tables->websitestable WHERE logging_activated = 'TRUE'"),0,0);
 @$websites_inactive	= mysql_result(mysql_query("SELECT count(id) FROM $my_tables->websitestable WHERE logging_activated = 'FALSE'"),0,0);
 @$entries_total		= mysql_result(mysql_query("SELECT count(id) FROM $my_tables->maintable"),0,0);

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Websites Overview</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/popupwindow.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=setup/websitesoverview.php';
}
//-->
</script>
</head>
<body class="section-1" onload="showLayer('contentlayer');reloadmenu();<?php $message = $lang['Newsite_In_Use'];if ($in_use) echo "alert('$message');";?>">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
<table width="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Overview'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
            <br>
            <br>
<ul id="menu">
  <li id="nav-1"><a href="websitesoverview.php"><?php echo $lang['Tab']['Website_Overview']; ?></a></li>
 </ul>
<div id="contents">  <TABLE cellSpacing=3 cellPadding=2 border=0>
    <TBODY>
      <TR>
        <TD class="dottedbox" align=middle><table width="100%" border="0" cellspacing="5" cellpadding="0">
          <tr>
            <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Website_Overview'];?></div></td>
          </tr>
        </table></TD>
      </TR>
    </TBODY>
  </TABLE>
  <br>
    <TABLE width="100%" border=0 cellPadding=2 cellSpacing=3>
      <TBODY>
        <TR>
          <TD bgcolor="#FFFFFF" class="finelinebox"><br>
              <table width="74%"  border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="22%" height="25" class="smallBold"><span class="smallBlack"><?php echo $lang['Websites_Total'];?></span></td>
                  <td width="5%" height="25" class="smallBold">:</td>
                  <td width="24%" height="25"><?php echo $websites_total;?></td>
                  <td width="23%"><span class="smallBold"><span class="smallBlack"><?php echo $lang['Visitor_Entries'];?></span></span></td>
                  <td width="5%" class="smallBold">:</td>
                  <td width="21%"><?php echo $entries_total?></td>
                </tr>
                <tr>
                  <td height="25" class="smallBold"><span class="smallBlack"><?php echo $lang['Websites_Active'];?></span></td>
                  <td height="25" class="smallBold">:</td>
                  <td height="25"><?php echo $websites_active; echo " (".round(($websites_active*100)/$websites_total)."%)";?></td>
                  <td height="25"><span class="smallBold"><span class="smallBlack"><?php echo $lang['Websites_Inactive'];?></span></span></td>
                  <td class="smallBold">:</td>
                  <td height="25"><?php echo $websites_inactive; echo " (".round(($websites_inactive*100)/$websites_total)."%)";?></td>
                </tr>
              </table>
              <br></TD>
        </TR>
      </TBODY>
    </TABLE>
    <br>
  <table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
      </tr>
  </table>
  </div>
          <div align="right"><span class="small"><br>
          </span>
            <img src="../images/blackdot.gif" width="100%" height="1">
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="60%">
                  <div align="left"><span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="createwebsite.php"><?php echo $lang['Tab']['Create_Website'];?></a>, <a href="editwebsite.php"><?php echo $lang['Tab']['Edit_Website'];?></a>, <a href="deletewebsite.php"><?php echo $lang['Tab']['Delete_Website'];?></a></span></div></td>
                <td width="40%"><div align="right"></div></td>
              </tr>
            </table>
            <span class="small">            <br>
            </span>
          </div>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
              <tr>
              </tr>
        </table>        </td>
      </tr>
</table>
</div>
</body>
</html>











