<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/vars.inc.php"); 
include_once ($include_path."./../includes/configdata.inc.php"); 
include_once ($include_path."./../language/language.inc.php"); 

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get standard variables
 $my_vars = new getchoostat_vars;
 $my_vars -> build_vars();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get website configuration
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename);

 // exit if not logged in or if user is not the admin  -> THIS PAGE IS FOR ADMIN OR WEBMASTER ONLY!
 if ($my_session->logged_in == 'FALSE' || $my_session->usertype == 'GUEST') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // maximum length of data key
 $maxfieldlength = 40;

 // get values from refering page
 $category_id = $_REQUEST['category_id'];

 // set some values
 $entries = 0;
 $saved_changes = FALSE;

 // get data for selected category
 $result    = mysql_query("SELECT * FROM $my_tables->dynamictable WHERE id = '$category_id' AND websitename = '$activesitename'");
 $my_object = mysql_fetch_object($result);
 $old_realname = $my_object->realname;
 $old_idstring = $my_object->idstring;

 // user wants to create a new tracking-category
 if ($_POST['action'] == 'EDIT' && $my_session->usertype != 'GUEST' && $my_session->usertype != 'DEMO')
 {
  // get values from $_POST and set error-flag
  $new_realname = $_POST['newrealname'];
  $new_idstring = trim($_POST['newidstring']);
  $category_id  = $_POST['category_id'];

  // check if newidstring is already is use ->if so, do not save changes
  if ($newrealname == $old_realname)
   @$entries = mysql_result(mysql_query("SELECT count(*) FROM $my_tables->dynamictable 
    		  WHERE idstring = '$new_idstring' AND websitename = '$activesitename'"),0,0);
  else
   $entries = 0;

  // override previous check
  $entries = 0;

  $sql = "UPDATE $my_tables->dynamictable SET realname = '$new_realname', idstring='$new_idstring' 
		  WHERE id = '$category_id' AND websitename='$activesitename'";

  if ($new_realname != '' && $new_idstring != '' && $entries == 0)
   $result = mysql_query($sql);
 
  // hand over variables
  $old_realname = $new_realname;
  $old_idstring = $new_idstring;
  $saved_changes = TRUE;
 }
 else
 {
  $idexists = TRUE;
 }
 
 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<html>
<head>
<title>Edit Category</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function ValidateForm()
{
 var realnameField = document.editform.newrealname;
 var idstringField = document.editform.newidstring;
	
 if ((realnameField.value==null)||(realnameField.value=="")){
	    alert("<?php echo $lang['Please_Enter_Realname'];?>")
		realnameField.focus()
		return false
 }

 if ((idstringField.value==null)||(idstringField.value=="")){
  	    alert("<?php echo $lang['Please_Enter_IDString'];?>")
		idstringField.focus()
		return false
 }
 return true
}
function starthiding()
{
 top.parent.hidemymenus();
}
function focuscursor()
{
 parent.menuframe.document.getElementById('searchphrase').focus();
}
function setfocus()
{
 setTimeout("focuscursor()",1000);
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=trackingmanager/editcategorygo.php';
}
//-->
</script>
</head>
<body onload="showLayer('contentlayer');reloadmenu();setfocus();
<?php
$message_in_use = $lang['IDString_In_Use'];
$message_saved  = $lang['Saved_Changes'];

if ($entries > 0)
echo "alert('$message_in_use');";

if ($saved_changes)
 echo "alert('$message_saved');";

?>">
<div id="contentlayer" onmouseover="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Edit_Tracking_Category_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/trackingbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Edit_Category_Go'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
<br>
<form action="editcategorygo.php" method="post" name="editform" id="editform" onSubmit="return ValidateForm();">
            <table cellspacing=0 cellpadding=1 width=100% border=0>
              <tr>
                <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                          <tr>
                            <td colspan="7" class="tablehead"></td>
                          <tr class="small">
                            <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Edit_Category'];?></td>
                          </tr>
                          <tr>
                            <td colspan="7" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                        </table>
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr valign="middle" class="optionsbackground">
                              <td width="1%"><span class="small"><strong><img src="../images/blankspacer.gif" width="5" height="35" border="0"></strong></span></td>
                              <td valign="top">
                                <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF" class="optionsbackground">
                                  <tr>
                                    <td colspan="4"><img src="../images/blankspacer.gif" width="8" height="8"></td>
                                  </tr>
                                  <tr>
                                    <td colspan="4"><img src="../images/blankspacer.gif" width="8" height="8"></td>
                                  </tr>
                                  <tr>
                                    <td valign="top"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['Name_Of_Category'];?></span></td>
                                    <td valign="top">:</td>
                                    <td><span class="smallBlack">
                                      <input name="newrealname" type="text" id="newrealname" style="width: 500px; font-family: Arial,Helvetica; font-size: 8pt; border: 1px #5B5B5B solid;" value="<?php echo $old_realname;?>">
                                    </span></td>
                                    <td>
                                      <div align="left"> </div></td>
                                  </tr>
                                  <tr>
                                    <td colspan="4" valign="top">
                                      <div align="left"><img src="../images/blankspacer.gif" width="8" height="8"></div></td>
                                  </tr>
                                  <tr>
                                    <td valign="top"><span class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['Identification_String'];?></span></td>
                                    <td valign="top">:</td>
                                    <td><span class="smallBlack">
                                    <input name="newidstring" type="text" id="newidstring" style="width: 500px; font-family: Arial,Helvetica; font-size: 8pt; border: 1px #5B5B5B solid;" value="<?php echo $old_idstring;?>">
                                    </span></td>
                                    <td>
                                      <div align="left"> </div></td>
                                  </tr>
                                  <tr>
                                    <td colspan="4"><div align="left"><img src="../images/blankspacer.gif" width="8" height="2"> </div></td>
                                  </tr>
                                  <tr>
                                    <td width="175" valign="top" class="smallBlack"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['Choose_Action'];?></td>
                                    <td width="44" valign="top">:</td>
                                    <td width="526"><span class="smallBlack">
<input name="image" type="image" src="../images/savechanges.gif" alt="<?php echo $lang['Save_Changes'];?>" align="middle">
<img src="../images/blankspacer.gif" width="5" height="5" border="0">                                    <a href="editcategory.php"><img src="../images/prevpage.gif" alt="<?php echo $lang['To_Previous_Page'];?>" width="142" height="13" border="0" align="absmiddle"></a>
<input name="action" type="hidden" id="action" value="EDIT">
                                      <input name="category_id" type="hidden" id="category_id" value="<?php echo $category_id;?>">
</span></td>
                                    <td width="15">
                                      <div align="left"> </div></td>
                                  </tr>
                                </table>
                              <br></td>
                            </tr>
                        </table></td>
                    </tr>
                </table></td>
              </tr>
            </table>
        </form>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr> </tr>
        </table></td>
    </tr>
  </table>
  <br>
  <br>
  <img src="../images/blackdot.gif" width="100%" height="1"><span class="small"><br>
  </span>
  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="60%"> <span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="./createcategory.php"><?php echo $lang['Add_Category'];?></a></span> </td>
      <td width="40%"><div align="right"></div></td>
    </tr>
  </table>
  <span class="small"> </span>  </div>
</body>
</html>