<?php
/*
---------------------------------------------------------------------------------
** binary:STAT **
---------------------------------------------------------------------------------
Copyright (C) 2004-2005 by Webpartner Software GmbH i.G., All rights reserved.
Email: support@webpartner-software.de
Website: http://www.binarystat.de

** Server Requirements: **
PHP 4.1 with PNG support, mySQL 3.23.45, GD 1.x or greater

#German notice:
Dieser Code ist urheberrechtlich geschtzt! Kein Kopieren, Verndern, 
Vertreiben, Verkauf, Vermieten ohne ausdrckliche schriftliche Zustimmung!
Weitere Informationen finden Sie in den Lizenzbestimmungen.


#English notice:
This code is copyrighted. No use, copy, rent, sale, distribution or modification 
allowed without written permission. See license information for further details.
---------------------------------------------------------------------------------
*/

// TAKE STARTING TIME
$starttime       = microtime(); 
$starttime   	 = explode(" ",$starttime); 
$starttime   	 = $starttime[1] + $starttime[0]; 
$timescriptstart = $starttime; 

if (function_exists('gzcompress')) ob_start("ob_gzhandler"); // use gzip compression
$timeparts = explode(" ",microtime());
$starttime = $timeparts[1].substr($timeparts[0],1); 

$include_path = dirname(__FILE__); $include_path .= "/";
include_once ($include_path."./../includes/global.inc.php");			 
include_once ($include_path."./../includes/binarystat.inc.php"); 		 		 	 
include_once ($include_path."./../includes/timezone.inc.php");
include_once ($include_path."./../includes/sessions.inc.php");
include_once ($include_path."./../includes/vars.inc.php"); 
include_once ($include_path."./../includes/configdata.inc.php"); 
include_once ($include_path."./../language/language.inc.php"); 

 // get session data
 $my_session = new binarystat_session;
 $my_session -> getsessiondata();

 // get names of mySQL-tables
 $my_tables = new binarystat_tables;
 $my_tables -> build_tables();

 // create new database connection
 $my_db     = new binarystat_db;
 $my_conn   = $my_db->connect();

 // get correct timezone-timestamp 
 $my_timestamp = new binarystat_timezone;
 $my_timestamp -> get_timestamp();

 // get standard variables
 $my_vars = new getchoostat_vars;
 $my_vars -> build_vars();

 // get websitename from session
 $activesitename = $_SESSION['activesite'];

 // get website configuration
 $my_config   = new configdata;
 $my_config -> get_configdata($my_tables->websitestable, $activesitename);

 // exit if not logged in or if user is not the admin  -> THIS PAGE IS FOR ADMIN OR WEBMASTER ONLY!
 if ($my_session->logged_in == 'FALSE' || $my_session->usertype == 'GUEST') { header("Location: ../login/loginfirstmessage.php"); exit();}

 // get searchphrase if set
 $searchphrase = $_POST['searchphrase'];

 // get element-id
 $element_id = $_POST['element_id'];

 // set some flags
 $delete = FALSE;

 // check if user wants to edit or delete a category -> send him to the correct page
 if ($_POST['editelement'] == 'TRUE')
 {
  header("location: editelementgo.php?element_id=$element_id");
  exit();
 }

 if ($_POST['delelement'] == 'TRUE')
 {
  @$result = mysql_query("DELETE FROM $my_tables->dynamictable WHERE id = '$element_id'
						 AND websitename = '$activesitename'");
 
  $delete = TRUE;
 }

 // calculate total time of this process
 $endtime 		= microtime(); 
 $endtime 		= explode(" ",$endtime); 
 $endtime 		= $endtime[1] + $endtime[0]; 
 $timescriptend = $endtime; 
 $loadtime 		= ($timescriptend - $timescriptstart); 
 $loadtime  	= round($loadtime,3);
?>
<html>
<head>
<title>Edit Element</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="STYLESHEET" type="text/css" href="../css/style.css">
<link rel="STYLESHEET" type="text/css" href="../css/iframe.css">
<script language="JavaScript" type="Text/JavaScript" src="../scripts/divresize.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/formelements.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/sendform.js"></script>
<script language="JavaScript" type="Text/JavaScript" src="../scripts/layerfunctions.js"></script>
<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function starthiding()
{
 top.parent.hidemymenus();
}
function focuscursor()
{
 parent.menuframe.document.getElementById('searchphrase').focus();
}
function setfocus()
{
 document.editelement.searchphrase.focus();
}
function reloadmenu()
{
 parent.menuframe.location.href = '../leftmenu.php?searchphrase=&changetowebsite=<?php echo $activesitename;?>&limitday_low=<?php echo $limitday_low;?>&limitday_high=<?php echo $limitday_high;?>&displayframe_name=trackingmanager/editelement.php';
}
//-->
</script>
</head>
<body onload="showLayer('contentlayer');document.forms[0].searchphrase.focus();reloadmenu();setfocus();
<?php
$message = $lang['Element_Deleted'];
if ($delete)
 echo "alert('$message');"; 
?>
">
<div id="contentlayer" onMouseOver="starthiding();" style="position:relative; z-index:10; visibility: hidden;">
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="72%"> <span class="smallBold"><? echo $lang['Edit_Element_For'];?>: </span> <?php echo "<a href='http://$activesitename' target='blank'>$activesitename</a>";?> </td>
            <td width="28%" class="small"><div align="right"> <?php echo $lang['Data_Recall'].": ".$loadtime." ".$lang['Seconds'];?> </div></td>
          </tr>
        </table>
          <img src="../images/blackdot.gif" width="100%" height="1"><br>
          <br>
          <table width="100%" border=0 cellpadding=2 cellspacing=3>
            <tbody>
              <tr>
                <td align=middle class="dottedbox"><table width="100%" border="0" cellspacing="5" cellpadding="0">
                    <tr>
                      <td width="115"><div align="justify"><img src="../images/elementbox.jpg" width="107" height="77"></div></td>
                      <td><div align="justify"><strong><u><?php echo $lang['notice']['Information'];?></u></strong> <?php echo $lang['notice']['Edit_Element'];?></div></td>
                    </tr>
                </table></td>
              </tr>
            </tbody>
          </table>
          <form action="editelement.php" method="post" name="editelement" id="editelement">
            <br>
            <table cellspacing=0 cellpadding=1 width=100% border=0>
              <tr>
                <td valign="top" bgcolor="#5C5C5C"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td><table width=100% border=0 cellpadding="0" cellspacing="0" class="tablehead">
                          <tr>
                            <td colspan="7" class="tablehead"></td>
                          <tr class="small">
                            <td height="16" valign="middle" class="tablehead"><img src="../images/blankspacer.gif" width="5" height="8" border="0"><img src="../images/bullet_circle.gif" width="6" height="6" border="0"> <img src="../images/blankspacer.gif" width="2" height="5" border="0"><?php echo $lang['Element_Edit_Delete'];?></td>
                          </tr>
                          <tr>
                            <td colspan="7" class="small"><strong><img src="../images/blackdot.gif" width="100%" height="1" hspace="0" vspace="0"></strong></td>
                        </table>
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
                            <tr valign="middle" class="optionsbackground">
                              <td width="1%"><span class="small"><strong><img src="../images/blankspacer.gif" width="5" height="35" border="0"></strong></span></td>
                              <td valign="top">
                                <table width="100%" border="0" align="center" cellpadding="3" cellspacing="0" bgcolor="#FFFFFF">
                                  <tr class="optionsbackground">
                                    <td colspan="4" valign="top"><span class=""><img src="../images/blankspacer.gif" width="5" height="8" border="0"></span></td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td valign="top"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['Search'];?></td>
                                    <td valign="top">:</td>
                                    <td>
                                      <div align="left">
                                        <input name="searchphrase" type="textfield" style="width: 404px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt; border: 1px #5B5B5B solid;
 background-color:#FFFFFF" value="<?php echo $searchphrase;?>">
                                        <img src="../images/blankspacer.gif" width="8" height="5">
                                        <script type="text/javascript">
<!--
var searchelement = new submitForm("../images/search.gif","../images/search_down.gif","search","search");
searchelement.alt ="<?php echo $lang['Search'];?>";
searchelement.write();
//-->
                                      </script>
                                    </div></td>
                                    <td valign="top"></td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td valign="top"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['Please_Choose_Element'];?></td>
                                    <td valign="top">:</td>
                                    <?php
 // read all elements into array
 $sql = "SELECT id, realname FROM $my_tables->dynamictable WHERE fieldtype = 'ELEMENT' AND websitename = '$activesitename'";
 if ($searchphrase != '')
  $sql .= " AND realname LIKE '%$searchphrase%'";

 @$result = mysql_query($sql);
 //echo mysql_error();
 while(@$my_object = mysql_fetch_object($result))
 { 
  $elements[] = array("$my_object->realname", "$my_object->id");
 }

 // sort array in ascending order
 @array_multisort($categories, SORT_ASC);
?>
                                    <td><select name="element_id" size="9" class="blackborder" id="select" style="width: 500px; height: 140px; font-family: Arial,Helvetica; color:#000000; font-size: 8pt;">
                                        <?php
 $myflag = FALSE;
 foreach($elements AS $current_entry)
 { 
  if ($myflag == FALSE && $current_entry['realname'] != '')
  {
   echo "<option value='$current_entry[1]' selected>".$current_entry[0]."</option>"; $myflag = TRUE;
  } 
  else echo "<option value='$current_entry[1]'>".$current_entry[0]."</option>";
 }
?>
                                    </select></td>
                                    <td valign="top"></td>
                                  </tr>
                                  <tr class="optionsbackground">
                                    <td width="157" valign="top"><img src="../images/arr2.jpg" width="4" height="5" border="0" align="absmiddle"> <?php echo $lang['Choose_Action'];?></td>
                                    <td width="31" valign="top">:</td>
                                    <td width="525">
                                      <div align="left">
                                        <script type="text/javascript">
<!--
var editcat = new submitForm("../images/editelement.gif","../images/editelement_down.gif","editelement","editelement");
editcat.alt ="<?php echo $lang['Edit_Element'];?>";
editcat.write();
//-->
                                      </script>
                                        <img src="../images/blankspacer.gif" width="8" height="5">
                                        <script type="text/javascript">
<!--
var delcat = new submitForm("../images/delelement.gif","../images/delelement_down.gif","delelement","delelement");
delcat.alt ="<?php echo $lang['Delete_Element'];?>";
delcat.write();
//-->
                                      </script>
                                    </div></td>
                                    <td width="23" valign="top"></td>
                                  </tr>
                                </table>
                                <br></td>
                            </tr>
                        </table></td>
                    </tr>
                </table></td>
              </tr>
            </table>
          </form>
          <table width=100% border=0 cellspacing="0" cellpadding="2">
            <tr> </tr>
        </table></td>
    </tr>
  </table>
  <br>
  <br>
  <img src="../images/blackdot.gif" width="100%" height="1"><span class="small"><br>
  </span>
  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="60%"> <span class="smallBold"><?php echo $lang['Quicklink'];?></span> <span class="small"><a href="./createelement.php"><?php echo $lang['Add_Element'];?></a></span> </td>
      <td width="40%"><div align="right"></div></td>
    </tr>
  </table>
  <span class="small"> </span> </div>
</body>
</html>











